/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Q=["require","exports","vs/base/common/platform","vs/editor/common/core/position","vs/base/common/errors","vs/base/common/strings","vs/editor/common/core/range","vs/base/common/functional","vs/base/common/lifecycle","vs/base/common/stopwatch","vs/base/common/event","vs/base/common/diff/diff","vs/base/common/types","vs/base/common/uint","vs/base/common/uri","vs/base/common/diff/diffChange","vs/base/common/iterator","vs/base/common/keyCodes","vs/base/common/linkedList","vs/base/common/process","vs/base/common/path","vs/base/common/cancellation","vs/base/common/hash","vs/editor/common/core/characterClassifier","vs/editor/common/core/selection","vs/editor/common/core/token","vs/editor/common/diff/diffComputer","vs/editor/common/model/wordHelper","vs/editor/common/modes/linkComputer","vs/editor/common/modes/supports/inplaceReplaceSupport","vs/editor/common/standalone/standaloneEnums","vs/editor/common/standalone/standaloneBase","vs/editor/common/viewModel/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],X=function(F){for(var t=[],M=0,D=F.length;M<D;M++)t[M]=Q[F[M]];return t};"use strict";var ge=this,me=typeof global=="object"?global:{},K;(function(F){F.global=ge;var t=function(){function M(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1}return Object.defineProperty(M.prototype,"isWindows",{get:function(){return this._detect(),this._isWindows},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isNode",{get:function(){return this._detect(),this._isNode},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isElectronRenderer",{get:function(){return this._detect(),this._isElectronRenderer},enumerable:!1,configurable:!0}),Object.defineProperty(M.prototype,"isWebWorker",{get:function(){return this._detect(),this._isWebWorker},enumerable:!1,configurable:!0}),M.prototype._detect=function(){this._detected||(this._detected=!0,this._isWindows=M._isWindows(),this._isNode=typeof module!="undefined"&&!!module.exports,this._isElectronRenderer=typeof process!="undefined"&&typeof process.versions!="undefined"&&typeof process.versions.electron!="undefined"&&process.type==="renderer",this._isWebWorker=typeof F.global.importScripts=="function")},M._isWindows=function(){return typeof navigator!="undefined"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process!="undefined"?process.platform==="win32":!1},M}();F.Environment=t})(K||(K={}));var K;(function(F){var t=function(){function P(o,b,u){this.type=o,this.detail=b,this.timestamp=u}return P}();F.LoaderEvent=t;var M=function(){function P(o){this._events=[new t(1,"",o)]}return P.prototype.record=function(o,b){this._events.push(new t(o,b,F.Utilities.getHighPerformanceTimestamp()))},P.prototype.getEvents=function(){return this._events},P}();F.LoaderEventRecorder=M;var D=function(){function P(){}return P.prototype.record=function(o,b){},P.prototype.getEvents=function(){return[]},P.INSTANCE=new P,P}();F.NullLoaderEventRecorder=D})(K||(K={}));var K;(function(F){var t=function(){function M(){}return M.fileUriToFilePath=function(D,P){if(P=decodeURI(P).replace(/%23/g,"#"),D){if(/^file:\/\/\//.test(P))return P.substr(8);if(/^file:\/\//.test(P))return P.substr(5)}else if(/^file:\/\//.test(P))return P.substr(7);return P},M.startsWith=function(D,P){return D.length>=P.length&&D.substr(0,P.length)===P},M.endsWith=function(D,P){return D.length>=P.length&&D.substr(D.length-P.length)===P},M.containsQueryString=function(D){return/^[^\#]*\?/gi.test(D)},M.isAbsolutePath=function(D){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(D)},M.forEachProperty=function(D,P){if(D){var o=void 0;for(o in D)D.hasOwnProperty(o)&&P(o,D[o])}},M.isEmpty=function(D){var P=!0;return M.forEachProperty(D,function(){P=!1}),P},M.recursiveClone=function(D){if(!D||typeof D!="object"||D instanceof RegExp||!Array.isArray(D)&&Object.getPrototypeOf(D)!==Object.prototype)return D;var P=Array.isArray(D)?[]:{};return M.forEachProperty(D,function(o,b){b&&typeof b=="object"?P[o]=M.recursiveClone(b):P[o]=b}),P},M.generateAnonymousModule=function(){return"===anonymous"+M.NEXT_ANONYMOUS_ID+++"==="},M.isAnonymousModule=function(D){return M.startsWith(D,"===anonymous")},M.getHighPerformanceTimestamp=function(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=F.global.performance&&typeof F.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?F.global.performance.now():Date.now()},M.NEXT_ANONYMOUS_ID=1,M.PERFORMANCE_NOW_PROBED=!1,M.HAS_PERFORMANCE_NOW=!1,M}();F.Utilities=t})(K||(K={}));var K;(function(F){function t(P){if(P instanceof Error)return P;var o=new Error(P.message||String(P)||"Unknown Error");return P.stack&&(o.stack=P.stack),o}F.ensureError=t;var M=function(){function P(){}return P.validateConfigurationOptions=function(o){function b(s){if(s.phase==="loading"){console.error('Loading "'+s.moduleId+'" failed'),console.error(s),console.error("Here are the modules that depend on it:"),console.error(s.neededBy);return}if(s.phase==="factory"){console.error('The factory method of "'+s.moduleId+'" has thrown an exception'),console.error(s);return}}if(o=o||{},typeof o.baseUrl!="string"&&(o.baseUrl=""),typeof o.isBuild!="boolean"&&(o.isBuild=!1),typeof o.paths!="object"&&(o.paths={}),typeof o.config!="object"&&(o.config={}),typeof o.catchError=="undefined"&&(o.catchError=!1),typeof o.recordStats=="undefined"&&(o.recordStats=!1),typeof o.urlArgs!="string"&&(o.urlArgs=""),typeof o.onError!="function"&&(o.onError=b),Array.isArray(o.ignoreDuplicateModules)||(o.ignoreDuplicateModules=[]),o.baseUrl.length>0&&(F.Utilities.endsWith(o.baseUrl,"/")||(o.baseUrl+="/")),typeof o.cspNonce!="string"&&(o.cspNonce=""),typeof o.preferScriptTags=="undefined"&&(o.preferScriptTags=!1),Array.isArray(o.nodeModules)||(o.nodeModules=[]),o.nodeCachedData&&typeof o.nodeCachedData=="object"&&(typeof o.nodeCachedData.seed!="string"&&(o.nodeCachedData.seed="seed"),(typeof o.nodeCachedData.writeDelay!="number"||o.nodeCachedData.writeDelay<0)&&(o.nodeCachedData.writeDelay=1e3*7),!o.nodeCachedData.path||typeof o.nodeCachedData.path!="string")){var u=t(new Error("INVALID cached data configuration, 'path' MUST be set"));u.phase="configuration",o.onError(u),o.nodeCachedData=void 0}return o},P.mergeConfigurationOptions=function(o,b){o===void 0&&(o=null),b===void 0&&(b=null);var u=F.Utilities.recursiveClone(b||{});return F.Utilities.forEachProperty(o,function(s,a){s==="ignoreDuplicateModules"&&typeof u.ignoreDuplicateModules!="undefined"?u.ignoreDuplicateModules=u.ignoreDuplicateModules.concat(a):s==="paths"&&typeof u.paths!="undefined"?F.Utilities.forEachProperty(a,function(S,w){return u.paths[S]=w}):s==="config"&&typeof u.config!="undefined"?F.Utilities.forEachProperty(a,function(S,w){return u.config[S]=w}):u[s]=F.Utilities.recursiveClone(a)}),P.validateConfigurationOptions(u)},P}();F.ConfigurationOptionsUtil=M;var D=function(){function P(o,b){if(this._env=o,this.options=M.mergeConfigurationOptions(b),this._createIgnoreDuplicateModulesMap(),this._createNodeModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""){if(this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){var u=this.options.nodeRequire.main.filename,s=Math.max(u.lastIndexOf("/"),u.lastIndexOf("\\"));this.options.baseUrl=u.substring(0,s+1)}if(this.options.nodeMain&&this._env.isNode){var u=this.options.nodeMain,s=Math.max(u.lastIndexOf("/"),u.lastIndexOf("\\"));this.options.baseUrl=u.substring(0,s+1)}}}return P.prototype._createIgnoreDuplicateModulesMap=function(){this.ignoreDuplicateModulesMap={};for(var o=0;o<this.options.ignoreDuplicateModules.length;o++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[o]]=!0},P.prototype._createNodeModulesMap=function(){this.nodeModulesMap=Object.create(null);for(var o=0,b=this.options.nodeModules;o<b.length;o++){var u=b[o];this.nodeModulesMap[u]=!0}},P.prototype._createSortedPathsRules=function(){var o=this;this.sortedPathsRules=[],F.Utilities.forEachProperty(this.options.paths,function(b,u){Array.isArray(u)?o.sortedPathsRules.push({from:b,to:u}):o.sortedPathsRules.push({from:b,to:[u]})}),this.sortedPathsRules.sort(function(b,u){return u.from.length-b.from.length})},P.prototype.cloneAndMerge=function(o){return new P(this._env,M.mergeConfigurationOptions(o,this.options))},P.prototype.getOptionsLiteral=function(){return this.options},P.prototype._applyPaths=function(o){for(var b,u=0,s=this.sortedPathsRules.length;u<s;u++)if(b=this.sortedPathsRules[u],F.Utilities.startsWith(o,b.from)){for(var a=[],S=0,w=b.to.length;S<w;S++)a.push(b.to[S]+o.substr(b.from.length));return a}return[o]},P.prototype._addUrlArgsToUrl=function(o){return F.Utilities.containsQueryString(o)?o+"&"+this.options.urlArgs:o+"?"+this.options.urlArgs},P.prototype._addUrlArgsIfNecessaryToUrl=function(o){return this.options.urlArgs?this._addUrlArgsToUrl(o):o},P.prototype._addUrlArgsIfNecessaryToUrls=function(o){if(this.options.urlArgs)for(var b=0,u=o.length;b<u;b++)o[b]=this._addUrlArgsToUrl(o[b]);return o},P.prototype.moduleIdToPaths=function(o){var b=this.nodeModulesMap[o]===!0||this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(o);if(b)return this.isBuild()?["empty:"]:["node|"+o];var u=o,s;if(!F.Utilities.endsWith(u,".js")&&!F.Utilities.isAbsolutePath(u)){s=this._applyPaths(u);for(var a=0,S=s.length;a<S;a++)this.isBuild()&&s[a]==="empty:"||(F.Utilities.isAbsolutePath(s[a])||(s[a]=this.options.baseUrl+s[a]),!F.Utilities.endsWith(s[a],".js")&&!F.Utilities.containsQueryString(s[a])&&(s[a]=s[a]+".js"))}else!F.Utilities.endsWith(u,".js")&&!F.Utilities.containsQueryString(u)&&(u=u+".js"),s=[u];return this._addUrlArgsIfNecessaryToUrls(s)},P.prototype.requireToUrl=function(o){var b=o;return F.Utilities.isAbsolutePath(b)||(b=this._applyPaths(b)[0],F.Utilities.isAbsolutePath(b)||(b=this.options.baseUrl+b)),this._addUrlArgsIfNecessaryToUrl(b)},P.prototype.isBuild=function(){return this.options.isBuild},P.prototype.isDuplicateMessageIgnoredFor=function(o){return this.ignoreDuplicateModulesMap.hasOwnProperty(o)},P.prototype.getConfigForModule=function(o){if(this.options.config)return this.options.config[o]},P.prototype.shouldCatchError=function(){return this.options.catchError},P.prototype.shouldRecordStats=function(){return this.options.recordStats},P.prototype.onError=function(o){this.options.onError(o)},P}();F.Configuration=D})(K||(K={}));var K;(function(F){var t=function(){function u(s){this._env=s,this._scriptLoader=null,this._callbackMap={}}return u.prototype.load=function(s,a,S,w){var g=this;if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new D;else if(this._env.isElectronRenderer){var c=s.getConfig().getOptionsLiteral().preferScriptTags;c?this._scriptLoader=new M:this._scriptLoader=new P(this._env)}else this._env.isNode?this._scriptLoader=new P(this._env):this._scriptLoader=new M;var m={callback:S,errorback:w};if(this._callbackMap.hasOwnProperty(a)){this._callbackMap[a].push(m);return}this._callbackMap[a]=[m],this._scriptLoader.load(s,a,function(){return g.triggerCallback(a)},function(N){return g.triggerErrorback(a,N)})},u.prototype.triggerCallback=function(s){var a=this._callbackMap[s];delete this._callbackMap[s];for(var S=0;S<a.length;S++)a[S].callback()},u.prototype.triggerErrorback=function(s,a){var S=this._callbackMap[s];delete this._callbackMap[s];for(var w=0;w<S.length;w++)S[w].errorback(a)},u}(),M=function(){function u(){}return u.prototype.attachListeners=function(s,a,S){var w=function(){s.removeEventListener("load",g),s.removeEventListener("error",c)},g=function(m){w(),a()},c=function(m){w(),S(m)};s.addEventListener("load",g),s.addEventListener("error",c)},u.prototype.load=function(s,a,S,w){if(/^node\|/.test(a)){var g=s.getConfig().getOptionsLiteral(),c=o(s.getRecorder(),g.nodeRequire||F.global.nodeRequire),m=a.split("|"),N=null;try{N=c(m[1])}catch(i){w(i);return}s.enqueueDefineAnonymousModule([],function(){return N}),S()}else{var v=document.createElement("script");v.setAttribute("async","async"),v.setAttribute("type","text/javascript"),this.attachListeners(v,S,w);var _=s.getConfig().getOptionsLiteral().trustedTypesPolicy;_&&(a=_.createScriptURL(a)),v.setAttribute("src",a);var n=s.getConfig().getOptionsLiteral().cspNonce;n&&v.setAttribute("nonce",n),document.getElementsByTagName("head")[0].appendChild(v)}},u}(),D=function(){function u(){}return u.prototype.load=function(s,a,S,w){var g=s.getConfig().getOptionsLiteral().trustedTypesPolicy;g&&(a=g.createScriptURL(a));try{importScripts(a),S()}catch(c){w(c)}},u}(),P=function(){function u(s){this._env=s,this._didInitialize=!1,this._didPatchNodeRequire=!1}return u.prototype._init=function(s){this._didInitialize||(this._didInitialize=!0,this._fs=s("fs"),this._vm=s("vm"),this._path=s("path"),this._crypto=s("crypto"))},u.prototype._initNodeRequire=function(s,a){var S=a.getConfig().getOptionsLiteral().nodeCachedData;if(!!S&&!this._didPatchNodeRequire){this._didPatchNodeRequire=!0;var w=this,g=s("module");function c(m){var N=m.constructor,v=function(n){try{return m.require(n)}finally{}};return v.resolve=function(n,i){return N._resolveFilename(n,m,!1,i)},v.main=process.mainModule,v.extensions=N._extensions,v.cache=N._cache,v}g.prototype._compile=function(m,N){var v=g.wrap(m.replace(/^#!.*/,"")),_=a.getRecorder(),n=w._getCachedDataPath(S,N),i={filename:N},r;try{var l=w._fs.readFileSync(n);r=l.slice(0,16),i.cachedData=l.slice(16),_.record(60,n)}catch(p){_.record(61,n)}var f=new w._vm.Script(v,i),L=f.runInThisContext(i),d=w._path.dirname(N),E=c(this),h=[this.exports,E,this,N,d,process,me,Buffer],C=L.apply(this.exports,h);return w._handleCachedData(f,v,n,!i.cachedData,a),w._verifyCachedData(f,v,n,r,a),C}}},u.prototype.load=function(s,a,S,w){var g=this,c=s.getConfig().getOptionsLiteral(),m=o(s.getRecorder(),c.nodeRequire||F.global.nodeRequire),N=c.nodeInstrumenter||function(L){return L};this._init(m),this._initNodeRequire(m,s);var v=s.getRecorder();if(/^node\|/.test(a)){var _=a.split("|"),n=null;try{n=m(_[1])}catch(L){w(L);return}s.enqueueDefineAnonymousModule([],function(){return n}),S()}else{a=F.Utilities.fileUriToFilePath(this._env.isWindows,a);var i=this._path.normalize(a),r=this._getElectronRendererScriptPathOrUri(i),l=Boolean(c.nodeCachedData),f=l?this._getCachedDataPath(c.nodeCachedData,a):void 0;this._readSourceAndCachedData(i,f,v,function(L,d,E,h){if(L){w(L);return}var C;d.charCodeAt(0)===u._BOM?C=u._PREFIX+d.substring(1)+u._SUFFIX:C=u._PREFIX+d+u._SUFFIX,C=N(C,i);var p={filename:r,cachedData:E},I=g._createAndEvalScript(s,C,p,S,w);g._handleCachedData(I,C,f,l&&!E,s),g._verifyCachedData(I,C,f,h,s)})}},u.prototype._createAndEvalScript=function(s,a,S,w,g){var c=s.getRecorder();c.record(31,S.filename);var m=new this._vm.Script(a,S),N=m.runInThisContext(S),v=s.getGlobalAMDDefineFunc(),_=!1,n=function(){return _=!0,v.apply(null,arguments)};return n.amd=v.amd,N.call(F.global,s.getGlobalAMDRequireFunc(),n,S.filename,this._path.dirname(S.filename)),c.record(32,S.filename),_?w():g(new Error("Didn't receive define call in "+S.filename+"!")),m},u.prototype._getElectronRendererScriptPathOrUri=function(s){if(!this._env.isElectronRenderer)return s;var a=s.match(/^([a-z])\:(.*)/i);return a?"file:///"+(a[1].toUpperCase()+":"+a[2]).replace(/\\/g,"/"):"file://"+s},u.prototype._getCachedDataPath=function(s,a){var S=this._crypto.createHash("md5").update(a,"utf8").update(s.seed,"utf8").update(process.arch,"").digest("hex"),w=this._path.basename(a).replace(/\.js$/,"");return this._path.join(s.path,w+"-"+S+".code")},u.prototype._handleCachedData=function(s,a,S,w,g){var c=this;s.cachedDataRejected?this._fs.unlink(S,function(m){g.getRecorder().record(62,S),c._createAndWriteCachedData(s,a,S,g),m&&g.getConfig().onError(m)}):w&&this._createAndWriteCachedData(s,a,S,g)},u.prototype._createAndWriteCachedData=function(s,a,S,w){var g=this,c=Math.ceil(w.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),m=-1,N=0,v=void 0,_=function(){setTimeout(function(){v||(v=g._crypto.createHash("md5").update(a,"utf8").digest());var n=s.createCachedData();if(!(n.length===0||n.length===m||N>=5)){if(n.length<m){_();return}m=n.length,g._fs.writeFile(S,Buffer.concat([v,n]),function(i){i&&w.getConfig().onError(i),w.getRecorder().record(63,S),_()})}},c*Math.pow(4,N++))};_()},u.prototype._readSourceAndCachedData=function(s,a,S,w){if(!a)this._fs.readFile(s,{encoding:"utf8"},w);else{var g=void 0,c=void 0,m=void 0,N=2,v=function(_){_?w(_):--N==0&&w(void 0,g,c,m)};this._fs.readFile(s,{encoding:"utf8"},function(_,n){g=n,v(_)}),this._fs.readFile(a,function(_,n){!_&&n&&n.length>0?(m=n.slice(0,16),c=n.slice(16),S.record(60,a)):S.record(61,a),v()})}},u.prototype._verifyCachedData=function(s,a,S,w,g){var c=this;!w||s.cachedDataRejected||setTimeout(function(){var m=c._crypto.createHash("md5").update(a,"utf8").digest();w.equals(m)||(g.getConfig().onError(new Error("FAILED TO VERIFY CACHED DATA, deleting stale '"+S+"' now, but a RESTART IS REQUIRED")),c._fs.unlink(S,function(N){N&&g.getConfig().onError(N)}))},Math.ceil(5e3*(1+Math.random())))},u._BOM=65279,u._PREFIX="(function (require, define, __filename, __dirname) { ",u._SUFFIX=`
});`,u}();function o(u,s){if(s.__$__isRecorded)return s;var a=function(w){u.record(33,w);try{return s(w)}finally{u.record(34,w)}};return a.__$__isRecorded=!0,a}F.ensureRecordedNodeRequire=o;function b(u){return new t(u)}F.createScriptLoader=b})(K||(K={}));var K;(function(F){var t=function(){function u(s){var a=s.lastIndexOf("/");a!==-1?this.fromModulePath=s.substr(0,a+1):this.fromModulePath=""}return u._normalizeModuleId=function(s){var a=s,S;for(S=/\/\.\//;S.test(a);)a=a.replace(S,"/");for(a=a.replace(/^\.\//g,""),S=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;S.test(a);)a=a.replace(S,"/");return a=a.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),a},u.prototype.resolveModule=function(s){var a=s;return F.Utilities.isAbsolutePath(a)||(F.Utilities.startsWith(a,"./")||F.Utilities.startsWith(a,"../"))&&(a=u._normalizeModuleId(this.fromModulePath+a)),a},u.ROOT=new u(""),u}();F.ModuleIdResolver=t;var M=function(){function u(s,a,S,w,g,c){this.id=s,this.strId=a,this.dependencies=S,this._callback=w,this._errorback=g,this.moduleIdResolver=c,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}return u._safeInvokeFunction=function(s,a){try{return{returnedValue:s.apply(F.global,a),producedError:null}}catch(S){return{returnedValue:null,producedError:S}}},u._invokeFactory=function(s,a,S,w){return s.isBuild()&&!F.Utilities.isAnonymousModule(a)?{returnedValue:null,producedError:null}:s.shouldCatchError()?this._safeInvokeFunction(S,w):{returnedValue:S.apply(F.global,w),producedError:null}},u.prototype.complete=function(s,a,S){this._isComplete=!0;var w=null;if(this._callback)if(typeof this._callback=="function"){s.record(21,this.strId);var g=u._invokeFactory(a,this.strId,this._callback,S);w=g.producedError,s.record(22,this.strId),!w&&typeof g.returnedValue!="undefined"&&(!this.exportsPassedIn||F.Utilities.isEmpty(this.exports))&&(this.exports=g.returnedValue)}else this.exports=this._callback;if(w){var c=F.ensureError(w);c.phase="factory",c.moduleId=this.strId,this.error=c,a.onError(c)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null},u.prototype.onDependencyError=function(s){return this._isComplete=!0,this.error=s,this._errorback?(this._errorback(s),!0):!1},u.prototype.isComplete=function(){return this._isComplete},u}();F.Module=M;var D=function(){function u(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}return u.prototype.getMaxModuleId=function(){return this._nextId},u.prototype.getModuleId=function(s){var a=this._strModuleIdToIntModuleId.get(s);return typeof a=="undefined"&&(a=this._nextId++,this._strModuleIdToIntModuleId.set(s,a),this._intModuleIdToStrModuleId[a]=s),a},u.prototype.getStrModuleId=function(s){return this._intModuleIdToStrModuleId[s]},u}(),P=function(){function u(s){this.id=s}return u.EXPORTS=new u(0),u.MODULE=new u(1),u.REQUIRE=new u(2),u}();F.RegularDependency=P;var o=function(){function u(s,a,S){this.id=s,this.pluginId=a,this.pluginParam=S}return u}();F.PluginDependency=o;var b=function(){function u(s,a,S,w,g){g===void 0&&(g=0),this._env=s,this._scriptLoader=a,this._loaderAvailableTimestamp=g,this._defineFunc=S,this._requireFunc=w,this._moduleIdProvider=new D,this._config=new F.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[]}return u.prototype.reset=function(){return new u(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)},u.prototype.getGlobalAMDDefineFunc=function(){return this._defineFunc},u.prototype.getGlobalAMDRequireFunc=function(){return this._requireFunc},u._findRelevantLocationInStack=function(s,a){for(var S=function(r){return r.replace(/\\/g,"/")},w=S(s),g=a.split(/\n/),c=0;c<g.length;c++){var m=g[c].match(/(.*):(\d+):(\d+)\)?$/);if(m){var N=m[1],v=m[2],_=m[3],n=Math.max(N.lastIndexOf(" ")+1,N.lastIndexOf("(")+1);if(N=N.substr(n),N=S(N),N===w){var i={line:parseInt(v,10),col:parseInt(_,10)};return i.line===1&&(i.col-="(function (require, define, __filename, __dirname) { ".length),i}}}throw new Error("Could not correlate define call site for needle "+s)},u.prototype.getBuildInfo=function(){if(!this._config.isBuild())return null;for(var s=[],a=0,S=0,w=this._modules2.length;S<w;S++){var g=this._modules2[S];if(!!g){var c=this._buildInfoPath[g.id]||null,m=this._buildInfoDefineStack[g.id]||null,N=this._buildInfoDependencies[g.id];s[a++]={id:g.strId,path:c,defineLocation:c&&m?u._findRelevantLocationInStack(c,m):null,dependencies:N,shim:null,exports:g.exports}}}return s},u.prototype.getRecorder=function(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new F.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=F.NullLoaderEventRecorder.INSTANCE),this._recorder},u.prototype.getLoaderEvents=function(){return this.getRecorder().getEvents()},u.prototype.enqueueDefineAnonymousModule=function(s,a){if(this._currentAnnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");var S=null;this._config.isBuild()&&(S=new Error("StackLocation").stack||null),this._currentAnnonymousDefineCall={stack:S,dependencies:s,callback:a}},u.prototype.defineModule=function(s,a,S,w,g,c){var m=this;c===void 0&&(c=new t(s));var N=this._moduleIdProvider.getModuleId(s);if(this._modules2[N]){this._config.isDuplicateMessageIgnoredFor(s)||console.warn("Duplicate definition of module '"+s+"'");return}var v=new M(N,s,this._normalizeDependencies(a,c),S,w,c);this._modules2[N]=v,this._config.isBuild()&&(this._buildInfoDefineStack[N]=g,this._buildInfoDependencies[N]=(v.dependencies||[]).map(function(_){return m._moduleIdProvider.getStrModuleId(_.id)})),this._resolve(v)},u.prototype._normalizeDependency=function(s,a){if(s==="exports")return P.EXPORTS;if(s==="module")return P.MODULE;if(s==="require")return P.REQUIRE;var S=s.indexOf("!");if(S>=0){var w=a.resolveModule(s.substr(0,S)),g=a.resolveModule(s.substr(S+1)),c=this._moduleIdProvider.getModuleId(w+"!"+g),m=this._moduleIdProvider.getModuleId(w);return new o(c,m,g)}return new P(this._moduleIdProvider.getModuleId(a.resolveModule(s)))},u.prototype._normalizeDependencies=function(s,a){for(var S=[],w=0,g=0,c=s.length;g<c;g++)S[w++]=this._normalizeDependency(s[g],a);return S},u.prototype._relativeRequire=function(s,a,S,w){if(typeof a=="string")return this.synchronousRequire(a,s);this.defineModule(F.Utilities.generateAnonymousModule(),a,S,w,null,s)},u.prototype.synchronousRequire=function(s,a){a===void 0&&(a=new t(s));var S=this._normalizeDependency(s,a),w=this._modules2[S.id];if(!w)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+s+"'. This is the first mention of this module!");if(!w.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+s+"'. This module has not been resolved completely yet.");if(w.error)throw w.error;return w.exports},u.prototype.configure=function(s,a){var S=this._config.shouldRecordStats();a?this._config=new F.Configuration(this._env,s):this._config=this._config.cloneAndMerge(s),this._config.shouldRecordStats()&&!S&&(this._recorder=null)},u.prototype.getConfig=function(){return this._config},u.prototype._onLoad=function(s){if(this._currentAnnonymousDefineCall!==null){var a=this._currentAnnonymousDefineCall;this._currentAnnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(s),a.dependencies,a.callback,null,a.stack)}},u.prototype._createLoadError=function(s,a){var S=this,w=this._moduleIdProvider.getStrModuleId(s),g=(this._inverseDependencies2[s]||[]).map(function(m){return S._moduleIdProvider.getStrModuleId(m)}),c=F.ensureError(a);return c.phase="loading",c.moduleId=w,c.neededBy=g,c},u.prototype._onLoadError=function(s,a){var S=this._createLoadError(s,a);this._modules2[s]||(this._modules2[s]=new M(s,this._moduleIdProvider.getStrModuleId(s),[],function(){},function(){},null));for(var w=[],g=0,c=this._moduleIdProvider.getMaxModuleId();g<c;g++)w[g]=!1;var m=!1,N=[];for(N.push(s),w[s]=!0;N.length>0;){var v=N.shift(),_=this._modules2[v];_&&(m=_.onDependencyError(S)||m);var n=this._inverseDependencies2[v];if(n)for(var g=0,c=n.length;g<c;g++){var i=n[g];w[i]||(N.push(i),w[i]=!0)}}m||this._config.onError(S)},u.prototype._hasDependencyPath=function(s,a){var S=this._modules2[s];if(!S)return!1;for(var w=[],g=0,c=this._moduleIdProvider.getMaxModuleId();g<c;g++)w[g]=!1;var m=[];for(m.push(S),w[s]=!0;m.length>0;){var N=m.shift(),v=N.dependencies;if(v)for(var g=0,c=v.length;g<c;g++){var _=v[g];if(_.id===a)return!0;var n=this._modules2[_.id];n&&!w[_.id]&&(w[_.id]=!0,m.push(n))}}return!1},u.prototype._findCyclePath=function(s,a,S){if(s===a||S===50)return[s];var w=this._modules2[s];if(!w)return null;var g=w.dependencies;if(g)for(var c=0,m=g.length;c<m;c++){var N=this._findCyclePath(g[c].id,a,S+1);if(N!==null)return N.push(s),N}return null},u.prototype._createRequire=function(s){var a=this,S=function(w,g,c){return a._relativeRequire(s,w,g,c)};return S.toUrl=function(w){return a._config.requireToUrl(s.resolveModule(w))},S.getStats=function(){return a.getLoaderEvents()},S.hasDependencyCycle=function(){return a._hasDependencyCycle},S.config=function(w,g){g===void 0&&(g=!1),a.configure(w,g)},S.__$__nodeRequire=F.global.nodeRequire,S},u.prototype._loadModule=function(s){var a=this;if(!(this._modules2[s]||this._knownModules2[s])){this._knownModules2[s]=!0;var S=this._moduleIdProvider.getStrModuleId(s),w=this._config.moduleIdToPaths(S),g=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(S.indexOf("/")===-1||g.test(S))&&w.push("node|"+S);var c=-1,m=function(N){if(c++,c>=w.length)a._onLoadError(s,N);else{var v=w[c],_=a.getRecorder();if(a._config.isBuild()&&v==="empty:"){a._buildInfoPath[s]=v,a.defineModule(a._moduleIdProvider.getStrModuleId(s),[],null,null,null),a._onLoad(s);return}_.record(10,v),a._scriptLoader.load(a,v,function(){a._config.isBuild()&&(a._buildInfoPath[s]=v),_.record(11,v),a._onLoad(s)},function(n){_.record(12,v),m(n)})}};m(null)}},u.prototype._loadPluginDependency=function(s,a){var S=this;if(!(this._modules2[a.id]||this._knownModules2[a.id])){this._knownModules2[a.id]=!0;var w=function(g){S.defineModule(S._moduleIdProvider.getStrModuleId(a.id),[],g,null,null)};w.error=function(g){S._config.onError(S._createLoadError(a.id,g))},s.load(a.pluginParam,this._createRequire(t.ROOT),w,this._config.getOptionsLiteral())}},u.prototype._resolve=function(s){var a=this,S=s.dependencies;if(S)for(var w=0,g=S.length;w<g;w++){var c=S[w];if(c===P.EXPORTS){s.exportsPassedIn=!0,s.unresolvedDependenciesCount--;continue}if(c===P.MODULE){s.unresolvedDependenciesCount--;continue}if(c===P.REQUIRE){s.unresolvedDependenciesCount--;continue}var m=this._modules2[c.id];if(m&&m.isComplete()){if(m.error){s.onDependencyError(m.error);return}s.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(c.id,s.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(c.id)+"' and '"+this._moduleIdProvider.getStrModuleId(s.id)+"'. The cyclic path follows:");var N=this._findCyclePath(c.id,s.id,0)||[];N.reverse(),N.push(c.id),console.warn(N.map(function(n){return a._moduleIdProvider.getStrModuleId(n)}).join(` => 
`)),s.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[c.id]=this._inverseDependencies2[c.id]||[],this._inverseDependencies2[c.id].push(s.id),c instanceof o){var v=this._modules2[c.pluginId];if(v&&v.isComplete()){this._loadPluginDependency(v.exports,c);continue}var _=this._inversePluginDependencies2.get(c.pluginId);_||(_=[],this._inversePluginDependencies2.set(c.pluginId,_)),_.push(c),this._loadModule(c.pluginId);continue}this._loadModule(c.id)}s.unresolvedDependenciesCount===0&&this._onModuleComplete(s)},u.prototype._onModuleComplete=function(s){var a=this,S=this.getRecorder();if(!s.isComplete()){var w=s.dependencies,g=[];if(w)for(var c=0,m=w.length;c<m;c++){var N=w[c];if(N===P.EXPORTS){g[c]=s.exports;continue}if(N===P.MODULE){g[c]={id:s.strId,config:function(){return a._config.getConfigForModule(s.strId)}};continue}if(N===P.REQUIRE){g[c]=this._createRequire(s.moduleIdResolver);continue}var v=this._modules2[N.id];if(v){g[c]=v.exports;continue}g[c]=null}s.complete(S,this._config,g);var _=this._inverseDependencies2[s.id];if(this._inverseDependencies2[s.id]=null,_)for(var c=0,m=_.length;c<m;c++){var n=_[c],i=this._modules2[n];i.unresolvedDependenciesCount--,i.unresolvedDependenciesCount===0&&this._onModuleComplete(i)}var r=this._inversePluginDependencies2.get(s.id);if(r){this._inversePluginDependencies2.delete(s.id);for(var c=0,m=r.length;c<m;c++)this._loadPluginDependency(s.exports,r[c])}}},u}();F.ModuleManager=b})(K||(K={}));var G,K;(function(F){var t=new F.Environment,M=null,D=function(u,s,a){typeof u!="string"&&(a=s,s=u,u=null),(typeof s!="object"||!Array.isArray(s))&&(a=s,s=null),s||(s=["require","exports","module"]),u?M.defineModule(u,s,a,null,null):M.enqueueDefineAnonymousModule(s,a)};D.amd={jQuery:!0};var P=function(u,s){s===void 0&&(s=!1),M.configure(u,s)},o=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){P(arguments[0]);return}if(typeof arguments[0]=="string")return M.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){M.defineModule(F.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};o.config=P,o.getConfig=function(){return M.getConfig().getOptionsLiteral()},o.reset=function(){M=M.reset()},o.getBuildInfo=function(){return M.getBuildInfo()},o.getStats=function(){return M.getLoaderEvents()},o.define=function(){return D.apply(null,arguments)};function b(){if(typeof F.global.require!="undefined"||typeof require!="undefined"){var u=F.global.require||require;if(typeof u=="function"&&typeof u.resolve=="function"){var s=F.ensureRecordedNodeRequire(M.getRecorder(),u);F.global.nodeRequire=s,o.nodeRequire=s,o.__$__nodeRequire=s}}t.isNode&&!t.isElectronRenderer?(module.exports=o,require=o):(t.isElectronRenderer||(F.global.define=D),F.global.require=o)}F.init=b,(typeof F.global.define!="function"||!F.global.define.amd)&&(M=new F.ModuleManager(t,F.createScriptLoader(t),D,o,F.Utilities.getHighPerformanceTimestamp()),typeof F.global.require!="undefined"&&typeof F.global.require!="function"&&o.config(F.global.require),G=function(){return D.apply(null,arguments)},G.amd=D.amd,typeof doNotInitLoader=="undefined"&&b())})(K||(K={}));"use strict";var _e=this,fe;(function(F){var t=_e||{},M=t.Plugin&&t.Plugin.Resources?t.Plugin.Resources:void 0,D=t&&t.document&&t.document.location&&t.document.location.hash.indexOf("pseudo=true")>=0;function P(a,S){var w;return S.length===0?w=a:w=a.replace(/\{(\d+)\}/g,function(g,c){var m=c[0];return typeof S[m]!="undefined"?S[m]:g}),D&&(w="\uFF3B"+w.replace(/[aouei]/g,"$&$&")+"\uFF3D"),w}function o(a,S){var w=a[S];return w||(w=a["*"],w)?w:null}function b(a,S){for(var w=[],g=0;g<arguments.length-2;g++)w[g]=arguments[g+2];return P(S,w)}function u(a){return function(S,w){var g=Array.prototype.slice.call(arguments,2);return P(a[S],g)}}var s=function(){function a(){this.localize=b}return a.prototype.setPseudoTranslation=function(S){D=S},a.prototype.create=function(S,w){return{localize:u(w[S])}},a.prototype.load=function(S,w,g,c){if(c=c||{},!S||S.length===0)g({localize:b});else{var m=void 0;if(M&&M.getString)m=".nls.keys",w([S+m],function(_){g({localize:function(n,i){if(!_[n])return"NLS error: unknown key "+n;var r=_[n].keys;if(i>=r.length)return"NLS error unknow index "+i;var l=r[i],f=[];f[0]=n+"_"+l;for(var L=0;L<arguments.length-2;L++)f[L+1]=arguments[L+2];return M.getString.apply(M,f)}})});else if(c.isBuild)w([S+".nls",S+".nls.keys"],function(_,n){a.BUILD_MAP[S]=_,a.BUILD_MAP_KEYS[S]=n,g(_)});else{var N=c["vs/nls"]||{},v=N.availableLanguages?o(N.availableLanguages,S):null;m=".nls",v!==null&&v!==a.DEFAULT_TAG&&(m=m+"."+v),w([S+m],function(_){Array.isArray(_)?_.localize=u(_):_.localize=u(_[S]),g(_)})}}},a.prototype._getEntryPointsMap=function(){return t.nlsPluginEntryPoints=t.nlsPluginEntryPoints||{},t.nlsPluginEntryPoints},a.prototype.write=function(S,w,g){var c=g.getEntryPoint(),m=this._getEntryPointsMap();m[c]=m[c]||[],m[c].push(w),w!==c&&g.asModule(S+"!"+w,"define(['vs/nls', 'vs/nls!"+c+`'], function(nls, data) { return nls.create("`+w+'", data); });')},a.prototype.writeFile=function(S,w,g,c,m){var N=this._getEntryPointsMap();if(N.hasOwnProperty(w)){for(var v=g.toUrl(w+".nls.js"),_=["/*---------------------------------------------------------"," * Copyright (c) Microsoft Corporation. All rights reserved."," *--------------------------------------------------------*/"],n=N[w],i={},r=0;r<n.length;r++)i[n[r]]=a.BUILD_MAP[n[r]];_.push('define("'+w+'.nls", '+JSON.stringify(i,null,"	")+");"),c(v,_.join(`\r
`))}},a.prototype.finishBuild=function(S){S("nls.metadata.json",JSON.stringify({keys:a.BUILD_MAP_KEYS,messages:a.BUILD_MAP,bundles:this._getEntryPointsMap()},null,"	"))},a.DEFAULT_TAG="i-default",a.BUILD_MAP={},a.BUILD_MAP_KEYS={},a}();F.NLSPlugin=s,function(){G("vs/nls",new s)}()})(fe||(fe={})),G(Q[15],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffChange=void 0;class M{constructor(P,o,b,u){this.originalStart=P,this.originalLength=o,this.modifiedStart=b,this.modifiedLength=u}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}t.DiffChange=M}),G(Q[4],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createErrorWithActions=t.isErrorWithActions=t.ExpectedError=t.NotSupportedError=t.NotImplementedError=t.getErrorMessage=t.disposed=t.readonly=t.illegalState=t.illegalArgument=t.canceled=t.CancellationError=t.isPromiseCanceledError=t.transformErrorForSerialization=t.onUnexpectedExternalError=t.onUnexpectedError=t.setUnexpectedErrorHandler=t.errorHandler=t.ErrorHandler=void 0;class M{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(f){setTimeout(()=>{throw f.stack?new Error(f.message+`

`+f.stack):f},0)}}addListener(f){return this.listeners.push(f),()=>{this._removeListener(f)}}emit(f){this.listeners.forEach(L=>{L(f)})}_removeListener(f){this.listeners.splice(this.listeners.indexOf(f),1)}setUnexpectedErrorHandler(f){this.unexpectedErrorHandler=f}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(f){this.unexpectedErrorHandler(f),this.emit(f)}onUnexpectedExternalError(f){this.unexpectedErrorHandler(f)}}t.ErrorHandler=M,t.errorHandler=new M;function D(l){t.errorHandler.setUnexpectedErrorHandler(l)}t.setUnexpectedErrorHandler=D;function P(l){s(l)||t.errorHandler.onUnexpectedError(l)}t.onUnexpectedError=P;function o(l){s(l)||t.errorHandler.onUnexpectedExternalError(l)}t.onUnexpectedExternalError=o;function b(l){if(l instanceof Error){let{name:f,message:L}=l;const d=l.stacktrace||l.stack;return{$isError:!0,name:f,message:L,stack:d}}return l}t.transformErrorForSerialization=b;const u="Canceled";function s(l){return l instanceof Error&&l.name===u&&l.message===u}t.isPromiseCanceledError=s;class a extends Error{constructor(){super(u);this.name=this.message}}t.CancellationError=a;function S(){const l=new Error(u);return l.name=l.message,l}t.canceled=S;function w(l){return l?new Error(`Illegal argument: ${l}`):new Error("Illegal argument")}t.illegalArgument=w;function g(l){return l?new Error(`Illegal state: ${l}`):new Error("Illegal state")}t.illegalState=g;function c(l){return l?new Error(`readonly property '${l} cannot be changed'`):new Error("readonly property cannot be changed")}t.readonly=c;function m(l){const f=new Error(`${l} has been disposed`);return f.name="DISPOSED",f}t.disposed=m;function N(l){return l?l.message?l.message:l.stack?l.stack.split(`
`)[0]:String(l):"Error"}t.getErrorMessage=N;class v extends Error{constructor(f){super("NotImplemented");f&&(this.message=f)}}t.NotImplementedError=v;class _ extends Error{constructor(f){super("NotSupported");f&&(this.message=f)}}t.NotSupportedError=_;class n extends Error{constructor(){super(...arguments);this.isExpected=!0}}t.ExpectedError=n;function i(l){const f=l;return f instanceof Error&&Array.isArray(f.actions)}t.isErrorWithActions=i;function r(l,f=Object.create(null)){const L=new Error(l);return f.actions&&(L.actions=f.actions),L}t.createErrorWithActions=r}),G(Q[7],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=void 0;function M(D){const P=this;let o=!1,b;return function(){return o||(o=!0,b=D.apply(P,arguments)),b}}t.once=M}),G(Q[16],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Iterable=void 0;var M;(function(D){function P(l){return l&&typeof l=="object"&&typeof l[Symbol.iterator]=="function"}D.is=P;const o=Object.freeze([]);function b(){return o}D.empty=b;function*u(l){yield l}D.single=u;function s(l){return l||o}D.from=s;function a(l){return!l||l[Symbol.iterator]().next().done===!0}D.isEmpty=a;function S(l){return l[Symbol.iterator]().next().value}D.first=S;function w(l,f){for(const L of l)if(f(L))return!0;return!1}D.some=w;function g(l,f){for(const L of l)if(f(L))return L}D.find=g;function*c(l,f){for(const L of l)f(L)&&(yield L)}D.filter=c;function*m(l,f){for(const L of l)yield f(L)}D.map=m;function*N(...l){for(const f of l)for(const L of f)yield L}D.concat=N;function*v(l){for(const f of l)for(const L of f)yield L}D.concatNested=v;function _(l,f,L){let d=L;for(const E of l)d=f(d,E);return d}D.reduce=_;function*n(l,f,L=l.length){for(f<0&&(f+=l.length),L<0?L+=l.length:L>l.length&&(L=l.length);f<L;f++)yield l[f]}D.slice=n;function i(l,f=Number.POSITIVE_INFINITY){const L=[];if(f===0)return[L,l];const d=l[Symbol.iterator]();for(let E=0;E<f;E++){const h=d.next();if(h.done)return[L,D.empty()];L.push(h.value)}return[L,{[Symbol.iterator](){return d}}]}D.consume=i;function r(l,f,L=(d,E)=>d===E){const d=l[Symbol.iterator](),E=f[Symbol.iterator]();for(;;){const h=d.next(),C=E.next();if(h.done!==C.done)return!1;if(h.done)return!0;if(!L(h.value,C.value))return!1}}D.equals=r})(M=t.Iterable||(t.Iterable={}))}),G(Q[17],X([0,1,4]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ResolvedKeybinding=t.ResolvedKeybindingPart=t.ChordKeybinding=t.SimpleKeybinding=t.createSimpleKeybinding=t.createKeybinding=t.KeyChord=t.KeyMod=t.KeyCodeUtils=t.KeyCode=void 0;var D;(function(n){n[n.Unknown=0]="Unknown",n[n.Backspace=1]="Backspace",n[n.Tab=2]="Tab",n[n.Enter=3]="Enter",n[n.Shift=4]="Shift",n[n.Ctrl=5]="Ctrl",n[n.Alt=6]="Alt",n[n.PauseBreak=7]="PauseBreak",n[n.CapsLock=8]="CapsLock",n[n.Escape=9]="Escape",n[n.Space=10]="Space",n[n.PageUp=11]="PageUp",n[n.PageDown=12]="PageDown",n[n.End=13]="End",n[n.Home=14]="Home",n[n.LeftArrow=15]="LeftArrow",n[n.UpArrow=16]="UpArrow",n[n.RightArrow=17]="RightArrow",n[n.DownArrow=18]="DownArrow",n[n.Insert=19]="Insert",n[n.Delete=20]="Delete",n[n.KEY_0=21]="KEY_0",n[n.KEY_1=22]="KEY_1",n[n.KEY_2=23]="KEY_2",n[n.KEY_3=24]="KEY_3",n[n.KEY_4=25]="KEY_4",n[n.KEY_5=26]="KEY_5",n[n.KEY_6=27]="KEY_6",n[n.KEY_7=28]="KEY_7",n[n.KEY_8=29]="KEY_8",n[n.KEY_9=30]="KEY_9",n[n.KEY_A=31]="KEY_A",n[n.KEY_B=32]="KEY_B",n[n.KEY_C=33]="KEY_C",n[n.KEY_D=34]="KEY_D",n[n.KEY_E=35]="KEY_E",n[n.KEY_F=36]="KEY_F",n[n.KEY_G=37]="KEY_G",n[n.KEY_H=38]="KEY_H",n[n.KEY_I=39]="KEY_I",n[n.KEY_J=40]="KEY_J",n[n.KEY_K=41]="KEY_K",n[n.KEY_L=42]="KEY_L",n[n.KEY_M=43]="KEY_M",n[n.KEY_N=44]="KEY_N",n[n.KEY_O=45]="KEY_O",n[n.KEY_P=46]="KEY_P",n[n.KEY_Q=47]="KEY_Q",n[n.KEY_R=48]="KEY_R",n[n.KEY_S=49]="KEY_S",n[n.KEY_T=50]="KEY_T",n[n.KEY_U=51]="KEY_U",n[n.KEY_V=52]="KEY_V",n[n.KEY_W=53]="KEY_W",n[n.KEY_X=54]="KEY_X",n[n.KEY_Y=55]="KEY_Y",n[n.KEY_Z=56]="KEY_Z",n[n.Meta=57]="Meta",n[n.ContextMenu=58]="ContextMenu",n[n.F1=59]="F1",n[n.F2=60]="F2",n[n.F3=61]="F3",n[n.F4=62]="F4",n[n.F5=63]="F5",n[n.F6=64]="F6",n[n.F7=65]="F7",n[n.F8=66]="F8",n[n.F9=67]="F9",n[n.F10=68]="F10",n[n.F11=69]="F11",n[n.F12=70]="F12",n[n.F13=71]="F13",n[n.F14=72]="F14",n[n.F15=73]="F15",n[n.F16=74]="F16",n[n.F17=75]="F17",n[n.F18=76]="F18",n[n.F19=77]="F19",n[n.NumLock=78]="NumLock",n[n.ScrollLock=79]="ScrollLock",n[n.US_SEMICOLON=80]="US_SEMICOLON",n[n.US_EQUAL=81]="US_EQUAL",n[n.US_COMMA=82]="US_COMMA",n[n.US_MINUS=83]="US_MINUS",n[n.US_DOT=84]="US_DOT",n[n.US_SLASH=85]="US_SLASH",n[n.US_BACKTICK=86]="US_BACKTICK",n[n.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",n[n.US_BACKSLASH=88]="US_BACKSLASH",n[n.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",n[n.US_QUOTE=90]="US_QUOTE",n[n.OEM_8=91]="OEM_8",n[n.OEM_102=92]="OEM_102",n[n.NUMPAD_0=93]="NUMPAD_0",n[n.NUMPAD_1=94]="NUMPAD_1",n[n.NUMPAD_2=95]="NUMPAD_2",n[n.NUMPAD_3=96]="NUMPAD_3",n[n.NUMPAD_4=97]="NUMPAD_4",n[n.NUMPAD_5=98]="NUMPAD_5",n[n.NUMPAD_6=99]="NUMPAD_6",n[n.NUMPAD_7=100]="NUMPAD_7",n[n.NUMPAD_8=101]="NUMPAD_8",n[n.NUMPAD_9=102]="NUMPAD_9",n[n.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",n[n.NUMPAD_ADD=104]="NUMPAD_ADD",n[n.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",n[n.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",n[n.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",n[n.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",n[n.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",n[n.ABNT_C1=110]="ABNT_C1",n[n.ABNT_C2=111]="ABNT_C2",n[n.MAX_VALUE=112]="MAX_VALUE"})(D=t.KeyCode||(t.KeyCode={}));class P{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(i,r){this._keyCodeToStr[i]=r,this._strToKeyCode[r.toLowerCase()]=i}keyCodeToStr(i){return this._keyCodeToStr[i]}strToKeyCode(i){return this._strToKeyCode[i.toLowerCase()]||0}}const o=new P,b=new P,u=new P;(function(){function n(i,r,l=r,f=l){o.define(i,r),b.define(i,l),u.define(i,f)}n(0,"unknown"),n(1,"Backspace"),n(2,"Tab"),n(3,"Enter"),n(4,"Shift"),n(5,"Ctrl"),n(6,"Alt"),n(7,"PauseBreak"),n(8,"CapsLock"),n(9,"Escape"),n(10,"Space"),n(11,"PageUp"),n(12,"PageDown"),n(13,"End"),n(14,"Home"),n(15,"LeftArrow","Left"),n(16,"UpArrow","Up"),n(17,"RightArrow","Right"),n(18,"DownArrow","Down"),n(19,"Insert"),n(20,"Delete"),n(21,"0"),n(22,"1"),n(23,"2"),n(24,"3"),n(25,"4"),n(26,"5"),n(27,"6"),n(28,"7"),n(29,"8"),n(30,"9"),n(31,"A"),n(32,"B"),n(33,"C"),n(34,"D"),n(35,"E"),n(36,"F"),n(37,"G"),n(38,"H"),n(39,"I"),n(40,"J"),n(41,"K"),n(42,"L"),n(43,"M"),n(44,"N"),n(45,"O"),n(46,"P"),n(47,"Q"),n(48,"R"),n(49,"S"),n(50,"T"),n(51,"U"),n(52,"V"),n(53,"W"),n(54,"X"),n(55,"Y"),n(56,"Z"),n(57,"Meta"),n(58,"ContextMenu"),n(59,"F1"),n(60,"F2"),n(61,"F3"),n(62,"F4"),n(63,"F5"),n(64,"F6"),n(65,"F7"),n(66,"F8"),n(67,"F9"),n(68,"F10"),n(69,"F11"),n(70,"F12"),n(71,"F13"),n(72,"F14"),n(73,"F15"),n(74,"F16"),n(75,"F17"),n(76,"F18"),n(77,"F19"),n(78,"NumLock"),n(79,"ScrollLock"),n(80,";",";","OEM_1"),n(81,"=","=","OEM_PLUS"),n(82,",",",","OEM_COMMA"),n(83,"-","-","OEM_MINUS"),n(84,".",".","OEM_PERIOD"),n(85,"/","/","OEM_2"),n(86,"`","`","OEM_3"),n(110,"ABNT_C1"),n(111,"ABNT_C2"),n(87,"[","[","OEM_4"),n(88,"\\","\\","OEM_5"),n(89,"]","]","OEM_6"),n(90,"'","'","OEM_7"),n(91,"OEM_8"),n(92,"OEM_102"),n(93,"NumPad0"),n(94,"NumPad1"),n(95,"NumPad2"),n(96,"NumPad3"),n(97,"NumPad4"),n(98,"NumPad5"),n(99,"NumPad6"),n(100,"NumPad7"),n(101,"NumPad8"),n(102,"NumPad9"),n(103,"NumPad_Multiply"),n(104,"NumPad_Add"),n(105,"NumPad_Separator"),n(106,"NumPad_Subtract"),n(107,"NumPad_Decimal"),n(108,"NumPad_Divide")})();var s;(function(n){function i(d){return o.keyCodeToStr(d)}n.toString=i;function r(d){return o.strToKeyCode(d)}n.fromString=r;function l(d){return b.keyCodeToStr(d)}n.toUserSettingsUS=l;function f(d){return u.keyCodeToStr(d)}n.toUserSettingsGeneral=f;function L(d){return b.strToKeyCode(d)||u.strToKeyCode(d)}n.fromUserSettings=L})(s=t.KeyCodeUtils||(t.KeyCodeUtils={}));var a;(function(n){n[n.CtrlCmd=2048]="CtrlCmd",n[n.Shift=1024]="Shift",n[n.Alt=512]="Alt",n[n.WinCtrl=256]="WinCtrl",n[n.KeyCode=255]="KeyCode"})(a||(a={}));var S;(function(n){n[n.CtrlCmd=2048]="CtrlCmd",n[n.Shift=1024]="Shift",n[n.Alt=512]="Alt",n[n.WinCtrl=256]="WinCtrl"})(S=t.KeyMod||(t.KeyMod={}));function w(n,i){const r=(i&65535)<<16>>>0;return(n|r)>>>0}t.KeyChord=w;function g(n,i){if(n===0)return null;const r=(n&65535)>>>0,l=(n&4294901760)>>>16;return l!==0?new N([c(r,i),c(l,i)]):new N([c(r,i)])}t.createKeybinding=g;function c(n,i){const r=!!(n&2048),l=!!(n&256),f=i===2?l:r,L=!!(n&1024),d=!!(n&512),E=i===2?r:l,h=n&255;return new m(f,L,d,E,h)}t.createSimpleKeybinding=c;class m{constructor(i,r,l,f,L){this.ctrlKey=i,this.shiftKey=r,this.altKey=l,this.metaKey=f,this.keyCode=L}equals(i){return this.ctrlKey===i.ctrlKey&&this.shiftKey===i.shiftKey&&this.altKey===i.altKey&&this.metaKey===i.metaKey&&this.keyCode===i.keyCode}getHashCode(){const i=this.ctrlKey?"1":"0",r=this.shiftKey?"1":"0",l=this.altKey?"1":"0",f=this.metaKey?"1":"0";return`${i}${r}${l}${f}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new N([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}t.SimpleKeybinding=m;class N{constructor(i){if(i.length===0)throw(0,M.illegalArgument)("parts");this.parts=i}getHashCode(){let i="";for(let r=0,l=this.parts.length;r<l;r++)r!==0&&(i+=";"),i+=this.parts[r].getHashCode();return i}equals(i){if(i===null||this.parts.length!==i.parts.length)return!1;for(let r=0;r<this.parts.length;r++)if(!this.parts[r].equals(i.parts[r]))return!1;return!0}}t.ChordKeybinding=N;class v{constructor(i,r,l,f,L,d){this.ctrlKey=i,this.shiftKey=r,this.altKey=l,this.metaKey=f,this.keyLabel=L,this.keyAriaLabel=d}}t.ResolvedKeybindingPart=v;class _{}t.ResolvedKeybinding=_}),G(Q[8],X([0,1,7,16]),function(F,t,M,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ImmortalReference=t.ReferenceCollection=t.MutableDisposable=t.Disposable=t.DisposableStore=t.toDisposable=t.combinedDisposable=t.dispose=t.isDisposable=t.MultiDisposeError=t.trackDisposable=t.setDisposableTracker=void 0;const P=!1;let o=null;function b(i){o=i}if(t.setDisposableTracker=b,P){const i="__is_disposable_tracked__";o=new class{trackDisposable(r){const l=new Error("Potentially leaked disposable").stack;setTimeout(()=>{r[i]||console.log(l)},3e3)}markTracked(r){if(r&&r!==N.None)try{r[i]=!0}catch(l){}}}}function u(i){!o||o.markTracked(i)}function s(i){return o&&o.trackDisposable(i),i}t.trackDisposable=s;class a extends Error{constructor(r){super(`Encountered errors while disposing of store. Errors: [${r.join(", ")}]`);this.errors=r}}t.MultiDisposeError=a;function S(i){return typeof i.dispose=="function"&&i.dispose.length===0}t.isDisposable=S;function w(i){if(D.Iterable.is(i)){let r=[];for(const l of i)if(l){u(l);try{l.dispose()}catch(f){r.push(f)}}if(r.length===1)throw r[0];if(r.length>1)throw new a(r);return Array.isArray(i)?[]:i}else if(i)return u(i),i.dispose(),i}t.dispose=w;function g(...i){return i.forEach(u),c(()=>w(i))}t.combinedDisposable=g;function c(i){const r=s({dispose:()=>{u(r),i()}});return r}t.toDisposable=c;class m{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(u(this),this._isDisposed=!0,this.clear())}clear(){try{w(this._toDispose.values())}finally{this._toDispose.clear()}}add(r){if(!r)return r;if(r===this)throw new Error("Cannot register a disposable on itself!");return u(r),this._isDisposed?m.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(r),r}}t.DisposableStore=m,m.DISABLE_DISPOSED_WARNING=!1;class N{constructor(){this._store=new m,s(this)}dispose(){u(this),this._store.dispose()}_register(r){if(r===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(r)}}t.Disposable=N,N.None=Object.freeze({dispose(){}});class v{constructor(){this._isDisposed=!1,s(this)}get value(){return this._isDisposed?void 0:this._value}set value(r){var l;this._isDisposed||r===this._value||((l=this._value)===null||l===void 0||l.dispose(),r&&u(r),this._value=r)}clear(){this.value=void 0}dispose(){var r;this._isDisposed=!0,u(this),(r=this._value)===null||r===void 0||r.dispose(),this._value=void 0}}t.MutableDisposable=v;class _{constructor(){this.references=new Map}acquire(r,...l){let f=this.references.get(r);f||(f={counter:0,object:this.createReferencedObject(r,...l)},this.references.set(r,f));const{object:L}=f,d=(0,M.once)(()=>{--f.counter==0&&(this.destroyReferencedObject(r,f.object),this.references.delete(r))});return f.counter++,{object:L,dispose:d}}}t.ReferenceCollection=_;class n{constructor(r){this.object=r}dispose(){}}t.ImmortalReference=n}),G(Q[18],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LinkedList=void 0;class M{constructor(o){this.element=o,this.next=M.Undefined,this.prev=M.Undefined}}M.Undefined=new M(void 0);class D{constructor(){this._first=M.Undefined,this._last=M.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===M.Undefined}clear(){this._first=M.Undefined,this._last=M.Undefined,this._size=0}unshift(o){return this._insert(o,!1)}push(o){return this._insert(o,!0)}_insert(o,b){const u=new M(o);if(this._first===M.Undefined)this._first=u,this._last=u;else if(b){const a=this._last;this._last=u,u.prev=a,a.next=u}else{const a=this._first;this._first=u,u.next=a,a.prev=u}this._size+=1;let s=!1;return()=>{s||(s=!0,this._remove(u))}}shift(){if(this._first!==M.Undefined){const o=this._first.element;return this._remove(this._first),o}}pop(){if(this._last!==M.Undefined){const o=this._last.element;return this._remove(this._last),o}}_remove(o){if(o.prev!==M.Undefined&&o.next!==M.Undefined){const b=o.prev;b.next=o.next,o.next.prev=b}else o.prev===M.Undefined&&o.next===M.Undefined?(this._first=M.Undefined,this._last=M.Undefined):o.next===M.Undefined?(this._last=this._last.prev,this._last.next=M.Undefined):o.prev===M.Undefined&&(this._first=this._first.next,this._first.prev=M.Undefined);this._size-=1}*[Symbol.iterator](){let o=this._first;for(;o!==M.Undefined;)yield o.element,o=o.next}}t.LinkedList=D}),G(Q[2],X([0,1]),function(F,t){"use strict";var M;Object.defineProperty(t,"__esModule",{value:!0}),t.isLittleEndian=t.OS=t.OperatingSystem=t.setImmediate=t.globals=t.translationsConfigFile=t.locale=t.Language=t.language=t.userAgent=t.platform=t.isIOS=t.isWeb=t.isNative=t.isLinuxSnap=t.isLinux=t.isMacintosh=t.isWindows=t.PlatformToString=t.Platform=t.isPreferringBrowserCodeLoad=t.browserCodeLoadingCacheStrategy=t.isElectronSandboxed=void 0;const D="en";let P=!1,o=!1,b=!1,u=!1,s=!1,a=!1,S=!1,w,g=D,c,m;const N=typeof self=="object"?self:typeof global=="object"?global:{};let v;typeof process!="undefined"?v=process:typeof N.vscode!="undefined"&&(v=N.vscode.process);const _=typeof((M=v==null?void 0:v.versions)===null||M===void 0?void 0:M.electron)=="string"&&v.type==="renderer";if(t.isElectronSandboxed=_&&(v==null?void 0:v.sandboxed),t.browserCodeLoadingCacheStrategy=(()=>{if(t.isElectronSandboxed)return"bypassHeatCheck";const h=v==null?void 0:v.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof h=="string")return h==="none"||h==="code"||h==="bypassHeatCheck"||h==="bypassHeatCheckAndEagerCompile"?h:"bypassHeatCheck"})(),t.isPreferringBrowserCodeLoad=typeof t.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!_)m=navigator.userAgent,P=m.indexOf("Windows")>=0,o=m.indexOf("Macintosh")>=0,S=(m.indexOf("Macintosh")>=0||m.indexOf("iPad")>=0||m.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,b=m.indexOf("Linux")>=0,a=!0,w=navigator.language,g=w;else if(typeof v=="object"){P=v.platform==="win32",o=v.platform==="darwin",b=v.platform==="linux",u=b&&!!v.env.SNAP&&!!v.env.SNAP_REVISION,w=D,g=D;const h=v.env.VSCODE_NLS_CONFIG;if(h)try{const C=JSON.parse(h),p=C.availableLanguages["*"];w=C.locale,g=p||D,c=C._translationsConfigFile}catch(C){}s=!0}else console.error("Unable to resolve platform.");var n;(function(h){h[h.Web=0]="Web",h[h.Mac=1]="Mac",h[h.Linux=2]="Linux",h[h.Windows=3]="Windows"})(n=t.Platform||(t.Platform={}));function i(h){switch(h){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}t.PlatformToString=i;let r=0;o?r=1:P?r=3:b&&(r=2),t.isWindows=P,t.isMacintosh=o,t.isLinux=b,t.isLinuxSnap=u,t.isNative=s,t.isWeb=a,t.isIOS=S,t.platform=r,t.userAgent=m,t.language=g;var l;(function(h){function C(){return t.language}h.value=C;function p(){return t.language.length===2?t.language==="en":t.language.length>=3?t.language[0]==="e"&&t.language[1]==="n"&&t.language[2]==="-":!1}h.isDefaultVariant=p;function I(){return t.language==="en"}h.isDefault=I})(l=t.Language||(t.Language={})),t.locale=w,t.translationsConfigFile=c,t.globals=N,t.setImmediate=function(){if(t.globals.setImmediate)return t.globals.setImmediate.bind(t.globals);if(typeof t.globals.postMessage=="function"&&!t.globals.importScripts){let p=[];t.globals.addEventListener("message",R=>{if(R.data&&R.data.vscodeSetImmediateId)for(let y=0,H=p.length;y<H;y++){const j=p[y];if(j.id===R.data.vscodeSetImmediateId){p.splice(y,1),j.callback();return}}});let I=0;return R=>{const y=++I;p.push({id:y,callback:R}),t.globals.postMessage({vscodeSetImmediateId:y},"*")}}if(typeof(v==null?void 0:v.nextTick)=="function")return v.nextTick.bind(v);const C=Promise.resolve();return p=>C.then(p)}();var f;(function(h){h[h.Windows=1]="Windows",h[h.Macintosh=2]="Macintosh",h[h.Linux=3]="Linux"})(f=t.OperatingSystem||(t.OperatingSystem={})),t.OS=o||S?2:P?1:3;let L=!0,d=!1;function E(){if(!d){d=!0;const h=new Uint8Array(2);h[0]=1,h[1]=2,L=new Uint16Array(h.buffer)[0]===(2<<8)+1}return L}t.isLittleEndian=E}),G(Q[19],X([0,1,2]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.nextTick=t.platform=t.env=t.cwd=void 0;let D;if(typeof process!="undefined")D={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(P){return process.nextTick(P)}};else if(typeof M.globals.vscode!="undefined"){const P=M.globals.vscode.process;D={get platform(){return P.platform},get env(){return P.env},cwd(){return P.cwd()},nextTick(o){return(0,M.setImmediate)(o)}}}else D={get platform(){return M.isWindows?"win32":M.isMacintosh?"darwin":"linux"},nextTick(P){return(0,M.setImmediate)(P)},get env(){return Object.create(null)},cwd(){return"/"}};t.cwd=D.cwd,t.env=D.env,t.platform=D.platform,t.nextTick=D.nextTick}),G(Q[20],X([0,1,19]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.delimiter=t.sep=t.toNamespacedPath=t.parse=t.format=t.extname=t.basename=t.dirname=t.relative=t.resolve=t.join=t.isAbsolute=t.normalize=t.posix=t.win32=void 0;const D=65,P=97,o=90,b=122,u=46,s=47,a=92,S=58,w=63;class g extends Error{constructor(r,l,f){let L;typeof l=="string"&&l.indexOf("not ")===0?(L="must not be",l=l.replace(/^not /,"")):L="must be";const d=r.indexOf(".")!==-1?"property":"argument";let E=`The "${r}" ${d} ${L} of type ${l}`;E+=`. Received type ${typeof f}`,super(E),this.code="ERR_INVALID_ARG_TYPE"}}function c(i,r){if(typeof i!="string")throw new g(r,"string",i)}function m(i){return i===s||i===a}function N(i){return i===s}function v(i){return i>=D&&i<=o||i>=P&&i<=b}function _(i,r,l,f){let L="",d=0,E=-1,h=0,C=0;for(let p=0;p<=i.length;++p){if(p<i.length)C=i.charCodeAt(p);else{if(f(C))break;C=s}if(f(C)){if(!(E===p-1||h===1))if(h===2){if(L.length<2||d!==2||L.charCodeAt(L.length-1)!==u||L.charCodeAt(L.length-2)!==u){if(L.length>2){const I=L.lastIndexOf(l);I===-1?(L="",d=0):(L=L.slice(0,I),d=L.length-1-L.lastIndexOf(l)),E=p,h=0;continue}else if(L.length!==0){L="",d=0,E=p,h=0;continue}}r&&(L+=L.length>0?`${l}..`:"..",d=2)}else L.length>0?L+=`${l}${i.slice(E+1,p)}`:L=i.slice(E+1,p),d=p-E-1;E=p,h=0}else C===u&&h!==-1?++h:h=-1}return L}function n(i,r){if(r===null||typeof r!="object")throw new g("pathObject","Object",r);const l=r.dir||r.root,f=r.base||`${r.name||""}${r.ext||""}`;return l?l===r.root?`${l}${f}`:`${l}${i}${f}`:f}t.win32={resolve(...i){let r="",l="",f=!1;for(let L=i.length-1;L>=-1;L--){let d;if(L>=0){if(d=i[L],c(d,"path"),d.length===0)continue}else r.length===0?d=M.cwd():(d=M.env[`=${r}`]||M.cwd(),(d===void 0||d.slice(0,2).toLowerCase()!==r.toLowerCase()&&d.charCodeAt(2)===a)&&(d=`${r}\\`));const E=d.length;let h=0,C="",p=!1;const I=d.charCodeAt(0);if(E===1)m(I)&&(h=1,p=!0);else if(m(I))if(p=!0,m(d.charCodeAt(1))){let R=2,y=R;for(;R<E&&!m(d.charCodeAt(R));)R++;if(R<E&&R!==y){const H=d.slice(y,R);for(y=R;R<E&&m(d.charCodeAt(R));)R++;if(R<E&&R!==y){for(y=R;R<E&&!m(d.charCodeAt(R));)R++;(R===E||R!==y)&&(C=`\\\\${H}\\${d.slice(y,R)}`,h=R)}}}else h=1;else v(I)&&d.charCodeAt(1)===S&&(C=d.slice(0,2),h=2,E>2&&m(d.charCodeAt(2))&&(p=!0,h=3));if(C.length>0)if(r.length>0){if(C.toLowerCase()!==r.toLowerCase())continue}else r=C;if(f){if(r.length>0)break}else if(l=`${d.slice(h)}\\${l}`,f=p,p&&r.length>0)break}return l=_(l,!f,"\\",m),f?`${r}\\${l}`:`${r}${l}`||"."},normalize(i){c(i,"path");const r=i.length;if(r===0)return".";let l=0,f,L=!1;const d=i.charCodeAt(0);if(r===1)return N(d)?"\\":i;if(m(d))if(L=!0,m(i.charCodeAt(1))){let h=2,C=h;for(;h<r&&!m(i.charCodeAt(h));)h++;if(h<r&&h!==C){const p=i.slice(C,h);for(C=h;h<r&&m(i.charCodeAt(h));)h++;if(h<r&&h!==C){for(C=h;h<r&&!m(i.charCodeAt(h));)h++;if(h===r)return`\\\\${p}\\${i.slice(C)}\\`;h!==C&&(f=`\\\\${p}\\${i.slice(C,h)}`,l=h)}}}else l=1;else v(d)&&i.charCodeAt(1)===S&&(f=i.slice(0,2),l=2,r>2&&m(i.charCodeAt(2))&&(L=!0,l=3));let E=l<r?_(i.slice(l),!L,"\\",m):"";return E.length===0&&!L&&(E="."),E.length>0&&m(i.charCodeAt(r-1))&&(E+="\\"),f===void 0?L?`\\${E}`:E:L?`${f}\\${E}`:`${f}${E}`},isAbsolute(i){c(i,"path");const r=i.length;if(r===0)return!1;const l=i.charCodeAt(0);return m(l)||r>2&&v(l)&&i.charCodeAt(1)===S&&m(i.charCodeAt(2))},join(...i){if(i.length===0)return".";let r,l;for(let d=0;d<i.length;++d){const E=i[d];c(E,"path"),E.length>0&&(r===void 0?r=l=E:r+=`\\${E}`)}if(r===void 0)return".";let f=!0,L=0;if(typeof l=="string"&&m(l.charCodeAt(0))){++L;const d=l.length;d>1&&m(l.charCodeAt(1))&&(++L,d>2&&(m(l.charCodeAt(2))?++L:f=!1))}if(f){for(;L<r.length&&m(r.charCodeAt(L));)L++;L>=2&&(r=`\\${r.slice(L)}`)}return t.win32.normalize(r)},relative(i,r){if(c(i,"from"),c(r,"to"),i===r)return"";const l=t.win32.resolve(i),f=t.win32.resolve(r);if(l===f||(i=l.toLowerCase(),r=f.toLowerCase(),i===r))return"";let L=0;for(;L<i.length&&i.charCodeAt(L)===a;)L++;let d=i.length;for(;d-1>L&&i.charCodeAt(d-1)===a;)d--;const E=d-L;let h=0;for(;h<r.length&&r.charCodeAt(h)===a;)h++;let C=r.length;for(;C-1>h&&r.charCodeAt(C-1)===a;)C--;const p=C-h,I=E<p?E:p;let R=-1,y=0;for(;y<I;y++){const j=i.charCodeAt(L+y);if(j!==r.charCodeAt(h+y))break;j===a&&(R=y)}if(y!==I){if(R===-1)return f}else{if(p>I){if(r.charCodeAt(h+y)===a)return f.slice(h+y+1);if(y===2)return f.slice(h+y)}E>I&&(i.charCodeAt(L+y)===a?R=y:y===2&&(R=3)),R===-1&&(R=0)}let H="";for(y=L+R+1;y<=d;++y)(y===d||i.charCodeAt(y)===a)&&(H+=H.length===0?"..":"\\..");return h+=R,H.length>0?`${H}${f.slice(h,C)}`:(f.charCodeAt(h)===a&&++h,f.slice(h,C))},toNamespacedPath(i){if(typeof i!="string")return i;if(i.length===0)return"";const r=t.win32.resolve(i);if(r.length<=2)return i;if(r.charCodeAt(0)===a){if(r.charCodeAt(1)===a){const l=r.charCodeAt(2);if(l!==w&&l!==u)return`\\\\?\\UNC\\${r.slice(2)}`}}else if(v(r.charCodeAt(0))&&r.charCodeAt(1)===S&&r.charCodeAt(2)===a)return`\\\\?\\${r}`;return i},dirname(i){c(i,"path");const r=i.length;if(r===0)return".";let l=-1,f=0;const L=i.charCodeAt(0);if(r===1)return m(L)?i:".";if(m(L)){if(l=f=1,m(i.charCodeAt(1))){let h=2,C=h;for(;h<r&&!m(i.charCodeAt(h));)h++;if(h<r&&h!==C){for(C=h;h<r&&m(i.charCodeAt(h));)h++;if(h<r&&h!==C){for(C=h;h<r&&!m(i.charCodeAt(h));)h++;if(h===r)return i;h!==C&&(l=f=h+1)}}}}else v(L)&&i.charCodeAt(1)===S&&(l=r>2&&m(i.charCodeAt(2))?3:2,f=l);let d=-1,E=!0;for(let h=r-1;h>=f;--h)if(m(i.charCodeAt(h))){if(!E){d=h;break}}else E=!1;if(d===-1){if(l===-1)return".";d=l}return i.slice(0,d)},basename(i,r){r!==void 0&&c(r,"ext"),c(i,"path");let l=0,f=-1,L=!0,d;if(i.length>=2&&v(i.charCodeAt(0))&&i.charCodeAt(1)===S&&(l=2),r!==void 0&&r.length>0&&r.length<=i.length){if(r===i)return"";let E=r.length-1,h=-1;for(d=i.length-1;d>=l;--d){const C=i.charCodeAt(d);if(m(C)){if(!L){l=d+1;break}}else h===-1&&(L=!1,h=d+1),E>=0&&(C===r.charCodeAt(E)?--E==-1&&(f=d):(E=-1,f=h))}return l===f?f=h:f===-1&&(f=i.length),i.slice(l,f)}for(d=i.length-1;d>=l;--d)if(m(i.charCodeAt(d))){if(!L){l=d+1;break}}else f===-1&&(L=!1,f=d+1);return f===-1?"":i.slice(l,f)},extname(i){c(i,"path");let r=0,l=-1,f=0,L=-1,d=!0,E=0;i.length>=2&&i.charCodeAt(1)===S&&v(i.charCodeAt(0))&&(r=f=2);for(let h=i.length-1;h>=r;--h){const C=i.charCodeAt(h);if(m(C)){if(!d){f=h+1;break}continue}L===-1&&(d=!1,L=h+1),C===u?l===-1?l=h:E!==1&&(E=1):l!==-1&&(E=-1)}return l===-1||L===-1||E===0||E===1&&l===L-1&&l===f+1?"":i.slice(l,L)},format:n.bind(null,"\\"),parse(i){c(i,"path");const r={root:"",dir:"",base:"",ext:"",name:""};if(i.length===0)return r;const l=i.length;let f=0,L=i.charCodeAt(0);if(l===1)return m(L)?(r.root=r.dir=i,r):(r.base=r.name=i,r);if(m(L)){if(f=1,m(i.charCodeAt(1))){let R=2,y=R;for(;R<l&&!m(i.charCodeAt(R));)R++;if(R<l&&R!==y){for(y=R;R<l&&m(i.charCodeAt(R));)R++;if(R<l&&R!==y){for(y=R;R<l&&!m(i.charCodeAt(R));)R++;R===l?f=R:R!==y&&(f=R+1)}}}}else if(v(L)&&i.charCodeAt(1)===S){if(l<=2)return r.root=r.dir=i,r;if(f=2,m(i.charCodeAt(2))){if(l===3)return r.root=r.dir=i,r;f=3}}f>0&&(r.root=i.slice(0,f));let d=-1,E=f,h=-1,C=!0,p=i.length-1,I=0;for(;p>=f;--p){if(L=i.charCodeAt(p),m(L)){if(!C){E=p+1;break}continue}h===-1&&(C=!1,h=p+1),L===u?d===-1?d=p:I!==1&&(I=1):d!==-1&&(I=-1)}return h!==-1&&(d===-1||I===0||I===1&&d===h-1&&d===E+1?r.base=r.name=i.slice(E,h):(r.name=i.slice(E,d),r.base=i.slice(E,h),r.ext=i.slice(d,h))),E>0&&E!==f?r.dir=i.slice(0,E-1):r.dir=r.root,r},sep:"\\",delimiter:";",win32:null,posix:null},t.posix={resolve(...i){let r="",l=!1;for(let f=i.length-1;f>=-1&&!l;f--){const L=f>=0?i[f]:M.cwd();c(L,"path"),L.length!==0&&(r=`${L}/${r}`,l=L.charCodeAt(0)===s)}return r=_(r,!l,"/",N),l?`/${r}`:r.length>0?r:"."},normalize(i){if(c(i,"path"),i.length===0)return".";const r=i.charCodeAt(0)===s,l=i.charCodeAt(i.length-1)===s;return i=_(i,!r,"/",N),i.length===0?r?"/":l?"./":".":(l&&(i+="/"),r?`/${i}`:i)},isAbsolute(i){return c(i,"path"),i.length>0&&i.charCodeAt(0)===s},join(...i){if(i.length===0)return".";let r;for(let l=0;l<i.length;++l){const f=i[l];c(f,"path"),f.length>0&&(r===void 0?r=f:r+=`/${f}`)}return r===void 0?".":t.posix.normalize(r)},relative(i,r){if(c(i,"from"),c(r,"to"),i===r||(i=t.posix.resolve(i),r=t.posix.resolve(r),i===r))return"";const l=1,f=i.length,L=f-l,d=1,E=r.length-d,h=L<E?L:E;let C=-1,p=0;for(;p<h;p++){const R=i.charCodeAt(l+p);if(R!==r.charCodeAt(d+p))break;R===s&&(C=p)}if(p===h)if(E>h){if(r.charCodeAt(d+p)===s)return r.slice(d+p+1);if(p===0)return r.slice(d+p)}else L>h&&(i.charCodeAt(l+p)===s?C=p:p===0&&(C=0));let I="";for(p=l+C+1;p<=f;++p)(p===f||i.charCodeAt(p)===s)&&(I+=I.length===0?"..":"/..");return`${I}${r.slice(d+C)}`},toNamespacedPath(i){return i},dirname(i){if(c(i,"path"),i.length===0)return".";const r=i.charCodeAt(0)===s;let l=-1,f=!0;for(let L=i.length-1;L>=1;--L)if(i.charCodeAt(L)===s){if(!f){l=L;break}}else f=!1;return l===-1?r?"/":".":r&&l===1?"//":i.slice(0,l)},basename(i,r){r!==void 0&&c(r,"ext"),c(i,"path");let l=0,f=-1,L=!0,d;if(r!==void 0&&r.length>0&&r.length<=i.length){if(r===i)return"";let E=r.length-1,h=-1;for(d=i.length-1;d>=0;--d){const C=i.charCodeAt(d);if(C===s){if(!L){l=d+1;break}}else h===-1&&(L=!1,h=d+1),E>=0&&(C===r.charCodeAt(E)?--E==-1&&(f=d):(E=-1,f=h))}return l===f?f=h:f===-1&&(f=i.length),i.slice(l,f)}for(d=i.length-1;d>=0;--d)if(i.charCodeAt(d)===s){if(!L){l=d+1;break}}else f===-1&&(L=!1,f=d+1);return f===-1?"":i.slice(l,f)},extname(i){c(i,"path");let r=-1,l=0,f=-1,L=!0,d=0;for(let E=i.length-1;E>=0;--E){const h=i.charCodeAt(E);if(h===s){if(!L){l=E+1;break}continue}f===-1&&(L=!1,f=E+1),h===u?r===-1?r=E:d!==1&&(d=1):r!==-1&&(d=-1)}return r===-1||f===-1||d===0||d===1&&r===f-1&&r===l+1?"":i.slice(r,f)},format:n.bind(null,"/"),parse(i){c(i,"path");const r={root:"",dir:"",base:"",ext:"",name:""};if(i.length===0)return r;const l=i.charCodeAt(0)===s;let f;l?(r.root="/",f=1):f=0;let L=-1,d=0,E=-1,h=!0,C=i.length-1,p=0;for(;C>=f;--C){const I=i.charCodeAt(C);if(I===s){if(!h){d=C+1;break}continue}E===-1&&(h=!1,E=C+1),I===u?L===-1?L=C:p!==1&&(p=1):L!==-1&&(p=-1)}if(E!==-1){const I=d===0&&l?1:d;L===-1||p===0||p===1&&L===E-1&&L===d+1?r.base=r.name=i.slice(I,E):(r.name=i.slice(I,L),r.base=i.slice(I,E),r.ext=i.slice(L,E))}return d>0?r.dir=i.slice(0,d-1):l&&(r.dir="/"),r},sep:"/",delimiter:":",win32:null,posix:null},t.posix.win32=t.win32.win32=t.win32,t.posix.posix=t.win32.posix=t.posix,t.normalize=M.platform==="win32"?t.win32.normalize:t.posix.normalize,t.isAbsolute=M.platform==="win32"?t.win32.isAbsolute:t.posix.isAbsolute,t.join=M.platform==="win32"?t.win32.join:t.posix.join,t.resolve=M.platform==="win32"?t.win32.resolve:t.posix.resolve,t.relative=M.platform==="win32"?t.win32.relative:t.posix.relative,t.dirname=M.platform==="win32"?t.win32.dirname:t.posix.dirname,t.basename=M.platform==="win32"?t.win32.basename:t.posix.basename,t.extname=M.platform==="win32"?t.win32.extname:t.posix.extname,t.format=M.platform==="win32"?t.win32.format:t.posix.format,t.parse=M.platform==="win32"?t.win32.parse:t.posix.parse,t.toNamespacedPath=M.platform==="win32"?t.win32.toNamespacedPath:t.posix.toNamespacedPath,t.sep=M.platform==="win32"?t.win32.sep:t.posix.sep,t.delimiter=M.platform==="win32"?t.win32.delimiter:t.posix.delimiter}),G(Q[9],X([0,1,2]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StopWatch=void 0;const D=M.globals.performance&&typeof M.globals.performance.now=="function";class P{constructor(b){this._highResolution=D&&b,this._startTime=this._now(),this._stopTime=-1}static create(b=!0){return new P(b)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?M.globals.performance.now():Date.now()}}t.StopWatch=P}),G(Q[10],X([0,1,4,7,8,18,9]),function(F,t,M,D,P,o,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Relay=t.EventBufferer=t.EventMultiplexer=t.PauseableEmitter=t.Emitter=t.setGlobalLeakWarningThreshold=t.Event=void 0;var u;(function(_){_.None=()=>P.Disposable.None;function n(e){return(B,q=null,W)=>{let z=!1,Z;return Z=e(x=>{if(!z)return Z?Z.dispose():z=!0,B.call(q,x)},null,W),z&&Z.dispose(),Z}}_.once=n;function i(e,B){return E((q,W=null,z)=>e(Z=>q.call(W,B(Z)),null,z))}_.map=i;function r(e,B){return E((q,W=null,z)=>e(Z=>{B(Z),q.call(W,Z)},null,z))}_.forEach=r;function l(e,B){return E((q,W=null,z)=>e(Z=>B(Z)&&q.call(W,Z),null,z))}_.filter=l;function f(e){return e}_.signal=f;function L(...e){return(B,q=null,W)=>(0,P.combinedDisposable)(...e.map(z=>z(Z=>B.call(q,Z),null,W)))}_.any=L;function d(e,B,q){let W=q;return i(e,z=>(W=B(W,z),W))}_.reduce=d;function E(e){let B;const q=new g({onFirstListenerAdd(){B=e(q.fire,q)},onLastListenerRemove(){B.dispose()}});return q.event}_.snapshot=E;function h(e,B,q=100,W=!1,z){let Z,x,te,le=0;const ue=new g({leakWarningThreshold:z,onFirstListenerAdd(){Z=e(ae=>{le++,x=B(x,ae),W&&!te&&(ue.fire(x),x=void 0),clearTimeout(te),te=setTimeout(()=>{const ce=x;x=void 0,te=void 0,(!W||le>1)&&ue.fire(ce),le=0},q)})},onLastListenerRemove(){Z.dispose()}});return ue.event}_.debounce=h;function C(e){const B=new Date().getTime();return i(n(e),q=>new Date().getTime()-B)}_.stopwatch=C;function p(e){let B=!0,q;return l(e,W=>{const z=B||W!==q;return B=!1,q=W,z})}_.latch=p;function I(e,B=!1,q=[]){let W=q.slice(),z=e(te=>{W?W.push(te):x.fire(te)});const Z=()=>{W&&W.forEach(te=>x.fire(te)),W=null},x=new g({onFirstListenerAdd(){z||(z=e(te=>x.fire(te)))},onFirstListenerDidAdd(){W&&(B?setTimeout(Z):Z())},onLastListenerRemove(){z&&z.dispose(),z=null}});return x.event}_.buffer=I;class R{constructor(B){this.event=B}map(B){return new R(i(this.event,B))}forEach(B){return new R(r(this.event,B))}filter(B){return new R(l(this.event,B))}reduce(B,q){return new R(d(this.event,B,q))}latch(){return new R(p(this.event))}debounce(B,q=100,W=!1,z){return new R(h(this.event,B,q,W,z))}on(B,q,W){return this.event(B,q,W)}once(B,q,W){return n(this.event)(B,q,W)}}function y(e){return new R(e)}_.chain=y;function H(e,B,q=W=>W){const W=(...te)=>x.fire(q(...te)),z=()=>e.on(B,W),Z=()=>e.removeListener(B,W),x=new g({onFirstListenerAdd:z,onLastListenerRemove:Z});return x.event}_.fromNodeEventEmitter=H;function j(e,B,q=W=>W){const W=(...te)=>x.fire(q(...te)),z=()=>e.addEventListener(B,W),Z=()=>e.removeEventListener(B,W),x=new g({onFirstListenerAdd:z,onLastListenerRemove:Z});return x.event}_.fromDOMEventEmitter=j;function J(e){const B=new g;let q=!1;return e.then(void 0,()=>null).then(()=>{q?B.fire(void 0):setTimeout(()=>B.fire(void 0),0)}),q=!0,B.event}_.fromPromise=J;function V(e){return new Promise(B=>n(e)(B))}_.toPromise=V})(u=t.Event||(t.Event={}));class s{constructor(n){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${n}_${s._idPool++}`}start(n){this._stopWatch=new b.StopWatch(!0),this._listenerCount=n}stop(){if(this._stopWatch){const n=this._stopWatch.elapsed();this._elapsedOverall+=n,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${n.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}s._idPool=0;let a=-1;function S(_){const n=a;return a=_,{dispose(){a=n}}}t.setGlobalLeakWarningThreshold=S;class w{constructor(n,i=Math.random().toString(18).slice(2,5)){this.customThreshold=n,this.name=i,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(n){let i=a;if(typeof this.customThreshold=="number"&&(i=this.customThreshold),!(i<=0||n<i)){this._stacks||(this._stacks=new Map);const r=new Error().stack.split(`
`).slice(3).join(`
`),l=this._stacks.get(r)||0;if(this._stacks.set(r,l+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=i*.5;let f,L=0;for(const[d,E]of this._stacks)(!f||L<E)&&(f=d,L=E);console.warn(`[${this.name}] potential listener LEAK detected, having ${n} listeners already. MOST frequent listener (${L}):`),console.warn(f)}return()=>{const f=this._stacks.get(r)||0;this._stacks.set(r,f-1)}}}}class g{constructor(n){var i;this._disposed=!1,this._options=n,this._leakageMon=a>0?new w(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((i=this._options)===null||i===void 0?void 0:i._profName)?new s(this._options._profName):void 0}get event(){return this._event||(this._event=(n,i,r)=>{var l;this._listeners||(this._listeners=new o.LinkedList);const f=this._listeners.isEmpty();f&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const L=this._listeners.push(i?[n,i]:n);f&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,n,i);const d=(l=this._leakageMon)===null||l===void 0?void 0:l.check(this._listeners.size);let E;return E={dispose:()=>{d&&d(),E.dispose=g._noop,this._disposed||(L(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},r instanceof P.DisposableStore?r.add(E):Array.isArray(r)&&r.push(E),E}),this._event}fire(n){var i,r;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new o.LinkedList);for(let l of this._listeners)this._deliveryQueue.push([l,n]);for((i=this._perfMon)===null||i===void 0||i.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[l,f]=this._deliveryQueue.shift();try{typeof l=="function"?l.call(void 0,f):l[0].call(l[1],f)}catch(L){(0,M.onUnexpectedError)(L)}}(r=this._perfMon)===null||r===void 0||r.stop()}}dispose(){var n,i,r;(n=this._listeners)===null||n===void 0||n.clear(),(i=this._deliveryQueue)===null||i===void 0||i.clear(),(r=this._leakageMon)===null||r===void 0||r.dispose(),this._disposed=!0}}t.Emitter=g,g._noop=function(){};class c extends g{constructor(n){super(n);this._isPaused=0,this._eventQueue=new o.LinkedList,this._mergeFn=n==null?void 0:n.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const n=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(n))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(n){this._listeners&&(this._isPaused!==0?this._eventQueue.push(n):super.fire(n))}}t.PauseableEmitter=c;class m{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new g({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(n){const i={event:n,listener:null};this.events.push(i),this.hasListeners&&this.hook(i);const r=()=>{this.hasListeners&&this.unhook(i);const l=this.events.indexOf(i);this.events.splice(l,1)};return(0,P.toDisposable)((0,D.once)(r))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(n=>this.hook(n))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(n=>this.unhook(n))}hook(n){n.listener=n.event(i=>this.emitter.fire(i))}unhook(n){n.listener&&n.listener.dispose(),n.listener=null}dispose(){this.emitter.dispose()}}t.EventMultiplexer=m;class N{constructor(){this.buffers=[]}wrapEvent(n){return(i,r,l)=>n(f=>{const L=this.buffers[this.buffers.length-1];L?L.push(()=>i.call(r,f)):i.call(r,f)},void 0,l)}bufferEvents(n){const i=[];this.buffers.push(i);const r=n();return this.buffers.pop(),i.forEach(l=>l()),r}}t.EventBufferer=N;class v{constructor(){this.listening=!1,this.inputEvent=u.None,this.inputEventListener=P.Disposable.None,this.emitter=new g({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(n){this.inputEvent=n,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=n(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}t.Relay=v}),G(Q[21],X([0,1,10]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CancellationTokenSource=t.CancellationToken=void 0;const D=Object.freeze(function(u,s){const a=setTimeout(u.bind(s),0);return{dispose(){clearTimeout(a)}}});var P;(function(u){function s(a){return a===u.None||a===u.Cancelled||a instanceof o?!0:!a||typeof a!="object"?!1:typeof a.isCancellationRequested=="boolean"&&typeof a.onCancellationRequested=="function"}u.isCancellationToken=s,u.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:M.Event.None}),u.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:D})})(P=t.CancellationToken||(t.CancellationToken={}));class o{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?D:(this._emitter||(this._emitter=new M.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class b{constructor(s){this._token=void 0,this._parentListener=void 0,this._parentListener=s&&s.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new o),this._token}cancel(){this._token?this._token instanceof o&&this._token.cancel():this._token=P.Cancelled}dispose(s=!1){s&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof o&&this._token.dispose():this._token=P.None}}t.CancellationTokenSource=b}),G(Q[5],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.GraphemeBreakType=t.breakBetweenGraphemeBreakType=t.getGraphemeBreakType=t.singleLetterHash=t.getNLines=t.uppercaseFirstLetter=t.containsUppercaseCharacter=t.fuzzyContains=t.stripUTF8BOM=t.startsWithUTF8BOM=t.UTF8_BOM_CHARACTER=t.removeAnsiEscapeCodes=t.lcut=t.isEmojiImprecise=t.isFullWidthCharacter=t.containsFullWidthCharacter=t.containsUnusualLineTerminators=t.UNUSUAL_LINE_TERMINATORS=t.isBasicASCII=t.containsEmoji=t.containsRTL=t.decodeUTF8=t.encodeUTF8=t.getCharContainingOffset=t.prevCharLength=t.nextCharLength=t.getNextCodePoint=t.computeCodePoint=t.isLowSurrogate=t.isHighSurrogate=t.commonSuffixLength=t.commonPrefixLength=t.startsWithIgnoreCase=t.equalsIgnoreCase=t.isUpperAsciiLetter=t.isLowerAsciiLetter=t.compareSubstringIgnoreCase=t.compareIgnoreCase=t.compareSubstring=t.compare=t.lastNonWhitespaceIndex=t.getLeadingWhitespace=t.firstNonWhitespaceIndex=t.splitLines=t.regExpFlags=t.regExpContainsBackreference=t.regExpLeadsToEndlessLoop=t.createRegExp=t.stripWildcards=t.convertSimple2RegExpPattern=t.rtrim=t.ltrim=t.trim=t.truncate=t.count=t.escapeRegExpCharacters=t.escape=t.format=t.isFalsyOrWhitespace=void 0;function M(A){return!A||typeof A!="string"?!0:A.trim().length===0}t.isFalsyOrWhitespace=M;const D=/{(\d+)}/g;function P(A,...U){return U.length===0?A:A.replace(D,function(T,k){const O=parseInt(k,10);return isNaN(O)||O<0||O>=U.length?T:U[O]})}t.format=P;function o(A){return A.replace(/[<>&]/g,function(U){switch(U){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return U}})}t.escape=o;function b(A){return A.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}t.escapeRegExpCharacters=b;function u(A,U){let T=0;const k=U.charCodeAt(0);for(let O=A.length-1;O>=0;O--)A.charCodeAt(O)===k&&T++;return T}t.count=u;function s(A,U,T="\u2026"){return A.length<=U?A:`${A.substr(0,U)}${T}`}t.truncate=s;function a(A,U=" "){const T=S(A,U);return w(T,U)}t.trim=a;function S(A,U){if(!A||!U)return A;const T=U.length;if(T===0||A.length===0)return A;let k=0;for(;A.indexOf(U,k)===k;)k=k+T;return A.substring(k)}t.ltrim=S;function w(A,U){if(!A||!U)return A;const T=U.length,k=A.length;if(T===0||k===0)return A;let O=k,Y=-1;for(;Y=A.lastIndexOf(U,O-1),!(Y===-1||Y+T!==O);){if(Y===0)return"";O=Y}return A.substring(0,O)}t.rtrim=w;function g(A){return A.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}t.convertSimple2RegExpPattern=g;function c(A){return A.replace(/\*/g,"")}t.stripWildcards=c;function m(A,U,T={}){if(!A)throw new Error("Cannot create regex from empty string");U||(A=b(A)),T.wholeWord&&(/\B/.test(A.charAt(0))||(A="\\b"+A),/\B/.test(A.charAt(A.length-1))||(A=A+"\\b"));let k="";return T.global&&(k+="g"),T.matchCase||(k+="i"),T.multiline&&(k+="m"),T.unicode&&(k+="u"),new RegExp(A,k)}t.createRegExp=m;function N(A){return A.source==="^"||A.source==="^$"||A.source==="$"||A.source==="^\\s*$"?!1:!!(A.exec("")&&A.lastIndex===0)}t.regExpLeadsToEndlessLoop=N;function v(A){return!!A.match(/([^\\]|^)(\\\\)*\\\d+/)}t.regExpContainsBackreference=v;function _(A){return(A.global?"g":"")+(A.ignoreCase?"i":"")+(A.multiline?"m":"")+(A.unicode?"u":"")}t.regExpFlags=_;function n(A){return A.split(/\r\n|\r|\n/)}t.splitLines=n;function i(A){for(let U=0,T=A.length;U<T;U++){const k=A.charCodeAt(U);if(k!==32&&k!==9)return U}return-1}t.firstNonWhitespaceIndex=i;function r(A,U=0,T=A.length){for(let k=U;k<T;k++){const O=A.charCodeAt(k);if(O!==32&&O!==9)return A.substring(U,k)}return A.substring(U,T)}t.getLeadingWhitespace=r;function l(A,U=A.length-1){for(let T=U;T>=0;T--){const k=A.charCodeAt(T);if(k!==32&&k!==9)return T}return-1}t.lastNonWhitespaceIndex=l;function f(A,U){return A<U?-1:A>U?1:0}t.compare=f;function L(A,U,T=0,k=A.length,O=0,Y=U.length){for(;T<k&&O<Y;T++,O++){let ne=A.charCodeAt(T),ie=U.charCodeAt(O);if(ne<ie)return-1;if(ne>ie)return 1}const $=k-T,ee=Y-O;return $<ee?-1:$>ee?1:0}t.compareSubstring=L;function d(A,U){return E(A,U,0,A.length,0,U.length)}t.compareIgnoreCase=d;function E(A,U,T=0,k=A.length,O=0,Y=U.length){for(;T<k&&O<Y;T++,O++){let ne=A.charCodeAt(T),ie=U.charCodeAt(O);if(ne!==ie){const se=ne-ie;if(!(se===32&&C(ie))&&!(se===-32&&C(ne)))return h(ne)&&h(ie)?se:L(A.toLowerCase(),U.toLowerCase(),T,k,O,Y)}}const $=k-T,ee=Y-O;return $<ee?-1:$>ee?1:0}t.compareSubstringIgnoreCase=E;function h(A){return A>=97&&A<=122}t.isLowerAsciiLetter=h;function C(A){return A>=65&&A<=90}t.isUpperAsciiLetter=C;function p(A){return h(A)||C(A)}function I(A,U){return A.length===U.length&&R(A,U)}t.equalsIgnoreCase=I;function R(A,U,T=A.length){for(let k=0;k<T;k++){const O=A.charCodeAt(k),Y=U.charCodeAt(k);if(O!==Y){if(p(O)&&p(Y)){const $=Math.abs(O-Y);if($!==0&&$!==32)return!1}else if(String.fromCharCode(O).toLowerCase()!==String.fromCharCode(Y).toLowerCase())return!1}}return!0}function y(A,U){const T=U.length;return U.length>A.length?!1:R(A,U,T)}t.startsWithIgnoreCase=y;function H(A,U){let T,k=Math.min(A.length,U.length);for(T=0;T<k;T++)if(A.charCodeAt(T)!==U.charCodeAt(T))return T;return k}t.commonPrefixLength=H;function j(A,U){let T,k=Math.min(A.length,U.length);const O=A.length-1,Y=U.length-1;for(T=0;T<k;T++)if(A.charCodeAt(O-T)!==U.charCodeAt(Y-T))return T;return k}t.commonSuffixLength=j;function J(A){return 55296<=A&&A<=56319}t.isHighSurrogate=J;function V(A){return 56320<=A&&A<=57343}t.isLowSurrogate=V;function e(A,U){return(A-55296<<10)+(U-56320)+65536}t.computeCodePoint=e;function B(A,U,T){const k=A.charCodeAt(T);if(J(k)&&T+1<U){const O=A.charCodeAt(T+1);if(V(O))return e(k,O)}return k}t.getNextCodePoint=B;function q(A,U){const T=A.charCodeAt(U-1);if(V(T)&&U>1){const k=A.charCodeAt(U-2);if(J(k))return e(k,T)}return T}function W(A,U){const T=re.getInstance(),k=U,O=A.length,Y=B(A,O,U);U+=Y>=65536?2:1;let $=T.getGraphemeBreakType(Y);for(;U<O;){const ee=B(A,O,U),ne=T.getGraphemeBreakType(ee);if(oe($,ne))break;U+=ee>=65536?2:1,$=ne}return U-k}t.nextCharLength=W;function z(A,U){const T=re.getInstance(),k=U,O=q(A,U);U-=O>=65536?2:1;let Y=T.getGraphemeBreakType(O);for(;U>0;){const $=q(A,U),ee=T.getGraphemeBreakType($);if(oe(ee,Y))break;U-=$>=65536?2:1,Y=ee}return k-U}t.prevCharLength=z;function Z(A,U){const T=re.getInstance(),k=A.length,O=U,Y=B(A,k,U),$=T.getGraphemeBreakType(Y);U+=Y>=65536?2:1;let ee=$;for(;U<k;){const ie=B(A,k,U),se=T.getGraphemeBreakType(ie);if(oe(ee,se))break;U+=ie>=65536?2:1,ee=se}const ne=U;for(U=O,ee=$;U>0;){const ie=q(A,U),se=T.getGraphemeBreakType(ie);if(oe(se,ee))break;U-=ie>=65536?2:1,ee=se}return[U,ne]}function x(A,U){return U>0&&V(A.charCodeAt(U))?Z(A,U-1):Z(A,U)}t.getCharContainingOffset=x;function te(A){const U=A.length;let T=0,k=0;for(;k<U;){const $=B(A,U,k);k+=$>=65536?2:1,$<128?T+=1:$<2048?T+=2:$<65536?T+=3:T+=4}const O=new Uint8Array(T);k=0;let Y=0;for(;k<U;){const $=B(A,U,k);k+=$>=65536?2:1,$<128?O[Y++]=$:$<2048?(O[Y++]=192|($&1984)>>>6,O[Y++]=128|($&63)>>>0):$<65536?(O[Y++]=224|($&61440)>>>12,O[Y++]=128|($&4032)>>>6,O[Y++]=128|($&63)>>>0):(O[Y++]=240|($&1835008)>>>18,O[Y++]=128|($&258048)>>>12,O[Y++]=128|($&4032)>>>6,O[Y++]=128|($&63)>>>0)}return O}t.encodeUTF8=te;function le(A){const U=A.byteLength,T=[];let k=0;for(;k<U;){const O=A[k];let Y;if(O>=240&&k+3<U?Y=(A[k++]&7)<<18>>>0|(A[k++]&63)<<12>>>0|(A[k++]&63)<<6>>>0|(A[k++]&63)<<0>>>0:O>=224&&k+2<U?Y=(A[k++]&15)<<12>>>0|(A[k++]&63)<<6>>>0|(A[k++]&63)<<0>>>0:O>=192&&k+1<U?Y=(A[k++]&31)<<6>>>0|(A[k++]&63)<<0>>>0:Y=A[k++],Y>=0&&Y<=55295||Y>=57344&&Y<=65535)T.push(String.fromCharCode(Y));else if(Y>=65536&&Y<=1114111){const $=Y-65536,ee=55296+(($&1047552)>>>10),ne=56320+(($&1023)>>>0);T.push(String.fromCharCode(ee)),T.push(String.fromCharCode(ne))}else T.push(String.fromCharCode(65533))}return T.join("")}t.decodeUTF8=le;const ue=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function ae(A){return ue.test(A)}t.containsRTL=ae;const ce=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function ve(A){return ce.test(A)}t.containsEmoji=ve;const Le=/^[\t\n\r\x20-\x7E]*$/;function be(A){return Le.test(A)}t.isBasicASCII=be,t.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Ee(A){return t.UNUSUAL_LINE_TERMINATORS.test(A)}t.containsUnusualLineTerminators=Ee;function Se(A){for(let U=0,T=A.length;U<T;U++)if(he(A.charCodeAt(U)))return!0;return!1}t.containsFullWidthCharacter=Se;function he(A){return A=+A,A>=11904&&A<=55215||A>=63744&&A<=64255||A>=65281&&A<=65374}t.isFullWidthCharacter=he;function Ne(A){return A>=127462&&A<=127487||A===8986||A===8987||A===9200||A===9203||A>=9728&&A<=10175||A===11088||A===11093||A>=127744&&A<=128591||A>=128640&&A<=128764||A>=128992&&A<=129003||A>=129280&&A<=129535||A>=129648&&A<=129750}t.isEmojiImprecise=Ne;function Ae(A,U){if(A.length<U)return A;const T=/\b/g;let k=0;for(;T.test(A)&&!(A.length-T.lastIndex<U);)k=T.lastIndex,T.lastIndex+=1;return A.substring(k).replace(/^\s/,"")}t.lcut=Ae;const we=/\x1B\x5B[12]?K/g,Ce=/\x1b\[\d+m/g,Pe=/\x1b\[0?m/g;function Me(A){return A&&(A=A.replace(we,""),A=A.replace(Ce,""),A=A.replace(Pe,"")),A}t.removeAnsiEscapeCodes=Me,t.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function de(A){return!!(A&&A.length>0&&A.charCodeAt(0)===65279)}t.startsWithUTF8BOM=de;function pe(A){return de(A)?A.substr(1):A}t.stripUTF8BOM=pe;function De(A,U){if(!A||!U||A.length<U.length)return!1;const T=U.length,k=A.toLowerCase();let O=0,Y=-1;for(;O<T;){const $=k.indexOf(U[O],Y+1);if($<0)return!1;Y=$,O++}return!0}t.fuzzyContains=De;function Ue(A,U=!1){return A?(U&&(A=A.replace(/\\./g,"")),A.toLowerCase()!==A):!1}t.containsUppercaseCharacter=Ue;function Re(A){return A.charAt(0).toUpperCase()+A.slice(1)}t.uppercaseFirstLetter=Re;function Ie(A,U=1){if(U===0)return"";let T=-1;do T=A.indexOf(`
`,T+1),U--;while(U>0&&T>=0);return T===-1?A:(A[T-1]==="\r"&&T--,A.substr(0,T))}t.getNLines=Ie;function Fe(A){const U=90-65+1;return A=A%(2*U),A<U?String.fromCharCode(97+A):String.fromCharCode(65+A-U)}t.singleLetterHash=Fe;function Te(A){return re.getInstance().getGraphemeBreakType(A)}t.getGraphemeBreakType=Te;function oe(A,U){return A===0?U!==5&&U!==7:A===2&&U===3?!1:A===4||A===2||A===3||U===4||U===2||U===3?!0:!(A===8&&(U===8||U===9||U===11||U===12)||(A===11||A===9)&&(U===9||U===10)||(A===12||A===10)&&U===10||U===5||U===13||U===7||A===1||A===13&&U===14||A===6&&U===6)}t.breakBetweenGraphemeBreakType=oe;var ke;(function(A){A[A.Other=0]="Other",A[A.Prepend=1]="Prepend",A[A.CR=2]="CR",A[A.LF=3]="LF",A[A.Control=4]="Control",A[A.Extend=5]="Extend",A[A.Regional_Indicator=6]="Regional_Indicator",A[A.SpacingMark=7]="SpacingMark",A[A.L=8]="L",A[A.V=9]="V",A[A.T=10]="T",A[A.LV=11]="LV",A[A.LVT=12]="LVT",A[A.ZWJ=13]="ZWJ",A[A.Extended_Pictographic=14]="Extended_Pictographic"})(ke=t.GraphemeBreakType||(t.GraphemeBreakType={}));class re{constructor(){this._data=We()}static getInstance(){return re._INSTANCE||(re._INSTANCE=new re),re._INSTANCE}getGraphemeBreakType(U){if(U<32)return U===10?3:U===13?2:4;if(U<127)return 0;const T=this._data,k=T.length/3;let O=1;for(;O<=k;)if(U<T[3*O])O=2*O;else if(U>T[3*O+1])O=2*O+1;else return T[3*O+2];return 0}}re._INSTANCE=null;function We(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),G(Q[22],X([0,1,5]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringSHA1=t.toHexString=t.Hasher=t.stringHash=t.doHash=t.hash=void 0;function D(_){return P(_,0)}t.hash=D;function P(_,n){switch(typeof _){case"object":return _===null?o(349,n):Array.isArray(_)?s(_,n):a(_,n);case"string":return u(_,n);case"boolean":return b(_,n);case"number":return o(_,n);case"undefined":return o(937,n);default:return o(617,n)}}t.doHash=P;function o(_,n){return(n<<5)-n+_|0}function b(_,n){return o(_?433:863,n)}function u(_,n){n=o(149417,n);for(let i=0,r=_.length;i<r;i++)n=o(_.charCodeAt(i),n);return n}t.stringHash=u;function s(_,n){return n=o(104579,n),_.reduce((i,r)=>P(r,i),n)}function a(_,n){return n=o(181387,n),Object.keys(_).sort().reduce((i,r)=>(i=u(r,i),P(_[r],i)),n)}class S{constructor(){this._value=0}get value(){return this._value}hash(n){return this._value=P(n,this._value),this._value}}t.Hasher=S;var w;(function(_){_[_.BLOCK_SIZE=64]="BLOCK_SIZE",_[_.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(w||(w={}));function g(_,n,i=32){const r=i-n,l=~((1<<r)-1);return(_<<n|(l&_)>>>r)>>>0}function c(_,n=0,i=_.byteLength,r=0){for(let l=0;l<i;l++)_[n+l]=r}function m(_,n,i="0"){for(;_.length<n;)_=i+_;return _}function N(_,n=32){return _ instanceof ArrayBuffer?Array.from(new Uint8Array(_)).map(i=>i.toString(16).padStart(2,"0")).join(""):m((_>>>0).toString(16),n/4)}t.toHexString=N;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(n){const i=n.length;if(i!==0){const r=this._buff;let l=this._buffLen,f=this._leftoverHighSurrogate,L,d;for(f!==0?(L=f,d=-1,f=0):(L=n.charCodeAt(0),d=0);;){let E=L;if(M.isHighSurrogate(L))if(d+1<i){const h=n.charCodeAt(d+1);M.isLowSurrogate(h)?(d++,E=M.computeCodePoint(L,h)):E=65533}else{f=L;break}else M.isLowSurrogate(L)&&(E=65533);if(l=this._push(r,l,E),d++,d<i)L=n.charCodeAt(d);else break}this._buffLen=l,this._leftoverHighSurrogate=f}}_push(n,i,r){return r<128?n[i++]=r:r<2048?(n[i++]=192|(r&1984)>>>6,n[i++]=128|(r&63)>>>0):r<65536?(n[i++]=224|(r&61440)>>>12,n[i++]=128|(r&4032)>>>6,n[i++]=128|(r&63)>>>0):(n[i++]=240|(r&1835008)>>>18,n[i++]=128|(r&258048)>>>12,n[i++]=128|(r&4032)>>>6,n[i++]=128|(r&63)>>>0),i>=64&&(this._step(),i-=64,this._totalLen+=64,n[0]=n[64+0],n[1]=n[64+1],n[2]=n[64+2]),i}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),N(this._h0)+N(this._h1)+N(this._h2)+N(this._h3)+N(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,c(this._buff,this._buffLen),this._buffLen>56&&(this._step(),c(this._buff));const n=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(n/4294967296),!1),this._buffDV.setUint32(60,n%4294967296,!1),this._step()}_step(){const n=v._bigBlock32,i=this._buffDV;for(let p=0;p<64;p+=4)n.setUint32(p,i.getUint32(p,!1),!1);for(let p=64;p<320;p+=4)n.setUint32(p,g(n.getUint32(p-12,!1)^n.getUint32(p-32,!1)^n.getUint32(p-56,!1)^n.getUint32(p-64,!1),1),!1);let r=this._h0,l=this._h1,f=this._h2,L=this._h3,d=this._h4,E,h,C;for(let p=0;p<80;p++)p<20?(E=l&f|~l&L,h=1518500249):p<40?(E=l^f^L,h=1859775393):p<60?(E=l&f|l&L|f&L,h=2400959708):(E=l^f^L,h=3395469782),C=g(r,5)+E+d+h+n.getUint32(p*4,!1)&4294967295,d=L,L=f,f=g(l,30),l=r,r=C;this._h0=this._h0+r&4294967295,this._h1=this._h1+l&4294967295,this._h2=this._h2+f&4294967295,this._h3=this._h3+L&4294967295,this._h4=this._h4+d&4294967295}}t.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))}),G(Q[11],X([0,1,15,22]),function(F,t,M,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LcsDiff=t.MyArray=t.Debug=t.stringDiff=t.StringDiffSequence=void 0;class P{constructor(g){this.source=g}getElements(){const g=this.source,c=new Int32Array(g.length);for(let m=0,N=g.length;m<N;m++)c[m]=g.charCodeAt(m);return c}}t.StringDiffSequence=P;function o(w,g,c){return new S(new P(w),new P(g)).ComputeDiff(c).changes}t.stringDiff=o;class b{static Assert(g,c){if(!g)throw new Error(c)}}t.Debug=b;class u{static Copy(g,c,m,N,v){for(let _=0;_<v;_++)m[N+_]=g[c+_]}static Copy2(g,c,m,N,v){for(let _=0;_<v;_++)m[N+_]=g[c+_]}}t.MyArray=u;var s;(function(w){w[w.MaxDifferencesHistory=1447]="MaxDifferencesHistory"})(s||(s={}));class a{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new M.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(g,c){this.m_originalStart=Math.min(this.m_originalStart,g),this.m_modifiedStart=Math.min(this.m_modifiedStart,c),this.m_originalCount++}AddModifiedElement(g,c){this.m_originalStart=Math.min(this.m_originalStart,g),this.m_modifiedStart=Math.min(this.m_modifiedStart,c),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class S{constructor(g,c,m=null){this.ContinueProcessingPredicate=m;const[N,v,_]=S._getElements(g),[n,i,r]=S._getElements(c);this._hasStrings=_&&r,this._originalStringElements=N,this._originalElementsOrHash=v,this._modifiedStringElements=n,this._modifiedElementsOrHash=i,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(g){return g.length>0&&typeof g[0]=="string"}static _getElements(g){const c=g.getElements();if(S._isStringArray(c)){const m=new Int32Array(c.length);for(let N=0,v=c.length;N<v;N++)m[N]=(0,D.stringHash)(c[N],0);return[c,m,!0]}return c instanceof Int32Array?[[],c,!1]:[[],new Int32Array(c),!1]}ElementsAreEqual(g,c){return this._originalElementsOrHash[g]!==this._modifiedElementsOrHash[c]?!1:this._hasStrings?this._originalStringElements[g]===this._modifiedStringElements[c]:!0}OriginalElementsAreEqual(g,c){return this._originalElementsOrHash[g]!==this._originalElementsOrHash[c]?!1:this._hasStrings?this._originalStringElements[g]===this._originalStringElements[c]:!0}ModifiedElementsAreEqual(g,c){return this._modifiedElementsOrHash[g]!==this._modifiedElementsOrHash[c]?!1:this._hasStrings?this._modifiedStringElements[g]===this._modifiedStringElements[c]:!0}ComputeDiff(g){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,g)}_ComputeDiff(g,c,m,N,v){const _=[!1];let n=this.ComputeDiffRecursive(g,c,m,N,_);return v&&(n=this.PrettifyChanges(n)),{quitEarly:_[0],changes:n}}ComputeDiffRecursive(g,c,m,N,v){for(v[0]=!1;g<=c&&m<=N&&this.ElementsAreEqual(g,m);)g++,m++;for(;c>=g&&N>=m&&this.ElementsAreEqual(c,N);)c--,N--;if(g>c||m>N){let f;return m<=N?(b.Assert(g===c+1,"originalStart should only be one more than originalEnd"),f=[new M.DiffChange(g,0,m,N-m+1)]):g<=c?(b.Assert(m===N+1,"modifiedStart should only be one more than modifiedEnd"),f=[new M.DiffChange(g,c-g+1,m,0)]):(b.Assert(g===c+1,"originalStart should only be one more than originalEnd"),b.Assert(m===N+1,"modifiedStart should only be one more than modifiedEnd"),f=[]),f}const _=[0],n=[0],i=this.ComputeRecursionPoint(g,c,m,N,_,n,v),r=_[0],l=n[0];if(i!==null)return i;if(!v[0]){const f=this.ComputeDiffRecursive(g,r,m,l,v);let L=[];return v[0]?L=[new M.DiffChange(r+1,c-(r+1)+1,l+1,N-(l+1)+1)]:L=this.ComputeDiffRecursive(r+1,c,l+1,N,v),this.ConcatenateChanges(f,L)}return[new M.DiffChange(g,c-g+1,m,N-m+1)]}WALKTRACE(g,c,m,N,v,_,n,i,r,l,f,L,d,E,h,C,p,I){let R=null,y=null,H=new a,j=c,J=m,V=d[0]-C[0]-N,e=-1073741824,B=this.m_forwardHistory.length-1;do{const q=V+g;q===j||q<J&&r[q-1]<r[q+1]?(f=r[q+1],E=f-V-N,f<e&&H.MarkNextChange(),e=f,H.AddModifiedElement(f+1,E),V=q+1-g):(f=r[q-1]+1,E=f-V-N,f<e&&H.MarkNextChange(),e=f-1,H.AddOriginalElement(f,E+1),V=q-1-g),B>=0&&(r=this.m_forwardHistory[B],g=r[0],j=1,J=r.length-1)}while(--B>=-1);if(R=H.getReverseChanges(),I[0]){let q=d[0]+1,W=C[0]+1;if(R!==null&&R.length>0){const z=R[R.length-1];q=Math.max(q,z.getOriginalEnd()),W=Math.max(W,z.getModifiedEnd())}y=[new M.DiffChange(q,L-q+1,W,h-W+1)]}else{H=new a,j=_,J=n,V=d[0]-C[0]-i,e=1073741824,B=p?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const q=V+v;q===j||q<J&&l[q-1]>=l[q+1]?(f=l[q+1]-1,E=f-V-i,f>e&&H.MarkNextChange(),e=f+1,H.AddOriginalElement(f+1,E+1),V=q+1-v):(f=l[q-1],E=f-V-i,f>e&&H.MarkNextChange(),e=f,H.AddModifiedElement(f+1,E+1),V=q-1-v),B>=0&&(l=this.m_reverseHistory[B],v=l[0],j=1,J=l.length-1)}while(--B>=-1);y=H.getChanges()}return this.ConcatenateChanges(R,y)}ComputeRecursionPoint(g,c,m,N,v,_,n){let i=0,r=0,l=0,f=0,L=0,d=0;g--,m--,v[0]=0,_[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const E=c-g+(N-m),h=E+1,C=new Int32Array(h),p=new Int32Array(h),I=N-m,R=c-g,y=g-m,H=c-N,J=(R-I)%2==0;C[I]=g,p[R]=c,n[0]=!1;for(let V=1;V<=E/2+1;V++){let e=0,B=0;l=this.ClipDiagonalBound(I-V,V,I,h),f=this.ClipDiagonalBound(I+V,V,I,h);for(let W=l;W<=f;W+=2){W===l||W<f&&C[W-1]<C[W+1]?i=C[W+1]:i=C[W-1]+1,r=i-(W-I)-y;const z=i;for(;i<c&&r<N&&this.ElementsAreEqual(i+1,r+1);)i++,r++;if(C[W]=i,i+r>e+B&&(e=i,B=r),!J&&Math.abs(W-R)<=V-1&&i>=p[W])return v[0]=i,_[0]=r,z<=p[W]&&1447>0&&V<=1447+1?this.WALKTRACE(I,l,f,y,R,L,d,H,C,p,i,c,v,r,N,_,J,n):null}const q=(e-g+(B-m)-V)/2;if(this.ContinueProcessingPredicate!==null&&!this.ContinueProcessingPredicate(e,q))return n[0]=!0,v[0]=e,_[0]=B,q>0&&1447>0&&V<=1447+1?this.WALKTRACE(I,l,f,y,R,L,d,H,C,p,i,c,v,r,N,_,J,n):(g++,m++,[new M.DiffChange(g,c-g+1,m,N-m+1)]);L=this.ClipDiagonalBound(R-V,V,R,h),d=this.ClipDiagonalBound(R+V,V,R,h);for(let W=L;W<=d;W+=2){W===L||W<d&&p[W-1]>=p[W+1]?i=p[W+1]-1:i=p[W-1],r=i-(W-R)-H;const z=i;for(;i>g&&r>m&&this.ElementsAreEqual(i,r);)i--,r--;if(p[W]=i,J&&Math.abs(W-I)<=V&&i<=C[W])return v[0]=i,_[0]=r,z>=C[W]&&1447>0&&V<=1447+1?this.WALKTRACE(I,l,f,y,R,L,d,H,C,p,i,c,v,r,N,_,J,n):null}if(V<=1447){let W=new Int32Array(f-l+2);W[0]=I-l+1,u.Copy2(C,l,W,1,f-l+1),this.m_forwardHistory.push(W),W=new Int32Array(d-L+2),W[0]=R-L+1,u.Copy2(p,L,W,1,d-L+1),this.m_reverseHistory.push(W)}}return this.WALKTRACE(I,l,f,y,R,L,d,H,C,p,i,c,v,r,N,_,J,n)}PrettifyChanges(g){for(let c=0;c<g.length;c++){const m=g[c],N=c<g.length-1?g[c+1].originalStart:this._originalElementsOrHash.length,v=c<g.length-1?g[c+1].modifiedStart:this._modifiedElementsOrHash.length,_=m.originalLength>0,n=m.modifiedLength>0;for(;m.originalStart+m.originalLength<N&&m.modifiedStart+m.modifiedLength<v&&(!_||this.OriginalElementsAreEqual(m.originalStart,m.originalStart+m.originalLength))&&(!n||this.ModifiedElementsAreEqual(m.modifiedStart,m.modifiedStart+m.modifiedLength));)m.originalStart++,m.modifiedStart++;let i=[null];if(c<g.length-1&&this.ChangesOverlap(g[c],g[c+1],i)){g[c]=i[0],g.splice(c+1,1),c--;continue}}for(let c=g.length-1;c>=0;c--){const m=g[c];let N=0,v=0;if(c>0){const l=g[c-1];l.originalLength>0&&(N=l.originalStart+l.originalLength),l.modifiedLength>0&&(v=l.modifiedStart+l.modifiedLength)}const _=m.originalLength>0,n=m.modifiedLength>0;let i=0,r=this._boundaryScore(m.originalStart,m.originalLength,m.modifiedStart,m.modifiedLength);for(let l=1;;l++){const f=m.originalStart-l,L=m.modifiedStart-l;if(f<N||L<v||_&&!this.OriginalElementsAreEqual(f,f+m.originalLength)||n&&!this.ModifiedElementsAreEqual(L,L+m.modifiedLength))break;const d=this._boundaryScore(f,m.originalLength,L,m.modifiedLength);d>r&&(r=d,i=l)}m.originalStart-=i,m.modifiedStart-=i}if(this._hasStrings)for(let c=1,m=g.length;c<m;c++){const N=g[c-1],v=g[c],_=v.originalStart-N.originalStart-N.originalLength,n=N.originalStart,i=v.originalStart+v.originalLength,r=i-n,l=N.modifiedStart,f=v.modifiedStart+v.modifiedLength,L=f-l;if(_<5&&r<20&&L<20){const d=this._findBetterContiguousSequence(n,r,l,L,_);if(d){const[E,h]=d;(E!==N.originalStart+N.originalLength||h!==N.modifiedStart+N.modifiedLength)&&(N.originalLength=E-N.originalStart,N.modifiedLength=h-N.modifiedStart,v.originalStart=E+_,v.modifiedStart=h+_,v.originalLength=i-v.originalStart,v.modifiedLength=f-v.modifiedStart)}}}return g}_findBetterContiguousSequence(g,c,m,N,v){if(c<v||N<v)return null;const _=g+c-v+1,n=m+N-v+1;let i=0,r=0,l=0;for(let f=g;f<_;f++)for(let L=m;L<n;L++){const d=this._contiguousSequenceScore(f,L,v);d>0&&d>i&&(i=d,r=f,l=L)}return i>0?[r,l]:null}_contiguousSequenceScore(g,c,m){let N=0;for(let v=0;v<m;v++){if(!this.ElementsAreEqual(g+v,c+v))return 0;N+=this._originalStringElements[g+v].length}return N}_OriginalIsBoundary(g){return g<=0||g>=this._originalElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._originalStringElements[g])}_OriginalRegionIsBoundary(g,c){if(this._OriginalIsBoundary(g)||this._OriginalIsBoundary(g-1))return!0;if(c>0){const m=g+c;if(this._OriginalIsBoundary(m-1)||this._OriginalIsBoundary(m))return!0}return!1}_ModifiedIsBoundary(g){return g<=0||g>=this._modifiedElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[g])}_ModifiedRegionIsBoundary(g,c){if(this._ModifiedIsBoundary(g)||this._ModifiedIsBoundary(g-1))return!0;if(c>0){const m=g+c;if(this._ModifiedIsBoundary(m-1)||this._ModifiedIsBoundary(m))return!0}return!1}_boundaryScore(g,c,m,N){const v=this._OriginalRegionIsBoundary(g,c)?1:0,_=this._ModifiedRegionIsBoundary(m,N)?1:0;return v+_}ConcatenateChanges(g,c){let m=[];if(g.length===0||c.length===0)return c.length>0?c:g;if(this.ChangesOverlap(g[g.length-1],c[0],m)){const N=new Array(g.length+c.length-1);return u.Copy(g,0,N,0,g.length-1),N[g.length-1]=m[0],u.Copy(c,1,N,g.length,c.length-1),N}else{const N=new Array(g.length+c.length);return u.Copy(g,0,N,0,g.length),u.Copy(c,0,N,g.length,c.length),N}}ChangesOverlap(g,c,m){if(b.Assert(g.originalStart<=c.originalStart,"Left change is not less than or equal to right change"),b.Assert(g.modifiedStart<=c.modifiedStart,"Left change is not less than or equal to right change"),g.originalStart+g.originalLength>=c.originalStart||g.modifiedStart+g.modifiedLength>=c.modifiedStart){const N=g.originalStart;let v=g.originalLength;const _=g.modifiedStart;let n=g.modifiedLength;return g.originalStart+g.originalLength>=c.originalStart&&(v=c.originalStart+c.originalLength-g.originalStart),g.modifiedStart+g.modifiedLength>=c.modifiedStart&&(n=c.modifiedStart+c.modifiedLength-g.modifiedStart),m[0]=new M.DiffChange(N,v,_,n),!0}else return m[0]=null,!1}ClipDiagonalBound(g,c,m,N){if(g>=0&&g<N)return g;const v=m,_=N-m-1,n=c%2==0;if(g<0){const i=v%2==0;return n===i?0:1}else{const i=_%2==0;return n===i?N-1:N-2}}}t.LcsDiff=S}),G(Q[12],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NotImplementedProxy=t.withUndefinedAsNull=t.withNullAsUndefined=t.createProxyObject=t.getAllMethodNames=t.getAllPropertyNames=t.validateConstraint=t.validateConstraints=t.areFunctions=t.isFunction=t.isEmptyObject=t.assertAllDefined=t.assertIsDefined=t.assertType=t.isUndefinedOrNull=t.isDefined=t.isUndefined=t.isBoolean=t.isNumber=t.isObject=t.isStringArray=t.isString=t.isArray=void 0;function M(h){return Array.isArray(h)}t.isArray=M;function D(h){return typeof h=="string"}t.isString=D;function P(h){return Array.isArray(h)&&h.every(C=>D(C))}t.isStringArray=P;function o(h){return typeof h=="object"&&h!==null&&!Array.isArray(h)&&!(h instanceof RegExp)&&!(h instanceof Date)}t.isObject=o;function b(h){return typeof h=="number"&&!isNaN(h)}t.isNumber=b;function u(h){return h===!0||h===!1}t.isBoolean=u;function s(h){return typeof h=="undefined"}t.isUndefined=s;function a(h){return!S(h)}t.isDefined=a;function S(h){return s(h)||h===null}t.isUndefinedOrNull=S;function w(h,C){if(!h)throw new Error(C?`Unexpected type, expected '${C}'`:"Unexpected type")}t.assertType=w;function g(h){if(S(h))throw new Error("Assertion Failed: argument is undefined or null");return h}t.assertIsDefined=g;function c(...h){const C=[];for(let p=0;p<h.length;p++){const I=h[p];if(S(I))throw new Error(`Assertion Failed: argument at index ${p} is undefined or null`);C.push(I)}return C}t.assertAllDefined=c;const m=Object.prototype.hasOwnProperty;function N(h){if(!o(h))return!1;for(let C in h)if(m.call(h,C))return!1;return!0}t.isEmptyObject=N;function v(h){return typeof h=="function"}t.isFunction=v;function _(...h){return h.length>0&&h.every(v)}t.areFunctions=_;function n(h,C){const p=Math.min(h.length,C.length);for(let I=0;I<p;I++)i(h[I],C[I])}t.validateConstraints=n;function i(h,C){if(D(C)){if(typeof h!==C)throw new Error(`argument does not match constraint: typeof ${C}`)}else if(v(C)){try{if(h instanceof C)return}catch(p){}if(!S(h)&&h.constructor===C||C.length===1&&C.call(void 0,h)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}t.validateConstraint=i;function r(h){let C=[],p=Object.getPrototypeOf(h);for(;Object.prototype!==p;)C=C.concat(Object.getOwnPropertyNames(p)),p=Object.getPrototypeOf(p);return C}t.getAllPropertyNames=r;function l(h){const C=[];for(const p of r(h))typeof h[p]=="function"&&C.push(p);return C}t.getAllMethodNames=l;function f(h,C){const p=R=>function(){const y=Array.prototype.slice.call(arguments,0);return C(R,y)};let I={};for(const R of h)I[R]=p(R);return I}t.createProxyObject=f;function L(h){return h===null?void 0:h}t.withNullAsUndefined=L;function d(h){return typeof h=="undefined"?null:h}t.withUndefinedAsNull=d;function E(h){return class{constructor(){return new Proxy({},{get(C,p){if(C[p])return C[p];throw new Error(`Not Implemented: ${h}->${String(p)}`)}})}}}t.NotImplementedProxy=E}),G(Q[13],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toUint32=t.toUint8=t.Constants=void 0;var M;(function(o){o[o.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",o[o.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",o[o.MAX_UINT_8=255]="MAX_UINT_8",o[o.MAX_UINT_16=65535]="MAX_UINT_16",o[o.MAX_UINT_32=4294967295]="MAX_UINT_32",o[o.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(M=t.Constants||(t.Constants={}));function D(o){return o<0?0:o>255?255:o|0}t.toUint8=D;function P(o){return o<0?0:o>4294967295?4294967295:o|0}t.toUint32=P}),G(Q[14],X([0,1,2,20]),function(F,t,M,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.uriToFsPath=t.URI=void 0;const P=/^\w[\w\d+.-]*$/,o=/^\//,b=/^\/\//;function u(d,E){if(!d.scheme&&E)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${d.authority}", path: "${d.path}", query: "${d.query}", fragment: "${d.fragment}"}`);if(d.scheme&&!P.test(d.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(d.path){if(d.authority){if(!o.test(d.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(b.test(d.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function s(d,E){return!d&&!E?"file":d}function a(d,E){switch(d){case"https":case"http":case"file":E?E[0]!==w&&(E=w+E):E=w;break}return E}const S="",w="/",g=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class c{constructor(E,h,C,p,I,R=!1){typeof E=="object"?(this.scheme=E.scheme||S,this.authority=E.authority||S,this.path=E.path||S,this.query=E.query||S,this.fragment=E.fragment||S):(this.scheme=s(E,R),this.authority=h||S,this.path=a(this.scheme,C||S),this.query=p||S,this.fragment=I||S,u(this,R))}static isUri(E){return E instanceof c?!0:E?typeof E.authority=="string"&&typeof E.fragment=="string"&&typeof E.path=="string"&&typeof E.query=="string"&&typeof E.scheme=="string"&&typeof E.fsPath=="string"&&typeof E.with=="function"&&typeof E.toString=="function":!1}get fsPath(){return i(this,!1)}with(E){if(!E)return this;let{scheme:h,authority:C,path:p,query:I,fragment:R}=E;return h===void 0?h=this.scheme:h===null&&(h=S),C===void 0?C=this.authority:C===null&&(C=S),p===void 0?p=this.path:p===null&&(p=S),I===void 0?I=this.query:I===null&&(I=S),R===void 0?R=this.fragment:R===null&&(R=S),h===this.scheme&&C===this.authority&&p===this.path&&I===this.query&&R===this.fragment?this:new N(h,C,p,I,R)}static parse(E,h=!1){const C=g.exec(E);return C?new N(C[2]||S,L(C[4]||S),L(C[5]||S),L(C[7]||S),L(C[9]||S),h):new N(S,S,S,S,S)}static file(E){let h=S;if(M.isWindows&&(E=E.replace(/\\/g,w)),E[0]===w&&E[1]===w){const C=E.indexOf(w,2);C===-1?(h=E.substring(2),E=w):(h=E.substring(2,C),E=E.substring(C)||w)}return new N("file",h,E,S,S)}static from(E){return new N(E.scheme,E.authority,E.path,E.query,E.fragment)}static joinPath(E,...h){if(!E.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let C;return M.isWindows&&E.scheme==="file"?C=c.file(D.win32.join(i(E,!0),...h)).path:C=D.posix.join(E.path,...h),E.with({path:C})}toString(E=!1){return r(this,E)}toJSON(){return this}static revive(E){if(E){if(E instanceof c)return E;{const h=new N(E);return h._formatted=E.external,h._fsPath=E._sep===m?E.fsPath:null,h}}else return E}}t.URI=c;const m=M.isWindows?1:void 0;class N extends c{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=i(this,!1)),this._fsPath}toString(E=!1){return E?r(this,!0):(this._formatted||(this._formatted=r(this,!1)),this._formatted)}toJSON(){const E={$mid:1};return this._fsPath&&(E.fsPath=this._fsPath,E._sep=m),this._formatted&&(E.external=this._formatted),this.path&&(E.path=this.path),this.scheme&&(E.scheme=this.scheme),this.authority&&(E.authority=this.authority),this.query&&(E.query=this.query),this.fragment&&(E.fragment=this.fragment),E}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function _(d,E){let h,C=-1;for(let p=0;p<d.length;p++){const I=d.charCodeAt(p);if(I>=97&&I<=122||I>=65&&I<=90||I>=48&&I<=57||I===45||I===46||I===95||I===126||E&&I===47)C!==-1&&(h+=encodeURIComponent(d.substring(C,p)),C=-1),h!==void 0&&(h+=d.charAt(p));else{h===void 0&&(h=d.substr(0,p));const R=v[I];R!==void 0?(C!==-1&&(h+=encodeURIComponent(d.substring(C,p)),C=-1),h+=R):C===-1&&(C=p)}}return C!==-1&&(h+=encodeURIComponent(d.substring(C))),h!==void 0?h:d}function n(d){let E;for(let h=0;h<d.length;h++){const C=d.charCodeAt(h);C===35||C===63?(E===void 0&&(E=d.substr(0,h)),E+=v[C]):E!==void 0&&(E+=d[h])}return E!==void 0?E:d}function i(d,E){let h;return d.authority&&d.path.length>1&&d.scheme==="file"?h=`//${d.authority}${d.path}`:d.path.charCodeAt(0)===47&&(d.path.charCodeAt(1)>=65&&d.path.charCodeAt(1)<=90||d.path.charCodeAt(1)>=97&&d.path.charCodeAt(1)<=122)&&d.path.charCodeAt(2)===58?E?h=d.path.substr(1):h=d.path[1].toLowerCase()+d.path.substr(2):h=d.path,M.isWindows&&(h=h.replace(/\//g,"\\")),h}t.uriToFsPath=i;function r(d,E){const h=E?n:_;let C="",{scheme:p,authority:I,path:R,query:y,fragment:H}=d;if(p&&(C+=p,C+=":"),(I||p==="file")&&(C+=w,C+=w),I){let j=I.indexOf("@");if(j!==-1){const J=I.substr(0,j);I=I.substr(j+1),j=J.indexOf(":"),j===-1?C+=h(J,!1):(C+=h(J.substr(0,j),!1),C+=":",C+=h(J.substr(j+1),!1)),C+="@"}I=I.toLowerCase(),j=I.indexOf(":"),j===-1?C+=h(I,!1):(C+=h(I.substr(0,j),!1),C+=I.substr(j))}if(R){if(R.length>=3&&R.charCodeAt(0)===47&&R.charCodeAt(2)===58){const j=R.charCodeAt(1);j>=65&&j<=90&&(R=`/${String.fromCharCode(j+32)}:${R.substr(3)}`)}else if(R.length>=2&&R.charCodeAt(1)===58){const j=R.charCodeAt(0);j>=65&&j<=90&&(R=`${String.fromCharCode(j+32)}:${R.substr(2)}`)}C+=h(R,!0)}return y&&(C+="?",C+=h(y,!1)),H&&(C+="#",C+=E?H:_(H,!1)),C}function l(d){try{return decodeURIComponent(d)}catch(E){return d.length>3?d.substr(0,3)+l(d.substr(3)):d}}const f=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function L(d){return d.match(f)?d.replace(f,E=>l(E)):d}}),G(Q[34],X([0,1,4,8,2,12]),function(F,t,M,D,P,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.create=t.SimpleWorkerServer=t.SimpleWorkerClient=t.logOnceWebWorkerWarning=void 0;const b="$initialize";let u=!1;function s(c){!P.isWeb||(u||(u=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(c.message))}t.logOnceWebWorkerWarning=s;class a{constructor(m){this._workerId=-1,this._handler=m,this._lastSentReq=0,this._pendingReplies=Object.create(null)}setWorkerId(m){this._workerId=m}sendMessage(m,N){let v=String(++this._lastSentReq);return new Promise((_,n)=>{this._pendingReplies[v]={resolve:_,reject:n},this._send({vsWorker:this._workerId,req:v,method:m,args:N})})}handleMessage(m){!m||!m.vsWorker||this._workerId!==-1&&m.vsWorker!==this._workerId||this._handleMessage(m)}_handleMessage(m){if(m.seq){let n=m;if(!this._pendingReplies[n.seq]){console.warn("Got reply to unknown seq");return}let i=this._pendingReplies[n.seq];if(delete this._pendingReplies[n.seq],n.err){let r=n.err;n.err.$isError&&(r=new Error,r.name=n.err.name,r.message=n.err.message,r.stack=n.err.stack),i.reject(r);return}i.resolve(n.res);return}let N=m,v=N.req;this._handler.handleMessage(N.method,N.args).then(n=>{this._send({vsWorker:this._workerId,seq:v,res:n,err:void 0})},n=>{n.detail instanceof Error&&(n.detail=(0,M.transformErrorForSerialization)(n.detail)),this._send({vsWorker:this._workerId,seq:v,res:void 0,err:(0,M.transformErrorForSerialization)(n)})})}_send(m){let N=[];if(m.req){const v=m;for(let _=0;_<v.args.length;_++)v.args[_]instanceof ArrayBuffer&&N.push(v.args[_])}else{const v=m;v.res instanceof ArrayBuffer&&N.push(v.res)}this._handler.sendMessage(m,N)}}class S extends D.Disposable{constructor(m,N,v){super();let _=null;this._worker=this._register(m.create("vs/base/common/worker/simpleWorker",l=>{this._protocol.handleMessage(l)},l=>{_&&_(l)})),this._protocol=new a({sendMessage:(l,f)=>{this._worker.postMessage(l,f)},handleMessage:(l,f)=>{if(typeof v[l]!="function")return Promise.reject(new Error("Missing method "+l+" on main thread host."));try{return Promise.resolve(v[l].apply(v,f))}catch(L){return Promise.reject(L)}}}),this._protocol.setWorkerId(this._worker.getId());let n=null;typeof self.require!="undefined"&&typeof self.require.getConfig=="function"?n=self.require.getConfig():typeof self.requirejs!="undefined"&&(n=self.requirejs.s.contexts._.config);const i=o.getAllMethodNames(v);this._onModuleLoaded=this._protocol.sendMessage(b,[this._worker.getId(),JSON.parse(JSON.stringify(n)),N,i]);const r=(l,f)=>this._request(l,f);this._lazyProxy=new Promise((l,f)=>{_=f,this._onModuleLoaded.then(L=>{l(o.createProxyObject(L,r))},L=>{f(L),this._onError("Worker failed to load "+N,L)})})}getProxyObject(){return this._lazyProxy}_request(m,N){return new Promise((v,_)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(m,N).then(v,_)},_)})}_onError(m,N){console.error(m),console.info(N)}}t.SimpleWorkerClient=S;class w{constructor(m,N){this._requestHandlerFactory=N,this._requestHandler=null,this._protocol=new a({sendMessage:(v,_)=>{m(v,_)},handleMessage:(v,_)=>this._handleMessage(v,_)})}onmessage(m){this._protocol.handleMessage(m)}_handleMessage(m,N){if(m===b)return this.initialize(N[0],N[1],N[2],N[3]);if(!this._requestHandler||typeof this._requestHandler[m]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+m));try{return Promise.resolve(this._requestHandler[m].apply(this._requestHandler,N))}catch(v){return Promise.reject(v)}}initialize(m,N,v,_){this._protocol.setWorkerId(m);const n=(r,l)=>this._protocol.sendMessage(r,l),i=o.createProxyObject(_,n);return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(i),Promise.resolve(o.getAllMethodNames(this._requestHandler))):(N&&(typeof N.baseUrl!="undefined"&&delete N.baseUrl,typeof N.paths!="undefined"&&typeof N.paths.vs!="undefined"&&delete N.paths.vs,typeof N.trustedTypesPolicy!==void 0&&delete N.trustedTypesPolicy,N.catchError=!0,self.require.config(N)),new Promise((r,l)=>{self.require([v],f=>{if(this._requestHandler=f.create(i),!this._requestHandler){l(new Error("No RequestHandler!"));return}r(o.getAllMethodNames(this._requestHandler))},l)}))}}t.SimpleWorkerServer=w;function g(c){return new w(c,null)}t.create=g}),G(Q[23],X([0,1,13]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CharacterSet=t.CharacterClassifier=void 0;class D{constructor(u){let s=(0,M.toUint8)(u);this._defaultValue=s,this._asciiMap=D._createAsciiMap(s),this._map=new Map}static _createAsciiMap(u){let s=new Uint8Array(256);for(let a=0;a<256;a++)s[a]=u;return s}set(u,s){let a=(0,M.toUint8)(s);u>=0&&u<256?this._asciiMap[u]=a:this._map.set(u,a)}get(u){return u>=0&&u<256?this._asciiMap[u]:this._map.get(u)||this._defaultValue}}t.CharacterClassifier=D;var P;(function(b){b[b.False=0]="False",b[b.True=1]="True"})(P||(P={}));class o{constructor(){this._actual=new D(0)}add(u){this._actual.set(u,1)}has(u){return this._actual.get(u)===1}}t.CharacterSet=o}),G(Q[3],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Position=void 0;class M{constructor(P,o){this.lineNumber=P,this.column=o}with(P=this.lineNumber,o=this.column){return P===this.lineNumber&&o===this.column?this:new M(P,o)}delta(P=0,o=0){return this.with(this.lineNumber+P,this.column+o)}equals(P){return M.equals(this,P)}static equals(P,o){return!P&&!o?!0:!!P&&!!o&&P.lineNumber===o.lineNumber&&P.column===o.column}isBefore(P){return M.isBefore(this,P)}static isBefore(P,o){return P.lineNumber<o.lineNumber?!0:o.lineNumber<P.lineNumber?!1:P.column<o.column}isBeforeOrEqual(P){return M.isBeforeOrEqual(this,P)}static isBeforeOrEqual(P,o){return P.lineNumber<o.lineNumber?!0:o.lineNumber<P.lineNumber?!1:P.column<=o.column}static compare(P,o){let b=P.lineNumber|0,u=o.lineNumber|0;if(b===u){let s=P.column|0,a=o.column|0;return s-a}return b-u}clone(){return new M(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(P){return new M(P.lineNumber,P.column)}static isIPosition(P){return P&&typeof P.lineNumber=="number"&&typeof P.column=="number"}}t.Position=M}),G(Q[6],X([0,1,3]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Range=void 0;class D{constructor(o,b,u,s){o>u||o===u&&b>s?(this.startLineNumber=u,this.startColumn=s,this.endLineNumber=o,this.endColumn=b):(this.startLineNumber=o,this.startColumn=b,this.endLineNumber=u,this.endColumn=s)}isEmpty(){return D.isEmpty(this)}static isEmpty(o){return o.startLineNumber===o.endLineNumber&&o.startColumn===o.endColumn}containsPosition(o){return D.containsPosition(this,o)}static containsPosition(o,b){return!(b.lineNumber<o.startLineNumber||b.lineNumber>o.endLineNumber||b.lineNumber===o.startLineNumber&&b.column<o.startColumn||b.lineNumber===o.endLineNumber&&b.column>o.endColumn)}containsRange(o){return D.containsRange(this,o)}static containsRange(o,b){return!(b.startLineNumber<o.startLineNumber||b.endLineNumber<o.startLineNumber||b.startLineNumber>o.endLineNumber||b.endLineNumber>o.endLineNumber||b.startLineNumber===o.startLineNumber&&b.startColumn<o.startColumn||b.endLineNumber===o.endLineNumber&&b.endColumn>o.endColumn)}strictContainsRange(o){return D.strictContainsRange(this,o)}static strictContainsRange(o,b){return!(b.startLineNumber<o.startLineNumber||b.endLineNumber<o.startLineNumber||b.startLineNumber>o.endLineNumber||b.endLineNumber>o.endLineNumber||b.startLineNumber===o.startLineNumber&&b.startColumn<=o.startColumn||b.endLineNumber===o.endLineNumber&&b.endColumn>=o.endColumn)}plusRange(o){return D.plusRange(this,o)}static plusRange(o,b){let u,s,a,S;return b.startLineNumber<o.startLineNumber?(u=b.startLineNumber,s=b.startColumn):b.startLineNumber===o.startLineNumber?(u=b.startLineNumber,s=Math.min(b.startColumn,o.startColumn)):(u=o.startLineNumber,s=o.startColumn),b.endLineNumber>o.endLineNumber?(a=b.endLineNumber,S=b.endColumn):b.endLineNumber===o.endLineNumber?(a=b.endLineNumber,S=Math.max(b.endColumn,o.endColumn)):(a=o.endLineNumber,S=o.endColumn),new D(u,s,a,S)}intersectRanges(o){return D.intersectRanges(this,o)}static intersectRanges(o,b){let u=o.startLineNumber,s=o.startColumn,a=o.endLineNumber,S=o.endColumn,w=b.startLineNumber,g=b.startColumn,c=b.endLineNumber,m=b.endColumn;return u<w?(u=w,s=g):u===w&&(s=Math.max(s,g)),a>c?(a=c,S=m):a===c&&(S=Math.min(S,m)),u>a||u===a&&s>S?null:new D(u,s,a,S)}equalsRange(o){return D.equalsRange(this,o)}static equalsRange(o,b){return!!o&&!!b&&o.startLineNumber===b.startLineNumber&&o.startColumn===b.startColumn&&o.endLineNumber===b.endLineNumber&&o.endColumn===b.endColumn}getEndPosition(){return D.getEndPosition(this)}static getEndPosition(o){return new M.Position(o.endLineNumber,o.endColumn)}getStartPosition(){return D.getStartPosition(this)}static getStartPosition(o){return new M.Position(o.startLineNumber,o.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(o,b){return new D(this.startLineNumber,this.startColumn,o,b)}setStartPosition(o,b){return new D(o,b,this.endLineNumber,this.endColumn)}collapseToStart(){return D.collapseToStart(this)}static collapseToStart(o){return new D(o.startLineNumber,o.startColumn,o.startLineNumber,o.startColumn)}static fromPositions(o,b=o){return new D(o.lineNumber,o.column,b.lineNumber,b.column)}static lift(o){return o?new D(o.startLineNumber,o.startColumn,o.endLineNumber,o.endColumn):null}static isIRange(o){return o&&typeof o.startLineNumber=="number"&&typeof o.startColumn=="number"&&typeof o.endLineNumber=="number"&&typeof o.endColumn=="number"}static areIntersectingOrTouching(o,b){return!(o.endLineNumber<b.startLineNumber||o.endLineNumber===b.startLineNumber&&o.endColumn<b.startColumn||b.endLineNumber<o.startLineNumber||b.endLineNumber===o.startLineNumber&&b.endColumn<o.startColumn)}static areIntersecting(o,b){return!(o.endLineNumber<b.startLineNumber||o.endLineNumber===b.startLineNumber&&o.endColumn<=b.startColumn||b.endLineNumber<o.startLineNumber||b.endLineNumber===o.startLineNumber&&b.endColumn<=o.startColumn)}static compareRangesUsingStarts(o,b){if(o&&b){const a=o.startLineNumber|0,S=b.startLineNumber|0;if(a===S){const w=o.startColumn|0,g=b.startColumn|0;if(w===g){const c=o.endLineNumber|0,m=b.endLineNumber|0;if(c===m){const N=o.endColumn|0,v=b.endColumn|0;return N-v}return c-m}return w-g}return a-S}return(o?1:0)-(b?1:0)}static compareRangesUsingEnds(o,b){return o.endLineNumber===b.endLineNumber?o.endColumn===b.endColumn?o.startLineNumber===b.startLineNumber?o.startColumn-b.startColumn:o.startLineNumber-b.startLineNumber:o.endColumn-b.endColumn:o.endLineNumber-b.endLineNumber}static spansMultipleLines(o){return o.endLineNumber>o.startLineNumber}}t.Range=D}),G(Q[24],X([0,1,3,6]),function(F,t,M,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Selection=t.SelectionDirection=void 0;var P;(function(b){b[b.LTR=0]="LTR",b[b.RTL=1]="RTL"})(P=t.SelectionDirection||(t.SelectionDirection={}));class o extends D.Range{constructor(u,s,a,S){super(u,s,a,S);this.selectionStartLineNumber=u,this.selectionStartColumn=s,this.positionLineNumber=a,this.positionColumn=S}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(u){return o.selectionsEqual(this,u)}static selectionsEqual(u,s){return u.selectionStartLineNumber===s.selectionStartLineNumber&&u.selectionStartColumn===s.selectionStartColumn&&u.positionLineNumber===s.positionLineNumber&&u.positionColumn===s.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(u,s){return this.getDirection()===0?new o(this.startLineNumber,this.startColumn,u,s):new o(u,s,this.startLineNumber,this.startColumn)}getPosition(){return new M.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(u,s){return this.getDirection()===0?new o(u,s,this.endLineNumber,this.endColumn):new o(this.endLineNumber,this.endColumn,u,s)}static fromPositions(u,s=u){return new o(u.lineNumber,u.column,s.lineNumber,s.column)}static liftSelection(u){return new o(u.selectionStartLineNumber,u.selectionStartColumn,u.positionLineNumber,u.positionColumn)}static selectionsArrEqual(u,s){if(u&&!s||!u&&s)return!1;if(!u&&!s)return!0;if(u.length!==s.length)return!1;for(let a=0,S=u.length;a<S;a++)if(!this.selectionsEqual(u[a],s[a]))return!1;return!0}static isISelection(u){return u&&typeof u.selectionStartLineNumber=="number"&&typeof u.selectionStartColumn=="number"&&typeof u.positionLineNumber=="number"&&typeof u.positionColumn=="number"}static createWithDirection(u,s,a,S,w){return w===0?new o(u,s,a,S):new o(a,S,u,s)}}t.Selection=o}),G(Q[25],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TokenizationResult2=t.TokenizationResult=t.Token=void 0;class M{constructor(b,u,s){this.offset=b|0,this.type=u,this.language=s}toString(){return"("+this.offset+", "+this.type+")"}}t.Token=M;class D{constructor(b,u){this.tokens=b,this.endState=u}}t.TokenizationResult=D;class P{constructor(b,u){this.tokens=b,this.endState=u}}t.TokenizationResult2=P}),G(Q[26],X([0,1,11,5]),function(F,t,M,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiffComputer=void 0;const P=3;function o(N,v,_,n){return new M.LcsDiff(N,v,_).ComputeDiff(n)}class b{constructor(v){const _=[],n=[];for(let i=0,r=v.length;i<r;i++)_[i]=g(v[i],1),n[i]=c(v[i],1);this.lines=v,this._startColumns=_,this._endColumns=n}getElements(){const v=[];for(let _=0,n=this.lines.length;_<n;_++)v[_]=this.lines[_].substring(this._startColumns[_]-1,this._endColumns[_]-1);return v}getStartLineNumber(v){return v+1}getEndLineNumber(v){return v+1}createCharSequence(v,_,n){const i=[],r=[],l=[];let f=0;for(let L=_;L<=n;L++){const d=this.lines[L],E=v?this._startColumns[L]:1,h=v?this._endColumns[L]:d.length+1;for(let C=E;C<h;C++)i[f]=d.charCodeAt(C-1),r[f]=L+1,l[f]=C,f++}return new u(i,r,l)}}class u{constructor(v,_,n){this._charCodes=v,this._lineNumbers=_,this._columns=n}getElements(){return this._charCodes}getStartLineNumber(v){return this._lineNumbers[v]}getStartColumn(v){return this._columns[v]}getEndLineNumber(v){return this._lineNumbers[v]}getEndColumn(v){return this._columns[v]+1}}class s{constructor(v,_,n,i,r,l,f,L){this.originalStartLineNumber=v,this.originalStartColumn=_,this.originalEndLineNumber=n,this.originalEndColumn=i,this.modifiedStartLineNumber=r,this.modifiedStartColumn=l,this.modifiedEndLineNumber=f,this.modifiedEndColumn=L}static createFromDiffChange(v,_,n){let i,r,l,f,L,d,E,h;return v.originalLength===0?(i=0,r=0,l=0,f=0):(i=_.getStartLineNumber(v.originalStart),r=_.getStartColumn(v.originalStart),l=_.getEndLineNumber(v.originalStart+v.originalLength-1),f=_.getEndColumn(v.originalStart+v.originalLength-1)),v.modifiedLength===0?(L=0,d=0,E=0,h=0):(L=n.getStartLineNumber(v.modifiedStart),d=n.getStartColumn(v.modifiedStart),E=n.getEndLineNumber(v.modifiedStart+v.modifiedLength-1),h=n.getEndColumn(v.modifiedStart+v.modifiedLength-1)),new s(i,r,l,f,L,d,E,h)}}function a(N){if(N.length<=1)return N;const v=[N[0]];let _=v[0];for(let n=1,i=N.length;n<i;n++){const r=N[n],l=r.originalStart-(_.originalStart+_.originalLength),f=r.modifiedStart-(_.modifiedStart+_.modifiedLength);Math.min(l,f)<P?(_.originalLength=r.originalStart+r.originalLength-_.originalStart,_.modifiedLength=r.modifiedStart+r.modifiedLength-_.modifiedStart):(v.push(r),_=r)}return v}class S{constructor(v,_,n,i,r){this.originalStartLineNumber=v,this.originalEndLineNumber=_,this.modifiedStartLineNumber=n,this.modifiedEndLineNumber=i,this.charChanges=r}static createFromDiffResult(v,_,n,i,r,l,f){let L,d,E,h,C;if(_.originalLength===0?(L=n.getStartLineNumber(_.originalStart)-1,d=0):(L=n.getStartLineNumber(_.originalStart),d=n.getEndLineNumber(_.originalStart+_.originalLength-1)),_.modifiedLength===0?(E=i.getStartLineNumber(_.modifiedStart)-1,h=0):(E=i.getStartLineNumber(_.modifiedStart),h=i.getEndLineNumber(_.modifiedStart+_.modifiedLength-1)),l&&_.originalLength>0&&_.originalLength<20&&_.modifiedLength>0&&_.modifiedLength<20&&r()){const p=n.createCharSequence(v,_.originalStart,_.originalStart+_.originalLength-1),I=i.createCharSequence(v,_.modifiedStart,_.modifiedStart+_.modifiedLength-1);let R=o(p,I,r,!0).changes;f&&(R=a(R)),C=[];for(let y=0,H=R.length;y<H;y++)C.push(s.createFromDiffChange(R[y],p,I))}return new S(L,d,E,h,C)}}class w{constructor(v,_,n){this.shouldComputeCharChanges=n.shouldComputeCharChanges,this.shouldPostProcessCharChanges=n.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=n.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=n.shouldMakePrettyDiff,this.originalLines=v,this.modifiedLines=_,this.original=new b(v),this.modified=new b(_),this.continueLineDiff=m(n.maxComputationTime),this.continueCharDiff=m(n.maxComputationTime===0?0:Math.min(n.maxComputationTime,5e3))}computeDiff(){if(this.original.lines.length===1&&this.original.lines[0].length===0)return this.modified.lines.length===1&&this.modified.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};if(this.modified.lines.length===1&&this.modified.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}]};const v=o(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),_=v.changes,n=v.quitEarly;if(this.shouldIgnoreTrimWhitespace){const f=[];for(let L=0,d=_.length;L<d;L++)f.push(S.createFromDiffResult(this.shouldIgnoreTrimWhitespace,_[L],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:n,changes:f}}const i=[];let r=0,l=0;for(let f=-1,L=_.length;f<L;f++){const d=f+1<L?_[f+1]:null,E=d?d.originalStart:this.originalLines.length,h=d?d.modifiedStart:this.modifiedLines.length;for(;r<E&&l<h;){const C=this.originalLines[r],p=this.modifiedLines[l];if(C!==p){{let I=g(C,1),R=g(p,1);for(;I>1&&R>1;){const y=C.charCodeAt(I-2),H=p.charCodeAt(R-2);if(y!==H)break;I--,R--}(I>1||R>1)&&this._pushTrimWhitespaceCharChange(i,r+1,1,I,l+1,1,R)}{let I=c(C,1),R=c(p,1);const y=C.length+1,H=p.length+1;for(;I<y&&R<H;){const j=C.charCodeAt(I-1),J=C.charCodeAt(R-1);if(j!==J)break;I++,R++}(I<y||R<H)&&this._pushTrimWhitespaceCharChange(i,r+1,I,y,l+1,R,H)}}r++,l++}d&&(i.push(S.createFromDiffResult(this.shouldIgnoreTrimWhitespace,d,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),r+=d.originalLength,l+=d.modifiedLength)}return{quitEarly:n,changes:i}}_pushTrimWhitespaceCharChange(v,_,n,i,r,l,f){if(!this._mergeTrimWhitespaceCharChange(v,_,n,i,r,l,f)){let L;this.shouldComputeCharChanges&&(L=[new s(_,n,_,i,r,l,r,f)]),v.push(new S(_,_,r,r,L))}}_mergeTrimWhitespaceCharChange(v,_,n,i,r,l,f){const L=v.length;if(L===0)return!1;const d=v[L-1];return d.originalEndLineNumber===0||d.modifiedEndLineNumber===0?!1:d.originalEndLineNumber+1===_&&d.modifiedEndLineNumber+1===r?(d.originalEndLineNumber=_,d.modifiedEndLineNumber=r,this.shouldComputeCharChanges&&d.charChanges&&d.charChanges.push(new s(_,n,_,i,r,l,r,f)),!0):!1}}t.DiffComputer=w;function g(N,v){const _=D.firstNonWhitespaceIndex(N);return _===-1?v:_+1}function c(N,v){const _=D.lastNonWhitespaceIndex(N);return _===-1?v:_+2}function m(N){if(N===0)return()=>!0;const v=Date.now();return()=>Date.now()-v<N}}),G(Q[27],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getWordAtText=t.ensureValidWordDefinition=t.DEFAULT_WORD_REGEXP=t.USUAL_WORD_SEPARATORS=void 0,t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function M(u=""){let s="(-?\\d*\\.\\d\\w*)|([^";for(const a of t.USUAL_WORD_SEPARATORS)u.indexOf(a)>=0||(s+="\\"+a);return s+="\\s]+)",new RegExp(s,"g")}t.DEFAULT_WORD_REGEXP=M();function D(u){let s=t.DEFAULT_WORD_REGEXP;if(u&&u instanceof RegExp)if(u.global)s=u;else{let a="g";u.ignoreCase&&(a+="i"),u.multiline&&(a+="m"),u.unicode&&(a+="u"),s=new RegExp(u.source,a)}return s.lastIndex=0,s}t.ensureValidWordDefinition=D;const P={maxLen:1e3,windowSize:15,timeBudget:150};function o(u,s,a,S,w=P){if(a.length>w.maxLen){let v=u-w.maxLen/2;return v<0?v=0:S+=v,a=a.substring(v,u+w.maxLen/2),o(u,s,a,S,w)}const g=Date.now(),c=u-1-S;let m=-1,N=null;for(let v=1;!(Date.now()-g>=w.timeBudget);v++){const _=c-w.windowSize*v;s.lastIndex=Math.max(0,_);const n=b(s,a,c,m);if(!n&&N||(N=n,_<=0))break;m=_}if(N){let v={word:N[0],startColumn:S+1+N.index,endColumn:S+1+N.index+N[0].length};return s.lastIndex=0,v}return null}t.getWordAtText=o;function b(u,s,a,S){let w;for(;w=u.exec(s);){const g=w.index||0;if(g<=a&&u.lastIndex>=a)return w;if(S>0&&g>S)return null}return null}}),G(Q[28],X([0,1,23]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.computeLinks=t.LinkComputer=t.StateMachine=t.Uint8Matrix=t.State=void 0;var D;(function(c){c[c.Invalid=0]="Invalid",c[c.Start=1]="Start",c[c.H=2]="H",c[c.HT=3]="HT",c[c.HTT=4]="HTT",c[c.HTTP=5]="HTTP",c[c.F=6]="F",c[c.FI=7]="FI",c[c.FIL=8]="FIL",c[c.BeforeColon=9]="BeforeColon",c[c.AfterColon=10]="AfterColon",c[c.AlmostThere=11]="AlmostThere",c[c.End=12]="End",c[c.Accept=13]="Accept",c[c.LastKnownState=14]="LastKnownState"})(D=t.State||(t.State={}));class P{constructor(m,N,v){const _=new Uint8Array(m*N);for(let n=0,i=m*N;n<i;n++)_[n]=v;this._data=_,this.rows=m,this.cols=N}get(m,N){return this._data[m*this.cols+N]}set(m,N,v){this._data[m*this.cols+N]=v}}t.Uint8Matrix=P;class o{constructor(m){let N=0,v=0;for(let n=0,i=m.length;n<i;n++){let[r,l,f]=m[n];l>N&&(N=l),r>v&&(v=r),f>v&&(v=f)}N++,v++;let _=new P(v,N,0);for(let n=0,i=m.length;n<i;n++){let[r,l,f]=m[n];_.set(r,l,f)}this._states=_,this._maxCharCode=N}nextState(m,N){return N<0||N>=this._maxCharCode?0:this._states.get(m,N)}}t.StateMachine=o;let b=null;function u(){return b===null&&(b=new o([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),b}var s;(function(c){c[c.None=0]="None",c[c.ForceTermination=1]="ForceTermination",c[c.CannotEndIn=2]="CannotEndIn"})(s||(s={}));let a=null;function S(){if(a===null){a=new M.CharacterClassifier(0);const c=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let N=0;N<c.length;N++)a.set(c.charCodeAt(N),1);const m=".,;";for(let N=0;N<m.length;N++)a.set(m.charCodeAt(N),2)}return a}class w{static _createLink(m,N,v,_,n){let i=n-1;do{const r=N.charCodeAt(i);if(m.get(r)!==2)break;i--}while(i>_);if(_>0){const r=N.charCodeAt(_-1),l=N.charCodeAt(i);(r===40&&l===41||r===91&&l===93||r===123&&l===125)&&i--}return{range:{startLineNumber:v,startColumn:_+1,endLineNumber:v,endColumn:i+2},url:N.substring(_,i+1)}}static computeLinks(m,N=u()){const v=S();let _=[];for(let n=1,i=m.getLineCount();n<=i;n++){const r=m.getLineContent(n),l=r.length;let f=0,L=0,d=0,E=1,h=!1,C=!1,p=!1,I=!1;for(;f<l;){let R=!1;const y=r.charCodeAt(f);if(E===13){let H;switch(y){case 40:h=!0,H=0;break;case 41:H=h?0:1;break;case 91:p=!0,C=!0,H=0;break;case 93:p=!1,H=C?0:1;break;case 123:I=!0,H=0;break;case 125:H=I?0:1;break;case 39:H=d===34||d===96?0:1;break;case 34:H=d===39||d===96?0:1;break;case 96:H=d===39||d===34?0:1;break;case 42:H=d===42?1:0;break;case 124:H=d===124?1:0;break;case 32:H=p?0:1;break;default:H=v.get(y)}H===1&&(_.push(w._createLink(v,r,n,L,f)),R=!0)}else if(E===12){let H;y===91?(C=!0,H=0):H=v.get(y),H===1?R=!0:E=13}else E=N.nextState(E,y),E===0&&(R=!0);R&&(E=1,h=!1,C=!1,I=!1,L=f+1,d=y),f++}E===13&&_.push(w._createLink(v,r,n,L,l))}return _}}t.LinkComputer=w;function g(c){return!c||typeof c.getLineCount!="function"||typeof c.getLineContent!="function"?[]:w.computeLinks(c)}t.computeLinks=g}),G(Q[29],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BasicInplaceReplace=void 0;class M{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}navigateValueSet(P,o,b,u,s){if(P&&o){let a=this.doNavigateValueSet(o,s);if(a)return{range:P,value:a}}if(b&&u){let a=this.doNavigateValueSet(u,s);if(a)return{range:b,value:a}}return null}doNavigateValueSet(P,o){let b=this.numberReplace(P,o);return b!==null?b:this.textReplace(P,o)}numberReplace(P,o){let b=Math.pow(10,P.length-(P.lastIndexOf(".")+1)),u=Number(P),s=parseFloat(P);return!isNaN(u)&&!isNaN(s)&&u===s?u===0&&!o?null:(u=Math.floor(u*b),u+=o?b:-b,String(u/b)):null}textReplace(P,o){return this.valueSetsReplace(this._defaultValueSet,P,o)}valueSetsReplace(P,o,b){let u=null;for(let s=0,a=P.length;u===null&&s<a;s++)u=this.valueSetReplace(P[s],o,b);return u}valueSetReplace(P,o,b){let u=P.indexOf(o);return u>=0?(u+=b?1:-1,u<0?u=P.length-1:u%=P.length,P[u]):null}}t.BasicInplaceReplace=M,M.INSTANCE=new M}),G(Q[30],X([0,1]),function(F,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.WrappingIndent=t.TrackedRangeStickiness=t.TextEditorCursorStyle=t.TextEditorCursorBlinkingStyle=t.SymbolTag=t.SymbolKind=t.SignatureHelpTriggerKind=t.SelectionDirection=t.ScrollbarVisibility=t.ScrollType=t.RenderMinimap=t.RenderLineNumbersType=t.OverviewRulerLane=t.OverlayWidgetPositionPreference=t.MouseTargetType=t.MinimapPosition=t.MarkerTag=t.MarkerSeverity=t.KeyCode=t.InlineHintKind=t.IndentAction=t.EndOfLineSequence=t.EndOfLinePreference=t.EditorOption=t.EditorAutoIndentStrategy=t.DocumentHighlightKind=t.DefaultEndOfLine=t.CursorChangeReason=t.ContentWidgetPositionPreference=t.CompletionTriggerKind=t.CompletionItemTag=t.CompletionItemKind=t.CompletionItemInsertTextRule=t.AccessibilitySupport=void 0;var M;(function(e){e[e.Unknown=0]="Unknown",e[e.Disabled=1]="Disabled",e[e.Enabled=2]="Enabled"})(M=t.AccessibilitySupport||(t.AccessibilitySupport={}));var D;(function(e){e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"})(D=t.CompletionItemInsertTextRule||(t.CompletionItemInsertTextRule={}));var P;(function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet"})(P=t.CompletionItemKind||(t.CompletionItemKind={}));var o;(function(e){e[e.Deprecated=1]="Deprecated"})(o=t.CompletionItemTag||(t.CompletionItemTag={}));var b;(function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(b=t.CompletionTriggerKind||(t.CompletionTriggerKind={}));var u;(function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"})(u=t.ContentWidgetPositionPreference||(t.ContentWidgetPositionPreference={}));var s;(function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"})(s=t.CursorChangeReason||(t.CursorChangeReason={}));var a;(function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"})(a=t.DefaultEndOfLine||(t.DefaultEndOfLine={}));var S;(function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"})(S=t.DocumentHighlightKind||(t.DocumentHighlightKind={}));var w;(function(e){e[e.None=0]="None",e[e.Keep=1]="Keep",e[e.Brackets=2]="Brackets",e[e.Advanced=3]="Advanced",e[e.Full=4]="Full"})(w=t.EditorAutoIndentStrategy||(t.EditorAutoIndentStrategy={}));var g;(function(e){e[e.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",e[e.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",e[e.accessibilitySupport=2]="accessibilitySupport",e[e.accessibilityPageSize=3]="accessibilityPageSize",e[e.ariaLabel=4]="ariaLabel",e[e.autoClosingBrackets=5]="autoClosingBrackets",e[e.autoClosingOvertype=6]="autoClosingOvertype",e[e.autoClosingQuotes=7]="autoClosingQuotes",e[e.autoIndent=8]="autoIndent",e[e.automaticLayout=9]="automaticLayout",e[e.autoSurround=10]="autoSurround",e[e.codeLens=11]="codeLens",e[e.codeLensFontFamily=12]="codeLensFontFamily",e[e.codeLensFontSize=13]="codeLensFontSize",e[e.colorDecorators=14]="colorDecorators",e[e.columnSelection=15]="columnSelection",e[e.comments=16]="comments",e[e.contextmenu=17]="contextmenu",e[e.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",e[e.cursorBlinking=19]="cursorBlinking",e[e.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",e[e.cursorStyle=21]="cursorStyle",e[e.cursorSurroundingLines=22]="cursorSurroundingLines",e[e.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",e[e.cursorWidth=24]="cursorWidth",e[e.disableLayerHinting=25]="disableLayerHinting",e[e.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",e[e.dragAndDrop=27]="dragAndDrop",e[e.emptySelectionClipboard=28]="emptySelectionClipboard",e[e.extraEditorClassName=29]="extraEditorClassName",e[e.fastScrollSensitivity=30]="fastScrollSensitivity",e[e.find=31]="find",e[e.fixedOverflowWidgets=32]="fixedOverflowWidgets",e[e.folding=33]="folding",e[e.foldingStrategy=34]="foldingStrategy",e[e.foldingHighlight=35]="foldingHighlight",e[e.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",e[e.fontFamily=37]="fontFamily",e[e.fontInfo=38]="fontInfo",e[e.fontLigatures=39]="fontLigatures",e[e.fontSize=40]="fontSize",e[e.fontWeight=41]="fontWeight",e[e.formatOnPaste=42]="formatOnPaste",e[e.formatOnType=43]="formatOnType",e[e.glyphMargin=44]="glyphMargin",e[e.gotoLocation=45]="gotoLocation",e[e.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",e[e.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",e[e.hover=48]="hover",e[e.inDiffEditor=49]="inDiffEditor",e[e.letterSpacing=50]="letterSpacing",e[e.lightbulb=51]="lightbulb",e[e.lineDecorationsWidth=52]="lineDecorationsWidth",e[e.lineHeight=53]="lineHeight",e[e.lineNumbers=54]="lineNumbers",e[e.lineNumbersMinChars=55]="lineNumbersMinChars",e[e.linkedEditing=56]="linkedEditing",e[e.links=57]="links",e[e.matchBrackets=58]="matchBrackets",e[e.minimap=59]="minimap",e[e.mouseStyle=60]="mouseStyle",e[e.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",e[e.mouseWheelZoom=62]="mouseWheelZoom",e[e.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",e[e.multiCursorModifier=64]="multiCursorModifier",e[e.multiCursorPaste=65]="multiCursorPaste",e[e.occurrencesHighlight=66]="occurrencesHighlight",e[e.overviewRulerBorder=67]="overviewRulerBorder",e[e.overviewRulerLanes=68]="overviewRulerLanes",e[e.padding=69]="padding",e[e.parameterHints=70]="parameterHints",e[e.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",e[e.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",e[e.quickSuggestions=73]="quickSuggestions",e[e.quickSuggestionsDelay=74]="quickSuggestionsDelay",e[e.readOnly=75]="readOnly",e[e.renameOnType=76]="renameOnType",e[e.renderControlCharacters=77]="renderControlCharacters",e[e.renderIndentGuides=78]="renderIndentGuides",e[e.renderFinalNewline=79]="renderFinalNewline",e[e.renderLineHighlight=80]="renderLineHighlight",e[e.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",e[e.renderValidationDecorations=82]="renderValidationDecorations",e[e.renderWhitespace=83]="renderWhitespace",e[e.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",e[e.roundedSelection=85]="roundedSelection",e[e.rulers=86]="rulers",e[e.scrollbar=87]="scrollbar",e[e.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",e[e.scrollBeyondLastLine=89]="scrollBeyondLastLine",e[e.scrollPredominantAxis=90]="scrollPredominantAxis",e[e.selectionClipboard=91]="selectionClipboard",e[e.selectionHighlight=92]="selectionHighlight",e[e.selectOnLineNumbers=93]="selectOnLineNumbers",e[e.showFoldingControls=94]="showFoldingControls",e[e.showUnused=95]="showUnused",e[e.snippetSuggestions=96]="snippetSuggestions",e[e.smartSelect=97]="smartSelect",e[e.smoothScrolling=98]="smoothScrolling",e[e.stickyTabStops=99]="stickyTabStops",e[e.stopRenderingLineAfter=100]="stopRenderingLineAfter",e[e.suggest=101]="suggest",e[e.suggestFontSize=102]="suggestFontSize",e[e.suggestLineHeight=103]="suggestLineHeight",e[e.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",e[e.suggestSelection=105]="suggestSelection",e[e.tabCompletion=106]="tabCompletion",e[e.tabIndex=107]="tabIndex",e[e.unusualLineTerminators=108]="unusualLineTerminators",e[e.useTabStops=109]="useTabStops",e[e.wordSeparators=110]="wordSeparators",e[e.wordWrap=111]="wordWrap",e[e.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",e[e.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",e[e.wordWrapColumn=114]="wordWrapColumn",e[e.wordWrapOverride1=115]="wordWrapOverride1",e[e.wordWrapOverride2=116]="wordWrapOverride2",e[e.wrappingIndent=117]="wrappingIndent",e[e.wrappingStrategy=118]="wrappingStrategy",e[e.showDeprecated=119]="showDeprecated",e[e.inlineHints=120]="inlineHints",e[e.editorClassName=121]="editorClassName",e[e.pixelRatio=122]="pixelRatio",e[e.tabFocusMode=123]="tabFocusMode",e[e.layoutInfo=124]="layoutInfo",e[e.wrappingInfo=125]="wrappingInfo"})(g=t.EditorOption||(t.EditorOption={}));var c;(function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"})(c=t.EndOfLinePreference||(t.EndOfLinePreference={}));var m;(function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"})(m=t.EndOfLineSequence||(t.EndOfLineSequence={}));var N;(function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"})(N=t.IndentAction||(t.IndentAction={}));var v;(function(e){e[e.Other=0]="Other",e[e.Type=1]="Type",e[e.Parameter=2]="Parameter"})(v=t.InlineHintKind||(t.InlineHintKind={}));var _;(function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",e[e.MAX_VALUE=112]="MAX_VALUE"})(_=t.KeyCode||(t.KeyCode={}));var n;(function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"})(n=t.MarkerSeverity||(t.MarkerSeverity={}));var i;(function(e){e[e.Unnecessary=1]="Unnecessary",e[e.Deprecated=2]="Deprecated"})(i=t.MarkerTag||(t.MarkerTag={}));var r;(function(e){e[e.Inline=1]="Inline",e[e.Gutter=2]="Gutter"})(r=t.MinimapPosition||(t.MinimapPosition={}));var l;(function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(l=t.MouseTargetType||(t.MouseTargetType={}));var f;(function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"})(f=t.OverlayWidgetPositionPreference||(t.OverlayWidgetPositionPreference={}));var L;(function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"})(L=t.OverviewRulerLane||(t.OverviewRulerLane={}));var d;(function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"})(d=t.RenderLineNumbersType||(t.RenderLineNumbersType={}));var E;(function(e){e[e.None=0]="None",e[e.Text=1]="Text",e[e.Blocks=2]="Blocks"})(E=t.RenderMinimap||(t.RenderMinimap={}));var h;(function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"})(h=t.ScrollType||(t.ScrollType={}));var C;(function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"})(C=t.ScrollbarVisibility||(t.ScrollbarVisibility={}));var p;(function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"})(p=t.SelectionDirection||(t.SelectionDirection={}));var I;(function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"})(I=t.SignatureHelpTriggerKind||(t.SignatureHelpTriggerKind={}));var R;(function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"})(R=t.SymbolKind||(t.SymbolKind={}));var y;(function(e){e[e.Deprecated=1]="Deprecated"})(y=t.SymbolTag||(t.SymbolTag={}));var H;(function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"})(H=t.TextEditorCursorBlinkingStyle||(t.TextEditorCursorBlinkingStyle={}));var j;(function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"})(j=t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));var J;(function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(J=t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));var V;(function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"})(V=t.WrappingIndent||(t.WrappingIndent={}))}),G(Q[31],X([0,1,21,10,17,14,3,6,24,25,30]),function(F,t,M,D,P,o,b,u,s,a,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createMonacoBaseAPI=t.KeyMod=void 0;class w{static chord(m,N){return(0,P.KeyChord)(m,N)}}t.KeyMod=w,w.CtrlCmd=2048,w.Shift=1024,w.Alt=512,w.WinCtrl=256;function g(){return{editor:void 0,languages:void 0,CancellationTokenSource:M.CancellationTokenSource,Emitter:D.Emitter,KeyCode:S.KeyCode,KeyMod:w,Position:b.Position,Range:u.Range,Selection:s.Selection,SelectionDirection:S.SelectionDirection,MarkerSeverity:S.MarkerSeverity,MarkerTag:S.MarkerTag,Uri:o.URI,Token:a.Token}}t.createMonacoBaseAPI=g}),G(Q[32],X([0,1,13]),function(F,t,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.PrefixSumComputer=t.PrefixSumIndexOfResult=void 0;class D{constructor(b,u){this.index=b,this.remainder=u}}t.PrefixSumIndexOfResult=D;class P{constructor(b){this.values=b,this.prefixSum=new Uint32Array(b.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(b,u){b=(0,M.toUint32)(b);const s=this.values,a=this.prefixSum,S=u.length;return S===0?!1:(this.values=new Uint32Array(s.length+S),this.values.set(s.subarray(0,b),0),this.values.set(s.subarray(b),b+S),this.values.set(u,b),b-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=b-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(a.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(b,u){return b=(0,M.toUint32)(b),u=(0,M.toUint32)(u),this.values[b]===u?!1:(this.values[b]=u,b-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=b-1),!0)}removeValues(b,u){b=(0,M.toUint32)(b),u=(0,M.toUint32)(u);const s=this.values,a=this.prefixSum;if(b>=s.length)return!1;let S=s.length-b;return u>=S&&(u=S),u===0?!1:(this.values=new Uint32Array(s.length-u),this.values.set(s.subarray(0,b),0),this.values.set(s.subarray(b+u),b),this.prefixSum=new Uint32Array(this.values.length),b-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=b-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(a.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(b){return b<0?0:(b=(0,M.toUint32)(b),this._getAccumulatedValue(b))}_getAccumulatedValue(b){if(b<=this.prefixSumValidIndex[0])return this.prefixSum[b];let u=this.prefixSumValidIndex[0]+1;u===0&&(this.prefixSum[0]=this.values[0],u++),b>=this.values.length&&(b=this.values.length-1);for(let s=u;s<=b;s++)this.prefixSum[s]=this.prefixSum[s-1]+this.values[s];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],b),this.prefixSum[b]}getIndexOf(b){b=Math.floor(b),this.getTotalValue();let u=0,s=this.values.length-1,a=0,S=0,w=0;for(;u<=s;)if(a=u+(s-u)/2|0,S=this.prefixSum[a],w=S-this.values[a],b<w)s=a-1;else if(b>=S)u=a+1;else break;return new D(a,b-w)}}t.PrefixSumComputer=P}),G(Q[33],X([0,1,5,3,32]),function(F,t,M,D,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MirrorTextModel=void 0;class o{constructor(u,s,a,S){this._uri=u,this._lines=s,this._eol=a,this._versionId=S,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(u){u.eol&&u.eol!==this._eol&&(this._eol=u.eol,this._lineStarts=null);const s=u.changes;for(const a of s)this._acceptDeleteRange(a.range),this._acceptInsertText(new D.Position(a.range.startLineNumber,a.range.startColumn),a.text);this._versionId=u.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const u=this._eol.length,s=this._lines.length,a=new Uint32Array(s);for(let S=0;S<s;S++)a[S]=this._lines[S].length+u;this._lineStarts=new P.PrefixSumComputer(a)}}_setLineText(u,s){this._lines[u]=s,this._lineStarts&&this._lineStarts.changeValue(u,this._lines[u].length+this._eol.length)}_acceptDeleteRange(u){if(u.startLineNumber===u.endLineNumber){if(u.startColumn===u.endColumn)return;this._setLineText(u.startLineNumber-1,this._lines[u.startLineNumber-1].substring(0,u.startColumn-1)+this._lines[u.startLineNumber-1].substring(u.endColumn-1));return}this._setLineText(u.startLineNumber-1,this._lines[u.startLineNumber-1].substring(0,u.startColumn-1)+this._lines[u.endLineNumber-1].substring(u.endColumn-1)),this._lines.splice(u.startLineNumber,u.endLineNumber-u.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(u.startLineNumber,u.endLineNumber-u.startLineNumber)}_acceptInsertText(u,s){if(s.length!==0){let a=(0,M.splitLines)(s);if(a.length===1){this._setLineText(u.lineNumber-1,this._lines[u.lineNumber-1].substring(0,u.column-1)+a[0]+this._lines[u.lineNumber-1].substring(u.column-1));return}a[a.length-1]+=this._lines[u.lineNumber-1].substring(u.column-1),this._setLineText(u.lineNumber-1,this._lines[u.lineNumber-1].substring(0,u.column-1)+a[0]);let S=new Uint32Array(a.length-1);for(let w=1;w<a.length;w++)this._lines.splice(u.lineNumber+w-1,0,a[w]),S[w-1]=a[w].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(u.lineNumber,S)}}}t.MirrorTextModel=o}),G(Q[35],X([0,1,11,2,14,3,6,26,33,27,28,29,31,12,9]),function(F,t,M,D,P,o,b,u,s,a,S,w,g,c,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.create=t.EditorSimpleWorker=void 0;class N extends s.MirrorTextModel{get uri(){return this._uri}get version(){return this._versionId}get eol(){return this._eol}getValue(){return this.getText()}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(i){return this._lines[i-1]}getWordAtPosition(i,r){let l=(0,a.getWordAtText)(i.column,(0,a.ensureValidWordDefinition)(r),this._lines[i.lineNumber-1],0);return l?new b.Range(i.lineNumber,l.startColumn,i.lineNumber,l.endColumn):null}getWordUntilPosition(i,r){const l=this.getWordAtPosition(i,r);return l?{word:this._lines[i.lineNumber-1].substring(l.startColumn-1,i.column-1),startColumn:l.startColumn,endColumn:i.column}:{word:"",startColumn:i.column,endColumn:i.column}}words(i){const r=this._lines,l=this._wordenize.bind(this);let f=0,L="",d=0,E=[];return{*[Symbol.iterator](){for(;;)if(d<E.length){const h=L.substring(E[d].start,E[d].end);d+=1,yield h}else if(f<r.length)L=r[f],E=l(L,i),d=0,f+=1;else break}}}getLineWords(i,r){let l=this._lines[i-1],f=this._wordenize(l,r),L=[];for(const d of f)L.push({word:l.substring(d.start,d.end),startColumn:d.start+1,endColumn:d.end+1});return L}_wordenize(i,r){const l=[];let f;for(r.lastIndex=0;(f=r.exec(i))&&f[0].length!==0;)l.push({start:f.index,end:f.index+f[0].length});return l}getValueInRange(i){if(i=this._validateRange(i),i.startLineNumber===i.endLineNumber)return this._lines[i.startLineNumber-1].substring(i.startColumn-1,i.endColumn-1);let r=this._eol,l=i.startLineNumber-1,f=i.endLineNumber-1,L=[];L.push(this._lines[l].substring(i.startColumn-1));for(let d=l+1;d<f;d++)L.push(this._lines[d]);return L.push(this._lines[f].substring(0,i.endColumn-1)),L.join(r)}offsetAt(i){return i=this._validatePosition(i),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(i.lineNumber-2)+(i.column-1)}positionAt(i){i=Math.floor(i),i=Math.max(0,i),this._ensureLineStarts();let r=this._lineStarts.getIndexOf(i),l=this._lines[r.index].length;return{lineNumber:1+r.index,column:1+Math.min(r.remainder,l)}}_validateRange(i){const r=this._validatePosition({lineNumber:i.startLineNumber,column:i.startColumn}),l=this._validatePosition({lineNumber:i.endLineNumber,column:i.endColumn});return r.lineNumber!==i.startLineNumber||r.column!==i.startColumn||l.lineNumber!==i.endLineNumber||l.column!==i.endColumn?{startLineNumber:r.lineNumber,startColumn:r.column,endLineNumber:l.lineNumber,endColumn:l.column}:i}_validatePosition(i){if(!o.Position.isIPosition(i))throw new Error("bad position");let{lineNumber:r,column:l}=i,f=!1;if(r<1)r=1,l=1,f=!0;else if(r>this._lines.length)r=this._lines.length,l=this._lines[r-1].length+1,f=!0;else{let L=this._lines[r-1].length+1;l<1?(l=1,f=!0):l>L&&(l=L,f=!0)}return f?{lineNumber:r,column:l}:i}}class v{constructor(i,r){this._host=i,this._models=Object.create(null),this._foreignModuleFactory=r,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(i){return this._models[i]}_getModels(){let i=[];return Object.keys(this._models).forEach(r=>i.push(this._models[r])),i}acceptNewModel(i){this._models[i.url]=new N(P.URI.parse(i.url),i.lines,i.EOL,i.versionId)}acceptModelChanged(i,r){!this._models[i]||this._models[i].onEvents(r)}acceptRemovedModel(i){!this._models[i]||delete this._models[i]}async computeDiff(i,r,l,f){const L=this._getModel(i),d=this._getModel(r);if(!L||!d)return null;const E=L.getLinesContent(),h=d.getLinesContent(),p=new u.DiffComputer(E,h,{shouldComputeCharChanges:!0,shouldPostProcessCharChanges:!0,shouldIgnoreTrimWhitespace:l,shouldMakePrettyDiff:!0,maxComputationTime:f}).computeDiff(),I=p.changes.length>0?!1:this._modelsAreIdentical(L,d);return{quitEarly:p.quitEarly,identical:I,changes:p.changes}}_modelsAreIdentical(i,r){const l=i.getLineCount(),f=r.getLineCount();if(l!==f)return!1;for(let L=1;L<=l;L++){const d=i.getLineContent(L),E=r.getLineContent(L);if(d!==E)return!1}return!0}async computeDirtyDiff(i,r,l){let f=this._getModel(i),L=this._getModel(r);if(!f||!L)return null;let d=f.getLinesContent(),E=L.getLinesContent();return new u.DiffComputer(d,E,{shouldComputeCharChanges:!1,shouldPostProcessCharChanges:!1,shouldIgnoreTrimWhitespace:l,shouldMakePrettyDiff:!0,maxComputationTime:1e3}).computeDiff().changes}async computeMoreMinimalEdits(i,r){const l=this._getModel(i);if(!l)return r;const f=[];let L;r=r.slice(0).sort((d,E)=>{if(d.range&&E.range)return b.Range.compareRangesUsingStarts(d.range,E.range);let h=d.range?0:1,C=E.range?0:1;return h-C});for(let{range:d,text:E,eol:h}of r)if(typeof h=="number"&&(L=h),!(b.Range.isEmpty(d)&&!E)){const C=l.getValueInRange(d);if(E=E.replace(/\r\n|\n|\r/g,l.eol),C!==E){if(Math.max(E.length,C.length)>v._diffLimit){f.push({range:d,text:E});continue}const p=(0,M.stringDiff)(C,E,!1),I=l.offsetAt(b.Range.lift(d).getStartPosition());for(const R of p){const y=l.positionAt(I+R.originalStart),H=l.positionAt(I+R.originalStart+R.originalLength),j={text:E.substr(R.modifiedStart,R.modifiedLength),range:{startLineNumber:y.lineNumber,startColumn:y.column,endLineNumber:H.lineNumber,endColumn:H.column}};l.getValueInRange(j.range)!==j.text&&f.push(j)}}}return typeof L=="number"&&f.push({eol:L,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),f}async computeLinks(i){let r=this._getModel(i);return r?(0,S.computeLinks)(r):null}async textualSuggest(i,r,l,f){const L=new m.StopWatch(!0),d=new RegExp(l,f),E=new Set;e:for(let h of i){const C=this._getModel(h);if(!!C){for(let p of C.words(d))if(!(p===r||!isNaN(Number(p)))&&(E.add(p),E.size>v._suggestionsLimit))break e}}return{words:Array.from(E),duration:L.elapsed()}}async computeWordRanges(i,r,l,f){let L=this._getModel(i);if(!L)return Object.create(null);const d=new RegExp(l,f),E=Object.create(null);for(let h=r.startLineNumber;h<r.endLineNumber;h++){let C=L.getLineWords(h,d);for(const p of C)if(!!isNaN(Number(p.word))){let I=E[p.word];I||(I=[],E[p.word]=I),I.push({startLineNumber:h,startColumn:p.startColumn,endLineNumber:h,endColumn:p.endColumn})}}return E}async navigateValueSet(i,r,l,f,L){let d=this._getModel(i);if(!d)return null;let E=new RegExp(f,L);r.startColumn===r.endColumn&&(r={startLineNumber:r.startLineNumber,startColumn:r.startColumn,endLineNumber:r.endLineNumber,endColumn:r.endColumn+1});let h=d.getValueInRange(r),C=d.getWordAtPosition({lineNumber:r.startLineNumber,column:r.startColumn},E);if(!C)return null;let p=d.getValueInRange(C);return w.BasicInplaceReplace.INSTANCE.navigateValueSet(r,h,C,p,l)}loadForeignModule(i,r,l){const f=(E,h)=>this._host.fhr(E,h);let d={host:c.createProxyObject(l,f),getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(d,r),Promise.resolve(c.getAllMethodNames(this._foreignModule))):new Promise((E,h)=>{F([i],C=>{this._foreignModule=C.create(d,r),E(c.getAllMethodNames(this._foreignModule))},h)})}fmr(i,r){if(!this._foreignModule||typeof this._foreignModule[i]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+i));try{return Promise.resolve(this._foreignModule[i].apply(this._foreignModule,r))}catch(l){return Promise.reject(l)}}}t.EditorSimpleWorker=v,v._diffLimit=1e5,v._suggestionsLimit=1e4;function _(n){return new v(n,null)}t.create=_,typeof importScripts=="function"&&(D.globals.monaco=(0,g.createMonacoBaseAPI)())});"use strict";(function(){var F,t;const M=self.MonacoEnvironment,D=M&&M.baseUrl?M.baseUrl:"../../../",P=typeof((F=self.trustedTypes)===null||F===void 0?void 0:F.createPolicy)=="function"?(t=self.trustedTypes)===null||t===void 0?void 0:t.createPolicy("amdLoader",{createScriptURL:s=>s}):void 0;if(typeof self.define!="function"||!self.define.amd){let s=D+"vs/loader.js";P&&(s=P.createScriptURL(s)),importScripts(s)}require.config({baseUrl:D,catchError:!0,trustedTypesPolicy:P});let o=function(s){require([s],function(a){setTimeout(function(){let S=a.create((w,g)=>{self.postMessage(w,g)},null);for(self.onmessage=w=>S.onmessage(w.data);u.length>0;)self.onmessage(u.shift())},0)})},b=!0,u=[];self.onmessage=s=>{if(!b){u.push(s);return}b=!1,o(s.data)}})()}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/892a1083cb2b9b3987ff7edc85376b5d9764433d/core/vs/base/worker/workerMain.js.map
