/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Q=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/base/common/uri","vs/base/common/async","vs/base/common/platform","vs/base/common/path","vs/platform/files/common/files","vs/platform/environment/common/environment","vs/base/common/resources","vs/nls","vs/nls!vs/code/electron-browser/sharedProcess/sharedProcessMain","vs/platform/log/common/log","vs/base/common/errors","vs/base/common/network","vs/base/common/types","vs/base/common/arrays","vs/platform/storage/common/storage","vs/platform/userDataSync/common/userDataSync","vs/base/common/strings","vs/base/common/buffer","vs/base/node/pfs","vs/platform/configuration/common/configuration","vs/platform/telemetry/common/telemetry","vs/base/common/objects","fs","vs/platform/extensionManagement/common/extensionManagement","vs/platform/product/common/productService","vs/base/common/cancellation","vs/base/common/uuid","vs/base/common/json","vs/base/parts/ipc/common/ipc","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/registry/common/platform","vs/base/common/map","os","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/base/common/jsonEdit","vs/base/common/process","vs/base/common/extpath","vs/base/common/errorMessage","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/userDataSync/common/abstractSynchronizer","vs/base/common/jsonFormatter","vs/base/common/stream","child_process","vs/base/parts/ipc/node/ipc.cp","vs/platform/instantiation/common/descriptors","vs/platform/product/common/product","vs/platform/userDataSync/common/content","vs/base/common/iterator","vs/base/common/date","vs/platform/localizations/common/localizations","vs/base/common/semver/semver","vs/platform/native/electron-sandbox/native","vs/platform/telemetry/common/telemetryUtils","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/node/zip","vs/base/common/collections","vs/base/common/functional","vs/base/common/linkedList","vs/base/common/normalization","vs/base/node/decoder","vs/base/parts/storage/common/storage","vs/platform/extensions/common/extensionValidator","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionRecommendations/common/extensionRecommendations","vs/platform/extensions/common/extensions","vs/platform/files/common/io","vs/platform/files/node/watcher/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/log/common/logIpc","vs/platform/log/node/spdlogLog","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryService","vs/platform/terminal/common/terminal","vs/platform/userDataSync/common/extensionsStorageSync","vs/platform/userDataSync/common/ignoredExtensions","vs/platform/userDataSync/common/userDataAutoSyncService","vs/base/common/assert","vs/base/common/decorators","vs/base/common/stopwatch","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/uriIpc","vs/base/node/macAddress","vs/base/node/id","vs/base/node/extpath","util","vs/base/node/ps","vs/base/node/watcher","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-browser/ipc.mp","electron","vs/base/parts/request/browser/request","vs/base/parts/sandbox/electron-sandbox/globals","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/processes","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/configRemotes","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionRecommendations/electron-sandbox/extensionRecommendationsIpc","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/checksum/common/checksumService","vs/platform/contextkey/common/contextkey","vs/code/electron-browser/sharedProcess/contrib/logsDataCleaner","vs/code/electron-browser/sharedProcess/contrib/storageDataCleaner","vs/code/electron-browser/sharedProcess/contrib/deprecatedExtensionsCleaner","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/checksum/node/checksumService","crypto","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/ipc/electron-browser/mainProcessService","vs/platform/ipc/electron-sandbox/services","vs/code/electron-browser/sharedProcess/contrib/localizationsUpdater","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/platform/localizations/node/localizations","vs/platform/log/common/bufferLog","vs/platform/log/common/fileLog","vs/platform/log/node/loggerService","vs/code/electron-browser/sharedProcess/contrib/nodeCachedDataCleaner","vs/code/electron-browser/sharedProcess/contrib/languagePackCachedDataCleaner","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/request/browser/requestService","vs/platform/download/common/downloadService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/extensionManagement/common/extensionEnablementService","vs/platform/storage/common/storageIpc","vs/platform/storage/electron-sandbox/storageService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/customEndpointTelemetryService","vs/platform/terminal/electron-sandbox/terminal","vs/platform/terminal/node/ptyHostService","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/userDataSyncBackupStoreService","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/platform/userDataSync/common/userDataSyncResourceEnablementService","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/electron-sandbox/userDataAutoSyncService","vs/platform/windows/node/windowTracker","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","string_decoder","path","yauzl","yazl","vs/code/electron-browser/sharedProcess/sharedProcessMain","graceful-fs"],Z=function(G){for(var e=[],v=0,A=G.length;v<A;v++)e[v]=Q[G[v]];return e};define(Q[85],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function v(A,L){if(!A)throw new Error(L?`Assertion failed (${L})`:"Assertion Failed")}e.ok=v}),define(Q[62],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const v=Object.prototype.hasOwnProperty;function A(D){const f=[];for(let E in D)v.call(D,E)&&f.push(D[E]);return f}e.values=A;function L(D,f){for(let E in D)if(v.call(D,E)&&f({key:E,value:D[E]},function(){delete D[E]})===!1)return}e.forEach=L;function R(D,f){const E=Object.create(null);for(const C of D){const a=f(C);let I=E[a];I||(I=E[a]=[]),I.push(C)}return E}e.groupBy=R;function T(D){const f=Object.create(null);return D&&D.forEach((E,C)=>{f[C]=E}),f}e.fromMap=T;function P(D,f){const E=[],C=[];for(let a of D)f.has(a)||E.push(a);for(let a of f)D.has(a)||C.push(a);return{removed:E,added:C}}e.diffSets=P;function g(D,f){const E=[],C=[];for(let[a,I]of D)f.has(a)||E.push(I);for(let[a,I]of f)D.has(a)||C.push(I);return{removed:E,added:C}}e.diffMaps=g;class m{constructor(){this.map=new Map}add(f,E){let C=this.map.get(f);C||(C=new Set,this.map.set(f,C)),C.add(E)}delete(f,E){const C=this.map.get(f);!C||(C.delete(E),C.size===0&&this.map.delete(f))}forEach(f,E){const C=this.map.get(f);!C||C.forEach(E)}}e.SetMap=m}),define(Q[86],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function v(g){return(m,D,f)=>{let E=null,C=null;if(typeof f.value=="function"?(E="value",C=f.value):typeof f.get=="function"&&(E="get",C=f.get),!C)throw new Error("not supported");f[E]=g(C,D)}}e.createDecorator=v;let A=0;function L(){const g=`$memoize${A++}`;let m;const D=function(E,C,a){let I=null,S=null;if(typeof a.value=="function"?(I="value",S=a.value,S.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof a.get=="function"&&(I="get",S=a.get),!S)throw new Error("not supported");const w=`${g}:${C}`;a[I]=function(...b){return m=this,this.hasOwnProperty(w)||Object.defineProperty(this,w,{configurable:!0,enumerable:!1,writable:!0,value:S.apply(this,b)}),this[w]}};return D.clear=()=>{typeof m!="undefined"&&Object.getOwnPropertyNames(m).forEach(f=>{f.indexOf(g)===0&&delete m[f]})},D}e.createMemoizer=L;function R(g,m,D){return L()(g,m,D)}e.memoize=R;function T(g,m,D){return v((f,E)=>{const C=`$debounce$${E}`,a=`$debounce$result$${E}`;return function(...I){this[a]||(this[a]=D?D():void 0),clearTimeout(this[C]),m&&(this[a]=m(this[a],...I),I=[this[a]]),this[C]=setTimeout(()=>{f.apply(this,I),this[a]=D?D():void 0},g)}})}e.debounce=T;function P(g,m,D){return v((f,E)=>{const C=`$throttle$timer$${E}`,a=`$throttle$result$${E}`,I=`$throttle$lastRun$${E}`,S=`$throttle$pending$${E}`;return function(...w){if(this[a]||(this[a]=D?D():void 0),(this[I]===null||this[I]===void 0)&&(this[I]=-Number.MAX_VALUE),m&&(this[a]=m(this[a],...w)),!this[S]){const b=this[I]+g;b<=Date.now()?(this[I]=Date.now(),f.apply(this,[this[a]]),this[a]=D?D():void 0):(this[S]=!0,this[C]=setTimeout(()=>{this[S]=!1,this[I]=Date.now(),f.apply(this,[this[a]]),this[a]=D?D():void 0},b-Date.now()))}}})}e.throttle=P}),define(Q[15],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class v{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(n=>{n(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=v,e.errorHandler=new v;function A(i){e.errorHandler.setUnexpectedErrorHandler(i)}e.setUnexpectedErrorHandler=A;function L(i){g(i)||e.errorHandler.onUnexpectedError(i)}e.onUnexpectedError=L;function R(i){g(i)||e.errorHandler.onUnexpectedExternalError(i)}e.onUnexpectedExternalError=R;function T(i){if(i instanceof Error){let{name:t,message:n}=i;const r=i.stacktrace||i.stack;return{$isError:!0,name:t,message:n,stack:r}}return i}e.transformErrorForSerialization=T;const P="Canceled";function g(i){return i instanceof Error&&i.name===P&&i.message===P}e.isPromiseCanceledError=g;class m extends Error{constructor(){super(P);this.name=this.message}}e.CancellationError=m;function D(){const i=new Error(P);return i.name=i.message,i}e.canceled=D;function f(i){return i?new Error(`Illegal argument: ${i}`):new Error("Illegal argument")}e.illegalArgument=f;function E(i){return i?new Error(`Illegal state: ${i}`):new Error("Illegal state")}e.illegalState=E;function C(i){return i?new Error(`readonly property '${i} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=C;function a(i){const t=new Error(`${i} has been disposed`);return t.name="DISPOSED",t}e.disposed=a;function I(i){return i?i.message?i.message:i.stack?i.stack.split(`
`)[0]:String(i):"Error"}e.getErrorMessage=I;class S extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=S;class w extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=w;class b extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=b;function y(i){const t=i;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=y;function o(i,t=Object.create(null)){const n=new Error(i);return t.actions&&(n.actions=t.actions),n}e.createErrorWithActions=o}),define(Q[18],Z([0,1,15]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function A(B,M=0){return B[B.length-(1+M)]}e.tail=A;function L(B){if(B.length===0)throw new Error("Invalid tail call");return[B.slice(0,B.length-1),B[B.length-1]]}e.tail2=L;function R(B,M,F=(k,U)=>k===U){if(B===M)return!0;if(!B||!M||B.length!==M.length)return!1;for(let k=0,U=B.length;k<U;k++)if(!F(B[k],M[k]))return!1;return!0}e.equals=R;function T(B,M,F){let k=0,U=B.length-1;for(;k<=U;){const N=(k+U)/2|0,z=F(B[N],M);if(z<0)k=N+1;else if(z>0)U=N-1;else return N}return-(k+1)}e.binarySearch=T;function P(B,M){let F=0,k=B.length;if(k===0)return 0;for(;F<k;){const U=Math.floor((F+k)/2);M(B[U])?k=U:F=U+1}return F}e.findFirstInSorted=P;function g(B,M,F){if(B=B|0,B>=M.length)throw new TypeError("invalid index");let k=M[Math.floor(M.length*Math.random())],U=[],N=[],z=[];for(let H of M){const K=F(H,k);K<0?U.push(H):K>0?N.push(H):z.push(H)}return B<U.length?g(B,U,F):B<U.length+z.length?z[0]:g(B-(U.length+z.length),N,F)}e.quickSelect=g;function m(B,M){const F=[];let k;for(const U of B.slice(0).sort(M))!k||M(k[0],U)!==0?(k=[U],F.push(k)):k.push(U);return F}e.groupBy=m;function D(B,M,F){const k=[];function U(H,K,te){if(!(K===0&&te.length===0)){const X=k[k.length-1];X&&X.start+X.deleteCount===H?(X.deleteCount+=K,X.toInsert.push(...te)):k.push({start:H,deleteCount:K,toInsert:te})}}let N=0,z=0;for(;;){if(N===B.length){U(N,0,M.slice(z));break}if(z===M.length){U(N,B.length-N,[]);break}const H=B[N],K=M[z],te=F(H,K);te===0?(N+=1,z+=1):te<0?(U(N,1,[]),N+=1):te>0&&(U(N,0,[K]),z+=1)}return k}e.sortedDiff=D;function f(B,M,F){const k=D(B,M,F),U=[],N=[];for(const z of k)U.push(...B.slice(z.start,z.start+z.deleteCount)),N.push(...z.toInsert);return{removed:U,added:N}}e.delta=f;function E(B,M,F){if(F===0)return[];const k=B.slice(0,F).sort(M);return a(B,M,k,F,B.length),k}e.top=E;function C(B,M,F,k,U){return F===0?Promise.resolve([]):new Promise((N,z)=>{(async()=>{const H=B.length,K=B.slice(0,F).sort(M);for(let te=F,X=Math.min(F+k,H);te<H;te=X,X=Math.min(X+k,H)){if(te>F&&await new Promise(ie=>setTimeout(ie)),U&&U.isCancellationRequested)throw(0,v.canceled)();a(B,M,K,te,X)}return K})().then(N,z)})}e.topAsync=C;function a(B,M,F,k,U){for(const N=F.length;k<U;k++){const z=B[k];if(M(z,F[N-1])<0){F.pop();const H=P(F,K=>M(z,K)<0);F.splice(H,0,z)}}}function I(B){return B.filter(M=>!!M)}e.coalesce=I;function S(B){let M=0;for(let F=0;F<B.length;F++)B[F]&&(B[M]=B[F],M+=1);B.length=M}e.coalesceInPlace=S;function w(B,M,F){B.splice(F,0,B.splice(M,1)[0])}e.move=w;function b(B){return!Array.isArray(B)||B.length===0}e.isFalsyOrEmpty=b;function y(B){return Array.isArray(B)&&B.length>0}e.isNonEmptyArray=y;function o(B,M){if(!M)return B.filter((k,U)=>B.indexOf(k)===U);const F=Object.create(null);return B.filter(k=>{const U=M(k);return F[U]?!1:(F[U]=!0,!0)})}e.distinct=o;function i(B){const M=new Set;return B.filter(F=>M.has(F)?!1:(M.add(F),!0))}e.distinctES6=i;function t(B){const M=Object.create(null);return F=>{const k=B(F);return M[k]?!1:(M[k]=!0,!0)}}e.uniqueFilter=t;function n(B,M){for(let F=B.length-1;F>=0;F--){const k=B[F];if(M(k))return F}return-1}e.lastIndex=n;function r(B,M){return B.length>0?B[0]:M}e.firstOrDefault=r;function l(B,M,F=(k,U)=>k===U){let k=0;for(let U=0,N=Math.min(B.length,M.length);U<N&&F(B[U],M[U]);U++)k++;return k}e.commonPrefixLength=l;function s(B){return[].concat(...B)}e.flatten=s;function c(B,M){let F=typeof M=="number"?B:0;typeof M=="number"?F=B:(F=0,M=B);const k=[];if(F<=M)for(let U=F;U<M;U++)k.push(U);else for(let U=F;U>M;U--)k.push(U);return k}e.range=c;function h(B,M,F){return B.reduce((k,U)=>(k[M(U)]=F?F(U):U,k),Object.create(null))}e.index=h;function d(B,M){return B.push(M),()=>p(B,M)}e.insert=d;function p(B,M){const F=B.indexOf(M);if(F>-1)return B.splice(F,1),M}e.remove=p;function u(B,M,F){const k=B.slice(0,M),U=B.slice(M);return k.concat(F,U)}e.arrayInsert=u;function O(B,M){let F;if(typeof M=="number"){let k=M;F=()=>{const U=Math.sin(k++)*179426549;return U-Math.floor(U)}}else F=Math.random;for(let k=B.length-1;k>0;k-=1){const U=Math.floor(F()*(k+1)),N=B[k];B[k]=B[U],B[U]=N}}e.shuffle=O;function _(B,M){const F=B.indexOf(M);F>-1&&(B.splice(F,1),B.unshift(M))}e.pushToStart=_;function q(B,M){const F=B.indexOf(M);F>-1&&(B.splice(F,1),B.push(M))}e.pushToEnd=q;function x(B,M){return Array.isArray(B)?B.map(M):M(B)}e.mapArrayOrNot=x;function j(B){return Array.isArray(B)?B:[B]}e.asArray=j;function $(B){return B[Math.floor(Math.random()*B.length)]}e.getRandomElement=$;function W(B,M){for(const F of B){const k=M(F);if(k!==void 0)return k}}e.mapFind=W}),define(Q[63],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function v(A){const L=this;let R=!1,T;return function(){return R||(R=!0,T=A.apply(L,arguments)),T}}e.once=v}),define(Q[53],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var v;(function(A){function L(i){return i&&typeof i=="object"&&typeof i[Symbol.iterator]=="function"}A.is=L;const R=Object.freeze([]);function T(){return R}A.empty=T;function*P(i){yield i}A.single=P;function g(i){return i||R}A.from=g;function m(i){return!i||i[Symbol.iterator]().next().done===!0}A.isEmpty=m;function D(i){return i[Symbol.iterator]().next().value}A.first=D;function f(i,t){for(const n of i)if(t(n))return!0;return!1}A.some=f;function E(i,t){for(const n of i)if(t(n))return n}A.find=E;function*C(i,t){for(const n of i)t(n)&&(yield n)}A.filter=C;function*a(i,t){for(const n of i)yield t(n)}A.map=a;function*I(...i){for(const t of i)for(const n of t)yield n}A.concat=I;function*S(i){for(const t of i)for(const n of t)yield n}A.concatNested=S;function w(i,t,n){let r=n;for(const l of i)r=t(r,l);return r}A.reduce=w;function*b(i,t,n=i.length){for(t<0&&(t+=i.length),n<0?n+=i.length:n>i.length&&(n=i.length);t<n;t++)yield i[t]}A.slice=b;function y(i,t=Number.POSITIVE_INFINITY){const n=[];if(t===0)return[n,i];const r=i[Symbol.iterator]();for(let l=0;l<t;l++){const s=r.next();if(s.done)return[n,A.empty()];n.push(s.value)}return[n,{[Symbol.iterator](){return r}}]}A.consume=y;function o(i,t,n=(r,l)=>r===l){const r=i[Symbol.iterator](),l=t[Symbol.iterator]();for(;;){const s=r.next(),c=l.next();if(s.done!==c.done)return!1;if(s.done)return!0;if(!n(s.value,c.value))return!1}}A.equals=o})(v=e.Iterable||(e.Iterable={}))}),define(Q[32],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var v;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(v=e.ScanError||(e.ScanError={}));var A;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(A=e.SyntaxKind||(e.SyntaxKind={}));var L;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(L=e.ParseErrorCode||(e.ParseErrorCode={}));var R;(function(t){t.DEFAULT={allowTrailingComma:!0}})(R=e.ParseOptions||(e.ParseOptions={}));function T(t,n=!1){let r=0,l=t.length,s="",c=0,h=16,d=0;function p($){let W=0,B=0;for(;W<$;){const M=t.charCodeAt(r);if(M>=48&&M<=57)B=B*16+M-48;else if(M>=65&&M<=70)B=B*16+M-65+10;else if(M>=97&&M<=102)B=B*16+M-97+10;else break;r++,W++}return W<$&&(B=-1),B}function u($){r=$,s="",c=0,h=16,d=0}function O(){const $=r;if(t.charCodeAt(r)===48)r++;else for(r++;r<t.length&&m(t.charCodeAt(r));)r++;if(r<t.length&&t.charCodeAt(r)===46)if(r++,r<t.length&&m(t.charCodeAt(r)))for(r++;r<t.length&&m(t.charCodeAt(r));)r++;else return d=3,t.substring($,r);let W=r;if(r<t.length&&(t.charCodeAt(r)===69||t.charCodeAt(r)===101))if(r++,(r<t.length&&t.charCodeAt(r)===43||t.charCodeAt(r)===45)&&r++,r<t.length&&m(t.charCodeAt(r))){for(r++;r<t.length&&m(t.charCodeAt(r));)r++;W=r}else d=3;return t.substring($,W)}function _(){let $="",W=r;for(;;){if(r>=l){$+=t.substring(W,r),d=2;break}const B=t.charCodeAt(r);if(B===34){$+=t.substring(W,r),r++;break}if(B===92){if($+=t.substring(W,r),r++,r>=l){d=2;break}switch(t.charCodeAt(r++)){case 34:$+='"';break;case 92:$+="\\";break;case 47:$+="/";break;case 98:$+="\b";break;case 102:$+="\f";break;case 110:$+=`
`;break;case 114:$+="\r";break;case 116:$+="	";break;case 117:const F=p(4);F>=0?$+=String.fromCharCode(F):d=4;break;default:d=5}W=r;continue}if(B>=0&&B<=31)if(g(B)){$+=t.substring(W,r),d=2;break}else d=6;r++}return $}function q(){if(s="",d=0,c=r,r>=l)return c=l,h=17;let $=t.charCodeAt(r);if(P($)){do r++,s+=String.fromCharCode($),$=t.charCodeAt(r);while(P($));return h=15}if(g($))return r++,s+=String.fromCharCode($),$===13&&t.charCodeAt(r)===10&&(r++,s+=`
`),h=14;switch($){case 123:return r++,h=1;case 125:return r++,h=2;case 91:return r++,h=3;case 93:return r++,h=4;case 58:return r++,h=6;case 44:return r++,h=5;case 34:return r++,s=_(),h=10;case 47:const W=r-1;if(t.charCodeAt(r+1)===47){for(r+=2;r<l&&!g(t.charCodeAt(r));)r++;return s=t.substring(W,r),h=12}if(t.charCodeAt(r+1)===42){r+=2;const B=l-1;let M=!1;for(;r<B;){if(t.charCodeAt(r)===42&&t.charCodeAt(r+1)===47){r+=2,M=!0;break}r++}return M||(r++,d=1),s=t.substring(W,r),h=13}return s+=String.fromCharCode($),r++,h=16;case 45:if(s+=String.fromCharCode($),r++,r===l||!m(t.charCodeAt(r)))return h=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=O(),h=11;default:for(;r<l&&x($);)r++,$=t.charCodeAt(r);if(c!==r){switch(s=t.substring(c,r),s){case"true":return h=8;case"false":return h=9;case"null":return h=7}return h=16}return s+=String.fromCharCode($),r++,h=16}}function x($){if(P($)||g($))return!1;switch($){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function j(){let $;do $=q();while($>=12&&$<=15);return $}return{setPosition:u,getPosition:()=>r,scan:n?j:q,getToken:()=>h,getTokenValue:()=>s,getTokenOffset:()=>c,getTokenLength:()=>r-c,getTokenError:()=>d}}e.createScanner=T;function P(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function g(t){return t===10||t===13||t===8232||t===8233}function m(t){return t>=48&&t<=57}var D;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(D||(D={}));function f(t,n){const r=[],l=new Object;let s;const c={value:{},offset:0,length:0,type:"object",parent:void 0};let h=!1;function d(p,u,O,_){c.value=p,c.offset=u,c.length=O,c.type=_,c.colonOffset=void 0,s=c}try{y(t,{onObjectBegin:(p,u)=>{if(n<=p)throw l;s=void 0,h=n>p,r.push("")},onObjectProperty:(p,u,O)=>{if(n<u||(d(p,u,O,"property"),r[r.length-1]=p,n<=u+O))throw l},onObjectEnd:(p,u)=>{if(n<=p)throw l;s=void 0,r.pop()},onArrayBegin:(p,u)=>{if(n<=p)throw l;s=void 0,r.push(0)},onArrayEnd:(p,u)=>{if(n<=p)throw l;s=void 0,r.pop()},onLiteralValue:(p,u,O)=>{if(n<u||(d(p,u,O,i(p)),n<=u+O))throw l},onSeparator:(p,u,O)=>{if(n<=u)throw l;if(p===":"&&s&&s.type==="property")s.colonOffset=u,h=!1,s=void 0;else if(p===","){const _=r[r.length-1];typeof _=="number"?r[r.length-1]=_+1:(h=!0,r[r.length-1]=""),s=void 0}}})}catch(p){if(p!==l)throw p}return{path:r,previousNode:s,isAtPropertyKey:h,matches:p=>{let u=0;for(let O=0;u<p.length&&O<r.length;O++)if(p[u]===r[O]||p[u]==="*")u++;else if(p[u]!=="**")return!1;return u===p.length}}}e.getLocation=f;function E(t,n=[],r=R.DEFAULT){let l=null,s=[];const c=[];function h(p){Array.isArray(s)?s.push(p):l!==null&&(s[l]=p)}return y(t,{onObjectBegin:()=>{const p={};h(p),c.push(s),s=p,l=null},onObjectProperty:p=>{l=p},onObjectEnd:()=>{s=c.pop()},onArrayBegin:()=>{const p=[];h(p),c.push(s),s=p,l=null},onArrayEnd:()=>{s=c.pop()},onLiteralValue:h,onError:(p,u,O)=>{n.push({error:p,offset:u,length:O})}},r),s[0]}e.parse=E;function C(t,n=[],r=R.DEFAULT){let l={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(p){l.type==="property"&&(l.length=p-l.offset,l=l.parent)}function c(p){return l.children.push(p),p}y(t,{onObjectBegin:p=>{l=c({type:"object",offset:p,length:-1,parent:l,children:[]})},onObjectProperty:(p,u,O)=>{l=c({type:"property",offset:u,length:-1,parent:l,children:[]}),l.children.push({type:"string",value:p,offset:u,length:O,parent:l})},onObjectEnd:(p,u)=>{l.length=p+u-l.offset,l=l.parent,s(p+u)},onArrayBegin:(p,u)=>{l=c({type:"array",offset:p,length:-1,parent:l,children:[]})},onArrayEnd:(p,u)=>{l.length=p+u-l.offset,l=l.parent,s(p+u)},onLiteralValue:(p,u,O)=>{c({type:i(p),offset:u,length:O,parent:l,value:p}),s(u+O)},onSeparator:(p,u,O)=>{l.type==="property"&&(p===":"?l.colonOffset=u:p===","&&s(u))},onError:(p,u,O)=>{n.push({error:p,offset:u,length:O})}},r);const d=l.children[0];return d&&delete d.parent,d}e.parseTree=C;function a(t,n){if(!!t){let r=t;for(let l of n)if(typeof l=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let s=!1;for(const c of r.children)if(Array.isArray(c.children)&&c.children[0].value===l){r=c.children[1],s=!0;break}if(!s)return}else{const s=l;if(r.type!=="array"||s<0||!Array.isArray(r.children)||s>=r.children.length)return;r=r.children[s]}return r}}e.findNodeAtLocation=a;function I(t){if(!t.parent||!t.parent.children)return[];const n=I(t.parent);if(t.parent.type==="property"){const r=t.parent.children[0].value;n.push(r)}else if(t.parent.type==="array"){const r=t.parent.children.indexOf(t);r!==-1&&n.push(r)}return n}e.getNodePath=I;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":const n=Object.create(null);for(let r of t.children){const l=r.children[1];l&&(n[r.children[0].value]=S(l))}return n;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=S;function w(t,n,r=!1){return n>=t.offset&&n<t.offset+t.length||r&&n===t.offset+t.length}e.contains=w;function b(t,n,r=!1){if(w(t,n,r)){const l=t.children;if(Array.isArray(l))for(let s=0;s<l.length&&l[s].offset<=n;s++){const c=b(l[s],n,r);if(c)return c}return t}}e.findNodeAtOffset=b;function y(t,n,r=R.DEFAULT){const l=T(t,!1);function s(K){return K?()=>K(l.getTokenOffset(),l.getTokenLength()):()=>!0}function c(K){return K?te=>K(te,l.getTokenOffset(),l.getTokenLength()):()=>!0}const h=s(n.onObjectBegin),d=c(n.onObjectProperty),p=s(n.onObjectEnd),u=s(n.onArrayBegin),O=s(n.onArrayEnd),_=c(n.onLiteralValue),q=c(n.onSeparator),x=s(n.onComment),j=c(n.onError),$=r&&r.disallowComments,W=r&&r.allowTrailingComma;function B(){for(;;){const K=l.scan();switch(l.getTokenError()){case 4:M(14);break;case 5:M(15);break;case 3:M(13);break;case 1:$||M(11);break;case 2:M(12);break;case 6:M(16);break}switch(K){case 12:case 13:$?M(10):x();break;case 16:M(1);break;case 15:case 14:break;default:return K}}}function M(K,te=[],X=[]){if(j(K),te.length+X.length>0){let ie=l.getToken();for(;ie!==17;){if(te.indexOf(ie)!==-1){B();break}else if(X.indexOf(ie)!==-1)break;ie=B()}}}function F(K){const te=l.getTokenValue();return K?_(te):d(te),B(),!0}function k(){switch(l.getToken()){case 11:let K=0;try{K=JSON.parse(l.getTokenValue()),typeof K!="number"&&(M(2),K=0)}catch(te){M(2)}_(K);break;case 7:_(null);break;case 8:_(!0);break;case 9:_(!1);break;default:return!1}return B(),!0}function U(){return l.getToken()!==10?(M(3,[],[2,5]),!1):(F(!1),l.getToken()===6?(q(":"),B(),H()||M(4,[],[2,5])):M(5,[],[2,5]),!0)}function N(){h(),B();let K=!1;for(;l.getToken()!==2&&l.getToken()!==17;){if(l.getToken()===5){if(K||M(4,[],[]),q(","),B(),l.getToken()===2&&W)break}else K&&M(6,[],[]);U()||M(4,[],[2,5]),K=!0}return p(),l.getToken()!==2?M(7,[2],[]):B(),!0}function z(){u(),B();let K=!1;for(;l.getToken()!==4&&l.getToken()!==17;){if(l.getToken()===5){if(K||M(4,[],[]),q(","),B(),l.getToken()===4&&W)break}else K&&M(6,[],[]);H()||M(4,[],[4,5]),K=!0}return O(),l.getToken()!==4?M(8,[4],[]):B(),!0}function H(){switch(l.getToken()){case 3:return z();case 1:return N();case 10:return F(!0);default:return k()}}return B(),l.getToken()===17?r.allowEmptyContent?!0:(M(4,[],[]),!1):H()?(l.getToken()!==17&&M(9,[],[]),!0):(M(4,[],[]),!1)}e.visit=y;function o(t,n){let r=T(t),l=[],s,c=0,h;do switch(h=r.getPosition(),s=r.scan(),s){case 12:case 13:case 17:c!==h&&l.push(t.substring(c,h)),n!==void 0&&l.push(r.getTokenValue().replace(/[^\r\n]/g,n)),c=r.getPosition();break}while(s!==17);return l.join("")}e.stripComments=o;function i(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=i}),define(Q[46],Z([0,1,32]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function A(g,m,D){let f,E,C,a,I;if(m){for(a=m.offset,I=a+m.length,C=a;C>0&&!P(g,C-1);)C--;let c=I;for(;c<g.length&&!P(g,c);)c++;E=g.substring(C,c),f=R(E,D)}else E=g,f=0,C=0,a=0,I=g.length;const S=T(D,g);let w=!1,b=0,y;D.insertSpaces?y=L(" ",D.tabSize||4):y="	";const o=(0,v.createScanner)(E,!1);let i=!1;function t(){return S+L(y,f+b)}function n(){let c=o.scan();for(w=!1;c===15||c===14;)w=w||c===14,c=o.scan();return i=c===16||o.getTokenError()!==0,c}const r=[];function l(c,h,d){!i&&h<I&&d>a&&g.substring(h,d)!==c&&r.push({offset:h,length:d-h,content:c})}let s=n();if(s!==17){const c=o.getTokenOffset()+C,h=L(y,f);l(h,C,c)}for(;s!==17;){let c=o.getTokenOffset()+o.getTokenLength()+C,h=n(),d="";for(;!w&&(h===12||h===13);){const u=o.getTokenOffset()+C;l(" ",c,u),c=o.getTokenOffset()+o.getTokenLength()+C,d=h===12?t():"",h=n()}if(h===2)s!==1&&(b--,d=t());else if(h===4)s!==3&&(b--,d=t());else{switch(s){case 3:case 1:b++,d=t();break;case 5:case 12:d=t();break;case 13:w?d=t():d=" ";break;case 6:d=" ";break;case 10:if(h===6){d="";break}case 7:case 8:case 9:case 11:case 2:case 4:h===12||h===13?d=" ":h!==5&&h!==17&&(i=!0);break;case 16:i=!0;break}w&&(h===12||h===13)&&(d=t())}const p=o.getTokenOffset()+C;l(d,c,p),s=h}return r}e.format=A;function L(g,m){let D="";for(let f=0;f<m;f++)D+=g;return D}function R(g,m){let D=0,f=0;const E=m.tabSize||4;for(;D<g.length;){const C=g.charAt(D);if(C===" ")f++;else if(C==="	")f+=E;else break;D++}return Math.floor(f/E)}function T(g,m){for(let D=0;D<m.length;D++){const f=m.charAt(D);if(f==="\r")return D+1<m.length&&m.charAt(D+1)===`
`?`\r
`:"\r";if(f===`
`)return`
`}return g&&g.eol||`
`}e.getEOL=T;function P(g,m){return`\r
`.indexOf(g.charAt(m))!==-1}e.isEOL=P}),define(Q[40],Z([0,1,32,46]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function L(m,D,f){return R(m,D,void 0,f)}e.removeProperty=L;function R(m,D,f,E,C){const a=D.slice(),I=[],S=(0,v.parseTree)(m,I);let w,b;for(;a.length>0&&(b=a.pop(),w=(0,v.findNodeAtLocation)(S,a),w===void 0&&f!==void 0);)typeof b=="string"?f={[b]:f}:f=[f];if(w)if(w.type==="object"&&typeof b=="string"&&Array.isArray(w.children)){const y=(0,v.findNodeAtLocation)(w,[b]);if(y!==void 0)if(f===void 0){if(!y.parent)throw new Error("Malformed AST");const o=w.children.indexOf(y.parent);let i,t=y.parent.offset+y.parent.length;if(o>0){const n=w.children[o-1];i=n.offset+n.length}else i=w.offset+1,w.children.length>1&&(t=w.children[1].offset);return T(m,{offset:i,length:t-i,content:""},E)}else return T(m,{offset:y.offset,length:y.length,content:JSON.stringify(f)},E);else{if(f===void 0)return[];const o=`${JSON.stringify(b)}: ${JSON.stringify(f)}`,i=C?C(w.children.map(n=>n.children[0].value)):w.children.length;let t;if(i>0){const n=w.children[i-1];t={offset:n.offset+n.length,length:0,content:","+o}}else w.children.length===0?t={offset:w.offset+1,length:0,content:o}:t={offset:w.offset+1,length:0,content:o+","};return T(m,t,E)}}else if(w.type==="array"&&typeof b=="number"&&Array.isArray(w.children))if(f!==void 0){const y=`${JSON.stringify(f)}`;let o;if(w.children.length===0||b===0)o={offset:w.offset+1,length:0,content:w.children.length===0?y:y+","};else{const i=b===-1||b>w.children.length?w.children.length:b,t=w.children[i-1];o={offset:t.offset+t.length,length:0,content:","+y}}return T(m,o,E)}else{const y=b,o=w.children[y];let i;if(w.children.length===1)i={offset:w.offset+1,length:w.length-2,content:""};else if(w.children.length-1===y){const t=w.children[y-1],n=t.offset+t.length,r=w.offset+w.length;i={offset:n,length:r-2-n,content:""}}else i={offset:o.offset,length:w.children[y+1].offset-o.offset,content:""};return T(m,i,E)}else throw new Error(`Can not add ${typeof b!="number"?"index":"property"} to parent of type ${w.type}`);else{if(f===void 0)throw new Error("Can not delete in empty document");return T(m,{offset:S?S.offset:0,length:S?S.length:0,content:JSON.stringify(f)},E)}}e.setProperty=R;function T(m,D,f){let E=P(m,D),C=D.offset,a=D.offset+D.content.length;if(D.length===0||D.content.length===0){for(;C>0&&!(0,A.isEOL)(E,C-1);)C--;for(;a<E.length&&!(0,A.isEOL)(E,a);)a++}const I=(0,A.format)(E,{offset:C,length:a-C},f);for(let w=I.length-1;w>=0;w--){const b=I[w];E=P(E,b),C=Math.min(C,b.offset),a=Math.max(a,b.offset+b.length),a+=b.content.length-b.length}const S=m.length-(E.length-a)-C;return[{offset:C,length:S,content:E.substring(C,a)}]}e.withFormatting=T;function P(m,D){return m.substring(0,D.offset)+D.content+m.substring(D.offset+D.length)}e.applyEdit=P;function g(m,D){let f=D.slice(0).sort((C,a)=>{const I=C.offset-a.offset;return I===0?C.length-a.length:I}),E=m.length;for(let C=f.length-1;C>=0;C--){let a=f[C];if(a.offset+a.length<=E)m=P(m,a);else throw new Error("Overlapping edit");E=a.offset}return m}e.applyEdits=g}),define(Q[2],Z([0,1,63,53]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const L=!1;let R=null;function T(y){R=y}if(e.setDisposableTracker=T,L){const y="__is_disposable_tracked__";R=new class{trackDisposable(o){const i=new Error("Potentially leaked disposable").stack;setTimeout(()=>{o[y]||console.log(i)},3e3)}markTracked(o){if(o&&o!==I.None)try{o[y]=!0}catch(i){}}}}function P(y){!R||R.markTracked(y)}function g(y){return R&&R.trackDisposable(y),y}e.trackDisposable=g;class m extends Error{constructor(o){super(`Encountered errors while disposing of store. Errors: [${o.join(", ")}]`);this.errors=o}}e.MultiDisposeError=m;function D(y){return typeof y.dispose=="function"&&y.dispose.length===0}e.isDisposable=D;function f(y){if(A.Iterable.is(y)){let o=[];for(const i of y)if(i){P(i);try{i.dispose()}catch(t){o.push(t)}}if(o.length===1)throw o[0];if(o.length>1)throw new m(o);return Array.isArray(y)?[]:y}else if(y)return P(y),y.dispose(),y}e.dispose=f;function E(...y){return y.forEach(P),C(()=>f(y))}e.combinedDisposable=E;function C(y){const o=g({dispose:()=>{P(o),y()}});return o}e.toDisposable=C;class a{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(P(this),this._isDisposed=!0,this.clear())}clear(){try{f(this._toDispose.values())}finally{this._toDispose.clear()}}add(o){if(!o)return o;if(o===this)throw new Error("Cannot register a disposable on itself!");return P(o),this._isDisposed?a.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(o),o}}e.DisposableStore=a,a.DISABLE_DISPOSED_WARNING=!1;class I{constructor(){this._store=new a,g(this)}dispose(){P(this),this._store.dispose()}_register(o){if(o===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(o)}}e.Disposable=I,I.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,g(this)}get value(){return this._isDisposed?void 0:this._value}set value(o){var i;this._isDisposed||o===this._value||((i=this._value)===null||i===void 0||i.dispose(),o&&P(o),this._value=o)}clear(){this.value=void 0}dispose(){var o;this._isDisposed=!0,P(this),(o=this._value)===null||o===void 0||o.dispose(),this._value=void 0}}e.MutableDisposable=S;class w{constructor(){this.references=new Map}acquire(o,...i){let t=this.references.get(o);t||(t={counter:0,object:this.createReferencedObject(o,...i)},this.references.set(o,t));const{object:n}=t,r=(0,v.once)(()=>{--t.counter==0&&(this.destroyReferencedObject(o,t.object),this.references.delete(o))});return t.counter++,{object:n,dispose:r}}}e.ReferenceCollection=w;class b{constructor(o){this.object=o}dispose(){}}e.ImmortalReference=b}),define(Q[64],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class v{constructor(R){this.element=R,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class A{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(R){return this._insert(R,!1)}push(R){return this._insert(R,!0)}_insert(R,T){const P=new v(R);if(this._first===v.Undefined)this._first=P,this._last=P;else if(T){const m=this._last;this._last=P,P.prev=m,m.next=P}else{const m=this._first;this._first=P,P.next=m,m.prev=P}this._size+=1;let g=!1;return()=>{g||(g=!0,this._remove(P))}}shift(){if(this._first!==v.Undefined){const R=this._first.element;return this._remove(this._first),R}}pop(){if(this._last!==v.Undefined){const R=this._last.element;return this._remove(this._last),R}}_remove(R){if(R.prev!==v.Undefined&&R.next!==v.Undefined){const T=R.prev;T.next=R.next,R.next.prev=T}else R.prev===v.Undefined&&R.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):R.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):R.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let R=this._first;for(;R!==v.Undefined;)yield R.element,R=R.next}}e.LinkedList=A});"use strict";(function(){function G(L){const R=[];typeof L=="number"&&R.push("code/timeOrigin",L);function T(g){R.push(g,Date.now())}function P(){const g=[];for(let m=0;m<R.length;m+=2)g.push({name:R[m],startTime:R[m+1]});return g}return{mark:T,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?G():{mark(L){performance.mark(L)},getMarks(){let L=performance.timeOrigin;typeof L!="number"&&(L=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const R=[{name:"code/timeOrigin",startTime:Math.round(L)}];for(const T of performance.getEntriesByType("mark"))R.push({name:T.name,startTime:Math.round(L+T.startTime)});return R}};if(typeof process=="object"){const L=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return G(L)}else return console.trace("perf-util loaded in UNKNOWN environment"),G()}function v(L){return L.MonacoPerformanceMarks||(L.MonacoPerformanceMarks=e()),L.MonacoPerformanceMarks}var A;typeof global=="object"?A=global:typeof self=="object"?A=self:A={},typeof define=="function"?define("vs/base/common/performance",[],function(){return v(A)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=v(A):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),A.perf=v(A))})(),define(Q[7],Z([0,1]),function(G,e){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const A="en";let L=!1,R=!1,T=!1,P=!1,g=!1,m=!1,D=!1,f,E=A,C,a;const I=typeof self=="object"?self:typeof global=="object"?global:{};let S;typeof process!="undefined"?S=process:typeof I.vscode!="undefined"&&(S=I.vscode.process);const w=typeof((v=S==null?void 0:S.versions)===null||v===void 0?void 0:v.electron)=="string"&&S.type==="renderer";if(e.isElectronSandboxed=w&&(S==null?void 0:S.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const s=S==null?void 0:S.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof s=="string")return s==="none"||s==="code"||s==="bypassHeatCheck"||s==="bypassHeatCheckAndEagerCompile"?s:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!w)a=navigator.userAgent,L=a.indexOf("Windows")>=0,R=a.indexOf("Macintosh")>=0,D=(a.indexOf("Macintosh")>=0||a.indexOf("iPad")>=0||a.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,T=a.indexOf("Linux")>=0,m=!0,f=navigator.language,E=f;else if(typeof S=="object"){L=S.platform==="win32",R=S.platform==="darwin",T=S.platform==="linux",P=T&&!!S.env.SNAP&&!!S.env.SNAP_REVISION,f=A,E=A;const s=S.env.VSCODE_NLS_CONFIG;if(s)try{const c=JSON.parse(s),h=c.availableLanguages["*"];f=c.locale,E=h||A,C=c._translationsConfigFile}catch(c){}g=!0}else console.error("Unable to resolve platform.");var b;(function(s){s[s.Web=0]="Web",s[s.Mac=1]="Mac",s[s.Linux=2]="Linux",s[s.Windows=3]="Windows"})(b=e.Platform||(e.Platform={}));function y(s){switch(s){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=y;let o=0;R?o=1:L?o=3:T&&(o=2),e.isWindows=L,e.isMacintosh=R,e.isLinux=T,e.isLinuxSnap=P,e.isNative=g,e.isWeb=m,e.isIOS=D,e.platform=o,e.userAgent=a,e.language=E;var i;(function(s){function c(){return e.language}s.value=c;function h(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}s.isDefaultVariant=h;function d(){return e.language==="en"}s.isDefault=d})(i=e.Language||(e.Language={})),e.locale=f,e.translationsConfigFile=C,e.globals=I,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let h=[];e.globals.addEventListener("message",p=>{if(p.data&&p.data.vscodeSetImmediateId)for(let u=0,O=h.length;u<O;u++){const _=h[u];if(_.id===p.data.vscodeSetImmediateId){h.splice(u,1),_.callback();return}}});let d=0;return p=>{const u=++d;h.push({id:u,callback:p}),e.globals.postMessage({vscodeSetImmediateId:u},"*")}}if(typeof(S==null?void 0:S.nextTick)=="function")return S.nextTick.bind(S);const c=Promise.resolve();return h=>c.then(h)}();var t;(function(s){s[s.Windows=1]="Windows",s[s.Macintosh=2]="Macintosh",s[s.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=R||D?2:L?1:3;let n=!0,r=!1;function l(){if(!r){r=!0;const s=new Uint8Array(2);s[0]=1,s[1]=2,n=new Uint16Array(s.buffer)[0]===(2<<8)+1}return n}e.isLittleEndian=l}),define(Q[41],Z([0,1,7]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let A;if(typeof process!="undefined")A={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(L){return process.nextTick(L)}};else if(typeof v.globals.vscode!="undefined"){const L=v.globals.vscode.process;A={get platform(){return L.platform},get env(){return L.env},cwd(){return L.cwd()},nextTick(R){return(0,v.setImmediate)(R)}}}else A={get platform(){return v.isWindows?"win32":v.isMacintosh?"darwin":"linux"},nextTick(L){return(0,v.setImmediate)(L)},get env(){return Object.create(null)},cwd(){return"/"}};e.cwd=A.cwd,e.env=A.env,e.platform=A.platform,e.nextTick=A.nextTick}),define(Q[8],Z([0,1,41]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const A=65,L=97,R=90,T=122,P=46,g=47,m=92,D=58,f=63;class E extends Error{constructor(o,i,t){let n;typeof i=="string"&&i.indexOf("not ")===0?(n="must not be",i=i.replace(/^not /,"")):n="must be";const r=o.indexOf(".")!==-1?"property":"argument";let l=`The "${o}" ${r} ${n} of type ${i}`;l+=`. Received type ${typeof t}`,super(l),this.code="ERR_INVALID_ARG_TYPE"}}function C(y,o){if(typeof y!="string")throw new E(o,"string",y)}function a(y){return y===g||y===m}function I(y){return y===g}function S(y){return y>=A&&y<=R||y>=L&&y<=T}function w(y,o,i,t){let n="",r=0,l=-1,s=0,c=0;for(let h=0;h<=y.length;++h){if(h<y.length)c=y.charCodeAt(h);else{if(t(c))break;c=g}if(t(c)){if(!(l===h-1||s===1))if(s===2){if(n.length<2||r!==2||n.charCodeAt(n.length-1)!==P||n.charCodeAt(n.length-2)!==P){if(n.length>2){const d=n.lastIndexOf(i);d===-1?(n="",r=0):(n=n.slice(0,d),r=n.length-1-n.lastIndexOf(i)),l=h,s=0;continue}else if(n.length!==0){n="",r=0,l=h,s=0;continue}}o&&(n+=n.length>0?`${i}..`:"..",r=2)}else n.length>0?n+=`${i}${y.slice(l+1,h)}`:n=y.slice(l+1,h),r=h-l-1;l=h,s=0}else c===P&&s!==-1?++s:s=-1}return n}function b(y,o){if(o===null||typeof o!="object")throw new E("pathObject","Object",o);const i=o.dir||o.root,t=o.base||`${o.name||""}${o.ext||""}`;return i?i===o.root?`${i}${t}`:`${i}${y}${t}`:t}e.win32={resolve(...y){let o="",i="",t=!1;for(let n=y.length-1;n>=-1;n--){let r;if(n>=0){if(r=y[n],C(r,"path"),r.length===0)continue}else o.length===0?r=v.cwd():(r=v.env[`=${o}`]||v.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==o.toLowerCase()&&r.charCodeAt(2)===m)&&(r=`${o}\\`));const l=r.length;let s=0,c="",h=!1;const d=r.charCodeAt(0);if(l===1)a(d)&&(s=1,h=!0);else if(a(d))if(h=!0,a(r.charCodeAt(1))){let p=2,u=p;for(;p<l&&!a(r.charCodeAt(p));)p++;if(p<l&&p!==u){const O=r.slice(u,p);for(u=p;p<l&&a(r.charCodeAt(p));)p++;if(p<l&&p!==u){for(u=p;p<l&&!a(r.charCodeAt(p));)p++;(p===l||p!==u)&&(c=`\\\\${O}\\${r.slice(u,p)}`,s=p)}}}else s=1;else S(d)&&r.charCodeAt(1)===D&&(c=r.slice(0,2),s=2,l>2&&a(r.charCodeAt(2))&&(h=!0,s=3));if(c.length>0)if(o.length>0){if(c.toLowerCase()!==o.toLowerCase())continue}else o=c;if(t){if(o.length>0)break}else if(i=`${r.slice(s)}\\${i}`,t=h,h&&o.length>0)break}return i=w(i,!t,"\\",a),t?`${o}\\${i}`:`${o}${i}`||"."},normalize(y){C(y,"path");const o=y.length;if(o===0)return".";let i=0,t,n=!1;const r=y.charCodeAt(0);if(o===1)return I(r)?"\\":y;if(a(r))if(n=!0,a(y.charCodeAt(1))){let s=2,c=s;for(;s<o&&!a(y.charCodeAt(s));)s++;if(s<o&&s!==c){const h=y.slice(c,s);for(c=s;s<o&&a(y.charCodeAt(s));)s++;if(s<o&&s!==c){for(c=s;s<o&&!a(y.charCodeAt(s));)s++;if(s===o)return`\\\\${h}\\${y.slice(c)}\\`;s!==c&&(t=`\\\\${h}\\${y.slice(c,s)}`,i=s)}}}else i=1;else S(r)&&y.charCodeAt(1)===D&&(t=y.slice(0,2),i=2,o>2&&a(y.charCodeAt(2))&&(n=!0,i=3));let l=i<o?w(y.slice(i),!n,"\\",a):"";return l.length===0&&!n&&(l="."),l.length>0&&a(y.charCodeAt(o-1))&&(l+="\\"),t===void 0?n?`\\${l}`:l:n?`${t}\\${l}`:`${t}${l}`},isAbsolute(y){C(y,"path");const o=y.length;if(o===0)return!1;const i=y.charCodeAt(0);return a(i)||o>2&&S(i)&&y.charCodeAt(1)===D&&a(y.charCodeAt(2))},join(...y){if(y.length===0)return".";let o,i;for(let r=0;r<y.length;++r){const l=y[r];C(l,"path"),l.length>0&&(o===void 0?o=i=l:o+=`\\${l}`)}if(o===void 0)return".";let t=!0,n=0;if(typeof i=="string"&&a(i.charCodeAt(0))){++n;const r=i.length;r>1&&a(i.charCodeAt(1))&&(++n,r>2&&(a(i.charCodeAt(2))?++n:t=!1))}if(t){for(;n<o.length&&a(o.charCodeAt(n));)n++;n>=2&&(o=`\\${o.slice(n)}`)}return e.win32.normalize(o)},relative(y,o){if(C(y,"from"),C(o,"to"),y===o)return"";const i=e.win32.resolve(y),t=e.win32.resolve(o);if(i===t||(y=i.toLowerCase(),o=t.toLowerCase(),y===o))return"";let n=0;for(;n<y.length&&y.charCodeAt(n)===m;)n++;let r=y.length;for(;r-1>n&&y.charCodeAt(r-1)===m;)r--;const l=r-n;let s=0;for(;s<o.length&&o.charCodeAt(s)===m;)s++;let c=o.length;for(;c-1>s&&o.charCodeAt(c-1)===m;)c--;const h=c-s,d=l<h?l:h;let p=-1,u=0;for(;u<d;u++){const _=y.charCodeAt(n+u);if(_!==o.charCodeAt(s+u))break;_===m&&(p=u)}if(u!==d){if(p===-1)return t}else{if(h>d){if(o.charCodeAt(s+u)===m)return t.slice(s+u+1);if(u===2)return t.slice(s+u)}l>d&&(y.charCodeAt(n+u)===m?p=u:u===2&&(p=3)),p===-1&&(p=0)}let O="";for(u=n+p+1;u<=r;++u)(u===r||y.charCodeAt(u)===m)&&(O+=O.length===0?"..":"\\..");return s+=p,O.length>0?`${O}${t.slice(s,c)}`:(t.charCodeAt(s)===m&&++s,t.slice(s,c))},toNamespacedPath(y){if(typeof y!="string")return y;if(y.length===0)return"";const o=e.win32.resolve(y);if(o.length<=2)return y;if(o.charCodeAt(0)===m){if(o.charCodeAt(1)===m){const i=o.charCodeAt(2);if(i!==f&&i!==P)return`\\\\?\\UNC\\${o.slice(2)}`}}else if(S(o.charCodeAt(0))&&o.charCodeAt(1)===D&&o.charCodeAt(2)===m)return`\\\\?\\${o}`;return y},dirname(y){C(y,"path");const o=y.length;if(o===0)return".";let i=-1,t=0;const n=y.charCodeAt(0);if(o===1)return a(n)?y:".";if(a(n)){if(i=t=1,a(y.charCodeAt(1))){let s=2,c=s;for(;s<o&&!a(y.charCodeAt(s));)s++;if(s<o&&s!==c){for(c=s;s<o&&a(y.charCodeAt(s));)s++;if(s<o&&s!==c){for(c=s;s<o&&!a(y.charCodeAt(s));)s++;if(s===o)return y;s!==c&&(i=t=s+1)}}}}else S(n)&&y.charCodeAt(1)===D&&(i=o>2&&a(y.charCodeAt(2))?3:2,t=i);let r=-1,l=!0;for(let s=o-1;s>=t;--s)if(a(y.charCodeAt(s))){if(!l){r=s;break}}else l=!1;if(r===-1){if(i===-1)return".";r=i}return y.slice(0,r)},basename(y,o){o!==void 0&&C(o,"ext"),C(y,"path");let i=0,t=-1,n=!0,r;if(y.length>=2&&S(y.charCodeAt(0))&&y.charCodeAt(1)===D&&(i=2),o!==void 0&&o.length>0&&o.length<=y.length){if(o===y)return"";let l=o.length-1,s=-1;for(r=y.length-1;r>=i;--r){const c=y.charCodeAt(r);if(a(c)){if(!n){i=r+1;break}}else s===-1&&(n=!1,s=r+1),l>=0&&(c===o.charCodeAt(l)?--l==-1&&(t=r):(l=-1,t=s))}return i===t?t=s:t===-1&&(t=y.length),y.slice(i,t)}for(r=y.length-1;r>=i;--r)if(a(y.charCodeAt(r))){if(!n){i=r+1;break}}else t===-1&&(n=!1,t=r+1);return t===-1?"":y.slice(i,t)},extname(y){C(y,"path");let o=0,i=-1,t=0,n=-1,r=!0,l=0;y.length>=2&&y.charCodeAt(1)===D&&S(y.charCodeAt(0))&&(o=t=2);for(let s=y.length-1;s>=o;--s){const c=y.charCodeAt(s);if(a(c)){if(!r){t=s+1;break}continue}n===-1&&(r=!1,n=s+1),c===P?i===-1?i=s:l!==1&&(l=1):i!==-1&&(l=-1)}return i===-1||n===-1||l===0||l===1&&i===n-1&&i===t+1?"":y.slice(i,n)},format:b.bind(null,"\\"),parse(y){C(y,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(y.length===0)return o;const i=y.length;let t=0,n=y.charCodeAt(0);if(i===1)return a(n)?(o.root=o.dir=y,o):(o.base=o.name=y,o);if(a(n)){if(t=1,a(y.charCodeAt(1))){let p=2,u=p;for(;p<i&&!a(y.charCodeAt(p));)p++;if(p<i&&p!==u){for(u=p;p<i&&a(y.charCodeAt(p));)p++;if(p<i&&p!==u){for(u=p;p<i&&!a(y.charCodeAt(p));)p++;p===i?t=p:p!==u&&(t=p+1)}}}}else if(S(n)&&y.charCodeAt(1)===D){if(i<=2)return o.root=o.dir=y,o;if(t=2,a(y.charCodeAt(2))){if(i===3)return o.root=o.dir=y,o;t=3}}t>0&&(o.root=y.slice(0,t));let r=-1,l=t,s=-1,c=!0,h=y.length-1,d=0;for(;h>=t;--h){if(n=y.charCodeAt(h),a(n)){if(!c){l=h+1;break}continue}s===-1&&(c=!1,s=h+1),n===P?r===-1?r=h:d!==1&&(d=1):r!==-1&&(d=-1)}return s!==-1&&(r===-1||d===0||d===1&&r===s-1&&r===l+1?o.base=o.name=y.slice(l,s):(o.name=y.slice(l,r),o.base=y.slice(l,s),o.ext=y.slice(r,s))),l>0&&l!==t?o.dir=y.slice(0,l-1):o.dir=o.root,o},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...y){let o="",i=!1;for(let t=y.length-1;t>=-1&&!i;t--){const n=t>=0?y[t]:v.cwd();C(n,"path"),n.length!==0&&(o=`${n}/${o}`,i=n.charCodeAt(0)===g)}return o=w(o,!i,"/",I),i?`/${o}`:o.length>0?o:"."},normalize(y){if(C(y,"path"),y.length===0)return".";const o=y.charCodeAt(0)===g,i=y.charCodeAt(y.length-1)===g;return y=w(y,!o,"/",I),y.length===0?o?"/":i?"./":".":(i&&(y+="/"),o?`/${y}`:y)},isAbsolute(y){return C(y,"path"),y.length>0&&y.charCodeAt(0)===g},join(...y){if(y.length===0)return".";let o;for(let i=0;i<y.length;++i){const t=y[i];C(t,"path"),t.length>0&&(o===void 0?o=t:o+=`/${t}`)}return o===void 0?".":e.posix.normalize(o)},relative(y,o){if(C(y,"from"),C(o,"to"),y===o||(y=e.posix.resolve(y),o=e.posix.resolve(o),y===o))return"";const i=1,t=y.length,n=t-i,r=1,l=o.length-r,s=n<l?n:l;let c=-1,h=0;for(;h<s;h++){const p=y.charCodeAt(i+h);if(p!==o.charCodeAt(r+h))break;p===g&&(c=h)}if(h===s)if(l>s){if(o.charCodeAt(r+h)===g)return o.slice(r+h+1);if(h===0)return o.slice(r+h)}else n>s&&(y.charCodeAt(i+h)===g?c=h:h===0&&(c=0));let d="";for(h=i+c+1;h<=t;++h)(h===t||y.charCodeAt(h)===g)&&(d+=d.length===0?"..":"/..");return`${d}${o.slice(r+c)}`},toNamespacedPath(y){return y},dirname(y){if(C(y,"path"),y.length===0)return".";const o=y.charCodeAt(0)===g;let i=-1,t=!0;for(let n=y.length-1;n>=1;--n)if(y.charCodeAt(n)===g){if(!t){i=n;break}}else t=!1;return i===-1?o?"/":".":o&&i===1?"//":y.slice(0,i)},basename(y,o){o!==void 0&&C(o,"ext"),C(y,"path");let i=0,t=-1,n=!0,r;if(o!==void 0&&o.length>0&&o.length<=y.length){if(o===y)return"";let l=o.length-1,s=-1;for(r=y.length-1;r>=0;--r){const c=y.charCodeAt(r);if(c===g){if(!n){i=r+1;break}}else s===-1&&(n=!1,s=r+1),l>=0&&(c===o.charCodeAt(l)?--l==-1&&(t=r):(l=-1,t=s))}return i===t?t=s:t===-1&&(t=y.length),y.slice(i,t)}for(r=y.length-1;r>=0;--r)if(y.charCodeAt(r)===g){if(!n){i=r+1;break}}else t===-1&&(n=!1,t=r+1);return t===-1?"":y.slice(i,t)},extname(y){C(y,"path");let o=-1,i=0,t=-1,n=!0,r=0;for(let l=y.length-1;l>=0;--l){const s=y.charCodeAt(l);if(s===g){if(!n){i=l+1;break}continue}t===-1&&(n=!1,t=l+1),s===P?o===-1?o=l:r!==1&&(r=1):o!==-1&&(r=-1)}return o===-1||t===-1||r===0||r===1&&o===t-1&&o===i+1?"":y.slice(o,t)},format:b.bind(null,"/"),parse(y){C(y,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(y.length===0)return o;const i=y.charCodeAt(0)===g;let t;i?(o.root="/",t=1):t=0;let n=-1,r=0,l=-1,s=!0,c=y.length-1,h=0;for(;c>=t;--c){const d=y.charCodeAt(c);if(d===g){if(!s){r=c+1;break}continue}l===-1&&(s=!1,l=c+1),d===P?n===-1?n=c:h!==1&&(h=1):n!==-1&&(h=-1)}if(l!==-1){const d=r===0&&i?1:r;n===-1||h===0||h===1&&n===l-1&&n===r+1?o.base=o.name=y.slice(d,l):(o.name=y.slice(d,n),o.base=y.slice(d,l),o.ext=y.slice(n,l))}return r>0?o.dir=y.slice(0,r-1):i&&(o.dir="/"),o},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=v.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=v.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=v.platform==="win32"?e.win32.join:e.posix.join,e.resolve=v.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=v.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=v.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=v.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=v.platform==="win32"?e.win32.extname:e.posix.extname,e.format=v.platform==="win32"?e.win32.format:e.posix.format,e.parse=v.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=v.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=v.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=v.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),function(G,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var v=e();for(var A in v)(typeof exports=="object"?exports:G)[A]=v[A]}}(typeof self!="undefined"?self:this,function(){return function(G){var e={};function v(A){if(e[A])return e[A].exports;var L=e[A]={i:A,l:!1,exports:{}};return G[A].call(L.exports,L,L.exports,v),L.l=!0,L.exports}return v.m=G,v.c=e,v.d=function(A,L,R){v.o(A,L)||Object.defineProperty(A,L,{enumerable:!0,get:R})},v.r=function(A){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(A,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(A,"__esModule",{value:!0})},v.t=function(A,L){if(1&L&&(A=v(A)),8&L||4&L&&typeof A=="object"&&A&&A.__esModule)return A;var R=Object.create(null);if(v.r(R),Object.defineProperty(R,"default",{enumerable:!0,value:A}),2&L&&typeof A!="string")for(var T in A)v.d(R,T,function(P){return A[P]}.bind(null,T));return R},v.n=function(A){var L=A&&A.__esModule?function(){return A.default}:function(){return A};return v.d(L,"a",L),L},v.o=function(A,L){return Object.prototype.hasOwnProperty.call(A,L)},v.p="",v(v.s=0)}([function(G,e,v){(function(A){var L;e=G.exports=X,L=typeof A=="object"&&A.env&&A.env.NODE_DEBUG&&/\bsemver\b/i.test(A.env.NODE_DEBUG)?function(){var J=Array.prototype.slice.call(arguments,0);J.unshift("SEMVER"),console.log.apply(console,J)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var R=256,T=Number.MAX_SAFE_INTEGER||9007199254740991,P=e.re=[],g=e.src=[],m=0,D=m++;g[D]="0|[1-9]\\d*";var f=m++;g[f]="[0-9]+";var E=m++;g[E]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var C=m++;g[C]="("+g[D]+")\\.("+g[D]+")\\.("+g[D]+")";var a=m++;g[a]="("+g[f]+")\\.("+g[f]+")\\.("+g[f]+")";var I=m++;g[I]="(?:"+g[D]+"|"+g[E]+")";var S=m++;g[S]="(?:"+g[f]+"|"+g[E]+")";var w=m++;g[w]="(?:-("+g[I]+"(?:\\."+g[I]+")*))";var b=m++;g[b]="(?:-?("+g[S]+"(?:\\."+g[S]+")*))";var y=m++;g[y]="[0-9A-Za-z-]+";var o=m++;g[o]="(?:\\+("+g[y]+"(?:\\."+g[y]+")*))";var i=m++,t="v?"+g[C]+g[w]+"?"+g[o]+"?";g[i]="^"+t+"$";var n="[v=\\s]*"+g[a]+g[b]+"?"+g[o]+"?",r=m++;g[r]="^"+n+"$";var l=m++;g[l]="((?:<|>)?=?)";var s=m++;g[s]=g[f]+"|x|X|\\*";var c=m++;g[c]=g[D]+"|x|X|\\*";var h=m++;g[h]="[v=\\s]*("+g[c]+")(?:\\.("+g[c]+")(?:\\.("+g[c]+")(?:"+g[w]+")?"+g[o]+"?)?)?";var d=m++;g[d]="[v=\\s]*("+g[s]+")(?:\\.("+g[s]+")(?:\\.("+g[s]+")(?:"+g[b]+")?"+g[o]+"?)?)?";var p=m++;g[p]="^"+g[l]+"\\s*"+g[h]+"$";var u=m++;g[u]="^"+g[l]+"\\s*"+g[d]+"$";var O=m++;g[O]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var _=m++;g[_]="(?:~>?)";var q=m++;g[q]="(\\s*)"+g[_]+"\\s+",P[q]=new RegExp(g[q],"g");var x=m++;g[x]="^"+g[_]+g[h]+"$";var j=m++;g[j]="^"+g[_]+g[d]+"$";var $=m++;g[$]="(?:\\^)";var W=m++;g[W]="(\\s*)"+g[$]+"\\s+",P[W]=new RegExp(g[W],"g");var B=m++;g[B]="^"+g[$]+g[h]+"$";var M=m++;g[M]="^"+g[$]+g[d]+"$";var F=m++;g[F]="^"+g[l]+"\\s*("+n+")$|^$";var k=m++;g[k]="^"+g[l]+"\\s*("+t+")$|^$";var U=m++;g[U]="(\\s*)"+g[l]+"\\s*("+n+"|"+g[h]+")",P[U]=new RegExp(g[U],"g");var N=m++;g[N]="^\\s*("+g[h]+")\\s+-\\s+("+g[h]+")\\s*$";var z=m++;g[z]="^\\s*("+g[d]+")\\s+-\\s+("+g[d]+")\\s*$";var H=m++;g[H]="(<|>)?=?\\s*\\*";for(var K=0;K<35;K++)L(K,g[K]),P[K]||(P[K]=new RegExp(g[K]));function te(J,ne){if(J instanceof X)return J;if(typeof J!="string"||J.length>R||!(ne?P[r]:P[i]).test(J))return null;try{return new X(J,ne)}catch(re){return null}}function X(J,ne){if(J instanceof X){if(J.loose===ne)return J;J=J.version}else if(typeof J!="string")throw new TypeError("Invalid Version: "+J);if(J.length>R)throw new TypeError("version is longer than "+R+" characters");if(!(this instanceof X))return new X(J,ne);L("SemVer",J,ne),this.loose=ne;var re=J.trim().match(ne?P[r]:P[i]);if(!re)throw new TypeError("Invalid Version: "+J);if(this.raw=J,this.major=+re[1],this.minor=+re[2],this.patch=+re[3],this.major>T||this.major<0)throw new TypeError("Invalid major version");if(this.minor>T||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>T||this.patch<0)throw new TypeError("Invalid patch version");re[4]?this.prerelease=re[4].split(".").map(function(ge){if(/^[0-9]+$/.test(ge)){var V=+ge;if(V>=0&&V<T)return V}return ge}):this.prerelease=[],this.build=re[5]?re[5].split("."):[],this.format()}e.parse=te,e.valid=function(J,ne){var re=te(J,ne);return re?re.version:null},e.clean=function(J,ne){var re=te(J.trim().replace(/^[=v]+/,""),ne);return re?re.version:null},e.SemVer=X,X.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},X.prototype.toString=function(){return this.version},X.prototype.compare=function(J){return L("SemVer.compare",this.version,this.loose,J),J instanceof X||(J=new X(J,this.loose)),this.compareMain(J)||this.comparePre(J)},X.prototype.compareMain=function(J){return J instanceof X||(J=new X(J,this.loose)),se(this.major,J.major)||se(this.minor,J.minor)||se(this.patch,J.patch)},X.prototype.comparePre=function(J){if(J instanceof X||(J=new X(J,this.loose)),this.prerelease.length&&!J.prerelease.length)return-1;if(!this.prerelease.length&&J.prerelease.length)return 1;if(!this.prerelease.length&&!J.prerelease.length)return 0;var ne=0;do{var re=this.prerelease[ne],ge=J.prerelease[ne];if(L("prerelease compare",ne,re,ge),re===void 0&&ge===void 0)return 0;if(ge===void 0)return 1;if(re===void 0)return-1;if(re!==ge)return se(re,ge)}while(++ne)},X.prototype.inc=function(J,ne){switch(J){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ne);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ne);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ne),this.inc("pre",ne);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ne),this.inc("pre",ne);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var re=this.prerelease.length;--re>=0;)typeof this.prerelease[re]=="number"&&(this.prerelease[re]++,re=-2);re===-1&&this.prerelease.push(0)}ne&&(this.prerelease[0]===ne?isNaN(this.prerelease[1])&&(this.prerelease=[ne,0]):this.prerelease=[ne,0]);break;default:throw new Error("invalid increment argument: "+J)}return this.format(),this.raw=this.version,this},e.inc=function(J,ne,re,ge){typeof re=="string"&&(ge=re,re=void 0);try{return new X(J,re).inc(ne,ge).version}catch(V){return null}},e.diff=function(J,ne){if(we(J,ne))return null;var re=te(J),ge=te(ne);if(re.prerelease.length||ge.prerelease.length){for(var V in re)if((V==="major"||V==="minor"||V==="patch")&&re[V]!==ge[V])return"pre"+V;return"prerelease"}for(var V in re)if((V==="major"||V==="minor"||V==="patch")&&re[V]!==ge[V])return V},e.compareIdentifiers=se;var ie=/^[0-9]+$/;function se(J,ne){var re=ie.test(J),ge=ie.test(ne);return re&&ge&&(J=+J,ne=+ne),re&&!ge?-1:ge&&!re?1:J<ne?-1:J>ne?1:0}function ce(J,ne,re){return new X(J,re).compare(new X(ne,re))}function he(J,ne,re){return ce(J,ne,re)>0}function me(J,ne,re){return ce(J,ne,re)<0}function we(J,ne,re){return ce(J,ne,re)===0}function Ie(J,ne,re){return ce(J,ne,re)!==0}function ke(J,ne,re){return ce(J,ne,re)>=0}function Ue(J,ne,re){return ce(J,ne,re)<=0}function Fe(J,ne,re,ge){var V;switch(ne){case"===":typeof J=="object"&&(J=J.version),typeof re=="object"&&(re=re.version),V=J===re;break;case"!==":typeof J=="object"&&(J=J.version),typeof re=="object"&&(re=re.version),V=J!==re;break;case"":case"=":case"==":V=we(J,re,ge);break;case"!=":V=Ie(J,re,ge);break;case">":V=he(J,re,ge);break;case">=":V=ke(J,re,ge);break;case"<":V=me(J,re,ge);break;case"<=":V=Ue(J,re,ge);break;default:throw new TypeError("Invalid operator: "+ne)}return V}function _e(J,ne){if(J instanceof _e){if(J.loose===ne)return J;J=J.value}if(!(this instanceof _e))return new _e(J,ne);L("comparator",J,ne),this.loose=ne,this.parse(J),this.semver===Me?this.value="":this.value=this.operator+this.semver.version,L("comp",this)}e.rcompareIdentifiers=function(J,ne){return se(ne,J)},e.major=function(J,ne){return new X(J,ne).major},e.minor=function(J,ne){return new X(J,ne).minor},e.patch=function(J,ne){return new X(J,ne).patch},e.compare=ce,e.compareLoose=function(J,ne){return ce(J,ne,!0)},e.rcompare=function(J,ne,re){return ce(ne,J,re)},e.sort=function(J,ne){return J.sort(function(re,ge){return e.compare(re,ge,ne)})},e.rsort=function(J,ne){return J.sort(function(re,ge){return e.rcompare(re,ge,ne)})},e.gt=he,e.lt=me,e.eq=we,e.neq=Ie,e.gte=ke,e.lte=Ue,e.cmp=Fe,e.Comparator=_e;var Me={};function De(J,ne){if(J instanceof De)return J.loose===ne?J:new De(J.raw,ne);if(J instanceof _e)return new De(J.value,ne);if(!(this instanceof De))return new De(J,ne);if(this.loose=ne,this.raw=J,this.set=J.split(/\s*\|\|\s*/).map(function(re){return this.parseRange(re.trim())},this).filter(function(re){return re.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+J);this.format()}function Ae(J){return!J||J.toLowerCase()==="x"||J==="*"}function $e(J,ne,re,ge,V,ee,oe,ae,le,de,ve,ye,Ee){return((ne=Ae(re)?"":Ae(ge)?">="+re+".0.0":Ae(V)?">="+re+"."+ge+".0":">="+ne)+" "+(ae=Ae(le)?"":Ae(de)?"<"+(+le+1)+".0.0":Ae(ve)?"<"+le+"."+(+de+1)+".0":ye?"<="+le+"."+de+"."+ve+"-"+ye:"<="+ae)).trim()}function He(J,ne){for(var re=0;re<J.length;re++)if(!J[re].test(ne))return!1;if(ne.prerelease.length){for(re=0;re<J.length;re++)if(L(J[re].semver),J[re].semver!==Me&&J[re].semver.prerelease.length>0){var ge=J[re].semver;if(ge.major===ne.major&&ge.minor===ne.minor&&ge.patch===ne.patch)return!0}return!1}return!0}function Ne(J,ne,re){try{ne=new De(ne,re)}catch(ge){return!1}return ne.test(J)}function ze(J,ne,re,ge){var V,ee,oe,ae,le;switch(J=new X(J,ge),ne=new De(ne,ge),re){case">":V=he,ee=Ue,oe=me,ae=">",le=">=";break;case"<":V=me,ee=ke,oe=he,ae="<",le="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ne(J,ne,ge))return!1;for(var de=0;de<ne.set.length;++de){var ve=ne.set[de],ye=null,Ee=null;if(ve.forEach(function(be){be.semver===Me&&(be=new _e(">=0.0.0")),ye=ye||be,Ee=Ee||be,V(be.semver,ye.semver,ge)?ye=be:oe(be.semver,Ee.semver,ge)&&(Ee=be)}),ye.operator===ae||ye.operator===le||(!Ee.operator||Ee.operator===ae)&&ee(J,Ee.semver)||Ee.operator===le&&oe(J,Ee.semver))return!1}return!0}_e.prototype.parse=function(J){var ne=this.loose?P[F]:P[k],re=J.match(ne);if(!re)throw new TypeError("Invalid comparator: "+J);this.operator=re[1],this.operator==="="&&(this.operator=""),re[2]?this.semver=new X(re[2],this.loose):this.semver=Me},_e.prototype.toString=function(){return this.value},_e.prototype.test=function(J){return L("Comparator.test",J,this.loose),this.semver===Me||(typeof J=="string"&&(J=new X(J,this.loose)),Fe(J,this.operator,this.semver,this.loose))},_e.prototype.intersects=function(J,ne){if(!(J instanceof _e))throw new TypeError("a Comparator is required");var re;if(this.operator==="")return re=new De(J.value,ne),Ne(this.value,re,ne);if(J.operator==="")return re=new De(this.value,ne),Ne(J.semver,re,ne);var ge=!(this.operator!==">="&&this.operator!==">"||J.operator!==">="&&J.operator!==">"),V=!(this.operator!=="<="&&this.operator!=="<"||J.operator!=="<="&&J.operator!=="<"),ee=this.semver.version===J.semver.version,oe=!(this.operator!==">="&&this.operator!=="<="||J.operator!==">="&&J.operator!=="<="),ae=Fe(this.semver,"<",J.semver,ne)&&(this.operator===">="||this.operator===">")&&(J.operator==="<="||J.operator==="<"),le=Fe(this.semver,">",J.semver,ne)&&(this.operator==="<="||this.operator==="<")&&(J.operator===">="||J.operator===">");return ge||V||ee&&oe||ae||le},e.Range=De,De.prototype.format=function(){return this.range=this.set.map(function(J){return J.join(" ").trim()}).join("||").trim(),this.range},De.prototype.toString=function(){return this.range},De.prototype.parseRange=function(J){var ne=this.loose;J=J.trim(),L("range",J,ne);var re=ne?P[z]:P[N];J=J.replace(re,$e),L("hyphen replace",J),J=J.replace(P[U],"$1$2$3"),L("comparator trim",J,P[U]),J=(J=(J=J.replace(P[q],"$1~")).replace(P[W],"$1^")).split(/\s+/).join(" ");var ge=ne?P[F]:P[k],V=J.split(" ").map(function(ee){return function(oe,ae){return L("comp",oe),oe=function(le,de){return le.trim().split(/\s+/).map(function(ve){return function(ye,Ee){L("caret",ye,Ee);var be=Ee?P[M]:P[B];return ye.replace(be,function(Le,Se,pe,Ce,Re){var Te;return L("caret",ye,Le,Se,pe,Ce,Re),Ae(Se)?Te="":Ae(pe)?Te=">="+Se+".0.0 <"+(+Se+1)+".0.0":Ae(Ce)?Te=Se==="0"?">="+Se+"."+pe+".0 <"+Se+"."+(+pe+1)+".0":">="+Se+"."+pe+".0 <"+(+Se+1)+".0.0":Re?(L("replaceCaret pr",Re),Re.charAt(0)!=="-"&&(Re="-"+Re),Te=Se==="0"?pe==="0"?">="+Se+"."+pe+"."+Ce+Re+" <"+Se+"."+pe+"."+(+Ce+1):">="+Se+"."+pe+"."+Ce+Re+" <"+Se+"."+(+pe+1)+".0":">="+Se+"."+pe+"."+Ce+Re+" <"+(+Se+1)+".0.0"):(L("no pr"),Te=Se==="0"?pe==="0"?">="+Se+"."+pe+"."+Ce+" <"+Se+"."+pe+"."+(+Ce+1):">="+Se+"."+pe+"."+Ce+" <"+Se+"."+(+pe+1)+".0":">="+Se+"."+pe+"."+Ce+" <"+(+Se+1)+".0.0"),L("caret return",Te),Te})}(ve,de)}).join(" ")}(oe,ae),L("caret",oe),oe=function(le,de){return le.trim().split(/\s+/).map(function(ve){return function(ye,Ee){var be=Ee?P[j]:P[x];return ye.replace(be,function(Le,Se,pe,Ce,Re){var Te;return L("tilde",ye,Le,Se,pe,Ce,Re),Ae(Se)?Te="":Ae(pe)?Te=">="+Se+".0.0 <"+(+Se+1)+".0.0":Ae(Ce)?Te=">="+Se+"."+pe+".0 <"+Se+"."+(+pe+1)+".0":Re?(L("replaceTilde pr",Re),Re.charAt(0)!=="-"&&(Re="-"+Re),Te=">="+Se+"."+pe+"."+Ce+Re+" <"+Se+"."+(+pe+1)+".0"):Te=">="+Se+"."+pe+"."+Ce+" <"+Se+"."+(+pe+1)+".0",L("tilde return",Te),Te})}(ve,de)}).join(" ")}(oe,ae),L("tildes",oe),oe=function(le,de){return L("replaceXRanges",le,de),le.split(/\s+/).map(function(ve){return function(ye,Ee){ye=ye.trim();var be=Ee?P[u]:P[p];return ye.replace(be,function(Le,Se,pe,Ce,Re,Te){L("xRange",ye,Le,Se,pe,Ce,Re,Te);var fe=Ae(pe),Pe=fe||Ae(Ce),Oe=Pe||Ae(Re);return Se==="="&&Oe&&(Se=""),fe?Le=Se===">"||Se==="<"?"<0.0.0":"*":Se&&Oe?(Pe&&(Ce=0),Oe&&(Re=0),Se===">"?(Se=">=",Pe?(pe=+pe+1,Ce=0,Re=0):Oe&&(Ce=+Ce+1,Re=0)):Se==="<="&&(Se="<",Pe?pe=+pe+1:Ce=+Ce+1),Le=Se+pe+"."+Ce+"."+Re):Pe?Le=">="+pe+".0.0 <"+(+pe+1)+".0.0":Oe&&(Le=">="+pe+"."+Ce+".0 <"+pe+"."+(+Ce+1)+".0"),L("xRange return",Le),Le})}(ve,de)}).join(" ")}(oe,ae),L("xrange",oe),oe=function(le,de){return L("replaceStars",le,de),le.trim().replace(P[H],"")}(oe,ae),L("stars",oe),oe}(ee,ne)}).join(" ").split(/\s+/);return this.loose&&(V=V.filter(function(ee){return!!ee.match(ge)})),V=V.map(function(ee){return new _e(ee,ne)})},De.prototype.intersects=function(J,ne){if(!(J instanceof De))throw new TypeError("a Range is required");return this.set.some(function(re){return re.every(function(ge){return J.set.some(function(V){return V.every(function(ee){return ge.intersects(ee,ne)})})})})},e.toComparators=function(J,ne){return new De(J,ne).set.map(function(re){return re.map(function(ge){return ge.value}).join(" ").trim().split(" ")})},De.prototype.test=function(J){if(!J)return!1;typeof J=="string"&&(J=new X(J,this.loose));for(var ne=0;ne<this.set.length;ne++)if(He(this.set[ne],J))return!0;return!1},e.satisfies=Ne,e.maxSatisfying=function(J,ne,re){var ge=null,V=null;try{var ee=new De(ne,re)}catch(oe){return null}return J.forEach(function(oe){ee.test(oe)&&(ge&&V.compare(oe)!==-1||(V=new X(ge=oe,re)))}),ge},e.minSatisfying=function(J,ne,re){var ge=null,V=null;try{var ee=new De(ne,re)}catch(oe){return null}return J.forEach(function(oe){ee.test(oe)&&(ge&&V.compare(oe)!==1||(V=new X(ge=oe,re)))}),ge},e.validRange=function(J,ne){try{return new De(J,ne).range||"*"}catch(re){return null}},e.ltr=function(J,ne,re){return ze(J,ne,"<",re)},e.gtr=function(J,ne,re){return ze(J,ne,">",re)},e.outside=ze,e.prerelease=function(J,ne){var re=te(J,ne);return re&&re.prerelease.length?re.prerelease:null},e.intersects=function(J,ne,re){return J=new De(J,re),ne=new De(ne,re),J.intersects(ne)},e.coerce=function(J){if(J instanceof X)return J;if(typeof J!="string")return null;var ne=J.match(P[O]);return ne==null?null:te((ne[1]||"0")+"."+(ne[2]||"0")+"."+(ne[3]||"0"))}}).call(this,v(1))},function(G,e){var v,A,L=G.exports={};function R(){throw new Error("setTimeout has not been defined")}function T(){throw new Error("clearTimeout has not been defined")}function P(S){if(v===setTimeout)return setTimeout(S,0);if((v===R||!v)&&setTimeout)return v=setTimeout,setTimeout(S,0);try{return v(S,0)}catch(w){try{return v.call(null,S,0)}catch(b){return v.call(this,S,0)}}}(function(){try{v=typeof setTimeout=="function"?setTimeout:R}catch(S){v=R}try{A=typeof clearTimeout=="function"?clearTimeout:T}catch(S){A=T}})();var g,m=[],D=!1,f=-1;function E(){D&&g&&(D=!1,g.length?m=g.concat(m):f=-1,m.length&&C())}function C(){if(!D){var S=P(E);D=!0;for(var w=m.length;w;){for(g=m,m=[];++f<w;)g&&g[f].run();f=-1,w=m.length}g=null,D=!1,function(b){if(A===clearTimeout)return clearTimeout(b);if((A===T||!A)&&clearTimeout)return A=clearTimeout,clearTimeout(b);try{A(b)}catch(y){try{return A.call(null,b)}catch(o){return A.call(this,b)}}}(S)}}function a(S,w){this.fun=S,this.array=w}function I(){}L.nextTick=function(S){var w=new Array(arguments.length-1);if(arguments.length>1)for(var b=1;b<arguments.length;b++)w[b-1]=arguments[b];m.push(new a(S,w)),m.length!==1||D||P(C)},a.prototype.run=function(){this.fun.apply(null,this.array)},L.title="browser",L.browser=!0,L.env={},L.argv=[],L.version="",L.versions={},L.on=I,L.addListener=I,L.once=I,L.off=I,L.removeListener=I,L.removeAllListeners=I,L.emit=I,L.prependListener=I,L.prependOnceListener=I,L.listeners=function(S){return[]},L.binding=function(S){throw new Error("process.binding is not supported")},L.cwd=function(){return"/"},L.chdir=function(S){throw new Error("process.chdir is not supported")},L.umask=function(){return 0}}])}),define(Q[87],Z([0,1,7]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const A=v.globals.performance&&typeof v.globals.performance.now=="function";class L{constructor(T){this._highResolution=A&&T,this._startTime=this._now(),this._stopTime=-1}static create(T=!0){return new L(T)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?v.globals.performance.now():Date.now()}}e.StopWatch=L}),define(Q[3],Z([0,1,15,63,2,64,87]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var P;(function(w){w.None=()=>L.Disposable.None;function b(j){return($,W=null,B)=>{let M=!1,F;return F=j(k=>{if(!M)return F?F.dispose():M=!0,$.call(W,k)},null,B),M&&F.dispose(),F}}w.once=b;function y(j,$){return l((W,B=null,M)=>j(F=>W.call(B,$(F)),null,M))}w.map=y;function o(j,$){return l((W,B=null,M)=>j(F=>{$(F),W.call(B,F)},null,M))}w.forEach=o;function i(j,$){return l((W,B=null,M)=>j(F=>$(F)&&W.call(B,F),null,M))}w.filter=i;function t(j){return j}w.signal=t;function n(...j){return($,W=null,B)=>(0,L.combinedDisposable)(...j.map(M=>M(F=>$.call(W,F),null,B)))}w.any=n;function r(j,$,W){let B=W;return y(j,M=>(B=$(B,M),B))}w.reduce=r;function l(j){let $;const W=new E({onFirstListenerAdd(){$=j(W.fire,W)},onLastListenerRemove(){$.dispose()}});return W.event}w.snapshot=l;function s(j,$,W=100,B=!1,M){let F,k,U,N=0;const z=new E({leakWarningThreshold:M,onFirstListenerAdd(){F=j(H=>{N++,k=$(k,H),B&&!U&&(z.fire(k),k=void 0),clearTimeout(U),U=setTimeout(()=>{const K=k;k=void 0,U=void 0,(!B||N>1)&&z.fire(K),N=0},W)})},onLastListenerRemove(){F.dispose()}});return z.event}w.debounce=s;function c(j){const $=new Date().getTime();return y(b(j),W=>new Date().getTime()-$)}w.stopwatch=c;function h(j){let $=!0,W;return i(j,B=>{const M=$||B!==W;return $=!1,W=B,M})}w.latch=h;function d(j,$=!1,W=[]){let B=W.slice(),M=j(U=>{B?B.push(U):k.fire(U)});const F=()=>{B&&B.forEach(U=>k.fire(U)),B=null},k=new E({onFirstListenerAdd(){M||(M=j(U=>k.fire(U)))},onFirstListenerDidAdd(){B&&($?setTimeout(F):F())},onLastListenerRemove(){M&&M.dispose(),M=null}});return k.event}w.buffer=d;class p{constructor($){this.event=$}map($){return new p(y(this.event,$))}forEach($){return new p(o(this.event,$))}filter($){return new p(i(this.event,$))}reduce($,W){return new p(r(this.event,$,W))}latch(){return new p(h(this.event))}debounce($,W=100,B=!1,M){return new p(s(this.event,$,W,B,M))}on($,W,B){return this.event($,W,B)}once($,W,B){return b(this.event)($,W,B)}}function u(j){return new p(j)}w.chain=u;function O(j,$,W=B=>B){const B=(...U)=>k.fire(W(...U)),M=()=>j.on($,B),F=()=>j.removeListener($,B),k=new E({onFirstListenerAdd:M,onLastListenerRemove:F});return k.event}w.fromNodeEventEmitter=O;function _(j,$,W=B=>B){const B=(...U)=>k.fire(W(...U)),M=()=>j.addEventListener($,B),F=()=>j.removeEventListener($,B),k=new E({onFirstListenerAdd:M,onLastListenerRemove:F});return k.event}w.fromDOMEventEmitter=_;function q(j){const $=new E;let W=!1;return j.then(void 0,()=>null).then(()=>{W?$.fire(void 0):setTimeout(()=>$.fire(void 0),0)}),W=!0,$.event}w.fromPromise=q;function x(j){return new Promise($=>b(j)($))}w.toPromise=x})(P=e.Event||(e.Event={}));class g{constructor(b){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${b}_${g._idPool++}`}start(b){this._stopWatch=new T.StopWatch(!0),this._listenerCount=b}stop(){if(this._stopWatch){const b=this._stopWatch.elapsed();this._elapsedOverall+=b,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${b.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}g._idPool=0;let m=-1;function D(w){const b=m;return m=w,{dispose(){m=b}}}e.setGlobalLeakWarningThreshold=D;class f{constructor(b,y=Math.random().toString(18).slice(2,5)){this.customThreshold=b,this.name=y,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(b){let y=m;if(typeof this.customThreshold=="number"&&(y=this.customThreshold),!(y<=0||b<y)){this._stacks||(this._stacks=new Map);const o=new Error().stack.split(`
`).slice(3).join(`
`),i=this._stacks.get(o)||0;if(this._stacks.set(o,i+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=y*.5;let t,n=0;for(const[r,l]of this._stacks)(!t||n<l)&&(t=r,n=l);console.warn(`[${this.name}] potential listener LEAK detected, having ${b} listeners already. MOST frequent listener (${n}):`),console.warn(t)}return()=>{const t=this._stacks.get(o)||0;this._stacks.set(o,t-1)}}}}class E{constructor(b){var y;this._disposed=!1,this._options=b,this._leakageMon=m>0?new f(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((y=this._options)===null||y===void 0?void 0:y._profName)?new g(this._options._profName):void 0}get event(){return this._event||(this._event=(b,y,o)=>{var i;this._listeners||(this._listeners=new R.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const n=this._listeners.push(y?[b,y]:b);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,b,y);const r=(i=this._leakageMon)===null||i===void 0?void 0:i.check(this._listeners.size);let l;return l={dispose:()=>{r&&r(),l.dispose=E._noop,this._disposed||(n(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},o instanceof L.DisposableStore?o.add(l):Array.isArray(o)&&o.push(l),l}),this._event}fire(b){var y,o;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new R.LinkedList);for(let i of this._listeners)this._deliveryQueue.push([i,b]);for((y=this._perfMon)===null||y===void 0||y.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[i,t]=this._deliveryQueue.shift();try{typeof i=="function"?i.call(void 0,t):i[0].call(i[1],t)}catch(n){(0,v.onUnexpectedError)(n)}}(o=this._perfMon)===null||o===void 0||o.stop()}}dispose(){var b,y,o;(b=this._listeners)===null||b===void 0||b.clear(),(y=this._deliveryQueue)===null||y===void 0||y.clear(),(o=this._leakageMon)===null||o===void 0||o.dispose(),this._disposed=!0}}e.Emitter=E,E._noop=function(){};class C extends E{constructor(b){super(b);this._isPaused=0,this._eventQueue=new R.LinkedList,this._mergeFn=b==null?void 0:b.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const b=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(b))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(b){this._listeners&&(this._isPaused!==0?this._eventQueue.push(b):super.fire(b))}}e.PauseableEmitter=C;class a{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new E({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(b){const y={event:b,listener:null};this.events.push(y),this.hasListeners&&this.hook(y);const o=()=>{this.hasListeners&&this.unhook(y);const i=this.events.indexOf(y);this.events.splice(i,1)};return(0,L.toDisposable)((0,A.once)(o))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(b=>this.hook(b))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(b=>this.unhook(b))}hook(b){b.listener=b.event(y=>this.emitter.fire(y))}unhook(b){b.listener&&b.listener.dispose(),b.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=a;class I{constructor(){this.buffers=[]}wrapEvent(b){return(y,o,i)=>b(t=>{const n=this.buffers[this.buffers.length-1];n?n.push(()=>y.call(o,t)):y.call(o,t)},void 0,i)}bufferEvents(b){const y=[];this.buffers.push(y);const o=b();return this.buffers.pop(),y.forEach(i=>i()),o}}e.EventBufferer=I;class S{constructor(){this.listening=!1,this.inputEvent=P.None,this.inputEventListener=L.Disposable.None,this.emitter=new E({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(b){this.inputEvent=b,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=b(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=S}),define(Q[30],Z([0,1,3]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const A=Object.freeze(function(P,g){const m=setTimeout(P.bind(g),0);return{dispose(){clearTimeout(m)}}});var L;(function(P){function g(m){return m===P.None||m===P.Cancelled||m instanceof R?!0:!m||typeof m!="object"?!1:typeof m.isCancellationRequested=="boolean"&&typeof m.onCancellationRequested=="function"}P.isCancellationToken=g,P.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:v.Event.None}),P.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:A})})(L=e.CancellationToken||(e.CancellationToken={}));class R{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?A:(this._emitter||(this._emitter=new v.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class T{constructor(g){this._token=void 0,this._parentListener=void 0,this._parentListener=g&&g.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new R),this._token}cancel(){this._token?this._token instanceof R&&this._token.cancel():this._token=L.Cancelled}dispose(g=!1){g&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof R&&this._token.dispose():this._token=L.None}}e.CancellationTokenSource=T}),define(Q[47],Z([0,1,15,2]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function L(S){const w=S;return w&&[w.on,w.pause,w.resume,w.destroy].every(b=>typeof b=="function")}e.isReadableStream=L;function R(S){const w=S;return w&&L(w.stream)&&Array.isArray(w.buffer)&&typeof w.ended=="boolean"}e.isReadableBufferedStream=R;function T(S,w){return new P(S,w)}e.newWriteableStream=T;class P{constructor(w,b){this.reducer=w,this.options=b,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(w){var b;if(!this.state.destroyed){if(this.state.flowing)this.emitData(w);else if(this.buffer.data.push(w),typeof((b=this.options)===null||b===void 0?void 0:b.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(y=>this.pendingWritePromises.push(y))}}error(w){this.state.destroyed||(this.state.flowing?this.emitError(w):this.buffer.error.push(w))}end(w){this.state.destroyed||(typeof w!="undefined"&&this.write(w),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(w){this.listeners.data.slice(0).forEach(b=>b(w))}emitError(w){this.listeners.error.length===0?(0,v.onUnexpectedError)(w):this.listeners.error.slice(0).forEach(b=>b(w))}emitEnd(){this.listeners.end.slice(0).forEach(w=>w())}on(w,b){if(!this.state.destroyed)switch(w){case"data":this.listeners.data.push(b),this.resume();break;case"end":this.listeners.end.push(b),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(b),this.state.flowing&&this.flowErrors();break}}removeListener(w,b){if(!this.state.destroyed){let y;switch(w){case"data":y=this.listeners.data;break;case"end":y=this.listeners.end;break;case"error":y=this.listeners.error;break}if(y){const o=y.indexOf(b);o>=0&&y.splice(o,1)}}}flowData(){if(this.buffer.data.length>0){const w=this.reducer(this.buffer.data);this.emitData(w),this.buffer.data.length=0;const b=[...this.pendingWritePromises];this.pendingWritePromises.length=0,b.forEach(y=>y())}}flowErrors(){if(this.listeners.error.length>0){for(const w of this.buffer.error)this.emitError(w);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function g(S,w){const b=[];let y;for(;(y=S.read())!==null;)b.push(y);return w(b)}e.consumeReadable=g;function m(S,w,b){const y=[];let o;for(;(o=S.read())!==null&&y.length<b;)y.push(o);return o===null&&y.length>0?w(y):{read:()=>{if(y.length>0)return y.shift();if(typeof o!="undefined"){const i=o;return o=void 0,i}return S.read()}}}e.peekReadable=m;function D(S,w){return new Promise((b,y)=>{const o=[];f(S,{onData:i=>{w&&o.push(i)},onError:i=>{w?y(i):b(void 0)},onEnd:()=>{b(w?w(o):void 0)}})})}e.consumeStream=D;function f(S,w){S.on("error",b=>w.onError(b)),S.on("end",()=>w.onEnd()),S.on("data",b=>w.onData(b))}e.listenStream=f;function E(S,w){return new Promise((b,y)=>{const o=new A.DisposableStore,i=[],t=l=>{if(i.push(l),i.length>w)return o.dispose(),S.pause(),b({stream:S,buffer:i,ended:!1})},n=l=>y(l),r=()=>b({stream:S,buffer:i,ended:!0});o.add((0,A.toDisposable)(()=>S.removeListener("error",n))),S.on("error",n),o.add((0,A.toDisposable)(()=>S.removeListener("end",r))),S.on("end",r),o.add((0,A.toDisposable)(()=>S.removeListener("data",t))),S.on("data",t)})}e.peekStream=E;function C(S,w){const b=T(w);return b.end(S),b}e.toStream=C;function a(S){let w=!1;return{read:()=>w?null:(w=!0,S)}}e.toReadable=a;function I(S,w,b){const y=T(b);return f(S,{onData:o=>y.write(w.data(o)),onError:o=>y.error(w.error?w.error(o):o),onEnd:()=>y.end()}),y}e.transform=I}),define(Q[21],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function v(V){return!V||typeof V!="string"?!0:V.trim().length===0}e.isFalsyOrWhitespace=v;const A=/{(\d+)}/g;function L(V,...ee){return ee.length===0?V:V.replace(A,function(oe,ae){const le=parseInt(ae,10);return isNaN(le)||le<0||le>=ee.length?oe:ee[le]})}e.format=L;function R(V){return V.replace(/[<>&]/g,function(ee){switch(ee){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ee}})}e.escape=R;function T(V){return V.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=T;function P(V,ee){let oe=0;const ae=ee.charCodeAt(0);for(let le=V.length-1;le>=0;le--)V.charCodeAt(le)===ae&&oe++;return oe}e.count=P;function g(V,ee,oe="\u2026"){return V.length<=ee?V:`${V.substr(0,ee)}${oe}`}e.truncate=g;function m(V,ee=" "){const oe=D(V,ee);return f(oe,ee)}e.trim=m;function D(V,ee){if(!V||!ee)return V;const oe=ee.length;if(oe===0||V.length===0)return V;let ae=0;for(;V.indexOf(ee,ae)===ae;)ae=ae+oe;return V.substring(ae)}e.ltrim=D;function f(V,ee){if(!V||!ee)return V;const oe=ee.length,ae=V.length;if(oe===0||ae===0)return V;let le=ae,de=-1;for(;de=V.lastIndexOf(ee,le-1),!(de===-1||de+oe!==le);){if(de===0)return"";le=de}return V.substring(0,le)}e.rtrim=f;function E(V){return V.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=E;function C(V){return V.replace(/\*/g,"")}e.stripWildcards=C;function a(V,ee,oe={}){if(!V)throw new Error("Cannot create regex from empty string");ee||(V=T(V)),oe.wholeWord&&(/\B/.test(V.charAt(0))||(V="\\b"+V),/\B/.test(V.charAt(V.length-1))||(V=V+"\\b"));let ae="";return oe.global&&(ae+="g"),oe.matchCase||(ae+="i"),oe.multiline&&(ae+="m"),oe.unicode&&(ae+="u"),new RegExp(V,ae)}e.createRegExp=a;function I(V){return V.source==="^"||V.source==="^$"||V.source==="$"||V.source==="^\\s*$"?!1:!!(V.exec("")&&V.lastIndex===0)}e.regExpLeadsToEndlessLoop=I;function S(V){return!!V.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=S;function w(V){return(V.global?"g":"")+(V.ignoreCase?"i":"")+(V.multiline?"m":"")+(V.unicode?"u":"")}e.regExpFlags=w;function b(V){return V.split(/\r\n|\r|\n/)}e.splitLines=b;function y(V){for(let ee=0,oe=V.length;ee<oe;ee++){const ae=V.charCodeAt(ee);if(ae!==32&&ae!==9)return ee}return-1}e.firstNonWhitespaceIndex=y;function o(V,ee=0,oe=V.length){for(let ae=ee;ae<oe;ae++){const le=V.charCodeAt(ae);if(le!==32&&le!==9)return V.substring(ee,ae)}return V.substring(ee,oe)}e.getLeadingWhitespace=o;function i(V,ee=V.length-1){for(let oe=ee;oe>=0;oe--){const ae=V.charCodeAt(oe);if(ae!==32&&ae!==9)return oe}return-1}e.lastNonWhitespaceIndex=i;function t(V,ee){return V<ee?-1:V>ee?1:0}e.compare=t;function n(V,ee,oe=0,ae=V.length,le=0,de=ee.length){for(;oe<ae&&le<de;oe++,le++){let Ee=V.charCodeAt(oe),be=ee.charCodeAt(le);if(Ee<be)return-1;if(Ee>be)return 1}const ve=ae-oe,ye=de-le;return ve<ye?-1:ve>ye?1:0}e.compareSubstring=n;function r(V,ee){return l(V,ee,0,V.length,0,ee.length)}e.compareIgnoreCase=r;function l(V,ee,oe=0,ae=V.length,le=0,de=ee.length){for(;oe<ae&&le<de;oe++,le++){let Ee=V.charCodeAt(oe),be=ee.charCodeAt(le);if(Ee!==be){const Le=Ee-be;if(!(Le===32&&c(be))&&!(Le===-32&&c(Ee)))return s(Ee)&&s(be)?Le:n(V.toLowerCase(),ee.toLowerCase(),oe,ae,le,de)}}const ve=ae-oe,ye=de-le;return ve<ye?-1:ve>ye?1:0}e.compareSubstringIgnoreCase=l;function s(V){return V>=97&&V<=122}e.isLowerAsciiLetter=s;function c(V){return V>=65&&V<=90}e.isUpperAsciiLetter=c;function h(V){return s(V)||c(V)}function d(V,ee){return V.length===ee.length&&p(V,ee)}e.equalsIgnoreCase=d;function p(V,ee,oe=V.length){for(let ae=0;ae<oe;ae++){const le=V.charCodeAt(ae),de=ee.charCodeAt(ae);if(le!==de){if(h(le)&&h(de)){const ve=Math.abs(le-de);if(ve!==0&&ve!==32)return!1}else if(String.fromCharCode(le).toLowerCase()!==String.fromCharCode(de).toLowerCase())return!1}}return!0}function u(V,ee){const oe=ee.length;return ee.length>V.length?!1:p(V,ee,oe)}e.startsWithIgnoreCase=u;function O(V,ee){let oe,ae=Math.min(V.length,ee.length);for(oe=0;oe<ae;oe++)if(V.charCodeAt(oe)!==ee.charCodeAt(oe))return oe;return ae}e.commonPrefixLength=O;function _(V,ee){let oe,ae=Math.min(V.length,ee.length);const le=V.length-1,de=ee.length-1;for(oe=0;oe<ae;oe++)if(V.charCodeAt(le-oe)!==ee.charCodeAt(de-oe))return oe;return ae}e.commonSuffixLength=_;function q(V){return 55296<=V&&V<=56319}e.isHighSurrogate=q;function x(V){return 56320<=V&&V<=57343}e.isLowSurrogate=x;function j(V,ee){return(V-55296<<10)+(ee-56320)+65536}e.computeCodePoint=j;function $(V,ee,oe){const ae=V.charCodeAt(oe);if(q(ae)&&oe+1<ee){const le=V.charCodeAt(oe+1);if(x(le))return j(ae,le)}return ae}e.getNextCodePoint=$;function W(V,ee){const oe=V.charCodeAt(ee-1);if(x(oe)&&ee>1){const ae=V.charCodeAt(ee-2);if(q(ae))return j(ae,oe)}return oe}function B(V,ee){const oe=re.getInstance(),ae=ee,le=V.length,de=$(V,le,ee);ee+=de>=65536?2:1;let ve=oe.getGraphemeBreakType(de);for(;ee<le;){const ye=$(V,le,ee),Ee=oe.getGraphemeBreakType(ye);if(J(ve,Ee))break;ee+=ye>=65536?2:1,ve=Ee}return ee-ae}e.nextCharLength=B;function M(V,ee){const oe=re.getInstance(),ae=ee,le=W(V,ee);ee-=le>=65536?2:1;let de=oe.getGraphemeBreakType(le);for(;ee>0;){const ve=W(V,ee),ye=oe.getGraphemeBreakType(ve);if(J(ye,de))break;ee-=ve>=65536?2:1,de=ye}return ae-ee}e.prevCharLength=M;function F(V,ee){const oe=re.getInstance(),ae=V.length,le=ee,de=$(V,ae,ee),ve=oe.getGraphemeBreakType(de);ee+=de>=65536?2:1;let ye=ve;for(;ee<ae;){const be=$(V,ae,ee),Le=oe.getGraphemeBreakType(be);if(J(ye,Le))break;ee+=be>=65536?2:1,ye=Le}const Ee=ee;for(ee=le,ye=ve;ee>0;){const be=W(V,ee),Le=oe.getGraphemeBreakType(be);if(J(Le,ye))break;ee-=be>=65536?2:1,ye=Le}return[ee,Ee]}function k(V,ee){return ee>0&&x(V.charCodeAt(ee))?F(V,ee-1):F(V,ee)}e.getCharContainingOffset=k;function U(V){const ee=V.length;let oe=0,ae=0;for(;ae<ee;){const ve=$(V,ee,ae);ae+=ve>=65536?2:1,ve<128?oe+=1:ve<2048?oe+=2:ve<65536?oe+=3:oe+=4}const le=new Uint8Array(oe);ae=0;let de=0;for(;ae<ee;){const ve=$(V,ee,ae);ae+=ve>=65536?2:1,ve<128?le[de++]=ve:ve<2048?(le[de++]=192|(ve&1984)>>>6,le[de++]=128|(ve&63)>>>0):ve<65536?(le[de++]=224|(ve&61440)>>>12,le[de++]=128|(ve&4032)>>>6,le[de++]=128|(ve&63)>>>0):(le[de++]=240|(ve&1835008)>>>18,le[de++]=128|(ve&258048)>>>12,le[de++]=128|(ve&4032)>>>6,le[de++]=128|(ve&63)>>>0)}return le}e.encodeUTF8=U;function N(V){const ee=V.byteLength,oe=[];let ae=0;for(;ae<ee;){const le=V[ae];let de;if(le>=240&&ae+3<ee?de=(V[ae++]&7)<<18>>>0|(V[ae++]&63)<<12>>>0|(V[ae++]&63)<<6>>>0|(V[ae++]&63)<<0>>>0:le>=224&&ae+2<ee?de=(V[ae++]&15)<<12>>>0|(V[ae++]&63)<<6>>>0|(V[ae++]&63)<<0>>>0:le>=192&&ae+1<ee?de=(V[ae++]&31)<<6>>>0|(V[ae++]&63)<<0>>>0:de=V[ae++],de>=0&&de<=55295||de>=57344&&de<=65535)oe.push(String.fromCharCode(de));else if(de>=65536&&de<=1114111){const ve=de-65536,ye=55296+((ve&1047552)>>>10),Ee=56320+((ve&1023)>>>0);oe.push(String.fromCharCode(ye)),oe.push(String.fromCharCode(Ee))}else oe.push(String.fromCharCode(65533))}return oe.join("")}e.decodeUTF8=N;const z=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function H(V){return z.test(V)}e.containsRTL=H;const K=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function te(V){return K.test(V)}e.containsEmoji=te;const X=/^[\t\n\r\x20-\x7E]*$/;function ie(V){return X.test(V)}e.isBasicASCII=ie,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function se(V){return e.UNUSUAL_LINE_TERMINATORS.test(V)}e.containsUnusualLineTerminators=se;function ce(V){for(let ee=0,oe=V.length;ee<oe;ee++)if(he(V.charCodeAt(ee)))return!0;return!1}e.containsFullWidthCharacter=ce;function he(V){return V=+V,V>=11904&&V<=55215||V>=63744&&V<=64255||V>=65281&&V<=65374}e.isFullWidthCharacter=he;function me(V){return V>=127462&&V<=127487||V===8986||V===8987||V===9200||V===9203||V>=9728&&V<=10175||V===11088||V===11093||V>=127744&&V<=128591||V>=128640&&V<=128764||V>=128992&&V<=129003||V>=129280&&V<=129535||V>=129648&&V<=129750}e.isEmojiImprecise=me;function we(V,ee){if(V.length<ee)return V;const oe=/\b/g;let ae=0;for(;oe.test(V)&&!(V.length-oe.lastIndex<ee);)ae=oe.lastIndex,oe.lastIndex+=1;return V.substring(ae).replace(/^\s/,"")}e.lcut=we;const Ie=/\x1B\x5B[12]?K/g,ke=/\x1b\[\d+m/g,Ue=/\x1b\[0?m/g;function Fe(V){return V&&(V=V.replace(Ie,""),V=V.replace(ke,""),V=V.replace(Ue,"")),V}e.removeAnsiEscapeCodes=Fe,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function _e(V){return!!(V&&V.length>0&&V.charCodeAt(0)===65279)}e.startsWithUTF8BOM=_e;function Me(V){return _e(V)?V.substr(1):V}e.stripUTF8BOM=Me;function De(V,ee){if(!V||!ee||V.length<ee.length)return!1;const oe=ee.length,ae=V.toLowerCase();let le=0,de=-1;for(;le<oe;){const ve=ae.indexOf(ee[le],de+1);if(ve<0)return!1;de=ve,le++}return!0}e.fuzzyContains=De;function Ae(V,ee=!1){return V?(ee&&(V=V.replace(/\\./g,"")),V.toLowerCase()!==V):!1}e.containsUppercaseCharacter=Ae;function $e(V){return V.charAt(0).toUpperCase()+V.slice(1)}e.uppercaseFirstLetter=$e;function He(V,ee=1){if(ee===0)return"";let oe=-1;do oe=V.indexOf(`
`,oe+1),ee--;while(ee>0&&oe>=0);return oe===-1?V:(V[oe-1]==="\r"&&oe--,V.substr(0,oe))}e.getNLines=He;function Ne(V){const ee=90-65+1;return V=V%(2*ee),V<ee?String.fromCharCode(97+V):String.fromCharCode(65+V-ee)}e.singleLetterHash=Ne;function ze(V){return re.getInstance().getGraphemeBreakType(V)}e.getGraphemeBreakType=ze;function J(V,ee){return V===0?ee!==5&&ee!==7:V===2&&ee===3?!1:V===4||V===2||V===3||ee===4||ee===2||ee===3?!0:!(V===8&&(ee===8||ee===9||ee===11||ee===12)||(V===11||V===9)&&(ee===9||ee===10)||(V===12||V===10)&&ee===10||ee===5||ee===13||ee===7||V===1||V===13&&ee===14||V===6&&ee===6)}e.breakBetweenGraphemeBreakType=J;var ne;(function(V){V[V.Other=0]="Other",V[V.Prepend=1]="Prepend",V[V.CR=2]="CR",V[V.LF=3]="LF",V[V.Control=4]="Control",V[V.Extend=5]="Extend",V[V.Regional_Indicator=6]="Regional_Indicator",V[V.SpacingMark=7]="SpacingMark",V[V.L=8]="L",V[V.V=9]="V",V[V.T=10]="T",V[V.LV=11]="LV",V[V.LVT=12]="LVT",V[V.ZWJ=13]="ZWJ",V[V.Extended_Pictographic=14]="Extended_Pictographic"})(ne=e.GraphemeBreakType||(e.GraphemeBreakType={}));class re{constructor(){this._data=ge()}static getInstance(){return re._INSTANCE||(re._INSTANCE=new re),re._INSTANCE}getGraphemeBreakType(ee){if(ee<32)return ee===10?3:ee===13?2:4;if(ee<127)return 0;const oe=this._data,ae=oe.length/3;let le=1;for(;le<=ae;)if(ee<oe[3*le])le=2*le;else if(ee>oe[3*le+1])le=2*le+1;else return oe[3*le+2];return 0}}re._INSTANCE=null;function ge(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(Q[22],Z([0,1,21,47]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const L=typeof Buffer!="undefined",R=typeof TextEncoder!="undefined",T=typeof TextDecoder!="undefined";let P,g;class m{constructor(s){this.buffer=s,this.byteLength=this.buffer.byteLength}static alloc(s){return L?new m(Buffer.allocUnsafe(s)):new m(new Uint8Array(s))}static wrap(s){return L&&!Buffer.isBuffer(s)&&(s=Buffer.from(s.buffer,s.byteOffset,s.byteLength)),new m(s)}static fromString(s,c){return!((c==null?void 0:c.dontUseNodeBuffer)||!1)&&L?new m(Buffer.from(s)):R?(P||(P=new TextEncoder),new m(P.encode(s))):new m(v.encodeUTF8(s))}static concat(s,c){if(typeof c=="undefined"){c=0;for(let p=0,u=s.length;p<u;p++)c+=s[p].byteLength}const h=m.alloc(c);let d=0;for(let p=0,u=s.length;p<u;p++){const O=s[p];h.set(O,d),d+=O.byteLength}return h}toString(){return L?this.buffer.toString():T?(g||(g=new TextDecoder),g.decode(this.buffer)):v.decodeUTF8(this.buffer)}slice(s,c){return new m(this.buffer.subarray(s,c))}set(s,c){s instanceof m?this.buffer.set(s.buffer,c):this.buffer.set(s,c)}readUInt32BE(s){return E(this.buffer,s)}writeUInt32BE(s,c){C(this.buffer,s,c)}readUInt32LE(s){return a(this.buffer,s)}writeUInt32LE(s,c){I(this.buffer,s,c)}readUInt8(s){return S(this.buffer,s)}writeUInt8(s,c){w(this.buffer,s,c)}}e.VSBuffer=m;function D(l,s){return l[s+0]<<0>>>0|l[s+1]<<8>>>0}e.readUInt16LE=D;function f(l,s,c){l[c+0]=s&255,s=s>>>8,l[c+1]=s&255}e.writeUInt16LE=f;function E(l,s){return l[s]*2**24+l[s+1]*2**16+l[s+2]*2**8+l[s+3]}e.readUInt32BE=E;function C(l,s,c){l[c+3]=s,s=s>>>8,l[c+2]=s,s=s>>>8,l[c+1]=s,s=s>>>8,l[c]=s}e.writeUInt32BE=C;function a(l,s){return l[s+0]<<0>>>0|l[s+1]<<8>>>0|l[s+2]<<16>>>0|l[s+3]<<24>>>0}e.readUInt32LE=a;function I(l,s,c){l[c+0]=s&255,s=s>>>8,l[c+1]=s&255,s=s>>>8,l[c+2]=s&255,s=s>>>8,l[c+3]=s&255}e.writeUInt32LE=I;function S(l,s){return l[s]}e.readUInt8=S;function w(l,s,c){l[c]=s}e.writeUInt8=w;function b(l){return A.consumeReadable(l,s=>m.concat(s))}e.readableToBuffer=b;function y(l){return A.toReadable(l)}e.bufferToReadable=y;function o(l){return A.consumeStream(l,s=>m.concat(s))}e.streamToBuffer=o;async function i(l){return l.ended?m.concat(l.buffer):m.concat([...l.buffer,await o(l.stream)])}e.bufferedStreamToBuffer=i;function t(l){return A.toStream(l,s=>m.concat(s))}e.bufferToStream=t;function n(l){return A.transform(l,{data:s=>typeof s=="string"?m.fromString(s):m.wrap(s)},s=>m.concat(s))}e.streamToBufferReadableStream=n;function r(l){return A.newWriteableStream(s=>m.concat(s),l)}e.newWriteableBufferStream=r}),define(Q[17],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function v(s){return Array.isArray(s)}e.isArray=v;function A(s){return typeof s=="string"}e.isString=A;function L(s){return Array.isArray(s)&&s.every(c=>A(c))}e.isStringArray=L;function R(s){return typeof s=="object"&&s!==null&&!Array.isArray(s)&&!(s instanceof RegExp)&&!(s instanceof Date)}e.isObject=R;function T(s){return typeof s=="number"&&!isNaN(s)}e.isNumber=T;function P(s){return s===!0||s===!1}e.isBoolean=P;function g(s){return typeof s=="undefined"}e.isUndefined=g;function m(s){return!D(s)}e.isDefined=m;function D(s){return g(s)||s===null}e.isUndefinedOrNull=D;function f(s,c){if(!s)throw new Error(c?`Unexpected type, expected '${c}'`:"Unexpected type")}e.assertType=f;function E(s){if(D(s))throw new Error("Assertion Failed: argument is undefined or null");return s}e.assertIsDefined=E;function C(...s){const c=[];for(let h=0;h<s.length;h++){const d=s[h];if(D(d))throw new Error(`Assertion Failed: argument at index ${h} is undefined or null`);c.push(d)}return c}e.assertAllDefined=C;const a=Object.prototype.hasOwnProperty;function I(s){if(!R(s))return!1;for(let c in s)if(a.call(s,c))return!1;return!0}e.isEmptyObject=I;function S(s){return typeof s=="function"}e.isFunction=S;function w(...s){return s.length>0&&s.every(S)}e.areFunctions=w;function b(s,c){const h=Math.min(s.length,c.length);for(let d=0;d<h;d++)y(s[d],c[d])}e.validateConstraints=b;function y(s,c){if(A(c)){if(typeof s!==c)throw new Error(`argument does not match constraint: typeof ${c}`)}else if(S(c)){try{if(s instanceof c)return}catch(h){}if(!D(s)&&s.constructor===c||c.length===1&&c.call(void 0,s)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=y;function o(s){let c=[],h=Object.getPrototypeOf(s);for(;Object.prototype!==h;)c=c.concat(Object.getOwnPropertyNames(h)),h=Object.getPrototypeOf(h);return c}e.getAllPropertyNames=o;function i(s){const c=[];for(const h of o(s))typeof s[h]=="function"&&c.push(h);return c}e.getAllMethodNames=i;function t(s,c){const h=p=>function(){const u=Array.prototype.slice.call(arguments,0);return c(p,u)};let d={};for(const p of s)d[p]=h(p);return d}e.createProxyObject=t;function n(s){return s===null?void 0:s}e.withNullAsUndefined=n;function r(s){return typeof s=="undefined"?null:s}e.withUndefinedAsNull=r;function l(s){return class{constructor(){return new Proxy({},{get(c,h){if(c[h])return c[h];throw new Error(`Not Implemented: ${s}->${String(h)}`)}})}}}e.NotImplementedProxy=l}),define(Q[42],Z([0,1,7,21,8,17]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function T(n){return n===47||n===92}e.isPathSeparator=T;function P(n){return n.replace(/[\\/]/g,L.posix.sep)}e.toSlashes=P;function g(n,r=L.posix.sep){if(!n)return"";const l=n.length,s=n.charCodeAt(0);if(T(s)){if(T(n.charCodeAt(1))&&!T(n.charCodeAt(2))){let h=3;const d=h;for(;h<l&&!T(n.charCodeAt(h));h++);if(d!==h&&!T(n.charCodeAt(h+1))){for(h+=1;h<l;h++)if(T(n.charCodeAt(h)))return n.slice(0,h+1).replace(/[\\/]/g,r)}}return r}else if(S(s)&&n.charCodeAt(1)===58)return T(n.charCodeAt(2))?n.slice(0,2)+r:n.slice(0,2);let c=n.indexOf("://");if(c!==-1){for(c+=3;c<l;c++)if(T(n.charCodeAt(c)))return n.slice(0,c+1)}return""}e.getRoot=g;function m(n){if(!v.isWindows||!n||n.length<5)return!1;let r=n.charCodeAt(0);if(r!==92||(r=n.charCodeAt(1),r!==92))return!1;let l=2;const s=l;for(;l<n.length&&(r=n.charCodeAt(l),r!==92);l++);return!(s===l||(r=n.charCodeAt(l+1),isNaN(r)||r===92))}e.isUNC=m;const D=/[\\/:\*\?"<>\|]/g,f=/[\\/]/g,E=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function C(n,r=v.isWindows){const l=r?D:f;return!(!n||n.length===0||/^\s+$/.test(n)||(l.lastIndex=0,l.test(n))||r&&E.test(n)||n==="."||n===".."||r&&n[n.length-1]==="."||r&&n.length!==n.trim().length||n.length>255)}e.isValidBasename=C;function a(n,r,l){const s=n===r;return!l||s?s:!n||!r?!1:(0,A.equalsIgnoreCase)(n,r)}e.isEqual=a;function I(n,r,l,s=L.sep){if(n===r)return!0;if(!n||!r||r.length>n.length)return!1;if(l){if(!(0,A.startsWithIgnoreCase)(n,r))return!1;if(r.length===n.length)return!0;let h=r.length;return r.charAt(r.length-1)===s&&h--,n.charAt(h)===s}return r.charAt(r.length-1)!==s&&(r+=s),n.indexOf(r)===0}e.isEqualOrParent=I;function S(n){return n>=65&&n<=90||n>=97&&n<=122}e.isWindowsDriveLetter=S;function w(n,r){return v.isWindows&&n.endsWith(":")&&(n+=L.sep),(0,L.isAbsolute)(n)||(n=(0,L.join)(r,n)),n=(0,L.normalize)(n),v.isWindows?(n=(0,A.rtrim)(n,L.sep),n.endsWith(":")&&(n+=L.sep)):(n=(0,A.rtrim)(n,L.sep),n||(n=L.sep)),n}e.sanitizeFilePath=w;function b(n){const r=(0,L.normalize)(n);return v.isWindows?n.length>3?!1:y(r)&&(n.length===2||r.charCodeAt(2)===92):r===L.posix.sep}e.isRootOrDriveLetter=b;function y(n){return v.isWindows?S(n.charCodeAt(0))&&n.charCodeAt(1)===58:!1}e.hasDriveLetter=y;function o(n){return y(n)?n[0]:void 0}e.getDriveLetter=o;function i(n,r,l){return r.length>n.length?-1:n===r?0:(l&&(n=n.toLowerCase(),r=r.toLowerCase()),n.indexOf(r))}e.indexOfPath=i;function t(n){const r=n.split(":");let l,s,c;if(r.forEach(h=>{const d=Number(h);(0,R.isNumber)(d)?s===void 0?s=d:c===void 0&&(c=d):l=l?[l,h].join(":"):h}),!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:s!==void 0?s:void 0,column:c!==void 0?c:s!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(Q[26],Z([0,1,17]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function A(a){if(!a||typeof a!="object"||a instanceof RegExp)return a;const I=Array.isArray(a)?[]:{};return Object.keys(a).forEach(S=>{a[S]&&typeof a[S]=="object"?I[S]=A(a[S]):I[S]=a[S]}),I}e.deepClone=A;function L(a){if(!a||typeof a!="object")return a;const I=[a];for(;I.length>0;){const S=I.shift();Object.freeze(S);for(const w in S)if(R.call(S,w)){const b=S[w];typeof b=="object"&&!Object.isFrozen(b)&&I.push(b)}}return a}e.deepFreeze=L;const R=Object.prototype.hasOwnProperty;function T(a,I){return P(a,I,new Set)}e.cloneAndChange=T;function P(a,I,S){if((0,v.isUndefinedOrNull)(a))return a;const w=I(a);if(typeof w!="undefined")return w;if((0,v.isArray)(a)){const b=[];for(const y of a)b.push(P(y,I,S));return b}if((0,v.isObject)(a)){if(S.has(a))throw new Error("Cannot clone recursive data-structure");S.add(a);const b={};for(let y in a)R.call(a,y)&&(b[y]=P(a[y],I,S));return S.delete(a),b}return a}function g(a,I,S=!0){return(0,v.isObject)(a)?((0,v.isObject)(I)&&Object.keys(I).forEach(w=>{w in a?S&&((0,v.isObject)(a[w])&&(0,v.isObject)(I[w])?g(a[w],I[w],S):a[w]=I[w]):a[w]=I[w]}),a):I}e.mixin=g;function m(a,I){if(a===I)return!0;if(a==null||I===null||I===void 0||typeof a!=typeof I||typeof a!="object"||Array.isArray(a)!==Array.isArray(I))return!1;let S,w;if(Array.isArray(a)){if(a.length!==I.length)return!1;for(S=0;S<a.length;S++)if(!m(a[S],I[S]))return!1}else{const b=[];for(w in a)b.push(w);b.sort();const y=[];for(w in I)y.push(w);if(y.sort(),!m(b,y))return!1;for(S=0;S<b.length;S++)if(!m(a[b[S]],I[b[S]]))return!1}return!0}e.equals=m;function D(a){const I=new Set;return JSON.stringify(a,(S,w)=>{if((0,v.isObject)(w)||Array.isArray(w)){if(I.has(w))return"[Circular]";I.add(w)}return w})}e.safeStringify=D;function f(a,I,S){const w=I(a);return typeof w=="undefined"?S:w}e.getOrDefault=f;function E(a,I){const S=Object.create(null);return!a||!I||Object.keys(I).forEach(b=>{const y=a[b],o=I[b];m(y,o)||(S[b]=o)}),S}e.distinct=E;function C(a,I){const S=I.toLowerCase(),w=Object.keys(a).find(b=>b.toLowerCase()===S);return w?a[w]:a[I]}e.getCaseInsensitive=C}),define(Q[5],Z([0,1,7,8]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const L=/^\w[\w\d+.-]*$/,R=/^\//,T=/^\/\//;function P(r,l){if(!r.scheme&&l)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!L.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!R.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(T.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function g(r,l){return!r&&!l?"file":r}function m(r,l){switch(r){case"https":case"http":case"file":l?l[0]!==f&&(l=f+l):l=f;break}return l}const D="",f="/",E=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class C{constructor(l,s,c,h,d,p=!1){typeof l=="object"?(this.scheme=l.scheme||D,this.authority=l.authority||D,this.path=l.path||D,this.query=l.query||D,this.fragment=l.fragment||D):(this.scheme=g(l,p),this.authority=s||D,this.path=m(this.scheme,c||D),this.query=h||D,this.fragment=d||D,P(this,p))}static isUri(l){return l instanceof C?!0:l?typeof l.authority=="string"&&typeof l.fragment=="string"&&typeof l.path=="string"&&typeof l.query=="string"&&typeof l.scheme=="string"&&typeof l.fsPath=="string"&&typeof l.with=="function"&&typeof l.toString=="function":!1}get fsPath(){return y(this,!1)}with(l){if(!l)return this;let{scheme:s,authority:c,path:h,query:d,fragment:p}=l;return s===void 0?s=this.scheme:s===null&&(s=D),c===void 0?c=this.authority:c===null&&(c=D),h===void 0?h=this.path:h===null&&(h=D),d===void 0?d=this.query:d===null&&(d=D),p===void 0?p=this.fragment:p===null&&(p=D),s===this.scheme&&c===this.authority&&h===this.path&&d===this.query&&p===this.fragment?this:new I(s,c,h,d,p)}static parse(l,s=!1){const c=E.exec(l);return c?new I(c[2]||D,n(c[4]||D),n(c[5]||D),n(c[7]||D),n(c[9]||D),s):new I(D,D,D,D,D)}static file(l){let s=D;if(v.isWindows&&(l=l.replace(/\\/g,f)),l[0]===f&&l[1]===f){const c=l.indexOf(f,2);c===-1?(s=l.substring(2),l=f):(s=l.substring(2,c),l=l.substring(c)||f)}return new I("file",s,l,D,D)}static from(l){return new I(l.scheme,l.authority,l.path,l.query,l.fragment)}static joinPath(l,...s){if(!l.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let c;return v.isWindows&&l.scheme==="file"?c=C.file(A.win32.join(y(l,!0),...s)).path:c=A.posix.join(l.path,...s),l.with({path:c})}toString(l=!1){return o(this,l)}toJSON(){return this}static revive(l){if(l){if(l instanceof C)return l;{const s=new I(l);return s._formatted=l.external,s._fsPath=l._sep===a?l.fsPath:null,s}}else return l}}e.URI=C;const a=v.isWindows?1:void 0;class I extends C{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=y(this,!1)),this._fsPath}toString(l=!1){return l?o(this,!0):(this._formatted||(this._formatted=o(this,!1)),this._formatted)}toJSON(){const l={$mid:1};return this._fsPath&&(l.fsPath=this._fsPath,l._sep=a),this._formatted&&(l.external=this._formatted),this.path&&(l.path=this.path),this.scheme&&(l.scheme=this.scheme),this.authority&&(l.authority=this.authority),this.query&&(l.query=this.query),this.fragment&&(l.fragment=this.fragment),l}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function w(r,l){let s,c=-1;for(let h=0;h<r.length;h++){const d=r.charCodeAt(h);if(d>=97&&d<=122||d>=65&&d<=90||d>=48&&d<=57||d===45||d===46||d===95||d===126||l&&d===47)c!==-1&&(s+=encodeURIComponent(r.substring(c,h)),c=-1),s!==void 0&&(s+=r.charAt(h));else{s===void 0&&(s=r.substr(0,h));const p=S[d];p!==void 0?(c!==-1&&(s+=encodeURIComponent(r.substring(c,h)),c=-1),s+=p):c===-1&&(c=h)}}return c!==-1&&(s+=encodeURIComponent(r.substring(c))),s!==void 0?s:r}function b(r){let l;for(let s=0;s<r.length;s++){const c=r.charCodeAt(s);c===35||c===63?(l===void 0&&(l=r.substr(0,s)),l+=S[c]):l!==void 0&&(l+=r[s])}return l!==void 0?l:r}function y(r,l){let s;return r.authority&&r.path.length>1&&r.scheme==="file"?s=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?l?s=r.path.substr(1):s=r.path[1].toLowerCase()+r.path.substr(2):s=r.path,v.isWindows&&(s=s.replace(/\//g,"\\")),s}e.uriToFsPath=y;function o(r,l){const s=l?b:w;let c="",{scheme:h,authority:d,path:p,query:u,fragment:O}=r;if(h&&(c+=h,c+=":"),(d||h==="file")&&(c+=f,c+=f),d){let _=d.indexOf("@");if(_!==-1){const q=d.substr(0,_);d=d.substr(_+1),_=q.indexOf(":"),_===-1?c+=s(q,!1):(c+=s(q.substr(0,_),!1),c+=":",c+=s(q.substr(_+1),!1)),c+="@"}d=d.toLowerCase(),_=d.indexOf(":"),_===-1?c+=s(d,!1):(c+=s(d.substr(0,_),!1),c+=d.substr(_))}if(p){if(p.length>=3&&p.charCodeAt(0)===47&&p.charCodeAt(2)===58){const _=p.charCodeAt(1);_>=65&&_<=90&&(p=`/${String.fromCharCode(_+32)}:${p.substr(3)}`)}else if(p.length>=2&&p.charCodeAt(1)===58){const _=p.charCodeAt(0);_>=65&&_<=90&&(p=`${String.fromCharCode(_+32)}:${p.substr(2)}`)}c+=s(p,!0)}return u&&(c+="?",c+=s(u,!1)),O&&(c+="#",c+=l?O:w(O,!1)),c}function i(r){try{return decodeURIComponent(r)}catch(l){return r.length>3?r.substr(0,3)+i(r.substr(3)):r}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function n(r){return r.match(t)?r.replace(t,l=>i(l)):r}}),define(Q[88],Z([0,1,5]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function A(m){const D=m;return D&&typeof D.type=="string"&&typeof D.severity=="string"}e.isRemoteConsoleLog=A;function L(m){const D=[];let f;try{const E=JSON.parse(m.arguments),C=E[E.length-1];C&&C.__$stack&&(E.pop(),f=C.__$stack),D.push(...E)}catch(E){D.push("Unable to log remote console arguments",m.arguments)}return{args:D,stack:f}}e.parse=L;function R(m){if(typeof m!="string")return R(L(m).stack);const D=m;if(D){const f=T(D),E=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(f||"");if(E&&E.length===4)return{uri:v.URI.file(E[1]),line:Number(E[2]),column:Number(E[3])}}}e.getFirstFrame=R;function T(m){if(!m)return m;const D=m.indexOf(`
`);return D===-1?m:m.substring(0,D)}function P(m,D){const{args:f,stack:E}=L(m),C=typeof f[0]=="string"&&f.length===1;let a=T(E);a&&(a=`(${a.trim()})`);let I=[];if(typeof f[0]=="string"?a&&C?I=[`%c[${D}] %c${f[0]} %c${a}`,g("blue"),g(""),g("grey")]:I=[`%c[${D}] %c${f[0]}`,g("blue"),g(""),...f.slice(1)]:I=[`%c[${D}]%`,g("blue"),...f],a&&!C&&I.push(a),typeof console[m.severity]!="function")throw new Error("Unknown console method");console[m.severity].apply(console,I)}e.log=P;function g(m){return`color: ${m}`}}),define(Q[36],Z([0,1,5,21]),function(G,e,v,A){"use strict";var L,R;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function T(o,i,t){let n=o.get(i);return n===void 0&&(n=t,o.set(i,n)),n}e.getOrSet=T;function P(o){const i=[];return o.forEach((t,n)=>{i.push(`${n} => ${t}`)}),`Map(${o.size}) {${i.join(", ")}}`}e.mapToString=P;function g(o){const i=[];return o.forEach(t=>{i.push(t)}),`Set(${o.size}) {${i.join(", ")}}`}e.setToString=g;class m{constructor(){this._value="",this._pos=0}reset(i){return this._value=i,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(i){const t=i.charCodeAt(0),n=this._value.charCodeAt(this._pos);return t-n}value(){return this._value[this._pos]}}e.StringIterator=m;class D{constructor(i=!0){this._caseSensitive=i}reset(i){return this._value=i,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(i)this._from++;else break;else i=!1;return this}cmp(i){return this._caseSensitive?(0,A.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,A.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=D;class f{constructor(i=!0,t=!0){this._splitOnBackslash=i,this._caseSensitive=t}reset(i){return this._value=i.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(t===47||this._splitOnBackslash&&t===92)if(i)this._from++;else break;else i=!1}return this}cmp(i){return this._caseSensitive?(0,A.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,A.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=f;var E;(function(o){o[o.Scheme=1]="Scheme",o[o.Authority=2]="Authority",o[o.Path=3]="Path",o[o.Query=4]="Query",o[o.Fragment=5]="Fragment"})(E||(E={}));class C{constructor(i){this._ignorePathCasing=i,this._states=[],this._stateIdx=0}reset(i){return this._value=i,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new f(!1,!this._ignorePathCasing(i)),this._pathIterator.reset(i.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(i){if(this._states[this._stateIdx]===1)return(0,A.compareIgnoreCase)(i,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,A.compareIgnoreCase)(i,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(i);if(this._states[this._stateIdx]===4)return(0,A.compare)(i,this._value.query);if(this._states[this._stateIdx]===5)return(0,A.compare)(i,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=C;class a{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class I{constructor(i){this._iter=i}static forUris(i=()=>!1){return new I(new C(i))}static forPaths(){return new I(new f)}static forStrings(){return new I(new m)}static forConfigKeys(){return new I(new D)}clear(){this._root=void 0}set(i,t){const n=this._iter.reset(i);let r;for(this._root||(this._root=new a,this._root.segment=n.value()),r=this._root;;){const s=n.cmp(r.segment);if(s>0)r.left||(r.left=new a,r.left.segment=n.value()),r=r.left;else if(s<0)r.right||(r.right=new a,r.right.segment=n.value()),r=r.right;else if(n.hasNext())n.next(),r.mid||(r.mid=new a,r.mid.segment=n.value()),r=r.mid;else break}const l=r.value;return r.value=t,r.key=i,l}get(i){var t;return(t=this._getNode(i))===null||t===void 0?void 0:t.value}_getNode(i){const t=this._iter.reset(i);let n=this._root;for(;n;){const r=t.cmp(n.segment);if(r>0)n=n.left;else if(r<0)n=n.right;else if(t.hasNext())t.next(),n=n.mid;else break}return n}has(i){const t=this._getNode(i);return!((t==null?void 0:t.value)===void 0&&(t==null?void 0:t.mid)===void 0)}delete(i){return this._delete(i,!1)}deleteSuperstr(i){return this._delete(i,!0)}_delete(i,t){const n=this._iter.reset(i),r=[];let l=this._root;for(;l;){const s=n.cmp(l.segment);if(s>0)r.push([1,l]),l=l.left;else if(s<0)r.push([-1,l]),l=l.right;else if(n.hasNext())n.next(),r.push([0,l]),l=l.mid;else{for(t?(l.left=void 0,l.mid=void 0,l.right=void 0):l.value=void 0;r.length>0&&l.isEmpty();){let[c,h]=r.pop();switch(c){case 1:h.left=void 0;break;case 0:h.mid=void 0;break;case-1:h.right=void 0;break}l=h}break}}}findSubstr(i){const t=this._iter.reset(i);let n=this._root,r;for(;n;){const l=t.cmp(n.segment);if(l>0)n=n.left;else if(l<0)n=n.right;else if(t.hasNext())t.next(),r=n.value||r,n=n.mid;else break}return n&&n.value||r}findSuperstr(i){const t=this._iter.reset(i);let n=this._root;for(;n;){const r=t.cmp(n.segment);if(r>0)n=n.left;else if(r<0)n=n.right;else if(t.hasNext())t.next(),n=n.mid;else return n.mid?this._entries(n.mid):void 0}}forEach(i){for(const[t,n]of this)i(n,t)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(i){i&&(yield*this._entries(i.left),i.value&&(yield[i.key,i.value]),yield*this._entries(i.mid),yield*this._entries(i.right))}}e.TernarySearchTree=I;class S{constructor(i,t){this[L]="ResourceMap",i instanceof S?(this.map=new Map(i.map),this.toKey=t!=null?t:S.defaultToKey):(this.map=new Map,this.toKey=i!=null?i:S.defaultToKey)}set(i,t){return this.map.set(this.toKey(i),t),this}get(i){return this.map.get(this.toKey(i))}has(i){return this.map.has(this.toKey(i))}get size(){return this.map.size}clear(){this.map.clear()}delete(i){return this.map.delete(this.toKey(i))}forEach(i,t){typeof t!="undefined"&&(i=i.bind(t));for(let[n,r]of this.map)i(r,v.URI.parse(n),this)}values(){return this.map.values()}*keys(){for(let i of this.map.keys())yield v.URI.parse(i)}*entries(){for(let i of this.map.entries())yield[v.URI.parse(i[0]),i[1]]}*[(L=Symbol.toStringTag,Symbol.iterator)](){for(let i of this.map)yield[v.URI.parse(i[0]),i[1]]}}e.ResourceMap=S,S.defaultToKey=o=>o.toString();var w;(function(o){o[o.None=0]="None",o[o.AsOld=1]="AsOld",o[o.AsNew=2]="AsNew"})(w=e.Touch||(e.Touch={}));class b{constructor(){this[R]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var i;return(i=this._head)===null||i===void 0?void 0:i.value}get last(){var i;return(i=this._tail)===null||i===void 0?void 0:i.value}has(i){return this._map.has(i)}get(i,t=0){const n=this._map.get(i);if(!!n)return t!==0&&this.touch(n,t),n.value}set(i,t,n=0){let r=this._map.get(i);if(r)r.value=t,n!==0&&this.touch(r,n);else{switch(r={key:i,value:t,next:void 0,previous:void 0},n){case 0:this.addItemLast(r);break;case 1:this.addItemFirst(r);break;case 2:this.addItemLast(r);break;default:this.addItemLast(r);break}this._map.set(i,r),this._size++}return this}delete(i){return!!this.remove(i)}remove(i){const t=this._map.get(i);if(!!t)return this._map.delete(i),this.removeItem(t),this._size--,t.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const i=this._head;return this._map.delete(i.key),this.removeItem(i),this._size--,i.value}}forEach(i,t){const n=this._state;let r=this._head;for(;r;){if(t?i.bind(t)(r.value,r.key,this):i(r.value,r.key,this),this._state!==n)throw new Error("LinkedMap got modified during iteration.");r=r.next}}keys(){const i=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(i._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const l={value:n.key,done:!1};return n=n.next,l}else return{value:void 0,done:!0}}};return r}values(){const i=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(i._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const l={value:n.value,done:!1};return n=n.next,l}else return{value:void 0,done:!0}}};return r}entries(){const i=this,t=this._state;let n=this._head;const r={[Symbol.iterator](){return r},next(){if(i._state!==t)throw new Error("LinkedMap got modified during iteration.");if(n){const l={value:[n.key,n.value],done:!1};return n=n.next,l}else return{value:void 0,done:!0}}};return r}[(R=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(i){if(!(i>=this.size)){if(i===0){this.clear();return}let t=this._head,n=this.size;for(;t&&n>i;)this._map.delete(t.key),t=t.next,n--;this._head=t,this._size=n,t&&(t.previous=void 0),this._state++}}addItemFirst(i){if(!this._head&&!this._tail)this._tail=i;else if(this._head)i.next=this._head,this._head.previous=i;else throw new Error("Invalid list");this._head=i,this._state++}addItemLast(i){if(!this._head&&!this._tail)this._head=i;else if(this._tail)i.previous=this._tail,this._tail.next=i;else throw new Error("Invalid list");this._tail=i,this._state++}removeItem(i){if(i===this._head&&i===this._tail)this._head=void 0,this._tail=void 0;else if(i===this._head){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this._head=i.next}else if(i===this._tail){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this._tail=i.previous}else{const t=i.next,n=i.previous;if(!t||!n)throw new Error("Invalid list");t.previous=n,n.next=t}i.next=void 0,i.previous=void 0,this._state++}touch(i,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(t!==1&&t!==2)){if(t===1){if(i===this._head)return;const n=i.next,r=i.previous;i===this._tail?(r.next=void 0,this._tail=r):(n.previous=r,r.next=n),i.previous=void 0,i.next=this._head,this._head.previous=i,this._head=i,this._state++}else if(t===2){if(i===this._tail)return;const n=i.next,r=i.previous;i===this._head?(n.previous=void 0,this._head=n):(n.previous=r,r.next=n),i.next=void 0,i.previous=this._tail,this._tail.next=i,this._tail=i,this._state++}}}toJSON(){const i=[];return this.forEach((t,n)=>{i.push([n,t])}),i}fromJSON(i){this.clear();for(const[t,n]of i)this.set(t,n)}}e.LinkedMap=b;class y extends b{constructor(i,t=1){super();this._limit=i,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(i){this._limit=i,this.checkTrim()}get ratio(){return this._ratio}set ratio(i){this._ratio=Math.min(Math.max(0,i),1),this.checkTrim()}get(i,t=2){return super.get(i,t)}peek(i){return super.get(i,0)}set(i,t){return super.set(i,t,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=y}),define(Q[89],Z([0,1,22,21,5]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function R(m){return JSON.stringify(m,P)}e.stringify=R;function T(m){let D=JSON.parse(m);return D=g(D),D}e.parse=T;function P(m,D){return D instanceof RegExp?{$mid:2,source:D.source,flags:(0,A.regExpFlags)(D)}:D}function g(m,D=0){if(!m||D>200)return m;if(typeof m=="object"){switch(m.$mid){case 1:return L.URI.revive(m);case 2:return new RegExp(m.source,m.flags)}if(m instanceof v.VSBuffer||m instanceof Uint8Array)return m;if(Array.isArray(m))for(let f=0;f<m.length;++f)m[f]=g(m[f],D+1);else for(const f in m)Object.hasOwnProperty.call(m,f)&&(m[f]=g(m[f],D+1))}return m}e.revive=g}),define(Q[16],Z([0,1,5,7]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var L;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.userData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.vscodeWebviewResource="vscode-webview-resource",P.extension="extension",P.vscodeFileResource="vscode-file"})(L=e.Schemas||(e.Schemas={}));class R{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(g){this._preferredWebSchema=g}setDelegate(g){this._delegate=g}set(g,m,D){this._hosts[g]=m,this._ports[g]=D}setConnectionToken(g,m){this._connectionTokens[g]=m}rewrite(g){if(this._delegate)return this._delegate(g);const m=g.authority;let D=this._hosts[m];D&&D.indexOf(":")!==-1&&(D=`[${D}]`);const f=this._ports[m],E=this._connectionTokens[m];let C=`path=${encodeURIComponent(g.path)}`;return typeof E=="string"&&(C+=`&tkn=${encodeURIComponent(E)}`),v.URI.from({scheme:A.isWeb?this._preferredWebSchema:L.vscodeRemoteResource,authority:`${D}:${f}`,path:"/vscode-remote-resource",query:C})}}e.RemoteAuthorities=new R;class T{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(g,m,D){const f=this.toUri(g,m);return f.scheme===L.vscodeRemote?e.RemoteAuthorities.rewrite(f):A.isNative&&(D||A.isPreferringBrowserCodeLoad)&&f.scheme===L.file?f.with({scheme:L.vscodeFileResource,authority:f.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):f}asFileUri(g,m){const D=this.toUri(g,m);return D.scheme===L.vscodeFileResource?D.with({scheme:L.file,authority:D.authority!==this.FALLBACK_AUTHORITY?D.authority:null,query:null,fragment:null}):D}toUri(g,m){return v.URI.isUri(g)?g:v.URI.parse(m.toUrl(g))}}e.FileAccess=new T}),define(Q[65],Z([0,1,36]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const A=new v.LRUCache(1e4);function L(m){return g(m,"NFC",A)}e.normalizeNFC=L;const R=new v.LRUCache(1e4);function T(m){return g(m,"NFD",R)}e.normalizeNFD=T;const P=/[^\u0000-\u0080]/;function g(m,D,f){if(!e.canNormalize||!m)return m;const E=f.get(m);if(E)return E;let C;return P.test(m)?C=m.normalize(D):C=m,f.set(m,C),C}e.removeAccents=function(){if(e.canNormalize){const m=/[\u0300-\u036f]/g;return function(D){return T(D).replace(m,"")}}else return function(m){return m}}()}),define(Q[11],Z([0,1,42,8,5,21,16,7]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function g(C){return(0,L.uriToFsPath)(C,!0)}e.originalFSPath=g;class m{constructor(a){this._ignorePathCasing=a}compare(a,I,S=!1){return a===I?0:(0,R.compare)(this.getComparisonKey(a,S),this.getComparisonKey(I,S))}isEqual(a,I,S=!1){return a===I?!0:!a||!I?!1:this.getComparisonKey(a,S)===this.getComparisonKey(I,S)}getComparisonKey(a,I=!1){return a.with({path:this._ignorePathCasing(a)?a.path.toLowerCase():void 0,fragment:I?null:void 0}).toString()}ignorePathCasing(a){return this._ignorePathCasing(a)}isEqualOrParent(a,I,S=!1){if(a.scheme===I.scheme){if(a.scheme===T.Schemas.file)return v.isEqualOrParent(g(a),g(I),this._ignorePathCasing(a))&&a.query===I.query&&(S||a.fragment===I.fragment);if((0,e.isEqualAuthority)(a.authority,I.authority))return v.isEqualOrParent(a.path,I.path,this._ignorePathCasing(a),"/")&&a.query===I.query&&(S||a.fragment===I.fragment)}return!1}joinPath(a,...I){return L.URI.joinPath(a,...I)}basenameOrAuthority(a){return(0,e.basename)(a)||a.authority}basename(a){return A.posix.basename(a.path)}extname(a){return A.posix.extname(a.path)}dirname(a){if(a.path.length===0)return a;let I;return a.scheme===T.Schemas.file?I=L.URI.file(A.dirname(g(a))).path:(I=A.posix.dirname(a.path),a.authority&&I.length&&I.charCodeAt(0)!==47&&(console.error(`dirname("${a.toString})) resulted in a relative path`),I="/")),a.with({path:I})}normalizePath(a){if(!a.path.length)return a;let I;return a.scheme===T.Schemas.file?I=L.URI.file(A.normalize(g(a))).path:I=A.posix.normalize(a.path),a.with({path:I})}relativePath(a,I){if(!(a.scheme!==I.scheme||!(0,e.isEqualAuthority)(a.authority,I.authority))){if(a.scheme===T.Schemas.file){const b=A.relative(g(a),g(I));return P.isWindows?v.toSlashes(b):b}let S=a.path||"/",w=I.path||"/";if(this._ignorePathCasing(a)){let b=0;for(const y=Math.min(S.length,w.length);b<y&&!(S.charCodeAt(b)!==w.charCodeAt(b)&&S.charAt(b).toLowerCase()!==w.charAt(b).toLowerCase());b++);S=w.substr(0,b)+S.substr(b)}return A.posix.relative(S,w)}}resolvePath(a,I){if(a.scheme===T.Schemas.file){const S=L.URI.file(A.resolve(g(a),I));return a.with({authority:S.authority,path:S.path})}return I.indexOf("/")===-1&&(I=v.toSlashes(I),/^[a-zA-Z]:(\/|$)/.test(I)&&(I="/"+I)),a.with({path:A.posix.resolve(a.path,I)})}isAbsolutePath(a){return!!a.path&&a.path[0]==="/"}isEqualAuthority(a,I){return a===I||(0,R.equalsIgnoreCase)(a,I)}hasTrailingPathSeparator(a,I=A.sep){if(a.scheme===T.Schemas.file){const S=g(a);return S.length>v.getRoot(S).length&&S[S.length-1]===I}else{const S=a.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(a.fsPath)}}removeTrailingPathSeparator(a,I=A.sep){return(0,e.hasTrailingPathSeparator)(a,I)?a.with({path:a.path.substr(0,a.path.length-1)}):a}addTrailingPathSeparator(a,I=A.sep){let S=!1;if(a.scheme===T.Schemas.file){const w=g(a);S=w!==void 0&&w.length===v.getRoot(w).length&&w[w.length-1]===I}else{I="/";const w=a.path;S=w.length===1&&w.charCodeAt(w.length-1)===47}return!S&&!(0,e.hasTrailingPathSeparator)(a,I)?a.with({path:a.path+"/"}):a}}e.ExtUri=m,e.extUri=new m(()=>!1),e.extUriBiasedIgnorePathCase=new m(C=>C.scheme===T.Schemas.file?!P.isLinux:!0),e.extUriIgnorePathCase=new m(C=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function D(C,a){const I=[];for(let S=0;S<C.length;S++){const w=a(C[S]);C.some((b,y)=>y===S?!1:(0,e.isEqualOrParent)(w,a(b)))||I.push(C[S])}return I}e.distinctParents=D;var f;(function(C){C.META_DATA_LABEL="label",C.META_DATA_DESCRIPTION="description",C.META_DATA_SIZE="size",C.META_DATA_MIME="mime";function a(I){const S=new Map;I.path.substring(I.path.indexOf(";")+1,I.path.lastIndexOf(";")).split(";").forEach(y=>{const[o,i]=y.split(":");o&&i&&S.set(o,i)});const b=I.path.substring(0,I.path.indexOf(";"));return b&&S.set(C.META_DATA_MIME,b),S}C.parseMetaData=a})(f=e.DataUri||(e.DataUri={}));function E(C,a,I){if(a){let S=C.path;return S&&S[0]!==A.posix.sep&&(S=A.posix.sep+S),C.with({scheme:I,authority:a,path:S})}return C.with({scheme:I})}e.toLocalResource=E}),define(Q[6],Z([0,1,30,15,3,2,64,11]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function g(F){return!!F&&typeof F.then=="function"}e.isThenable=g;function m(F){const k=new v.CancellationTokenSource,U=F(k.token),N=new Promise((z,H)=>{k.token.onCancellationRequested(()=>{H((0,A.canceled)())}),Promise.resolve(U).then(K=>{k.dispose(),z(K)},K=>{k.dispose(),H(K)})});return new class{cancel(){k.cancel()}then(z,H){return N.then(z,H)}catch(z){return this.then(void 0,z)}finally(z){return N.finally(z)}}}e.createCancelablePromise=m;function D(F,k,U){return Promise.race([F,new Promise(N=>k.onCancellationRequested(()=>N(U)))])}e.raceCancellation=D;async function f(F){let k=-1;const U=F.map((z,H)=>z.then(K=>(k=H,K))),N=await Promise.race(U);return F.forEach((z,H)=>{H!==k&&z.cancel()}),N}e.raceCancellablePromises=f;function E(F,k,U){let N;const z=setTimeout(()=>{N==null||N(void 0),U==null||U()},k);return Promise.race([F.finally(()=>clearTimeout(z)),new Promise(H=>N=H)])}e.raceTimeout=E;function C(F){return new Promise((k,U)=>{const N=F();g(N)?N.then(k,U):k(N)})}e.asPromise=C;class a{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(k){if(this.activePromise){if(this.queuedPromiseFactory=k,!this.queuedPromise){const U=()=>{this.queuedPromise=null;const N=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,N};this.queuedPromise=new Promise(N=>{this.activePromise.then(U,U).then(N)})}return new Promise((U,N)=>{this.queuedPromise.then(U,N)})}return this.activePromise=k(),new Promise((U,N)=>{this.activePromise.then(z=>{this.activePromise=null,U(z)},z=>{this.activePromise=null,N(z)})})}}e.Throttler=a;class I{constructor(){this.current=Promise.resolve(null)}queue(k){return this.current=this.current.then(()=>k(),()=>k())}}e.Sequencer=I;class S{constructor(){this.promiseMap=new Map}queue(k,U){var N;const H=((N=this.promiseMap.get(k))!==null&&N!==void 0?N:Promise.resolve()).catch(()=>{}).then(U).finally(()=>{this.promiseMap.get(k)===H&&this.promiseMap.delete(k)});return this.promiseMap.set(k,H),H}}e.SequencerByKey=S;class w{constructor(k){this.defaultDelay=k,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(k,U=this.defaultDelay){return this.task=k,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((N,z)=>{this.doResolve=N,this.doReject=z}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const N=this.task;return this.task=null,N()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},U),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,A.canceled)()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=w;class b{constructor(k){this.delayer=new w(k),this.throttler=new a}trigger(k,U){return this.delayer.trigger(()=>this.throttler.queue(k),U)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=b;class y{constructor(){this._isOpen=!1,this._promise=new Promise((k,U)=>{this._completePromise=k})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=y;class o extends y{constructor(k){super();this._timeout=setTimeout(()=>this.open(),k)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=o;function i(F,k){return k?new Promise((U,N)=>{const z=setTimeout(U,F);k.onCancellationRequested(()=>{clearTimeout(z),N((0,A.canceled)())})}):m(U=>i(F,U))}e.timeout=i;function t(F,k=0){const U=setTimeout(F,k);return(0,R.toDisposable)(()=>clearTimeout(U))}e.disposableTimeout=t;function n(F){return F.then(void 0,k=>{})}e.ignoreErrors=n;function r(F){const k=[];let U=0;const N=F.length;function z(){return U<N?F[U++]():null}function H(K){K!=null&&k.push(K);const te=z();return te?te.then(H):Promise.resolve(k)}return Promise.resolve(null).then(H)}e.sequence=r;function l(F,k=N=>!!N,U=null){let N=0;const z=F.length,H=()=>{if(N>=z)return Promise.resolve(U);const K=F[N++];return Promise.resolve(K()).then(X=>k(X)?Promise.resolve(X):H())};return H()}e.first=l;function s(F,k=N=>!!N,U=null){if(F.length===0)return Promise.resolve(U);let N=F.length;const z=()=>{var H,K;N=-1;for(const te of F)(K=(H=te).cancel)===null||K===void 0||K.call(H)};return new Promise((H,K)=>{for(const te of F)te.then(X=>{--N>=0&&k(X)?(z(),H(X)):N===0&&H(U)}).catch(X=>{--N>=0&&(z(),K(X))})})}e.firstParallel=s;class c{constructor(k){this._size=0,this.maxDegreeOfParalellism=k,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new L.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(k){return this._size++,new Promise((U,N)=>{this.outstandingPromises.push({factory:k,c:U,e:N}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const k=this.outstandingPromises.shift();this.runningPromises++;const U=k.factory();U.then(k.c,k.e),U.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=c;class h extends c{constructor(){super(1)}}e.Queue=h;class d{constructor(){this.queues=new Map}queueFor(k,U=P.extUri){const N=U.getComparisonKey(k);let z=this.queues.get(N);return z||(z=new h,L.Event.once(z.onFinished)(()=>{z==null||z.dispose(),this.queues.delete(N)}),this.queues.set(N,z)),z}dispose(){this.queues.forEach(k=>k.dispose()),this.queues.clear()}}e.ResourceQueue=d;class p{constructor(k,U){this._token=-1,typeof k=="function"&&typeof U=="number"&&this.setIfNotSet(k,U)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(k,U){this.cancel(),this._token=setTimeout(()=>{this._token=-1,k()},U)}setIfNotSet(k,U){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,k()},U))}}e.TimeoutTimer=p;class u{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(k,U){this.cancel(),this._token=setInterval(()=>{k()},U)}}e.IntervalTimer=u;class O{constructor(k,U){this.timeoutToken=-1,this.runner=k,this.timeout=U,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(k=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,k)}get delay(){return this.timeout}set delay(k){this.timeout=k}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=O;class _ extends O{constructor(k,U){super(k,U);this.units=[]}work(k){this.units.push(k),this.isScheduled()||this.schedule()}doRun(){const k=this.units;this.units=[],this.runner&&this.runner(k)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=_,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const F=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=k=>{const U=setTimeout(()=>k(F));let N=!1;return{dispose(){N||(N=!0,clearTimeout(U))}}}}else e.runWhenIdle=(F,k)=>{const U=requestIdleCallback(F,typeof k=="number"?{timeout:k}:void 0);let N=!1;return{dispose(){N||(N=!0,cancelIdleCallback(U))}}}}();class q{constructor(k){this._didRun=!1,this._executor=()=>{try{this._value=k()}catch(U){this._error=U}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=q;async function x(F,k,U){let N;for(let z=0;z<U;z++)try{return await F()}catch(H){N=H,await i(k)}throw N}e.retry=x;class j{hasPending(k){return this._pending?typeof k=="number"?this._pending.taskId===k:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var k;(k=this._pending)===null||k===void 0||k.cancel()}setPending(k,U,N){return this._pending={taskId:k,cancel:()=>N==null?void 0:N(),promise:U},U.then(()=>this.donePending(k),()=>this.donePending(k)),U}donePending(k){this._pending&&k===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const k=this._next;this._next=void 0,k.run().then(k.promiseResolve,k.promiseReject)}}setNext(k){if(this._next)this._next.run=k;else{let U,N;const z=new Promise((H,K)=>{U=H,N=K});this._next={run:k,promise:z,promiseResolve:U,promiseReject:N}}return this._next.promise}}e.TaskSequentializer=j;class ${constructor(k){this.interval=k,this.lastIncrementTime=0,this.value=0}increment(){const k=Date.now();return k-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=k,this.value=0),this.value++,this.value}}e.IntervalCounter=$;class W{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((k,U)=>{this.completeCallback=k,this.errorCallback=U})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(k){return new Promise(U=>{this.completeCallback(k),this.resolved=!0,U()})}error(k){return new Promise(U=>{this.errorCallback(k),this.rejected=!0,U()})}cancel(){new Promise(k=>{this.errorCallback((0,A.canceled)()),this.rejected=!0,k()})}}e.DeferredPromise=W;class B extends L.Emitter{async fireAsync(k,U,N){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new T.LinkedList);for(const z of this._listeners)this._asyncDeliveryQueue.push([z,k]);for(;this._asyncDeliveryQueue.size>0&&!U.isCancellationRequested;){const[z,H]=this._asyncDeliveryQueue.shift(),K=[],te=Object.assign(Object.assign({},H),{waitUntil:X=>{if(Object.isFrozen(K))throw new Error("waitUntil can NOT be called asynchronous");N&&(X=N(X,typeof z=="function"?z:z[0])),K.push(X)}});try{typeof z=="function"?z.call(void 0,te):z[0].call(z[1],te)}catch(X){(0,A.onUnexpectedError)(X);continue}Object.freeze(K),await M.settled(K).catch(X=>(0,A.onUnexpectedError)(X))}}}}e.AsyncEmitter=B;var M;(function(F){async function k(H){return typeof Promise.allSettled=="function"?U(H):N(H)}F.allSettled=k;async function U(H){return Promise.allSettled(H)}async function N(H){return Promise.all(H.map(K=>K.then(te=>({status:"fulfilled",value:te}),te=>({status:"rejected",reason:te}))))}async function z(H){let K;const te=await Promise.all(H.map(X=>X.then(ie=>ie,ie=>{K||(K=ie)})));if(typeof K!="undefined")throw K;return te}F.settled=z})(M=e.Promises||(e.Promises={}))}),define(Q[90],Z([0,1,21,42,8,36,6]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function P(){return Object.create(null)}e.getEmptyExpression=P;const g="**",m="/",D="[/\\\\]",f="[^/\\\\]",E=/\//g;function C(U){switch(U){case 0:return"";case 1:return`${f}*?`;default:return`(?:${D}|${f}+${D}|${D}${f}+)*?`}}function a(U,N){if(!U)return[];const z=[];let H=!1,K=!1,te="";for(const X of U){switch(X){case N:if(!H&&!K){z.push(te),te="";continue}break;case"{":H=!0;break;case"}":H=!1;break;case"[":K=!0;break;case"]":K=!1;break}te+=X}return te&&z.push(te),z}e.splitGlobAware=a;function I(U){if(!U)return"";let N="";const z=a(U,m);if(z.every(H=>H===g))N=".*";else{let H=!1;z.forEach((K,te)=>{if(K===g){H||(N+=C(2),H=!0);return}let X=!1,ie="",se=!1,ce="";for(const he of K){if(he!=="}"&&X){ie+=he;continue}if(se&&(he!=="]"||!ce)){let me;he==="-"?me=he:(he==="^"||he==="!")&&!ce?me="^":he===m?me="":me=v.escapeRegExpCharacters(he),ce+=me;continue}switch(he){case"{":X=!0;continue;case"[":se=!0;continue;case"}":N+=`(?:${a(ie,",").map(Ie=>I(Ie)).join("|")})`,X=!1,ie="";break;case"]":N+="["+ce+"]",se=!1,ce="";break;case"?":N+=f;continue;case"*":N+=C(1);continue;default:N+=v.escapeRegExpCharacters(he)}}te<z.length-1&&(z[te+1]!==g||te+2<z.length)&&(N+=D),H=!1})}return N}const S=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,b=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,y=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,o=/^\*\*((\/[\w\.-]+)+)\/?$/,i=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new R.LRUCache(1e4),n=function(){return!1},r=function(){return null};function l(U,N){if(!U)return r;let z;typeof U!="string"?z=U.pattern:z=U,z=z.trim();const H=`${z}_${!!N.trimForExclusions}`;let K=t.get(H);if(K)return s(K,U);let te;if(S.test(z)){const X=z.substr(4);K=function(ie,se){return typeof ie=="string"&&ie.endsWith(X)?z:null}}else(te=w.exec(c(z,N)))?K=h(te[1],z):(N.trimForExclusions?y:b).test(z)?K=d(z,N):(te=o.exec(c(z,N)))?K=p(te[1].substr(1),z,!0):(te=i.exec(c(z,N)))?K=p(te[1],z,!1):K=u(z);return t.set(H,K),s(K,U)}function s(U,N){return typeof N=="string"?U:function(z,H){return A.isEqualOrParent(z,N.base)?U(L.relative(N.base,z),H):null}}function c(U,N){return N.trimForExclusions&&U.endsWith("/**")?U.substr(0,U.length-2):U}function h(U,N){const z=`/${U}`,H=`\\${U}`,K=function(X,ie){return typeof X!="string"?null:ie?ie===U?N:null:X===U||X.endsWith(z)||X.endsWith(H)?N:null},te=[U];return K.basenames=te,K.patterns=[N],K.allBasenames=te,K}function d(U,N){const z=k(U.slice(1,-1).split(",").map(ie=>l(ie,N)).filter(ie=>ie!==r),U),H=z.length;if(!H)return r;if(H===1)return z[0];const K=function(ie,se){for(let ce=0,he=z.length;ce<he;ce++)if(z[ce](ie,se))return U;return null},te=z.find(ie=>!!ie.allBasenames);te&&(K.allBasenames=te.allBasenames);const X=z.reduce((ie,se)=>se.allPaths?ie.concat(se.allPaths):ie,[]);return X.length&&(K.allPaths=X),K}function p(U,N,z){const H=L.sep===L.posix.sep,K=H?U:U.replace(E,L.sep),te=L.sep+K,X=L.posix.sep+U,ie=z?function(se,ce){return typeof se=="string"&&(se===K||se.endsWith(te)||!H&&(se===U||se.endsWith(X)))?N:null}:function(se,ce){return typeof se=="string"&&(se===K||!H&&se===U)?N:null};return ie.allPaths=[(z?"*/":"./")+U],ie}function u(U){try{const N=new RegExp(`^${I(U)}$`);return function(z){return N.lastIndex=0,typeof z=="string"&&N.test(z)?U:null}}catch(N){return r}}function O(U,N,z){return!U||typeof N!="string"?!1:_(U)(N,void 0,z)}e.match=O;function _(U,N={}){if(!U)return n;if(typeof U=="string"||$(U)){const z=l(U,N);if(z===r)return n;const H=function(K,te){return!!z(K,te)};return z.allBasenames&&(H.allBasenames=z.allBasenames),z.allPaths&&(H.allPaths=z.allPaths),H}return M(U,N)}e.parse=_;function q(U){if(!!U){let N;return z=>(N||(N=(U()||Promise.resolve([])).then(H=>H?j(H):{})),N.then(H=>!!H[z]))}}e.hasSiblingPromiseFn=q;function x(U){if(!!U){let N;return z=>{if(!N){const H=U();N=H?j(H):{}}return!!N[z]}}}e.hasSiblingFn=x;function j(U){const N={};for(const z of U)N[z]=!0;return N}function $(U){const N=U;return N&&typeof N.base=="string"&&typeof N.pattern=="string"}e.isRelativePattern=$;function W(U){return U.allBasenames||[]}e.getBasenameTerms=W;function B(U){return U.allPaths||[]}e.getPathTerms=B;function M(U,N){const z=k(Object.getOwnPropertyNames(U).map(ie=>F(ie,U[ie],N)).filter(ie=>ie!==r)),H=z.length;if(!H)return r;if(!z.some(ie=>!!ie.requiresSiblings)){if(H===1)return z[0];const ie=function(he,me){for(let we=0,Ie=z.length;we<Ie;we++){const ke=z[we](he,me);if(ke)return ke}return null},se=z.find(he=>!!he.allBasenames);se&&(ie.allBasenames=se.allBasenames);const ce=z.reduce((he,me)=>me.allPaths?he.concat(me.allPaths):he,[]);return ce.length&&(ie.allPaths=ce),ie}const K=function(ie,se,ce){let he;for(let me=0,we=z.length;me<we;me++){const Ie=z[me];Ie.requiresSiblings&&ce&&(se||(se=L.basename(ie)),he||(he=se.substr(0,se.length-L.extname(ie).length)));const ke=Ie(ie,se,he,ce);if(ke)return ke}return null},te=z.find(ie=>!!ie.allBasenames);te&&(K.allBasenames=te.allBasenames);const X=z.reduce((ie,se)=>se.allPaths?ie.concat(se.allPaths):ie,[]);return X.length&&(K.allPaths=X),K}function F(U,N,z){if(N===!1)return r;const H=l(U,z);if(H===r)return r;if(typeof N=="boolean")return H;if(N){const K=N.when;if(typeof K=="string"){const te=(X,ie,se,ce)=>{if(!ce||!H(X,ie))return null;const he=K.replace("$(basename)",se),me=ce(he);return(0,T.isThenable)(me)?me.then(we=>we?U:null):me?U:null};return te.requiresSiblings=!0,te}}return H}function k(U,N){const z=U.filter(ie=>!!ie.basenames);if(z.length<2)return U;const H=z.reduce((ie,se)=>{const ce=se.basenames;return ce?ie.concat(ce):ie},[]);let K;if(N){K=[];for(let ie=0,se=H.length;ie<se;ie++)K.push(N)}else K=z.reduce((ie,se)=>{const ce=se.patterns;return ce?ie.concat(ce):ie},[]);const te=function(ie,se){if(typeof ie!="string")return null;if(!se){let he;for(he=ie.length;he>0;he--){const me=ie.charCodeAt(he-1);if(me===47||me===92)break}se=ie.substr(he)}const ce=H.indexOf(se);return ce!==-1?K[ce]:null};te.basenames=H,te.patterns=K,te.allBasenames=H;const X=U.filter(ie=>!ie.basenames);return X.push(te),X}}),define(Q[91],Z([0,1,5]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function A(D){return D.toJSON()}class L{constructor(f){this._uriTransformer=f}transformIncoming(f){const E=this._uriTransformer.transformIncoming(f);return E===f?f:A(v.URI.from(E))}transformOutgoing(f){const E=this._uriTransformer.transformOutgoing(f);return E===f?f:A(v.URI.from(E))}transformOutgoingURI(f){const E=this._uriTransformer.transformOutgoing(f);return E===f?f:v.URI.from(E)}transformOutgoingScheme(f){return this._uriTransformer.transformOutgoingScheme(f)}}e.URITransformer=L,e.DefaultURITransformer=new class{transformIncoming(D){return D}transformOutgoing(D){return D}transformOutgoingURI(D){return D}transformOutgoingScheme(D){return D}};function R(D,f,E){if(!D||E>200)return null;if(typeof D=="object"){if(D instanceof v.URI)return f.transformOutgoing(D);for(let C in D)if(Object.hasOwnProperty.call(D,C)){const a=R(D[C],f,E+1);a!==null&&(D[C]=a)}}return null}function T(D,f){const E=R(D,f,0);return E===null?D:E}e.transformOutgoingURIs=T;function P(D,f,E,C){if(!D||C>200)return null;if(typeof D=="object"){if(D.$mid===1)return E?v.URI.revive(f.transformIncoming(D)):f.transformIncoming(D);for(let a in D)if(Object.hasOwnProperty.call(D,a)){const I=P(D[a],f,E,C+1);I!==null&&(D[a]=I)}}return null}function g(D,f){const E=P(D,f,!1,0);return E===null?D:E}e.transformIncomingURIs=g;function m(D,f){const E=P(D,f,!0,0);return E===null?D:E}e.transformAndReviveIncomingURIs=m}),define(Q[31],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const v=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function A(g){return v.test(g)}e.isUUID=A;const L=new Uint8Array(16),R=[];for(let g=0;g<256;g++)R.push(g.toString(16).padStart(2,"0"));let T;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?T=crypto.getRandomValues.bind(crypto):T=function(g){for(let m=0;m<g.length;m++)g[m]=Math.floor(Math.random()*256);return g};function P(){T(L),L[6]=L[6]&15|64,L[8]=L[8]&63|128;let g=0,m="";return m+=R[L[g++]],m+=R[L[g++]],m+=R[L[g++]],m+=R[L[g++]],m+="-",m+=R[L[g++]],m+=R[L[g++]],m+="-",m+=R[L[g++]],m+=R[L[g++]],m+="-",m+=R[L[g++]],m+=R[L[g++]],m+="-",m+=R[L[g++]],m+=R[L[g++]],m+=R[L[g++]],m+=R[L[g++]],m+=R[L[g++]],m+=R[L[g++]],m}e.generateUuid=P}),define(Q[66],Z([0,1,203]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class A{constructor(R="utf8"){this.stringDecoder=new v.StringDecoder(R),this.remaining=null}write(R){const T=[],P=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(P.length<1)return T;let g=0,m,D=g;for(;D<P.length;)if(m=P.charCodeAt(D),m===13||m===10){if(T.push(P.substring(g,D)),D++,D<P.length){const f=m;m=P.charCodeAt(D),(f===13&&m===10||f===10&&m===13)&&D++}g=D}else D++;return this.remaining=g<P.length?P.substr(g):null,T}end(){return this.remaining}}e.LineDecoder=A}),define(Q[92],Z([0,1,37]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const A=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function L(P){const g=P.replace(/\-/g,":").toLowerCase();return!A.has(g)}function R(){return new Promise(async(P,g)=>{const m=setTimeout(()=>g("Unable to retrieve mac address (timeout after 10s)"),1e4);try{P(await T())}catch(D){g(D)}finally{clearTimeout(m)}})}e.getMac=R;function T(){return new Promise((P,g)=>{try{const m=(0,v.networkInterfaces)();for(const[,D]of Object.entries(m))for(const f of D)if(L(f.mac))return P(f.mac);g("Unable to retrieve mac address (unexpected format)")}catch(m){g(m)}})}}),define(Q[93],Z([0,1,15,31,37,36,92]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAdress(D){return this._virtualMachineOUIs||(this._virtualMachineOUIs=R.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(D)}value(){if(this._value===void 0){let D=0,f=0;const E=(0,L.networkInterfaces)();for(let C in E)if(Object.prototype.hasOwnProperty.call(E,C))for(const{mac:a,internal:I}of E[C])I||(f+=1,this._isVirtualMachineMacAdress(a.toUpperCase())&&(D+=1));this._value=f>0?D/f:0}return this._value}};let P;async function g(){return P||(P=(async()=>await m()||A.generateUuid())()),P}e.getMachineId=g;async function m(){try{const D=await new Promise((E,C)=>{G(["crypto"],E,C)}),f=await(0,T.getMac)();return D.createHash("sha256").update(f,"utf8").digest("hex")}catch(D){v.onUnexpectedError(D);return}}}),define(Q[23],Z([0,1,27,37,8,6,7,42,31,65,11,5]),function(G,e,v,A,L,R,T,P,g,m,D,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=void 0;var E;(function(W){W[W.UNLINK=0]="UNLINK",W[W.MOVE=1]="MOVE"})(E=e.RimRafMode||(e.RimRafMode={}));async function C(W,B=E.UNLINK){if((0,P.isRootOrDriveLetter)(W))throw new Error("rimraf - will refuse to recursively delete root");return B===E.UNLINK?I(W):a(W)}e.rimraf=C;async function a(W){try{const B=(0,L.join)((0,A.tmpdir)(),(0,g.generateUuid)());try{await v.promises.rename(W,B)}catch(M){return I(W)}I(B).catch(M=>{})}catch(B){if(B.code!=="ENOENT")throw B}}async function I(W){return v.promises.rmdir(W,{recursive:!0,maxRetries:3})}function S(W){if((0,P.isRootOrDriveLetter)(W))throw new Error("rimraf - will refuse to recursively delete root");v.rmdirSync(W,{recursive:!0})}e.rimrafSync=S;async function w(W,B){return o(await(B?b(W):v.promises.readdir(W)))}e.readdir=w;async function b(W){try{return await v.promises.readdir(W,{withFileTypes:!0})}catch(F){console.warn("[node.js fs] readdir with filetypes failed with error: ",F)}const B=[],M=await w(W);for(const F of M){let k=!1,U=!1,N=!1;try{const z=await v.promises.lstat((0,L.join)(W,F));k=z.isFile(),U=z.isDirectory(),N=z.isSymbolicLink()}catch(z){console.warn("[node.js fs] unexpected error from lstat after readdir: ",z)}B.push({name:F,isFile:()=>k,isDirectory:()=>U,isSymbolicLink:()=>N})}return B}function y(W){return o(v.readdirSync(W))}e.readdirSync=y;function o(W){return W.map(B=>typeof B=="string"?T.isMacintosh?(0,m.normalizeNFC)(B):B:(B.name=T.isMacintosh?(0,m.normalizeNFC)(B.name):B.name,B))}async function i(W){const B=await w(W),M=[];for(const F of B)await n.existsDirectory((0,L.join)(W,F))&&M.push(F);return M}e.readDirsInDir=i;function t(W,B=1e3){return new Promise(M=>{let F=!1;const k=setInterval(()=>{F||(F=!0,v.access(W,U=>{F=!1,U&&(clearInterval(k),M(void 0))}))},B)})}e.whenDeleted=t;var n;(function(W){async function B(k){let U;try{if(U=await v.promises.lstat(k),!U.isSymbolicLink())return{stat:U}}catch(N){}try{return{stat:await v.promises.stat(k),symbolicLink:(U==null?void 0:U.isSymbolicLink())?{dangling:!1}:void 0}}catch(N){if(N.code==="ENOENT"&&U)return{stat:U,symbolicLink:{dangling:!0}};if(T.isWindows&&N.code==="EACCES")try{return{stat:await v.promises.stat(await v.promises.readlink(k)),symbolicLink:{dangling:!1}}}catch(z){if(z.code==="ENOENT"&&U)return{stat:U,symbolicLink:{dangling:!0}};throw z}throw N}}W.stat=B;async function M(k){try{const{stat:U,symbolicLink:N}=await W.stat(k);return U.isFile()&&(N==null?void 0:N.dangling)!==!0}catch(U){}return!1}W.existsFile=M;async function F(k){try{const{stat:U,symbolicLink:N}=await W.stat(k);return U.isDirectory()&&(N==null?void 0:N.dangling)!==!0}catch(U){}return!1}W.existsDirectory=F})(n=e.SymlinkSupport||(e.SymlinkSupport={}));const r=new R.ResourceQueue;function l(W,B,M){return r.queueFor(f.URI.file(W),D.extUriBiasedIgnorePathCase).queue(()=>{const F=d(M);return new Promise((k,U)=>c(W,B,F,N=>N?U(N):k()))})}e.writeFile=l;let s=!0;function c(W,B,M,F){if(!s)return v.writeFile(W,B,{mode:M.mode,flag:M.flag},F);v.open(W,M.flag,M.mode,(k,U)=>{if(k)return F(k);v.writeFile(U,B,N=>{if(N)return v.close(U,()=>F(N));v.fdatasync(U,z=>(z&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",z),s=!1),v.close(U,H=>F(H))))})})}function h(W,B,M){const F=d(M);if(!s)return v.writeFileSync(W,B,{mode:F.mode,flag:F.flag});const k=v.openSync(W,F.flag,F.mode);try{v.writeFileSync(k,B);try{v.fdatasyncSync(k)}catch(U){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",U),s=!1}}finally{v.closeSync(k)}}e.writeFileSync=h;function d(W){return W?{mode:typeof W.mode=="number"?W.mode:438,flag:typeof W.flag=="string"?W.flag:"w"}:{mode:438,flag:"w"}}async function p(W,B){if(W!==B){async function M(F){try{const k=await v.promises.lstat(F);if(k.isDirectory()||k.isSymbolicLink())return;const U=await v.promises.open(F,"a");try{await U.utimes(k.atime,new Date)}finally{await U.close()}}catch(k){}}try{await v.promises.rename(W,B),await M(B)}catch(F){if(W.toLowerCase()!==B.toLowerCase()&&F.code==="EXDEV"||W.endsWith("."))await u(W,B,{preserveSymlinks:!1}),await C(W,E.MOVE),await M(B);else throw F}}}e.move=p;async function u(W,B,M){return _(W,B,{root:{source:W,target:B},options:M,handledSourcePaths:new Set})}e.copy=u;const O=511;async function _(W,B,M){if(!M.handledSourcePaths.has(W)){M.handledSourcePaths.add(W);const{stat:F,symbolicLink:k}=await n.stat(W);if(k){if(M.options.preserveSymlinks)try{return await j(W,B,M)}catch(U){console.warn("[node.js fs] copy of symlink failed: ",U)}if(k.dangling)return}return F.isDirectory()?q(W,B,F.mode&O,M):x(W,B,F.mode&O)}}async function q(W,B,M,F){await v.promises.mkdir(B,{recursive:!0,mode:M});const k=await w(W);for(const U of k)await _((0,L.join)(W,U),(0,L.join)(B,U),F)}async function x(W,B,M){await v.promises.copyFile(W,B),await v.promises.chmod(B,M)}async function j(W,B,M){let F=await v.promises.readlink(W);(0,P.isEqualOrParent)(F,M.root.source,!T.isLinux)&&(F=(0,L.join)(M.root.target,F.substr(M.root.source.length+1))),await v.promises.symlink(F,B)}async function $(W){try{return await v.promises.access(W),!0}catch(B){return!1}}e.exists=$}),define(Q[94],Z([0,1,27,95,21,8,23]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function P(f){const E=(0,R.dirname)(f);if(f===E)return f;const C=((0,R.basename)(f)||f).toLowerCase();try{const I=(0,T.readdirSync)(E).filter(S=>S.toLowerCase()===C);if(I.length===1){const S=P(E);if(S)return(0,R.join)(S,I[0])}else if(I.length>1){const S=I.indexOf(C);if(S>=0){const w=P(E);if(w)return(0,R.join)(w,I[S])}}}catch(a){}return null}e.realcaseSync=P;async function g(f){try{return await(0,A.promisify)(v.realpath)(f)}catch(E){const C=D(f);return await v.promises.access(C,v.constants.R_OK),C}}e.realpath=g;function m(f){try{return v.realpathSync(f)}catch(E){const C=D(f);return v.accessSync(C,v.constants.R_OK),C}}e.realpathSync=m;function D(f){return(0,L.rtrim)((0,R.normalize)(f),R.sep)}}),define(Q[96],Z([0,1,48,16]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function L(T){return new Promise((P,g)=>{let m;const D=new Map;function f(a,I,S,w,b){const y=D.get(I);if(a===T||y){const o={name:E(S),cmd:S,pid:a,ppid:I,load:w,mem:b};D.set(a,o),a===T&&(m=o),y&&(y.children||(y.children=[]),y.children.push(o),y.children.length>1&&(y.children=y.children.sort((i,t)=>i.pid-t.pid)))}}function E(a){const I=/--disable-blink-features=Auxclick/,S=/\\watcher\\win32\\CodeHelper\.exe/,w=/--crashes-directory/,b=/\\pipe\\winpty-control/,y=/conhost\.exe/,o=/--type=([a-zA-Z-]+)/;if(S.exec(a))return"watcherService ";if(w.exec(a))return"electron-crash-reporter";if(b.exec(a))return"winpty-process";if(y.exec(a))return"console-window-host (Windows internal process)";let i=o.exec(a);if(i&&i.length===2)return i[1]==="renderer"?I.exec(a)?"shared-process":"window":i[1];const t=/[a-zA-Z-]+\.js/g;let n="";do i=t.exec(a),i&&(n+=i+" ");while(i);return n&&a.indexOf("node ")<0&&a.indexOf("node.exe")<0?`electron_node ${n}`:a}if(process.platform==="win32"){const a=I=>I.indexOf("\\\\?\\")===0||I.indexOf("\\??\\")===0?I.substr(4):I.indexOf('"\\\\?\\')===0||I.indexOf('"\\??\\')===0?'"'+I.substr(5):I;new Promise((I,S)=>{G(["windows-process-tree"],I,S)}).then(I=>{I.getProcessList(T,S=>{I.getProcessCpuUsage(S,w=>{const b=new Map;w.forEach(y=>{const o=a(y.commandLine||"");b.set(y.pid,{name:E(o),cmd:o,pid:y.pid,ppid:y.ppid,load:y.cpu||0,mem:y.memory||0})}),m=b.get(T),m?(b.forEach(y=>{const o=b.get(y.ppid);o&&(o.children||(o.children=[]),o.children.push(y))}),b.forEach(y=>{y.children&&(y.children=y.children.sort((o,i)=>o.pid-i.pid))}),P(m)):g(new Error(`Root process ${T} not found`))})},I.ProcessDataFlag.CommandLine|I.ProcessDataFlag.Memory)})}else{function C(){let a=[m];const I=[];for(;a.length;){const w=a.shift();w&&(I.push(w.pid),w.children&&(a=a.concat(w.children)))}let S=JSON.stringify(A.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",G).fsPath);S+=" "+I.join(" "),(0,v.exec)(S,{},(w,b,y)=>{if(w||y)g(w||new Error(y.toString()));else{const o=b.toString().split(`
`);for(let i=0;i<I.length;i++){const t=D.get(I[i]);t.load=parseFloat(o[i])}if(!m){g(new Error(`Root process ${T} not found`));return}P(m)}})}(0,v.exec)("which ps",{},(a,I,S)=>{if(a||S)if(process.platform!=="linux")g(a||new Error(S.toString()));else{const w=JSON.stringify(A.FileAccess.asFileUri("vs/base/node/ps.sh",G).fsPath);(0,v.exec)(w,{},(b,y,o)=>{b||o?g(b||new Error(o.toString())):(R(y,f),C())})}else{const w=I.toString().trim(),b="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,v.exec)(`${w} ${b}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(y,o,i)=>{y||i&&!i.includes("screen size is bogus")?g(y||new Error(i.toString())):(R(o,f),process.platform==="linux"?C():m?P(m):g(new Error(`Root process ${T} not found`)))})}})}})}e.listProcesses=L;function R(T,P){const g=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,m=T.toString().split(`
`);for(const D of m){const f=g.exec(D.trim());f&&f.length===6&&P(parseInt(f[1]),parseInt(f[2]),f[5],parseFloat(f[3]),parseFloat(f[4]))}}}),define(Q[97],Z([0,1,8,27,7,65,2,23]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CHANGE_BUFFER_DELAY=e.watchFolder=e.watchFile=void 0;function g(f,E,C){return D({path:f,isDirectory:!1},E,C)}e.watchFile=g;function m(f,E,C){return D({path:f,isDirectory:!0},E,C)}e.watchFolder=m,e.CHANGE_BUFFER_DELAY=100;function D(f,E,C){const a=(0,v.basename)(f.path),I=new Map;let S=!1,w=[(0,T.toDisposable)(()=>{I.forEach(b=>(0,T.dispose)(b)),I.clear()})];try{const b=(0,A.watch)(f.path);w.push((0,T.toDisposable)(()=>{b.removeAllListeners(),b.close()}));const y=new Set;f.isDirectory&&(0,P.readdir)(f.path).then(o=>o.forEach(i=>y.add(i))),b.on("error",(o,i)=>{S||C(`Failed to watch ${f.path} for changes using fs.watch() (${o}, ${i})`)}),b.on("change",(o,i)=>{if(!S){let t="";if(i&&(t=i.toString(),L.isMacintosh&&(t=(0,R.normalizeNFC)(t))),!(!t||o!=="change"&&o!=="rename")){const n=f.isDirectory?(0,v.join)(f.path,t):f.path;if(f.isDirectory)if(o==="rename"){const r=I.get(n);r&&(0,T.dispose)(r);const l=setTimeout(async()=>{I.delete(n);const s=await(0,P.exists)(n);if(!S){let c;s?y.has(t)?c="changed":(c="added",y.add(t)):(y.delete(t),c="deleted"),E(c,n)}},e.CHANGE_BUFFER_DELAY);I.set(n,(0,T.toDisposable)(()=>clearTimeout(l)))}else{let r;y.has(t)?r="changed":(r="added",y.add(t)),E(r,n)}else if(o==="rename"||t!==a){const r=setTimeout(async()=>{const l=await(0,P.exists)(n);S||(l?(E("changed",n),w=[D(f,E,C)]):E("deleted",n))},e.CHANGE_BUFFER_DELAY);(0,T.dispose)(w),w=[(0,T.toDisposable)(()=>clearTimeout(r))]}else E("changed",n)}}})}catch(b){(0,P.exists)(f.path).then(y=>{y&&!S&&C(`Failed to watch ${f.path} for changes using fs.watch() (${b.toString()})`)})}return(0,T.toDisposable)(()=>{S=!0,w=(0,T.dispose)(w)})}}),define(Q[33],Z([0,1,3,2,6,30,15,22,18,17,89,21]),function(G,e,v,A,L,R,T,P,g,m,D,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var E;(function(F){F[F.Promise=100]="Promise",F[F.PromiseCancel=101]="PromiseCancel",F[F.EventListen=102]="EventListen",F[F.EventDispose=103]="EventDispose"})(E=e.RequestType||(e.RequestType={}));function C(F){switch(F){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var a;(function(F){F[F.Initialize=200]="Initialize",F[F.PromiseSuccess=201]="PromiseSuccess",F[F.PromiseError=202]="PromiseError",F[F.PromiseErrorObj=203]="PromiseErrorObj",F[F.EventFire=204]="EventFire"})(a=e.ResponseType||(e.ResponseType={}));function I(F){switch(F){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var S;(function(F){F[F.Uninitialized=0]="Uninitialized",F[F.Idle=1]="Idle"})(S||(S={}));class w{constructor(k){this.buffer=k,this.pos=0}read(k){const U=this.buffer.slice(this.pos,this.pos+k);return this.pos+=U.byteLength,U}}class b{constructor(){this.buffers=[]}get buffer(){return P.VSBuffer.concat(this.buffers)}write(k){this.buffers.push(k)}}var y;(function(F){F[F.Undefined=0]="Undefined",F[F.String=1]="String",F[F.Buffer=2]="Buffer",F[F.VSBuffer=3]="VSBuffer",F[F.Array=4]="Array",F[F.Object=5]="Object"})(y||(y={}));function o(F){const k=P.VSBuffer.alloc(4);return k.writeUInt32BE(F,0),k}function i(F){return F.read(4).readUInt32BE(0)}function t(F){const k=P.VSBuffer.alloc(1);return k.writeUInt8(F,0),k}const n={Undefined:t(y.Undefined),String:t(y.String),Buffer:t(y.Buffer),VSBuffer:t(y.VSBuffer),Array:t(y.Array),Object:t(y.Object)},r=typeof Buffer!="undefined";function l(F,k){if(typeof k=="undefined")F.write(n.Undefined);else if(typeof k=="string"){const U=P.VSBuffer.fromString(k);F.write(n.String),F.write(o(U.byteLength)),F.write(U)}else if(r&&Buffer.isBuffer(k)){const U=P.VSBuffer.wrap(k);F.write(n.Buffer),F.write(o(U.byteLength)),F.write(U)}else if(k instanceof P.VSBuffer)F.write(n.VSBuffer),F.write(o(k.byteLength)),F.write(k);else if(Array.isArray(k)){F.write(n.Array),F.write(o(k.length));for(const U of k)l(F,U)}else{const U=P.VSBuffer.fromString(JSON.stringify(k));F.write(n.Object),F.write(o(U.byteLength)),F.write(U)}}function s(F){switch(F.read(1).readUInt8(0)){case y.Undefined:return;case y.String:return F.read(i(F)).toString();case y.Buffer:return F.read(i(F)).buffer;case y.VSBuffer:return F.read(i(F));case y.Array:{const U=i(F),N=[];for(let z=0;z<U;z++)N.push(s(F));return N}case y.Object:return JSON.parse(F.read(i(F)).toString())}}class c{constructor(k,U,N=null,z=1e3){this.protocol=k,this.ctx=U,this.logger=N,this.timeoutDelay=z,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(H=>this.onRawMessage(H)),this.sendResponse({type:200})}registerChannel(k,U){this.channels.set(k,U),setTimeout(()=>this.flushPendingRequests(k),0)}sendResponse(k){switch(k.type){case 200:{const U=this.send([k.type]);this.logger&&this.logger.logOutgoing(U,0,1,I(k.type));return}case 201:case 202:case 204:case 203:{const U=this.send([k.type,k.id],k.data);this.logger&&this.logger.logOutgoing(U,k.id,1,I(k.type),k.data);return}}}send(k,U=void 0){const N=new b;return l(N,k),l(N,U),this.sendBuffer(N.buffer)}sendBuffer(k){try{return this.protocol.send(k),k.byteLength}catch(U){return 0}}onRawMessage(k){const U=new w(k),N=s(U),z=s(U),H=N[0];switch(H){case 100:return this.logger&&this.logger.logIncoming(k.byteLength,N[1],1,`${C(H)}: ${N[2]}.${N[3]}`,z),this.onPromise({type:H,id:N[1],channelName:N[2],name:N[3],arg:z});case 102:return this.logger&&this.logger.logIncoming(k.byteLength,N[1],1,`${C(H)}: ${N[2]}.${N[3]}`,z),this.onEventListen({type:H,id:N[1],channelName:N[2],name:N[3],arg:z});case 101:return this.logger&&this.logger.logIncoming(k.byteLength,N[1],1,`${C(H)}`),this.disposeActiveRequest({type:H,id:N[1]});case 103:return this.logger&&this.logger.logIncoming(k.byteLength,N[1],1,`${C(H)}`),this.disposeActiveRequest({type:H,id:N[1]})}}onPromise(k){const U=this.channels.get(k.channelName);if(!U){this.collectPendingRequest(k);return}const N=new R.CancellationTokenSource;let z;try{z=U.call(this.ctx,k.name,k.arg,N.token)}catch(te){z=Promise.reject(te)}const H=k.id;z.then(te=>{this.sendResponse({id:H,data:te,type:201}),this.activeRequests.delete(k.id)},te=>{te instanceof Error?this.sendResponse({id:H,data:{message:te.message,name:te.name,stack:te.stack?te.stack.split?te.stack.split(`
`):te.stack:void 0},type:202}):this.sendResponse({id:H,data:te,type:203}),this.activeRequests.delete(k.id)});const K=(0,A.toDisposable)(()=>N.cancel());this.activeRequests.set(k.id,K)}onEventListen(k){const U=this.channels.get(k.channelName);if(!U){this.collectPendingRequest(k);return}const N=k.id,H=U.listen(this.ctx,k.name,k.arg)(K=>this.sendResponse({id:N,data:K,type:204}));this.activeRequests.set(k.id,H)}disposeActiveRequest(k){const U=this.activeRequests.get(k.id);U&&(U.dispose(),this.activeRequests.delete(k.id))}collectPendingRequest(k){let U=this.pendingRequests.get(k.channelName);U||(U=[],this.pendingRequests.set(k.channelName,U));const N=setTimeout(()=>{console.error(`Unknown channel: ${k.channelName}`),k.type===100&&this.sendResponse({id:k.id,data:{name:"Unknown channel",message:`Channel name '${k.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);U.push({request:k,timeoutTimer:N})}flushPendingRequests(k){const U=this.pendingRequests.get(k);if(U){for(const N of U)switch(clearTimeout(N.timeoutTimer),N.request.type){case 100:this.onPromise(N.request);break;case 102:this.onEventListen(N.request);break}this.pendingRequests.delete(k)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(k=>k.dispose()),this.activeRequests.clear()}}e.ChannelServer=c;var h;(function(F){F[F.LocalSide=0]="LocalSide",F[F.OtherSide=1]="OtherSide"})(h=e.RequestInitiator||(e.RequestInitiator={}));class d{constructor(k,U=null){this.protocol=k,this.isDisposed=!1,this.state=S.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(N=>this.onBuffer(N)),this.logger=U}getChannel(k){const U=this;return{call(N,z,H){return U.isDisposed?Promise.reject(T.canceled()):U.requestPromise(k,N,z,H)},listen(N,z){return U.isDisposed?Promise.reject(T.canceled()):U.requestEvent(k,N,z)}}}requestPromise(k,U,N,z=R.CancellationToken.None){const H=this.lastRequestId++,te={id:H,type:100,channelName:k,name:U,arg:N};if(z.isCancellationRequested)return Promise.reject(T.canceled());let X;return new Promise((se,ce)=>{if(z.isCancellationRequested)return ce(T.canceled());const he=()=>{const ke=Ue=>{switch(Ue.type){case 201:this.handlers.delete(H),se(Ue.data);break;case 202:this.handlers.delete(H);const Fe=new Error(Ue.data.message);Fe.stack=Ue.data.stack,Fe.name=Ue.data.name,ce(Fe);break;case 203:this.handlers.delete(H),ce(Ue.data);break}};this.handlers.set(H,ke),this.sendRequest(te)};let me=null;this.state===S.Idle?he():(me=(0,L.createCancelablePromise)(ke=>this.whenInitialized()),me.then(()=>{me=null,he()}));const we=()=>{me?(me.cancel(),me=null):this.sendRequest({id:H,type:101}),ce(T.canceled())},Ie=z.onCancellationRequested(we);X=(0,A.combinedDisposable)((0,A.toDisposable)(we),Ie),this.activeRequests.add(X)}).finally(()=>{this.activeRequests.delete(X)})}requestEvent(k,U,N){const z=this.lastRequestId++,K={id:z,type:102,channelName:k,name:U,arg:N};let te=null;const X=new v.Emitter({onFirstListenerAdd:()=>{te=(0,L.createCancelablePromise)(se=>this.whenInitialized()),te.then(()=>{te=null,this.activeRequests.add(X),this.sendRequest(K)})},onLastListenerRemove:()=>{te?(te.cancel(),te=null):(this.activeRequests.delete(X),this.sendRequest({id:z,type:103}))}}),ie=se=>X.fire(se.data);return this.handlers.set(z,ie),X.event}sendRequest(k){switch(k.type){case 100:case 102:{const U=this.send([k.type,k.id,k.channelName,k.name],k.arg);this.logger&&this.logger.logOutgoing(U,k.id,0,`${C(k.type)}: ${k.channelName}.${k.name}`,k.arg);return}case 101:case 103:{const U=this.send([k.type,k.id]);this.logger&&this.logger.logOutgoing(U,k.id,0,C(k.type));return}}}send(k,U=void 0){const N=new b;return l(N,k),l(N,U),this.sendBuffer(N.buffer)}sendBuffer(k){try{return this.protocol.send(k),k.byteLength}catch(U){return 0}}onBuffer(k){const U=new w(k),N=s(U),z=s(U),H=N[0];switch(H){case 200:return this.logger&&this.logger.logIncoming(k.byteLength,0,0,I(H)),this.onResponse({type:N[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(k.byteLength,N[1],0,I(H),z),this.onResponse({type:N[0],id:N[1],data:z})}}onResponse(k){if(k.type===200){this.state=S.Idle,this._onDidInitialize.fire();return}const U=this.handlers.get(k.id);U&&U(k)}whenInitialized(){return this.state===S.Idle?Promise.resolve():v.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(k=>k.dispose()),this.activeRequests.clear()}}e.ChannelClient=d;class p{constructor(k){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,k(({protocol:U,onDidClientDisconnect:N})=>{v.Event.once(U.onMessage)(H=>{const K=new w(H),te=s(K),X=new c(U,te),ie=new d(U);this.channels.forEach((ce,he)=>X.registerChannel(he,ce));const se={channelServer:X,channelClient:ie,ctx:te};this._connections.add(se),this._onDidAddConnection.fire(se),N(()=>{X.dispose(),ie.dispose(),this._connections.delete(se),this._onDidRemoveConnection.fire(se)})})})}get connections(){const k=[];return this._connections.forEach(U=>k.push(U)),k}getChannel(k,U){const N=this;return{call(z,H,K){let te;if((0,m.isFunction)(U)){let ie=(0,g.getRandomElement)(N.connections.filter(U));te=ie?Promise.resolve(ie):v.Event.toPromise(v.Event.filter(N.onDidAddConnection,U))}else te=U.routeCall(N,z,H);const X=te.then(ie=>ie.channelClient.getChannel(k));return O(X).call(z,H,K)},listen(z,H){if((0,m.isFunction)(U))return N.getMulticastEvent(k,U,z,H);const K=U.routeEvent(N,z,H).then(te=>te.channelClient.getChannel(k));return O(K).listen(z,H)}}}getMulticastEvent(k,U,N,z){const H=this;let K=new A.DisposableStore;const te=new v.Emitter({onFirstListenerAdd:()=>{K=new A.DisposableStore;const X=new v.EventMultiplexer,ie=new Map,se=he=>{const we=he.channelClient.getChannel(k).listen(N,z),Ie=X.add(we);ie.set(he,Ie)},ce=he=>{const me=ie.get(he);!me||(me.dispose(),ie.delete(he))};H.connections.filter(U).forEach(se),v.Event.filter(H.onDidAddConnection,U)(se,void 0,K),H.onDidRemoveConnection(ce,void 0,K),X.event(te.fire,te,K),K.add(X)},onLastListenerRemove:()=>{K.dispose()}});return te.event}registerChannel(k,U){this.channels.set(k,U),this._connections.forEach(N=>{N.channelServer.registerChannel(k,U)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=p;class u{constructor(k,U,N=null){const z=new b;l(z,U),k.send(z.buffer),this.channelClient=new d(k,N),this.channelServer=new c(k,U,N)}getChannel(k){return this.channelClient.getChannel(k)}registerChannel(k,U){this.channelServer.registerChannel(k,U)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=u;function O(F){return{call(k,U,N){return F.then(z=>z.call(k,U,N))},listen(k,U){const N=new v.Relay;return F.then(z=>N.input=z.listen(k,U)),N.event}}}e.getDelayedChannel=O;function _(F){let k=!1;return{call(U,N,z){return k?F.call(U,N,z):(0,L.timeout)(0).then(()=>k=!0).then(()=>F.call(U,N,z))},listen(U,N){if(k)return F.listen(U,N);const z=new v.Relay;return(0,L.timeout)(0).then(()=>k=!0).then(()=>z.input=F.listen(U,N)),z.event}}}e.getNextTickChannel=_;class q{constructor(k){this.fn=k}routeCall(k){return this.route(k)}routeEvent(k){return this.route(k)}async route(k){for(const U of k.connections)if(await Promise.resolve(this.fn(U.ctx)))return Promise.resolve(U);return await v.Event.toPromise(k.onDidAddConnection),await this.route(k)}}e.StaticRouter=q;var x;(function(F){function k(z,H){const K=z,te=H&&H.disableMarshalling,X=new Map;for(const ie in K)N(ie)&&X.set(ie,v.Event.buffer(K[ie],!0));return new class{listen(ie,se){const ce=X.get(se);if(ce)return ce;throw new Error(`Event not found: ${se}`)}call(ie,se,ce){const he=K[se];if(typeof he=="function"){if(!te&&Array.isArray(ce))for(let me=0;me<ce.length;me++)ce[me]=(0,D.revive)(ce[me]);return he.apply(K,ce)}throw new Error(`Method not found: ${se}`)}}}F.fromService=k;function U(z,H){const K=H&&H.disableMarshalling;return new Proxy({},{get(te,X){var ie;if(typeof X=="string")return((ie=H==null?void 0:H.properties)===null||ie===void 0?void 0:ie.has(X))?H.properties.get(X):N(X)?z.listen(X):async function(...se){let ce;H&&!(0,m.isUndefinedOrNull)(H.context)?ce=[H.context,...se]:ce=se;const he=await z.call(X,ce);return K?he:(0,D.revive)(he)};throw new Error(`Property not found: ${String(X)}`)}})}F.toService=U;function N(z){return z[0]==="o"&&z[1]==="n"&&f.isUpperAsciiLetter(z.charCodeAt(2))}})(x=e.ProxyChannel||(e.ProxyChannel={}));const j=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function $(F){if(Array.isArray(F))return F;if(F&&typeof F=="object"&&typeof F.toString=="function"){let k=F.toString();if(k!=="[object Object]")return k}return F}function W(F){return Array.isArray(F)?F.map($):$(F)}function B(F,k,U,N,z,H,K){K=W(K);const te=j[z],X=te[N%te.length];let ie=[`%c[${F}]%c[${String(k).padStart(7," ")}]%c[len: ${String(U).padStart(5," ")}]%c${String(N).padStart(5," ")} - ${H}`,"color: darkgreen","color: grey","color: grey",`color: ${X}`];/\($/.test(H)?(ie=ie.concat(K),ie.push(")")):ie.push(K),console.log.apply(console,ie)}e.logWithColors=B;class M{constructor(k,U){this._outgoingPrefix=k,this._incomingPrefix=U,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(k,U,N,z,H){this._totalOutgoing+=k,B(this._outgoingPrefix,this._totalOutgoing,k,U,N,z,H)}logIncoming(k,U,N,z,H){this._totalIncoming+=k,B(this._incomingPrefix,this._totalIncoming,k,U,N,z,H)}}e.IPCLogger=M}),define(Q[98],Z([0,1,3,33,22]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class R{constructor(g){this.port=g,this.onMessage=v.Event.fromDOMEventEmitter(this.port,"message",m=>L.VSBuffer.wrap(m.data)),g.start()}send(g){this.port.postMessage(g.buffer)}disconnect(){this.port.close()}}e.Protocol=R;class T extends A.IPCClient{constructor(g,m){const D=new R(g);super(D,m);this.protocol=D}dispose(){this.protocol.disconnect()}}e.Client=T}),define(Q[99],Z([0,1,100,3,33,98]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;class T extends L.IPCServer{static getOnDidClientConnect(){const g=A.Event.fromNodeEventEmitter(v.ipcRenderer,"vscode:createMessageChannel",(m,D)=>D);return A.Event.map(g,m=>{const{port1:D,port2:f}=new MessageChannel,C={protocol:new R.Protocol(D),onDidClientDisconnect:A.Event.fromDOMEventEmitter(D,"close")};return v.ipcRenderer.postMessage("vscode:createMessageChannelResult",m,[f]),C})}constructor(){super(T.getOnDidClientConnect())}}e.Server=T}),define(Q[101],Z([0,1,15,22]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.request=void 0;function L(P,g){P.proxyAuthorization&&(P.headers=Object.assign(Object.assign({},P.headers||{}),{"Proxy-Authorization":P.proxyAuthorization}));const m=new XMLHttpRequest;return new Promise((D,f)=>{m.open(P.type||"GET",P.url||"",!0,P.user,P.password),R(m,P),m.responseType="arraybuffer",m.onerror=E=>f(new Error(m.statusText&&"XHR failed: "+m.statusText||"XHR failed")),m.onload=E=>{D({res:{statusCode:m.status,headers:T(m)},stream:(0,A.bufferToStream)(A.VSBuffer.wrap(new Uint8Array(m.response)))})},m.ontimeout=E=>f(new Error(`XHR timeout: ${P.timeout}ms`)),P.timeout&&(m.timeout=P.timeout),m.send(P.data),g.onCancellationRequested(()=>{m.abort(),f((0,v.canceled)())})})}e.request=L;function R(P,g){if(g.headers){e:for(let m in g.headers){switch(m){case"User-Agent":case"Accept-Encoding":case"Content-Length":continue e}P.setRequestHeader(m,g.headers[m])}}}function T(P){const g=Object.create(null);for(const m of P.getAllResponseHeaders().split(/\r\n|\n|\r/g))if(m){const D=m.indexOf(":");g[m.substr(0,D).trim().toLowerCase()]=m.substr(D+1).trim()}return g}}),define(Q[102],Z([0,1,7]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.process=e.crashReporter=e.webFrame=e.ipcMessagePort=e.ipcRenderer=void 0,e.ipcRenderer=v.globals.vscode.ipcRenderer,e.ipcMessagePort=v.globals.vscode.ipcMessagePort,e.webFrame=v.globals.vscode.webFrame,e.crashReporter=v.globals.vscode.crashReporter,e.process=v.globals.vscode.process}),define(Q[67],Z([0,1,2,3,6,17]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageHint=void 0;var T;(function(D){D[D.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(T=e.StorageHint||(e.StorageHint={}));var P;(function(D){D[D.None=0]="None",D[D.Initialized=1]="Initialized",D[D.Closed=2]="Closed"})(P||(P={}));class g extends v.Disposable{constructor(f,E=Object.create(null)){super();this.database=f,this.options=E,this._onDidChangeStorage=this._register(new A.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=P.None,this.cache=new Map,this.flushDelayer=new L.ThrottledDelayer(g.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(f=>this.onDidChangeItemsExternal(f)))}onDidChangeItemsExternal(f){var E,C;(E=f.changed)===null||E===void 0||E.forEach((a,I)=>this.accept(I,a)),(C=f.deleted)===null||C===void 0||C.forEach(a=>this.accept(a,void 0))}accept(f,E){if(this.state!==P.Closed){let C=!1;(0,R.isUndefinedOrNull)(E)?C=this.cache.delete(f):this.cache.get(f)!==E&&(this.cache.set(f,E),C=!0),C&&this._onDidChangeStorage.fire(f)}}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===P.None&&(this.state=P.Initialized,this.options.hint!==T.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(f,E){const C=this.cache.get(f);return(0,R.isUndefinedOrNull)(C)?E:C}getBoolean(f,E){const C=this.get(f);return(0,R.isUndefinedOrNull)(C)?E:C==="true"}getNumber(f,E){const C=this.get(f);return(0,R.isUndefinedOrNull)(C)?E:parseInt(C,10)}async set(f,E){if(this.state!==P.Closed){if((0,R.isUndefinedOrNull)(E))return this.delete(f);const C=String(E);if(this.cache.get(f)!==C)return this.cache.set(f,C),this.pendingInserts.set(f,C),this.pendingDeletes.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}}async delete(f){if(this.state!==P.Closed&&!!this.cache.delete(f))return this.pendingDeletes.has(f)||this.pendingDeletes.add(f),this.pendingInserts.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=P.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(f){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!!this.hasPending){const f={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(f).finally(()=>{var E;if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)(E=this.whenFlushedCallbacks.pop())===null||E===void 0||E()})}}async whenFlushed(){if(!!this.hasPending)return new Promise(f=>this.whenFlushedCallbacks.push(f))}dispose(){this.flushDelayer.cancel(),this.flushDelayer.dispose(),super.dispose()}}e.Storage=g,g.DEFAULT_FLUSH_DELAY=100;class m{constructor(){this.onDidChangeItemsExternal=A.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(f){f.insert&&f.insert.forEach((E,C)=>this.items.set(C,E)),f.delete&&f.delete.forEach(E=>this.items.delete(E))}async close(){}}e.InMemoryStorageDatabase=m}),define(Q[103],Z([12,13]),function(G,e){return G.create("vs/base/common/date",e)}),define(Q[54],Z([0,1,103]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const A=60,L=A*60,R=L*24,T=R*7,P=R*30,g=R*365;function m(f,E){typeof f!="number"&&(f=f.getTime());const C=Math.round((new Date().getTime()-f)/1e3);if(C<-30)return(0,v.localize)(0,null,m(new Date().getTime()+C*1e3,!1));if(C<30)return(0,v.localize)(1,null);let a;return C<A?(a=C,E?a===1?(0,v.localize)(2,null,a):(0,v.localize)(3,null,a):a===1?(0,v.localize)(4,null,a):(0,v.localize)(5,null,a)):C<L?(a=Math.floor(C/A),E?a===1?(0,v.localize)(6,null,a):(0,v.localize)(7,null,a):a===1?(0,v.localize)(8,null,a):(0,v.localize)(9,null,a)):C<R?(a=Math.floor(C/L),E?a===1?(0,v.localize)(10,null,a):(0,v.localize)(11,null,a):a===1?(0,v.localize)(12,null,a):(0,v.localize)(13,null,a)):C<T?(a=Math.floor(C/R),E?a===1?(0,v.localize)(14,null,a):(0,v.localize)(15,null,a):a===1?(0,v.localize)(16,null,a):(0,v.localize)(17,null,a)):C<P?(a=Math.floor(C/T),E?a===1?(0,v.localize)(18,null,a):(0,v.localize)(19,null,a):a===1?(0,v.localize)(20,null,a):(0,v.localize)(21,null,a)):C<g?(a=Math.floor(C/P),E?a===1?(0,v.localize)(22,null,a):(0,v.localize)(23,null,a):a===1?(0,v.localize)(24,null,a):(0,v.localize)(25,null,a)):(a=Math.floor(C/g),E?a===1?(0,v.localize)(26,null,a):(0,v.localize)(27,null,a):a===1?(0,v.localize)(28,null,a):(0,v.localize)(29,null,a))}e.fromNow=m;function D(f){return f.getFullYear()+"-"+String(f.getMonth()+1).padStart(2,"0")+"-"+String(f.getDate()).padStart(2,"0")+"T"+String(f.getHours()).padStart(2,"0")+":"+String(f.getMinutes()).padStart(2,"0")+":"+String(f.getSeconds()).padStart(2,"0")+"."+(f.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=D}),define(Q[104],Z([12,13]),function(G,e){return G.create("vs/base/common/errorMessage",e)}),define(Q[43],Z([0,1,104,17,18]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function R(m,D){return D&&(m.stack||m.stacktrace)?v.localize(0,null,P(m),T(m.stack)||T(m.stacktrace)):P(m)}function T(m){return Array.isArray(m)?m.join(`
`):m}function P(m){return typeof m.code=="string"&&typeof m.errno=="number"&&typeof m.syscall=="string"?v.localize(1,null,m.message):m.message||v.localize(2,null)}function g(m=null,D=!1){if(!m)return v.localize(3,null);if(Array.isArray(m)){const f=L.coalesce(m),E=g(f[0],D);return f.length>1?v.localize(4,null,E,f.length):E}if(A.isString(m))return m;if(m.detail){const f=m.detail;if(f.error)return R(f.error,D);if(f.exception)return R(f.exception,D)}return m.stack?R(m,D):m.message?m.message:v.localize(5,null)}e.toErrorMessage=g}),define(Q[105],Z([12,13]),function(G,e){return G.create("vs/base/node/processes",e)}),define(Q[106],Z([0,1,8,27,23,48,105,41,17,26,42,7,66,16]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function a(i){switch(i){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function I(i,t){if(f.isWindows)try{const n={stdio:["pipe","pipe","ignore"]};t&&(n.cwd=t);const r=R.execFile("taskkill",["/T","/F","/PID",i.pid.toString()],n);return new Promise(l=>{r.once("error",s=>{l({success:!1,error:s})}),r.once("exit",(s,c)=>{l(s===0?{success:!0}:{success:!1,code:s!==null?s:1})})})}catch(n){return Promise.resolve({success:!1,error:n,code:n.status?a(n.status):1})}else if(f.isLinux||f.isMacintosh)try{const n=C.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",G).fsPath;return new Promise(r=>{R.execFile(n,[i.pid.toString()],{encoding:"utf8",shell:!0},(l,s,c)=>{r(l?{success:!1,error:l}:{success:!0})})})}catch(n){return Promise.resolve({success:!1,error:n})}else i.kill("SIGKILL");return Promise.resolve({success:!0})}function S(i=P.env){return i.comspec||"cmd.exe"}e.getWindowsShell=S;class w{constructor(t,n,r,l){if(n!==void 0&&r!==void 0&&l!==void 0)this.cmd=t,this.args=n,this.shell=r,this.options=l;else{const s=t;this.cmd=s.command,this.shell=s.isShellCommand,this.args=s.args.slice(0),this.options=s.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const s=Object.create(null);Object.keys(P.env).forEach(c=>{s[c]=P.env[c]}),Object.keys(this.options.env).forEach(c=>{s[c]=this.options.env[c]}),this.options.env=s}}getSanitizedCommand(){let t=this.cmd.toLowerCase();const n=t.lastIndexOf(v.sep);return n!==-1&&(t=t.substring(n+1)),w.WellKnowCommands[t]?t:"other"}start(t){return f.isWindows&&(this.options&&this.options.cwd&&D.isUNC(this.options.cwd)||!this.options&&D.isUNC(P.cwd()))?Promise.reject(new Error(T.localize(0,null))):this.useExec().then(n=>{let r,l;const s=new Promise((c,h)=>{r=c,l=h});if(n){let c=this.cmd;this.args&&(c=c+" "+this.args.join(" ")),this.childProcess=R.exec(c,this.options,(h,d,p)=>{this.childProcess=null;const u=h;u&&u.killed?l({killed:this.terminateRequested,stdout:d.toString(),stderr:p.toString()}):this.handleExec(r,t,h,d,p)})}else{let c=null;const h=d=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(d,r,t,l);const p={terminated:this.terminateRequested};g.isNumber(d)&&(p.cmdCode=d),r(p)};if(this.shell&&f.isWindows){const d=m.deepClone(this.options);d.windowsVerbatimArguments=!0,d.detached=!1;let p=!1,u=!1;const O=[];let _=this.ensureQuotes(this.cmd);O.push(_.value),p=_.quoted,this.args&&this.args.forEach(x=>{_=this.ensureQuotes(x),O.push(_.value),u=u&&_.quoted});const q=["/s","/c"];p?u?q.push('"'+O.join(" ")+'"'):O.length>1?q.push('"'+O[0]+'" '+O.slice(1).join(" ")):q.push('"'+O[0]+'"'):q.push(O.join(" ")),c=R.spawn(S(),q,d)}else this.cmd&&(c=R.spawn(this.cmd,this.args,this.options));c&&(this.childProcess=c,this.childProcessPromise=Promise.resolve(c),this.pidResolve&&(this.pidResolve(g.isNumber(c.pid)?c.pid:-1),this.pidResolve=void 0),c.on("error",d=>{this.childProcess=null,l({terminated:this.terminateRequested,error:d})}),c.pid&&(this.childProcess.on("close",h),this.handleSpawn(c,r,t,l,!0)))}return s})}handleClose(t,n,r,l){}ensureQuotes(t){return w.regexp.test(t)?{value:'"'+t+'"',quoted:!0}:{value:t,quoted:t.length>0&&t[0]==='"'&&t[t.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(t=>t.pid,t=>-1):new Promise(t=>{this.pidResolve=t})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(t=>(this.terminateRequested=!0,I(t,this.options.cwd).then(n=>(n.success&&(this.childProcess=null),n))),t=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(t=>{if(!this.shell||!f.isWindows)return t(!1);const n=R.spawn(S(),["/s","/c"]);n.on("error",r=>t(!0)),n.on("exit",r=>t(!1))})}}e.AbstractProcess=w,w.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},w.regexp=/^[^"].* .*[^"]/;class b extends w{constructor(t,n,r,l){super(t,n,r,l);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(t,n,r,l,s){[l,s].forEach((c,h)=>{const d=new E.LineDecoder;d.write(c).forEach(O=>{n({line:O,source:h===0?0:1})});const u=d.end();u&&n({line:u,source:h===0?0:1})}),t({terminated:this.terminateRequested,error:r})}handleSpawn(t,n,r,l,s){const c=new E.LineDecoder,h=new E.LineDecoder;t.stdout.on("data",d=>{c.write(d).forEach(u=>r({line:u,source:0}))}),t.stderr.on("data",d=>{h.write(d).forEach(u=>r({line:u,source:1}))}),this.stdoutLineDecoder=c,this.stderrLineDecoder=h}handleClose(t,n,r,l){const s=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;s&&r({line:s,source:0});const c=this.stderrLineDecoder?this.stderrLineDecoder.end():null;c&&r({line:c,source:1})}}e.LineProcess=b;function y(i){let t=[],n=!1;const r=function(l){if(n){t.push(l);return}(!i.send(l,c=>{if(c&&console.error(c),n=!1,t.length>0){const h=t.slice(0);t=[],h.forEach(d=>r(d))}})||f.isWindows)&&(n=!0)};return{send:r}}e.createQueuedSender=y;var o;(function(i){async function t(n,r,l){if(v.isAbsolute(n))return n;if(r===void 0&&(r=P.cwd()),v.dirname(n)!=="."||(l===void 0&&g.isString(P.env.PATH)&&(l=P.env.PATH.split(v.delimiter)),l===void 0||l.length===0))return v.join(r,n);async function c(h){return await L.exists(h)?!(await A.promises.stat(h)).isDirectory():!1}for(let h of l){let d;if(v.isAbsolute(h)?d=v.join(h,n):d=v.join(r,h,n),await c(d))return d;let p=d+".com";if(await c(p)||(p=d+".exe",await c(p)))return p}return v.join(r,n)}i.findExecutable=t})(o=e.win32||(e.win32={}))}),define(Q[49],Z([0,1,48,2,6,26,3,106,33,88,30,15,22,7]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class a extends g.ChannelServer{constructor(w){super({send:b=>{try{process.send&&process.send(b.buffer.toString("base64"))}catch(y){}},onMessage:T.Event.fromNodeEventEmitter(process,"message",b=>E.VSBuffer.wrap(Buffer.from(b,"base64")))},w);process.once("disconnect",()=>this.dispose())}}e.Server=a;class I{constructor(w,b){this.modulePath=w,this.options=b,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new T.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const y=b&&b.timeout?b.timeout:6e4;this.disposeDelayer=new L.Delayer(y),this.child=null,this._client=null}getChannel(w){const b=this;return{call(y,o,i){return b.requestPromise(w,y,o,i)},listen(y,o){return b.requestEvent(w,y,o)}}}requestPromise(w,b,y,o=D.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(o.isCancellationRequested)return Promise.reject(f.canceled());this.disposeDelayer.cancel();const i=this.getCachedChannel(w),t=(0,L.createCancelablePromise)(l=>i.call(b,y,l)),n=o.onCancellationRequested(()=>t.cancel()),r=(0,A.toDisposable)(()=>t.cancel());return this.activeRequests.add(r),t.finally(()=>{n.dispose(),this.activeRequests.delete(r),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(w,b,y){if(!this.disposeDelayer)return T.Event.None;this.disposeDelayer.cancel();let o;const i=new T.Emitter({onFirstListenerAdd:()=>{o=this.getCachedChannel(w).listen(b,y)(i.fire,i),this.activeRequests.add(o)},onLastListenerRemove:()=>{this.activeRequests.delete(o),o.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return i.event}get client(){if(!this._client){const w=this.options&&this.options.args?this.options.args:[],b=Object.create(null);b.env=Object.assign(Object.assign({},(0,R.deepClone)(process.env)),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(b.env=Object.assign(Object.assign({},b.env),this.options.env)),this.options&&this.options.freshExecArgv&&(b.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(b.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(b.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),b.execArgv===void 0&&(b.execArgv=process.execArgv.filter(s=>!/^--inspect(-brk)?=/.test(s))),C.isMacintosh&&b.env&&delete b.env.DYLD_LIBRARY_PATH,this.child=(0,v.fork)(this.modulePath,w,b);const y=new T.Emitter;T.Event.fromNodeEventEmitter(this.child,"message",s=>s)(s=>{if((0,m.isRemoteConsoleLog)(s)){(0,m.log)(s,`IPC Library: ${this.options.serverName}`);return}y.fire(E.VSBuffer.wrap(Buffer.from(s,"base64")))});const i=this.options.useQueue?(0,P.createQueuedSender)(this.child):this.child,t=s=>this.child&&this.child.connected&&i.send(s.buffer.toString("base64")),n=y.event,r={send:t,onMessage:n};this._client=new g.ChannelClient(r);const l=()=>this.disposeClient();process.once("exit",l),this.child.on("error",s=>console.warn('IPC "'+this.options.serverName+'" errored with '+s)),this.child.on("exit",(s,c)=>{process.removeListener("exit",l),this.activeRequests.forEach(h=>(0,A.dispose)(h)),this.activeRequests.clear(),s!==0&&c!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+s+" and signal "+c),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:s,signal:c})})}return this._client}getCachedChannel(w){let b=this.channels.get(w);return b||(b=this.client.getChannel(w),this.channels.set(w,b)),b}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=I}),define(Q[107],Z([12,13]),function(G,e){return G.create("vs/base/node/zip",e)}),define(Q[108],Z([12,13]),function(G,e){return G.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Q[109],Z([12,13]),function(G,e){return G.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(Q[110],Z([12,13]),function(G,e){return G.create("vs/platform/extensionManagement/electron-sandbox/extensionTipsService",e)}),define(Q[111],Z([12,13]),function(G,e){return G.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(Q[112],Z([12,13]),function(G,e){return G.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(Q[113],Z([12,13]),function(G,e){return G.create("vs/platform/extensionManagement/node/extensionsScanner",e)}),define(Q[114],Z([12,13]),function(G,e){return G.create("vs/platform/extensions/common/extensionValidator",e)}),define(Q[115],Z([12,13]),function(G,e){return G.create("vs/platform/files/common/fileService",e)}),define(Q[116],Z([12,13]),function(G,e){return G.create("vs/platform/files/common/files",e)}),define(Q[117],Z([12,13]),function(G,e){return G.create("vs/platform/files/common/io",e)}),define(Q[118],Z([12,13]),function(G,e){return G.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(Q[119],Z([12,13]),function(G,e){return G.create("vs/platform/request/common/request",e)}),define(Q[120],Z([12,13]),function(G,e){return G.create("vs/platform/telemetry/common/telemetryService",e)}),define(Q[121],Z([12,13]),function(G,e){return G.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(Q[122],Z([12,13]),function(G,e){return G.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(Q[123],Z([12,13]),function(G,e){return G.create("vs/platform/userDataSync/common/settingsSync",e)}),define(Q[124],Z([12,13]),function(G,e){return G.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(Q[125],Z([12,13]),function(G,e){return G.create("vs/platform/userDataSync/common/userDataSync",e)}),define(Q[126],Z([12,13]),function(G,e){return G.create("vs/platform/userDataSync/common/userDataSyncMachines",e)});var ue=this&&this.__decorate||function(G,e,v,A){var L=arguments.length,R=L<3?e:A===null?A=Object.getOwnPropertyDescriptor(e,v):A,T;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate(G,e,v,A);else for(var P=G.length-1;P>=0;P--)(T=G[P])&&(R=(L<3?T(R):L>3?T(e,v,R):T(e,v))||R);return L>3&&R&&Object.defineProperty(e,v,R),R};define(Q[127],Z([0,1,8,11,86,54,16,5,41]),function(G,e,v,A,L,R,T,P,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class m{constructor(a,I,S){this._args=a,this.paths=I,this.productService=S}get appRoot(){return(0,v.dirname)(T.FileAccess.asFileUri("",G).fsPath)}get userHome(){return P.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return P.URI.file((0,v.join)(this.userDataPath,"User"))}get tmpDir(){return P.URI.file(this.paths.tmpDir)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,A.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,A.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const a=(0,R.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,v.join)(this.userDataPath,"logs",a)}return this.args.logsPath}get userDataSyncLogResource(){return P.URI.file((0,v.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,A.joinPath)(P.URI.file((0,v.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return P.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return P.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,A.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,A.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const a=g.env.VSCODE_PORTABLE;return a?P.URI.file((0,v.join)(a,"argv.json")):(0,A.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,A.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return P.URI.file((0,v.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,v.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const a=this.args["builtin-extensions-dir"];return a?(0,v.resolve)(a):(0,v.normalize)((0,v.join)(T.FileAccess.asFileUri("",G).fsPath,"..","extensions"))}get extensionsDownloadPath(){const a=this.args["extensions-download-dir"];return a?(0,v.resolve)(a):(0,v.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const a=this.args["extensions-dir"];if(a)return(0,v.resolve)(a);const I=g.env.VSCODE_EXTENSIONS;if(I)return I;const S=g.env.VSCODE_PORTABLE;return S?(0,v.join)(S,"extensions"):(0,A.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const a=this.args.extensionDevelopmentPath;if(Array.isArray(a))return a.map(I=>/^[^:/?#]+?:\/\//.test(I)?P.URI.parse(I):P.URI.file((0,v.normalize)(I)))}get extensionDevelopmentKind(){var a;return(a=this.args.extensionDevelopmentKind)===null||a===void 0?void 0:a.map(I=>I==="ui"||I==="workspace"||I==="web"?I:"workspace")}get extensionTestsLocationURI(){const a=this.args.extensionTestsPath;if(a)return/^[^:/?#]+?:\/\//.test(a)?P.URI.parse(a):P.URI.file((0,v.normalize)(a))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const a=this.args["disable-extension"];if(a){if(typeof a=="string")return[a];if(Array.isArray(a)&&a.length>0)return a}return!1}get debugExtensionHost(){return D(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!g.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,A.joinPath)(P.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return P.URI.file((0,v.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get args(){return this._args}}ue([L.memoize],m.prototype,"appRoot",null),ue([L.memoize],m.prototype,"userHome",null),ue([L.memoize],m.prototype,"userDataPath",null),ue([L.memoize],m.prototype,"appSettingsHome",null),ue([L.memoize],m.prototype,"tmpDir",null),ue([L.memoize],m.prototype,"userRoamingDataHome",null),ue([L.memoize],m.prototype,"settingsResource",null),ue([L.memoize],m.prototype,"userDataSyncHome",null),ue([L.memoize],m.prototype,"userDataSyncLogResource",null),ue([L.memoize],m.prototype,"sync",null),ue([L.memoize],m.prototype,"machineSettingsResource",null),ue([L.memoize],m.prototype,"globalStorageHome",null),ue([L.memoize],m.prototype,"workspaceStorageHome",null),ue([L.memoize],m.prototype,"keybindingsResource",null),ue([L.memoize],m.prototype,"keyboardLayoutResource",null),ue([L.memoize],m.prototype,"argvResource",null),ue([L.memoize],m.prototype,"snippetsHome",null),ue([L.memoize],m.prototype,"isExtensionDevelopment",null),ue([L.memoize],m.prototype,"untitledWorkspacesHome",null),ue([L.memoize],m.prototype,"installSourcePath",null),ue([L.memoize],m.prototype,"builtinExtensionsPath",null),ue([L.memoize],m.prototype,"extensionsPath",null),ue([L.memoize],m.prototype,"extensionDevelopmentLocationURI",null),ue([L.memoize],m.prototype,"extensionDevelopmentKind",null),ue([L.memoize],m.prototype,"extensionTestsLocationURI",null),ue([L.memoize],m.prototype,"debugExtensionHost",null),ue([L.memoize],m.prototype,"serviceMachineIdResource",null),ue([L.memoize],m.prototype,"telemetryLogResource",null),e.AbstractNativeEnvironmentService=m;function D(C,a){return E(C["inspect-extensions"],C["inspect-brk-extensions"],5870,a,C.debugId)}e.parseExtensionHostPort=D;function f(C,a){return E(C["inspect-search"],C["inspect-brk-search"],5876,a)}e.parseSearchPort=f;function E(C,a,I,S,w){const y=Number(a||C)||(S?null:I),o=y?Boolean(!!a):!1;return{port:y,break:o,debugId:w}}}),function(){"use strict";function G(e,v,A){function L(T){return e.resolve(R(T))}function R(T){const P=process.env.VSCODE_PORTABLE;if(P)return e.join(P,"user-data");const g=T["user-data-dir"];if(g)return g;let m=process.env.VSCODE_APPDATA;if(!m)switch(process.platform){case"win32":if(m=process.env.APPDATA,!m){const D=process.env.USERPROFILE;if(typeof D!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");m=e.join(D,"AppData","Roaming")}break;case"darwin":m=e.join(v.homedir(),"Library","Application Support");break;case"linux":m=process.env.XDG_CONFIG_HOME||e.join(v.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(m,A)}return{getUserDataPath:L}}if(typeof define=="function")define(Q[128],Z([0,204,37,16,11]),function(e,v,A,L,R){const T=R.dirname(L.FileAccess.asFileUri("",e)),P=e.__$__nodeRequire(R.joinPath(T,"package.json").fsPath);return G(v,A,P.name)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),v=require("path"),A=require("os");module.exports=G(v,A,e.name)}else throw new Error("Unknown context")}(),define(Q[129],Z([0,1,37,128,127]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class R extends L.AbstractNativeEnvironmentService{constructor(P,g){super(P,{homeDir:(0,v.homedir)(),tmpDir:(0,v.tmpdir)(),userDataDir:(0,A.getUserDataPath)(P)},g)}}e.NativeEnvironmentService=R}),define(Q[130],Z([0,1,5]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemotes=e.getDomainsOfRemotes=e.AllowedSecondLevelDomains=void 0;const A=/^([^@:]+@)?([^:]+):/,L=/^([^@:]+@)?([^:]+):(.+)$/,R=/^([^@]+@)?([^:]+)(:\d+)?$/,T=/([^@:.]+\.[^@:.]+)(:\d+)?$/,P=/^\s*url\s*=\s*(.+\S)\s*$/mg,g=/[^.]/g;e.AllowedSecondLevelDomains=["github.com","bitbucket.org","visualstudio.com","gitlab.com","heroku.com","azurewebsites.net","ibm.com","amazon.com","amazonaws.com","cloudapp.net","rhcloud.com","google.com","azure.com"];function m(S){const w=S.match(T);return w?w[1]:null}function D(S){if(S.indexOf("://")===-1){const w=S.match(A);return w?m(w[2]):null}try{const w=v.URI.parse(S);if(w.authority)return m(w.authority)}catch(w){}return null}function f(S,w){const b=new Set;let y;for(;y=P.exec(S);){const i=D(y[1]);i&&b.add(i)}const o=new Set(w);return Array.from(b).map(i=>o.has(i)?i:i.replace(g,"a"))}e.getDomainsOfRemotes=f;function E(S){const w=S.match(R);return w?w[2]:null}function C(S,w,b){return S&&w?(b&&w.endsWith(".git")&&(w=w.substr(0,w.length-4)),w.indexOf("/")===0?`${S}${w}`:`${S}/${w}`):null}function a(S,w){if(S.indexOf("://")===-1){const b=S.match(L);if(b)return C(b[2],b[3],w)}try{const b=v.URI.parse(S);if(b.authority)return C(E(b.authority),b.path,w)}catch(b){}return null}function I(S,w=!1){const b=[];let y;for(;y=P.exec(S);){const o=a(y[1],w);o&&b.push(o)}return b}e.getRemotes=I}),define(Q[131],Z([0,1,3,5,91,26,2]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function P(a,I){return A.URI.revive(I?I.transformIncoming(a):a)}function g(a,I){return I?I.transformOutgoingURI(a):a}function m(a,I){I=I||L.DefaultURITransformer;const S=a.manifest,w=(0,L.transformAndReviveIncomingURIs)(Object.assign(Object.assign({},a),{manifest:void 0}),I);return Object.assign(Object.assign({},w),{manifest:S})}function D(a,I){return I?(0,R.cloneAndChange)(a,S=>S instanceof A.URI?I.transformOutgoingURI(S):void 0):a}class f{constructor(I,S){this.service=I,this.getUriTransformer=S,this.onInstallExtension=v.Event.buffer(I.onInstallExtension,!0),this.onDidInstallExtension=v.Event.buffer(I.onDidInstallExtension,!0),this.onUninstallExtension=v.Event.buffer(I.onUninstallExtension,!0),this.onDidUninstallExtension=v.Event.buffer(I.onDidUninstallExtension,!0)}listen(I,S){const w=this.getUriTransformer(I);switch(S){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtension":return v.Event.map(this.onDidInstallExtension,b=>Object.assign(Object.assign({},b),{local:b.local?D(b.local,w):b.local}));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(I,S,w){const b=this.getUriTransformer(I);switch(S){case"zip":return this.service.zip(m(w[0],b)).then(y=>g(y,b));case"unzip":return this.service.unzip(P(w[0],b));case"install":return this.service.install(P(w[0],b));case"getManifest":return this.service.getManifest(P(w[0],b));case"canInstall":return this.service.canInstall(w[0]);case"installFromGallery":return this.service.installFromGallery(w[0],w[1]);case"uninstall":return this.service.uninstall(m(w[0],b),w[1]);case"reinstallFromGallery":return this.service.reinstallFromGallery(m(w[0],b));case"getInstalled":return this.service.getInstalled(w[0]).then(y=>y.map(o=>D(o,b)));case"updateMetadata":return this.service.updateMetadata(m(w[0],b),w[1]).then(y=>D(y,b));case"updateExtensionScope":return this.service.updateExtensionScope(m(w[0],b),w[1]).then(y=>D(y,b));case"getExtensionsReport":return this.service.getExtensionsReport()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=f;class E extends T.Disposable{constructor(I){super();this.channel=I,this._onInstallExtension=this._register(new v.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new v.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new v.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new v.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this._register(this.channel.listen("onInstallExtension")(S=>this._onInstallExtension.fire(S))),this._register(this.channel.listen("onDidInstallExtension")(S=>this._onDidInstallExtension.fire(Object.assign(Object.assign({},S),{local:S.local?m(S.local,null):S.local})))),this._register(this.channel.listen("onUninstallExtension")(S=>this._onUninstallExtension.fire(S))),this._register(this.channel.listen("onDidUninstallExtension")(S=>this._onDidUninstallExtension.fire(S)))}zip(I){return Promise.resolve(this.channel.call("zip",[I]).then(S=>A.URI.revive(S)))}unzip(I){return Promise.resolve(this.channel.call("unzip",[I]))}install(I){return Promise.resolve(this.channel.call("install",[I])).then(S=>m(S,null))}getManifest(I){return Promise.resolve(this.channel.call("getManifest",[I]))}async canInstall(I){return!0}installFromGallery(I,S){return Promise.resolve(this.channel.call("installFromGallery",[I,S])).then(w=>m(w,null))}uninstall(I,S){return Promise.resolve(this.channel.call("uninstall",[I,S]))}reinstallFromGallery(I){return Promise.resolve(this.channel.call("reinstallFromGallery",[I]))}getInstalled(I=null){return Promise.resolve(this.channel.call("getInstalled",[I])).then(S=>S.map(w=>m(w,null)))}updateMetadata(I,S){return Promise.resolve(this.channel.call("updateMetadata",[I,S])).then(w=>m(w,null))}updateExtensionScope(I,S){return Promise.resolve(this.channel.call("updateExtensionScope",[I,S])).then(w=>m(w,null))}getExtensionsReport(){return Promise.resolve(this.channel.call("getExtensionsReport"))}}e.ExtensionManagementChannelClient=E;class C{constructor(I){this.service=I}listen(I,S){throw new Error("Invalid listen")}call(I,S,w){switch(S){case"getConfigBasedTips":return this.service.getConfigBasedTips(A.URI.revive(w[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=C}),define(Q[132],Z([0,1,26]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.localizeManifest=void 0;const A=/^%([\w\d.-]+)%$/i;function L(R,T){const P=g=>{if(typeof g=="string"){const m=A.exec(g);if(!!m)return T[m[1]]||g}};return(0,v.cloneAndChange)(R,P)}e.localizeManifest=L}),define(Q[133],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionRecommendationNotificationServiceChannel=e.ExtensionRecommendationNotificationServiceChannelClient=void 0;class v{constructor(R){this.channel=R}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(R,T,P,g){return this.channel.call("promptImportantExtensionsInstallNotification",[R,T,P,g])}promptWorkspaceRecommendations(R){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.ExtensionRecommendationNotificationServiceChannelClient=v;class A{constructor(R){this.service=R}listen(R,T){throw new Error(`Event not found: ${T}`)}call(R,T,P){switch(T){case"promptImportantExtensionsInstallNotification":return this.service.promptImportantExtensionsInstallNotification(P[0],P[1],P[2],P[3])}throw new Error(`Call not found: ${T}`)}}e.ExtensionRecommendationNotificationServiceChannel=A}),define(Q[68],Z([0,1,114]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVersionValid=e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const A=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/;function L(f){return f=f.trim(),f==="*"||A.test(f)}e.isValidVersionStr=L;function R(f){if(!L(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let E=f.match(A);return E?{hasCaret:E[1]==="^",hasGreaterEquals:E[1]===">=",majorBase:E[2]==="x"?0:parseInt(E[2],10),majorMustEqual:E[2]!=="x",minorBase:E[4]==="x"?0:parseInt(E[4],10),minorMustEqual:E[4]!=="x",patchBase:E[6]==="x"?0:parseInt(E[6],10),patchMustEqual:E[6]!=="x",preRelease:E[8]||null}:null}e.parseVersion=R;function T(f){if(!f)return null;let E=f.majorBase,C=f.majorMustEqual,a=f.minorBase,I=f.minorMustEqual,S=f.patchBase,w=f.patchMustEqual;return f.hasCaret&&(E===0||(I=!1),w=!1),{majorBase:E,majorMustEqual:C,minorBase:a,minorMustEqual:I,patchBase:S,patchMustEqual:w,isMinimum:f.hasGreaterEquals}}e.normalizeVersion=T;function P(f,E){let C;typeof f=="string"?C=T(R(f)):C=f;let a;if(typeof E=="string"?a=T(R(E)):a=E,!C||!a)return!1;let I=C.majorBase,S=C.minorBase,w=C.patchBase,b=a.majorBase,y=a.minorBase,o=a.patchBase,i=a.majorMustEqual,t=a.minorMustEqual,n=a.patchMustEqual;return a.isMinimum?I>b?!0:I<b?!1:S>y?!0:S<y?!1:w>=o:(I===1&&b===0&&(!i||!t||!n)&&(b=1,y=0,o=0,i=!0,t=!1,n=!1),I<b?!1:I>b?!i:S<y?!1:S>y?!t:w<o?!1:w>o?!n:!0)}e.isValidVersion=P;function g(f,E,C){return E.isBuiltin||typeof E.main=="undefined"?!0:D(f,E.engines.vscode,C)}e.isValidExtensionVersion=g;function m(f,E){return f==="*"||D(E,f)}e.isEngineValid=m;function D(f,E,C=[]){let a=T(R(E));if(!a)return C.push(v.localize(0,null,E)),!1;if(a.majorBase===0){if(!a.majorMustEqual||!a.minorMustEqual)return C.push(v.localize(1,null,E)),!1}else if(!a.majorMustEqual)return C.push(v.localize(2,null,E)),!1;return P(f,a)?!0:(C.push(v.localize(3,null,f,E)),!1)}e.isVersionValid=D}),define(Q[134],Z([0,1,33,49,2,16]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class T extends L.Disposable{constructor(g,m,D,f){super();this.folders=g,this.onDidFilesChange=m,this.onLogMessage=D,this.verboseLogging=f,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const g=this._register(new A.Client(R.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(g.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=T.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService((0,v.getNextTickChannel)(g.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(m=>!this.isDisposed&&this.onDidFilesChange(m))),this._register(this.service.onDidLogMessage(m=>this.onLogMessage(m))),this.setFolders(this.folders)}setVerboseLogging(g){this.verboseLogging=g,!this.isDisposed&&this.service&&this.service.setVerboseLogging(g)}error(g){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${g}`})}setFolders(g){this.folders=g,this.service&&this.service.setRoots(g)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=T,T.MAX_RESTARTS=5}),define(Q[135],Z([0,1,33,49,2,16]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class T extends L.Disposable{constructor(g,m,D,f,E={}){super();this.folders=g,this.onDidFilesChange=m,this.onLogMessage=D,this.verboseLogging=f,this.watcherOptions=E,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const g=this._register(new A.Client(R.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(g.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=T.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService((0,v.getNextTickChannel)(g.getChannel("watcher"))),this.service.init(Object.assign(Object.assign({},this.watcherOptions),{verboseLogging:this.verboseLogging})),this._register(this.service.onDidChangeFile(m=>!this.isDisposed&&this.onDidFilesChange(m))),this._register(this.service.onDidLogMessage(m=>this.onLogMessage(m))),this.service.setRoots(this.folders)}error(g){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${g}`})}setVerboseLogging(g){this.verboseLogging=g,this.service&&this.service.setVerboseLogging(g)}setFolders(g){this.folders=g,this.service&&this.service.setRoots(g)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=T,T.MAX_RESTARTS=5}),define(Q[136],Z([0,1,48,66,90,16]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutOfProcessWin32FolderWatcher=void 0;class T{constructor(g,m,D,f,E){this.watchedFolder=g,this.eventCallback=D,this.logCallback=f,this.verboseLogging=E,this.restartCounter=0,Array.isArray(m)?this.ignored=m.map(C=>L.parse(C)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${g}`),this.startWatcher()}startWatcher(){const g=[this.watchedFolder];this.verboseLogging&&g.push("-verbose"),this.handle=v.spawn(R.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",G).fsPath,g);const m=new A.LineDecoder;this.handle.stdout.on("data",D=>{const f=[];m.write(D).forEach(E=>{const C=E.split("|");if(C.length===2){const a=Number(C[0]),I=C[1];if(a>=0&&a<3){if(this.ignored&&this.ignored.some(S=>S(I))){this.verboseLogging&&this.log(I);return}f.push({type:T.changeTypeMap[a],path:I})}else this.log(C[1])}}),f.length>0&&this.eventCallback(f)}),this.handle.on("error",D=>this.onError(D)),this.handle.stderr.on("data",D=>this.onError(D)),this.handle.on("exit",(D,f)=>this.onExit(D,f))}onError(g){this.error("process error: "+g.toString())}onExit(g,m){this.handle&&(this.error(`terminated unexpectedly (code: ${g}, signal: ${m})`),this.restartCounter<=T.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(g){this.logCallback({type:"error",message:`[File Watcher (C#)] ${g}`})}log(g){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${g}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}e.OutOfProcessWin32FolderWatcher=T,T.MAX_RESTARTS=5,T.changeTypeMap=[0,1,2]}),define(Q[137],Z([0,1,136,8,21]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class R{constructor(P,g,m,D){this.onDidFilesChange=g,this.onLogMessage=m,this.verboseLogging=D,this.service=void 0,this.folder=P[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(A.posix.sep)&&(this.folder.path=(0,L.rtrim)(this.folder.path,A.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new v.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,P=>this.onFileEvents(P),P=>this.onLogMessage(P),this.verboseLogging)}setVerboseLogging(P){this.verboseLogging=P,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(P){this.isDisposed||P.length>0&&this.onDidFilesChange(P)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}e.FileWatcher=R}),define(Q[50],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class v{constructor(R,T=[],P=!1){this.ctor=R,this.staticArguments=T,this.supportsDelayedInstantiation=P}}e.SyncDescriptor=v;const A=(L,...R)=>new v(L,R);e.createSyncDescriptor=A}),define(Q[138],Z([0,1,50]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const A=[];function L(T,P,g){P instanceof v.SyncDescriptor||(P=new v.SyncDescriptor(P,[],g)),A.push([T,P])}e.registerSingleton=L;function R(){return A}e.getSingletonServiceDescriptors=R}),define(Q[139],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class v{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}e.Node=v;class A{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(let T of this._nodes.values())T.outgoing.size===0&&R.push(T);return R}insertEdge(R,T){const P=this.lookupOrInsertNode(R),g=this.lookupOrInsertNode(T);P.outgoing.set(this._hashFn(T),g),g.incoming.set(this._hashFn(R),P)}removeNode(R){const T=this._hashFn(R);this._nodes.delete(T);for(let P of this._nodes.values())P.outgoing.delete(T),P.incoming.delete(T)}lookupOrInsertNode(R){const T=this._hashFn(R);let P=this._nodes.get(T);return P||(P=new v(R),this._nodes.set(T,P)),P}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){let R=[];for(let[T,P]of this._nodes)R.push(`${T}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return R.join(`
`)}}e.Graph=A}),define(Q[4],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var v;(function(P){P.serviceIds=new Map,P.DI_TARGET="$di$target",P.DI_DEPENDENCIES="$di$dependencies";function g(m){return m[P.DI_DEPENDENCIES]||[]}P.getServiceDependencies=g})(v=e._util||(e._util={})),e.IInstantiationService=L("instantiationService");function A(P,g,m,D){g[v.DI_TARGET]===g?g[v.DI_DEPENDENCIES].push({id:P,index:m,optional:D}):(g[v.DI_DEPENDENCIES]=[{id:P,index:m,optional:D}],g[v.DI_TARGET]=g)}function L(P){if(v.serviceIds.has(P))return v.serviceIds.get(P);const g=function(m,D,f){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");A(g,m,f,!1)};return g.toString=()=>P,v.serviceIds.set(P,g),g}e.createDecorator=L;function R(P){return P}e.refineServiceDecorator=R;function T(P){return function(g,m,D){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");A(P,g,D,!0)}}e.optional=T}),define(Q[140],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IChecksumService=void 0,e.IChecksumService=(0,v.createDecorator)("checksumService")}),define(Q[141],Z([0,1,21,4,7]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let R=L.userAgent||"";const T=new Map;T.set("false",!1),T.set("true",!0),T.set("isMac",L.isMacintosh),T.set("isLinux",L.isLinux),T.set("isWindows",L.isWindows),T.set("isWeb",L.isWeb),T.set("isMacNative",L.isMacintosh&&!L.isWeb),T.set("isEdge",R.indexOf("Edg/")>=0),T.set("isFirefox",R.indexOf("Firefox")>=0),T.set("isChrome",R.indexOf("Chrome")>=0),T.set("isSafari",R.indexOf("Safari")>=0),T.set("isIPad",R.indexOf("iPad")>=0);const P=Object.prototype.hasOwnProperty;var g;(function(p){p[p.False=0]="False",p[p.True=1]="True",p[p.Defined=2]="Defined",p[p.Not=3]="Not",p[p.Equals=4]="Equals",p[p.NotEquals=5]="NotEquals",p[p.And=6]="And",p[p.Regex=7]="Regex",p[p.NotRegex=8]="NotRegex",p[p.Or=9]="Or",p[p.In=10]="In",p[p.NotIn=11]="NotIn",p[p.Greater=12]="Greater",p[p.GreaterEquals=13]="GreaterEquals",p[p.Smaller=14]="Smaller",p[p.SmallerEquals=15]="SmallerEquals"})(g=e.ContextKeyExprType||(e.ContextKeyExprType={}));class m{static false(){return f.INSTANCE}static true(){return E.INSTANCE}static has(u){return C.create(u)}static equals(u,O){return a.create(u,O)}static notEquals(u,O){return w.create(u,O)}static regex(u,O){return n.create(u,O)}static in(u,O){return I.create(u,O)}static not(u){return b.create(u)}static and(...u){return l.create(u)}static or(...u){return s.create(u)}static greater(u,O){return y.create(u,O)}static less(u,O){return i.create(u,O)}static deserialize(u,O=!1){if(!!u)return this._deserializeOrExpression(u,O)}static _deserializeOrExpression(u,O){let _=u.split("||");return s.create(_.map(q=>this._deserializeAndExpression(q,O)))}static _deserializeAndExpression(u,O){let _=u.split("&&");return l.create(_.map(q=>this._deserializeOne(q,O)))}static _deserializeOne(u,O){if(u=u.trim(),u.indexOf("!=")>=0){let _=u.split("!=");return w.create(_[0].trim(),this._deserializeValue(_[1],O))}if(u.indexOf("==")>=0){let _=u.split("==");return a.create(_[0].trim(),this._deserializeValue(_[1],O))}if(u.indexOf("=~")>=0){let _=u.split("=~");return n.create(_[0].trim(),this._deserializeRegexValue(_[1],O))}if(u.indexOf(" in ")>=0){let _=u.split(" in ");return I.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(u)){const _=u.split(">=");return o.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(u)){const _=u.split(">");return y.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(u)){const _=u.split("<=");return t.create(_[0].trim(),_[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(u)){const _=u.split("<");return i.create(_[0].trim(),_[1].trim())}return/^\!\s*/.test(u)?b.create(u.substr(1).trim()):C.create(u)}static _deserializeValue(u,O){if(u=u.trim(),u==="true")return!0;if(u==="false")return!1;let _=/^'([^']*)'$/.exec(u);return _?_[1].trim():u}static _deserializeRegexValue(u,O){if((0,v.isFalsyOrWhitespace)(u)){if(O)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let _=u.indexOf("/"),q=u.lastIndexOf("/");if(_===q||_<0){if(O)throw new Error(`bad regexp-value '${u}', missing /-enclosure`);return console.warn(`bad regexp-value '${u}', missing /-enclosure`),null}let x=u.slice(_+1,q),j=u[q+1]==="i"?"i":"";try{return new RegExp(x,j)}catch($){if(O)throw new Error(`bad regexp-value '${u}', parse error: ${$}`);return console.warn(`bad regexp-value '${u}', parse error: ${$}`),null}}}e.ContextKeyExpr=m;function D(p,u){return p.cmp(u)}class f{constructor(){this.type=0}cmp(u){return this.type-u.type}equals(u){return u.type===this.type}evaluate(u){return!1}serialize(){return"false"}keys(){return[]}map(u){return this}negate(){return E.INSTANCE}}e.ContextKeyFalseExpr=f,f.INSTANCE=new f;class E{constructor(){this.type=1}cmp(u){return this.type-u.type}equals(u){return u.type===this.type}evaluate(u){return!0}serialize(){return"true"}keys(){return[]}map(u){return this}negate(){return f.INSTANCE}}e.ContextKeyTrueExpr=E,E.INSTANCE=new E;class C{constructor(u){this.key=u,this.type=2}static create(u){const O=T.get(u);return typeof O=="boolean"?O?E.INSTANCE:f.INSTANCE:new C(u)}cmp(u){return u.type!==this.type?this.type-u.type:h(this.key,u.key)}equals(u){return u.type===this.type?this.key===u.key:!1}evaluate(u){return!!u.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(u){return u.mapDefined(this.key)}negate(){return b.create(this.key)}}e.ContextKeyDefinedExpr=C;class a{constructor(u,O){this.key=u,this.value=O,this.type=4}static create(u,O){if(typeof O=="boolean")return O?C.create(u):b.create(u);const _=T.get(u);return typeof _=="boolean"?O===(_?"true":"false")?E.INSTANCE:f.INSTANCE:new a(u,O)}cmp(u){return u.type!==this.type?this.type-u.type:d(this.key,this.value,u.key,u.value)}equals(u){return u.type===this.type?this.key===u.key&&this.value===u.value:!1}evaluate(u){return u.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(u){return u.mapEquals(this.key,this.value)}negate(){return w.create(this.key,this.value)}}e.ContextKeyEqualsExpr=a;class I{constructor(u,O){this.key=u,this.valueKey=O,this.type=10}static create(u,O){return new I(u,O)}cmp(u){return u.type!==this.type?this.type-u.type:d(this.key,this.valueKey,u.key,u.valueKey)}equals(u){return u.type===this.type?this.key===u.key&&this.valueKey===u.valueKey:!1}evaluate(u){const O=u.getValue(this.valueKey),_=u.getValue(this.key);return Array.isArray(O)?O.indexOf(_)>=0:typeof _=="string"&&typeof O=="object"&&O!==null?P.call(O,_):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(u){return u.mapIn(this.key,this.valueKey)}negate(){return S.create(this)}}e.ContextKeyInExpr=I;class S{constructor(u){this._actual=u,this.type=11}static create(u){return new S(u)}cmp(u){return u.type!==this.type?this.type-u.type:this._actual.cmp(u._actual)}equals(u){return u.type===this.type?this._actual.equals(u._actual):!1}evaluate(u){return!this._actual.evaluate(u)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(u){return new S(this._actual.map(u))}negate(){return this._actual}}e.ContextKeyNotInExpr=S;class w{constructor(u,O){this.key=u,this.value=O,this.type=5}static create(u,O){if(typeof O=="boolean")return O?b.create(u):C.create(u);const _=T.get(u);return typeof _=="boolean"?O===(_?"true":"false")?f.INSTANCE:E.INSTANCE:new w(u,O)}cmp(u){return u.type!==this.type?this.type-u.type:d(this.key,this.value,u.key,u.value)}equals(u){return u.type===this.type?this.key===u.key&&this.value===u.value:!1}evaluate(u){return u.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(u){return u.mapNotEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=w;class b{constructor(u){this.key=u,this.type=3}static create(u){const O=T.get(u);return typeof O=="boolean"?O?f.INSTANCE:E.INSTANCE:new b(u)}cmp(u){return u.type!==this.type?this.type-u.type:h(this.key,u.key)}equals(u){return u.type===this.type?this.key===u.key:!1}evaluate(u){return!u.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(u){return u.mapNot(this.key)}negate(){return C.create(this.key)}}e.ContextKeyNotExpr=b;class y{constructor(u,O){this.key=u,this.value=O,this.type=12}static create(u,O){return new y(u,O)}cmp(u){return u.type!==this.type?this.type-u.type:d(this.key,this.value,u.key,u.value)}equals(u){return u.type===this.type?this.key===u.key&&this.value===u.value:!1}evaluate(u){return parseFloat(u.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(u){return u.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=y;class o{constructor(u,O){this.key=u,this.value=O,this.type=13}static create(u,O){return new o(u,O)}cmp(u){return u.type!==this.type?this.type-u.type:d(this.key,this.value,u.key,u.value)}equals(u){return u.type===this.type?this.key===u.key&&this.value===u.value:!1}evaluate(u){return parseFloat(u.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(u){return u.mapGreaterEquals(this.key,this.value)}negate(){return i.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=o;class i{constructor(u,O){this.key=u,this.value=O,this.type=14}static create(u,O){return new i(u,O)}cmp(u){return u.type!==this.type?this.type-u.type:d(this.key,this.value,u.key,u.value)}equals(u){return u.type===this.type?this.key===u.key&&this.value===u.value:!1}evaluate(u){return parseFloat(u.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(u){return u.mapSmaller(this.key,this.value)}negate(){return o.create(this.key,this.value)}}e.ContextKeySmallerExpr=i;class t{constructor(u,O){this.key=u,this.value=O,this.type=15}static create(u,O){return new t(u,O)}cmp(u){return u.type!==this.type?this.type-u.type:d(this.key,this.value,u.key,u.value)}equals(u){return u.type===this.type?this.key===u.key&&this.value===u.value:!1}evaluate(u){return parseFloat(u.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(u){return u.mapSmallerEquals(this.key,this.value)}negate(){return y.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class n{constructor(u,O){this.key=u,this.regexp=O,this.type=7}static create(u,O){return new n(u,O)}cmp(u){if(u.type!==this.type)return this.type-u.type;if(this.key<u.key)return-1;if(this.key>u.key)return 1;const O=this.regexp?this.regexp.source:"",_=u.regexp?u.regexp.source:"";return O<_?-1:O>_?1:0}equals(u){if(u.type===this.type){const O=this.regexp?this.regexp.source:"",_=u.regexp?u.regexp.source:"";return this.key===u.key&&O===_}return!1}evaluate(u){let O=u.getValue(this.key);return this.regexp?this.regexp.test(O):!1}serialize(){const u=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${u}`}keys(){return[this.key]}map(u){return u.mapRegex(this.key,this.regexp)}negate(){return r.create(this)}}e.ContextKeyRegexExpr=n;class r{constructor(u){this._actual=u,this.type=8}static create(u){return new r(u)}cmp(u){return u.type!==this.type?this.type-u.type:this._actual.cmp(u._actual)}equals(u){return u.type===this.type?this._actual.equals(u._actual):!1}evaluate(u){return!this._actual.evaluate(u)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(u){return new r(this._actual.map(u))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=r;class l{constructor(u){this.expr=u,this.type=6}static create(u){return l._normalizeArr(u)}cmp(u){if(u.type!==this.type)return this.type-u.type;if(this.expr.length<u.expr.length)return-1;if(this.expr.length>u.expr.length)return 1;for(let O=0,_=this.expr.length;O<_;O++){const q=D(this.expr[O],u.expr[O]);if(q!==0)return q}return 0}equals(u){if(u.type===this.type){if(this.expr.length!==u.expr.length)return!1;for(let O=0,_=this.expr.length;O<_;O++)if(!this.expr[O].equals(u.expr[O]))return!1;return!0}return!1}evaluate(u){for(let O=0,_=this.expr.length;O<_;O++)if(!this.expr[O].evaluate(u))return!1;return!0}static _normalizeArr(u){const O=[];let _=!1;for(const q of u)if(!!q){if(q.type===1){_=!0;continue}if(q.type===0)return f.INSTANCE;if(q.type===6){O.push(...q.expr);continue}O.push(q)}if(O.length===0&&_)return E.INSTANCE;if(O.length!==0){if(O.length===1)return O[0];for(O.sort(D);O.length>1;){const q=O[O.length-1];if(q.type!==9)break;O.pop();const x=O.pop(),j=s.create(q.expr.map($=>l.create([$,x])));j&&(O.push(j),O.sort(D))}return O.length===1?O[0]:new l(O)}}serialize(){return this.expr.map(u=>u.serialize()).join(" && ")}keys(){const u=[];for(let O of this.expr)u.push(...O.keys());return u}map(u){return new l(this.expr.map(O=>O.map(u)))}negate(){let u=[];for(let O of this.expr)u.push(O.negate());return s.create(u)}}e.ContextKeyAndExpr=l;class s{constructor(u){this.expr=u,this.type=9}static create(u){const O=s._normalizeArr(u);if(O.length!==0)return O.length===1?O[0]:new s(O)}cmp(u){if(u.type!==this.type)return this.type-u.type;if(this.expr.length<u.expr.length)return-1;if(this.expr.length>u.expr.length)return 1;for(let O=0,_=this.expr.length;O<_;O++){const q=D(this.expr[O],u.expr[O]);if(q!==0)return q}return 0}equals(u){if(u.type===this.type){if(this.expr.length!==u.expr.length)return!1;for(let O=0,_=this.expr.length;O<_;O++)if(!this.expr[O].equals(u.expr[O]))return!1;return!0}return!1}evaluate(u){for(let O=0,_=this.expr.length;O<_;O++)if(this.expr[O].evaluate(u))return!0;return!1}static _normalizeArr(u){let O=[],_=!1;if(u){for(let q=0,x=u.length;q<x;q++){const j=u[q];if(!!j){if(j.type===0){_=!0;continue}if(j.type===1)return[E.INSTANCE];if(j.type===9){O=O.concat(j.expr);continue}O.push(j)}}if(O.length===0&&_)return[f.INSTANCE];O.sort(D)}return O}serialize(){return this.expr.map(u=>u.serialize()).join(" || ")}keys(){const u=[];for(let O of this.expr)u.push(...O.keys());return u}map(u){return new s(this.expr.map(O=>O.map(u)))}negate(){let u=[];for(let _ of this.expr)u.push(_.negate());const O=_=>_.type===9?_.expr:[_];for(;u.length>1;){const _=u.shift(),q=u.shift(),x=[];for(const j of O(_))for(const $ of O(q))x.push(m.and(j,$));u.unshift(m.or(...x))}return u[0]}}e.ContextKeyOrExpr=s;class c extends C{constructor(u,O,_){super(u);this.key=u,this._defaultValue=O,typeof _=="object"?c._info.push(Object.assign(Object.assign({},_),{key:u})):_!==!0&&c._info.push({key:u,description:_,type:O!=null?typeof O:void 0})}static all(){return c._info.values()}bindTo(u){return u.createKey(this.key,this._defaultValue)}getValue(u){return u.getContextKeyValue(this.key)}toNegated(){return m.not(this.key)}isEqualTo(u){return m.equals(this.key,u)}notEqualsTo(u){return m.notEquals(this.key,u)}}e.RawContextKey=c,c._info=[],e.IContextKeyService=(0,A.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function h(p,u){return p<u?-1:p>u?1:0}function d(p,u,O,_){return p<O?-1:p>O?1:u<_?-1:u>_?1:0}}),define(Q[69],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,v.createDecorator)(e.ID);function A(L){return!!L.hostName&&!!L.errorMessage}e.isRemoteDiagnosticError=A}),define(Q[70],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,v.createDecorator)("downloadService")}),define(Q[10],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,v.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,v.refineServiceDecorator)(e.IEnvironmentService)});var Y=this&&this.__param||function(G,e){return function(v,A){e(v,A,G)}};define(Q[142],Z([0,1,10,8,23,15,2,6]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogsDataCleaner=void 0;let g=class extends T.Disposable{constructor(D){super();this.environmentService=D,this.cleanUpOldLogsSoon()}cleanUpOldLogsSoon(){let D=setTimeout(()=>{D=void 0;const f=(0,A.basename)(this.environmentService.logsPath),E=(0,A.dirname)(this.environmentService.logsPath);(0,L.readdir)(E).then(C=>{const I=C.filter(w=>/^\d{8}T\d{6}$/.test(w)).sort().filter((w,b)=>w!==f),S=I.slice(0,Math.max(0,I.length-9));return P.Promises.settled(S.map(w=>(0,L.rimraf)((0,A.join)(E,w))))}).then(null,R.onUnexpectedError)},10*1e3);this._register((0,T.toDisposable)(()=>{D&&(clearTimeout(D),D=void 0)}))}};g=ue([Y(0,v.IEnvironmentService)],g),e.LogsDataCleaner=g}),define(Q[143],Z([0,1,27,10,8,23,15,2]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDataCleaner=void 0;let g=class at extends P.Disposable{constructor(D,f){super();this.backupWorkspacesPath=D,this.environmentService=f,this.cleanUpStorageSoon()}cleanUpStorageSoon(){let D=setTimeout(()=>{D=void 0,(async()=>{try{const f=await v.promises.readFile(this.backupWorkspacesPath,"utf8"),C=JSON.parse(f).emptyWorkspaceInfos.map(S=>S.backupFolder),a=await(0,R.readdir)(this.environmentService.workspaceStorageHome.fsPath),I=[];a.forEach(S=>{S.length!==at.NON_EMPTY_WORKSPACE_ID_LENGTH&&C.indexOf(S)===-1&&I.push((0,R.rimraf)((0,L.join)(this.environmentService.workspaceStorageHome.fsPath,S)))}),await Promise.all(I)}catch(f){(0,T.onUnexpectedError)(f)}})()},30*1e3);this._register((0,P.toDisposable)(()=>{D&&(clearTimeout(D),D=void 0)}))}};g.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4,g=ue([Y(1,A.INativeEnvironmentService)],g),e.StorageDataCleaner=g}),define(Q[28],Z([0,1,109,4,16]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function R(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=R;var T;(function(f){f[f.NoneOrRelevance=0]="NoneOrRelevance",f[f.LastUpdatedDate=1]="LastUpdatedDate",f[f.Title=2]="Title",f[f.PublisherName=3]="PublisherName",f[f.InstallCount=4]="InstallCount",f[f.PublishedDate=5]="PublishedDate",f[f.AverageRating=6]="AverageRating",f[f.WeightedRating=12]="WeightedRating"})(T=e.SortBy||(e.SortBy={}));var P;(function(f){f[f.Default=0]="Default",f[f.Ascending=1]="Ascending",f[f.Descending=2]="Descending"})(P=e.SortOrder||(e.SortOrder={}));var g;(function(f){f.Uninstall="uninstall"})(g=e.StatisticType||(e.StatisticType={}));var m;(function(f){f[f.None=0]="None",f[f.Install=1]="Install",f[f.Update=2]="Update"})(m=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,A.createDecorator)("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class D extends Error{constructor(E,C){super(E);this.code=C}}e.ExtensionManagementError=D,e.IExtensionManagementService=(0,A.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,A.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,A.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=L.FileAccess.asBrowserUri("./media/defaultIcon.png",G).toString(!0),e.ExtensionsLabel=(0,v.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,v.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,A.createDecorator)("IExtensionManagementCLIService")}),define(Q[144],Z([0,1,2,28]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DeprecatedExtensionsCleaner=void 0;let L=class extends v.Disposable{constructor(T){super();this.extensionManagementService=T,this._register(T),this.cleanUpDeprecatedExtensions()}cleanUpDeprecatedExtensions(){this.extensionManagementService.removeDeprecatedExtensions()}};L=ue([Y(0,A.IExtensionManagementService)],L),e.DeprecatedExtensionsCleaner=L}),define(Q[71],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionRecommendationNotificationService=e.RecommendationsNotificationResult=e.RecommendationSourceToString=e.RecommendationSource=void 0;var A;(function(T){T[T.FILE=1]="FILE",T[T.WORKSPACE=2]="WORKSPACE",T[T.EXE=3]="EXE"})(A=e.RecommendationSource||(e.RecommendationSource={}));function L(T){switch(T){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.RecommendationSourceToString=L;var R;(function(T){T.Ignored="ignored",T.Cancelled="cancelled",T.TooMany="toomany",T.IncompatibleWindow="incompatibleWindow",T.Accepted="reacted"})(R=e.RecommendationsNotificationResult||(e.RecommendationsNotificationResult={})),e.IExtensionRecommendationNotificationService=(0,v.createDecorator)("IExtensionRecommendationNotificationService")}),define(Q[72],Z([0,1,21,4]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function L(m){return m&&typeof m=="object"&&typeof m.id=="string"&&(!m.uuid||typeof m.uuid=="string")}e.isIExtensionIdentifier=L,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(m){m[m.System=0]="System",m[m.User=1]="User"})(R=e.ExtensionType||(e.ExtensionType={}));class T{constructor(D){this.value=D,this._lower=D.toLowerCase()}static equals(D,f){if(typeof D=="undefined"||D===null)return typeof f=="undefined"||f===null;if(typeof f=="undefined"||f===null)return!1;if(typeof D=="string"||typeof f=="string"){let E=typeof D=="string"?D:D.value,C=typeof f=="string"?f:f.value;return v.equalsIgnoreCase(E,C)}return D._lower===f._lower}static toKey(D){return typeof D=="string"?D.toLowerCase():D._lower}}e.ExtensionIdentifier=T;function P(m){return m.contributes&&m.contributes.localizations?m.contributes.localizations.length>0:!1}e.isLanguagePackExtension=P;function g(m){return m.contributes&&m.contributes.authentication?m.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=g,e.IBuiltinExtensionsScannerService=(0,A.createDecorator)("IBuiltinExtensionsScannerService")}),define(Q[34],Z([0,1,21,72]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function L(C,a){return C.uuid&&a.uuid?C.uuid===a.uuid:C.id===a.id?!0:(0,v.compareIgnoreCase)(C.id,a.id)===0}e.areSameExtensions=L;class R{constructor(a,I){this.version=I,this.id=a.id,this.uuid=a.uuid}key(){return`${this.id}-${this.version}`}equals(a){return a instanceof R?L(this,a)&&this.version===a.version:!1}}e.ExtensionIdentifierWithVersion=R;function T(C,a){return`${C}.${a}`}e.getExtensionId=T;function P(C){return C.toLocaleLowerCase()}e.adoptToGalleryExtensionId=P;function g(C,a){return P(T(C,a))}e.getGalleryExtensionId=g;function m(C,a){const I=[],S=w=>{for(const b of I)if(b.some(y=>L(a(y),a(w))))return b;return null};for(const w of C){const b=S(w);b?b.push(w):I.push([w])}return I}e.groupByExtension=m;function D(C){return{id:C.identifier.id,name:C.manifest.name,galleryId:null,publisherId:C.publisherId,publisherName:C.manifest.publisher,publisherDisplayName:C.publisherDisplayName,dependencies:C.manifest.extensionDependencies&&C.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=D;function f(C){return Object.assign({id:C.identifier.id,name:C.name,galleryId:C.identifier.uuid,publisherId:C.publisherId,publisherName:C.publisher,publisherDisplayName:C.publisherDisplayName,dependencies:!!(C.properties.dependencies&&C.properties.dependencies.length>0)},C.telemetryData)}e.getGalleryExtensionTelemetryData=f,e.BetterMergeId=new A.ExtensionIdentifier("pprice.better-merge");function E(C){const a=new Set;for(const I of C)I.malicious&&a.add(I.id.id);return a}e.getMaliciousExtensionsSet=E}),define(Q[145],Z([0,1,2,8,72,23]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class T extends v.Disposable{constructor(g,m){super();this.environmentService=g,this.extensionsManifestCache=(0,A.join)(this.environmentService.userDataPath,L.MANIFEST_CACHE_FOLDER,L.USER_MANIFEST_CACHE_FILE),this._register(m.onDidInstallExtension(D=>this.onDidInstallExtension(D))),this._register(m.onDidUninstallExtension(D=>this.onDidUnInstallExtension(D)))}onDidInstallExtension(g){g.error||this.invalidate()}onDidUnInstallExtension(g){g.error||this.invalidate()}invalidate(){R.rimraf(this.extensionsManifestCache,R.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=T}),define(Q[9],Z([0,1,116,8,5,4,21,17,36]),function(G,e,v,A,L,R,T,P,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,R.createDecorator)("fileService");function m(j){return j.create===!0}e.isFileOpenForWriteOptions=m;var D;(function(j){j[j.Unknown=0]="Unknown",j[j.File=1]="File",j[j.Directory=2]="Directory",j[j.SymbolicLink=64]="SymbolicLink"})(D=e.FileType||(e.FileType={}));var f;(function(j){j[j.FileReadWrite=2]="FileReadWrite",j[j.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",j[j.FileReadStream=16]="FileReadStream",j[j.FileFolderCopy=8]="FileFolderCopy",j[j.PathCaseSensitive=1024]="PathCaseSensitive",j[j.Readonly=2048]="Readonly",j[j.Trash=4096]="Trash",j[j.FileWriteUnlock=8192]="FileWriteUnlock"})(f=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function E(j){return!!(j.capabilities&2)}e.hasReadWriteCapability=E;function C(j){return!!(j.capabilities&8)}e.hasFileFolderCopyCapability=C;function a(j){return!!(j.capabilities&4)}e.hasOpenReadWriteCloseCapability=a;function I(j){return!!(j.capabilities&16)}e.hasFileReadStreamCapability=I;var S;(function(j){j.FileExists="EntryExists",j.FileNotFound="EntryNotFound",j.FileNotADirectory="EntryNotADirectory",j.FileIsADirectory="EntryIsADirectory",j.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",j.FileTooLarge="EntryTooLarge",j.FileWriteLocked="EntryWriteLocked",j.NoPermissions="NoPermissions",j.Unavailable="Unavailable",j.Unknown="Unknown"})(S=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class w extends Error{constructor($,W){super($);this.code=W}}e.FileSystemProviderError=w;function b(j,$){const W=new w(j.toString(),$);return o(W,$),W}e.createFileSystemProviderError=b;function y(j){return j||b((0,v.localize)(0,null),S.Unknown)}e.ensureFileSystemProviderError=y;function o(j,$){return j.name=$?`${$} (FileSystemError)`:"FileSystemError",j}e.markAsFileSystemProviderError=o;function i(j){if(!j)return S.Unknown;if(j instanceof w)return j.code;const $=/^(.+) \(FileSystemError\)$/.exec(j.name);if(!$)return S.Unknown;switch($[1]){case S.FileExists:return S.FileExists;case S.FileIsADirectory:return S.FileIsADirectory;case S.FileNotADirectory:return S.FileNotADirectory;case S.FileNotFound:return S.FileNotFound;case S.FileExceedsMemoryLimit:return S.FileExceedsMemoryLimit;case S.FileTooLarge:return S.FileTooLarge;case S.FileWriteLocked:return S.FileWriteLocked;case S.NoPermissions:return S.NoPermissions;case S.Unavailable:return S.Unavailable}return S.Unknown}e.toFileSystemProviderErrorCode=i;function t(j){if(j instanceof h)return j.fileOperationResult;switch(i(j)){case S.FileNotFound:return 1;case S.FileIsADirectory:return 0;case S.FileNotADirectory:return 10;case S.FileWriteLocked:return 5;case S.NoPermissions:return 6;case S.FileExists:return 4;case S.FileExceedsMemoryLimit:return 9;case S.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=t;var n;(function(j){j[j.CREATE=0]="CREATE",j[j.DELETE=1]="DELETE",j[j.MOVE=2]="MOVE",j[j.COPY=3]="COPY"})(n=e.FileOperation||(e.FileOperation={}));class r{constructor($,W,B){this.resource=$,this.operation=W,this.target=B}isOperation($){return this.operation===$}}e.FileOperationEvent=r;var l;(function(j){j[j.UPDATED=0]="UPDATED",j[j.ADDED=1]="ADDED",j[j.DELETED=2]="DELETED"})(l=e.FileChangeType||(e.FileChangeType={}));class s{constructor($,W){this.ignorePathCasing=W,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=$;for(const B of $)switch(B.type){case 1:this.added||(this.added=g.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(B.resource,B);break;case 0:this.updated||(this.updated=g.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(B.resource,B);break;case 2:this.deleted||(this.deleted=g.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(B.resource,B);break}}contains($,...W){return this.doContains($,{includeChildren:!1},...W)}affects($,...W){return this.doContains($,{includeChildren:!0},...W)}doContains($,W,...B){var M,F,k,U,N,z;if(!$)return!1;const H=B.length>0;return!!((!H||B.includes(1))&&(((M=this.added)===null||M===void 0?void 0:M.get($))||W.includeChildren&&((F=this.added)===null||F===void 0?void 0:F.findSuperstr($)))||(!H||B.includes(0))&&(((k=this.updated)===null||k===void 0?void 0:k.get($))||W.includeChildren&&((U=this.updated)===null||U===void 0?void 0:U.findSuperstr($)))||(!H||B.includes(2))&&(((N=this.deleted)===null||N===void 0?void 0:N.findSubstr($))||W.includeChildren&&((z=this.deleted)===null||z===void 0?void 0:z.findSuperstr($))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType($){const W=[],B=$===1?this.added:$===0?this.updated:this.deleted;if(B)for(const[,M]of B)W.push(M);return W}filter($){return new s(this.changes.filter(W=>$(W)),this.ignorePathCasing)}}e.FileChangesEvent=s;function c(j,$,W){return!j||!$||j===$||$.length>j.length?!1:($.charAt($.length-1)!==A.sep&&($+=A.sep),W?(0,T.startsWithIgnoreCase)(j,$):j.indexOf($)===0)}e.isParent=c;class h extends Error{constructor($,W,B){super($);this.fileOperationResult=W,this.options=B}static isFileOperationError($){return $ instanceof Error&&!(0,P.isUndefinedOrNull)($.fileOperationResult)}}e.FileOperationError=h;var d;(function(j){j[j.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",j[j.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",j[j.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",j[j.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",j[j.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",j[j.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",j[j.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",j[j.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",j[j.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",j[j.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",j[j.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",j[j.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(d=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var p;(function(j){j[j.FILE=0]="FILE",j[j.FOLDER=1]="FOLDER",j[j.ROOT_FOLDER=2]="ROOT_FOLDER"})(p=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function u(j){if(!(typeof j.size!="number"||typeof j.mtime!="number"))return j.mtime.toString(29)+j.size.toString(31)}e.etag=u;async function O(j,$){if(!$.canHandleResource(L.URI.from({scheme:j.scheme})))return new Promise(W=>{const B=$.onDidChangeFileSystemProviderRegistrations(M=>{M.scheme===j.scheme&&M.added&&(B.dispose(),W())})})}e.whenProviderRegistered=O,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class _{static formatSize($){return(0,P.isNumber)($)||($=0),$<_.KB?(0,v.localize)(1,null,$.toFixed(0)):$<_.MB?(0,v.localize)(2,null,($/_.KB).toFixed(2)):$<_.GB?(0,v.localize)(3,null,($/_.MB).toFixed(2)):$<_.TB?(0,v.localize)(4,null,($/_.GB).toFixed(2)):(0,v.localize)(5,null,($/_.TB).toFixed(2))}}e.ByteSize=_,_.KB=1024,_.MB=_.KB*_.KB,_.GB=_.MB*_.KB,_.TB=_.GB*_.KB;var q;(function(j){j[j.IA32=0]="IA32",j[j.OTHER=1]="OTHER"})(q=e.Arch||(e.Arch={}));function x(j){return{maxFileSize:j===0?300*_.MB:16*_.GB,maxHeapSize:j===0?700*_.MB:2*700*_.MB}}e.getPlatformLimits=x}),define(Q[146],Z([0,1,147,47,9]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChecksumService=void 0;let R=class{constructor(P){this.fileService=P}checksum(P){return new Promise(async(g,m)=>{const D=(0,v.createHash)("md5"),f=(await this.fileService.readFileStream(P)).value;(0,A.listenStream)(f,{onData:E=>D.update(E.buffer),onError:E=>m(E),onEnd:()=>g(D.digest("base64").replace(/=+$/,""))})})}};R=ue([Y(0,L.IFileService)],R),e.ChecksumService=R}),define(Q[73],Z([0,1,117,22,9,15]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function T(D,f,E,C,a,I){let S;try{await P(D,f,E,C,a,I)}catch(w){S=w}finally{S&&a.errorTransformer&&(S=a.errorTransformer(S)),typeof S!="undefined"&&E.error(S),E.end()}}e.readFileIntoStream=T;async function P(D,f,E,C,a,I){g(I);const S=await D.open(f,{create:!1});try{g(I);let w=0,b=0,y=a&&typeof a.length=="number"?a.length:void 0,o=A.VSBuffer.alloc(Math.min(a.bufferSize,typeof y=="number"?y:a.bufferSize)),i=a&&typeof a.position=="number"?a.position:0,t=0;do b=await D.read(S,i,o.buffer,t,o.byteLength-t),i+=b,t+=b,w+=b,typeof y=="number"&&(y-=b),t===o.byteLength&&(await E.write(C(o)),o=A.VSBuffer.alloc(Math.min(a.bufferSize,typeof y=="number"?y:a.bufferSize)),t=0);while(b>0&&(typeof y!="number"||y>0)&&g(I)&&m(w,a));if(t>0){let n=t;typeof y=="number"&&(n=Math.min(t,y)),E.write(C(o.slice(0,n)))}}catch(w){throw(0,L.ensureFileSystemProviderError)(w)}finally{await D.close(S)}}function g(D){if(D.isCancellationRequested)throw(0,R.canceled)();return!0}function m(D,f){if(f==null?void 0:f.limits){if(typeof f.limits.memory=="number"&&D>f.limits.memory)throw(0,L.createFileSystemProviderError)((0,v.localize)(0,null),L.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof f.limits.size=="number"&&D>f.limits.size)throw(0,L.createFileSystemProviderError)((0,v.localize)(1,null),L.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Q[74],Z([0,1,5,9,7]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeFileChanges=e.toFileChanges=void 0;function R(g){return g.map(m=>({type:m.type,resource:v.URI.file(m.path)}))}e.toFileChanges=R;function T(g){const m=new P;for(const D of g)m.processEvent(D);return m.normalize()}e.normalizeFileChanges=T;class P{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(m){const D=this.mapPathToChange.get(m.path);if(D){const f=D.type,E=m.type;f===1&&E===2?(this.mapPathToChange.delete(m.path),this.normalized.splice(this.normalized.indexOf(D),1)):f===2&&E===1?D.type=0:f===1&&E===0||(D.type=E)}else this.normalized.push(m),this.mapPathToChange.set(m.path,m)}normalize(){const m=[],D=[];return this.normalized.filter(f=>f.type!==2?(m.push(f),!1):!0).sort((f,E)=>f.path.length-E.path.length).filter(f=>D.some(E=>(0,A.isParent)(f.path,E,!L.isLinux))?!1:(D.push(f.path),!0)).concat(m)}}}),define(Q[148],Z([0,1,74,2,23,94,97,6,8]),function(G,e,v,A,L,R,T,P,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class m extends A.Disposable{constructor(f,E,C,a){super();this.path=f,this.onDidFilesChange=E,this.onLogMessage=C,this.verboseLogging=a,this.fileChangesDelayer=this._register(new P.ThrottledDelayer(T.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(f){this.verboseLogging=f}async startWatching(){try{const{stat:f,symbolicLink:E}=await L.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let C=this.path;if(E)try{C=await(0,R.realpath)(C)}catch(a){if(this.onError(a),E.dangling)return}f.isDirectory()?this._register((0,T.watchFolder)(C,(a,I)=>{this.onFileChange({type:a==="changed"?0:a==="added"?1:2,path:(0,g.join)(this.path,(0,g.basename)(I))})},a=>this.onError(a))):this._register((0,T.watchFile)(C,a=>{this.onFileChange({type:a==="changed"?0:2,path:this.path})},a=>this.onError(a)))}catch(f){f.code!=="ENOENT"&&this.onError(f)}}onFileChange(f){this.fileChangesBuffer.push(f),this.verboseLogging&&this.onVerbose(`${f.type===1?"[ADDED]":f.type===2?"[DELETED]":"[CHANGED]"} ${f.path}`),this.fileChangesDelayer.trigger(async()=>{const E=this.fileChangesBuffer;this.fileChangesBuffer=[];const C=(0,v.normalizeFileChanges)(E);this.verboseLogging&&C.forEach(a=>{this.onVerbose(`>> normalized ${a.type===1?"[ADDED]":a.type===2?"[DELETED]":"[CHANGED]"} ${a.path}`)}),C.length>0&&this.onDidFilesChange(C)})}onError(f){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${f}`})}onVerbose(f){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${f}`})}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=m}),define(Q[75],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class v{constructor(...L){this._entries=new Map;for(let[R,T]of L)this.set(R,T)}set(L,R){const T=this._entries.get(L);return this._entries.set(L,R),T}has(L){return this._entries.has(L)}get(L){return this._entries.get(L)}}e.ServiceCollection=v}),define(Q[149],Z([0,1,15,139,50,4,75,6]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const g=!1;class m extends Error{constructor(a){super("cyclic dependency between services");this.message=a.toString()}}class D{constructor(a=new T.ServiceCollection,I=!1,S){this._activeInstantiations=new Set,this._services=a,this._strict=I,this._parent=S,this._services.set(R.IInstantiationService,this)}createChild(a){return new D(a,this._strict,this)}invokeFunction(a,...I){let S=E.traceInvocation(a),w=!1;try{return a({get:(y,o)=>{if(w)throw(0,v.illegalState)("service accessor is only valid during the invocation of its target method");const i=this._getOrCreateServiceInstance(y,S);if(!i&&o!==R.optional)throw new Error(`[invokeFunction] unknown service '${y}'`);return i}},...I)}finally{w=!0,S.stop()}}createInstance(a,...I){let S,w;return a instanceof L.SyncDescriptor?(S=E.traceCreation(a.ctor),w=this._createInstance(a.ctor,a.staticArguments.concat(I),S)):(S=E.traceCreation(a),w=this._createInstance(a,I,S)),S.stop(),w}_createInstance(a,I=[],S){let w=R._util.getServiceDependencies(a).sort((o,i)=>o.index-i.index),b=[];for(const o of w){let i=this._getOrCreateServiceInstance(o.id,S);if(!i&&this._strict&&!o.optional)throw new Error(`[createInstance] ${a.name} depends on UNKNOWN service ${o.id}.`);b.push(i)}let y=w.length>0?w[0].index:I.length;if(I.length!==y){console.warn(`[createInstance] First service dependency of ${a.name} at position ${y+1} conflicts with ${I.length} static arguments`);let o=y-I.length;o>0?I=I.concat(new Array(o)):I=I.slice(0,y)}return new a(...[...I,...b])}_setServiceInstance(a,I){if(this._services.get(a)instanceof L.SyncDescriptor)this._services.set(a,I);else if(this._parent)this._parent._setServiceInstance(a,I);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(a){let I=this._services.get(a);return!I&&this._parent?this._parent._getServiceInstanceOrDescriptor(a):I}_getOrCreateServiceInstance(a,I){let S=this._getServiceInstanceOrDescriptor(a);return S instanceof L.SyncDescriptor?this._safeCreateAndCacheServiceInstance(a,S,I.branch(a,!0)):(I.branch(a,!1),S)}_safeCreateAndCacheServiceInstance(a,I,S){if(this._activeInstantiations.has(a))throw new Error(`illegal state - RECURSIVELY instantiating service '${a}'`);this._activeInstantiations.add(a);try{return this._createAndCacheServiceInstance(a,I,S)}finally{this._activeInstantiations.delete(a)}}_createAndCacheServiceInstance(a,I,S){const w=new A.Graph(o=>o.id.toString());let b=0;const y=[{id:a,desc:I,_trace:S}];for(;y.length;){const o=y.pop();if(w.lookupOrInsertNode(o),b++>1e3)throw new m(w);for(let i of R._util.getServiceDependencies(o.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(i.id);if(!t&&!i.optional&&console.warn(`[createInstance] ${a} depends on ${i.id} which is NOT registered.`),t instanceof L.SyncDescriptor){const n={id:i.id,desc:t,_trace:o._trace.branch(i.id,!0)};w.insertEdge(o,n),y.push(n)}}}for(;;){const o=w.roots();if(o.length===0){if(!w.isEmpty())throw new m(w);break}for(const{data:i}of o){if(this._getServiceInstanceOrDescriptor(i.id)instanceof L.SyncDescriptor){const n=this._createServiceInstanceWithOwner(i.id,i.desc.ctor,i.desc.staticArguments,i.desc.supportsDelayedInstantiation,i._trace);this._setServiceInstance(i.id,n)}w.removeNode(i)}}return this._getServiceInstanceOrDescriptor(a)}_createServiceInstanceWithOwner(a,I,S=[],w,b){if(this._services.get(a)instanceof L.SyncDescriptor)return this._createServiceInstance(I,S,w,b);if(this._parent)return this._parent._createServiceInstanceWithOwner(a,I,S,w,b);throw new Error(`illegalState - creating UNKNOWN service instance ${I.name}`)}_createServiceInstance(a,I=[],S,w){if(S){const b=new P.IdleValue(()=>this._createInstance(a,I,w));return new Proxy(Object.create(null),{get(y,o){if(o in y)return y[o];let i=b.value,t=i[o];return typeof t!="function"||(t=t.bind(i),y[o]=t),t},set(y,o,i){return b.value[o]=i,!0}})}else return this._createInstance(a,I,w)}}e.InstantiationService=D;var f;(function(C){C[C.Creation=0]="Creation",C[C.Invocation=1]="Invocation",C[C.Branch=2]="Branch"})(f||(f={}));class E{constructor(a,I){this.type=a,this.name=I,this._start=Date.now(),this._dep=[]}static traceInvocation(a){return g?new E(1,a.name||a.toString().substring(0,42).replace(/\n/g,"")):E._None}static traceCreation(a){return g?new E(0,a.name):E._None}branch(a,I){let S=new E(2,a.toString());return this._dep.push([a,I,S]),S}stop(){let a=Date.now()-this._start;E._totals+=a;let I=!1;function S(b,y){let o=[],i=new Array(b+1).join("	");for(const[t,n,r]of y._dep)if(n&&r){I=!0,o.push(`${i}CREATES -> ${t}`);let l=S(b+1,r);l&&o.push(l)}else o.push(`${i}uses -> ${t}`);return o.join(`
`)}let w=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${a.toFixed(2)}ms (grand total ${E._totals.toFixed(2)}ms)`];(a>2||I)&&console.log(w.join(`
`))}}E._None=new class extends E{constructor(){super(-1,null)}stop(){}branch(){return this}},E._totals=0}),define(Q[150],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MessagePortMainProcessService=void 0;class v{constructor(L,R){this.server=L,this.router=R}getChannel(L){return this.server.getChannel(L,this.router)}registerChannel(L,R){this.server.registerChannel(L,R)}}e.MessagePortMainProcessService=v}),define(Q[151],Z([0,1,33,50,138,4]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerSharedProcessRemoteService=e.ISharedProcessService=e.registerMainProcessRemoteService=e.IMainProcessService=void 0;class T{constructor(C,a,I){const S=I.getChannel(C);return P(a)?new a.channelClientCtor(S):v.ProxyChannel.toService(S,a==null?void 0:a.proxyOptions)}}function P(E){const C=E;return!!(C==null?void 0:C.channelClientCtor)}e.IMainProcessService=(0,R.createDecorator)("mainProcessService");let g=class extends T{constructor(C,a,I){super(C,a,I)}};g=ue([Y(2,e.IMainProcessService)],g);function m(E,C,a){(0,L.registerSingleton)(E,new A.SyncDescriptor(g,[C,a],a==null?void 0:a.supportsDelayedInstantiation))}e.registerMainProcessRemoteService=m,e.ISharedProcessService=(0,R.createDecorator)("sharedProcessService");let D=class extends T{constructor(C,a,I){super(C,a,I)}};D=ue([Y(2,e.ISharedProcessService)],D);function f(E,C,a){(0,L.registerSingleton)(E,new A.SyncDescriptor(D,[C,a],a==null?void 0:a.supportsDelayedInstantiation))}e.registerSharedProcessRemoteService=f}),define(Q[55],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isValidLocalization=e.ILocalizationsService=void 0,e.ILocalizationsService=(0,v.createDecorator)("localizationsService");function A(L){if(typeof L.languageId!="string"||!Array.isArray(L.translations)||L.translations.length===0)return!1;for(const R of L.translations)if(typeof R.id!="string"||typeof R.path!="string")return!1;return!(L.languageName&&typeof L.languageName!="string"||L.localizedLanguageName&&typeof L.localizedLanguageName!="string")}e.isValidLocalization=A}),define(Q[152],Z([0,1,2,55]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsUpdater=void 0;let L=class extends v.Disposable{constructor(T){super();this.localizationsService=T,this.updateLocalizations()}updateLocalizations(){this.localizationsService.update()}};L=ue([Y(0,A.ILocalizationsService)],L),e.LocalizationsUpdater=L}),define(Q[14],Z([0,1,4,2,7,3,43]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,v.createDecorator)("logService"),e.ILoggerService=(0,v.createDecorator)("loggerService");function P(){return new Date().toISOString()}var g;(function(o){o[o.Trace=0]="Trace",o[o.Debug=1]="Debug",o[o.Info=2]="Info",o[o.Warning=3]="Warning",o[o.Error=4]="Error",o[o.Critical=5]="Critical",o[o.Off=6]="Off"})(g=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=g.Info;class m extends A.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new R.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=m;class D extends m{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...t){this.checkLogLevel(g.Trace)&&this.log(g.Trace,this.format([i,...t]))}debug(i,...t){this.checkLogLevel(g.Debug)&&this.log(g.Debug,this.format([i,...t]))}info(i,...t){this.checkLogLevel(g.Info)&&this.log(g.Info,this.format([i,...t]))}warn(i,...t){this.checkLogLevel(g.Warning)&&this.log(g.Warning,this.format([i,...t]))}error(i,...t){if(this.checkLogLevel(g.Error))if(i instanceof Error){const n=Array.prototype.slice.call(arguments);n[0]=i.stack,this.log(g.Error,this.format(n))}else this.log(g.Error,this.format([i,...t]))}critical(i,...t){this.checkLogLevel(g.Critical)&&this.log(g.Critical,this.format([i,...t]))}flush(){}format(i){let t="";for(let n=0;n<i.length;n++){let r=i[n];if(typeof r=="object")try{r=JSON.stringify(r)}catch(l){}t+=(n>0?" ":"")+r}return t}}e.AbstractMessageLogger=D;class f extends m{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!L.isWindows}trace(i,...t){this.getLevel()<=g.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,i,...t):console.log(`[main ${P()}]`,i,...t))}debug(i,...t){this.getLevel()<=g.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,i,...t):console.log(`[main ${P()}]`,i,...t))}info(i,...t){this.getLevel()<=g.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,i,...t):console.log(`[main ${P()}]`,i,...t))}warn(i,...t){this.getLevel()<=g.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,i,...t):console.warn(`[main ${P()}]`,i,...t))}error(i,...t){this.getLevel()<=g.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,i,...t):console.error(`[main ${P()}]`,i,...t))}critical(i,...t){this.getLevel()<=g.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,i,...t):console.error(`[main ${P()}]`,i,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=f;class E extends m{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...t){this.getLevel()<=g.Trace&&console.log("%cTRACE","color: #888",i,...t)}debug(i,...t){this.getLevel()<=g.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...t)}info(i,...t){this.getLevel()<=g.Info&&console.log("%c INFO","color: #33f",i,...t)}warn(i,...t){this.getLevel()<=g.Warning&&console.log("%c WARN","color: #993",i,...t)}error(i,...t){this.getLevel()<=g.Error&&console.log("%c  ERR","color: #f33",i,...t)}critical(i,...t){this.getLevel()<=g.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...t)}dispose(){}flush(){}}e.ConsoleLogger=E;class C extends m{constructor(i,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(t)}trace(i,...t){this.getLevel()<=g.Trace&&this.adapter.log(g.Trace,[this.extractMessage(i),...t])}debug(i,...t){this.getLevel()<=g.Debug&&this.adapter.log(g.Debug,[this.extractMessage(i),...t])}info(i,...t){this.getLevel()<=g.Info&&this.adapter.log(g.Info,[this.extractMessage(i),...t])}warn(i,...t){this.getLevel()<=g.Warning&&this.adapter.log(g.Warning,[this.extractMessage(i),...t])}error(i,...t){this.getLevel()<=g.Error&&this.adapter.log(g.Error,[this.extractMessage(i),...t])}critical(i,...t){this.getLevel()<=g.Critical&&this.adapter.log(g.Critical,[this.extractMessage(i),...t])}extractMessage(i){return typeof i=="string"?i:(0,T.toErrorMessage)(i,this.getLevel()<=g.Trace)}dispose(){}flush(){}}e.AdapterLogger=C;class a extends m{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const t of this.logServices)t.setLevel(i);super.setLevel(i)}trace(i,...t){for(const n of this.logServices)n.trace(i,...t)}debug(i,...t){for(const n of this.logServices)n.debug(i,...t)}info(i,...t){for(const n of this.logServices)n.info(i,...t)}warn(i,...t){for(const n of this.logServices)n.warn(i,...t)}error(i,...t){for(const n of this.logServices)n.error(i,...t)}critical(i,...t){for(const n of this.logServices)n.critical(i,...t)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=a;class I extends A.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...t){this.logger.trace(i,...t)}debug(i,...t){this.logger.debug(i,...t)}info(i,...t){this.logger.info(i,...t)}warn(i,...t){this.logger.warn(i,...t)}error(i,...t){this.logger.error(i,...t)}critical(i,...t){this.logger.critical(i,...t)}flush(){this.logger.flush()}}e.LogService=I;class S{constructor(){this.onDidChangeLogLevel=new R.Emitter().event}setLevel(i){}getLevel(){return g.Info}trace(i,...t){}debug(i,...t){}info(i,...t){}warn(i,...t){}error(i,...t){}critical(i,...t){}dispose(){}flush(){}}e.NullLogService=S;function w(o){if(o.verbose)return g.Trace;if(typeof o.logLevel=="string"){const i=b(o.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=w;function b(o){switch(o){case"trace":return g.Trace;case"debug":return g.Debug;case"info":return g.Info;case"warn":return g.Warning;case"error":return g.Error;case"critical":return g.Critical;case"off":return g.Off}}e.parseLogLevel=b;function y(o){switch(o){case g.Trace:return"trace";case g.Debug:return"debug";case g.Info:return"info";case g.Warning:return"warn";case g.Error:return"error";case g.Critical:return"critical";case g.Off:return"off"}}e.LogLevelToString=y}),define(Q[153],Z([0,1,27,2,9,28,10,5,11,34,14,31,56,7,6]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;const I=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let S=class extends A.Disposable{constructor(b,y,o,i){super();this.fileService=y,this.extensionGalleryService=o,this.logService=i,this.extensionsDownloadDir=P.URI.file(b.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(b,y){await this.cleanUpPromise;const o=this.getName(b),i=(0,g.joinPath)(this.extensionsDownloadDir,o);if(!await this.fileService.exists(i)){const t=(0,g.joinPath)(this.extensionsDownloadDir,`.${o}`);await this.fileService.exists(t)||await this.extensionGalleryService.download(b,t,y),await this.rename(t,i,Date.now()+2*60*1e3)}return i}async delete(b){}async rename(b,y,o){try{await v.promises.rename(b.fsPath,y.fsPath)}catch(i){if(C.isWindows&&i&&i.code==="EPERM"&&Date.now()<o)return this.logService.info(`Failed renaming ${b} to ${y} with 'EPERM' error. Trying again...`),this.rename(b,y,o);throw i}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const b=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(b.children){const y=[],o=[];for(const n of b.children){const r=this.parse(n.name);r&&o.push([r,n])}const i=(0,m.groupByExtension)(o,([n])=>n),t=[];for(const n of i)n.sort((r,l)=>E.rcompare(r[0].version,l[0].version)),y.push(...n.slice(1).map(r=>r[1].resource)),t.push(n[0][1]);t.sort((n,r)=>n.mtime-r.mtime),y.push(...t.slice(0,Math.max(0,t.length-this.cache)).map(n=>n.resource)),await a.Promises.settled(y.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(b){this.logService.error(b)}}getName(b){return this.cache?new m.ExtensionIdentifierWithVersion(b.identifier,b.version).key().toLowerCase():(0,f.generateUuid)()}parse(b){const y=I.exec(b);return y&&y[1]&&y[2]?new m.ExtensionIdentifierWithVersion({id:y[1]},y[2]):null}};S=ue([Y(0,T.INativeEnvironmentService),Y(1,L.IFileService),Y(2,R.IExtensionGalleryService),Y(3,D.ILogService)],S),e.ExtensionsDownloader=S}),define(Q[154],Z([0,1,2,14,48,43,8,6,3,16,23,10]),function(G,e,v,A,L,R,T,P,g,m,D,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let E=class extends v.Disposable{constructor(a,I){super();this.environmentService=a,this.logService=I,this.processesLimiter=new P.Limiter(5)}async postUninstall(a){const I=this.parseScript(a,"uninstall");return I&&(this.logService.info(a.identifier.id,a.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(I.script,"uninstall",I.args,!0,a).then(()=>this.logService.info(a.identifier.id,a.manifest.version,"Finished running post uninstall script"),S=>this.logService.error(a.identifier.id,a.manifest.version,`Failed to run post uninstall script: ${S}`)))),(0,D.rimraf)(this.getExtensionStoragePath(a)).then(void 0,S=>this.logService.error("Error while removing extension storage path",S))}parseScript(a,I){const S=`vscode:${I}`;if(a.location.scheme===m.Schemas.file&&a.manifest&&a.manifest.scripts&&typeof a.manifest.scripts[S]=="string"){const w=a.manifest.scripts[S].split(" ");return w.length<2||w[0]!=="node"||!w[1]?(this.logService.warn(a.identifier.id,a.manifest.version,`${S} should be a node script`),null):{script:(0,T.join)(a.location.fsPath,w[1]),args:w.slice(2)||[]}}return null}runLifecycleHook(a,I,S,w,b){return new Promise((y,o)=>{const i=this.start(a,I,S,b);let t;const n=r=>{t&&(clearTimeout(t),t=null),r?o(r):y(void 0)};i.on("error",r=>{n((0,R.toErrorMessage)(r)||"Unknown")}),i.on("exit",(r,l)=>{n(r?`post-${I} process exited with code ${r}`:void 0)}),w&&(t=setTimeout(()=>{t=null,i.kill(),o("timed out")},5e3))})}start(a,I,S,w){const b={silent:!0,execArgv:void 0},y=(0,L.fork)(a,[`--type=extension-post-${I}`,...S],b);y.stdout.setEncoding("utf8"),y.stderr.setEncoding("utf8");const o=g.Event.fromNodeEventEmitter(y.stdout,"data"),i=g.Event.fromNodeEventEmitter(y.stderr,"data");o(r=>this.logService.info(w.identifier.id,w.manifest.version,`post-${I}`,r)),i(r=>this.logService.error(w.identifier.id,w.manifest.version,`post-${I}`,r));const t=g.Event.any(g.Event.map(o,r=>({data:`%c${r}`,format:[""]})),g.Event.map(i,r=>({data:`%c${r}`,format:["color: red"]})));return g.Event.debounce(t,(r,l)=>r?{data:r.data+l.data,format:[...r.format,...l.format]}:{data:l.data,format:l.format},100)(r=>{console.group(w.identifier.id),console.log(r.data,...r.format),console.groupEnd()}),y}getExtensionStoragePath(a){return(0,T.join)(this.environmentService.globalStorageHome.fsPath,a.identifier.id.toLowerCase())}};E=ue([Y(0,f.IEnvironmentService),Y(1,A.ILogService)],E),e.ExtensionsLifecycle=E}),define(Q[155],Z([0,1,115,156,2,9,3,11,36,18,14,22,47,6,30,16,73,53]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let b=class extends L.Disposable{constructor(o){super();this.logService=o,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new T.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new T.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new T.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new T.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new T.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new T.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this.activeWatchers=new Map,this.writeQueue=this._register(new C.ResourceQueue)}registerProvider(o,i){if(this.provider.has(o))throw new Error(`A filesystem provider for the scheme '${o}' is already registered.`);(0,A.mark)(`code/registerFilesystem/${o}`),this.provider.set(o,i),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:o,provider:i});const t=new L.DisposableStore;return t.add(i.onDidChangeFile(n=>this._onDidFilesChange.fire(new R.FileChangesEvent(n,!this.isPathCaseSensitive(i))))),t.add(i.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:i,scheme:o}))),typeof i.onDidErrorOccur=="function"&&t.add(i.onDidErrorOccur(n=>this._onError.fire(new Error(n)))),(0,L.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:o,provider:i}),this.provider.delete(o),(0,L.dispose)(t)})}async activateProvider(o){const i=[];this._onWillActivateFileSystemProvider.fire({scheme:o,join(t){i.push(t)}}),!this.provider.has(o)&&await C.Promises.settled(i)}canHandleResource(o){return this.provider.has(o.scheme)}hasCapability(o,i){const t=this.provider.get(o.scheme);return!!(t&&t.capabilities&i)}listCapabilities(){return w.Iterable.map(this.provider,([o,i])=>({scheme:o,capabilities:i.capabilities}))}async withProvider(o){if(!(0,P.isAbsolutePath)(o))throw new R.FileOperationError((0,v.localize)(0,null,this.resourceForError(o)),8);await this.activateProvider(o.scheme);const i=this.provider.get(o.scheme);if(!i){const t=new Error;throw t.name="ENOPRO",t.message=(0,v.localize)(1,null,o.toString()),t}return i}async withReadProvider(o){const i=await this.withProvider(o);if((0,R.hasOpenReadWriteCloseCapability)(i)||(0,R.hasReadWriteCapability)(i)||(0,R.hasFileReadStreamCapability)(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(o){const i=await this.withProvider(o);if((0,R.hasOpenReadWriteCloseCapability)(i)||(0,R.hasReadWriteCapability)(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(o,i){try{return await this.doResolveFile(o,i)}catch(t){throw(0,R.toFileSystemProviderErrorCode)(t)===R.FileSystemProviderErrorCode.FileNotFound?new R.FileOperationError((0,v.localize)(2,null,this.resourceForError(o)),1):(0,R.ensureFileSystemProviderError)(t)}}async doResolveFile(o,i){const t=await this.withProvider(o),n=this.isPathCaseSensitive(t),r=i==null?void 0:i.resolveTo,l=i==null?void 0:i.resolveSingleChildDescendants,s=i==null?void 0:i.resolveMetadata,c=await t.stat(o);let h;return this.toFileStat(t,o,c,void 0,!!s,(d,p)=>(h||(h=g.TernarySearchTree.forUris(()=>!n),h.set(o,!0),(0,m.isNonEmptyArray)(r)&&r.forEach(u=>h.set(u,!0))),Boolean(h.findSuperstr(d.resource)||h.get(d.resource))?!0:d.isDirectory&&l?p===1:!1))}async toFileStat(o,i,t,n,r,l){const{providerExtUri:s}=this.getExtUri(o),c={resource:i,name:s.basename(i),isFile:(t.type&R.FileType.File)!=0,isDirectory:(t.type&R.FileType.Directory)!=0,isSymbolicLink:(t.type&R.FileType.SymbolicLink)!=0,mtime:t.mtime,ctime:t.ctime,size:t.size,etag:(0,R.etag)({mtime:t.mtime,size:t.size})};if(c.isDirectory&&l(c,n)){try{const h=await o.readdir(i),d=await C.Promises.settled(h.map(async([p,u])=>{try{const O=s.joinPath(i,p),_=r?await o.stat(O):{type:u};return await this.toFileStat(o,O,_,h.length,r,l)}catch(O){return this.logService.trace(O),null}}));c.children=(0,m.coalesce)(d)}catch(h){this.logService.trace(h),c.children=[]}return c}return c}async resolveAll(o){return C.Promises.settled(o.map(async i=>{try{return{stat:await this.doResolveFile(i.resource,i.options),success:!0}}catch(t){return this.logService.trace(t),{stat:void 0,success:!1}}}))}async exists(o){const i=await this.withProvider(o);try{return!!await i.stat(o)}catch(t){return!1}}async canCreateFile(o,i){try{await this.doValidateCreateFile(o,i)}catch(t){return t}return!0}async doValidateCreateFile(o,i){if(!(i==null?void 0:i.overwrite)&&await this.exists(o))throw new R.FileOperationError((0,v.localize)(3,null,this.resourceForError(o)),3,i)}async createFile(o,i=f.VSBuffer.fromString(""),t){await this.doValidateCreateFile(o,t);const n=await this.writeFile(o,i);return this._onDidRunOperation.fire(new R.FileOperationEvent(o,0,n)),n}async writeFile(o,i,t){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),{providerExtUri:r}=this.getExtUri(n);try{await this.validateWriteFile(n,o,t)||await this.mkdirp(n,r.dirname(o));let s;if((0,R.hasReadWriteCapability)(n)&&!(i instanceof f.VSBuffer))if((0,E.isReadableStream)(i)){const c=await(0,E.peekStream)(i,3);c.ended?s=f.VSBuffer.concat(c.buffer):s=c}else s=(0,E.peekReadable)(i,c=>f.VSBuffer.concat(c),3);else s=i;!(0,R.hasOpenReadWriteCloseCapability)(n)||(0,R.hasReadWriteCapability)(n)&&s instanceof f.VSBuffer?await this.doWriteUnbuffered(n,o,t,s):await this.doWriteBuffered(n,o,t,s instanceof f.VSBuffer?(0,f.bufferToReadable)(s):s)}catch(l){throw new R.FileOperationError((0,v.localize)(4,null,this.resourceForError(o),(0,R.ensureFileSystemProviderError)(l).toString()),(0,R.toFileOperationResult)(l),t)}return this.resolve(o,{resolveMetadata:!0})}async validateWriteFile(o,i,t){if(!!(t==null?void 0:t.unlock)&&!(o.capabilities&8192))throw new Error((0,v.localize)(5,null,this.resourceForError(i)));let r;try{r=await o.stat(i)}catch(l){return}if((r.type&R.FileType.Directory)!=0)throw new R.FileOperationError((0,v.localize)(6,null,this.resourceForError(i)),0,t);if(t&&typeof t.mtime=="number"&&typeof t.etag=="string"&&t.etag!==R.ETAG_DISABLED&&typeof r.mtime=="number"&&typeof r.size=="number"&&t.mtime<r.mtime&&t.etag!==(0,R.etag)({mtime:t.mtime,size:r.size}))throw new R.FileOperationError((0,v.localize)(7,null),3,t);return r}async readFile(o,i){const t=await this.withReadProvider(o);return(i==null?void 0:i.atomic)?this.doReadFileAtomic(t,o,i):this.doReadFile(t,o,i)}async doReadFileAtomic(o,i,t){return new Promise((n,r)=>{this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(async()=>{try{const l=await this.doReadFile(o,i,t);n(l)}catch(l){r(l)}})})}async doReadFile(o,i,t){const n=await this.doReadFileStream(o,i,Object.assign(Object.assign({},t),{preferUnbuffered:!0}));return Object.assign(Object.assign({},n),{value:await(0,f.streamToBuffer)(n.value)})}async readFileStream(o,i){const t=await this.withReadProvider(o);return this.doReadFileStream(t,o,i)}async doReadFileStream(o,i,t){const n=new a.CancellationTokenSource,r=this.validateReadFile(i,t).then(s=>s,s=>{throw n.cancel(),s});let l;try{t&&typeof t.etag=="string"&&t.etag!==R.ETAG_DISABLED&&await r,!((0,R.hasOpenReadWriteCloseCapability)(o)||(0,R.hasFileReadStreamCapability)(o))||(0,R.hasReadWriteCapability)(o)&&(t==null?void 0:t.preferUnbuffered)?l=this.readFileUnbuffered(o,i,t):(0,R.hasFileReadStreamCapability)(o)?l=this.readFileStreamed(o,i,n.token,t):l=this.readFileBuffered(o,i,n.token,t);const s=await r;return Object.assign(Object.assign({},s),{value:l})}catch(s){throw l&&await(0,E.consumeStream)(l),new R.FileOperationError((0,v.localize)(8,null,this.resourceForError(i),(0,R.ensureFileSystemProviderError)(s).toString()),(0,R.toFileOperationResult)(s),t)}}readFileStreamed(o,i,t,n=Object.create(null)){const r=o.readFileStream(i,n,t);return(0,E.transform)(r,{data:l=>l instanceof f.VSBuffer?l:f.VSBuffer.wrap(l),error:l=>new R.FileOperationError((0,v.localize)(9,null,this.resourceForError(i),(0,R.ensureFileSystemProviderError)(l).toString()),(0,R.toFileOperationResult)(l),n)},l=>f.VSBuffer.concat(l))}readFileBuffered(o,i,t,n=Object.create(null)){const r=(0,f.newWriteableBufferStream)();return(0,S.readFileIntoStream)(o,i,r,l=>l,Object.assign(Object.assign({},n),{bufferSize:this.BUFFER_SIZE,errorTransformer:l=>new R.FileOperationError((0,v.localize)(10,null,this.resourceForError(i),(0,R.ensureFileSystemProviderError)(l).toString()),(0,R.toFileOperationResult)(l),n)}),t),r}readFileUnbuffered(o,i,t){const n=(0,E.newWriteableStream)(r=>f.VSBuffer.concat(r));return(async()=>{try{let r=await o.readFile(i);t&&typeof t.position=="number"&&(r=r.slice(t.position)),t&&typeof t.length=="number"&&(r=r.slice(0,t.length)),this.validateReadFileLimits(i,r.byteLength,t),n.end(f.VSBuffer.wrap(r))}catch(r){n.error(r),n.end()}})(),n}async validateReadFile(o,i){const t=await this.resolve(o,{resolveMetadata:!0});if(t.isDirectory)throw new R.FileOperationError((0,v.localize)(11,null,this.resourceForError(o)),0,i);if(i&&typeof i.etag=="string"&&i.etag!==R.ETAG_DISABLED&&i.etag===t.etag)throw new R.FileOperationError((0,v.localize)(12,null),2,i);return this.validateReadFileLimits(o,t.size,i),t}validateReadFileLimits(o,i,t){if(t==null?void 0:t.limits){let n;if(typeof t.limits.memory=="number"&&i>t.limits.memory&&(n=9),typeof t.limits.size=="number"&&i>t.limits.size&&(n=7),typeof n=="number")throw new R.FileOperationError((0,v.localize)(13,null,this.resourceForError(o)),n)}}async canMove(o,i,t){return this.doCanMoveCopy(o,i,"move",t)}async canCopy(o,i,t){return this.doCanMoveCopy(o,i,"copy",t)}async doCanMoveCopy(o,i,t,n){if(o.toString()!==i.toString())try{const r=t==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o):await this.withReadProvider(o),l=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i);await this.doValidateMoveCopy(r,o,l,i,t,n)}catch(r){return r}return!0}async move(o,i,t){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),l=await this.doMoveCopy(n,o,r,i,"move",!!t),s=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(o,l==="move"?2:3,s)),s}async copy(o,i,t){const n=await this.withReadProvider(o),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),l=await this.doMoveCopy(n,o,r,i,"copy",!!t),s=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(o,l==="copy"?3:2,s)),s}async doMoveCopy(o,i,t,n,r,l){if(i.toString()===n.toString())return r;const{exists:s,isSameResourceWithDifferentPathCase:c}=await this.doValidateMoveCopy(o,i,t,n,r,l);if(s&&!c&&l&&await this.del(n,{recursive:!0}),await this.mkdirp(t,this.getExtUri(t).providerExtUri.dirname(n)),r==="copy"){if(o===t&&(0,R.hasFileFolderCopyCapability)(o))await o.copy(i,n,{overwrite:l});else{const h=await this.resolve(i);h.isDirectory?await this.doCopyFolder(o,h,t,n):await this.doCopyFile(o,i,t,n)}return r}else return o===t?(await o.rename(i,n,{overwrite:l}),r):(await this.doMoveCopy(o,i,t,n,"copy",l),await this.del(i,{recursive:!0}),"copy")}async doCopyFile(o,i,t,n){if((0,R.hasOpenReadWriteCloseCapability)(o)&&(0,R.hasOpenReadWriteCloseCapability)(t))return this.doPipeBuffered(o,i,t,n);if((0,R.hasOpenReadWriteCloseCapability)(o)&&(0,R.hasReadWriteCapability)(t))return this.doPipeBufferedToUnbuffered(o,i,t,n);if((0,R.hasReadWriteCapability)(o)&&(0,R.hasOpenReadWriteCloseCapability)(t))return this.doPipeUnbufferedToBuffered(o,i,t,n);if((0,R.hasReadWriteCapability)(o)&&(0,R.hasReadWriteCapability)(t))return this.doPipeUnbuffered(o,i,t,n)}async doCopyFolder(o,i,t,n){await t.mkdir(n),Array.isArray(i.children)&&await C.Promises.settled(i.children.map(async r=>{const l=this.getExtUri(t).providerExtUri.joinPath(n,r.name);return r.isDirectory?this.doCopyFolder(o,await this.resolve(r.resource),t,l):this.doCopyFile(o,r.resource,t,l)}))}async doValidateMoveCopy(o,i,t,n,r,l){let s=!1;if(o===t){const{providerExtUri:h,isPathCaseSensitive:d}=this.getExtUri(o);if(d||(s=h.isEqual(i,n)),s&&r==="copy")throw new Error((0,v.localize)(14,null,this.resourceForError(i),this.resourceForError(n)));if(!s&&h.isEqualOrParent(n,i))throw new Error((0,v.localize)(15,null,this.resourceForError(i),this.resourceForError(n)))}const c=await this.exists(n);if(c&&!s){if(!l)throw new R.FileOperationError((0,v.localize)(16,null,this.resourceForError(i),this.resourceForError(n)),4);if(o===t){const{providerExtUri:h}=this.getExtUri(o);if(h.isEqualOrParent(i,n))throw new Error((0,v.localize)(17,null,this.resourceForError(i),this.resourceForError(n)))}}return{exists:c,isSameResourceWithDifferentPathCase:s}}getExtUri(o){const i=this.isPathCaseSensitive(o);return{providerExtUri:i?P.extUri:P.extUriIgnorePathCase,isPathCaseSensitive:i}}isPathCaseSensitive(o){return!!(o.capabilities&1024)}async createFolder(o){const i=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);await this.mkdirp(i,o);const t=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(o,0,t)),t}async mkdirp(o,i){const t=[],{providerExtUri:n}=this.getExtUri(o);for(;!n.isEqual(i,n.dirname(i));)try{if(((await o.stat(i)).type&R.FileType.Directory)==0)throw new Error((0,v.localize)(18,null,this.resourceForError(i)));break}catch(r){if((0,R.toFileSystemProviderErrorCode)(r)!==R.FileSystemProviderErrorCode.FileNotFound)throw r;t.push(n.basename(i)),i=n.dirname(i)}for(let r=t.length-1;r>=0;r--){i=n.joinPath(i,t[r]);try{await o.mkdir(i)}catch(l){if((0,R.toFileSystemProviderErrorCode)(l)!==R.FileSystemProviderErrorCode.FileExists)throw l}}}async canDelete(o,i){try{await this.doValidateDelete(o,i)}catch(t){return t}return!0}async doValidateDelete(o,i){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);if(!!(i==null?void 0:i.useTrash)&&!(t.capabilities&4096))throw new Error((0,v.localize)(19,null,this.resourceForError(o)));const r=await this.exists(o);if(!r)throw new R.FileOperationError((0,v.localize)(20,null,this.resourceForError(o)),1);if(!!!(i==null?void 0:i.recursive)&&r){const s=await this.resolve(o);if(s.isDirectory&&Array.isArray(s.children)&&s.children.length>0)throw new Error((0,v.localize)(21,null,this.resourceForError(o)))}return t}async del(o,i){const t=await this.doValidateDelete(o,i),n=!!(i==null?void 0:i.useTrash),r=!!(i==null?void 0:i.recursive);await t.delete(o,{recursive:r,useTrash:n}),this._onDidRunOperation.fire(new R.FileOperationEvent(o,1))}watch(o,i={recursive:!1,excludes:[]}){let t=!1,n=()=>{t=!0};return this.doWatch(o,i).then(r=>{t?(0,L.dispose)(r):n=()=>(0,L.dispose)(r)},r=>this.logService.error(r)),(0,L.toDisposable)(()=>n())}async doWatch(o,i){const t=await this.withProvider(o),n=this.toWatchKey(t,o,i),r=this.activeWatchers.get(n)||{count:0,disposable:t.watch(o,i)};return this.activeWatchers.has(n)||this.activeWatchers.set(n,r),r.count+=1,(0,L.toDisposable)(()=>{r.count--,r.count===0&&((0,L.dispose)(r.disposable),this.activeWatchers.delete(n))})}toWatchKey(o,i,t){const{providerExtUri:n}=this.getExtUri(o);return[n.getComparisonKey(i),String(t.recursive),t.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(o=>(0,L.dispose)(o.disposable)),this.activeWatchers.clear()}async doWriteBuffered(o,i,t,n){return this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(async()=>{var r;const l=await o.open(i,{create:!0,unlock:(r=t==null?void 0:t.unlock)!==null&&r!==void 0?r:!1});try{(0,E.isReadableStream)(n)||(0,E.isReadableBufferedStream)(n)?await this.doWriteStreamBufferedQueued(o,l,n):await this.doWriteReadableBufferedQueued(o,l,n)}catch(s){throw(0,R.ensureFileSystemProviderError)(s)}finally{await o.close(l)}})}async doWriteStreamBufferedQueued(o,i,t){let n=0,r;if((0,E.isReadableBufferedStream)(t)){if(t.buffer.length>0){const l=f.VSBuffer.concat(t.buffer);await this.doWriteBuffer(o,i,l,l.byteLength,n,0),n+=l.byteLength}if(t.ended)return;r=t.stream}else r=t;return new Promise(async(l,s)=>{(0,E.listenStream)(r,{onData:async c=>{r.pause();try{await this.doWriteBuffer(o,i,c,c.byteLength,n,0)}catch(h){return s(h)}n+=c.byteLength,setTimeout(()=>r.resume())},onError:c=>s(c),onEnd:()=>l()})})}async doWriteReadableBufferedQueued(o,i,t){let n=0,r;for(;(r=t.read())!==null;)await this.doWriteBuffer(o,i,r,r.byteLength,n,0),n+=r.byteLength}async doWriteBuffer(o,i,t,n,r,l){let s=0;for(;s<n;)s+=await o.write(i,r+s,t.buffer,l+s,n-s)}async doWriteUnbuffered(o,i,t,n){return this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(o,i,t,n))}async doWriteUnbufferedQueued(o,i,t,n){var r;let l;n instanceof f.VSBuffer?l=n:(0,E.isReadableStream)(n)?l=await(0,f.streamToBuffer)(n):(0,E.isReadableBufferedStream)(n)?l=await(0,f.bufferedStreamToBuffer)(n):l=(0,f.readableToBuffer)(n),await o.writeFile(i,l.buffer,{create:!0,overwrite:!0,unlock:(r=t==null?void 0:t.unlock)!==null&&r!==void 0?r:!1})}async doPipeBuffered(o,i,t,n){return this.writeQueue.queueFor(n,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeBufferedQueued(o,i,t,n))}async doPipeBufferedQueued(o,i,t,n){let r,l;try{r=await o.open(i,{create:!1}),l=await t.open(n,{create:!0,unlock:!1});const s=f.VSBuffer.alloc(this.BUFFER_SIZE);let c=0,h=0,d=0;do d=await o.read(r,c,s.buffer,h,s.byteLength-h),await this.doWriteBuffer(t,l,s,d,c,h),c+=d,h+=d,h===s.byteLength&&(h=0);while(d>0)}catch(s){throw(0,R.ensureFileSystemProviderError)(s)}finally{await C.Promises.settled([typeof r=="number"?o.close(r):Promise.resolve(),typeof l=="number"?t.close(l):Promise.resolve()])}}async doPipeUnbuffered(o,i,t,n){return this.writeQueue.queueFor(n,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(o,i,t,n))}async doPipeUnbufferedQueued(o,i,t,n){return t.writeFile(n,await o.readFile(i),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(o,i,t,n){return this.writeQueue.queueFor(n,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(o,i,t,n))}async doPipeUnbufferedToBufferedQueued(o,i,t,n){const r=await t.open(n,{create:!0,unlock:!1});try{const l=await o.readFile(i);await this.doWriteBuffer(t,r,f.VSBuffer.wrap(l),l.byteLength,0,0)}catch(l){throw(0,R.ensureFileSystemProviderError)(l)}finally{await t.close(r)}}async doPipeBufferedToUnbuffered(o,i,t,n){const r=await(0,f.streamToBuffer)(this.readFileBuffered(o,i,a.CancellationToken.None));await this.doWriteUnbuffered(t,n,void 0,r)}throwIfFileSystemIsReadonly(o,i){if(o.capabilities&2048)throw new R.FileOperationError((0,v.localize)(22,null,this.resourceForError(i)),6);return o}resourceForError(o){return o.scheme===I.Schemas.file?o.fsPath:o.toString(!0)}};b=ue([Y(0,D.ILogService)],b),e.FileService=b}),define(Q[157],Z([0,1,27,95,2,9,3,7,23,8,11,42,6,14,118,74,135,137,134,148,47,73,18,22]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o,i,t,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0;class r extends L.Disposable{constructor(s,c){var h;super();this.logService=s,this.options=c,this.BUFFER_SIZE=((h=this.options)===null||h===void 0?void 0:h.bufferSize)||64*1024,this.onDidChangeCapabilities=T.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Map,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new T.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new T.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new E.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192,P.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(s){try{const{stat:c,symbolicLink:h}=await g.SymlinkSupport.stat(this.toFilePath(s));return{type:this.toType(c,h),ctime:c.birthtime.getTime(),mtime:c.mtime.getTime(),size:c.size}}catch(c){throw this.toFileSystemProviderError(c)}}async readdir(s){try{const c=await(0,g.readdir)(this.toFilePath(s),{withFileTypes:!0}),h=[];return await Promise.all(c.map(async d=>{try{let p;d.isSymbolicLink()?p=(await this.stat((0,D.joinPath)(s,d.name))).type:p=this.toType(d),h.push([d.name,p])}catch(p){this.logService.trace(p)}})),h}catch(c){throw this.toFileSystemProviderError(c)}}toType(s,c){let h;return(c==null?void 0:c.dangling)?h=R.FileType.Unknown:s.isFile()?h=R.FileType.File:s.isDirectory()?h=R.FileType.Directory:h=R.FileType.Unknown,c&&(h|=R.FileType.SymbolicLink),h}async readFile(s){try{const c=this.toFilePath(s);return await v.promises.readFile(c)}catch(c){throw this.toFileSystemProviderError(c)}}readFileStream(s,c,h){const d=(0,o.newWriteableStream)(p=>n.VSBuffer.concat(p.map(u=>n.VSBuffer.wrap(u))).buffer);return(0,i.readFileIntoStream)(this,s,d,p=>p.buffer,Object.assign(Object.assign({},c),{bufferSize:this.BUFFER_SIZE}),h),d}async writeFile(s,c,h){let d;try{const p=this.toFilePath(s);if(!h.create||!h.overwrite){if(await(0,g.exists)(p)){if(!h.overwrite)throw(0,R.createFileSystemProviderError)((0,a.localize)(0,null),R.FileSystemProviderErrorCode.FileExists)}else if(!h.create)throw(0,R.createFileSystemProviderError)((0,a.localize)(1,null),R.FileSystemProviderErrorCode.FileNotFound)}d=await this.open(s,{create:!0,unlock:h.unlock}),await this.write(d,0,c,0,c.byteLength)}catch(p){throw await this.toFileSystemProviderWriteError(s,p)}finally{typeof d=="number"&&await this.close(d)}}async open(s,c){try{const h=this.toFilePath(s);if((0,R.isFileOpenForWriteOptions)(c)&&c.unlock)try{const{stat:u}=await g.SymlinkSupport.stat(h);u.mode&128||await v.promises.chmod(h,u.mode|128)}catch(u){this.logService.trace(u)}let d;if((0,R.isFileOpenForWriteOptions)(c)){if(P.isWindows)try{await v.promises.truncate(h,0),d="r+"}catch(u){u.code!=="ENOENT"&&this.logService.trace(u)}d||(d="w")}else d="r";const p=await(0,A.promisify)(v.open)(h,d);return this.mapHandleToPos.set(p,0),(0,R.isFileOpenForWriteOptions)(c)&&this.writeHandles.set(p,s),p}catch(h){throw(0,R.isFileOpenForWriteOptions)(c)?await this.toFileSystemProviderWriteError(s,h):this.toFileSystemProviderError(h)}}async close(s){try{if(this.mapHandleToPos.delete(s),this.writeHandles.delete(s)&&this.canFlush)try{await(0,A.promisify)(v.fdatasync)(s)}catch(c){this.canFlush=!1,this.logService.error(c)}return await(0,A.promisify)(v.close)(s)}catch(c){throw this.toFileSystemProviderError(c)}}async read(s,c,h,d,p){const u=this.normalizePos(s,c);let O=null;try{const _=await(0,A.promisify)(v.read)(s,h,d,p,u);return typeof _=="number"?O=_:O=_.bytesRead,O}catch(_){throw this.toFileSystemProviderError(_)}finally{this.updatePos(s,u,O)}}normalizePos(s,c){return c===this.mapHandleToPos.get(s)?null:c}updatePos(s,c,h){const d=this.mapHandleToPos.get(s);typeof d=="number"&&(typeof c=="number"||(typeof h=="number"?this.mapHandleToPos.set(s,d+h):this.mapHandleToPos.delete(s)))}async write(s,c,h,d,p){return(0,E.retry)(()=>this.doWrite(s,c,h,d,p),100,3)}async doWrite(s,c,h,d,p){const u=this.normalizePos(s,c);let O=null;try{const _=await(0,A.promisify)(v.write)(s,h,d,p,u);return typeof _=="number"?O=_:O=_.bytesWritten,O}catch(_){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(s),_)}finally{this.updatePos(s,u,O)}}async mkdir(s){try{await v.promises.mkdir(this.toFilePath(s))}catch(c){throw this.toFileSystemProviderError(c)}}async delete(s,c){try{const h=this.toFilePath(s);await this.doDelete(h,c)}catch(h){throw this.toFileSystemProviderError(h)}}async doDelete(s,c){c.recursive?await(0,g.rimraf)(s,g.RimRafMode.MOVE):await v.promises.unlink(s)}async rename(s,c,h){const d=this.toFilePath(s),p=this.toFilePath(c);if(d!==p)try{await this.validateTargetDeleted(s,c,"move",h.overwrite),await(0,g.move)(d,p)}catch(u){throw(u.code==="EINVAL"||u.code==="EBUSY"||u.code==="ENAMETOOLONG")&&(u=new Error((0,a.localize)(2,null,(0,m.basename)(d),(0,m.basename)((0,m.dirname)(p)),u.toString()))),this.toFileSystemProviderError(u)}}async copy(s,c,h){const d=this.toFilePath(s),p=this.toFilePath(c);if(d!==p)try{await this.validateTargetDeleted(s,c,"copy",h.overwrite),await(0,g.copy)(d,p,{preserveSymlinks:!0})}catch(u){throw(u.code==="EINVAL"||u.code==="EBUSY"||u.code==="ENAMETOOLONG")&&(u=new Error((0,a.localize)(3,null,(0,m.basename)(d),(0,m.basename)((0,m.dirname)(p)),u.toString()))),this.toFileSystemProviderError(u)}}async validateTargetDeleted(s,c,h,d){const p=this.toFilePath(s),u=this.toFilePath(c);let O=!1;if(!!(this.capabilities&1024)||(O=(0,f.isEqual)(p,u,!0)),O&&h==="copy")throw(0,R.createFileSystemProviderError)((0,a.localize)(4,null),R.FileSystemProviderErrorCode.FileExists);if(!O&&await(0,g.exists)(u)){if(!d)throw(0,R.createFileSystemProviderError)((0,a.localize)(5,null),R.FileSystemProviderErrorCode.FileExists);await this.delete(c,{recursive:!0,useTrash:!1})}}watch(s,c){return c.recursive?this.watchRecursive(s,c.excludes):this.watchNonRecursive(s)}watchRecursive(s,c){const h={path:this.toFilePath(s),excludes:c},d=(0,t.insert)(this.recursiveFoldersToWatch,h);return this.refreshRecursiveWatchers(),(0,L.toDisposable)(()=>{d(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){var s,c,h;if(this.recursiveWatcher instanceof b.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if((0,L.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let d,p;((c=(s=this.options)===null||s===void 0?void 0:s.watcher)===null||c===void 0?void 0:c.usePolling)?(d=S.FileWatcher,p=(h=this.options)===null||h===void 0?void 0:h.watcher):this.recursiveFoldersToWatch.length===1?P.isWindows?d=w.FileWatcher:d=S.FileWatcher:d=b.FileWatcher,this.recursiveWatcher=new d(this.recursiveFoldersToWatch,u=>this._onDidChangeFile.fire((0,I.toFileChanges)(u)),u=>{u.type==="error"&&this._onDidWatchErrorOccur.fire(u.message),this.logService[u.type](u.message)},this.logService.getLevel()===C.LogLevel.Trace,p),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===C.LogLevel.Trace)}))}}watchNonRecursive(s){const c=new y.FileWatcher(this.toFilePath(s),d=>this._onDidChangeFile.fire((0,I.toFileChanges)(d)),d=>{d.type==="error"&&this._onDidWatchErrorOccur.fire(d.message),this.logService[d.type](d.message)},this.logService.getLevel()===C.LogLevel.Trace),h=this.logService.onDidChangeLogLevel(()=>{c.setVerboseLogging(this.logService.getLevel()===C.LogLevel.Trace)});return(0,L.combinedDisposable)(c,h)}toFilePath(s){return(0,m.normalize)(s.fsPath)}toFileSystemProviderError(s){if(s instanceof R.FileSystemProviderError)return s;let c;switch(s.code){case"ENOENT":c=R.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":c=R.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":c=R.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":c=R.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":c=R.FileSystemProviderErrorCode.NoPermissions;break;default:c=R.FileSystemProviderErrorCode.Unknown}return(0,R.createFileSystemProviderError)(s,c)}async toFileSystemProviderWriteError(s,c){let h=this.toFileSystemProviderError(c);if(s&&h.code===R.FileSystemProviderErrorCode.NoPermissions)try{const{stat:d}=await g.SymlinkSupport.stat(this.toFilePath(s));d.mode&128||(h=(0,R.createFileSystemProviderError)(c,R.FileSystemProviderErrorCode.FileWriteLocked))}catch(d){this.logService.trace(d)}return h}dispose(){super.dispose(),(0,L.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,(0,L.dispose)(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}e.DiskFileSystemProvider=r}),define(Q[158],Z([0,1,23,27,147,28,2,10,6,34,14,55,18,3,16,8]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsService=void 0;let S=class extends T.Disposable{constructor(y,o,i){super();this.extensionManagementService=y,this.logService=i,this._onDidLanguagesChange=this._register(new C.Emitter),this.onDidLanguagesChange=this._onDidLanguagesChange.event,this.cache=this._register(new w(o,i)),this._register(y.onDidInstallExtension(({local:t})=>this.onDidInstallExtension(t))),this._register(y.onDidUninstallExtension(({identifier:t})=>this.onDidUninstallExtension(t)))}getLanguageIds(){return this.cache.getLanguagePacks().then(y=>{const o=["en",...Object.keys(y)];return(0,E.distinct)(o)})}onDidInstallExtension(y){y&&y.manifest&&y.manifest.contributes&&y.manifest.contributes.localizations&&y.manifest.contributes.localizations.length&&(this.logService.debug("Adding language packs from the extension",y.identifier.id),this.update().then(o=>{o&&this._onDidLanguagesChange.fire()}))}onDidUninstallExtension(y){this.cache.getLanguagePacks().then(o=>{Object.keys(o).some(i=>o[i]&&o[i].extensions.some(t=>(0,m.areSameExtensions)(t.extensionIdentifier,y)))&&(this.logService.debug("Removing language packs from the extension",y.id),this.update().then(i=>{i&&this._onDidLanguagesChange.fire()}))})}async update(){const[y,o]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),i=await this.cache.update(o);return!(0,E.equals)(Object.keys(y),Object.keys(i))}};S=ue([Y(0,R.IExtensionManagementService),Y(1,P.INativeEnvironmentService),Y(2,D.ILogService)],S),e.LocalizationsService=S;let w=class extends T.Disposable{constructor(y,o){super();this.logService=o,this.languagePacks={},this.languagePacksFilePath=(0,I.join)(y.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new g.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(y){return this.withLanguagePacks(o=>{Object.keys(o).forEach(i=>delete o[i]),this.createLanguagePacksFromExtensions(o,...y)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(y,...o){for(const i of o)i&&i.manifest&&i.manifest.contributes&&i.manifest.contributes.localizations&&i.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(y,i);Object.keys(y).forEach(i=>this.updateHash(y[i]))}createLanguagePacksFromExtension(y,o){const i=o.identifier,t=o.manifest.contributes&&o.manifest.contributes.localizations?o.manifest.contributes.localizations:[];for(const n of t)if(o.location.scheme===a.Schemas.file&&(0,f.isValidLocalization)(n)){let r=y[n.languageId];r||(r={hash:"",extensions:[],translations:{}},y[n.languageId]=r);let l=r.extensions.filter(s=>(0,m.areSameExtensions)(s.extensionIdentifier,i))[0];l?l.version=o.manifest.version:r.extensions.push({extensionIdentifier:i,version:o.manifest.version});for(const s of n.translations)r.translations[s.id]=(0,I.join)(o.location.fsPath,s.path)}}updateHash(y){if(y){const o=(0,L.createHash)("md5");for(const i of y.extensions)o.update(i.extensionIdentifier.uuid||i.extensionIdentifier.id).update(i.version);y.hash=o.digest("hex")}}withLanguagePacks(y=()=>null){return this.languagePacksFileLimiter.queue(()=>{let o=null;return A.promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,i=>i.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(i)).then(i=>{try{return JSON.parse(i)}catch(t){return{}}}).then(i=>(o=y(i),i)).then(i=>{for(const n of Object.keys(i))i[n]||delete i[n];this.languagePacks=i,this.initializedCache=!0;const t=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",t),(0,v.writeFile)(this.languagePacksFilePath,t)}).then(()=>o,i=>this.logService.error(i))})}};w=ue([Y(0,P.INativeEnvironmentService),Y(1,D.ILogService)],w)}),define(Q[159],Z([0,1,14]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function A(R,T){switch(T){case v.LogLevel.Trace:return R.trace;case v.LogLevel.Debug:return R.debug;case v.LogLevel.Info:return R.info;case v.LogLevel.Warning:return R.warn;case v.LogLevel.Error:return R.error;case v.LogLevel.Critical:return R.critical;default:throw new Error("Invalid log level")}}class L extends v.AbstractLogger{constructor(T=v.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(T),this._register(this.onDidChangeLogLevel(P=>{this._logger&&this._logger.setLevel(P)}))}set logger(T){this._logger=T;for(const{level:P,args:g}of this.buffer)A(T,P).apply(T,g);this.buffer=[]}_log(T,...P){this._logger?A(this._logger,T).apply(this._logger,P):this.getLevel()<=T&&this.buffer.push({level:T,args:P})}trace(T,...P){this._log(v.LogLevel.Trace,T,...P)}debug(T,...P){this._log(v.LogLevel.Debug,T,...P)}info(T,...P){this._log(v.LogLevel.Info,T,...P)}warn(T,...P){this._log(v.LogLevel.Warning,T,...P)}error(T,...P){this._log(v.LogLevel.Error,T,...P)}critical(T,...P){this._log(v.LogLevel.Critical,T,...P)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=L}),define(Q[160],Z([0,1,14,9,6,22,11,2,4,159]),function(G,e,v,A,L,R,T,P,g,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const D=5*A.ByteSize.MB;let f=class extends v.AbstractLogger{constructor(a,I,S,w){super();this.name=a,this.resource=I,this.fileService=w,this.backupIndex=1,this.setLevel(S),this.queue=this._register(new L.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=v.LogLevel.Trace&&this._log(v.LogLevel.Trace,this.format(arguments))}debug(){this.getLevel()<=v.LogLevel.Debug&&this._log(v.LogLevel.Debug,this.format(arguments))}info(){this.getLevel()<=v.LogLevel.Info&&this._log(v.LogLevel.Info,this.format(arguments))}warn(){this.getLevel()<=v.LogLevel.Warning&&this._log(v.LogLevel.Warning,this.format(arguments))}error(){if(this.getLevel()<=v.LogLevel.Error){const a=arguments[0];if(a instanceof Error){const I=Array.prototype.slice.call(arguments);I[0]=a.stack,this._log(v.LogLevel.Error,this.format(I))}else this._log(v.LogLevel.Error,this.format(arguments))}}critical(){this.getLevel()<=v.LogLevel.Critical&&this._log(v.LogLevel.Critical,this.format(arguments))}flush(){}log(a,I){this._log(a,this.format(I))}async initialize(){try{await this.fileService.createFile(this.resource)}catch(a){if(a.fileOperationResult!==3)throw a}}_log(a,I){this.queue.queue(async()=>{await this.initializePromise;let S=await this.loadContent();S.length>D&&(await this.fileService.writeFile(this.getBackupResource(),R.VSBuffer.fromString(S)),S=""),S+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(a)}] ${I}
`,await this.fileService.writeFile(this.resource,R.VSBuffer.fromString(S))})}getCurrentTimestamp(){const a=w=>w<10?`0${w}`:w,I=w=>w<10?`00${w}`:w<100?`0${w}`:w,S=new Date;return`${S.getFullYear()}-${a(S.getMonth()+1)}-${a(S.getDate())} ${a(S.getHours())}:${a(S.getMinutes())}:${a(S.getSeconds())}.${I(S.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,(0,T.joinPath)((0,T.dirname)(this.resource),`${(0,T.basename)(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch(a){return""}}stringifyLogLevel(a){switch(a){case v.LogLevel.Critical:return"critical";case v.LogLevel.Debug:return"debug";case v.LogLevel.Error:return"error";case v.LogLevel.Info:return"info";case v.LogLevel.Trace:return"trace";case v.LogLevel.Warning:return"warning"}return""}format(a){let I="";for(let S=0;S<a.length;S++){let w=a[S];if(typeof w=="object")try{w=JSON.stringify(w)}catch(b){}I+=(S>0?" ":"")+w}return I}};f=ue([Y(3,A.IFileService)],f),e.FileLogger=f;let E=class extends P.Disposable{constructor(a,I,S){super();this.logService=a,this.instantiationService=I,this.fileService=S,this.loggers=new Map,this._register(a.onDidChangeLogLevel(w=>this.loggers.forEach(b=>b.setLevel(w))))}createLogger(a){let I=this.loggers.get(a.toString());return I||(I=new m.BufferLogService(this.logService.getLevel()),this.loggers.set(a.toString(),I),(0,A.whenProviderRegistered)(a,this.fileService).then(()=>I.logger=this.instantiationService.createInstance(f,(0,T.basename)(a),a,this.logService.getLevel()))),I}dispose(){this.loggers.forEach(a=>a.dispose()),this.loggers.clear(),super.dispose()}};E=ue([Y(0,v.ILogService),Y(1,g.IInstantiationService),Y(2,A.IFileService)],E),e.FileLoggerService=E}),define(Q[76],Z([0,1,14,3,5]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class R{constructor(E){this.service=E,this.onDidChangeLogLevel=A.Event.buffer(E.onDidChangeLogLevel,!0)}listen(E,C){switch(C){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${C}`)}async call(E,C,a){switch(C){case"setLevel":return this.service.setLevel(a)}throw new Error(`Call not found: ${C}`)}}e.LogLevelChannel=R;class T{constructor(E){this.channel=E}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(E){T.setLevel(this.channel,E)}static setLevel(E,C){return E.call("setLevel",C)}}e.LogLevelChannelClient=T;class P{constructor(E){this.loggerService=E,this.loggers=new Map}listen(E,C){throw new Error(`Event not found: ${C}`)}async call(E,C,a){switch(C){case"createLogger":this.createLogger(L.URI.revive(a[0]),a[1]);return;case"log":return this.log(L.URI.revive(a[0]),a[1]);case"consoleLog":return this.consoleLog(a[0],a[1])}throw new Error(`Call not found: ${C}`)}createLogger(E,C){this.loggers.set(E.toString(),this.loggerService.createLogger(E,C))}consoleLog(E,C){let a=console.log;switch(E){case v.LogLevel.Error:a=console.error;break;case v.LogLevel.Warning:a=console.warn;break;case v.LogLevel.Info:a=console.info;break}a.call(console,...C)}log(E,C){const a=this.loggers.get(E.toString());if(!a)throw new Error("Create the logger before logging");for(const[I,S]of C)switch(I){case v.LogLevel.Trace:a.trace(S);break;case v.LogLevel.Debug:a.debug(S);break;case v.LogLevel.Info:a.info(S);break;case v.LogLevel.Warning:a.warn(S);break;case v.LogLevel.Error:a.error(S);break;case v.LogLevel.Critical:a.critical(S);break;default:throw new Error("Invalid log level")}}}e.LoggerChannel=P;class g{constructor(E){this.channel=E}createConsoleMainLogger(){return new v.AdapterLogger({log:(E,C)=>{this.channel.call("consoleLog",[E,C])}})}createLogger(E,C){return new m(this.channel,E,C)}}e.LoggerChannelClient=g;class m extends v.AbstractMessageLogger{constructor(E,C,a){super(a==null?void 0:a.always);this.channel=E,this.file=C,this.isLoggerCreated=!1,this.buffer=[],this.channel.call("createLogger",[C,a]).then(()=>{this._log(this.buffer),this.isLoggerCreated=!0})}log(E,C){this._log([[E,C]])}_log(E){this.isLoggerCreated?this.channel.call("log",[this.file,E]):this.buffer.push(...E)}}class D extends v.LogService{constructor(E,C){super(C);this.parent=E,this._register(E.onDidChangeLogLevel(a=>C.setLevel(a)))}setLevel(E){super.setLevel(E),this.parent.setLevel(E)}}e.FollowerLogService=D}),define(Q[77],Z([0,1,14,9]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function L(g,m,D,f){try{const E=await new Promise((C,a)=>{G(["spdlog"],C,a)});return E.setAsyncMode(8192,500),E.createRotatingLoggerAsync(g,m,D,f)}catch(E){console.error(E)}return null}function R(g,m,D,f){return G.__$__nodeRequire("spdlog").createRotatingLogger(g,m,D,f)}e.createRotatingLogger=R;function T(g,m,D){switch(m){case v.LogLevel.Trace:g.trace(D);break;case v.LogLevel.Debug:g.debug(D);break;case v.LogLevel.Info:g.info(D);break;case v.LogLevel.Warning:g.warn(D);break;case v.LogLevel.Error:g.error(D);break;case v.LogLevel.Critical:g.critical(D);break;default:throw new Error("Invalid log level")}}class P extends v.AbstractMessageLogger{constructor(m,D,f,E){super();this.name=m,this.filepath=D,this.rotating=f,this.buffer=[],this.setLevel(E),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(C=>{this._logger&&this._logger.setLevel(C)}))}_createSpdLogLogger(){const m=this.rotating?6:1,D=30/m*A.ByteSize.MB;return L(this.name,this.filepath,D,m).then(f=>{if(f){this._logger=f,this._logger.setLevel(this.getLevel());for(const{level:E,message:C}of this.buffer)T(this._logger,E,C);this.buffer=[]}})}log(m,D){this._logger?T(this._logger,m,D):this.getLevel()<=m&&this.buffer.push({level:m,message:D})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=P}),define(Q[161],Z([0,1,14,2,11,16,160,77,9,31]),function(G,e,v,A,L,R,T,P,g,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let D=class extends A.Disposable{constructor(E,C){super();this.logService=E,this.fileService=C,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(E.onDidChangeLogLevel(a=>this.logLevelChangeableLoggers.forEach(I=>I.setLevel(a))))}createLogger(E,C){var a;let I=this.loggers.get(E.toString());return I||(E.scheme===R.Schemas.file?(I=new P.SpdLogLogger((C==null?void 0:C.name)||(0,m.generateUuid)(),E.fsPath,!(C==null?void 0:C.donotRotate),this.logService.getLevel()),(C==null?void 0:C.donotUseFormatters)&&I.clearFormatters()):I=new T.FileLogger((a=C==null?void 0:C.name)!==null&&a!==void 0?a:(0,L.basename)(E),E,this.logService.getLevel(),this.fileService),this.loggers.set(E.toString(),I),(C==null?void 0:C.always)?I.setLevel(v.LogLevel.Trace):this.logLevelChangeableLoggers.push(I)),I}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(E=>E.dispose()),this.loggers.clear(),super.dispose()}};D=ue([Y(0,v.ILogService),Y(1,g.IFileService)],D),e.LoggerService=D}),define(Q[57],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeHostService=void 0,e.INativeHostService=(0,v.createDecorator)("nativeHostService")}),define(Q[51],Z([0,1,7,41,16,11]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let T;if(v.isWeb||typeof G=="undefined"||typeof G.__$__nodeRequire!="function")T={},Object.keys(T).length===0&&Object.assign(T,{version:"1.55.0-dev",nameShort:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const P=(0,R.dirname)(L.FileAccess.asFileUri("",G));T=G.__$__nodeRequire((0,R.joinPath)(P,"product.json").fsPath);const g=G.__$__nodeRequire((0,R.joinPath)(P,"package.json").fsPath);A.env.VSCODE_DEV&&Object.assign(T,{nameShort:`${T.nameShort} Dev`,nameLong:`${T.nameLong} Dev`,dataFolderName:`${T.dataFolderName}-dev`}),Object.assign(T,{version:g.version})}e.default=T}),define(Q[162],Z([0,1,27,8,15,2,23,51]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeCachedDataCleaner=void 0;class g{constructor(D){this.nodeCachedDataDir=D,this._disposables=new R.DisposableStore,this._manageCachedDataSoon()}dispose(){this._disposables.dispose()}_manageCachedDataSoon(){if(!!this.nodeCachedDataDir){const D=(0,A.dirname)(this.nodeCachedDataDir),f=(0,A.basename)(this.nodeCachedDataDir);let E=setTimeout(()=>{E=void 0,(0,T.readdir)(D).then(C=>{const a=Date.now(),I=[];return C.forEach(S=>{if(S!==f){const w=(0,A.join)(D,S);I.push(v.promises.stat(w).then(b=>{if(b.isDirectory()&&a-b.mtime.getTime()>g._DataMaxAge)return(0,T.rimraf)(w)}))}}),Promise.all(I)}).then(void 0,L.onUnexpectedError)},30*1e3);this._disposables.add((0,R.toDisposable)(()=>{E&&(clearTimeout(E),E=void 0)}))}}}e.NodeCachedDataCleaner=g,g._DataMaxAge=P.default.nameLong.indexOf("Insiders")>=0?1e3*60*60*24*7:1e3*60*60*24*30*3}),define(Q[29],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProductService=void 0,e.IProductService=(0,v.createDecorator)("productService")}),define(Q[163],Z([0,1,27,8,23,29,2,15,14,10]),function(G,e,v,A,L,R,T,P,g,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackCachedDataCleaner=void 0;let D=class extends T.Disposable{constructor(E,C,a){super();this._environmentService=E,this._logService=C,this._productService=a,this._environmentService.isBuilt&&this._manageCachedDataSoon()}_manageCachedDataSoon(){let E=setTimeout(async()=>{E=void 0,this._logService.info("Starting to clean up unused language packs.");const C=this._productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3;try{const a=Object.create(null),I=JSON.parse(await v.promises.readFile(A.join(this._environmentService.userDataPath,"languagepacks.json"),"utf8"));for(let y of Object.keys(I)){const o=I[y];a[`${o.hash}.${y}`]=!0}const S=A.join(this._environmentService.userDataPath,"clp");if(!await L.exists(S))return;for(let y of await L.readdir(S)){if(a[y]){this._logService.info(`Skipping directory ${y}. Language pack still in use.`);continue}this._logService.info("Removing unused language pack:",y),await L.rimraf(A.join(S,y))}const b=Date.now();for(let y of Object.keys(a)){const o=A.join(S,y);for(let i of await L.readdir(o))if(i!=="tcf.json"){const t=A.join(o,i),n=await v.promises.stat(t);n.isDirectory()&&b-n.mtime.getTime()>C&&(this._logService.info("Removing language pack cache entry: ",A.join(y,i)),await L.rimraf(t))}}}catch(a){(0,P.onUnexpectedError)(a)}},40*1e3);this._register((0,T.toDisposable)(()=>{E!==void 0&&clearTimeout(E)}))}};D=ue([Y(0,m.INativeEnvironmentService),Y(1,g.ILogService),Y(2,R.IProductService)],D),e.LanguagePackCachedDataCleaner=D}),define(Q[35],Z([0,1,17,85]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class L{constructor(){this.data=new Map}add(T,P){A.ok(v.isString(T)),A.ok(v.isObject(P)),A.ok(!this.data.has(T),"There is already an extension with this id"),this.data.set(T,P)}knows(T){return this.data.has(T)}as(T){return this.data.get(T)||null}}e.Registry=new L}),define(Q[78],Z([0,1,35,3]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function L(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class R{constructor(){this._onDidChangeSchema=new A.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(g,m){this.schemasById[L(g)]=m,this._onDidChangeSchema.fire(g)}notifySchemaChanged(g){this._onDidChangeSchema.fire(g)}getSchemaContributions(){return{schemas:this.schemasById}}}const T=new R;v.Registry.add(e.Extensions.JSONContribution,T)}),define(Q[38],Z([0,1,108,3,35,17,78]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var P;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(P=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const g=L.Registry.as(T.Extensions.JSONContribution);class m{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new A.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new A.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:v.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},g.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(w,b=!0){this.registerConfigurations([w],b)}registerConfigurations(w,b=!0){const y=[];w.forEach(o=>{y.push(...this.validateAndRegisterProperties(o,b)),this.configurationContributors.push(o),this.registerJSONConfiguration(o)}),g.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(y)}deregisterConfigurations(w){const b=[],y=o=>{if(o.properties)for(const i in o.properties)b.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,o.properties[i]);o.allOf&&o.allOf.forEach(i=>y(i))};for(const o of w){y(o);const i=this.configurationContributors.indexOf(o);i!==-1&&this.configurationContributors.splice(i,1)}g.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}registerDefaultConfigurations(w){const b=[],y=[];for(const o of w)for(const i in o)if(b.push(i),e.OVERRIDE_PROPERTY_PATTERN.test(i)){this.defaultValues[i]=Object.assign(Object.assign({},this.defaultValues[i]||{}),o[i]);const t={type:"object",default:this.defaultValues[i],description:v.localize(1,null,i),$ref:e.resourceLanguageSettingsSchemaId};y.push(f(i)),this.configurationProperties[i]=t,this.defaultLanguageConfigurationOverridesNode.properties[i]=t}else{this.defaultValues[i]=o[i];const t=this.configurationProperties[i];t&&(this.updatePropertyDefaultValue(i,t),this.updateSchema(i,t))}this.registerOverrideIdentifiers(y),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}deregisterDefaultConfigurations(w){const b=[];for(const y of w)for(const o in y)if(b.push(o),delete this.defaultValues[o],e.OVERRIDE_PROPERTY_PATTERN.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const i=this.configurationProperties[o];i&&(this.updatePropertyDefaultValue(o,i),this.updateSchema(o,i))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}notifyConfigurationSchemaUpdated(...w){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(w){for(const b of w)this.overrideIdentifiers.add(b);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(w,b=!0,y=3){y=R.isUndefinedOrNull(w.scope)?y:w.scope;let o=[],i=w.properties;if(i)for(let n in i){if(b&&a(n)){delete i[n];continue}const r=i[n];if(this.updatePropertyDefaultValue(n,r),e.OVERRIDE_PROPERTY_PATTERN.test(n)?r.scope=void 0:r.scope=R.isUndefinedOrNull(r.scope)?y:r.scope,i[n].hasOwnProperty("included")&&!i[n].included){this.excludedConfigurationProperties[n]=i[n],delete i[n];continue}else this.configurationProperties[n]=i[n];!i[n].deprecationMessage&&i[n].markdownDeprecationMessage&&(i[n].deprecationMessage=i[n].markdownDeprecationMessage),o.push(n)}let t=w.allOf;if(t)for(let n of t)o.push(...this.validateAndRegisterProperties(n,b,y));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(w){const b=y=>{let o=y.properties;if(o)for(const t in o)this.updateSchema(t,o[t]);let i=y.allOf;i&&i.forEach(b)};b(w)}updateSchema(w,b){switch(e.allSettings.properties[w]=b,b.scope){case 1:e.applicationSettings.properties[w]=b;break;case 2:e.machineSettings.properties[w]=b;break;case 6:e.machineOverridableSettings.properties[w]=b;break;case 3:e.windowSettings.properties[w]=b;break;case 4:e.resourceSettings.properties[w]=b;break;case 5:e.resourceSettings.properties[w]=b,this.resourceLanguageSettingsSchema.properties[w]=b;break}}removeFromSchema(w,b){switch(delete e.allSettings.properties[w],b.scope){case 1:delete e.applicationSettings.properties[w];break;case 2:delete e.machineSettings.properties[w];break;case 6:delete e.machineOverridableSettings.properties[w];break;case 3:delete e.windowSettings.properties[w];break;case 4:case 5:delete e.resourceSettings.properties[w];break}}updateOverridePropertyPatternKey(){for(const w of this.overrideIdentifiers.values()){const b=`[${w}]`,y={type:"object",description:v.localize(2,null),errorMessage:v.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(b,y),e.allSettings.properties[b]=y,e.applicationSettings.properties[b]=y,e.machineSettings.properties[b]=y,e.machineOverridableSettings.properties[b]=y,e.windowSettings.properties[b]=y,e.resourceSettings.properties[b]=y}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(w,b){let y=this.defaultValues[w];R.isUndefined(y)&&(y=b.default),R.isUndefined(y)&&(y=E(b.type)),b.default=y}}const D="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(D);function f(S){return S.substring(1,S.length-1)}e.overrideIdentifierFromKey=f;function E(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=E;const C=new m;L.Registry.add(e.Extensions.Configuration,C);function a(S){return S.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(S)?v.localize(5,null,S):C.getConfigurationProperties()[S]!==void 0?v.localize(6,null,S):null:v.localize(4,null)}e.validateProperty=a;function I(){const S=[],w=C.getConfigurationProperties();for(const b of Object.keys(w))S.push([b,w[b].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.getScopes=I}),define(Q[24],Z([0,1,26,17,5,35,4,38]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,T.createDecorator)("configurationService");function g(n){return n&&typeof n=="object"&&(!n.overrideIdentifier||typeof n.overrideIdentifier=="string")&&(!n.resource||n.resource instanceof L.URI)}e.isConfigurationOverrides=g;var m;(function(n){n[n.USER=1]="USER",n[n.USER_LOCAL=2]="USER_LOCAL",n[n.USER_REMOTE=3]="USER_REMOTE",n[n.WORKSPACE=4]="WORKSPACE",n[n.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",n[n.DEFAULT=6]="DEFAULT",n[n.MEMORY=7]="MEMORY"})(m=e.ConfigurationTarget||(e.ConfigurationTarget={}));function D(n){switch(n){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=D;function f(n,r){const l=r?n?r.keys.filter(O=>n.keys.indexOf(O)===-1):[...r.keys]:[],s=n?r?n.keys.filter(O=>r.keys.indexOf(O)===-1):[...n.keys]:[],c=[];if(r&&n){for(const O of n.keys)if(r.keys.indexOf(O)!==-1){const _=w(n.contents,O),q=w(r.contents,O);v.equals(_,q)||c.push(O)}}const h=[],d=O=>{const _={};for(const q of O)for(const x of q.identifiers)_[i(x)]=q;return _},p=r?d(r.overrides):{},u=n?d(n.overrides):{};if(Object.keys(p).length)for(const O of l){const _=p[O];_&&h.push([(0,P.overrideIdentifierFromKey)(O),_.keys])}if(Object.keys(u).length)for(const O of s){const _=u[O];_&&h.push([(0,P.overrideIdentifierFromKey)(O),_.keys])}if(Object.keys(p).length&&Object.keys(u).length)for(const O of c){const _=u[O],q=p[O];if(_&&q){const x=f({contents:_.contents,keys:_.keys,overrides:[]},{contents:q.contents,keys:q.keys,overrides:[]});h.push([(0,P.overrideIdentifierFromKey)(O),[...x.added,...x.removed,...x.updated]])}}return{added:l,removed:s,updated:c,overrides:h}}e.compare=f;function E(n,r){const l=[];for(const s of Object.keys(n))if(P.OVERRIDE_PROPERTY_PATTERN.test(s)){const c={};for(const h in n[s])c[h]=n[s][h];l.push({identifiers:[(0,P.overrideIdentifierFromKey)(s).trim()],keys:Object.keys(c),contents:C(c,r)})}return l}e.toOverrides=E;function C(n,r){const l=Object.create(null);for(let s in n)a(l,s,n[s],r);return l}e.toValuesTree=C;function a(n,r,l,s){const c=r.split("."),h=c.pop();let d=n;for(let p=0;p<c.length;p++){let u=c[p],O=d[u];switch(typeof O){case"undefined":O=d[u]=Object.create(null);break;case"object":break;default:s(`Ignoring ${r} as ${c.slice(0,p+1).join(".")} is ${JSON.stringify(O)}`);return}d=O}if(typeof d=="object"&&d!==null)try{d[h]=l}catch(p){s(`Ignoring ${r} as ${c.join(".")} is ${JSON.stringify(d)}`)}else s(`Ignoring ${r} as ${c.join(".")} is ${JSON.stringify(d)}`)}e.addToValueTree=a;function I(n,r){const l=r.split(".");S(n,l)}e.removeFromValueTree=I;function S(n,r){const l=r.shift();if(r.length===0){delete n[l];return}if(Object.keys(n).indexOf(l)!==-1){const s=n[l];typeof s=="object"&&!Array.isArray(s)&&(S(s,r),Object.keys(s).length===0&&delete n[l])}}function w(n,r,l){function s(d,p){let u=d;for(const O of p){if(typeof u!="object"||u===null)return;u=u[O]}return u}const c=r.split("."),h=s(n,c);return typeof h=="undefined"?l:h}e.getConfigurationValue=w;function b(n,r,l){Object.keys(r).forEach(s=>{s!=="__proto__"&&(s in n?A.isObject(n[s])&&A.isObject(r[s])?b(n[s],r[s],l):l&&(n[s]=r[s]):n[s]=r[s])})}e.merge=b;function y(){const n=R.Registry.as(P.Extensions.Configuration).getConfigurationProperties();return Object.keys(n)}e.getConfigurationKeys=y;function o(){const n=Object.create(null),r=R.Registry.as(P.Extensions.Configuration).getConfigurationProperties();for(let l in r){let s=r[l].default;a(n,l,s,c=>console.error(`Conflict in default settings: ${c}`))}return n}e.getDefaultValues=o;function i(n){return`[${n}]`}e.keyFromOverrideIdentifier=i;function t(n,r,l){const s=n.inspect(r),c=n.inspect(l);return typeof s.userValue!="undefined"||typeof s.workspaceValue!="undefined"||typeof s.workspaceFolderValue!="undefined"?s.value:typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:s.defaultValue}e.getMigratedSettingValue=t}),define(Q[164],Z([0,1,32,36,18,17,26,5,38,24,35,2,3]),function(G,e,v,A,L,R,T,P,g,m,D,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class C{constructor(t={},n=[],r=[]){this._contents=t,this._keys=n,this._overrides=r,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?(0,m.getConfigurationValue)(this.contents,t):this.contents}getOverrideValue(t,n){const r=this.getContentsForOverrideIdentifer(n);return r?t?(0,m.getConfigurationValue)(r,t):r:void 0}getKeysForOverrideIdentifier(t){for(const n of this.overrides)if(n.identifiers.indexOf(t)!==-1)return n.keys;return[]}override(t){const n=this.getContentsForOverrideIdentifer(t);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let r={};for(const l of L.distinct([...Object.keys(this.contents),...Object.keys(n)])){let s=this.contents[l],c=n[l];c&&(typeof s=="object"&&typeof c=="object"?(s=T.deepClone(s),this.mergeContents(s,c)):s=c),r[l]=s}return new C(r,this.keys,this.overrides)}merge(...t){const n=T.deepClone(this.contents),r=T.deepClone(this.overrides),l=[...this.keys];for(const s of t){this.mergeContents(n,s.contents);for(const c of s.overrides){const[h]=r.filter(d=>L.equals(d.identifiers,c.identifiers));h?this.mergeContents(h.contents,c.contents):r.push(T.deepClone(c))}for(const c of s.keys)l.indexOf(c)===-1&&l.push(c)}return new C(n,l,r)}freeze(){return this.isFrozen=!0,this}mergeContents(t,n){for(const r of Object.keys(n)){if(r in t&&R.isObject(t[r])&&R.isObject(n[r])){this.mergeContents(t[r],n[r]);continue}t[r]=T.deepClone(n[r])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?T.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const n of this.overrides)if(n.identifiers.indexOf(t)!==-1)return n.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,n){this.addKey(t),(0,m.addToValueTree)(this.contents,t,n,r=>{throw new Error(r)})}removeValue(t){this.removeKey(t)&&(0,m.removeFromValueTree)(this.contents,t)}addKey(t){let n=this.keys.length;for(let r=0;r<n;r++)t.indexOf(this.keys[r])===0&&(n=r);this.keys.splice(n,1,t)}removeKey(t){let n=this.keys.indexOf(t);return n!==-1?(this.keys.splice(n,1),!0):!1}}e.ConfigurationModel=C;class a extends C{constructor(){const t=(0,m.getDefaultValues)(),n=(0,m.getConfigurationKeys)(),r=[];for(const l of Object.keys(t))g.OVERRIDE_PROPERTY_PATTERN.test(l)&&r.push({identifiers:[(0,g.overrideIdentifierFromKey)(l).trim()],keys:Object.keys(t[l]),contents:(0,m.toValuesTree)(t[l],s=>console.error(`Conflict in default settings file: ${s}`))});super(t,n,r)}}e.DefaultConfigurationModel=a;class I{constructor(t,n){this._name=t,this._scopes=n,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new C}get errors(){return this._parseErrors}parseContent(t){if(!R.isUndefinedOrNull(t)){const n=this.doParseContent(t);this.parseRaw(n)}}parseRaw(t){this._raw=t;const n=this.doParseRaw(t);this._configurationModel=new C(n.contents,n.keys,n.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let n={},r=null,l=[],s=[],c=[];function h(p){Array.isArray(l)?l.push(p):r&&(l[r]=p)}let d={onObjectBegin:()=>{let p={};h(p),s.push(l),l=p,r=null},onObjectProperty:p=>{r=p},onObjectEnd:()=>{l=s.pop()},onArrayBegin:()=>{let p=[];h(p),s.push(l),l=p,r=null},onArrayEnd:()=>{l=s.pop()},onLiteralValue:h,onError:(p,u,O)=>{c.push({error:p,offset:u,length:O})}};if(t)try{v.visit(t,d),n=l[0]||{}}catch(p){console.error(`Error while parsing settings file ${this._name}: ${p}`),this._parseErrors=[p]}return n}doParseRaw(t){if(this._scopes){const s=D.Registry.as(g.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,s,!0,this._scopes)}const n=(0,m.toValuesTree)(t,s=>console.error(`Conflict in settings file ${this._name}: ${s}`)),r=Object.keys(t),l=(0,m.toOverrides)(t,s=>console.error(`Conflict in settings file ${this._name}: ${s}`));return{contents:n,keys:r,overrides:l}}filterByScope(t,n,r,l){const s={};for(let c in t)if(g.OVERRIDE_PROPERTY_PATTERN.test(c)&&r)s[c]=this.filterByScope(t[c],n,!1,l);else{const h=this.getScope(c,n);(h===void 0||l.indexOf(h)!==-1)&&(s[c]=t[c])}return s}getScope(t,n){const r=n[t];return r?typeof r.scope!="undefined"?r.scope:3:void 0}}e.ConfigurationModelParser=I;class S extends f.Disposable{constructor(t,n,r,l){super();this.userSettingsResource=t,this.scopes=n,this.fileService=l,this._onDidChange=this._register(new E.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new I(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(r.dirname(this.userSettingsResource))),this._register(E.Event.filter(this.fileService.onDidFilesChange,s=>s.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new C}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=S;class w{constructor(t,n,r=new C,l=new C,s=new A.ResourceMap,c=new C,h=new A.ResourceMap,d=!0){this._defaultConfiguration=t,this._localUserConfiguration=n,this._remoteUserConfiguration=r,this._workspaceConfiguration=l,this._folderConfigurations=s,this._memoryConfiguration=c,this._memoryConfigurationByResource=h,this._freeze=d,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new A.ResourceMap,this._userConfiguration=null}getValue(t,n,r){return this.getConsolidateConfigurationModel(n,r).getValue(t)}updateValue(t,n,r={}){let l;r.resource?(l=this._memoryConfigurationByResource.get(r.resource),l||(l=new C,this._memoryConfigurationByResource.set(r.resource,l))):l=this._memoryConfiguration,n===void 0?l.removeValue(t):l.setValue(t,n),r.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,n,r){const l=this.getConsolidateConfigurationModel(n,r),s=this.getFolderConfigurationModelForResource(n.resource,r),c=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,h=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),d=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),p=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),u=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),O=r?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,_=s?n.overrideIdentifier?s.freeze().override(n.overrideIdentifier).getValue(t):s.freeze().getValue(t):void 0,q=n.overrideIdentifier?c.override(n.overrideIdentifier).getValue(t):c.getValue(t),x=l.getValue(t),j=L.distinct(L.flatten(l.overrides.map($=>$.identifiers))).filter($=>l.getOverrideValue(t,$)!==void 0);return{defaultValue:h,userValue:d,userLocalValue:p,userRemoteValue:u,workspaceValue:O,workspaceFolderValue:_,memoryValue:q,value:x,default:h!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,user:d!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,userLocal:p!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,userRemote:u!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,workspace:O!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,workspaceFolder:_!==void 0?{value:s==null?void 0:s.freeze().getValue(t),override:n.overrideIdentifier?s==null?void 0:s.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,memory:q!==void 0?{value:c.getValue(t),override:n.overrideIdentifier?c.getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:j.length?j:void 0}}keys(t){const n=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,n){this._folderConfigurations.set(t,n),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,n){const r=n.filter(l=>g.OVERRIDE_PROPERTY_PATTERN.test(l)).map(l=>{const s=(0,g.overrideIdentifierFromKey)(l),c=this._defaultConfiguration.getKeysForOverrideIdentifier(s),h=t.getKeysForOverrideIdentifier(s),d=[...h.filter(p=>c.indexOf(p)===-1),...c.filter(p=>h.indexOf(p)===-1),...c.filter(p=>!T.equals(this._defaultConfiguration.override(s).getValue(p),t.override(s).getValue(p)))];return[s,d]});return this.updateDefaultConfiguration(t),{keys:n,overrides:r}}compareAndUpdateLocalUserConfiguration(t){const{added:n,updated:r,removed:l,overrides:s}=(0,m.compare)(this.localUserConfiguration,t),c=[...n,...r,...l];return c.length&&this.updateLocalUserConfiguration(t),{keys:c,overrides:s}}compareAndUpdateRemoteUserConfiguration(t){const{added:n,updated:r,removed:l,overrides:s}=(0,m.compare)(this.remoteUserConfiguration,t);let c=[...n,...r,...l];return c.length&&this.updateRemoteUserConfiguration(t),{keys:c,overrides:s}}compareAndUpdateWorkspaceConfiguration(t){const{added:n,updated:r,removed:l,overrides:s}=(0,m.compare)(this.workspaceConfiguration,t);let c=[...n,...r,...l];return c.length&&this.updateWorkspaceConfiguration(t),{keys:c,overrides:s}}compareAndUpdateFolderConfiguration(t,n){const r=this.folderConfigurations.get(t),{added:l,updated:s,removed:c,overrides:h}=(0,m.compare)(r,n);let d=[...l,...s,...c];return(d.length||!r)&&this.updateFolderConfiguration(t,n),{keys:d,overrides:h}}compareAndDeleteFolderConfiguration(t){const n=this.folderConfigurations.get(t);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:r,updated:l,removed:s,overrides:c}=(0,m.compare)(n,void 0);return{keys:[...r,...l,...s],overrides:c}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,n){let r=this.getConsolidatedConfigurationModelForResource(t,n);return t.overrideIdentifier?r.override(t.overrideIdentifier):r}getConsolidatedConfigurationModelForResource({resource:t},n){let r=this.getWorkspaceConsolidatedConfiguration();if(n&&t){const l=n.getFolder(t);l&&(r=this.getFolderConsolidatedConfiguration(l.uri)||r);const s=this._memoryConfigurationByResource.get(t);s&&(r=r.merge(s))}return r}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let n=this._foldersConsolidatedConfigurations.get(t);if(!n){const r=this.getWorkspaceConsolidatedConfiguration(),l=this._folderConfigurations.get(t);l?(n=r.merge(l),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(t,n)):n=r}return n}getFolderConfigurationModelForResource(t,n){if(n&&t){const r=n.getFolder(t);if(r)return this._folderConfigurations.get(r.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,n)=>{const{contents:r,overrides:l,keys:s}=this._folderConfigurations.get(n);return t.push([n,{contents:r,overrides:l,keys:s}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>t.add(n)),this.userConfiguration.freeze().keys.forEach(n=>t.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>t.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(r=>t.add(r))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>n.add(r)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>n.add(r)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(r=>n.add(r)),this._folderConfigurations.forEach(r=>r.getKeysForOverrideIdentifier(t).forEach(l=>n.add(l))),[...n.values()]}static parse(t){const n=this.parseConfigurationModel(t.defaults),r=this.parseConfigurationModel(t.user),l=this.parseConfigurationModel(t.workspace),s=t.folders.reduce((c,h)=>(c.set(P.URI.revive(h[0]),this.parseConfigurationModel(h[1])),c),new A.ResourceMap);return new w(n,r,new C,l,s,new C,new A.ResourceMap,!1)}static parseConfigurationModel(t){return new C(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=w;function b(...i){if(i.length===0)return{keys:[],overrides:[]};if(i.length===1)return i[0];const t=new Set,n=new Map;for(const l of i)l.keys.forEach(s=>t.add(s)),l.overrides.forEach(([s,c])=>{const h=(0,A.getOrSet)(n,s,new Set);c.forEach(d=>h.add(d))});const r=[];return n.forEach((l,s)=>r.push([s,[...l.values()]])),{keys:[...t.values()],overrides:r}}e.mergeChanges=b;class y{constructor(t,n,r,l){this.change=t,this.previous=n,this.currentConfiguraiton=r,this.currentWorkspace=l,this._previousConfiguration=void 0;const s=new Set;t.keys.forEach(h=>s.add(h)),t.overrides.forEach(([,h])=>h.forEach(d=>s.add(d))),this.affectedKeys=[...s.values()];const c=new C;this.affectedKeys.forEach(h=>c.setValue(h,{})),this.affectedKeysTree=c.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=w.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,n){var r;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(n){const l=this.previousConfiguration?this.previousConfiguration.getValue(t,n,(r=this.previous)===null||r===void 0?void 0:r.workspace):void 0,s=this.currentConfiguraiton.getValue(t,n,this.currentWorkspace);return!T.equals(l,s)}return!0}return!1}doesAffectedKeysTreeContains(t,n){let r=(0,m.toValuesTree)({[n]:!0},()=>{}),l;for(;typeof r=="object"&&(l=Object.keys(r)[0]);){if(t=t[l],!t)return!1;r=r[l]}return!0}}e.ConfigurationChangeEvent=y;class o extends y{constructor(t,n,r,l){super({keys:t.allKeys(),overrides:[]},void 0,t,n);this.source=r,this.sourceConfig=l}}e.AllKeysConfigurationChangeEvent=o}),define(Q[165],Z([0,1,35,38,2,24,164,3,6,11]),function(G,e,v,A,L,R,T,P,g,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class D extends L.Disposable{constructor(E,C){super();this.settingsResource=E,this._onDidChangeConfiguration=this._register(new P.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new T.UserSettings(this.settingsResource,void 0,m.extUriBiasedIgnorePathCase,C)),this.configuration=new T.Configuration(new T.DefaultConfigurationModel,new T.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new g.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(v.Registry.as(A.Extensions.Configuration).onDidUpdateConfiguration(a=>this.onDidDefaultConfigurationChange(a))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const E=await this.userConfiguration.loadConfiguration();this.configuration=new T.Configuration(new T.DefaultConfigurationModel,E)}getConfigurationData(){return this.configuration.toData()}getValue(E,C){const a=typeof E=="string"?E:void 0,I=(0,R.isConfigurationOverrides)(E)?E:(0,R.isConfigurationOverrides)(C)?C:{};return this.configuration.getValue(a,I,void 0)}updateValue(E,C,a,I){return Promise.reject(new Error("not supported"))}inspect(E){return this.configuration.inspect(E,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const E=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(E)}onDidChangeUserConfiguration(E){const C=this.configuration.toData(),a=this.configuration.compareAndUpdateLocalUserConfiguration(E);this.trigger(a,C,1)}onDidDefaultConfigurationChange(E){const C=this.configuration.toData(),a=this.configuration.compareAndUpdateDefaultConfiguration(new T.DefaultConfigurationModel,E);this.trigger(a,C,6)}trigger(E,C,a){const I=new T.ConfigurationChangeEvent(E,{data:C},this.configuration);I.source=a,I.sourceConfig=this.getTargetConfiguration(a),this._onDidChangeConfiguration.fire(I)}getTargetConfiguration(E){switch(E){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=D}),define(Q[166],Z([0,1,24,14,101]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let R=class{constructor(P,g){this.configurationService=P,this.logService=g}request(P,g){return this.logService.trace("RequestService#request",P.url),P.proxyAuthorization||(P.proxyAuthorization=this.configurationService.getValue("http.proxyAuthorization")),(0,L.request)(P,g)}async resolveProxy(P){}};R=ue([Y(0,v.IConfigurationService),Y(1,A.ILogService)],R),e.RequestService=R}),define(Q[39],Z([0,1,119,4,38,35,22]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,A.createDecorator)("requestService");function P(f){return f.res.statusCode&&f.res.statusCode>=200&&f.res.statusCode<300||f.res.statusCode===1223}e.isSuccess=P;function g(f){return f.res.statusCode===204}async function m(f){if(!P(f))throw new Error("Server returned "+f.res.statusCode);return g(f)?null:(await(0,T.streamToBuffer)(f.stream)).toString()}e.asText=m;async function D(f){if(!P(f))throw new Error("Server returned "+f.res.statusCode);if(g(f))return null;const C=(await(0,T.streamToBuffer)(f.stream)).toString();try{return JSON.parse(C)}catch(a){throw a.message+=`:
`+C,a}}e.asJson=D,R.Registry.as(L.Extensions.Configuration).registerConfiguration({id:"http",order:15,title:(0,v.localize)(0,null),type:"object",properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,v.localize)(1,null)},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,v.localize)(2,null)},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,v.localize)(3,null)},"http.proxySupport":{type:"string",enum:["off","on","override"],enumDescriptions:[(0,v.localize)(4,null),(0,v.localize)(5,null),(0,v.localize)(6,null)],default:"override",description:(0,v.localize)(7,null)},"http.systemCertificates":{type:"boolean",default:!0,description:(0,v.localize)(8,null)}}})}),define(Q[167],Z([0,1,39,30,9,16]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let T=class{constructor(g,m){this.requestService=g,this.fileService=m}async download(g,m,D=A.CancellationToken.None){if(g.scheme===R.Schemas.file||g.scheme===R.Schemas.vscodeRemote){await this.fileService.copy(g,m);return}const f={type:"GET",url:g.toString()},E=await this.requestService.request(f,D);if(E.res.statusCode===200)await this.fileService.writeFile(m,E.stream);else{const C=await(0,v.asText)(E);throw new Error(`Expected 200, got back ${E.res.statusCode} instead.

${C}`)}}};T=ue([Y(0,v.IRequestService),Y(1,L.IFileService)],T),e.DownloadService=T}),define(Q[168],Z([0,1,29,9,18,62,39,30,14,11,130,2]),function(G,e,v,A,L,R,T,P,g,m,D,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;let E=class extends f.Disposable{constructor(a,I,S,w){super();this.fileService=a,this.productService=I,this.requestService=S,this.logService=w,this.allConfigBasedTips=new Map,this.productService.configBasedExtensionTips&&(0,R.forEach)(this.productService.configBasedExtensionTips,({value:b})=>this.allConfigBasedTips.set(b.configPath,b))}getConfigBasedTips(a){return this.getValidConfigBasedTips(a)}getAllWorkspacesTips(){return this.fetchWorkspacesTips()}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async getValidConfigBasedTips(a){const I=[];for(const[S,w]of this.allConfigBasedTips)try{const b=await this.fileService.readFile((0,m.joinPath)(a,S)),y=new Map;(0,R.forEach)(w.recommendations,({key:i,value:t})=>{if((0,L.isNonEmptyArray)(t.remotes))for(const n of t.remotes)y.set(n,{extensionId:i,extensionName:t.name,configName:w.configName,important:!!t.important,isExtensionPack:!!t.isExtensionPack});else I.push({extensionId:i,extensionName:t.name,configName:w.configName,important:!!t.important,isExtensionPack:!!t.isExtensionPack})});const o=(0,D.getDomainsOfRemotes)(b.value.toString(),[...y.keys()]);for(const i of o){const t=y.get(i);t&&I.push(t)}}catch(b){}return I}async fetchWorkspacesTips(){var a,I;if(!((a=this.productService.extensionsGallery)===null||a===void 0?void 0:a.recommendationsUrl))return[];try{const S=await this.requestService.request({type:"GET",url:(I=this.productService.extensionsGallery)===null||I===void 0?void 0:I.recommendationsUrl},P.CancellationToken.None);if(S.res.statusCode!==200)return[];const w=await(0,T.asJson)(S);return w?w.workspaceRecommendations||[]:[]}catch(S){return this.logService.error(S),[]}}};E=ue([Y(0,A.IFileService),Y(1,v.IProductService),Y(2,T.IRequestService),Y(3,g.ILogService)],E),e.ExtensionTipsService=E}),define(Q[44],Z([0,1,31,22]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function L(R,T,P){let g=P&&P.get("storage.serviceMachineId",0)||null;if(g)return g;try{const D=(await T.readFile(R.serviceMachineIdResource)).value.toString();g=(0,v.isUUID)(D)?D:null}catch(m){g=null}if(!g){g=(0,v.generateUuid)();try{await T.writeFile(R.serviceMachineIdResource,A.VSBuffer.fromString(g))}catch(m){}}return P&&P.store("storage.serviceMachineId",g,0,1),g}e.getServiceMachineId=L}),define(Q[19],Z([0,1,4,3,2,17,67,6]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const g="__$__targetStorageMarker";e.IStorageService=(0,v.createDecorator)("storageService");var m;(function(I){I[I.NONE=0]="NONE",I[I.SHUTDOWN=1]="SHUTDOWN"})(m=e.WillSaveStateReason||(e.WillSaveStateReason={}));var D;(function(I){I[I.GLOBAL=0]="GLOBAL",I[I.WORKSPACE=1]="WORKSPACE"})(D=e.StorageScope||(e.StorageScope={}));var f;(function(I){I[I.USER=0]="USER",I[I.MACHINE=1]="MACHINE"})(f=e.StorageTarget||(e.StorageTarget={}));class E extends L.Disposable{constructor(S={flushInterval:E.DEFAULT_FLUSH_INTERVAL}){super();this.options=S,this._onDidChangeValue=this._register(new A.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new A.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new A.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new P.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new L.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,P.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,L.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(S,w){w===g?(S===0?this._globalKeyTargets=void 0:S===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:S})):this._onDidChangeValue.fire({scope:S,key:w,target:this.getKeyTargets(S)[w]})}emitWillSaveState(S){this._onWillSaveState.fire({reason:S})}get(S,w,b){var y;return(y=this.getStorage(w))===null||y===void 0?void 0:y.get(S,b)}getBoolean(S,w,b){var y;return(y=this.getStorage(w))===null||y===void 0?void 0:y.getBoolean(S,b)}getNumber(S,w,b){var y;return(y=this.getStorage(w))===null||y===void 0?void 0:y.getNumber(S,b)}store(S,w,b,y){if((0,R.isUndefinedOrNull)(w)){this.remove(S,b);return}this.withPausedEmitters(()=>{var o;this.updateKeyTarget(S,b,y),(o=this.getStorage(b))===null||o===void 0||o.set(S,w)})}remove(S,w){this.withPausedEmitters(()=>{var b;this.updateKeyTarget(S,w,void 0),(b=this.getStorage(w))===null||b===void 0||b.delete(S)})}withPausedEmitters(S){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{S()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(S,w){const b=[],y=this.getKeyTargets(S);for(const o of Object.keys(y))y[o]===w&&b.push(o);return b}updateKeyTarget(S,w,b){var y,o;const i=this.getKeyTargets(w);typeof b=="number"?i[S]!==b&&(i[S]=b,(y=this.getStorage(w))===null||y===void 0||y.set(g,JSON.stringify(i))):typeof i[S]=="number"&&(delete i[S],(o=this.getStorage(w))===null||o===void 0||o.set(g,JSON.stringify(i)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(S){return S===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(S){const w=this.get(g,S);if(w)try{return JSON.parse(w)}catch(b){}return Object.create(null)}isNew(S){return this.getBoolean(e.IS_NEW_KEY,S)===!0}async flush(){var S,w,b,y;this._onWillSaveState.fire({reason:m.NONE}),await P.Promises.settled([(w=(S=this.getStorage(0))===null||S===void 0?void 0:S.whenFlushed())!==null&&w!==void 0?w:Promise.resolve(),(y=(b=this.getStorage(1))===null||b===void 0?void 0:b.whenFlushed())!==null&&y!==void 0?y:Promise.resolve()])}async logStorage(){var S,w,b,y,o,i;const t=(w=(S=this.getStorage(0))===null||S===void 0?void 0:S.items)!==null&&w!==void 0?w:new Map,n=(y=(b=this.getStorage(1))===null||b===void 0?void 0:b.items)!==null&&y!==void 0?y:new Map;return a(t,n,(o=this.getLogDetails(0))!==null&&o!==void 0?o:"",(i=this.getLogDetails(1))!==null&&i!==void 0?i:"")}}e.AbstractStorageService=E,E.DEFAULT_FLUSH_INTERVAL=60*1e3;class C extends E{constructor(){super();this.globalStorage=new T.Storage(new T.InMemoryStorageDatabase),this.workspaceStorage=new T.Storage(new T.InMemoryStorageDatabase),this._register(this.workspaceStorage.onDidChangeStorage(S=>this.emitDidChangeValue(1,S))),this._register(this.globalStorage.onDidChangeStorage(S=>this.emitDidChangeValue(0,S)))}getStorage(S){return S===0?this.globalStorage:this.workspaceStorage}getLogDetails(S){return S===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(S){}}e.InMemoryStorageService=C;async function a(I,S,w,b){const y=s=>{try{return JSON.parse(s)}catch(c){return s}},o=new Map,i=new Map;I.forEach((s,c)=>{o.set(c,s),i.set(c,y(s))});const t=new Map,n=new Map;S.forEach((s,c)=>{t.set(c,s),n.set(c,y(s))}),console.group(`Storage: Global (path: ${w})`);let r=[];o.forEach((s,c)=>{r.push({key:c,value:s})}),console.table(r),console.groupEnd(),console.log(i),console.group(`Storage: Workspace (path: ${b})`);let l=[];t.forEach((s,c)=>{l.push({key:c,value:s})}),console.table(l),console.groupEnd(),console.log(n)}e.logStorage=a}),define(Q[169],Z([0,1,3,2,28,34,19,17]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageManager=e.GlobalExtensionEnablementService=void 0;let g=class extends A.Disposable{constructor(f){super();this._onDidChangeEnablement=new v.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this.storageManger=this._register(new m(f)),this._register(this.storageManger.onDidChange(E=>this._onDidChangeEnablement.fire({extensions:E,source:"storage"})))}async enableExtension(f,E){return this._removeFromDisabledExtensions(f)?(this._onDidChangeEnablement.fire({extensions:[f],source:E}),!0):!1}async disableExtension(f,E){return this._addToDisabledExtensions(f)?(this._onDidChangeEnablement.fire({extensions:[f],source:E}),!0):!1}getDisabledExtensions(){return this._getExtensions(L.DISABLED_EXTENSIONS_STORAGE_PATH)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}_addToDisabledExtensions(f){let E=this.getDisabledExtensions();return E.every(C=>!(0,R.areSameExtensions)(C,f))?(E.push(f),this._setDisabledExtensions(E),!0):!1}_removeFromDisabledExtensions(f){let E=this.getDisabledExtensions();for(let C=0;C<E.length;C++){const a=E[C];if((0,R.areSameExtensions)(a,f))return E.splice(C,1),this._setDisabledExtensions(E),!0}return!1}_setDisabledExtensions(f){this._setExtensions(L.DISABLED_EXTENSIONS_STORAGE_PATH,f)}_getExtensions(f){return this.storageManger.get(f,0)}_setExtensions(f,E){this.storageManger.set(f,E,0)}};g=ue([Y(0,T.IStorageService)],g),e.GlobalExtensionEnablementService=g;class m extends A.Disposable{constructor(f){super();this.storageService=f,this.storage=Object.create(null),this._onDidChange=this._register(new v.Emitter),this.onDidChange=this._onDidChange.event,this._register(f.onDidChangeValue(E=>this.onDidStorageChange(E)))}get(f,E){let C;return E===0?((0,P.isUndefinedOrNull)(this.storage[f])&&(this.storage[f]=this._get(f,E)),C=this.storage[f]):C=this._get(f,E),JSON.parse(C)}set(f,E,C){let a=JSON.stringify(E.map(({id:S,uuid:w})=>({id:S,uuid:w})));this._get(f,C)!==a&&(C===0&&(E.length?this.storage[f]=a:delete this.storage[f]),this._set(f,E.length?a:void 0,C))}onDidStorageChange(f){if(f.scope===0&&!(0,P.isUndefinedOrNull)(this.storage[f.key])&&this._get(f.key,f.scope)!==this.storage[f.key]){const C=this.get(f.key,f.scope);delete this.storage[f.key];const a=this.get(f.key,f.scope),I=C.filter(w=>!a.some(b=>(0,R.areSameExtensions)(w,b))),S=a.filter(w=>!C.some(b=>(0,R.areSameExtensions)(b,w)));(I.length||S.length)&&this._onDidChange.fire([...I,...S])}}_get(f,E){return this.storageService.get(f,E,"[]")}_set(f,E,C){E?this.storageService.store(f,E,C,1):this.storageService.remove(f,C)}}e.StorageManager=m}),define(Q[170],Z([0,1,3,2]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannelClient=void 0;class L extends A.Disposable{constructor(m,D){super();this.channel=m,this.workspace=D}async getItems(){const m={workspace:this.workspace},D=await this.channel.call("getItems",m);return new Map(D)}updateItems(m){const D={workspace:this.workspace};return m.insert&&(D.insert=Array.from(m.insert.entries())),m.delete&&(D.delete=Array.from(m.delete.values())),this.channel.call("updateItems",D)}}class R extends L{constructor(m){super(m,void 0);this._onDidChangeItemsExternal=this._register(new v.Emitter),this.onDidChangeItemsExternal=this._onDidChangeItemsExternal.event,this.registerListeners()}registerListeners(){this._register(this.channel.listen("onDidChangeGlobalStorage")(m=>this.onDidChangeGlobalStorage(m)))}onDidChangeGlobalStorage(m){(Array.isArray(m.changed)||Array.isArray(m.deleted))&&this._onDidChangeItemsExternal.fire({changed:m.changed?new Map(m.changed):void 0,deleted:m.deleted?new Set(m.deleted):void 0})}async close(){this.dispose()}}class T extends L{constructor(m,D){super(m,D);this.onDidChangeItemsExternal=v.Event.None}async close(){const m={workspace:this.workspace};return this.channel.call("close",m)}}class P extends A.Disposable{constructor(m,D){super();this.channel=m,this.workspace=D,this._globalStorage=void 0,this._workspaceStorage=void 0}get globalStorage(){return this._globalStorage||(this._globalStorage=new R(this.channel)),this._globalStorage}get workspaceStorage(){return!this._workspaceStorage&&this.workspace&&(this._workspaceStorage=new T(this.channel,this.workspace)),this._workspaceStorage}}e.StorageDatabaseChannelClient=P}),define(Q[171],Z([0,1,2,19,67,6,156,170,11]),function(G,e,v,A,L,R,T,P,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeStorageService=void 0;class m extends A.AbstractStorageService{constructor(f,E,C){super();this.mainProcessService=E,this.environmentService=C,this.workspaceStorage=void 0,this.workspaceStorageId=void 0,this.workspaceStorageDisposable=this._register(new v.MutableDisposable),this.globalStorage=this.createGlobalStorage(),this.workspaceStorage=this.createWorkspaceStorage(f)}createGlobalStorage(){const f=new P.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),void 0),E=new L.Storage(f.globalStorage);return this._register(E.onDidChangeStorage(C=>this.emitDidChangeValue(0,C))),E}createWorkspaceStorage(f){const E=new P.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),f);if(E.workspaceStorage){const C=new L.Storage(E.workspaceStorage);return this.workspaceStorageDisposable.value=C.onDidChangeStorage(a=>this.emitDidChangeValue(1,a)),this.workspaceStorageId=f==null?void 0:f.id,C}else{this.workspaceStorageDisposable.clear(),this.workspaceStorageId=void 0;return}}async doInitialize(){var f,E;(0,T.mark)("code/willInitStorage");try{await R.Promises.settled([this.globalStorage.init(),(E=(f=this.workspaceStorage)===null||f===void 0?void 0:f.init())!==null&&E!==void 0?E:Promise.resolve()])}finally{(0,T.mark)("code/didInitStorage")}}getStorage(f){return f===0?this.globalStorage:this.workspaceStorage}getLogDetails(f){return f===0?this.environmentService.globalStorageHome.fsPath:this.workspaceStorageId?`${(0,g.joinPath)(this.environmentService.workspaceStorageHome,this.workspaceStorageId,"state.vscdb").fsPath}`:void 0}async close(){var f,E;this.stopFlushWhenIdle(),this.emitWillSaveState(A.WillSaveStateReason.SHUTDOWN),await R.Promises.settled([this.globalStorage.close(),(E=(f=this.workspaceStorage)===null||f===void 0?void 0:f.close())!==null&&E!==void 0?E:Promise.resolve()])}async migrate(f){var E;const C=this.workspaceStorage,a=(E=C==null?void 0:C.items)!==null&&E!==void 0?E:new Map;C&&(await C.close(),C.dispose()),this.workspaceStorage=this.createWorkspaceStorage(f),await this.workspaceStorage.init();for(const[I,S]of a)this.workspaceStorage.set(I,S)}}e.NativeStorageService=m}),define(Q[172],Z([0,1,7,41,31,5]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveCommonProperties=void 0;async function T(g,m,D,f,E,C,a,I,S){const w=Object.create(null);w["common.machineId"]=C,w.sessionID=(0,L.generateUuid)()+Date.now(),w.commitHash=f,w.version=E,w["common.platformVersion"]=(m||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),w["common.platform"]=(0,v.PlatformToString)(v.platform),w["common.nodePlatform"]=A.platform,w["common.nodeArch"]=D,w["common.product"]=S||"desktop";const b=P(a||[]);b&&(w["common.msftInternal"]=b);let y=0;const o=Date.now();Object.defineProperties(w,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-o,enumerable:!0},"common.sequence":{get:()=>y++,enumerable:!0}}),v.isLinuxSnap&&(w["common.snap"]="true");try{const i=await g.readFile(R.URI.file(I));w["common.source"]=i.value.toString().slice(0,30)}catch(i){}return w}e.resolveCommonProperties=T;function P(g){const m=A.env.USERDNSDOMAIN;if(!m)return!1;const D=m.toLowerCase();return g.some(f=>D===f)}}),define(Q[25],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.instanceStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,v.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,v.createDecorator)("customEndpointTelemetryService"),e.instanceStorageKey="telemetry.instanceId",e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId"}),define(Q[173],Z([0,1,37,93,69,27,8,32,96,29,7,5,25,53,16,9,23]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function w(t,n){const r=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.yml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i}],l=new Map,s=new Map,c=2e4;function h(u,O,_,q){const x=O.substring(u.length+1);return new Promise(async j=>{var $,W,B;let M;try{M=await(0,S.readdir)(O,{withFileTypes:!0})}catch(U){j();return}if(q.count>=c){q.count+=M.length,q.maxReached=!0,j();return}let F=M.length;if(F===0){j();return}let k=M;q.count+M.length>c&&(q.maxReached=!0,F=c-q.count,k=M.slice(0,F)),q.count+=M.length;for(const U of k)if(U.isDirectory()){if(_.includes(U.name)||await h(u,(0,T.join)(O,U.name),_,q),--F==0){j();return}}else{const N=U.name.lastIndexOf(".");if(N>=0){const z=U.name.substring(N+1);z&&l.set(z,(($=l.get(z))!==null&&$!==void 0?$:0)+1)}for(const z of r)((W=z.relativePathPattern)===null||W===void 0?void 0:W.test(x))!==!1&&z.filePattern.test(U.name)&&s.set(z.tag,((B=s.get(z.tag))!==null&&B!==void 0?B:0)+1);if(--F==0){j();return}}})}const d={count:0,maxReached:!1};await h(t,t,n,d);const p=await o(t);return{configFiles:b(s),fileTypes:b(l),fileCount:d.count,maxFilesReached:d.maxReached,launchConfigFiles:p}}e.collectWorkspaceStats=w;function b(t){return[...C.Iterable.map(t.entries(),([n,r])=>({name:n,count:r}))].sort((n,r)=>r.count-n.count)}function y(){const t={os:`${v.type()} ${v.arch()} ${v.release()}`,memory:`${(v.totalmem()/I.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/I.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(A.virtualMachineHint.value()*100)}%`},n=v.cpus();return n&&n.length>0&&(t.cpus=`${n[0].model} (${n.length} x ${n[0].speed})`),t}e.getMachineInfo=y;function o(t){let n=new Map,r=(0,T.join)(t,".vscode","launch.json");return new Promise((l,s)=>{(0,R.exists)(r,c=>{if(c)(0,R.readFile)(r,(h,d)=>{if(h)return l([]);const p=[],u=(0,P.parse)(d.toString(),p);if(p.length)return console.log(`Unable to parse ${r}`),l([]);if((0,P.getNodeType)(u)==="object"&&u.configurations)for(const O of u.configurations){const _=O.type;_&&(n.has(_)?n.set(_,n.get(_)+1):n.set(_,1))}return l(b(n))});else return l([])})})}e.collectLaunchConfigs=o;let i=class{constructor(n,r){this.telemetryService=n,this.productService=r}formatMachineInfo(n){const r=[];return r.push(`OS Version:       ${n.os}`),r.push(`CPUs:             ${n.cpus}`),r.push(`Memory (System):  ${n.memory}`),r.push(`VM:               ${n.vmHint}`),r.join(`
`)}formatEnvironment(n){const r=[];r.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),r.push(`OS Version:       ${v.type()} ${v.arch()} ${v.release()}`);const l=v.cpus();return l&&l.length>0&&r.push(`CPUs:             ${l[0].model} (${l.length} x ${l[0].speed})`),r.push(`Memory (System):  ${(v.totalmem()/I.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/I.ByteSize.GB).toFixed(2)}GB free)`),D.isWindows||r.push(`Load (avg):       ${v.loadavg().map(s=>Math.round(s)).join(", ")}`),r.push(`VM:               ${Math.round(A.virtualMachineHint.value()*100)}%`),r.push(`Screen Reader:    ${n.screenReader?"yes":"no"}`),r.push(`Process Argv:     ${n.mainArguments.join(" ")}`),r.push(`GPU Status:       ${this.expandGPUFeatures(n.gpuFeatureStatus)}`),r.join(`
`)}async getPerformanceInfo(n,r){return Promise.all([(0,g.listProcesses)(n.mainPID),this.formatWorkspaceMetadata(n)]).then(async l=>{let[s,c]=l,h=this.formatProcessList(n,s);return r.forEach(d=>{if((0,L.isRemoteDiagnosticError)(d))h+=`
${d.errorMessage}`,c+=`
${d.errorMessage}`;else if(h+=`

Remote: ${d.hostName}`,d.processes&&(h+=`
${this.formatProcessList(n,d.processes)}`),d.workspaceMetadata){c+=`
|  Remote: ${d.hostName}`;for(const p of Object.keys(d.workspaceMetadata)){const u=d.workspaceMetadata[p];let O=`${u.fileCount} files`;u.maxFilesReached&&(O=`more than ${O}`),c+=`|    Folder (${p}): ${O}`,c+=this.formatWorkspaceStats(u)}}}),{processInfo:h,workspaceInfo:c}})}async getSystemInfo(n,r){const{memory:l,vmHint:s,os:c,cpus:h}=y(),d={os:c,memory:l,cpus:h,vmHint:s,processArgs:`${n.mainArguments.join(" ")}`,gpuStatus:n.gpuFeatureStatus,screenReader:`${n.screenReader?"yes":"no"}`,remoteData:r};return D.isWindows||(d.load=`${v.loadavg().map(p=>Math.round(p)).join(", ")}`),D.isLinux&&(d.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(d)}async getDiagnostics(n,r){const l=[];return(0,g.listProcesses)(n.mainPID).then(async s=>(l.push(""),l.push(this.formatEnvironment(n)),l.push(""),l.push(this.formatProcessList(n,s)),n.windows.some(c=>c.folderURIs&&c.folderURIs.length>0&&!c.remoteAuthority)&&(l.push(""),l.push("Workspace Stats: "),l.push(await this.formatWorkspaceMetadata(n))),r.forEach(c=>{if((0,L.isRemoteDiagnosticError)(c))l.push(`
${c.errorMessage}`);else if(l.push(`

`),l.push(`Remote:           ${c.hostName}`),l.push(this.formatMachineInfo(c.machineInfo)),c.processes&&l.push(this.formatProcessList(n,c.processes)),c.workspaceMetadata)for(const h of Object.keys(c.workspaceMetadata)){const d=c.workspaceMetadata[h];let p=`${d.fileCount} files`;d.maxFilesReached&&(p=`more than ${p}`),l.push(`Folder (${h}): ${p}`),l.push(this.formatWorkspaceStats(d))}}),l.push(""),l.push(""),l.join(`
`)))}formatWorkspaceStats(n){const r=[],l=60;let s=0;const c=(u,O)=>{const _=` ${u}(${O})`;s+_.length>l?(r.push(h),h="|                 ",s=h.length):s+=_.length,h+=_};let h="|      File types:";const d=10;let p=n.fileTypes.length>d?d:n.fileTypes.length;for(let u=0;u<p;u++){const O=n.fileTypes[u];c(O.name,O.count)}if(r.push(h),n.configFiles.length>=0&&(h="|      Conf files:",s=0,n.configFiles.forEach(u=>{c(u.name,u.count)}),r.push(h)),n.launchConfigFiles.length>0){let u="|      Launch Configs:";n.launchConfigFiles.forEach(O=>{u+=O.count>1?` ${O.name}(${O.count})`:` ${O.name}`}),r.push(u)}return r.join(`
`)}expandGPUFeatures(n){const r=Math.max(...Object.keys(n).map(l=>l.length));return Object.keys(n).map(l=>`${l}:  ${" ".repeat(r-l.length)}  ${n[l]}`).join(`
                  `)}formatWorkspaceMetadata(n){const r=[],l=[];return n.windows.forEach(s=>{s.folderURIs.length===0||!!s.remoteAuthority||(r.push(`|  Window (${s.title})`),s.folderURIs.forEach(c=>{const h=f.URI.revive(c);if(h.scheme===a.Schemas.file){const d=h.fsPath;l.push(w(d,["node_modules",".git"]).then(p=>{let u=`${p.fileCount} files`;p.maxFilesReached&&(u=`more than ${u}`),r.push(`|    Folder (${(0,T.basename)(d)}): ${u}`),r.push(this.formatWorkspaceStats(p))}).catch(p=>{r.push(`|      Error: Unable to collect workspace stats for folder ${d} (${p.toString()})`)}))}else r.push(`|    Folder (${h.toString()}): Workspace stats not available.`)}))}),Promise.all(l).then(s=>r.join(`
`)).catch(s=>`Unable to collect workspace stats: ${s}`)}formatProcessList(n,r){const l=new Map;n.windows.forEach(c=>l.set(c.pid,c.title));const s=[];return s.push("CPU %	Mem MB	   PID	Process"),r&&this.formatProcessItem(n.mainPID,l,s,r,0),s.join(`
`)}formatProcessItem(n,r,l,s,c){const h=c===0;let d;h?d=s.pid===n?`${this.productService.applicationName} main`:"remote agent":(d=`${"  ".repeat(c)} ${s.name}`,s.name==="window"&&(d=`${d} (${r.get(s.pid)})`));const p=process.platform==="win32"?s.mem:v.totalmem()*(s.mem/100);l.push(`${s.load.toFixed(0).padStart(5," ")}	${(p/I.ByteSize.MB).toFixed(0).padStart(6," ")}	${s.pid.toFixed(0).padStart(6," ")}	${d}`),Array.isArray(s.children)&&s.children.forEach(u=>this.formatProcessItem(n,r,l,u,c+1))}async reportWorkspaceStats(n){for(const{uri:r}of n.folders){const l=f.URI.revive(r);if(l.scheme===a.Schemas.file){const s=l.fsPath;try{const c=await w(s,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":n.telemetryId,rendererSessionId:n.rendererSessionId}),c.fileTypes.forEach(h=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:n.rendererSessionId,type:h.name,count:h.count})}),c.launchConfigFiles.forEach(h=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:n.rendererSessionId,type:h.name,count:h.count})}),c.configFiles.forEach(h=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:n.rendererSessionId,type:h.name,count:h.count})})}catch(c){}}}}};i=ue([Y(0,E.ITelemetryService),Y(1,m.IProductService)],i),e.DiagnosticsService=i}),define(Q[174],Z([0,1,15,28,34,26,25,39,68,10,30,14,9,5,29,19,44,4,11]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryService=void 0;var y;(function(k){k[k.None=0]="None",k[k.IncludeVersions=1]="IncludeVersions",k[k.IncludeFiles=2]="IncludeFiles",k[k.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",k[k.IncludeSharedAccounts=8]="IncludeSharedAccounts",k[k.IncludeVersionProperties=16]="IncludeVersionProperties",k[k.ExcludeNonValidated=32]="ExcludeNonValidated",k[k.IncludeInstallationTargets=64]="IncludeInstallationTargets",k[k.IncludeAssetUri=128]="IncludeAssetUri",k[k.IncludeStatistics=256]="IncludeStatistics",k[k.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",k[k.Unpublished=4096]="Unpublished"})(y||(y={}));function o(...k){return String(k.reduce((U,N)=>U|N,0))}var i;(function(k){k[k.Tag=1]="Tag",k[k.ExtensionId=4]="ExtensionId",k[k.Category=5]="Category",k[k.ExtensionName=7]="ExtensionName",k[k.Target=8]="Target",k[k.Featured=9]="Featured",k[k.SearchText=10]="SearchText",k[k.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const t={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},n={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},l={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:y.None,criteria:[],assetTypes:[]};class s{constructor(U=l){this.state=U}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(U,N=this.state.pageSize){return new s(Object.assign(Object.assign({},this.state),{pageNumber:U,pageSize:N}))}withFilter(U,...N){const z=[...this.state.criteria,...N.length?N.map(H=>({filterType:U,value:H})):[{filterType:U}]];return new s(Object.assign(Object.assign({},this.state),{criteria:z}))}withSortBy(U){return new s(Object.assign(Object.assign({},this.state),{sortBy:U}))}withSortOrder(U){return new s(Object.assign(Object.assign({},this.state),{sortOrder:U}))}withFlags(...U){return new s(Object.assign(Object.assign({},this.state),{flags:U.reduce((N,z)=>N|z,0)}))}withAssetTypes(...U){return new s(Object.assign(Object.assign({},this.state),{assetTypes:U}))}get raw(){const{criteria:U,pageNumber:N,pageSize:z,sortBy:H,sortOrder:K,flags:te,assetTypes:X}=this.state;return{filters:[{criteria:U,pageNumber:N,pageSize:z,sortBy:H,sortOrder:K}],assetTypes:X,flags:te}}get searchText(){const U=this.state.criteria.filter(N=>N.filterType===i.SearchText)[0];return U&&U.value?U.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(U=>String(U.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function c(k,U){const N=(k||[]).filter(z=>z.statisticName===U)[0];return N?N.value:0}function h(k){const U="Microsoft.VisualStudio.Code.Translation.";return k.files.filter(z=>z.assetType.indexOf(U)===0).reduce((z,H)=>{const K=O(k,H.assetType);return K&&z.push([H.assetType.substring(U.length),K]),z},[])}function d(k){if(k.properties){const U=k.properties.filter(H=>H.key===t.Repository),N=new RegExp("((git|ssh|http(s)?)|(git@[w.]+))(:(//)?)([w.@:/-~]+)(.git)(/)?"),z=U.filter(H=>N.test(H.value))[0];return z?{uri:z.value,fallbackUri:z.value}:null}return O(k,t.Repository)}function p(k){return{uri:`${k.fallbackAssetUri}/${t.VSIX}?redirect=true`,fallbackUri:`${k.fallbackAssetUri}/${t.VSIX}`}}function u(k){const U=O(k,t.Icon);if(U)return U;const N=A.DefaultIconPath;return{uri:N,fallbackUri:N}}function O(k,U){return k.files.filter(z=>z.assetType===U)[0]?{uri:`${k.assetUri}/${U}`,fallbackUri:`${k.fallbackAssetUri}/${U}`}:null}function _(k,U){const N=k.properties?k.properties.filter(H=>H.key===U):[],z=N.length>0&&N[0].value;return z?z.split(",").map(H=>(0,L.adoptToGalleryExtensionId)(H)):[]}function q(k){const U=k.properties?k.properties.filter(N=>N.key===n.Engine):[];return U.length>0&&U[0].value||""}function x(k){const U=k.properties?k.properties.filter(z=>z.key===n.LocalizedLanguages):[],N=U.length>0&&U[0].value||"";return N?N.split(","):[]}function j(k){return k.indexOf("preview")!==-1}function $(k){const U=k.properties?k.properties.find(N=>N.key===n.WebExtension):void 0;return!!U&&U.value==="true"}function W(k){return k.files.some(U=>U.assetType.startsWith("Microsoft.VisualStudio.Code.WebResources"))?(0,b.joinPath)(C.URI.parse(k.assetUri),"Microsoft.VisualStudio.Code.WebResources","extension"):void 0}function B(k,U,N,z,H){const K={manifest:O(U,t.Manifest),readme:O(U,t.Details),changelog:O(U,t.Changelog),license:O(U,t.License),repository:d(U),download:p(U),icon:u(U),coreTranslations:h(U)};return{identifier:{id:(0,L.getGalleryExtensionId)(k.publisher.publisherName,k.extensionName),uuid:k.extensionId},name:k.extensionName,version:U.version,date:U.lastUpdated,displayName:k.displayName,publisherId:k.publisher.publisherId,publisher:k.publisher.publisherName,publisherDisplayName:k.publisher.displayName,description:k.shortDescription||"",installCount:c(k.statistics,"install"),rating:c(k.statistics,"averagerating"),ratingCount:c(k.statistics,"ratingcount"),assetUri:C.URI.parse(U.assetUri),webResource:W(U),assetTypes:U.files.map(({assetType:te})=>te),assets:K,properties:{dependencies:_(U,n.Dependency),extensionPack:_(U,n.ExtensionPack),engine:q(U),localizedLanguages:x(U),webExtension:$(U)},telemetryData:{index:(z.pageNumber-1)*z.pageSize+N,searchText:z.searchText,querySource:H},preview:j(k.flags)}}let M=class{constructor(U,N,z,H,K,te,X){this.requestService=U,this.logService=N,this.environmentService=z,this.telemetryService=H,this.fileService=K,this.productService=te;const ie=te.extensionsGallery;this.extensionsGalleryUrl=ie&&ie.serviceUrl,this.extensionsControlUrl=ie&&ie.controlUrl,this.commonHeadersPromise=F(te.version,this.environmentService,this.fileService,X)}api(U=""){return`${this.extensionsGalleryUrl}${U}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(U,N){const z=[];let{total:H,firstPage:K,getPage:te}=await this.query({names:U,pageSize:U.length},N);z.push(...K);for(let X=1;z.length<H&&(K=await te(X,N),K.length);X++)z.push(...K);return z}async getCompatibleExtension(U,N){const z=await this.getCompatibleExtensionByEngine(U,N);return(z==null?void 0:z.properties.webExtension)?z.webResource?z:null:z}async getCompatibleExtensionByEngine(U,N){const z=(0,A.isIExtensionIdentifier)(U)?null:U;if(z&&z.properties.engine&&(0,g.isEngineValid)(z.properties.engine,this.productService.version))return z;const{id:H,uuid:K}=z?z.identifier:U;let te=new s().withFlags(y.IncludeAssetUri,y.IncludeStatistics,y.IncludeFiles,y.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");K?te=te.withFilter(i.ExtensionId,K):te=te.withFilter(i.ExtensionName,H);const{galleryExtensions:X}=await this.queryGallery(te,D.CancellationToken.None),[ie]=X;if(!ie||!ie.versions.length)return null;if(N){const ce=ie.versions.filter(he=>he.version===N)[0];if(ce){const he=B(ie,ce,0,te);if(he.properties.engine&&(0,g.isEngineValid)(he.properties.engine,this.productService.version))return he}return null}const se=await this.getLastValidExtensionVersion(ie,ie.versions);return se?B(ie,se,0,te):null}async query(U,N){const z=D.CancellationToken.isCancellationToken(U)?{}:U,H=D.CancellationToken.isCancellationToken(U)?U:N;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let K=z.text||"";const te=(0,R.getOrDefault)(z,me=>me.pageSize,50);let X=new s().withFlags(y.IncludeLatestVersionOnly,y.IncludeAssetUri,y.IncludeStatistics,y.IncludeFiles,y.IncludeVersionProperties).withPage(1,te).withFilter(i.Target,"Microsoft.VisualStudio.Code");K?(K=K.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(me,we,Ie)=>(X=X.withFilter(i.Category,Ie||we),"")),K=K.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(me,we,Ie)=>(X=X.withFilter(i.Tag,Ie||we),"")),K=K.replace(/\bfeatured(\s+|\b|$)/g,()=>(X=X.withFilter(i.Featured),"")),K=K.trim(),K&&(K=K.length<200?K:K.substring(0,200),X=X.withFilter(i.SearchText,K)),X=X.withSortBy(0)):z.ids?X=X.withFilter(i.ExtensionId,...z.ids):z.names?X=X.withFilter(i.ExtensionName,...z.names):X=X.withSortBy(4),typeof z.sortBy=="number"&&(X=X.withSortBy(z.sortBy)),typeof z.sortOrder=="number"&&(X=X.withSortOrder(z.sortOrder));const{galleryExtensions:ie,total:se}=await this.queryGallery(X,H),ce=ie.map((me,we)=>B(me,me.versions[0],we,X,z.source)),he=async(me,we)=>{if(we.isCancellationRequested)throw(0,v.canceled)();const Ie=X.withPage(me+1),{galleryExtensions:ke}=await this.queryGallery(Ie,we);return ke.map((Ue,Fe)=>B(Ue,Ue.versions[0],Fe,Ie,z.source))};return{firstPage:ce,total:se,pageSize:X.pageSize,getPage:he}}async queryGallery(U,N){if(!this.isEnabled())throw new Error("No extension gallery service configured.");U=U.withFlags(U.flags,y.ExcludeNonValidated).withFilter(i.ExcludeWithFlags,o(y.Unpublished));const z=await this.commonHeadersPromise,H=JSON.stringify(U.raw),K=Object.assign(Object.assign({},z),{"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(H.length)}),te=new Date().getTime();let X,ie,se=0;try{if(X=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:H,headers:K},N),X.res.statusCode&&X.res.statusCode>=400&&X.res.statusCode<500)return{galleryExtensions:[],total:se};const ce=await(0,P.asJson)(X);if(ce){const he=ce.results[0],me=he.extensions,we=he.resultMetadata&&he.resultMetadata.filter(Ie=>Ie.metadataType==="ResultCount")[0];return se=we&&we.metadataItems.filter(Ie=>Ie.name==="TotalCount")[0].count||0,{galleryExtensions:me,total:se}}return{galleryExtensions:[],total:se}}catch(ce){throw ie=ce,ce}finally{this.telemetryService.publicLog2("galleryService:query",Object.assign(Object.assign({},U.telemetryData),{requestBodySize:String(H.length),duration:new Date().getTime()-te,success:!!X&&(0,P.isSuccess)(X),responseBodySize:X==null?void 0:X.res.headers["Content-Length"],statusCode:X?String(X.res.statusCode):void 0,errorCode:ie?(0,v.isPromiseCanceledError)(ie)?"canceled":(0,v.getErrorMessage)(ie).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(se)}))}}async reportStatistic(U,N,z,H){if(!!this.isEnabled()){const K=await this.commonHeadersPromise,te=Object.assign(Object.assign({},K),{Accept:"*/*;api-version=4.0-preview.1"});try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${U}/extensions/${N}/${z}/stats?statType=${H}`),headers:te},D.CancellationToken.None)}catch(X){}}}async download(U,N,z){this.logService.trace("ExtensionGalleryService#download",U.identifier.id);const H=(0,L.getGalleryExtensionTelemetryData)(U),K=new Date().getTime(),te=ce=>this.telemetryService.publicLog("galleryService:downloadVSIX",Object.assign(Object.assign({},H),{duration:ce})),X=z===1?"install":z===2?"update":"",ie=X?{uri:`${U.assets.download.uri}&${X}=true`,fallbackUri:`${U.assets.download.fallbackUri}?${X}=true`}:U.assets.download,se=await this.getAsset(ie);await this.fileService.writeFile(N,se.stream),te(new Date().getTime()-K)}async getReadme(U,N){if(U.assets.readme){const z=await this.getAsset(U.assets.readme,{},N);return await(0,P.asText)(z)||""}return""}async getManifest(U,N){if(U.assets.manifest){const z=await this.getAsset(U.assets.manifest,{},N),H=await(0,P.asText)(z);return H?JSON.parse(H):null}return null}async getCoreTranslation(U,N){const z=U.assets.coreTranslations.filter(H=>H[0]===N.toUpperCase())[0];if(z){const H=await this.getAsset(z[1]),K=await(0,P.asText)(H);return K?JSON.parse(K):null}return null}async getChangelog(U,N){if(U.assets.changelog){const z=await this.getAsset(U.assets.changelog,{},N);return await(0,P.asText)(z)||""}return""}async getAllVersions(U,N){let z=new s().withFlags(y.IncludeVersions,y.IncludeFiles,y.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");U.identifier.uuid?z=z.withFilter(i.ExtensionId,U.identifier.uuid):z=z.withFilter(i.ExtensionName,U.identifier.id);const H=[],{galleryExtensions:K}=await this.queryGallery(z,D.CancellationToken.None);return K.length&&(N?await Promise.all(K[0].versions.map(async te=>{let X;try{X=await this.getEngine(te)}catch(ie){}X&&(0,g.isEngineValid)(X,this.productService.version)&&H.push({version:te.version,date:te.lastUpdated})})):H.push(...K[0].versions.map(te=>({version:te.version,date:te.lastUpdated})))),H}async getAsset(U,N={},z=D.CancellationToken.None){const H=await this.commonHeadersPromise,K={type:"GET"},te=Object.assign(Object.assign({},H),N.headers||{});N=Object.assign(Object.assign(Object.assign({},N),K),{headers:te});const X=U.uri,ie=U.fallbackUri,se=Object.assign(Object.assign({},N),{url:X});try{const ce=await this.requestService.request(se,z);if(ce.res.statusCode===200)return ce;const he=await(0,P.asText)(ce);throw new Error(`Expected 200, got back ${ce.res.statusCode} instead.

${he}`)}catch(ce){if((0,v.isPromiseCanceledError)(ce))throw ce;const he=(0,v.getErrorMessage)(ce);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:X,message:he});const me=Object.assign(Object.assign({},N),{url:ie});return this.requestService.request(me,z)}}async getLastValidExtensionVersion(U,N){const z=this.getLastValidExtensionVersionFromProperties(U,N);return z||this.getLastValidExtensionVersionRecursively(U,N)}getLastValidExtensionVersionFromProperties(U,N){for(const z of N){const H=q(z);if(!H)return null;if((0,g.isEngineValid)(H,this.productService.version))return z}return null}async getEngine(U){const N=q(U);if(N)return N;const z=O(U,t.Manifest);if(!z)throw new Error("Manifest was not found");const H={"Accept-Encoding":"gzip"},K=await this.getAsset(z,{headers:H}),te=await(0,P.asJson)(K);if(te)return te.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(U,N){if(!N.length)return null;const z=N[0],H=await this.getEngine(z);return(0,g.isEngineValid)(H,this.productService.version)?(z.properties=z.properties||[],z.properties.push({key:n.Engine,value:H}),z):this.getLastValidExtensionVersionRecursively(U,N.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const U=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},D.CancellationToken.None);if(U.res.statusCode!==200)throw new Error("Could not get extensions report.");const N=await(0,P.asJson)(U),z=new Map;if(N)for(const H of N.malicious){const K=z.get(H)||{id:{id:H},malicious:!0,slow:!1};K.malicious=!0,z.set(H,K)}return[...z.values()]}};M=ue([Y(0,P.IRequestService),Y(1,f.ILogService),Y(2,m.IEnvironmentService),Y(3,T.ITelemetryService),Y(4,E.IFileService),Y(5,a.IProductService),Y(6,(0,w.optional)(I.IStorageService))],M),e.ExtensionGalleryService=M;async function F(k,U,N,z){const H={"X-Market-Client-Id":`VSCode ${k}`,"User-Agent":`VSCode ${k}`},K=await(0,S.getServiceMachineId)(U,N,z);return H["X-Market-User-Id"]=K,H}e.resolveMarketplaceHeaders=F}),define(Q[175],Z([0,1,5,8,29,10,102,9,7,18,28,62,39,14,168,6,25,71,110,19,3,57]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;const t="extensionTips/promptedExecutableTips",n="extensionTips/lastPromptedMediumImpExeTime";let r=class extends a.ExtensionTipsService{constructor(s,c,h,d,p,u,O,_,q,x){super(O,_,q,x);this.environmentService=s,this.telemetryService=c,this.extensionManagementService=h,this.storageService=d,this.nativeHostService=p,this.extensionRecommendationNotificationService=u,this.highImportanceExecutableTips=new Map,this.mediumImportanceExecutableTips=new Map,this.allOtherExecutableTips=new Map,this.highImportanceTipsByExe=new Map,this.mediumImportanceTipsByExe=new Map,_.exeBasedExtensionTips&&(0,f.forEach)(_.exeBasedExtensionTips,({key:j,value:$})=>{const W=[],B=[],M=[];(0,f.forEach)($.recommendations,({key:F,value:k})=>{k.important?$.important?W.push({extensionId:F,extensionName:k.name,isExtensionPack:!!k.isExtensionPack}):B.push({extensionId:F,extensionName:k.name,isExtensionPack:!!k.isExtensionPack}):M.push({extensionId:F,extensionName:k.name,isExtensionPack:!!k.isExtensionPack})}),W.length&&this.highImportanceExecutableTips.set(j,{exeFriendlyName:$.friendlyName,windowsPath:$.windowsPath,recommendations:W}),B.length&&this.mediumImportanceExecutableTips.set(j,{exeFriendlyName:$.friendlyName,windowsPath:$.windowsPath,recommendations:B}),M.length&&this.allOtherExecutableTips.set(j,{exeFriendlyName:$.friendlyName,windowsPath:$.windowsPath,recommendations:M})}),(0,I.timeout)(3e3).then(async()=>{await this.collectTips(),this.promptHighImportanceExeBasedTip(),this.promptMediumImportanceExeBasedTip()})}async getImportantExecutableBasedTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),c=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips);return[...s,...c]}getOtherExecutableBasedTips(){return this.getValidExecutableBasedExtensionTips(this.allOtherExecutableTips)}async collectTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),c=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips),h=await this.extensionManagementService.getInstalled();this.highImportanceTipsByExe=this.groupImportantTipsByExe(s,h),this.mediumImportanceTipsByExe=this.groupImportantTipsByExe(c,h)}groupImportantTipsByExe(s,c){const h=new Map;s.forEach(_=>h.set(_.extensionId.toLowerCase(),_));const{installed:d,uninstalled:p}=this.groupByInstalled([...h.keys()],c);for(const _ of d){const q=h.get(_);q&&this.telemetryService.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:_,exeName:(0,A.basename)(q.windowsPath)})}for(const _ of p){const q=h.get(_);q&&this.telemetryService.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:_,exeName:(0,A.basename)(q.windowsPath)})}const u=this.getPromptedExecutableTips(),O=new Map;for(const _ of p){const q=h.get(_);if(q&&(!u[q.exeName]||!u[q.exeName].includes(q.extensionId))){let x=O.get(q.exeName);x||(x=[],O.set(q.exeName,x)),x.push(q)}}return O}promptHighImportanceExeBasedTip(){if(this.highImportanceTipsByExe.size!==0){const[s,c]=[...this.highImportanceTipsByExe.entries()][0];this.promptExeRecommendations(c).then(h=>{switch(h){case"reacted":this.addToRecommendedExecutables(c[0].exeName,c);break;case"ignored":this.highImportanceTipsByExe.delete(s);break;case"incompatibleWindow":const d=o.Event.once(o.Event.latch(o.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(d(()=>this.promptHighImportanceExeBasedTip()));break;case"toomany":const p=this._register((0,I.disposableTimeout)(()=>{p.dispose(),this.promptHighImportanceExeBasedTip()},60*60*1e3));break}})}}promptMediumImportanceExeBasedTip(){if(this.mediumImportanceTipsByExe.size!==0){const s=this.getLastPromptedMediumExeTime(),c=Date.now()-s,h=7*24*60*60*1e3;if(c<h){const u=this._register((0,I.disposableTimeout)(()=>{u.dispose(),this.promptMediumImportanceExeBasedTip()},h-c));return}const[d,p]=[...this.mediumImportanceTipsByExe.entries()][0];this.promptExeRecommendations(p).then(u=>{switch(u){case"reacted":this.updateLastPromptedMediumExeTime(Date.now()),this.mediumImportanceTipsByExe.delete(d),this.addToRecommendedExecutables(p[0].exeName,p);const O=this._register((0,I.disposableTimeout)(()=>{O.dispose(),this.promptMediumImportanceExeBasedTip()},h));break;case"ignored":this.mediumImportanceTipsByExe.delete(d),this.promptMediumImportanceExeBasedTip();break;case"incompatibleWindow":const _=o.Event.once(o.Event.latch(o.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(_(()=>this.promptMediumImportanceExeBasedTip()));break;case"toomany":const q=this._register((0,I.disposableTimeout)(()=>{q.dispose(),this.promptMediumImportanceExeBasedTip()},60*60*1e3));break}})}}promptExeRecommendations(s){const c=s.map(({extensionId:d})=>d.toLowerCase()),h=(0,b.localize)(0,null,s[0].exeFriendlyName);return this.extensionRecommendationNotificationService.promptImportantExtensionsInstallNotification(c,h,`@exe:"${s[0].exeName}"`,3)}getLastPromptedMediumExeTime(){let s=this.storageService.getNumber(n,0);return s||(s=Date.now(),this.updateLastPromptedMediumExeTime(s)),s}updateLastPromptedMediumExeTime(s){this.storageService.store(n,s,0,1)}getPromptedExecutableTips(){return JSON.parse(this.storageService.get(t,0,"{}"))}addToRecommendedExecutables(s,c){const h=this.getPromptedExecutableTips();h[s]=c.map(({extensionId:d})=>d.toLowerCase()),this.storageService.store(t,JSON.stringify(h),0,0)}groupByInstalled(s,c){const h=[],d=[],p=c.reduce((u,O)=>(u.add(O.identifier.id.toLowerCase()),u),new Set);return s.forEach(u=>{p.has(u.toLowerCase())?h.push(u):d.push(u)}),{installed:h,uninstalled:d}}async getValidExecutableBasedExtensionTips(s){const c=[],h=new Map;for(const d of s.keys()){const p=s.get(d);if(!(!p||!(0,m.isNonEmptyArray)(p.recommendations))){const u=[];g.isWindows?p.windowsPath&&u.push(p.windowsPath.replace("%USERPROFILE%",T.process.env.USERPROFILE).replace("%ProgramFiles(x86)%",T.process.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",T.process.env.ProgramFiles).replace("%APPDATA%",T.process.env.APPDATA).replace("%WINDIR%",T.process.env.WINDIR)):(u.push((0,A.join)("/usr/local/bin",d)),u.push((0,A.join)("/usr/bin",d)),u.push((0,A.join)(this.environmentService.userHome.fsPath,d)));for(const O of u){let _=h.get(O);if(_===void 0&&(_=await this.fileService.exists(v.URI.file(O)),h.set(O,_)),_)for(const{extensionId:q,extensionName:x,isExtensionPack:j}of p.recommendations)c.push({extensionId:q,extensionName:x,isExtensionPack:j,exeName:d,exeFriendlyName:p.exeFriendlyName,windowsPath:p.windowsPath})}}}return c}};r=ue([Y(0,R.INativeEnvironmentService),Y(1,S.ITelemetryService),Y(2,D.IExtensionManagementService),Y(3,y.IStorageService),Y(4,i.INativeHostService),Y(5,w.IExtensionRecommendationNotificationService),Y(6,P.IFileService),Y(7,L.IProductService),Y(8,E.IRequestService),Y(9,C.ILogService)],r),e.ExtensionTipsService=r}),define(Q[79],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class v{constructor(R){this.appender=R}listen(R,T){throw new Error(`Event not found: ${T}`)}call(R,T,{eventName:P,data:g}){return this.appender.log(P,g),Promise.resolve(null)}}e.TelemetryAppenderChannel=v;class A{constructor(R){this.channel=R}log(R,T){return this.channel.call("log",{eventName:R,data:T}).then(void 0,P=>`Failed to log telemetry: ${console.warn(P)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=A}),define(Q[80],Z([0,1,51,120,21,4,24,38,2,26,35]),function(G,e,v,A,L,R,T,P,g,m,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let f=class{constructor(a,I){this._configurationService=I,this._experimentProperties={},this._disposables=new g.DisposableStore,this._cleanupPatterns=[],this._appender=a.appender,this._commonProperties=a.commonProperties||Promise.resolve({}),this._piiPaths=a.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!a.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let S of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,L.escapeRegExpCharacters)(S),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(S=>{const w=/^[a-f0-9]+$/i.test(S["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!w})}))}setExperimentProperty(a,I){this._experimentProperties[a]=I}setEnabled(a){this._enabled=a}_updateUserOptIn(){var a;const I=(a=this._configurationService)===null||a===void 0?void 0:a.getValue(E);this._userOptIn=I?I.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const a=await this._commonProperties;let I=a.sessionID,S=a["common.instanceId"],w=a["common.machineId"],b=a["common.firstSessionDate"],y=a["common.msftInternal"];return{sessionId:I,instanceId:S,machineId:w,firstSessionDate:b,msftInternal:y}}dispose(){this._disposables.dispose()}publicLog(a,I,S){return this.isOptedIn?this._commonProperties.then(w=>{I=(0,m.mixin)(I,w),I=(0,m.mixin)(I,this._experimentProperties),I=(0,m.cloneAndChange)(I,b=>{if(typeof b=="string")return this._cleanupInfo(b,S)}),this._appender.log(a,I)},w=>{console.error(w)}):Promise.resolve(void 0)}publicLog2(a,I,S){return this.publicLog(a,I,S)}publicLogError(a,I){return this.sendErrorTelemetry?this.publicLog(a,I,!0):Promise.resolve(void 0)}publicLogError2(a,I){return this.publicLogError(a,I)}_cleanupInfo(a,I){let S=a;if(I){const w=[];for(let i of this._cleanupPatterns)for(;;){const t=i.exec(a);if(!t)break;w.push([t.index,i.lastIndex])}const b=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,y=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let o=0;for(S="";;){const i=y.exec(a);if(!i)break;!b.test(i[0])&&w.every(([t,n])=>i.index<t||i.index>=n)&&(S+=a.substring(o,i.index)+"<REDACTED: user-file-path>",o=y.lastIndex)}o<a.length&&(S+=a.substr(o))}for(let w of this._cleanupPatterns)S=S.replace(w,"");return S}};f.IDLE_START_EVENT_NAME="UserIdleStart",f.IDLE_STOP_EVENT_NAME="UserIdleStop",f=ue([Y(1,(0,R.optional)(T.IConfigurationService))],f),e.TelemetryService=f;const E="telemetry";D.Registry.as(P.Extensions.Configuration).registerConfiguration({id:E,order:110,type:"object",title:(0,A.localize)(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:v.default.privacyStatementUrl?(0,A.localize)(2,null,v.default.privacyStatementUrl):(0,A.localize)(1,null),default:!0,tags:["usesOnlineServices"]}}})}),define(Q[58],Z([0,1,24,26,17,6]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.configurationTelemetry=e.NullAppender=e.combinedAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=void 0,e.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(a,I){return Promise.resolve(void 0)}publicLog2(a,I){return this.publicLog(a,I)}publicLogError(a,I){return Promise.resolve(void 0)}publicLogError2(a,I){return this.publicLogError(a,I)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};class T{async publicLog(I,S,w){}async publicLogError(I,S,w){}}e.NullEndpointTelemetryService=T;function P(...a){return{log:(I,S)=>a.forEach(w=>w.log(I,S)),flush:()=>R.Promises.settled(a.map(I=>I.flush()))}}e.combinedAppender=P,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function g(a,I){return I.onDidChangeConfiguration(S=>{S.source!==6&&a.publicLog2("updateConfiguration",{configurationSource:(0,v.ConfigurationTargetToString)(S.source),configurationKeys:E(S.sourceConfig)})})}e.configurationTelemetry=g;function m(a){const I=Object.create(null),S=Object.create(null),w=Object.create(null);f(a,w);for(let b in w){b=b.length>150?b.substr(b.length-149):b;const y=w[b];typeof y=="number"?S[b]=y:typeof y=="boolean"?S[b]=y?1:0:typeof y=="string"?I[b]=y.substring(0,1023):typeof y!="undefined"&&y!==null&&(I[b]=y)}return{properties:I,measurements:S}}e.validateTelemetryData=m;function D(a){if(!a)return"none";let I="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(w=>{a.indexOf(`${w}+`)===0&&(I=w)}),I}e.cleanRemoteAuthority=D;function f(a,I,S=0,w){if(!!a)for(let b of Object.getOwnPropertyNames(a)){const y=a[b],o=w?w+b:b;Array.isArray(y)?I[o]=(0,A.safeStringify)(y):y instanceof Date?I[o]=y.toISOString():(0,L.isObject)(y)?S<2?f(y,I,S+1,o+"."):I[o]=(0,A.safeStringify)(y):I[o]=y}}function E(a){if(!a)return[];const I=[];return C(I,"",a),I}function C(a,I,S){S&&typeof S=="object"&&!Array.isArray(S)?Object.keys(S).forEach(w=>C(a,I?`${I}.${w}`:w,S[w])):a.push(I)}}),define(Q[176],Z([0,1,2,10,14,58]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryLogAppender=void 0;let T=class extends v.Disposable{constructor(g,m){super();this.logger=this._register(g.createLogger(m.telemetryLogResource)),this.logger.info("The below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.logger.info("===========================================================")}flush(){return Promise.resolve(void 0)}log(g,m){this.logger.trace(`telemetry/${g}`,(0,R.validateTelemetryData)(m))}};T=ue([Y(0,L.ILoggerService),Y(1,A.IEnvironmentService)],T),e.TelemetryLogAppender=T}),define(Q[177],Z([0,1,15,26,58]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AppInsightsAppender=void 0;async function R(P){const g=await new Promise((D,f)=>{G(["applicationinsights"],D,f)});let m;return g.defaultClient?(m=new g.TelemetryClient(P),m.channel.setUseDiskRetryCaching(!0)):(g.setup(P).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),m=g.defaultClient),P.indexOf("AIF-")===0&&(m.config.endpointUrl="https://vortex.data.microsoft.com/collect/v1"),m}class T{constructor(g,m,D){this._eventPrefix=g,this._defaultData=m,this._defaultData||(this._defaultData=Object.create(null)),typeof D=="function"?this._aiClient=D():this._aiClient=D,this._asyncAIClient=null}_withAIClient(g){if(!!this._aiClient){if(typeof this._aiClient!="string"){g(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=R(this._aiClient)),this._asyncAIClient.then(m=>{g(m)},m=>{(0,v.onUnexpectedError)(m),console.error(m)})}}log(g,m){!this._aiClient||(m=(0,A.mixin)(m,this._defaultData),m=(0,L.validateTelemetryData)(m),this._withAIClient(D=>D.trackEvent({name:this._eventPrefix+"/"+g,properties:m.properties,measurements:m.measurements})))}flush(){return this._aiClient?new Promise(g=>{this._withAIClient(m=>{m.flush({callback:()=>{this._aiClient=void 0,g(void 0)}})})}):Promise.resolve(void 0)}}e.AppInsightsAppender=T}),define(Q[178],Z([0,1,49,79,16,80,24,25]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CustomEndpointTelemetryService=void 0;let g=class{constructor(D,f){this.configurationService=D,this.telemetryService=f,this.customTelemetryServices=new Map}async getCustomTelemetryService(D){if(!this.customTelemetryServices.has(D.id)){const{machineId:f,sessionId:E}=await this.telemetryService.getTelemetryInfo(),C=Object.create(null);C["common.vscodemachineid"]=f,C["common.vscodesessionid"]=E;const a=[D.id,JSON.stringify(C),D.aiKey],S=new v.Client(L.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"Debug Telemetry",timeout:1e3*60*5,args:a,env:{ELECTRON_RUN_AS_NODE:1,VSCODE_PIPE_LOGGING:"true",VSCODE_AMD_ENTRYPOINT:"vs/workbench/contrib/debug/node/telemetryApp"}}).getChannel("telemetryAppender"),w=new A.TelemetryAppenderClient(S);this.customTelemetryServices.set(D.id,new R.TelemetryService({appender:w,sendErrorTelemetry:D.sendErrorTelemetry},this.configurationService))}return this.customTelemetryServices.get(D.id)}async publicLog(D,f,E){await(await this.getCustomTelemetryService(D)).publicLog(f,E)}async publicLogError(D,f,E){await(await this.getCustomTelemetryService(D)).publicLogError(f,E)}};g=ue([Y(0,T.IConfigurationService),Y(1,P.ITelemetryService)],g),e.CustomEndpointTelemetryService=g}),define(Q[81],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FlowControlConstants=e.LocalReconnectConstants=e.HeartbeatConstants=e.IPtyService=e.ILocalTerminalService=e.TerminalIpcChannels=e.WindowsShellType=void 0;var A;(function(g){g.CommandPrompt="cmd",g.PowerShell="pwsh",g.Wsl="wsl",g.GitBash="gitbash"})(A=e.WindowsShellType||(e.WindowsShellType={}));var L;(function(g){g.LocalPty="localPty",g.PtyHost="ptyHost",g.Log="log",g.Heartbeat="heartbeat"})(L=e.TerminalIpcChannels||(e.TerminalIpcChannels={})),e.ILocalTerminalService=(0,v.createDecorator)("localTerminalService"),e.IPtyService=(0,v.createDecorator)("ptyService");var R;(function(g){g[g.BeatInterval=5e3]="BeatInterval",g[g.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",g[g.SecondWaitMultiplier=1]="SecondWaitMultiplier",g[g.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(R=e.HeartbeatConstants||(e.HeartbeatConstants={}));var T;(function(g){g[g.ReconnectionGraceTime=6e4]="ReconnectionGraceTime",g[g.ReconnectionShortGraceTime=6e3]="ReconnectionShortGraceTime"})(T=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var P;(function(g){g[g.HighWatermarkChars=1e5]="HighWatermarkChars",g[g.LowWatermarkChars=5e3]="LowWatermarkChars",g[g.CharCountAckSize=5e3]="CharCountAckSize"})(P=e.FlowControlConstants||(e.FlowControlConstants={}))}),define(Q[179],Z([0,1,4]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILocalPtyService=void 0,e.ILocalPtyService=(0,v.createDecorator)("localPtyService")}),define(Q[180],Z([0,1,2,14,81,49,16,33,3,76]),function(G,e,v,A,L,R,T,P,g,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PtyHostService=void 0;var D;(function(C){C[C.MaxRestarts=5]="MaxRestarts"})(D||(D={}));let f=0,E=class extends v.Disposable{constructor(a){super();this._logService=a,this._restartCount=0,this._isDisposed=!1,this._onPtyHostExit=this._register(new g.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new g.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new g.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onPtyHostResponsive=this._register(new g.Emitter),this.onPtyHostResponsive=this._onPtyHostResponsive.event,this._onProcessData=this._register(new g.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessExit=this._register(new g.Emitter),this.onProcessExit=this._onProcessExit.event,this._onProcessReady=this._register(new g.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new g.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessTitleChanged=this._register(new g.Emitter),this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessShellTypeChanged=this._register(new g.Emitter),this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event,this._onProcessOverrideDimensions=this._register(new g.Emitter),this.onProcessOverrideDimensions=this._onProcessOverrideDimensions.event,this._onProcessResolvedShellLaunchConfig=this._register(new g.Emitter),this.onProcessResolvedShellLaunchConfig=this._onProcessResolvedShellLaunchConfig.event,this._onProcessOrphanQuestion=this._register(new g.Emitter),this.onProcessOrphanQuestion=this._onProcessOrphanQuestion.event,this._register((0,v.toDisposable)(()=>this._disposePtyHost())),[this._client,this._proxy]=this._startPtyHost()}_startPtyHost(){const a=new R.Client(T.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"Pty Host",args:["--type=ptyHost"],env:{VSCODE_LAST_PTY_ID:f,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}});this._onPtyHostStart.fire(),P.ProxyChannel.toService(a.getChannel(L.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._register(a.onDidProcessExit(b=>{this._onPtyHostExit.fire(b.code),this._isDisposed||(this._restartCount<=D.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${b.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${b.code}, giving up`))}));const S=a.getChannel(L.TerminalIpcChannels.Log);this._register(this._logService.onDidChangeLogLevel(()=>{m.LogLevelChannelClient.setLevel(S,this._logService.getLevel())}));const w=P.ProxyChannel.toService(a.getChannel(L.TerminalIpcChannels.PtyHost));return this._register(w.onProcessData(b=>this._onProcessData.fire(b))),this._register(w.onProcessExit(b=>this._onProcessExit.fire(b))),this._register(w.onProcessReady(b=>this._onProcessReady.fire(b))),this._register(w.onProcessTitleChanged(b=>this._onProcessTitleChanged.fire(b))),this._register(w.onProcessShellTypeChanged(b=>this._onProcessShellTypeChanged.fire(b))),this._register(w.onProcessOverrideDimensions(b=>this._onProcessOverrideDimensions.fire(b))),this._register(w.onProcessResolvedShellLaunchConfig(b=>this._onProcessResolvedShellLaunchConfig.fire(b))),this._register(w.onProcessReplay(b=>this._onProcessReplay.fire(b))),this._register(w.onProcessOrphanQuestion(b=>this._onProcessOrphanQuestion.fire(b))),[a,w]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(a,I,S,w,b,y,o,i,t,n){const r=setTimeout(()=>this._handleUnresponsiveCreateProcess(),L.HeartbeatConstants.CreateProcessTimeout),l=await this._proxy.createProcess(a,I,S,w,b,y,o,i,t,n);return clearTimeout(r),f=Math.max(f,l),l}attachToProcess(a){return this._proxy.attachToProcess(a)}detachFromProcess(a){return this._proxy.detachFromProcess(a)}listProcesses(a){return this._proxy.listProcesses(a)}start(a){return this._proxy.start(a)}shutdown(a,I){return this._proxy.shutdown(a,I)}input(a,I){return this._proxy.input(a,I)}resize(a,I,S){return this._proxy.resize(a,I,S)}acknowledgeDataEvent(a,I){return this._proxy.acknowledgeDataEvent(a,I)}getInitialCwd(a){return this._proxy.getInitialCwd(a)}getCwd(a){return this._proxy.getCwd(a)}getLatency(a){return this._proxy.getLatency(a)}orphanQuestionReply(a){return this._proxy.orphanQuestionReply(a)}setTerminalLayoutInfo(a){return this._proxy.setTerminalLayoutInfo(a)}async getTerminalLayoutInfo(a){return await this._proxy.getTerminalLayoutInfo(a)}async restartPtyHost(){this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll&&this._proxy.shutdownAll(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),L.HeartbeatConstants.BeatInterval*L.HeartbeatConstants.FirstWaitMultiplier),this._onPtyHostResponsive.fire()}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${L.HeartbeatConstants.BeatInterval*L.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),L.HeartbeatConstants.BeatInterval*L.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(L.HeartbeatConstants.BeatInterval*L.HeartbeatConstants.FirstWaitMultiplier+L.HeartbeatConstants.BeatInterval*L.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._onPtyHostUnresponsive.fire()}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${L.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._onPtyHostUnresponsive.fire()}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}};E=ue([Y(0,A.ILogService)],E),e.PtyHostService=E}),define(Q[52],Z([0,1,40]),function(G,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLineEndOffset=e.getLineStartOffset=e.edit=void 0;function A(T,P,g,m){const D=(0,v.setProperty)(T,P,g,m)[0];return D&&(T=T.substring(0,D.offset)+D.content+T.substring(D.offset+D.length)),T}e.edit=A;function L(T,P,g){let m=g;for(;m>=0;){if(T.charAt(m)===P.charAt(P.length-1)&&P.length===1)return m+1;if(m--,P.length===2&&m>=0&&T.charAt(m)===P.charAt(0))return m+2}return 0}e.getLineStartOffset=L;function R(T,P,g){let m=g;for(;m>=0;)if(T.charAt(m)===P.charAt(P.length-1)&&P.length===1||(m++,P.length===2&&m>=0&&T.charAt(m)===P.charAt(1)))return m;return T.length-1}e.getLineEndOffset=R}),define(Q[181],Z([0,1,26,56]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function L(f,E,C,a,I){var S,w;const b=[],y=[],o=[];if(!E){const q=f.filter(({identifier:x})=>I.every(j=>j.toLowerCase()!==x.id.toLowerCase()));return{added:b,removed:y,updated:o,remote:q.length>0?q:null}}f=f.map(m),E=E.map(m),C=C?C.map(m):null;const i=new Map,t=q=>{q.uuid&&i.set(q.id.toLowerCase(),q.uuid)};f.forEach(({identifier:q})=>t(q)),E.forEach(({identifier:q})=>t(q)),C&&C.forEach(({identifier:q})=>t(q));const n=q=>{const x=q.identifier.uuid||i.get(q.identifier.id.toLowerCase());return x?`uuid:${x}`:`id:${q.identifier.id.toLowerCase()}`},r=(q,x)=>(q.set(n(x),x),q),l=f.reduce(r,new Map),s=E.reduce(r,new Map),c=E.reduce((q,x)=>{const j=n(x);x=(0,v.deepClone)(x);const $=l.get(j);return $&&($.installed&&(x.installed=!0),x.version||(x.version=$.version)),r(q,x)},new Map),h=C?C.reduce(r,new Map):null,d=a.reduce(r,new Map),p=I.reduce((q,x)=>{const j=i.get(x.toLowerCase());return q.add(j?`uuid:${j}`:`id:${x.toLowerCase()}`)},new Set),u=R(l,s,p);if(u.added.size>0||u.removed.size>0||u.updated.size>0){const q=R(h,l,p),x=R(h,s,p),j=($,W)=>{const B=l.get($);if(B){const M=s.get($);return Object.assign(Object.assign({},W?M:B),{version:(M.version&&A.gt(M.version,B.version),B.version),state:T(B,M,h==null?void 0:h.get($))})}};for(const $ of x.removed.values()){const W=l.get($);W&&y.push(W.identifier)}for(const $ of x.added.values())if(q.added.has($)){if(u.updated.has($)){const W=j($,!0);W&&(o.push(D(W,$)),c.set($,W))}}else{const W=s.get($);W.installed&&b.push(D(W,$))}for(const $ of x.updated.values()){const W=j($,!0);W&&(o.push(D(W,$)),c.set($,W))}for(const $ of q.added.values())x.added.has($)||c.set($,l.get($));for(const $ of q.updated.values())if(!x.removed.has($)&&!x.updated.has($)){const W=j($,!1);W&&(((S=c.get($))===null||S===void 0?void 0:S.installed)&&(W.installed=!0),c.set($,W))}for(const $ of q.removed.values())!d.has($)&&!x.updated.has($)&&((w=h==null?void 0:h.get($))===null||w===void 0?void 0:w.installed)&&c.delete($)}const O=[],_=R(s,c,new Set,{checkInstalledProperty:!0,checkVersionProperty:!0});return(_.added.size>0||_.updated.size>0||_.removed.size>0)&&c.forEach((q,x)=>O.push(D(q,x))),{added:b,removed:y,updated:o,remote:O.length?O:null}}e.merge=L;function R(f,E,C,{checkInstalledProperty:a,checkVersionProperty:I}={checkInstalledProperty:!1,checkVersionProperty:!1}){const S=f?[...f.keys()].filter(i=>!C.has(i)):[],w=[...E.keys()].filter(i=>!C.has(i)),b=w.filter(i=>S.indexOf(i)===-1).reduce((i,t)=>(i.add(t),i),new Set),y=S.filter(i=>w.indexOf(i)===-1).reduce((i,t)=>(i.add(t),i),new Set),o=new Set;for(const i of S)if(!y.has(i)){const t=f.get(i),n=E.get(i);(!n||t.disabled!==n.disabled||!g(t.state,n.state)||I&&t.version!==n.version||a&&t.installed!==n.installed)&&o.add(i)}return{added:b,removed:y,updated:o}}function T(f,E,C){const a=f.state,I=E.state,S=C==null?void 0:C.state;if(!E.version||a&&A.gt(f.version,E.version))return a;if(I&&A.gt(E.version,f.version)||!a)return I;if(!I)return a;const w=(0,v.deepClone)(a),b=S?P(S,I):{added:Object.keys(I).reduce((o,i)=>(o.add(i),o),new Set),removed:new Set,updated:new Set},y=S?P(S,a):{added:Object.keys(a).reduce((o,i)=>(o.add(i),o),new Set),removed:new Set,updated:new Set};for(const o of[...b.added.values(),...b.updated.values()])w[o]=I[o];for(const o of b.removed.values())y.updated.has(o)||delete w[o];return w}function P(f,E){const C=Object.keys(f),a=Object.keys(E),I=a.filter(b=>C.indexOf(b)===-1).reduce((b,y)=>(b.add(y),b),new Set),S=C.filter(b=>a.indexOf(b)===-1).reduce((b,y)=>(b.add(y),b),new Set),w=new Set;for(const b of C)if(!S.has(b)){const y=f[b],o=E[b];(0,v.equals)(y,o)||w.add(b)}return{added:I,removed:S,updated:w}}function g(f={},E={}){const{added:C,removed:a,updated:I}=P(f,E);return C.size===0&&a.size===0&&I.size===0}function m(f){return Object.assign(Object.assign({},f),{disabled:!!f.disabled,installed:!!f.installed})}function D(f,E){const C={identifier:{id:f.identifier.id,uuid:E.startsWith("uuid:")?E.substring("uuid:".length):void 0}};return f.version&&(C.version=f.version),f.disabled&&(C.disabled=!0),f.installed&&(C.installed=!0),f.state&&(C.state=f.state),C}}),define(Q[82],Z([0,1,18,3,2,34,4,29,19]),function(G,e,v,A,L,R,T,P,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsStorageSyncService=e.IExtensionsStorageSyncService=void 0,e.IExtensionsStorageSyncService=(0,T.createDecorator)("IExtensionsStorageSyncService");const m=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let D=class Ye extends L.Disposable{constructor(E,C){super();this.storageService=E,this.productService=C,this._onDidChangeExtensionsStorage=this._register(new A.Emitter),this.onDidChangeExtensionsStorage=this._onDidChangeExtensionsStorage.event,this.extensionsWithKeysForSync=new Set,this.initialize(),this._register(this.storageService.onDidChangeValue(a=>this.onDidChangeStorageValue(a)))}static toKey(E){return`extensionKeys/${(0,R.adoptToGalleryExtensionId)(E.id)}@${E.version}`}static fromKey(E){const C=m.exec(E);if(C&&C[1])return{id:C[1],version:C[2]}}initialize(){const E=this.storageService.keys(0,1);for(const C of E){const a=Ye.fromKey(C);a&&this.extensionsWithKeysForSync.add(a.id.toLowerCase())}}onDidChangeStorageValue(E){if(E.scope===0){if(this.extensionsWithKeysForSync.has(E.key.toLowerCase())){this._onDidChangeExtensionsStorage.fire();return}const C=Ye.fromKey(E.key);if(C){this.extensionsWithKeysForSync.add(C.id.toLowerCase()),this._onDidChangeExtensionsStorage.fire();return}}}setKeysForSync(E,C){this.storageService.store(Ye.toKey(E),JSON.stringify(C),0,1)}getKeysForSync(E){var C;const a=(C=this.productService.extensionSyncedKeys)===null||C===void 0?void 0:C[E.id.toLowerCase()],I=this.storageService.get(Ye.toKey(E),0),S=I?JSON.parse(I):void 0;return S&&a?(0,v.distinct)([...S,...a]):S||a}};D=ue([Y(0,g.IStorageService),Y(1,P.IProductService)],D),e.ExtensionsStorageSyncService=D}),define(Q[83],Z([0,1,18,24,4]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IgnoredExtensionsManagementService=e.IIgnoredExtensionsManagementService=void 0,e.IIgnoredExtensionsManagementService=(0,L.createDecorator)("IIgnoredExtensionsManagementService");let R=class{constructor(P){this.configurationService=P}hasToNeverSyncExtension(P){return this.getConfiguredIgnoredExtensions().includes(P.toLowerCase())}hasToAlwaysSyncExtension(P){return this.getConfiguredIgnoredExtensions().includes(`-${P.toLowerCase()}`)}updateIgnoredExtensions(P,g){let m=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(D=>D.toLowerCase());return m=m.filter(D=>D!==P&&D!==`-${P}`),g&&m.push(P.toLowerCase()),this.configurationService.updateValue("settingsSync.ignoredExtensions",m.length?m:void 0,1)}updateSynchronizedExtensions(P,g){let m=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(D=>D.toLowerCase());return m=m.filter(D=>D!==P&&D!==`-${P}`),g&&m.push(`-${P.toLowerCase()}`),this.configurationService.updateValue("settingsSync.ignoredExtensions",m.length?m:void 0,1)}getIgnoredExtensions(P){const g=P.filter(E=>E.isMachineScoped).map(E=>E.identifier.id.toLowerCase()),m=this.getConfiguredIgnoredExtensions().map(E=>E.toLowerCase()),D=[],f=[];if(Array.isArray(m))for(const E of m)E.startsWith("-")?f.push(E.substring(1)):D.push(E);return(0,v.distinct)([...g,...D].filter(E=>f.indexOf(E)===-1))}getConfiguredIgnoredExtensions(){let P=this.configurationService.inspect("settingsSync.ignoredExtensions").userValue;return P!==void 0||(P=this.configurationService.inspect("sync.ignoredExtensions").userValue,P!==void 0)?P:(this.configurationService.getValue("settingsSync.ignoredExtensions")||[]).map(g=>g.toLowerCase())}};R=ue([Y(0,A.IConfigurationService)],R),e.IgnoredExtensionsManagementService=R}),define(Q[182],Z([0,1,26,32,18,141,52]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=e.parseKeybindings=void 0;function P(o){return(0,A.parse)(o)||[]}e.parseKeybindings=P;async function g(o,i,t,n,r){const l=P(o),s=P(i),c=t?P(t):null,h=[...l,...s,...c||[]].map(B=>B.key),d=await r.resolveUserBindings(h);let p=D(l,s,c,d);if(!p.hasLocalForwarded&&!p.hasRemoteForwarded)return{mergeContent:o,hasChanges:!1,hasConflicts:!1};if(!p.hasLocalForwarded&&p.hasRemoteForwarded)return{mergeContent:i,hasChanges:!0,hasConflicts:!1};if(p.hasLocalForwarded&&!p.hasRemoteForwarded)return{mergeContent:o,hasChanges:!0,hasConflicts:!1};const u=E(l),O=E(s),_=c?E(c):null,q=a(u,O,d),x=_?a(_,u,d):{added:[...u.keys()].reduce((B,M)=>(B.add(M),B),new Set),removed:new Set,updated:new Set},j=_?a(_,O,d):{added:[...O.keys()].reduce((B,M)=>(B.add(M),B),new Set),removed:new Set,updated:new Set},$=m(q,x,j);let W=o;for(const B of $.removed.values())$.conflicts.has(B)||(W=b(W,B,n));for(const B of $.added.values())if(!$.conflicts.has(B)){const M=O.get(B);if(M.some(F=>F.command!==`-${B}`&&p.conflicts.has(d[F.key]))){$.conflicts.add(B);continue}W=w(W,M,n)}for(const B of $.updated.values())if(!$.conflicts.has(B)){const M=O.get(B);if(M.some(F=>F.command!==`-${B}`&&p.conflicts.has(d[F.key]))){$.conflicts.add(B);continue}W=y(W,B,M,n)}return{mergeContent:W,hasChanges:!0,hasConflicts:$.conflicts.size>0}}e.merge=g;function m(o,i,t){const n=new Set,r=new Set,l=new Set,s=new Set;for(const c of i.removed.values())t.updated.has(c)&&s.add(c);for(const c of t.removed.values())s.has(c)||(i.updated.has(c)?s.add(c):r.add(c));for(const c of i.added.values())s.has(c)||t.added.has(c)&&o.updated.has(c)&&s.add(c);for(const c of t.added.values())s.has(c)||(i.added.has(c)?o.updated.has(c)&&s.add(c):n.add(c));for(const c of i.updated.values())s.has(c)||t.updated.has(c)&&o.updated.has(c)&&s.add(c);for(const c of t.updated.values())s.has(c)||(i.updated.has(c)?o.updated.has(c)&&s.add(c):l.add(c));return{added:n,removed:r,updated:l,conflicts:s}}function D(o,i,t,n){const r=new Set,l=f(o,n),s=f(i,n),c=t?f(t,n):null,h=C(l,s);if(h.added.size===0&&h.removed.size===0&&h.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:r,removed:r,updated:r,conflicts:r};const d=c?C(c,l):{added:[...l.keys()].reduce((x,j)=>(x.add(j),x),new Set),removed:new Set,updated:new Set};if(d.added.size===0&&d.removed.size===0&&d.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:r,removed:r,updated:r,conflicts:r};const p=c?C(c,s):{added:[...s.keys()].reduce((x,j)=>(x.add(j),x),new Set),removed:new Set,updated:new Set};if(p.added.size===0&&p.removed.size===0&&p.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:r,removed:r,updated:r,conflicts:r};const{added:u,removed:O,updated:_,conflicts:q}=m(h,d,p);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:u,removed:O,updated:_,conflicts:q}}function f(o,i){const t=new Map;for(const n of o){const r=i[n.key];let l=t.get(r);l||(l=[],t.set(r,l)),l.push(n)}return t}function E(o){const i=new Map;for(const t of o){const n=t.command[0]==="-"?t.command.substring(1):t.command;let r=i.get(n);r||(r=[],i.set(n,r)),r.push(t)}return i}function C(o,i){const t=[...o.keys()],n=[...i.keys()],r=n.filter(c=>t.indexOf(c)===-1).reduce((c,h)=>(c.add(h),c),new Set),l=t.filter(c=>n.indexOf(c)===-1).reduce((c,h)=>(c.add(h),c),new Set),s=new Set;for(const c of t)if(!l.has(c)){const h=o.get(c).map(p=>Object.assign(Object.assign({},p),{key:c})),d=i.get(c).map(p=>Object.assign(Object.assign({},p),{key:c}));(0,L.equals)(h,d,(p,u)=>S(p,u))||s.add(c)}return{added:r,removed:l,updated:s}}function a(o,i,t){const n=[...o.keys()],r=[...i.keys()],l=r.filter(h=>n.indexOf(h)===-1).reduce((h,d)=>(h.add(d),h),new Set),s=n.filter(h=>r.indexOf(h)===-1).reduce((h,d)=>(h.add(d),h),new Set),c=new Set;for(const h of n)if(!s.has(h)){const d=o.get(h).map(u=>Object.assign(Object.assign({},u),{key:t[u.key]})),p=i.get(h).map(u=>Object.assign(Object.assign({},u),{key:t[u.key]}));I(d,p)||c.add(h)}return{added:l,removed:s,updated:c}}function I(o,i){return!(!(0,L.equals)(o.filter(({command:t})=>t[0]!=="-"),i.filter(({command:t})=>t[0]!=="-"),(t,n)=>S(t,n))||!(0,L.equals)(o.filter(({command:t})=>t[0]==="-"),i.filter(({command:t})=>t[0]==="-"),(t,n)=>S(t,n)))}function S(o,i){if(o.command!==i.command||o.key!==i.key)return!1;const t=R.ContextKeyExpr.deserialize(o.when),n=R.ContextKeyExpr.deserialize(i.when);return!(t&&!n||!t&&n||t&&n&&!t.equals(n)||!v.equals(o.args,i.args))}function w(o,i,t){for(const n of i)o=T.edit(o,[-1],n,t);return o}function b(o,i,t){const n=P(o);for(let r=n.length-1;r>=0;r--)(n[r].command===i||n[r].command===`-${i}`)&&(o=T.edit(o,[r],void 0,t));return o}function y(o,i,t,n){const r=P(o),l=r.findIndex(s=>s.command===i||s.command===`-${i}`);for(let s=r.length-1;s>=0;s--)(r[s].command===i||r[s].command===`-${i}`)&&(o=T.edit(o,[s],void 0,n));for(let s=t.length-1;s>=0;s--)o=T.edit(o,[l],t[s],n);return o}}),define(Q[183],Z([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.areSame=e.merge=void 0;function v(R,T,P){const g={},m={},D=new Set;if(!T)return{local:{added:g,updated:m,removed:[...D.values()]},remote:{added:R,updated:{},removed:[]},conflicts:[]};const f=A(R,T);if(f.added.size===0&&f.removed.size===0&&f.updated.size===0)return{local:{added:g,updated:m,removed:[...D.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const E=A(P,R),C=A(P,T),a={},I={},S=new Set,w=new Set;for(const b of E.removed.values())C.updated.has(b)?g[b]=T[b]:S.add(b);for(const b of C.removed.values())w.has(b)||(E.updated.has(b)?w.add(b):D.add(b));for(const b of E.updated.values())w.has(b)||(C.updated.has(b)?f.updated.has(b)&&w.add(b):I[b]=R[b]);for(const b of C.updated.values())w.has(b)||(E.updated.has(b)?f.updated.has(b)&&w.add(b):R[b]!==void 0&&(m[b]=T[b]));for(const b of E.added.values())w.has(b)||(C.added.has(b)?f.updated.has(b)&&w.add(b):a[b]=R[b]);for(const b of C.added.values())w.has(b)||(E.added.has(b)?f.updated.has(b)&&w.add(b):g[b]=T[b]);return{local:{added:g,removed:[...D.values()],updated:m},remote:{added:a,removed:[...S.values()],updated:I},conflicts:[...w.values()]}}e.merge=v;function A(R,T){const P=R?Object.keys(R):[],g=T?Object.keys(T):[],m=g.filter(E=>P.indexOf(E)===-1).reduce((E,C)=>(E.add(C),E),new Set),D=P.filter(E=>g.indexOf(E)===-1).reduce((E,C)=>(E.add(C),E),new Set),f=new Set;for(const E of P)if(!D.has(E)){const C=R[E],a=T[E];C!==a&&f.add(E)}return{added:m,removed:D,updated:f}}function L(R,T){const{added:P,removed:g,updated:m}=A(R,T);return P.size===0&&g.size===0&&m.size===0}e.areSame=L}),define(Q[20],Z([0,1,4,28,35,38,125,78,11,18,17]),function(G,e,v,A,L,R,T,P,g,m,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSyncResourceFromLocalPreview=e.PREVIEW_DIR_NAME=e.USER_DATA_SYNC_SCHEME=e.IUserDataSyncLogService=e.IUserDataSyncUtilService=e.IUserDataAutoSyncService=e.IUserDataAutoSyncEnablementService=e.IUserDataSyncService=e.IUserDataSyncResourceEnablementService=e.getEnablementKey=e.SYNC_SERVICE_URL_TYPE=e.MergeState=e.Change=e.SyncStatus=e.UserDataAutoSyncError=e.UserDataSyncStoreError=e.UserDataSyncError=e.UserDataSyncErrorCode=e.createSyncHeaders=e.HEADER_EXECUTION_ID=e.HEADER_OPERATION_ID=e.IUserDataSyncBackupStoreService=e.IUserDataSyncStoreService=e.IUserDataSyncStoreManagementService=e.ALL_SYNC_RESOURCES=e.SyncResource=e.isAuthenticationProvider=e.registerConfiguration=e.getDefaultIgnoredSettings=e.getDisallowedIgnoredSettings=e.CONFIGURATION_SYNC_STORE_KEY=void 0,e.CONFIGURATION_SYNC_STORE_KEY="configurationSync.store";function f(){const s=L.Registry.as(R.Extensions.Configuration).getConfigurationProperties();return Object.keys(s).filter(c=>!!s[c].disallowSyncIgnore)}e.getDisallowedIgnoredSettings=f;function E(){const s=L.Registry.as(R.Extensions.Configuration).getConfigurationProperties(),c=Object.keys(s).filter(p=>!!s[p].ignoreSync),h=Object.keys(s).filter(p=>s[p].scope===2||s[p].scope===6),d=f();return(0,m.distinct)([e.CONFIGURATION_SYNC_STORE_KEY,...c,...h,...d])}e.getDefaultIgnoredSettings=E;function C(){const s="vscode://schemas/ignoredSettings",c=L.Registry.as(R.Extensions.Configuration);c.registerConfiguration({id:"settingsSync",order:30,title:(0,T.localize)(0,null),type:"object",properties:{"settingsSync.keybindingsPerPlatform":{type:"boolean",description:(0,T.localize)(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:(0,T.localize)(2,null),items:[{type:"string",pattern:A.EXTENSION_IDENTIFIER_PATTERN,errorMessage:(0,T.localize)(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:(0,T.localize)(4,null),default:[],scope:1,$ref:s,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const h=L.Registry.as(P.Extensions.JSONContribution),d=()=>{const p=f(),u=E().filter(x=>x!==e.CONFIGURATION_SYNC_STORE_KEY),O=Object.keys(R.allSettings.properties).filter(x=>u.indexOf(x)===-1),_=u.filter(x=>p.indexOf(x)===-1),q={items:{type:"string",enum:[...O,..._.map(x=>`-${x}`)]}};h.registerSchema(s,q)};return c.onDidUpdateConfiguration(()=>d())}e.registerConfiguration=C;function a(s){return s&&(0,D.isObject)(s)&&(0,D.isString)(s.id)&&(0,D.isArray)(s.scopes)}e.isAuthenticationProvider=a;var I;(function(s){s.Settings="settings",s.Keybindings="keybindings",s.Snippets="snippets",s.Extensions="extensions",s.GlobalState="globalState"})(I=e.SyncResource||(e.SyncResource={})),e.ALL_SYNC_RESOURCES=["settings","keybindings","snippets","extensions","globalState"],e.IUserDataSyncStoreManagementService=(0,v.createDecorator)("IUserDataSyncStoreManagementService"),e.IUserDataSyncStoreService=(0,v.createDecorator)("IUserDataSyncStoreService"),e.IUserDataSyncBackupStoreService=(0,v.createDecorator)("IUserDataSyncBackupStoreService"),e.HEADER_OPERATION_ID="x-operation-id",e.HEADER_EXECUTION_ID="X-Execution-Id";function S(s){const c={};return c[e.HEADER_EXECUTION_ID]=s,c}e.createSyncHeaders=S;var w;(function(s){s.Unauthorized="Unauthorized",s.Conflict="Conflict",s.Gone="Gone",s.PreconditionFailed="PreconditionFailed",s.TooLarge="TooLarge",s.UpgradeRequired="UpgradeRequired",s.PreconditionRequired="PreconditionRequired",s.TooManyRequests="RemoteTooManyRequests",s.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",s.RequestFailed="RequestFailed",s.RequestCanceled="RequestCanceled",s.RequestTimeout="RequestTimeout",s.NoRef="NoRef",s.TurnedOff="TurnedOff",s.SessionExpired="SessionExpired",s.ServiceChanged="ServiceChanged",s.DefaultServiceChanged="DefaultServiceChanged",s.LocalTooManyRequests="LocalTooManyRequests",s.LocalPreconditionFailed="LocalPreconditionFailed",s.LocalInvalidContent="LocalInvalidContent",s.LocalError="LocalError",s.IncompatibleLocalContent="IncompatibleLocalContent",s.IncompatibleRemoteContent="IncompatibleRemoteContent",s.UnresolvedConflicts="UnresolvedConflicts",s.Unknown="Unknown"})(w=e.UserDataSyncErrorCode||(e.UserDataSyncErrorCode={}));class b extends Error{constructor(c,h,d,p){super(c);this.code=h,this.resource=d,this.operationId=p,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.UserDataSyncError=b;class y extends b{constructor(c,h,d,p){super(c,d,void 0,p);this.url=h,this.operationId=p}}e.UserDataSyncStoreError=y;class o extends b{constructor(c,h){super(c,h)}}e.UserDataAutoSyncError=o,function(s){function c(h){if(h instanceof s)return h;const d=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(h.name);if(d&&d[1]){const p=d[2]==="unknown"?void 0:d[2],u=d[3]==="unknown"?void 0:d[3];return new s(h.message,d[1],p,u)}return new s(h.message,w.Unknown)}s.toUserDataSyncError=c}(b=e.UserDataSyncError||(e.UserDataSyncError={}));var i;(function(s){s.Uninitialized="uninitialized",s.Idle="idle",s.Syncing="syncing",s.HasConflicts="hasConflicts"})(i=e.SyncStatus||(e.SyncStatus={}));var t;(function(s){s[s.None=0]="None",s[s.Added=1]="Added",s[s.Modified=2]="Modified",s[s.Deleted=3]="Deleted"})(t=e.Change||(e.Change={}));var n;(function(s){s.Preview="preview",s.Conflict="conflict",s.Accepted="accepted"})(n=e.MergeState||(e.MergeState={})),e.SYNC_SERVICE_URL_TYPE="sync.store.url.type";function r(s){return`sync.enable.${s}`}e.getEnablementKey=r,e.IUserDataSyncResourceEnablementService=(0,v.createDecorator)("IUserDataSyncResourceEnablementService"),e.IUserDataSyncService=(0,v.createDecorator)("IUserDataSyncService"),e.IUserDataAutoSyncEnablementService=(0,v.createDecorator)("IUserDataAutoSyncEnablementService"),e.IUserDataAutoSyncService=(0,v.createDecorator)("IUserDataAutoSyncService"),e.IUserDataSyncUtilService=(0,v.createDecorator)("IUserDataSyncUtilService"),e.IUserDataSyncLogService=(0,v.createDecorator)("IUserDataSyncLogService"),e.USER_DATA_SYNC_SCHEME="vscode-userdata-sync",e.PREVIEW_DIR_NAME="preview";function l(s,c){if(s.scheme!==e.USER_DATA_SYNC_SCHEME)return s=s.with({scheme:c.userDataSyncHome.scheme}),e.ALL_SYNC_RESOURCES.filter(h=>(0,g.isEqualOrParent)(s,(0,g.joinPath)(c.userDataSyncHome,h,e.PREVIEW_DIR_NAME)))[0]}e.getSyncResourceFromLocalPreview=l}),define(Q[45],Z([0,1,2,9,22,5,20,10,11,6,3,25,32,121,24,17,21,18,44,19,30]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractInitializer=e.AbstractJsonFileSynchroniser=e.AbstractFileSynchroniser=e.AbstractSynchroniser=e.isSyncData=void 0;function i(c){return!!(c&&c.version!==void 0&&typeof c.version=="number"&&c.content!==void 0&&typeof c.content=="string"&&(Object.keys(c).length===2||Object.keys(c).length===3&&c.machineId!==void 0&&typeof c.machineId=="string"))}e.isSyncData=i;function t(c,h,d){return d.joinPath(h.userDataSyncHome,c,`lastSync${c}.json`)}let n=class extends v.Disposable{constructor(h,d,p,u,O,_,q,x,j,$){super();this.resource=h,this.fileService=d,this.environmentService=p,this.userDataSyncStoreService=O,this.userDataSyncBackupStoreService=_,this.userDataSyncResourceEnablementService=q,this.telemetryService=x,this.logService=j,this.configurationService=$,this.syncPreviewPromise=null,this._status="idle",this._onDidChangStatus=this._register(new D.Emitter),this.onDidChangeStatus=this._onDidChangStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new D.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this.localChangeTriggerScheduler=new m.RunOnceScheduler(()=>this.doTriggerLocalChange(),50),this._onDidChangeLocal=this._register(new D.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this.syncHeaders={},this.syncResourceLogLabel=(0,S.uppercaseFirstLetter)(this.resource),this.extUri=this.fileService.hasCapability(p.userDataSyncHome,1024)?g.extUri:g.extUriIgnorePathCase,this.syncFolder=this.extUri.joinPath(p.userDataSyncHome,h),this.syncPreviewFolder=this.extUri.joinPath(this.syncFolder,T.PREVIEW_DIR_NAME),this.lastSyncResource=t(h,p,this.extUri),this.currentMachineIdPromise=(0,b.getServiceMachineId)(p,d,u)}get status(){return this._status}get conflicts(){return this._conflicts}isEnabled(){return this.userDataSyncResourceEnablementService.isResourceEnabled(this.resource)}async triggerLocalChange(){this.isEnabled()&&this.localChangeTriggerScheduler.schedule()}async doTriggerLocalChange(){if(this.status==="hasConflicts"){this.logService.info(`${this.syncResourceLogLabel}: In conflicts state and local change detected. Syncing again...`);const h=await this.syncPreviewPromise;this.syncPreviewPromise=null;const d=await this.performSync(h.remoteUserData,h.lastSyncUserData,!0);this.setStatus(d)}else{this.logService.trace(`${this.syncResourceLogLabel}: Checking for local changes...`);const h=await this.getLastSyncUserData();(h?(await this.doGenerateSyncResourcePreview(h,h,!0,o.CancellationToken.None)).resourcePreviews.some(({remoteChange:p})=>p!==0):!0)&&this._onDidChangeLocal.fire()}}setStatus(h){if(this._status!==h){const d=this._status;h==="hasConflicts"&&this.telemetryService.publicLog2("sync/conflictsDetected",{source:this.resource}),d==="hasConflicts"&&h==="idle"&&this.telemetryService.publicLog2("sync/conflictsResolved",{source:this.resource}),this._status=h,this._onDidChangStatus.fire(h)}}async sync(h,d={}){await this._sync(h,!0,d)}async preview(h,d={}){return this._sync(h,!1,d)}async apply(h,d={}){try{this.syncHeaders=Object.assign({},d);const p=await this.doApply(h);return this.setStatus(p),this.syncPreviewPromise}finally{this.syncHeaders={}}}async _sync(h,d,p){try{if(this.syncHeaders=Object.assign({},p),!this.isEnabled())return this.status!=="idle"&&await this.stop(),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is disabled.`),null;if(this.status==="hasConflicts")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.syncPreviewPromise;if(this.status==="syncing")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.syncPreviewPromise;this.logService.trace(`${this.syncResourceLogLabel}: Started synchronizing ${this.resource.toLowerCase()}...`),this.setStatus("syncing");let u="idle";try{const O=await this.getLastSyncUserData(),_=await this.getLatestRemoteUserData(h,O);return u=await this.performSync(_,O,d),u==="hasConflicts"?this.logService.info(`${this.syncResourceLogLabel}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):u==="idle"&&this.logService.trace(`${this.syncResourceLogLabel}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise||null}finally{this.setStatus(u)}}finally{this.syncHeaders={}}}async replace(h){const d=await this.resolveContent(h);if(!d)return!1;const p=this.parseSyncData(d);if(!p)return!1;await this.stop();try{this.logService.trace(`${this.syncResourceLogLabel}: Started resetting ${this.resource.toLowerCase()}...`),this.setStatus("syncing");const u=await this.getLastSyncUserData(),O=await this.getLatestRemoteUserData(null,u),_=await this.generateSyncPreview({ref:O.ref,syncData:p},u,o.CancellationToken.None),q=[];for(const x of _){const j=await this.getAcceptResult(x,x.remoteResource,void 0,o.CancellationToken.None),{remoteChange:$}=await this.getAcceptResult(x,x.previewResource,x.remoteContent,o.CancellationToken.None);q.push([x,Object.assign(Object.assign({},j),{remoteChange:$!==0?$:2})])}await this.applyResult(O,u,q,!1),this.logService.info(`${this.syncResourceLogLabel}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.setStatus("idle")}return!0}async getLatestRemoteUserData(h,d){if(d){const p=h&&h.latest?h.latest[this.resource]:void 0;if(d.ref===p||p===void 0&&d.syncData===null)return d}return this.getRemoteUserData(d)}async performSync(h,d,p){if(h.syncData&&h.syncData.version>this.version)throw this.telemetryService.publicLog2("sync/incompatible",{source:this.resource}),new T.UserDataSyncError((0,C.localize)(0,null,this.resource,this.version,h.syncData.version),T.UserDataSyncErrorCode.IncompatibleLocalContent,this.resource);try{return await this.doSync(h,d,p)}catch(u){if(u instanceof T.UserDataSyncError)switch(u.code){case T.UserDataSyncErrorCode.LocalPreconditionFailed:return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize ${this.syncResourceLogLabel} as there is a new local version available. Synchronizing again...`),this.performSync(h,d,p);case T.UserDataSyncErrorCode.Conflict:case T.UserDataSyncErrorCode.PreconditionFailed:return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),h=await this.getRemoteUserData(null),d=await this.getLastSyncUserData(),this.performSync(h,d,p)}throw u}}async doSync(h,d,p){try{this.syncPreviewPromise||(this.syncPreviewPromise=(0,m.createCancelablePromise)(O=>this.doGenerateSyncResourcePreview(h,d,p,O)));const u=await this.syncPreviewPromise;return this.updateConflicts(u.resourcePreviews),u.resourcePreviews.some(({mergeState:O})=>O==="conflict")?"hasConflicts":p?await this.doApply(!1):"syncing"}catch(u){throw this.syncPreviewPromise=null,u}}async merge(h){return await this.updateSyncResourcePreview(h,async d=>{const p=await this.getMergeResult(d,o.CancellationToken.None);await this.fileService.writeFile(d.previewResource,L.VSBuffer.fromString((p==null?void 0:p.content)||""));const u=p&&!p.hasConflicts?await this.getAcceptResult(d,d.previewResource,void 0,o.CancellationToken.None):void 0;return d.acceptResult=u,d.mergeState=p.hasConflicts?"conflict":u?"accepted":"preview",d.localChange=u?u.localChange:p.localChange,d.remoteChange=u?u.remoteChange:p.remoteChange,d}),this.syncPreviewPromise}async accept(h,d){return await this.updateSyncResourcePreview(h,async p=>{const u=await this.getAcceptResult(p,h,d,o.CancellationToken.None);return p.acceptResult=u,p.mergeState="accepted",p.localChange=u.localChange,p.remoteChange=u.remoteChange,p}),this.syncPreviewPromise}async discard(h){return await this.updateSyncResourcePreview(h,async d=>{const p=await this.getMergeResult(d,o.CancellationToken.None);return await this.fileService.writeFile(d.previewResource,L.VSBuffer.fromString(p.content||"")),d.acceptResult=void 0,d.mergeState="preview",d.localChange=p.localChange,d.remoteChange=p.remoteChange,d}),this.syncPreviewPromise}async updateSyncResourcePreview(h,d){if(!!this.syncPreviewPromise){let p=await this.syncPreviewPromise;const u=p.resourcePreviews.findIndex(({localResource:O,remoteResource:_,previewResource:q})=>this.extUri.isEqual(O,h)||this.extUri.isEqual(_,h)||this.extUri.isEqual(q,h));u!==-1&&(this.syncPreviewPromise=(0,m.createCancelablePromise)(async O=>{const _=[...p.resourcePreviews];return _[u]=await d(_[u]),Object.assign(Object.assign({},p),{resourcePreviews:_})}),p=await this.syncPreviewPromise,this.updateConflicts(p.resourcePreviews),p.resourcePreviews.some(({mergeState:O})=>O==="conflict")?this.setStatus("hasConflicts"):this.setStatus("syncing"))}}async doApply(h){if(!this.syncPreviewPromise)return"idle";const d=await this.syncPreviewPromise;return d.resourcePreviews.some(({mergeState:p})=>p==="conflict")?"hasConflicts":d.resourcePreviews.some(({mergeState:p})=>p!=="accepted")?"syncing":(await this.applyResult(d.remoteUserData,d.lastSyncUserData,d.resourcePreviews.map(p=>[p,p.acceptResult]),h),this.syncPreviewPromise=null,await this.clearPreviewFolder(),"idle")}async clearPreviewFolder(){try{await this.fileService.del(this.syncPreviewFolder,{recursive:!0})}catch(h){}}updateConflicts(h){const d=h.filter(({mergeState:p})=>p==="conflict");(0,w.equals)(this._conflicts,d,(p,u)=>this.extUri.isEqual(p.previewResource,u.previewResource))||(this._conflicts=d,this._onDidChangeConflicts.fire(d))}async hasPreviouslySynced(){return!!await this.getLastSyncUserData()}async getRemoteSyncResourceHandles(){return(await this.userDataSyncStoreService.getAllRefs(this.resource)).map(({created:d,ref:p})=>({created:d,uri:this.toRemoteBackupResource(p)}))}async getLocalSyncResourceHandles(){return(await this.userDataSyncBackupStoreService.getAllRefs(this.resource)).map(({created:d,ref:p})=>({created:d,uri:this.toLocalBackupResource(p)}))}toRemoteBackupResource(h){return R.URI.from({scheme:T.USER_DATA_SYNC_SCHEME,authority:"remote-backup",path:`/${this.resource}/${h}`})}toLocalBackupResource(h){return R.URI.from({scheme:T.USER_DATA_SYNC_SCHEME,authority:"local-backup",path:`/${this.resource}/${h}`})}async getMachineId({uri:h}){const d=this.extUri.basename(h);if(this.extUri.isEqual(h,this.toRemoteBackupResource(d))){const{content:p}=await this.getUserData(d);if(p){const u=this.parseSyncData(p);return u==null?void 0:u.machineId}}}async resolveContent(h){const d=this.extUri.basename(h);if(this.extUri.isEqual(h,this.toRemoteBackupResource(d))){const{content:p}=await this.getUserData(d);return p}return this.extUri.isEqual(h,this.toLocalBackupResource(d))?this.userDataSyncBackupStoreService.resolveContent(this.resource,d):null}async resolvePreviewContent(h){const d=this.syncPreviewPromise?await this.syncPreviewPromise:null;if(d)for(const p of d.resourcePreviews){if(this.extUri.isEqual(p.acceptedResource,h))return p.acceptResult?p.acceptResult.content:null;if(this.extUri.isEqual(p.remoteResource,h))return p.remoteContent;if(this.extUri.isEqual(p.localResource,h))return p.localContent}return null}async resetLocal(){try{await this.fileService.del(this.lastSyncResource)}catch(h){}}async doGenerateSyncResourcePreview(h,d,p,u){var O;const _=await this.currentMachineIdPromise,q=!!((O=h.syncData)===null||O===void 0?void 0:O.machineId)&&h.syncData.machineId===_,x=d===null&&q?h:d,j=await this.generateSyncPreview(h,x,u),$=[];for(const W of j){const B=W.previewResource.with({scheme:T.USER_DATA_SYNC_SCHEME,authority:"accepted"});if(W.localChange===0&&W.remoteChange===0)$.push(Object.assign(Object.assign({},W),{acceptedResource:B,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"}));else{const M=p?await this.getMergeResult(W,u):void 0;if(u.isCancellationRequested)break;await this.fileService.writeFile(W.previewResource,L.VSBuffer.fromString((M==null?void 0:M.content)||""));const F=M&&!M.hasConflicts?await this.getAcceptResult(W,W.previewResource,void 0,u):void 0;$.push(Object.assign(Object.assign({},W),{acceptResult:F,mergeState:(M==null?void 0:M.hasConflicts)?"conflict":F?"accepted":"preview",localChange:F?F.localChange:M?M.localChange:W.localChange,remoteChange:F?F.remoteChange:M?M.remoteChange:W.remoteChange}))}}return{remoteUserData:h,lastSyncUserData:d,resourcePreviews:$,isLastSyncFromCurrentMachine:q}}async getLastSyncUserData(){try{const h=await this.fileService.readFile(this.lastSyncResource),d=JSON.parse(h.value.toString()),p=d;if(p.content===null)return{ref:d.ref,syncData:null};const u=JSON.parse(p.content);if(i(u))return Object.assign(Object.assign({},d),{syncData:u,content:void 0})}catch(h){h instanceof A.FileOperationError&&h.fileOperationResult===1||this.logService.error(h)}return null}async updateLastSyncUserData(h,d={}){const p=Object.assign({ref:h.ref,content:h.syncData?JSON.stringify(h.syncData):null},d);await this.fileService.writeFile(this.lastSyncResource,L.VSBuffer.fromString(JSON.stringify(p)))}async getRemoteUserData(h){const{ref:d,content:p}=await this.getUserData(h);let u=null;return p!==null&&(u=this.parseSyncData(p)),{ref:d,syncData:u}}parseSyncData(h){try{const d=JSON.parse(h);if(i(d))return d}catch(d){this.logService.error(d)}throw new T.UserDataSyncError((0,C.localize)(1,null),T.UserDataSyncErrorCode.IncompatibleRemoteContent,this.resource)}async getUserData(h){if((0,I.isString)(h)){const d=await this.userDataSyncStoreService.resolveContent(this.resource,h);return{ref:h,content:d}}else{const d=h?{ref:h.ref,content:h.syncData?JSON.stringify(h.syncData):null}:null;return this.userDataSyncStoreService.read(this.resource,d,this.syncHeaders)}}async updateRemoteUserData(h,d){const p=await this.currentMachineIdPromise,u={version:this.version,machineId:p,content:h};return d=await this.userDataSyncStoreService.write(this.resource,JSON.stringify(u),d,this.syncHeaders),{ref:d,syncData:u}}async backupLocal(h){const d={version:this.version,content:h};return this.userDataSyncBackupStoreService.backup(this.resource,JSON.stringify(d))}async stop(){this.status!=="idle"&&(this.logService.trace(`${this.syncResourceLogLabel}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise&&(this.syncPreviewPromise.cancel(),this.syncPreviewPromise=null),this.updateConflicts([]),await this.clearPreviewFolder(),this.setStatus("idle"),this.logService.info(`${this.syncResourceLogLabel}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}};n=ue([Y(1,A.IFileService),Y(2,P.IEnvironmentService),Y(3,y.IStorageService),Y(4,T.IUserDataSyncStoreService),Y(5,T.IUserDataSyncBackupStoreService),Y(6,T.IUserDataSyncResourceEnablementService),Y(7,f.ITelemetryService),Y(8,T.IUserDataSyncLogService),Y(9,a.IConfigurationService)],n),e.AbstractSynchroniser=n;let r=class extends n{constructor(h,d,p,u,O,_,q,x,j,$,W){super(d,p,u,O,_,q,x,j,$,W);this.file=h,this._register(this.fileService.watch(this.extUri.dirname(h))),this._register(this.fileService.onDidFilesChange(B=>this.onFileChanges(B)))}async getLocalFileContent(){try{return await this.fileService.readFile(this.file)}catch(h){return null}}async updateLocalFileContent(h,d,p){try{d?await this.fileService.writeFile(this.file,L.VSBuffer.fromString(h),p?void 0:d):await this.fileService.createFile(this.file,L.VSBuffer.fromString(h),{overwrite:p})}catch(u){throw u instanceof A.FileOperationError&&u.fileOperationResult===1||u instanceof A.FileOperationError&&u.fileOperationResult===3?new T.UserDataSyncError(u.message,T.UserDataSyncErrorCode.LocalPreconditionFailed):u}}onFileChanges(h){!h.contains(this.file)||this.triggerLocalChange()}};r=ue([Y(2,A.IFileService),Y(3,P.IEnvironmentService),Y(4,y.IStorageService),Y(5,T.IUserDataSyncStoreService),Y(6,T.IUserDataSyncBackupStoreService),Y(7,T.IUserDataSyncResourceEnablementService),Y(8,f.ITelemetryService),Y(9,T.IUserDataSyncLogService),Y(10,a.IConfigurationService)],r),e.AbstractFileSynchroniser=r;let l=class extends r{constructor(h,d,p,u,O,_,q,x,j,$,W,B){super(h,d,p,u,O,_,q,x,j,$,B);this.userDataSyncUtilService=W,this._formattingOptions=void 0}hasErrors(h){const d=[];return(0,E.parse)(h,d,{allowEmptyContent:!0,allowTrailingComma:!0}),d.length>0}getFormattingOptions(){return this._formattingOptions||(this._formattingOptions=this.userDataSyncUtilService.resolveFormattingOptions(this.file)),this._formattingOptions}};l=ue([Y(2,A.IFileService),Y(3,P.IEnvironmentService),Y(4,y.IStorageService),Y(5,T.IUserDataSyncStoreService),Y(6,T.IUserDataSyncBackupStoreService),Y(7,T.IUserDataSyncResourceEnablementService),Y(8,f.ITelemetryService),Y(9,T.IUserDataSyncLogService),Y(10,T.IUserDataSyncUtilService),Y(11,a.IConfigurationService)],l),e.AbstractJsonFileSynchroniser=l;let s=class{constructor(h,d,p,u){this.resource=h,this.environmentService=d,this.logService=p,this.fileService=u,this.extUri=this.fileService.hasCapability(d.userDataSyncHome,1024)?g.extUri:g.extUriIgnorePathCase,this.lastSyncResource=t(this.resource,d,g.extUri)}async initialize({ref:h,content:d}){if(!d){this.logService.info("Remote content does not exist.",this.resource);return}const p=this.parseSyncData(d);if(!!p){if(await this.fileService.exists(this.lastSyncResource)){this.logService.info("Remote content does not exist.",this.resource);return}try{await this.doInitialize({ref:h,syncData:p})}catch(O){this.logService.error(O)}}}parseSyncData(h){try{const d=JSON.parse(h);if(i(d))return d}catch(d){this.logService.error(d)}this.logService.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async updateLastSyncUserData(h,d={}){const p=Object.assign({ref:h.ref,content:h.syncData?JSON.stringify(h.syncData):null},d);await this.fileService.writeFile(this.lastSyncResource,L.VSBuffer.fromString(JSON.stringify(p)))}};s=ue([Y(1,P.IEnvironmentService),Y(2,T.IUserDataSyncLogService),Y(3,A.IFileService)],s),e.AbstractInitializer=s}),define(Q[184],Z([0,1,20,3,10,28,34,9,24,181,45,25,5,46,40,21,19,30,83,15,82,6]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsInitializer=e.ExtensionsSynchroniser=void 0;async function t(c,h){const d=JSON.parse(c.content);if(c.version===1||c.version===2){const p=(await h.getInstalled(0)).filter(u=>u.isBuiltin);for(const u of d)c.version===1&&(u.enabled===!1&&(u.disabled=!0),delete u.enabled),c.version===2&&p.every(O=>!(0,T.areSameExtensions)(O.identifier,u.identifier))&&(u.installed=!0)}return d}function n(c,h,d){const p=d.get((0,T.getExtensionId)(c,h),0)||"{}";return JSON.parse(p)}function r(c,h,d,p){p.store((0,T.getExtensionId)(c,h),JSON.stringify(d),0,1)}let l=class rt extends D.AbstractSynchroniser{constructor(h,d,p,u,O,_,q,x,j,$,W,B,M,F){super("extensions",d,h,p,u,O,B,M,j,W);this.storageService=p,this.extensionManagementService=_,this.extensionEnablementService=q,this.ignoredExtensionsManagementService=x,this.extensionGalleryService=$,this.extensionsStorageSyncService=F,this.version=5,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"extensions.json"),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(A.Event.debounce(A.Event.any(A.Event.filter(this.extensionManagementService.onDidInstallExtension,k=>!!k.gallery),A.Event.filter(this.extensionManagementService.onDidUninstallExtension,k=>!k.error),this.extensionEnablementService.onDidChangeEnablement,this.extensionsStorageSyncService.onDidChangeExtensionsStorage),()=>{},500)(()=>this.triggerLocalChange()))}isEnabled(){return super.isEnabled()&&this.extensionGalleryService.isEnabled()}async generateSyncPreview(h,d){const p=h.syncData?await t(h.syncData,this.extensionManagementService):null,u=(d==null?void 0:d.skippedExtensions)||[],O=(d==null?void 0:d.syncData)?await t(d.syncData,this.extensionManagementService):null,_=await this.extensionManagementService.getInstalled(),q=this.getLocalExtensions(_),x=this.ignoredExtensionsManagementService.getIgnoredExtensions(_);p?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote extensions with local extensions...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{added:j,removed:$,updated:W,remote:B}=(0,m.merge)(q,p,O,u,x),M={added:j,removed:$,updated:W,remote:B,content:this.getPreviewContent(q,j,W,$),localChange:j.length>0||$.length>0||W.length>0?2:0,remoteChange:B!==null?2:0};return[{skippedExtensions:u,localResource:this.localResource,localContent:this.format(q),localExtensions:q,remoteResource:this.remoteResource,remoteContent:p?this.format(p):null,previewResource:this.previewResource,previewResult:M,localChange:M.localChange,remoteChange:M.remoteChange,acceptedResource:this.acceptedResource}]}getPreviewContent(h,d,p,u){const O=[...d,...p],_=new Set,q=x=>{_.add(x.id.toLowerCase()),x.uuid&&_.add(x.uuid)};O.forEach(({identifier:x})=>q(x)),u.forEach(q);for(const x of h)_.has(x.identifier.id.toLowerCase())||x.identifier.uuid&&_.has(x.identifier.uuid)||O.push(x);return this.format(O)}async getMergeResult(h,d){return Object.assign(Object.assign({},h.previewResult),{hasConflicts:!1})}async getAcceptResult(h,d,p,u){if(this.extUri.isEqual(d,this.localResource))return this.acceptLocal(h);if(this.extUri.isEqual(d,this.remoteResource))return this.acceptRemote(h);if(this.extUri.isEqual(d,this.previewResource))return h.previewResult;throw new Error(`Invalid Resource: ${d.toString()}`)}async acceptLocal(h){const d=await this.extensionManagementService.getInstalled(),p=this.ignoredExtensionsManagementService.getIgnoredExtensions(d),u=(0,m.merge)(h.localExtensions,null,null,h.skippedExtensions,p),{added:O,removed:_,updated:q,remote:x}=u;return{content:h.localContent,added:O,removed:_,updated:q,remote:x,localChange:O.length>0||_.length>0||q.length>0?2:0,remoteChange:x!==null?2:0}}async acceptRemote(h){const d=await this.extensionManagementService.getInstalled(),p=this.ignoredExtensionsManagementService.getIgnoredExtensions(d),u=h.remoteContent?JSON.parse(h.remoteContent):null;if(u!==null){const O=(0,m.merge)(h.localExtensions,u,h.localExtensions,[],p),{added:_,removed:q,updated:x,remote:j}=O;return{content:h.remoteContent,added:_,removed:q,updated:x,remote:j,localChange:_.length>0||q.length>0||x.length>0?2:0,remoteChange:j!==null?2:0}}else return{content:h.remoteContent,added:[],removed:[],updated:[],remote:null,localChange:0,remoteChange:0}}async applyResult(h,d,p,u){let{skippedExtensions:O,localExtensions:_}=p[0][0],{added:q,removed:x,updated:j,remote:$,localChange:W,remoteChange:B}=p[0][1];if(W===0&&B===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing extensions.`),W!==0&&(await this.backupLocal(JSON.stringify(_)),O=await this.updateLocalExtensions(q,x,j,O)),$){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote extensions...`);const M=JSON.stringify($);h=await this.updateRemoteUserData(M,u?null:h.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote extensions`)}(d==null?void 0:d.ref)!==h.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized extensions...`),await this.updateLastSyncUserData(h,{skippedExtensions:O}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized extensions`))}async getAssociatedResources({uri:h}){return[{resource:this.extUri.joinPath(h,"extensions.json"),comparableResource:rt.EXTENSIONS_DATA_URI}]}async resolveContent(h){if(this.extUri.isEqual(h,rt.EXTENSIONS_DATA_URI)){const p=await this.extensionManagementService.getInstalled(),u=this.ignoredExtensionsManagementService.getIgnoredExtensions(p),O=this.getLocalExtensions(p).filter(_=>!u.some(q=>(0,T.areSameExtensions)({id:q},_.identifier)));return this.format(O)}if(this.extUri.isEqual(this.remoteResource,h)||this.extUri.isEqual(this.localResource,h)||this.extUri.isEqual(this.acceptedResource,h))return this.resolvePreviewContent(h);let d=await super.resolveContent(h);if(d)return d;if(d=await super.resolveContent(this.extUri.dirname(h)),d){const p=this.parseSyncData(d);if(p)switch(this.extUri.basename(h)){case"extensions.json":return this.format(this.parseExtensions(p))}}return null}format(h){h.sort((u,O)=>!u.identifier.uuid&&O.identifier.uuid?-1:u.identifier.uuid&&!O.identifier.uuid?1:(0,I.compare)(u.identifier.id,O.identifier.id));const d=JSON.stringify(h),p=(0,C.format)(d,void 0,{});return(0,a.applyEdits)(d,p)}async hasLocalData(){try{const h=await this.extensionManagementService.getInstalled();if(this.getLocalExtensions(h).some(p=>p.installed||p.disabled))return!0}catch(h){}return!1}async updateLocalExtensions(h,d,p,u){const O=[],_=[],q=await this.extensionManagementService.getInstalled();if(d.length){const j=q.filter(({identifier:$,isBuiltin:W})=>!W&&d.some(B=>(0,T.areSameExtensions)($,B)));await i.Promises.settled(j.map(async $=>{this.logService.trace(`${this.syncResourceLogLabel}: Uninstalling local extension...`,$.identifier.id),await this.extensionManagementService.uninstall($,{donotIncludePack:!0,donotCheckDependents:!0}),this.logService.info(`${this.syncResourceLogLabel}: Uninstalled local extension.`,$.identifier.id),O.push($.identifier)}))}(h.length||p.length)&&await i.Promises.settled([...h,...p].map(async j=>{const $=q.find(B=>(0,T.areSameExtensions)(B.identifier,j.identifier));if($&&$.isBuiltin){j.state&&$.manifest.version===j.version&&this.updateExtensionState(j.state,$.manifest.publisher,$.manifest.name,$.manifest.version),j.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,j.identifier.id),await this.extensionEnablementService.disableExtension(j.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,j.identifier.id)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,j.identifier.id),await this.extensionEnablementService.enableExtension(j.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,j.identifier.id)),O.push(j.identifier);return}const W=await this.extensionGalleryService.getCompatibleExtension(j.identifier);if(j.state&&($?$.manifest.version===j.version:!!W)){const B=$?$.manifest.publisher:W.publisher,M=$?$.manifest.name:W.name;this.updateExtensionState(j.state,B,M,$==null?void 0:$.manifest.version)}if(W)try{j.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,j.identifier.id,W.version),await this.extensionEnablementService.disableExtension(W.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,j.identifier.id,W.version)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,j.identifier.id,W.version),await this.extensionEnablementService.enableExtension(W.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,j.identifier.id,W.version)),$||(this.logService.trace(`${this.syncResourceLogLabel}: Installing extension...`,j.identifier.id,W.version),await this.extensionManagementService.installFromGallery(W,{isMachineScoped:!1,donotIncludePackAndDependencies:!0}),this.logService.info(`${this.syncResourceLogLabel}: Installed extension.`,j.identifier.id,W.version),O.push(W.identifier))}catch(B){_.push(j),this.logService.error(B),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension`,W.displayName||W.identifier.id)}else _.push(j)}));const x=[];for(const j of u)O.some($=>(0,T.areSameExtensions)($,j.identifier))||x.push(j);for(const j of _)x.some($=>(0,T.areSameExtensions)($.identifier,j.identifier))||x.push(j);return x}updateExtensionState(h,d,p,u){const O=n(d,p,this.storageService),_=u?this.extensionsStorageSyncService.getKeysForSync({id:(0,T.getGalleryExtensionId)(d,p),version:u}):void 0;_?_.forEach(q=>{O[q]=h[q]}):Object.keys(h).forEach(q=>O[q]=h[q]),r(d,p,O,this.storageService)}parseExtensions(h){return JSON.parse(h.content)}getLocalExtensions(h){const d=this.extensionEnablementService.getDisabledExtensions();return h.map(({identifier:p,isBuiltin:u,manifest:O})=>{const _={identifier:p,version:O.version};d.some(q=>(0,T.areSameExtensions)(q,p))&&(_.disabled=!0),u||(_.installed=!0);try{const q=this.extensionsStorageSyncService.getKeysForSync({id:p.id,version:O.version});if(q){const x=n(O.publisher,O.name,this.storageService);_.state=Object.keys(x).reduce((j,$)=>(q.includes($)&&(j[$]=x[$]),j),{})}}catch(q){this.logService.info(`${this.syncResourceLogLabel}: Error while parsing extension state`,(0,y.getErrorMessage)(q))}return _})}};l.EXTENSIONS_DATA_URI=E.URI.from({scheme:v.USER_DATA_SYNC_SCHEME,authority:"extensions",path:"/extensions.json"}),l=ue([Y(0,L.IEnvironmentService),Y(1,P.IFileService),Y(2,S.IStorageService),Y(3,v.IUserDataSyncStoreService),Y(4,v.IUserDataSyncBackupStoreService),Y(5,R.IExtensionManagementService),Y(6,R.IGlobalExtensionEnablementService),Y(7,b.IIgnoredExtensionsManagementService),Y(8,v.IUserDataSyncLogService),Y(9,R.IExtensionGalleryService),Y(10,g.IConfigurationService),Y(11,v.IUserDataSyncResourceEnablementService),Y(12,f.ITelemetryService),Y(13,o.IExtensionsStorageSyncService)],l),e.ExtensionsSynchroniser=l;let s=class extends D.AbstractInitializer{constructor(h,d,p,u,O,_,q,x){super("extensions",q,x,_);this.extensionManagementService=h,this.galleryService=d,this.extensionEnablementService=p,this.storageService=u,this.ignoredExtensionsManagementService=O}async doInitialize(h){const d=h.syncData?await t(h.syncData,this.extensionManagementService):null;if(!d){this.logService.info("Skipping initializing extensions because remote extensions does not exist.");return}await this.initializeRemoteExtensions(d)}async initializeRemoteExtensions(h){const d=[],p=await this.extensionManagementService.getInstalled(),u=new Map,O=[],_={names:[],uuids:[]},q=[];for(const x of h)if(!this.ignoredExtensionsManagementService.hasToNeverSyncExtension(x.identifier.id)){const j=p.find($=>(0,T.areSameExtensions)($.identifier,x.identifier));j?(O.push({syncExtension:x,installedExtension:j}),x.disabled&&q.push(x.identifier)):x.installed&&(u.set(x.identifier.id.toLowerCase(),x),x.identifier.uuid?_.uuids.push(x.identifier.uuid):_.names.push(x.identifier.id),x.disabled&&q.push(x.identifier))}for(const{syncExtension:x,installedExtension:j}of O)if(x.state){const $=n(j.manifest.publisher,j.manifest.name,this.storageService);Object.keys(x.state).forEach(W=>$[W]=x.state[W]),r(j.manifest.publisher,j.manifest.name,$,this.storageService)}if(q.length)for(const x of q)this.logService.trace("Disabling extension...",x.id),await this.extensionEnablementService.disableExtension(x),this.logService.info("Disabling extension",x.id);if(_.names.length||_.uuids.length){const x=(await this.galleryService.query({ids:_.uuids,names:_.names,pageSize:_.uuids.length+_.names.length},w.CancellationToken.None)).firstPage;for(const j of x)try{const $=u.get(j.identifier.id.toLowerCase());$.state&&r(j.publisher,j.name,$.state,this.storageService),this.logService.trace("Installing extension...",j.identifier.id);const W=await this.extensionManagementService.installFromGallery(j,{isMachineScoped:!1});q.some(B=>(0,T.areSameExtensions)(B,j.identifier))||d.push(W),this.logService.info("Installed extension.",j.identifier.id)}catch($){this.logService.error($)}}return d}};s=ue([Y(0,R.IExtensionManagementService),Y(1,R.IExtensionGalleryService),Y(2,R.IGlobalExtensionEnablementService),Y(3,S.IStorageService),Y(4,b.IIgnoredExtensionsManagementService),Y(5,P.IFileService),Y(6,L.IEnvironmentService),Y(7,v.IUserDataSyncLogService)],s),e.ExtensionsInitializer=s}),define(Q[185],Z([0,1,26,20]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function L(P,g,m,D,f){if(!g)return{remote:Object.keys(P).length>0?P:null,local:{added:{},removed:[],updated:{}}};const E=R(P,g);if(E.added.size===0&&E.removed.size===0&&E.updated.size===0)return{remote:null,local:{added:{},removed:[],updated:{}}};const C=m?R(m,g):{added:Object.keys(g).reduce((b,y)=>(b.add(y),b),new Set),removed:new Set,updated:new Set},a=m?R(m,P):{added:Object.keys(P).reduce((b,y)=>(b.add(y),b),new Set),removed:new Set,updated:new Set},I={added:{},removed:[],updated:{}},S=v.deepClone(g),w=!m;for(const b of a.added.values())b!==A.SYNC_SERVICE_URL_TYPE&&w&&C.added.has(b)||(S[b]=P[b]);for(const b of a.updated.values())S[b]=P[b];for(const b of a.removed.values())D.unregistered.includes(b)||delete S[b];for(const b of C.added.values()){const y=g[b];if(D.machine.includes(b)){f.info(`GlobalState: Skipped adding ${b} in local storage because it is declared as machine scoped.`);continue}if(!(m&&a.added.has(b))){const o=P[b];o&&o.value===y.value||b===A.SYNC_SERVICE_URL_TYPE&&w&&a.added.has(b)||(o?I.updated[b]=y:I.added[b]=y)}}for(const b of C.updated.values()){const y=g[b];if(D.machine.includes(b)){f.info(`GlobalState: Skipped updating ${b} in local storage because it is declared as machine scoped.`);continue}if(!(a.updated.has(b)||a.removed.has(b))){const o=P[b];o&&o.value===y.value||(I.updated[b]=y)}}for(const b of C.removed.values()){if(D.machine.includes(b)){f.trace(`GlobalState: Skipped removing ${b} in local storage because it is declared as machine scoped.`);continue}a.updated.has(b)||a.removed.has(b)||I.removed.push(b)}return{local:I,remote:T(S,g)?null:S}}e.merge=L;function R(P,g){const m=Object.keys(P),D=Object.keys(g),f=D.filter(a=>m.indexOf(a)===-1).reduce((a,I)=>(a.add(I),a),new Set),E=m.filter(a=>D.indexOf(a)===-1).reduce((a,I)=>(a.add(I),a),new Set),C=new Set;for(const a of m)if(!E.has(a)){const I=P[a],S=g[a];v.equals(I,S)||C.add(a)}return{added:f,removed:E,updated:C}}function T(P,g){const{added:m,removed:D,updated:f}=R(P,g);return m.size===0&&D.size===0&&f.size===0}}),define(Q[186],Z([0,1,20,22,3,10,9,52,185,32,45,25,24,5,46,40,19,7,44,31,14]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreTypeSynchronizer=e.GlobalStateInitializer=e.GlobalStateSynchroniser=void 0;const i="globalState.argv.",t=["locale"];function n(h){const d=h.storage?Object.keys(h.storage).sort():[],p={};d.forEach(_=>p[_]=h.storage[_]),h.storage=p;const u=JSON.stringify(h),O=(0,a.format)(u,void 0,{});return(0,I.applyEdits)(u,O)}const r=1;let l=class st extends D.AbstractSynchroniser{constructor(d,p,u,O,_,q,x,j,$){super("globalState",d,_,$,p,u,q,x,O,j);this.environmentService=_,this.storageService=$,this.version=r,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"globalState.json"),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(d.watch(this.extUri.dirname(this.environmentService.argvResource))),this._register(L.Event.any(L.Event.filter(d.onDidFilesChange,W=>W.contains(this.environmentService.argvResource)),L.Event.filter($.onDidChangeValue,W=>W.scope===0&&W.target!==void 0?W.target===0:$.keys(0,0).includes(W.key)),this.storageService.onDidChangeTarget)(()=>this.triggerLocalChange()))}async generateSyncPreview(d,p,u){const O=d.syncData?JSON.parse(d.syncData.content):null,_=p&&p.syncData?JSON.parse(p.syncData.content):null,q=await this.getLocalGlobalState();O?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote ui state with local ui state...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const x=this.getStorageKeys(_),{local:j,remote:$}=(0,g.merge)(q.storage,O?O.storage:null,_?_.storage:null,x,this.logService),W={content:null,local:j,remote:$,localChange:Object.keys(j.added).length>0||Object.keys(j.updated).length>0||j.removed.length>0?2:0,remoteChange:$!==null?2:0};return[{localResource:this.localResource,localContent:n(q),localUserData:q,remoteResource:this.remoteResource,remoteContent:O?n(O):null,previewResource:this.previewResource,previewResult:W,localChange:W.localChange,remoteChange:W.remoteChange,acceptedResource:this.acceptedResource,storageKeys:x}]}async getMergeResult(d,p){return Object.assign(Object.assign({},d.previewResult),{hasConflicts:!1})}async getAcceptResult(d,p,u,O){if(this.extUri.isEqual(p,this.localResource))return this.acceptLocal(d);if(this.extUri.isEqual(p,this.remoteResource))return this.acceptRemote(d);if(this.extUri.isEqual(p,this.previewResource))return d.previewResult;throw new Error(`Invalid Resource: ${p.toString()}`)}async acceptLocal(d){return{content:d.localContent,local:{added:{},removed:[],updated:{}},remote:d.localUserData.storage,localChange:0,remoteChange:2}}async acceptRemote(d){if(d.remoteContent!==null){const p=JSON.parse(d.remoteContent),{local:u,remote:O}=(0,g.merge)(d.localUserData.storage,p.storage,null,d.storageKeys,this.logService);return{content:d.remoteContent,local:u,remote:O,localChange:Object.keys(u.added).length>0||Object.keys(u.updated).length>0||u.removed.length>0?2:0,remoteChange:O!==null?2:0}}else return{content:d.remoteContent,local:{added:{},removed:[],updated:{}},remote:null,localChange:0,remoteChange:0}}async applyResult(d,p,u,O){let{localUserData:_}=u[0][0],{local:q,remote:x,localChange:j,remoteChange:$}=u[0][1];if(j===0&&$===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing ui state.`),j!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local ui state...`),await this.backupLocal(JSON.stringify(_)),await this.writeLocalGlobalState(q),this.logService.info(`${this.syncResourceLogLabel}: Updated local ui state`)),$!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote ui state...`);const W=JSON.stringify({storage:x});d=await this.updateRemoteUserData(W,O?null:d.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote ui state`)}(p==null?void 0:p.ref)!==d.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized ui state...`),await this.updateLastSyncUserData(d),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized ui state`))}async getAssociatedResources({uri:d}){return[{resource:this.extUri.joinPath(d,"globalState.json"),comparableResource:st.GLOBAL_STATE_DATA_URI}]}async resolveContent(d){if(this.extUri.isEqual(d,st.GLOBAL_STATE_DATA_URI)){const u=await this.getLocalGlobalState();return n(u)}if(this.extUri.isEqual(this.remoteResource,d)||this.extUri.isEqual(this.localResource,d)||this.extUri.isEqual(this.acceptedResource,d))return this.resolvePreviewContent(d);let p=await super.resolveContent(d);if(p)return p;if(p=await super.resolveContent(this.extUri.dirname(d)),p){const u=this.parseSyncData(p);if(u)switch(this.extUri.basename(d)){case"globalState.json":return n(JSON.parse(u.content))}}return null}async hasLocalData(){var d;try{const{storage:p}=await this.getLocalGlobalState();if(Object.keys(p).length>1||((d=p[`${i}.locale`])===null||d===void 0?void 0:d.value)!=="en")return!0}catch(p){}return!1}async getLocalGlobalState(){const d={},p=await this.getLocalArgvContent(),u=(0,m.parse)(p);for(const O of t)u[O]!==void 0&&(d[`${i}${O}`]={version:1,value:u[O]});for(const O of this.storageService.keys(0,0)){const _=this.storageService.get(O,0);_&&(d[O]={version:1,value:_})}return{storage:d}}async getLocalArgvContent(){try{return(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch(d){}return"{}"}async writeLocalGlobalState({added:d,removed:p,updated:u}){const O={},_={},q=(j,$)=>{for(const W of j){if(W.startsWith(i)){O[W.substring(i.length)]=$?$[W].value:void 0;continue}if($){const B=$[W];B.value!==String(this.storageService.get(W,0))&&(_[W]=B.value)}else this.storageService.get(W,0)!==void 0&&(_[W]=void 0)}};if(q(Object.keys(d),d),q(Object.keys(u),u),q(p),Object.keys(O).length&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.updateArgv(O),this.logService.info(`${this.syncResourceLogLabel}: Updated locale`)),Object.keys(_).length){this.logService.trace(`${this.syncResourceLogLabel}: Updating global state...`);for(const j of Object.keys(_))this.storageService.store(j,_[j],0,0);this.logService.info(`${this.syncResourceLogLabel}: Updated global state`,Object.keys(_))}}async updateArgv(d){const p=await this.getLocalArgvContent();let u=p;for(const O of Object.keys(d))u=(0,P.edit)(u,[O],d[O],{});p!==u&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.fileService.writeFile(this.environmentService.argvResource,A.VSBuffer.fromString(u)),this.logService.info(`${this.syncResourceLogLabel}: Updated locale.`))}getStorageKeys(d){const p=this.storageService.keys(0,0),u=this.storageService.keys(0,1),O=[...p,...u],_=(d==null?void 0:d.storage)?Object.keys(d.storage).filter(q=>!q.startsWith(i)&&!O.includes(q)&&this.storageService.get(q,0)!==void 0):[];if(!w.isWeb){const q=[...v.ALL_SYNC_RESOURCES.map(x=>(0,v.getEnablementKey)(x)),v.SYNC_SERVICE_URL_TYPE];_.push(...q),u.push(...q)}return{user:p,machine:u,unregistered:_}}};l.GLOBAL_STATE_DATA_URI=C.URI.from({scheme:v.USER_DATA_SYNC_SCHEME,authority:"globalState",path:"/globalState.json"}),l=ue([Y(0,T.IFileService),Y(1,v.IUserDataSyncStoreService),Y(2,v.IUserDataSyncBackupStoreService),Y(3,v.IUserDataSyncLogService),Y(4,R.IEnvironmentService),Y(5,v.IUserDataSyncResourceEnablementService),Y(6,f.ITelemetryService),Y(7,E.IConfigurationService),Y(8,S.IStorageService)],l),e.GlobalStateSynchroniser=l;let s=class extends D.AbstractInitializer{constructor(d,p,u,O){super("globalState",u,O,p);this.storageService=d}async doInitialize(d){const p=d.syncData?JSON.parse(d.syncData.content):null;if(!p){this.logService.info("Skipping initializing global state because remote global state does not exist.");return}const u={},O={};for(const _ of Object.keys(p.storage))_.startsWith(i)?u[_.substring(i.length)]=p.storage[_].value:this.storageService.get(_,0)===void 0&&(O[_]=p.storage[_].value);if(Object.keys(u).length){let _="{}";try{_=(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch(q){}for(const q of Object.keys(u))_=(0,P.edit)(_,[q],u[q],{});await this.fileService.writeFile(this.environmentService.argvResource,A.VSBuffer.fromString(_))}if(Object.keys(O).length)for(const _ of Object.keys(O))this.storageService.store(_,O[_],0,0)}};s=ue([Y(0,S.IStorageService),Y(1,T.IFileService),Y(2,R.IEnvironmentService),Y(3,v.IUserDataSyncLogService)],s),e.GlobalStateInitializer=s;let c=class{constructor(d,p,u,O,_){this.userDataSyncStoreClient=d,this.storageService=p,this.environmentService=u,this.fileService=O,this.logService=_}getSyncStoreType(d){var p;const u=this.parseGlobalState(d);return(p=u==null?void 0:u.storage[v.SYNC_SERVICE_URL_TYPE])===null||p===void 0?void 0:p.value}async sync(d){const p=(0,v.createSyncHeaders)((0,y.generateUuid)());try{return await this.doSync(d,p)}catch(u){if(u instanceof v.UserDataSyncError)switch(u.code){case v.UserDataSyncErrorCode.PreconditionFailed:return this.logService.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.doSync(d,p)}throw u}}async doSync(d,p){const u=await this.userDataSyncStoreClient.read("globalState",null,p),O=this.parseGlobalState(u)||{storage:{}};O.storage[v.SYNC_SERVICE_URL_TYPE]={value:d,version:r};const _=await(0,b.getServiceMachineId)(this.environmentService,this.fileService,this.storageService),q={version:r,machineId:_,content:n(O)};await this.userDataSyncStoreClient.write("globalState",JSON.stringify(q),u.ref,p)}parseGlobalState({content:d}){if(!d)return null;const p=JSON.parse(d);if((0,D.isSyncData)(p))return p?JSON.parse(p.content):null;throw new Error("Invalid remote data")}};c=ue([Y(1,S.IStorageService),Y(2,R.IEnvironmentService),Y(3,T.IFileService),Y(4,o.ILogService)],c),e.UserDataSyncStoreTypeSynchronizer=c}),define(Q[187],Z([0,1,9,20,182,32,122,10,24,7,17,18,45,25,19,22,3]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingsInitializer=e.KeybindingsSynchroniser=e.getKeybindingsContentFromSyncContent=void 0;function w(o,i){const t=JSON.parse(o);if(!i)return(0,D.isUndefined)(t.all)?null:t.all;switch(m.OS){case 2:return(0,D.isUndefined)(t.mac)?null:t.mac;case 3:return(0,D.isUndefined)(t.linux)?null:t.linux;case 1:return(0,D.isUndefined)(t.windows)?null:t.windows}}e.getKeybindingsContentFromSyncContent=w;let b=class extends E.AbstractJsonFileSynchroniser{constructor(i,t,n,r,l,s,c,h,d,p){super(c.keybindingsResource,"keybindings",s,c,h,i,t,l,p,n,d,r);this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"keybindings.json"),this.localResource=this.previewResource.with({scheme:A.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:A.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:A.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(S.Event.filter(r.onDidChangeConfiguration,u=>u.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.triggerLocalChange()))}async generateSyncPreview(i,t,n){const r=i.syncData?this.getKeybindingsContentFromSyncContent(i.syncData.content):null,l=t?this.getKeybindingsContentFromLastSyncUserData(t):null,s=await this.getLocalFileContent(),c=await this.getFormattingOptions();let h=null,d=!1,p=!1,u=!1;if(r){let _=s?s.value.toString():"[]";if(_=_||"[]",this.hasErrors(_))throw new A.UserDataSyncError((0,T.localize)(0,null),A.UserDataSyncErrorCode.LocalInvalidContent,this.resource);if(!l||l!==_||l!==r){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote keybindings with local keybindings...`);const q=await(0,L.merge)(_,r,l,c,this.userDataSyncUtilService);q.hasChanges&&(h=q.mergeContent,u=q.hasConflicts,d=u||q.mergeContent!==_,p=u||q.mergeContent!==r)}}else s&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),h=s.value.toString(),p=!0);const O={content:h,localChange:d?s?2:1:0,remoteChange:p?2:0,hasConflicts:u};return[{fileContent:s,localResource:this.localResource,localContent:s?s.value.toString():null,localChange:O.localChange,remoteResource:this.remoteResource,remoteContent:r,remoteChange:O.remoteChange,previewResource:this.previewResource,previewResult:O,acceptedResource:this.acceptedResource}]}async getMergeResult(i,t){return i.previewResult}async getAcceptResult(i,t,n,r){if(this.extUri.isEqual(t,this.localResource))return{content:i.fileContent?i.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(t,this.remoteResource))return{content:i.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(t,this.previewResource))return n===void 0?{content:i.previewResult.content,localChange:i.previewResult.localChange,remoteChange:i.previewResult.remoteChange}:{content:n,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${t.toString()}`)}async applyResult(i,t,n,r){var l;const{fileContent:s}=n[0][0];let{content:c,localChange:h,remoteChange:d}=n[0][1];if(h===0&&d===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing keybindings.`),c!==null&&(c=c.trim(),c=c||"[]",this.hasErrors(c)))throw new A.UserDataSyncError((0,T.localize)(1,null),A.UserDataSyncErrorCode.LocalInvalidContent,this.resource);if(h!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local keybindings...`),s&&await this.backupLocal(this.toSyncContent(s.value.toString())),await this.updateLocalFileContent(c||"[]",s,r),this.logService.info(`${this.syncResourceLogLabel}: Updated local keybindings`)),d!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote keybindings...`);const p=this.toSyncContent(c||"[]",(l=i.syncData)===null||l===void 0?void 0:l.content);i=await this.updateRemoteUserData(p,r?null:i.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote keybindings`)}try{await this.fileService.del(this.previewResource)}catch(p){}(t==null?void 0:t.ref)!==i.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized keybindings...`),await this.updateLastSyncUserData(i,{platformSpecific:this.syncKeybindingsPerPlatform()}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized keybindings`))}async hasLocalData(){try{const i=await this.getLocalFileContent();if(i){const t=(0,R.parse)(i.value.toString());if((0,f.isNonEmptyArray)(t))return!0}}catch(i){if(i.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:i}){const t=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(i,"keybindings.json"),comparableResource:t}]}async resolveContent(i){if(this.extUri.isEqual(this.remoteResource,i)||this.extUri.isEqual(this.localResource,i)||this.extUri.isEqual(this.acceptedResource,i))return this.resolvePreviewContent(i);let t=await super.resolveContent(i);if(t)return t;if(t=await super.resolveContent(this.extUri.dirname(i)),t){const n=this.parseSyncData(t);if(n)switch(this.extUri.basename(i)){case"keybindings.json":return this.getKeybindingsContentFromSyncContent(n.content)}}return null}getKeybindingsContentFromLastSyncUserData(i){return!i.syncData||i.platformSpecific!==void 0&&i.platformSpecific!==this.syncKeybindingsPerPlatform()?null:this.getKeybindingsContentFromSyncContent(i.syncData.content)}getKeybindingsContentFromSyncContent(i){try{return w(i,this.syncKeybindingsPerPlatform())}catch(t){return this.logService.error(t),null}}toSyncContent(i,t){let n={};try{n=JSON.parse(t||"{}")}catch(r){this.logService.error(r)}switch(this.syncKeybindingsPerPlatform()?delete n.all:n.all=i,m.OS){case 2:n.mac=i;break;case 3:n.linux=i;break;case 1:n.windows=i;break}return JSON.stringify(n)}syncKeybindingsPerPlatform(){let i=this.configurationService.inspect("settingsSync.keybindingsPerPlatform").userValue;return i!==void 0||(i=this.configurationService.inspect("sync.keybindingsPerPlatform").userValue,i!==void 0)?i:this.configurationService.getValue("settingsSync.keybindingsPerPlatform")}};b=ue([Y(0,A.IUserDataSyncStoreService),Y(1,A.IUserDataSyncBackupStoreService),Y(2,A.IUserDataSyncLogService),Y(3,g.IConfigurationService),Y(4,A.IUserDataSyncResourceEnablementService),Y(5,v.IFileService),Y(6,P.IEnvironmentService),Y(7,a.IStorageService),Y(8,A.IUserDataSyncUtilService),Y(9,C.ITelemetryService)],b),e.KeybindingsSynchroniser=b;let y=class extends E.AbstractInitializer{constructor(i,t,n){super("keybindings",t,n,i)}async doInitialize(i){const t=i.syncData?this.getKeybindingsContentFromSyncContent(i.syncData.content):null;if(!t){this.logService.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing keybindings because local keybindings exist.");return}await this.fileService.writeFile(this.environmentService.keybindingsResource,I.VSBuffer.fromString(t)),await this.updateLastSyncUserData(i)}async isEmpty(){try{const i=await this.fileService.readFile(this.environmentService.settingsResource),t=(0,R.parse)(i.value.toString());return!(0,f.isNonEmptyArray)(t)}catch(i){return i.fileOperationResult===1}}getKeybindingsContentFromSyncContent(i){try{return w(i,!0)}catch(t){return this.logService.error(t),null}}};y=ue([Y(0,v.IFileService),Y(1,P.IEnvironmentService),Y(2,A.IUserDataSyncLogService)],y),e.KeybindingsInitializer=y}),define(Q[188],Z([0,1,26,32,40,46,52,20,18]),function(G,e,v,A,L,R,T,P,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.addSetting=e.isEmpty=e.areSame=e.merge=e.updateIgnoredSettings=e.getIgnoredSettings=void 0;function m(c,h,d){let p=[];d?p=f(d):p=D(h);const u=[],O=[...(0,P.getDisallowedIgnoredSettings)()];if(Array.isArray(p))for(const _ of p)_.startsWith("-")?O.push(_.substring(1)):u.push(_);return(0,g.distinct)([...c,...u].filter(_=>O.indexOf(_)===-1))}e.getIgnoredSettings=m;function D(c){let h=c.inspect("settingsSync.ignoredSettings").userValue;return h!==void 0||(h=c.inspect("sync.ignoredSettings").userValue,h!==void 0)?h:c.getValue("settingsSync.ignoredSettings")||[]}function f(c){const h=(0,A.parse)(c);return h?h["settingsSync.ignoredSettings"]||h["sync.ignoredSettings"]||[]:[]}function E(c,h,d,p){if(d.length){const u=s(h),O=(0,A.parse)(h),_=(0,A.parse)(c),q=[];for(const x of d){const j=O[x],$=_[x];j===void 0?c=T.edit(c,[x],void 0,p):$!==void 0?c=T.edit(c,[x],j,p):q.push(i(x,u))}q.sort((x,j)=>x.startOffset-j.startOffset),q.forEach(x=>c=w(x.setting.key,h,c,p))}return c}e.updateIgnoredSettings=E;function C(c,h,d,p,u,O){const _=E(c,h,p,O),q=d!==_,x=d!==h;if(!q&&!x)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if(q&&!x)return{conflictsSettings:[],localContent:null,remoteContent:_,hasConflicts:!1};if(x&&!q)return{conflictsSettings:[],localContent:E(h,c,p,O),remoteContent:null,hasConflicts:!1};if(d===null&&I(c)){const se=a(c,h,p)?null:E(h,c,p,O);return{conflictsSettings:[],localContent:se,remoteContent:null,hasConflicts:!1}}let j=c,$=h;const W=(0,A.parse)(c),B=(0,A.parse)(h),M=d?(0,A.parse)(d):null,F=p.reduce((se,ce)=>(se.add(ce),se),new Set),k=S(W,B,F),U=S(M,W,F),N=S(M,B,F),z=new Map,H=new Set,K=se=>{H.add(se);const ce=u.filter(({key:he})=>he===se)[0];ce?(j=T.edit(j,[se],ce.value,O),$=T.edit($,[se],ce.value,O)):z.set(se,{key:se,localValue:W[se],remoteValue:B[se]})};for(const se of U.removed.values())N.updated.has(se)?K(se):$=T.edit($,[se],void 0,O);for(const se of N.removed.values())H.has(se)||(U.updated.has(se)?K(se):j=T.edit(j,[se],void 0,O));for(const se of U.updated.values())H.has(se)||(N.updated.has(se)?k.updated.has(se)&&K(se):$=T.edit($,[se],W[se],O));for(const se of N.updated.values())H.has(se)||(U.updated.has(se)?k.updated.has(se)&&K(se):j=T.edit(j,[se],B[se],O));for(const se of U.added.values())H.has(se)||(N.added.has(se)?k.updated.has(se)&&K(se):$=w(se,j,$,O));for(const se of N.added.values())H.has(se)||(U.added.has(se)?k.updated.has(se)&&K(se):j=w(se,$,j,O));const te=z.size>0||!a(j,$,p),X=te||!a(j,c,[]),ie=te||!a($,h,[]);return{localContent:X?j:null,remoteContent:ie?$:null,conflictsSettings:[...z.values()],hasConflicts:te}}e.merge=C;function a(c,h,d){if(c===h)return!0;const p=(0,A.parse)(c),u=(0,A.parse)(h),O=d.reduce((x,j)=>(x.add(j),x),new Set),_=s(c).filter(x=>!(x.setting&&O.has(x.setting.key))),q=s(h).filter(x=>!(x.setting&&O.has(x.setting.key)));if(_.length!==q.length)return!1;for(let x=0;x<_.length;x++){const j=_[x],$=q[x];if(j.setting&&$.setting){if(j.setting.key!==$.setting.key||!v.equals(p[j.setting.key],u[j.setting.key]))return!1}else if(!j.setting&&!$.setting){if(j.value!==$.value)return!1}else return!1}return!0}e.areSame=a;function I(c){return c?s(c).length===0:!0}e.isEmpty=I;function S(c,h,d){const p=c?Object.keys(c).filter(x=>!d.has(x)):[],u=Object.keys(h).filter(x=>!d.has(x)),O=u.filter(x=>p.indexOf(x)===-1).reduce((x,j)=>(x.add(j),x),new Set),_=p.filter(x=>u.indexOf(x)===-1).reduce((x,j)=>(x.add(j),x),new Set),q=new Set;if(c){for(const x of p)if(!_.has(x)){const j=c[x],$=h[x];v.equals(j,$)||q.add(x)}}return{added:O,removed:_,updated:q}}function w(c,h,d,p){const u=(0,A.parse)(h),O=s(h),_=s(d),q=b(c,O,_);return y(d,c,u[c],q,_,p)}e.addSetting=w;function b(c,h,d){const p=h.findIndex(O=>{var _;return((_=O.setting)===null||_===void 0?void 0:_.key)===c}),u=h[p-1];if(u){if(u.setting){const _=i(u.setting.key,d);if(_)return{index:d.indexOf(_),insertAfter:!0}}else{const _=t(p,h);if(_){const q=i(_.setting.key,d);if(q){const x=n(d.indexOf(q),d),j=r(h,_,h[p]);if(x){const $=r(d,q,x),W=l(j,$);return W?{index:d.indexOf(W),insertAfter:!0}:{index:d.indexOf(x),insertAfter:!1}}else{const $=r(d,q,d[d.length-1]),W=l(j,$);return W?{index:d.indexOf(W),insertAfter:!0}:{index:d.length-1,insertAfter:!0}}}}}const O=h[p+1];if(O)if(O.setting){const _=i(O.setting.key,d);if(_)return{index:d.indexOf(_),insertAfter:!1}}else{const _=n(p,h);if(_){const q=i(_.setting.key,d);if(q){const x=t(d.indexOf(q),d),j=r(h,h[p],_);if(x){const $=r(d,x,q),W=l(j.reverse(),$.reverse());return W?{index:d.indexOf(W),insertAfter:!1}:{index:d.indexOf(x),insertAfter:!0}}else{const $=r(d,d[0],q),W=l(j.reverse(),$.reverse());return W?{index:d.indexOf(W),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:d.length-1,insertAfter:!0}}function y(c,h,d,p,u,O){let _;return p.index===-1?_=(0,L.setProperty)(c,[h],d,O):_=o(c,h,d,p,u,O).map(q=>(0,L.withFormatting)(c,q,O)[0]),(0,L.applyEdits)(c,_)}function o(c,h,d,p,u,O){var _;const q=`${JSON.stringify(h)}: ${JSON.stringify(d)}`,x=(0,R.getEOL)(O,c),j=u[p.index];if(p.insertAfter){const $=[];if(j.setting)$.push({offset:j.endOffset,length:0,content:","+q});else{const W=n(p.index,u),B=t(p.index,u),M=(_=B==null?void 0:B.setting)===null||_===void 0?void 0:_.commaOffset;B&&M===void 0&&$.push({offset:B.endOffset,length:0,content:","});const F=M!==void 0&&M>j.endOffset;$.push({offset:F?M+1:j.endOffset,length:0,content:W?x+q+",":x+q})}return $}else{if(j.setting)return[{offset:j.startOffset,length:0,content:q+","}];const $=(u[p.index-1]&&!u[p.index-1].setting?x:"")+q+(n(p.index,u)?",":"")+x;return[{offset:j.startOffset,length:0,content:$}]}}function i(c,h){return h.filter(d=>{var p;return((p=d.setting)===null||p===void 0?void 0:p.key)===c})[0]}function t(c,h){for(let d=c-1;d>=0;d--)if(h[d].setting)return h[d]}function n(c,h){for(let d=c+1;d<h.length;d++)if(h[d].setting)return h[d]}function r(c,h,d){const p=c.indexOf(h),u=c.indexOf(d);return c.filter((O,_)=>p<_&&_<u)}function l(c,h){if(c.length&&h.length){let d=0;for(;d<h.length&&d<c.length;d++)if(c[d].value!==h[d].value)return h[d-1];return h[d-1]}}function s(c){const h=[];let d=-1,p,u;const O={onObjectBegin:_=>{d++},onObjectProperty:(_,q,x)=>{d===0&&(p=q,u=_)},onObjectEnd:(_,q)=>{d--,d===0&&h.push({startOffset:p,endOffset:_+q,value:c.substring(p,_+q),setting:{key:u,commaOffset:void 0}})},onArrayBegin:(_,q)=>{d++},onArrayEnd:(_,q)=>{d--,d===0&&h.push({startOffset:p,endOffset:_+q,value:c.substring(p,_+q),setting:{key:u,commaOffset:void 0}})},onLiteralValue:(_,q,x)=>{d===0&&h.push({startOffset:p,endOffset:q+x,value:c.substring(p,q+x),setting:{key:u,commaOffset:void 0}})},onSeparator:(_,q,x)=>{if(d===0&&_===","){let j=h.length-1;for(;j>=0&&!h[j].setting;j--);const $=h[j];$&&h.splice(j,1,{startOffset:$.startOffset,endOffset:$.endOffset,value:$.value,setting:{key:$.setting.key,commaOffset:q}})}},onComment:(_,q)=>{d===0&&h.push({startOffset:_,endOffset:_+q,value:c.substring(_,_+q)})}};return(0,A.visit)(c,O),h}}),define(Q[189],Z([0,1,9,20,22,123,3,10,24,188,52,45,25,28,19,40]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SettingsInitializer=e.SettingsSynchroniser=e.parseSettingsSyncContent=void 0;function S(i){return i&&i.settings&&typeof i.settings=="string"&&Object.keys(i).length===1}function w(i){const t=JSON.parse(i);return S(t)?t:{settings:i}}e.parseSettingsSyncContent=w;let b=class extends f.AbstractJsonFileSynchroniser{constructor(t,n,r,l,s,c,h,d,p,u,O){super(n.settingsResource,"settings",t,n,r,l,s,p,u,c,h,d);this.extensionManagementService=O,this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"settings.json"),this.localResource=this.previewResource.with({scheme:A.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:A.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:A.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._defaultIgnoredSettings=void 0}async generateSyncPreview(t,n,r){const l=await this.getLocalFileContent(),s=await this.getFormattingOptions(),c=this.getSettingsSyncContent(t),h=n?this.getSettingsSyncContent(n):null,d=await this.getIgnoredSettings();let p=null,u=!1,O=!1,_=!1;if(c){let x=l?l.value.toString().trim():"{}";x=x||"{}",this.validateContent(x),this.logService.trace(`${this.syncResourceLogLabel}: Merging remote settings with local settings...`);const j=(0,m.merge)(x,c.settings,h?h.settings:null,d,[],s);p=j.localContent||j.remoteContent,u=j.localContent!==null,O=j.remoteContent!==null,_=j.hasConflicts}else l&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote settings does not exist. Synchronizing settings for the first time.`),p=l.value.toString(),O=!0);const q={content:p,localChange:u?2:0,remoteChange:O?2:0,hasConflicts:_};return[{fileContent:l,localResource:this.localResource,localContent:l?l.value.toString():null,localChange:q.localChange,remoteResource:this.remoteResource,remoteContent:c?c.settings:null,remoteChange:q.remoteChange,previewResource:this.previewResource,previewResult:q,acceptedResource:this.acceptedResource}]}async getMergeResult(t,n){const r=await this.getFormattingOptions(),l=await this.getIgnoredSettings();return Object.assign(Object.assign({},t.previewResult),{content:t.previewResult.content?(0,m.updateIgnoredSettings)(t.previewResult.content,"{}",l,r):null})}async getAcceptResult(t,n,r,l){const s=await this.getFormattingOptions(),c=await this.getIgnoredSettings();if(this.extUri.isEqual(n,this.localResource))return{content:t.fileContent?(0,m.updateIgnoredSettings)(t.fileContent.value.toString(),"{}",c,s):null,localChange:0,remoteChange:2};if(this.extUri.isEqual(n,this.remoteResource))return{content:t.remoteContent!==null?(0,m.updateIgnoredSettings)(t.remoteContent,t.fileContent?t.fileContent.value.toString():"{}",c,s):null,localChange:2,remoteChange:0};if(this.extUri.isEqual(n,this.previewResource))return r===void 0?{content:t.previewResult.content,localChange:t.previewResult.localChange,remoteChange:t.previewResult.remoteChange}:{content:r!==null?(0,m.updateIgnoredSettings)(r,t.fileContent?t.fileContent.value.toString():"{}",c,s):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${n.toString()}`)}async applyResult(t,n,r,l){const{fileContent:s}=r[0][0];let{content:c,localChange:h,remoteChange:d}=r[0][1];if(h===0&&d===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing settings.`),c=c?c.trim():"{}",c=c||"{}",this.validateContent(c),h!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local settings...`),s&&await this.backupLocal(JSON.stringify(this.toSettingsSyncContent(s.value.toString()))),await this.updateLocalFileContent(c,s,l),await this.configurationService.reloadConfiguration(2),this.logService.info(`${this.syncResourceLogLabel}: Updated local settings`)),d!==0){const p=await this.getFormattingOptions(),u=this.getSettingsSyncContent(t),O=await this.getIgnoredSettings(c);c=(0,m.updateIgnoredSettings)(c,u?u.settings:"{}",O,p),this.logService.trace(`${this.syncResourceLogLabel}: Updating remote settings...`),t=await this.updateRemoteUserData(JSON.stringify(this.toSettingsSyncContent(c)),l?null:t.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote settings`)}try{await this.fileService.del(this.previewResource)}catch(p){}(n==null?void 0:n.ref)!==t.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized settings...`),await this.updateLastSyncUserData(t),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized settings`))}async hasLocalData(){try{const t=await this.getLocalFileContent();if(t){const n=await this.getFormattingOptions(),r=(0,D.edit)(t.value.toString(),[A.CONFIGURATION_SYNC_STORE_KEY],void 0,n);return!(0,m.isEmpty)(r)}}catch(t){if(t.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:t}){const n=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(t,"settings.json"),comparableResource:n}]}async resolveContent(t){if(this.extUri.isEqual(this.remoteResource,t)||this.extUri.isEqual(this.localResource,t)||this.extUri.isEqual(this.acceptedResource,t))return this.resolvePreviewContent(t);let n=await super.resolveContent(t);if(n)return n;if(n=await super.resolveContent(this.extUri.dirname(t)),n){const r=this.parseSyncData(n);if(r){const l=this.parseSettingsSyncContent(r.content);if(l)switch(this.extUri.basename(t)){case"settings.json":return l.settings}}}return null}async resolvePreviewContent(t){let n=await super.resolvePreviewContent(t);if(n){const r=await this.getFormattingOptions(),l=await this.getIgnoredSettings();n=(0,m.updateIgnoredSettings)(n,"{}",l,r)}return n}getSettingsSyncContent(t){return t.syncData?this.parseSettingsSyncContent(t.syncData.content):null}parseSettingsSyncContent(t){try{return w(t)}catch(n){this.logService.error(n)}return null}toSettingsSyncContent(t){return{settings:t}}async getIgnoredSettings(t){if(!this._defaultIgnoredSettings){this._defaultIgnoredSettings=this.userDataSyncUtilService.resolveDefaultIgnoredSettings();const r=T.Event.any(T.Event.filter(this.extensionManagementService.onDidInstallExtension,l=>!!l.gallery),T.Event.filter(this.extensionManagementService.onDidUninstallExtension,l=>!l.error))(()=>{r.dispose(),this._defaultIgnoredSettings=void 0})}const n=await this._defaultIgnoredSettings;return(0,m.getIgnoredSettings)(n,this.configurationService,t)}validateContent(t){if(this.hasErrors(t))throw new A.UserDataSyncError((0,R.localize)(0,null),A.UserDataSyncErrorCode.LocalInvalidContent,this.resource)}async recoverSettings(){try{const t=await this.getLocalFileContent();if(!t)return;const n=JSON.parse(t.value.toString());if(!o(n))return;this.telemetryService.publicLog2("sync/settingsCorrupted");const r=this.parseSettingsSyncContent(n.content);if(!r||!r.settings)return;let l=r.settings;const s=await this.getFormattingOptions();for(const c in n)if(["version","content","machineId"].indexOf(c)===-1&&n[c]!==void 0){const h=(0,I.setProperty)(l,[c],n[c],s);h.length&&(l=(0,I.applyEdits)(l,h))}await this.fileService.writeFile(this.file,L.VSBuffer.fromString(l))}catch(t){}}};b=ue([Y(0,v.IFileService),Y(1,P.IEnvironmentService),Y(2,a.IStorageService),Y(3,A.IUserDataSyncStoreService),Y(4,A.IUserDataSyncBackupStoreService),Y(5,A.IUserDataSyncLogService),Y(6,A.IUserDataSyncUtilService),Y(7,g.IConfigurationService),Y(8,A.IUserDataSyncResourceEnablementService),Y(9,E.ITelemetryService),Y(10,C.IExtensionManagementService)],b),e.SettingsSynchroniser=b;let y=class extends f.AbstractInitializer{constructor(t,n,r){super("settings",n,r,t)}async doInitialize(t){const n=t.syncData?this.parseSettingsSyncContent(t.syncData.content):null;if(!n){this.logService.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing settings because local settings exist.");return}await this.fileService.writeFile(this.environmentService.settingsResource,L.VSBuffer.fromString(n.settings)),await this.updateLastSyncUserData(t)}async isEmpty(){try{const t=await this.fileService.readFile(this.environmentService.settingsResource);return(0,m.isEmpty)(t.value.toString().trim())}catch(t){return t.fileOperationResult===1}}parseSettingsSyncContent(t){try{return w(t)}catch(n){this.logService.error(n)}return null}};y=ue([Y(0,v.IFileService),Y(1,P.IEnvironmentService),Y(2,A.IUserDataSyncLogService)],y),e.SettingsInitializer=y;function o(i){return!!(i&&i.version!==void 0&&typeof i.version=="number"&&i.content!==void 0&&typeof i.content=="string"&&i.machineId!==void 0&&typeof i.machineId=="string")}}),define(Q[190],Z([0,1,20,10,9,24,45,25,22,183,19,26,3]),function(G,e,v,A,L,R,T,P,g,m,D,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnippetsInitializer=e.SnippetsSynchroniser=void 0;let C=class extends T.AbstractSynchroniser{constructor(S,w,b,y,o,i,t,n,r){super("snippets",w,S,b,y,o,n,r,i,t);this.version=1,this.snippetsFolder=S.snippetsHome,this._register(this.fileService.watch(S.userRoamingDataHome)),this._register(this.fileService.watch(this.snippetsFolder)),this._register(E.Event.filter(this.fileService.onDidFilesChange,l=>l.affects(this.snippetsFolder))(()=>this.triggerLocalChange()))}async generateSyncPreview(S,w,b){const y=await this.getSnippetsFileContents(),o=this.toSnippetsContents(y),i=S.syncData?this.parseSnippets(S.syncData):null,t=w&&w.syncData?this.parseSnippets(w.syncData):null;i?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote snippets with local snippets...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const n=(0,m.merge)(o,i,t);return this.getResourcePreviews(n,y,i||{})}async getMergeResult(S,w){return S.previewResult}async getAcceptResult(S,w,b,y){if(this.extUri.isEqualOrParent(w,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"})))return{content:S.fileContent?S.fileContent.value.toString():null,localChange:0,remoteChange:S.fileContent?S.remoteContent!==null?2:1:3};if(this.extUri.isEqualOrParent(w,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"})))return{content:S.remoteContent,localChange:S.remoteContent!==null?S.fileContent?2:1:3,remoteChange:0};if(this.extUri.isEqualOrParent(w,this.syncPreviewFolder))return b===void 0?{content:S.previewResult.content,localChange:S.previewResult.localChange,remoteChange:S.previewResult.remoteChange}:{content:b,localChange:b===null?S.fileContent!==null?3:0:2,remoteChange:b===null?S.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${w.toString()}`)}async applyResult(S,w,b,y){const o=b.map(([i,t])=>Object.assign(Object.assign({},i),{acceptResult:t}));o.every(({localChange:i,remoteChange:t})=>i===0&&t===0)&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing snippets.`),o.some(({localChange:i})=>i!==0)&&(await this.updateLocalBackup(o),await this.updateLocalSnippets(o,y)),o.some(({remoteChange:i})=>i!==0)&&(S=await this.updateRemoteSnippets(o,S,y)),(w==null?void 0:w.ref)!==S.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized snippets...`),await this.updateLastSyncUserData(S),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized snippets`));for(const{previewResource:i}of o)try{await this.fileService.del(i)}catch(t){}}getResourcePreviews(S,w,b){const y=new Map;for(const o of Object.keys(S.local.added)){const i={content:S.local.added[o],hasConflicts:!1,localChange:1,remoteChange:0};y.set(o,{fileContent:null,localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:b[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(S.local.updated)){const i={content:S.local.updated[o],hasConflicts:!1,localChange:2,remoteChange:0};y.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[o],localContent:w[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:b[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of S.local.removed){const i={content:null,hasConflicts:!1,localChange:3,remoteChange:0};y.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[o],localContent:w[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(S.remote.added)){const i={content:S.remote.added[o],hasConflicts:!1,localChange:0,remoteChange:1};y.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[o],localContent:w[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(S.remote.updated)){const i={content:S.remote.updated[o],hasConflicts:!1,localChange:0,remoteChange:2};y.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[o],localContent:w[o].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:b[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of S.remote.removed){const i={content:null,hasConflicts:!1,localChange:0,remoteChange:3};y.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:b[o],previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of S.conflicts){const i={content:w[o]?w[o].value.toString():null,hasConflicts:!0,localChange:w[o]?2:1,remoteChange:b[o]?2:1};y.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[o]||null,localContent:w[o]?w[o].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:b[o]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const o of Object.keys(w))if(!y.has(o)){const i={content:w[o]?w[o].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0};y.set(o,{localResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[o]||null,localContent:w[o]?w[o].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:b[o]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,o),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,o).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}return[...y.values()]}async getAssociatedResources({uri:S}){let w=await super.resolveContent(S);if(w){const b=this.parseSyncData(w);if(b){const y=this.parseSnippets(b),o=[];for(const i of Object.keys(y)){const t=this.extUri.joinPath(S,i),n=this.extUri.joinPath(this.snippetsFolder,i),r=await this.fileService.exists(n);o.push({resource:t,comparableResource:r?n:this.extUri.joinPath(this.syncPreviewFolder,i).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"})})}return o}}return[]}async resolveContent(S){if(this.extUri.isEqualOrParent(S,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}))||this.extUri.isEqualOrParent(S,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}))||this.extUri.isEqualOrParent(S,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})))return this.resolvePreviewContent(S);let w=await super.resolveContent(S);if(w)return w;if(w=await super.resolveContent(this.extUri.dirname(S)),w){const b=this.parseSyncData(w);if(b)return this.parseSnippets(b)[this.extUri.basename(S)]||null}return null}async hasLocalData(){try{const S=await this.getSnippetsFileContents();if(Object.keys(S).length)return!0}catch(S){}return!1}async updateLocalBackup(S){const w={};for(const b of S)b.fileContent&&(w[this.extUri.basename(b.localResource)]=b.fileContent);await this.backupLocal(JSON.stringify(this.toSnippetsContents(w)))}async updateLocalSnippets(S,w){for(const{fileContent:b,acceptResult:y,localResource:o,remoteResource:i,localChange:t}of S)if(t!==0){const n=i?this.extUri.basename(i):this.extUri.basename(o),r=this.extUri.joinPath(this.snippetsFolder,n);t===3?(this.logService.trace(`${this.syncResourceLogLabel}: Deleting snippet...`,this.extUri.basename(r)),await this.fileService.del(r),this.logService.info(`${this.syncResourceLogLabel}: Deleted snippet`,this.extUri.basename(r))):t===1?(this.logService.trace(`${this.syncResourceLogLabel}: Creating snippet...`,this.extUri.basename(r)),await this.fileService.createFile(r,g.VSBuffer.fromString(y.content),{overwrite:w}),this.logService.info(`${this.syncResourceLogLabel}: Created snippet`,this.extUri.basename(r))):(this.logService.trace(`${this.syncResourceLogLabel}: Updating snippet...`,this.extUri.basename(r)),await this.fileService.writeFile(r,g.VSBuffer.fromString(y.content),w?void 0:b),this.logService.info(`${this.syncResourceLogLabel}: Updated snippet`,this.extUri.basename(r)))}}async updateRemoteSnippets(S,w,b){const y=w.syncData?this.parseSnippets(w.syncData):{},o=(0,f.deepClone)(y);for(const{acceptResult:i,localResource:t,remoteResource:n,remoteChange:r}of S)if(r!==0){const l=t?this.extUri.basename(t):this.extUri.basename(n);r===3?delete o[l]:o[l]=i.content}return(0,m.areSame)(y,o)||(this.logService.trace(`${this.syncResourceLogLabel}: Updating remote snippets...`),w=await this.updateRemoteUserData(JSON.stringify(o),b?null:w.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote snippets`)),w}parseSnippets(S){return JSON.parse(S.content)}toSnippetsContents(S){const w={};for(const b of Object.keys(S))w[b]=S[b].value.toString();return w}async getSnippetsFileContents(){const S={};let w;try{w=await this.fileService.resolve(this.snippetsFolder)}catch(b){if(b instanceof L.FileOperationError&&b.fileOperationResult===1)return S;throw b}for(const b of w.children||[]){const y=b.resource,o=this.extUri.extname(y);if(o===".json"||o===".code-snippets"){const i=this.extUri.relativePath(this.snippetsFolder,y),t=await this.fileService.readFile(y);S[i]=t}}return S}};C=ue([Y(0,A.IEnvironmentService),Y(1,L.IFileService),Y(2,D.IStorageService),Y(3,v.IUserDataSyncStoreService),Y(4,v.IUserDataSyncBackupStoreService),Y(5,v.IUserDataSyncLogService),Y(6,R.IConfigurationService),Y(7,v.IUserDataSyncResourceEnablementService),Y(8,P.ITelemetryService)],C),e.SnippetsSynchroniser=C;let a=class extends T.AbstractInitializer{constructor(S,w,b){super("snippets",w,b,S)}async doInitialize(S){const w=S.syncData?JSON.parse(S.syncData.content):null;if(!w){this.logService.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing snippets because local snippets exist.");return}for(const y of Object.keys(w)){const o=w[y];if(o){const i=this.extUri.joinPath(this.environmentService.snippetsHome,y);await this.fileService.createFile(i,g.VSBuffer.fromString(o)),this.logService.info("Created snippet",this.extUri.basename(i))}}await this.updateLastSyncUserData(S)}async isEmpty(){var S;try{return!((S=(await this.fileService.resolve(this.environmentService.snippetsHome)).children)===null||S===void 0?void 0:S.length)}catch(w){return w.fileOperationResult===1}}};a=ue([Y(0,L.IFileService),Y(1,A.IEnvironmentService),Y(2,v.IUserDataSyncLogService)],a),e.SnippetsInitializer=a}),define(Q[59],Z([0,1,4,3,2,20]),function(G,e,v,A,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncAccountService=e.IUserDataSyncAccountService=void 0,e.IUserDataSyncAccountService=(0,v.createDecorator)("IUserDataSyncAccountService");let T=class extends L.Disposable{constructor(g){super();this.userDataSyncStoreService=g,this._onDidChangeAccount=this._register(new A.Emitter),this.onDidChangeAccount=this._onDidChangeAccount.event,this._onTokenFailed=this._register(new A.Emitter),this.onTokenFailed=this._onTokenFailed.event,this.wasTokenFailed=!1,this._register(g.onTokenFailed(()=>{this.updateAccount(void 0),this._onTokenFailed.fire(this.wasTokenFailed),this.wasTokenFailed=!0})),this._register(g.onTokenSucceed(()=>this.wasTokenFailed=!1))}get account(){return this._account}async updateAccount(g){(g&&this._account?g.token!==this._account.token||g.authenticationProviderId!==this._account.authenticationProviderId:g!==this._account)&&(this._account=g,this._account&&this.userDataSyncStoreService.setAuthToken(this._account.token,this._account.authenticationProviderId),this._onDidChangeAccount.fire(g))}};T=ue([Y(0,R.IUserDataSyncStoreService)],T),e.UserDataSyncAccountService=T}),define(Q[191],Z([0,1,2,20,11,24,9,10,54,22,6]),function(G,e,v,A,L,R,T,P,g,m,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncBackupStoreService=void 0;let f=class extends v.Disposable{constructor(C,a,I,S){super();this.environmentService=C,this.fileService=a,this.configurationService=I,this.logService=S,A.ALL_SYNC_RESOURCES.forEach(w=>this.cleanUpBackup(w))}async getAllRefs(C){const a=(0,L.joinPath)(this.environmentService.userDataSyncHome,C),I=await this.fileService.resolve(a);return I.children?I.children.filter(w=>w.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(w.name)).sort().reverse().map(w=>({ref:w.name,created:this.getCreationTime(w)})):[]}async resolveContent(C,a){if(!a){const I=await this.getAllRefs(C);I.length&&(a=I[I.length-1].ref)}if(a){const I=(0,L.joinPath)(this.environmentService.userDataSyncHome,C,a);return(await this.fileService.readFile(I)).value.toString()}return null}async backup(C,a){const I=(0,L.joinPath)(this.environmentService.userDataSyncHome,C),S=(0,L.joinPath)(I,`${(0,g.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.fileService.writeFile(S,m.VSBuffer.fromString(a))}catch(w){this.logService.error(w)}try{this.cleanUpBackup(C)}catch(w){}}async cleanUpBackup(C){const a=(0,L.joinPath)(this.environmentService.userDataSyncHome,C);try{try{if(!await this.fileService.exists(a))return}catch(S){return}const I=await this.fileService.resolve(a);if(I.children){const S=I.children.filter(o=>o.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(o.name)).sort(),w=1e3*60*60*24*(this.configurationService.getValue("sync.localBackupDuration")||30);let b=S.filter(o=>Date.now()-this.getCreationTime(o)>w);const y=S.length-b.length;y<10&&(b=b.slice(10-y)),await D.Promises.settled(b.map(async o=>{this.logService.info("Deleting from backup",o.resource.path),await this.fileService.del(o.resource)}))}}catch(I){this.logService.error(I)}}getCreationTime(C){return C.ctime||new Date(parseInt(C.name.substring(0,4)),parseInt(C.name.substring(4,6))-1,parseInt(C.name.substring(6,8)),parseInt(C.name.substring(9,11)),parseInt(C.name.substring(11,13)),parseInt(C.name.substring(13,15))).getTime()}};f=ue([Y(0,P.IEnvironmentService),Y(1,T.IFileService),Y(2,R.IConfigurationService),Y(3,A.IUserDataSyncLogService)],f),e.UserDataSyncBackupStoreService=f}),define(Q[192],Z([0,1,5,2]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreManagementServiceChannelClient=e.UserDataSyncStoreManagementServiceChannel=e.UserDataSyncAccountServiceChannel=e.UserDataSyncMachinesServiceChannel=e.UserDataSyncUtilServiceClient=e.UserDataSycnUtilServiceChannel=e.UserDataAutoSyncChannel=void 0;class L{constructor(E){this.service=E}listen(E,C){switch(C){case"onError":return this.service.onError}throw new Error(`Event not found: ${C}`)}call(E,C,a){switch(C){case"triggerSync":return this.service.triggerSync(a[0],a[1],a[2]);case"turnOn":return this.service.turnOn();case"turnOff":return this.service.turnOff(a[0])}throw new Error("Invalid call")}}e.UserDataAutoSyncChannel=L;class R{constructor(E){this.service=E}listen(E,C){throw new Error(`Event not found: ${C}`)}call(E,C,a){switch(C){case"resolveDefaultIgnoredSettings":return this.service.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.service.resolveUserBindings(a[0]);case"resolveFormattingOptions":return this.service.resolveFormattingOptions(v.URI.revive(a[0]))}throw new Error("Invalid call")}}e.UserDataSycnUtilServiceChannel=R;class T{constructor(E){this.channel=E}async resolveDefaultIgnoredSettings(){return this.channel.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(E){return this.channel.call("resolveUserKeybindings",[E])}async resolveFormattingOptions(E){return this.channel.call("resolveFormattingOptions",[E])}}e.UserDataSyncUtilServiceClient=T;class P{constructor(E){this.service=E}listen(E,C){switch(C){case"onDidChange":return this.service.onDidChange}throw new Error(`Event not found: ${C}`)}async call(E,C,a){switch(C){case"getMachines":return this.service.getMachines();case"addCurrentMachine":return this.service.addCurrentMachine();case"removeCurrentMachine":return this.service.removeCurrentMachine();case"renameMachine":return this.service.renameMachine(a[0],a[1]);case"setEnablement":return this.service.setEnablement(a[0],a[1])}throw new Error("Invalid call")}}e.UserDataSyncMachinesServiceChannel=P;class g{constructor(E){this.service=E}listen(E,C){switch(C){case"onDidChangeAccount":return this.service.onDidChangeAccount;case"onTokenFailed":return this.service.onTokenFailed}throw new Error(`Event not found: ${C}`)}call(E,C,a){switch(C){case"_getInitialData":return Promise.resolve(this.service.account);case"updateAccount":return this.service.updateAccount(a)}throw new Error("Invalid call")}}e.UserDataSyncAccountServiceChannel=g;class m{constructor(E){this.service=E}listen(E,C){switch(C){case"onDidChangeUserDataSyncStore":return this.service.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${C}`)}call(E,C,a){switch(C){case"switch":return this.service.switch(a[0]);case"getPreviousUserDataSyncStore":return this.service.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.UserDataSyncStoreManagementServiceChannel=m;class D extends A.Disposable{constructor(E){super();this.channel=E,this.onDidChangeUserDataSyncStore=this.channel.listen("onDidChangeUserDataSyncStore")}async switch(E){return this.channel.call("switch",[E])}async getPreviousUserDataSyncStore(){const E=await this.channel.call("getPreviousUserDataSyncStore");return this.revive(E)}revive(E){return{url:v.URI.revive(E.url),type:E.type,defaultUrl:v.URI.revive(E.defaultUrl),insidersUrl:v.URI.revive(E.insidersUrl),stableUrl:v.URI.revive(E.stableUrl),canSwitch:E.canSwitch,authenticationProviders:E.authenticationProviders}}}e.UserDataSyncStoreManagementServiceChannelClient=D}),define(Q[193],Z([0,1,14,10]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncLogService=void 0;let L=class extends v.AbstractLogger{constructor(T,P){super();this.logger=this._register(T.createLogger(P.userDataSyncLogResource,{name:"settingssync"}))}trace(T,...P){this.logger.trace(T,...P)}debug(T,...P){this.logger.debug(T,...P)}info(T,...P){this.logger.info(T,...P)}warn(T,...P){this.logger.warn(T,...P)}error(T,...P){this.logger.error(T,...P)}critical(T,...P){this.logger.critical(T,...P)}flush(){this.logger.flush()}};L=ue([Y(0,v.ILoggerService),Y(1,A.IEnvironmentService)],L),e.UserDataSyncLogService=L}),define(Q[60],Z([0,1,4,2,44,10,9,19,20,126,29,7,21,3]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncMachinesService=e.IUserDataSyncMachinesService=void 0,e.IUserDataSyncMachinesService=(0,v.createDecorator)("IUserDataSyncMachinesService");const a="sync.currentMachineName";let I=class xe extends A.Disposable{constructor(w,b,y,o,i,t){super();this.storageService=y,this.userDataSyncStoreService=o,this.logService=i,this.productService=t,this._onDidChange=this._register(new C.Emitter),this.onDidChange=this._onDidChange.event,this.userData=null,this.currentMachineIdPromise=(0,L.getServiceMachineId)(w,b,y)}async getMachines(w){const b=await this.currentMachineIdPromise;return(await this.readMachinesData(w)).machines.map(o=>Object.assign(Object.assign({},o),{isCurrent:o.id===b}))}async addCurrentMachine(w){const b=await this.currentMachineIdPromise,y=await this.readMachinesData(w);y.machines.some(({id:o})=>o===b)||(y.machines.push({id:b,name:this.computeCurrentMachineName(y.machines)}),await this.writeMachinesData(y))}async removeCurrentMachine(w){const b=await this.currentMachineIdPromise,y=await this.readMachinesData(w),o=y.machines.filter(({id:i})=>i!==b);o.length!==y.machines.length&&(y.machines=o,await this.writeMachinesData(y))}async renameMachine(w,b,y){const o=await this.currentMachineIdPromise,i=await this.readMachinesData(y),t=i.machines.find(({id:n})=>n===w);t&&(t.name=b,await this.writeMachinesData(i),i.machines.some(({id:n})=>n===o)&&this.storageService.store(a,b,0,1))}async setEnablement(w,b){const y=await this.readMachinesData(),o=y.machines.find(({id:i})=>i===w);o&&(o.disabled=b?void 0:!0,await this.writeMachinesData(y))}computeCurrentMachineName(w){const b=this.storageService.get(a,0);if(b)return b;const y=`${this.productService.nameLong} (${(0,f.PlatformToString)(f.isWeb?0:f.platform)})`,o=new RegExp(`${(0,E.escapeRegExpCharacters)(y)}\\s#(\\d+)`);let i=0;for(const t of w){const n=o.exec(t.name),r=n?parseInt(n[1]):0;i=r>i?r:i}return`${y} #${i+1}`}async readMachinesData(w){this.userData=await this.readUserData(w);const b=this.parse(this.userData);if(b.version!==xe.VERSION)throw new Error((0,m.localize)(0,null,this.productService.nameLong));return b}async writeMachinesData(w){var b;const y=JSON.stringify(w),o=await this.userDataSyncStoreService.write(xe.RESOURCE,y,((b=this.userData)===null||b===void 0?void 0:b.ref)||null);this.userData={ref:o,content:y},this._onDidChange.fire()}async readUserData(w){if(this.userData){const b=w&&w.latest?w.latest[xe.RESOURCE]:void 0;if(this.userData.ref===b)return this.userData;if(b===void 0&&this.userData.content===null)return this.userData}return this.userDataSyncStoreService.read(xe.RESOURCE,this.userData)}parse(w){if(w.content!==null)try{return JSON.parse(w.content)}catch(b){this.logService.error(b)}return{version:xe.VERSION,machines:[]}}};I.VERSION=1,I.RESOURCE="machines",I=ue([Y(0,R.IEnvironmentService),Y(1,T.IFileService),Y(2,P.IStorageService),Y(3,g.IUserDataSyncStoreService),Y(4,g.IUserDataSyncLogService),Y(5,D.IProductService)],I),e.UserDataSyncMachinesService=I}),define(Q[84],Z([0,1,6,3,2,20,59,25,15,19,10,60,124,54,5,11,7,29]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=e.UserDataAutoSyncEnablementService=void 0;const b="sync.enable",y="sync.disableMachineEventually",o="sync.sessionId",i="sync.storeUrl",t="sync.productQuality";let n=class extends L.Disposable{constructor(c,h,d){super();this.storageService=c,this.environmentService=h,this.userDataSyncStoreManagementService=d,this._onDidChangeEnablement=new A.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this._register(c.onDidChangeValue(p=>this.onDidStorageChange(p)))}isEnabled(c){switch(this.environmentService.sync){case"on":return!0;case"off":return!1}return this.storageService.getBoolean(b,0,!!c)}canToggleEnablement(){return this.userDataSyncStoreManagementService.userDataSyncStore!==void 0&&this.environmentService.sync===void 0}setEnablement(c){c&&!this.canToggleEnablement()||this.storageService.store(b,c,0,1)}onDidStorageChange(c){if(c.scope===0&&b===c.key){this._onDidChangeEnablement.fire(this.isEnabled());return}}};n=ue([Y(0,m.IStorageService),Y(1,D.IEnvironmentService),Y(2,R.IUserDataSyncStoreManagementService)],n),e.UserDataAutoSyncEnablementService=n;let r=class extends L.Disposable{constructor(c,h,d,p,u,O,_,q,x,j,$){var W;super();this.userDataSyncStoreManagementService=h,this.userDataSyncStoreService=d,this.userDataSyncResourceEnablementService=p,this.userDataSyncService=u,this.logService=O,this.userDataSyncAccountService=_,this.telemetryService=q,this.userDataSyncMachinesService=x,this.storageService=j,this.autoSync=this._register(new L.MutableDisposable),this.successiveFailures=0,this.lastSyncTriggerTime=void 0,this._onError=this._register(new A.Emitter),this.onError=this._onError.event,this.sources=[],this.userDataAutoSyncEnablementService=$,this.syncTriggerDelayer=this._register(new v.Delayer(0)),this.lastSyncUrl=this.syncUrl,this.syncUrl=(W=h.userDataSyncStore)===null||W===void 0?void 0:W.url,this.previousProductQuality=this.productQuality,this.productQuality=c.quality,this.syncUrl&&(this.logService.info("Using settings sync service",this.syncUrl.toString()),this._register(h.onDidChangeUserDataSyncStore(()=>{var B,M;(0,I.isEqual)(this.syncUrl,(B=h.userDataSyncStore)===null||B===void 0?void 0:B.url)||(this.lastSyncUrl=this.syncUrl,this.syncUrl=(M=h.userDataSyncStore)===null||M===void 0?void 0:M.url,this.syncUrl&&this.logService.info("Using settings sync service",this.syncUrl.toString()))})),this.userDataAutoSyncEnablementService.isEnabled()?this.logService.info("Auto Sync is enabled."):this.logService.info("Auto Sync is disabled."),this.updateAutoSync(),this.hasToDisableMachineEventually()&&this.disableMachineEventually(),this._register(_.onDidChangeAccount(()=>this.updateAutoSync())),this._register(d.onDidChangeDonotMakeRequestsUntil(()=>this.updateAutoSync())),this._register(A.Event.debounce(u.onDidChangeLocal,(B,M)=>B?[...B,M]:[M],1e3)(B=>this.triggerSync(B,!1,!1))),this._register(A.Event.filter(this.userDataSyncResourceEnablementService.onDidChangeResourceEnablement,([,B])=>B)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this._register(this.userDataSyncStoreManagementService.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}get syncUrl(){const c=this.storageService.get(i,0);return c?a.URI.parse(c):void 0}set syncUrl(c){c?this.storageService.store(i,c.toString(),0,1):this.storageService.remove(i,0)}get productQuality(){return this.storageService.get(t,0)}set productQuality(c){c?this.storageService.store(t,c,0,1):this.storageService.remove(t,0)}updateAutoSync(){const{enabled:c,message:h}=this.isAutoSyncEnabled();c?this.autoSync.value===void 0&&(this.autoSync.value=new l(this.lastSyncUrl,1e3*60*5,this.userDataSyncStoreManagementService,this.userDataSyncStoreService,this.userDataSyncService,this.userDataSyncMachinesService,this.logService,this.storageService),this.autoSync.value.register(this.autoSync.value.onDidStartSync(()=>this.lastSyncTriggerTime=new Date().getTime())),this.autoSync.value.register(this.autoSync.value.onDidFinishSync(d=>this.onDidFinishSync(d))),this.startAutoSync()&&this.autoSync.value.start()):(this.syncTriggerDelayer.cancel(),this.autoSync.value!==void 0?(h&&this.logService.info(h),this.autoSync.clear()):h&&this.userDataAutoSyncEnablementService.isEnabled()&&this.logService.info(h))}startAutoSync(){return!0}isAutoSyncEnabled(){return this.userDataAutoSyncEnablementService.isEnabled()?this.userDataSyncAccountService.account?this.userDataSyncStoreService.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${(0,C.toLocalISOString)(this.userDataSyncStoreService.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.stopDisableMachineEventually(),this.lastSyncUrl=this.syncUrl,this.updateEnablement(!0)}async turnOff(c,h,d){try{this.userDataSyncAccountService.account&&!d&&await this.userDataSyncMachinesService.removeCurrentMachine(),this.updateEnablement(!1),this.storageService.remove(o,0),c?(this.telemetryService.publicLog2("sync/turnOffEveryWhere"),await this.userDataSyncService.reset()):await this.userDataSyncService.resetLocal()}catch(p){if(h)this.logService.error(p),this.updateEnablement(!1);else throw p}}updateEnablement(c){this.userDataAutoSyncEnablementService.isEnabled()!==c&&(this.telemetryService.publicLog2(b,{enabled:c}),this.userDataAutoSyncEnablementService.setEnablement(c),this.updateAutoSync())}hasProductQualityChanged(){return!!this.previousProductQuality&&!!this.productQuality&&this.previousProductQuality!==this.productQuality}async onDidFinishSync(c){if(!c){this.successiveFailures=0;return}const h=R.UserDataSyncError.toUserDataSyncError(c);h instanceof R.UserDataAutoSyncError&&this.telemetryService.publicLog2("autosync/error",{code:h.code,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()}),h.code===R.UserDataSyncErrorCode.SessionExpired?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because current session is expired")):h.code===R.UserDataSyncErrorCode.TurnedOff?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):h.code===R.UserDataSyncErrorCode.LocalTooManyRequests||h.code===R.UserDataSyncErrorCode.TooManyRequests?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because of making too many requests to server")):h.code===R.UserDataSyncErrorCode.UpgradeRequired||h.code===R.UserDataSyncErrorCode.Gone?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):h.code===R.UserDataSyncErrorCode.IncompatibleLocalContent?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${h.resource} content with newer version than of client. Requires client upgrade.`)):h.code===R.UserDataSyncErrorCode.IncompatibleRemoteContent?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${h.resource} content with older version than of client. Requires server reset.`)):h.code===R.UserDataSyncErrorCode.ServiceChanged||h.code===R.UserDataSyncErrorCode.DefaultServiceChanged?S.isWeb&&h.code===R.UserDataSyncErrorCode.DefaultServiceChanged&&!this.hasProductQualityChanged()?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.logService.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.logService.error(h),this.successiveFailures++),this._onError.fire(h)}async disableMachineEventually(){this.storageService.store(y,!0,0,1),await(0,v.timeout)(1e3*60*10),!!this.hasToDisableMachineEventually()&&(this.stopDisableMachineEventually(),!this.userDataAutoSyncEnablementService.isEnabled()&&this.userDataSyncAccountService.account&&await this.userDataSyncMachinesService.removeCurrentMachine())}hasToDisableMachineEventually(){return this.storageService.getBoolean(y,0,!1)}stopDisableMachineEventually(){this.storageService.remove(y,0)}async triggerSync(c,h,d){if(this.autoSync.value===void 0)return this.syncTriggerDelayer.cancel();if(h&&this.lastSyncTriggerTime&&Math.round((new Date().getTime()-this.lastSyncTriggerTime)/1e3)<10){this.logService.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.sources.push(...c),this.syncTriggerDelayer.trigger(async()=>{this.logService.trace("activity sources",...this.sources),this.telemetryService.publicLog2("sync/triggered",{sources:this.sources}),this.sources=[],this.autoSync.value&&await this.autoSync.value.sync("Activity",d)},this.successiveFailures?this.getSyncTriggerDelayTime()*1*Math.min(Math.pow(2,this.successiveFailures),60):this.getSyncTriggerDelayTime())}getSyncTriggerDelayTime(){return 1e3}};r=ue([Y(0,w.IProductService),Y(1,R.IUserDataSyncStoreManagementService),Y(2,R.IUserDataSyncStoreService),Y(3,R.IUserDataSyncResourceEnablementService),Y(4,R.IUserDataSyncService),Y(5,R.IUserDataSyncLogService),Y(6,T.IUserDataSyncAccountService),Y(7,P.ITelemetryService),Y(8,f.IUserDataSyncMachinesService),Y(9,m.IStorageService),Y(10,R.IUserDataAutoSyncEnablementService)],r),e.UserDataAutoSyncService=r;class l extends L.Disposable{constructor(c,h,d,p,u,O,_,q){super();this.lastSyncUrl=c,this.interval=h,this.userDataSyncStoreManagementService=d,this.userDataSyncStoreService=p,this.userDataSyncService=u,this.userDataSyncMachinesService=O,this.logService=_,this.storageService=q,this.intervalHandler=this._register(new L.MutableDisposable),this._onDidStartSync=this._register(new A.Emitter),this.onDidStartSync=this._onDidStartSync.event,this._onDidFinishSync=this._register(new A.Emitter),this.onDidFinishSync=this._onDidFinishSync.event}start(){this._register(this.onDidFinishSync(()=>this.waitUntilNextIntervalAndSync())),this._register((0,L.toDisposable)(()=>{this.syncPromise&&(this.syncPromise.cancel(),this.logService.info("Auto sync: Cancelled sync that is in progress"),this.syncPromise=void 0),this.syncTask&&this.syncTask.stop(),this.logService.info("Auto Sync: Stopped")})),this.logService.info("Auto Sync: Started"),this.sync(l.INTERVAL_SYNCING,!1)}waitUntilNextIntervalAndSync(){this.intervalHandler.value=(0,v.disposableTimeout)(()=>this.sync(l.INTERVAL_SYNCING,!1),this.interval)}sync(c,h){const d=(0,v.createCancelablePromise)(async p=>{if(this.syncPromise)try{this.logService.debug("Auto Sync: Waiting until sync is finished."),await this.syncPromise}catch(u){if((0,g.isPromiseCanceledError)(u))return}return this.doSync(c,h,p)});return this.syncPromise=d,this.syncPromise.finally(()=>this.syncPromise=void 0),this.syncPromise}hasSyncServiceChanged(){var c;return this.lastSyncUrl!==void 0&&!(0,I.isEqual)(this.lastSyncUrl,(c=this.userDataSyncStoreManagementService.userDataSyncStore)===null||c===void 0?void 0:c.url)}async hasDefaultServiceChanged(){const c=await this.userDataSyncStoreManagementService.getPreviousUserDataSyncStore(),h=this.userDataSyncStoreManagementService.userDataSyncStore;return!!h&&!!c&&(!(0,I.isEqual)(h.defaultUrl,c.defaultUrl)||!(0,I.isEqual)(h.insidersUrl,c.insidersUrl)||!(0,I.isEqual)(h.stableUrl,c.stableUrl))}async doSync(c,h,d){this.logService.info(`Auto Sync: Triggered by ${c}`),this._onDidStartSync.fire();let p;try{if(this.syncTask=await this.userDataSyncService.createSyncTask(h),d.isCancellationRequested)return;let u=this.syncTask.manifest;if(u===null&&await this.userDataSyncService.hasPreviouslySynced())throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new R.UserDataAutoSyncError((0,E.localize)(0,null),R.UserDataSyncErrorCode.DefaultServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(1,null),R.UserDataSyncErrorCode.ServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(2,null),R.UserDataSyncErrorCode.TurnedOff);const O=this.storageService.get(o,0);if(O&&u&&O!==u.session)throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new R.UserDataAutoSyncError((0,E.localize)(3,null),R.UserDataSyncErrorCode.DefaultServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(4,null),R.UserDataSyncErrorCode.ServiceChanged):new R.UserDataAutoSyncError((0,E.localize)(5,null),R.UserDataSyncErrorCode.SessionExpired);const _=await this.userDataSyncMachinesService.getMachines(u||void 0);if(d.isCancellationRequested)return;const q=_.find(x=>x.isCurrent);if(q==null?void 0:q.disabled)throw new R.UserDataAutoSyncError((0,E.localize)(6,null),R.UserDataSyncErrorCode.TurnedOff);if(await this.syncTask.run(),u===null&&(u=await this.userDataSyncStoreService.manifest()),u&&u.session!==O&&this.storageService.store(o,u.session,0,1),d.isCancellationRequested)return;q||await this.userDataSyncMachinesService.addCurrentMachine(u||void 0)}catch(u){this.logService.error(u),p=u}this._onDidFinishSync.fire(p)}register(c){return super._register(c)}}l.INTERVAL_SYNCING="Interval"}),define(Q[194],Z([0,1,20,2,3,19,25,7]),function(G,e,v,A,L,R,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncResourceEnablementService=void 0;let g=class extends A.Disposable{constructor(D,f){super();this.storageService=D,this.telemetryService=f,this._onDidChangeResourceEnablement=new L.Emitter,this.onDidChangeResourceEnablement=this._onDidChangeResourceEnablement.event,this._register(D.onDidChangeValue(E=>this.onDidStorageChange(E)))}isResourceEnabled(D){return this.storageService.getBoolean((0,v.getEnablementKey)(D),0,!0)}setResourceEnablement(D,f){if(this.isResourceEnabled(D)!==f){const E=(0,v.getEnablementKey)(D);this.telemetryService.publicLog2(E,{enabled:f}),this.storeResourceEnablement(E,f)}}storeResourceEnablement(D,f){this.storageService.store(D,f,0,P.isWeb?0:1)}onDidStorageChange(D){if(D.scope===0){const f=v.ALL_SYNC_RESOURCES.filter(E=>(0,v.getEnablementKey)(E)===D.key)[0];if(f){this._onDidChangeResourceEnablement.fire([f,this.isResourceEnabled(f)]);return}}}};g=ue([Y(0,R.IStorageService),Y(1,T.ITelemetryService)],g),e.UserDataSyncResourceEnablementService=g}),define(Q[195],Z([0,1,20,2,4,3,184,187,186,43,25,18,19,189,11,190,31,6,15]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncService=void 0;const y="sync.lastSyncTime";let o=class extends A.Disposable{constructor(r,l,s,c,h,d){super();this.userDataSyncStoreService=r,this.userDataSyncStoreManagementService=l,this.instantiationService=s,this.logService=c,this.telemetryService=h,this.storageService=d,this._status="uninitialized",this._onDidChangeStatus=this._register(new R.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new R.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._syncErrors=[],this._onSyncErrors=this._register(new R.Emitter),this.onSyncErrors=this._onSyncErrors.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new R.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onDidResetLocal=this._register(new R.Emitter),this.onDidResetLocal=this._onDidResetLocal.event,this._onDidResetRemote=this._register(new R.Emitter),this.onDidResetRemote=this._onDidResetRemote.event,this.recoveredSettings=!1,this.settingsSynchroniser=this._register(this.instantiationService.createInstance(C.SettingsSynchroniser)),this.keybindingsSynchroniser=this._register(this.instantiationService.createInstance(P.KeybindingsSynchroniser)),this.snippetsSynchroniser=this._register(this.instantiationService.createInstance(I.SnippetsSynchroniser)),this.globalStateSynchroniser=this._register(this.instantiationService.createInstance(g.GlobalStateSynchroniser)),this.extensionsSynchroniser=this._register(this.instantiationService.createInstance(T.ExtensionsSynchroniser)),this.synchronisers=[this.settingsSynchroniser,this.keybindingsSynchroniser,this.snippetsSynchroniser,this.globalStateSynchroniser,this.extensionsSynchroniser],this.updateStatus(),this.userDataSyncStoreManagementService.userDataSyncStore&&(this._register(R.Event.any(...this.synchronisers.map(p=>R.Event.map(p.onDidChangeStatus,()=>{})))(()=>this.updateStatus())),this._register(R.Event.any(...this.synchronisers.map(p=>R.Event.map(p.onDidChangeConflicts,()=>{})))(()=>this.updateConflicts()))),this._lastSyncTime=this.storageService.getNumber(y,0,void 0),this.onDidChangeLocal=R.Event.any(...this.synchronisers.map(p=>R.Event.map(p.onDidChangeLocal,()=>p.resource)))}get status(){return this._status}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}async createSyncTask(r){await this.checkEnablement();const l=(0,S.generateUuid)();let s;try{const p=(0,v.createSyncHeaders)(l);r&&(p["Cache-Control"]="no-cache"),s=await this.userDataSyncStoreService.manifest(p)}catch(p){const u=v.UserDataSyncError.toUserDataSyncError(p);throw this.reportUserDataSyncError(u,l),u}let c=!1;const h=this;let d;return{manifest:s,run(){if(c)throw new Error("Can run a task only once");return d=(0,w.createCancelablePromise)(p=>h.sync(s,l,p)),d.finally(()=>d=void 0)},async stop(){if(d&&d.cancel(),h.status!=="idle")return h.stop()}}}async createManualSyncTask(){await this.checkEnablement();const r=(0,S.generateUuid)(),l=(0,v.createSyncHeaders)(r);let s;try{s=await this.userDataSyncStoreService.manifest(l)}catch(c){const h=v.UserDataSyncError.toUserDataSyncError(c);throw this.reportUserDataSyncError(h,r),h}return new i(r,s,l,this.synchronisers,this.logService)}async sync(r,l,s){if(this.recoveredSettings||(await this.settingsSynchroniser.recoverSettings(),this.recoveredSettings=!0),!s.isCancellationRequested){const c=new Date().getTime();this._syncErrors=[];try{this.logService.trace("Sync started."),this.status!=="hasConflicts"&&this.setStatus("syncing");const h=(0,v.createSyncHeaders)(l);for(const d of this.synchronisers){if(s.isCancellationRequested)return;try{await d.sync(r,h)}catch(p){if(p instanceof v.UserDataSyncError)switch(p.code){case v.UserDataSyncErrorCode.TooLarge:throw new v.UserDataSyncError(p.message,p.code,d.resource);case v.UserDataSyncErrorCode.TooManyRequests:case v.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter:case v.UserDataSyncErrorCode.LocalTooManyRequests:case v.UserDataSyncErrorCode.Gone:case v.UserDataSyncErrorCode.UpgradeRequired:case v.UserDataSyncErrorCode.IncompatibleRemoteContent:case v.UserDataSyncErrorCode.IncompatibleLocalContent:throw p}const u=v.UserDataSyncError.toUserDataSyncError(p);this.reportUserDataSyncError(u,l),this.logService.error(p),this.logService.error(`${d.resource}: ${(0,m.toErrorMessage)(p)}`),this._syncErrors.push([d.resource,u])}}this.logService.info(`Sync done. Took ${new Date().getTime()-c}ms`),this.updateLastSyncTime()}catch(h){const d=v.UserDataSyncError.toUserDataSyncError(h);throw this.reportUserDataSyncError(d,l),d}finally{this.updateStatus(),this._onSyncErrors.fire(this._syncErrors)}}}async stop(){if(this.status!=="idle")for(const r of this.synchronisers)try{r.status!=="idle"&&await r.stop()}catch(l){this.logService.error(l)}}async replace(r){await this.checkEnablement();for(const l of this.synchronisers)if(await l.replace(r))return}async accept(r,l,s,c){await this.checkEnablement();const h=this.getSynchroniser(r);await h.accept(l,s),c&&await h.apply(!1,(0,v.createSyncHeaders)((0,S.generateUuid)()))}async resolveContent(r){for(const l of this.synchronisers){const s=await l.resolveContent(r);if(s)return s}return null}getRemoteSyncResourceHandles(r){return this.getSynchroniser(r).getRemoteSyncResourceHandles()}getLocalSyncResourceHandles(r){return this.getSynchroniser(r).getLocalSyncResourceHandles()}getAssociatedResources(r,l){return this.getSynchroniser(r).getAssociatedResources(l)}getMachineId(r,l){return this.getSynchroniser(r).getMachineId(l)}async hasLocalData(){const r=[this.settingsSynchroniser,this.keybindingsSynchroniser,this.snippetsSynchroniser,this.extensionsSynchroniser];for(const l of r)if(await l.hasLocalData())return!0;return!1}async reset(){await this.checkEnablement(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){await this.checkEnablement();try{await this.userDataSyncStoreService.clear(),this.logService.info("Cleared data on server")}catch(r){this.logService.error(r)}this._onDidResetRemote.fire()}async resetLocal(){await this.checkEnablement(),this.storageService.remove(y,0);for(const r of this.synchronisers)try{await r.resetLocal()}catch(l){this.logService.error(`${r.resource}: ${(0,m.toErrorMessage)(l)}`),this.logService.error(l)}this._onDidResetLocal.fire(),this.logService.info("Did reset the local sync state.")}async hasPreviouslySynced(){for(const r of this.synchronisers)if(await r.hasPreviouslySynced())return!0;return!1}setStatus(r){const l=this._status;this._status!==r&&(this._status=r,this._onDidChangeStatus.fire(r),l==="hasConflicts"&&this.updateLastSyncTime())}updateStatus(){this.updateConflicts();const r=this.computeStatus();this.setStatus(r)}updateConflicts(){const r=this.computeConflicts();(0,f.equals)(this._conflicts,r,([l,s],[c,h])=>l===l&&(0,f.equals)(s,h,(d,p)=>(0,a.isEqual)(d.previewResource,p.previewResource)))||(this._conflicts=this.computeConflicts(),this._onDidChangeConflicts.fire(r))}computeStatus(){return this.userDataSyncStoreManagementService.userDataSyncStore?this.synchronisers.some(r=>r.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(r=>r.status==="syncing")?"syncing":"idle":"uninitialized"}updateLastSyncTime(){this.status==="idle"&&(this._lastSyncTime=new Date().getTime(),this.storageService.store(y,this._lastSyncTime,0,1),this._onDidChangeLastSyncTime.fire(this._lastSyncTime))}reportUserDataSyncError(r,l){this.telemetryService.publicLog2("sync/error",{code:r.code,url:r instanceof v.UserDataSyncStoreError?r.url:void 0,resource:r.resource,executionId:l,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()})}computeConflicts(){return this.synchronisers.filter(r=>r.status==="hasConflicts").map(r=>[r.resource,r.conflicts.map(t)])}getSynchroniser(r){return this.synchronisers.find(l=>l.resource===r)}async checkEnablement(){if(!this.userDataSyncStoreManagementService.userDataSyncStore)throw new Error("Not enabled")}};o=ue([Y(0,v.IUserDataSyncStoreService),Y(1,v.IUserDataSyncStoreManagementService),Y(2,L.IInstantiationService),Y(3,v.IUserDataSyncLogService),Y(4,D.ITelemetryService),Y(5,E.IStorageService)],o),e.UserDataSyncService=o;class i extends A.Disposable{constructor(r,l,s,c,h){super();this.id=r,this.manifest=l,this.syncHeaders=s,this.synchronisers=c,this.logService=h,this.synchronizingResources=[],this._onSynchronizeResources=this._register(new R.Emitter),this.onSynchronizeResources=this._onSynchronizeResources.event,this.isDisposed=!1}get status(){return this.synchronisers.some(r=>r.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(r=>r.status==="syncing")?"syncing":"idle"}async preview(){try{if(this.isDisposed)throw new Error("Disposed");return this.previewsPromise||(this.previewsPromise=(0,w.createCancelablePromise)(r=>this.getPreviews(r))),this.previews||(this.previews=await this.previewsPromise),this.previews}catch(r){throw this.logService.error(r),r}}async accept(r,l){try{return await this.performAction(r,s=>s.accept(r,l))}catch(s){throw this.logService.error(s),s}}async merge(r){try{return r?await this.performAction(r,l=>l.merge(r)):await this.mergeAll()}catch(l){throw this.logService.error(l),l}}async discard(r){try{return await this.performAction(r,l=>l.discard(r))}catch(l){throw this.logService.error(l),l}}async discardConflicts(){try{if(!this.previews)throw new Error("Missing preview. Create preview and try again.");if(this.synchronizingResources.length)throw new Error("Cannot discard while synchronizing resources");const r=[];for(const[,l]of this.previews)for(const s of l.resourcePreviews)s.mergeState==="conflict"&&r.push(s.previewResource);for(const l of r)await this.discard(l);return this.previews}catch(r){throw this.logService.error(r),r}}async apply(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");const r=[];for(const[l,s]of this.previews){this.synchronizingResources.push([l,s.resourcePreviews.map(d=>d.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const c=this.synchronisers.find(d=>d.resource===l);for(const d of s.resourcePreviews)(d.localChange!==0||d.remoteChange!==0)&&d.mergeState==="preview"&&await c.merge(d.previewResource);const h=await c.apply(!1,this.syncHeaders);h&&r.push(this.toSyncResourcePreview(c.resource,h)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(d=>d[0]===l),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=r,this.previews}catch(r){throw this.logService.error(r),r}}async pull(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[r,l]of this.previews){this.synchronizingResources.push([r,l.resourcePreviews.map(c=>c.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const s=this.synchronisers.find(c=>c.resource===r);for(const c of l.resourcePreviews)await s.accept(c.remoteResource);await s.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(c=>c[0]===r),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(r){throw this.logService.error(r),r}}async push(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[r,l]of this.previews){this.synchronizingResources.push([r,l.resourcePreviews.map(c=>c.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const s=this.synchronisers.find(c=>c.resource===r);for(const c of l.resourcePreviews)await s.accept(c.localResource);await s.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(c=>c[0]===r),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(r){throw this.logService.error(r),r}}async stop(){for(const r of this.synchronisers)try{await r.stop()}catch(l){(0,b.isPromiseCanceledError)(l)||this.logService.error(l)}this.reset()}async performAction(r,l){if(!this.previews)throw new Error("Missing preview. Create preview and try again.");const s=this.previews.findIndex(([,q])=>q.resourcePreviews.some(({localResource:x,previewResource:j,remoteResource:$})=>(0,a.isEqual)(r,x)||(0,a.isEqual)(r,j)||(0,a.isEqual)(r,$)));if(s===-1)return this.previews;const[c,h]=this.previews[s],d=h.resourcePreviews.find(({localResource:q,remoteResource:x,previewResource:j})=>(0,a.isEqual)(q,r)||(0,a.isEqual)(x,r)||(0,a.isEqual)(j,r));if(!d)return this.previews;let p=this.synchronizingResources.find(q=>q[0]===c);p||(p=[c,[]],this.synchronizingResources.push(p)),p[1].some(q=>(0,a.isEqual)(q,d.localResource))||(p[1].push(d.localResource),this._onSynchronizeResources.fire(this.synchronizingResources));const u=this.synchronisers.find(q=>q.resource===this.previews[s][0]),O=await l(u);O?this.previews.splice(s,1,this.toSyncResourcePreview(u.resource,O)):this.previews.splice(s,1);const _=this.synchronizingResources.findIndex(q=>q[0]===c);return this.synchronizingResources[_][1].splice(p[1].findIndex(q=>(0,a.isEqual)(q,d.localResource)),1),p[1].length||(this.synchronizingResources.splice(_,1),this._onSynchronizeResources.fire(this.synchronizingResources)),this.previews}async mergeAll(){if(!this.previews)throw new Error("You need to create preview before merging or applying");if(this.synchronizingResources.length)throw new Error("Cannot merge or apply while synchronizing resources");const r=[];for(const[l,s]of this.previews){this.synchronizingResources.push([l,s.resourcePreviews.map(d=>d.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const c=this.synchronisers.find(d=>d.resource===l);let h=s;for(const d of s.resourcePreviews)(d.localChange!==0||d.remoteChange!==0)&&d.mergeState==="preview"&&(h=await c.merge(d.previewResource));h&&r.push(this.toSyncResourcePreview(c.resource,h)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(d=>d[0]===l),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=r,this.previews}async getPreviews(r){const l=[];for(const s of this.synchronisers){if(r.isCancellationRequested)return[];const c=await s.preview(this.manifest,this.syncHeaders);c&&l.push(this.toSyncResourcePreview(s.resource,c))}return l}toSyncResourcePreview(r,l){return[r,{isLastSyncFromCurrentMachine:l.isLastSyncFromCurrentMachine,resourcePreviews:l.resourcePreviews.map(t)}]}reset(){this.previewsPromise&&(this.previewsPromise.cancel(),this.previewsPromise=void 0),this.previews=void 0,this.synchronizingResources=[]}dispose(){this.reset(),this.isDisposed=!0}}function t(n){return{localResource:n.localResource,previewResource:n.previewResource,remoteResource:n.remoteResource,acceptedResource:n.acceptedResource,localChange:n.localChange,remoteChange:n.remoteChange,mergeState:n.mergeState}}}),define(Q[196],Z([0,1,3,20,5,2,17]),function(G,e,v,A,L,R,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncChannelClient=e.UserDataSyncChannel=void 0;class P{constructor(f,E){this.service=f,this.logService=E,this.manualSyncTasks=new Map,this.onManualSynchronizeResources=new v.Emitter}listen(f,E){switch(E){case"onDidChangeStatus":return this.service.onDidChangeStatus;case"onDidChangeConflicts":return this.service.onDidChangeConflicts;case"onDidChangeLocal":return this.service.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.service.onDidChangeLastSyncTime;case"onSyncErrors":return this.service.onSyncErrors;case"onDidResetLocal":return this.service.onDidResetLocal;case"onDidResetRemote":return this.service.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.onManualSynchronizeResources.event}throw new Error(`Event not found: ${E}`)}async call(f,E,C){try{return await this._call(f,E,C)}catch(a){throw this.logService.error(a),a}}async _call(f,E,C){switch(E){case"_getInitialData":return Promise.resolve([this.service.status,this.service.conflicts,this.service.lastSyncTime]);case"replace":return this.service.replace(L.URI.revive(C[0]));case"reset":return this.service.reset();case"resetRemote":return this.service.resetRemote();case"resetLocal":return this.service.resetLocal();case"hasPreviouslySynced":return this.service.hasPreviouslySynced();case"hasLocalData":return this.service.hasLocalData();case"accept":return this.service.accept(C[0],L.URI.revive(C[1]),C[2],C[3]);case"resolveContent":return this.service.resolveContent(L.URI.revive(C[0]));case"getLocalSyncResourceHandles":return this.service.getLocalSyncResourceHandles(C[0]);case"getRemoteSyncResourceHandles":return this.service.getRemoteSyncResourceHandles(C[0]);case"getAssociatedResources":return this.service.getAssociatedResources(C[0],{created:C[1].created,uri:L.URI.revive(C[1].uri)});case"getMachineId":return this.service.getMachineId(C[0],{created:C[1].created,uri:L.URI.revive(C[1].uri)});case"createManualSyncTask":return this.createManualSyncTask()}if(E.startsWith("manualSync/")){const a=E.substring("manualSync/".length),I=C[0],S=this.getManualSyncTask(I);switch(C=C.slice(1),a){case"preview":return S.preview();case"accept":return S.accept(L.URI.revive(C[0]),C[1]);case"merge":return S.merge(L.URI.revive(C[0]));case"discard":return S.discard(L.URI.revive(C[0]));case"discardConflicts":return S.discardConflicts();case"apply":return S.apply();case"pull":return S.pull();case"push":return S.push();case"stop":return S.stop();case"_getStatus":return S.status;case"dispose":return this.disposeManualSyncTask(S)}}throw new Error("Invalid call")}getManualSyncTask(f){const E=this.manualSyncTasks.get(this.createKey(f));if(!E)throw new Error(`Manual sync taks not found: ${f}`);return E.manualSyncTask}async createManualSyncTask(){const f=new R.DisposableStore,E=f.add(await this.service.createManualSyncTask());return f.add(E.onSynchronizeResources(C=>this.onManualSynchronizeResources.fire({manualSyncTaskId:E.id,data:C}))),this.manualSyncTasks.set(this.createKey(E.id),{manualSyncTask:E,disposables:f}),{id:E.id,manifest:E.manifest,status:E.status}}disposeManualSyncTask(f){var E;f.dispose();const C=this.createKey(f.id);(E=this.manualSyncTasks.get(C))===null||E===void 0||E.disposables.dispose(),this.manualSyncTasks.delete(C)}createKey(f){return`manualSyncTask-${f}`}}e.UserDataSyncChannel=P;class g extends R.Disposable{constructor(f){super();this._status="uninitialized",this._onDidChangeStatus=this._register(new v.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new v.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new v.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onSyncErrors=this._register(new v.Emitter),this.onSyncErrors=this._onSyncErrors.event,this.channel={call(E,C,a){return f.call(E,C,a).then(null,I=>{throw A.UserDataSyncError.toUserDataSyncError(I)})},listen(E,C){return f.listen(E,C)}},this.channel.call("_getInitialData").then(([E,C,a])=>{this.updateStatus(E),this.updateConflicts(C),a&&this.updateLastSyncTime(a),this._register(this.channel.listen("onDidChangeStatus")(I=>this.updateStatus(I))),this._register(this.channel.listen("onDidChangeLastSyncTime")(I=>this.updateLastSyncTime(I)))}),this._register(this.channel.listen("onDidChangeConflicts")(E=>this.updateConflicts(E))),this._register(this.channel.listen("onSyncErrors")(E=>this._onSyncErrors.fire(E.map(([C,a])=>[C,A.UserDataSyncError.toUserDataSyncError(a)]))))}get status(){return this._status}get onDidChangeLocal(){return this.channel.listen("onDidChangeLocal")}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}get onDidResetLocal(){return this.channel.listen("onDidResetLocal")}get onDidResetRemote(){return this.channel.listen("onDidResetRemote")}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const{id:f,manifest:E,status:C}=await this.channel.call("createManualSyncTask"),a=this,I=new m(f,E,C,{async call(S,w,b){return a.channel.call(`manualSync/${S}`,[f,...(0,T.isArray)(w)?w:[w]],b)},listen(S,w){return v.Event.map(v.Event.filter(a.channel.listen(`manualSync/${S}`,w),b=>!I.isDiposed()&&b.manualSyncTaskId===f),b=>b.data)}});return I}replace(f){return this.channel.call("replace",[f])}reset(){return this.channel.call("reset")}resetRemote(){return this.channel.call("resetRemote")}resetLocal(){return this.channel.call("resetLocal")}hasPreviouslySynced(){return this.channel.call("hasPreviouslySynced")}hasLocalData(){return this.channel.call("hasLocalData")}accept(f,E,C,a){return this.channel.call("accept",[f,E,C,a])}resolveContent(f){return this.channel.call("resolveContent",[f])}async getLocalSyncResourceHandles(f){return(await this.channel.call("getLocalSyncResourceHandles",[f])).map(({created:C,uri:a})=>({created:C,uri:L.URI.revive(a)}))}async getRemoteSyncResourceHandles(f){return(await this.channel.call("getRemoteSyncResourceHandles",[f])).map(({created:C,uri:a})=>({created:C,uri:L.URI.revive(a)}))}async getAssociatedResources(f,E){return(await this.channel.call("getAssociatedResources",[f,E])).map(({resource:a,comparableResource:I})=>({resource:L.URI.revive(a),comparableResource:L.URI.revive(I)}))}async getMachineId(f,E){return this.channel.call("getMachineId",[f,E])}async updateStatus(f){this._status=f,this._onDidChangeStatus.fire(f)}async updateConflicts(f){this._conflicts=f.map(([E,C])=>[E,C.map(a=>Object.assign(Object.assign({},a),{localResource:L.URI.revive(a.localResource),remoteResource:L.URI.revive(a.remoteResource),previewResource:L.URI.revive(a.previewResource)}))]),this._onDidChangeConflicts.fire(this._conflicts)}updateLastSyncTime(f){this._lastSyncTime!==f&&(this._lastSyncTime=f,this._onDidChangeLastSyncTime.fire(f))}}e.UserDataSyncChannelClient=g;class m extends R.Disposable{constructor(f,E,C,a){super();this.id=f,this.manifest=E,this._disposed=!1,this._status=C;const I=this;this.channel={async call(S,w,b){try{const y=await a.call(S,w,b);return I.isDiposed()||(I._status=await a.call("_getStatus")),y}catch(y){throw A.UserDataSyncError.toUserDataSyncError(y)}},listen(S,w){return a.listen(S,w)}}}get onSynchronizeResources(){return this.channel.listen("onSynchronizeResources")}get status(){return this._status}async preview(){const f=await this.channel.call("preview");return this.deserializePreviews(f)}async accept(f,E){const C=await this.channel.call("accept",[f,E]);return this.deserializePreviews(C)}async merge(f){const E=await this.channel.call("merge",[f]);return this.deserializePreviews(E)}async discard(f){const E=await this.channel.call("discard",[f]);return this.deserializePreviews(E)}async discardConflicts(){const f=await this.channel.call("discardConflicts");return this.deserializePreviews(f)}async apply(){const f=await this.channel.call("apply");return this.deserializePreviews(f)}pull(){return this.channel.call("pull")}push(){return this.channel.call("push")}stop(){return this.channel.call("stop")}isDiposed(){return this._disposed}dispose(){this._disposed=!0,this.channel.call("dispose")}deserializePreviews(f){return f.map(([E,C])=>[E,{isLastSyncFromCurrentMachine:C.isLastSyncFromCurrentMachine,resourcePreviews:C.resourcePreviews.map(a=>Object.assign(Object.assign({},a),{localResource:L.URI.revive(a.localResource),remoteResource:L.URI.revive(a.remoteResource),previewResource:L.URI.revive(a.previewResource),acceptedResource:L.URI.revive(a.acceptedResource)}))}])}}}),define(Q[197],Z([0,1,2,20,39,11,30,24,29,44,10,9,19,31,7,3,6,17,5,15]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestsSession=e.UserDataSyncStoreService=e.UserDataSyncStoreClient=e.UserDataSyncStoreManagementService=e.AbstractUserDataSyncStoreManagementService=void 0;const o="sync.previous.store",i="sync.donot-make-requests-until",t="sync.user-session-id",n="sync.machine-session-id",r=100,l=1e3*60*5;let s=class extends v.Disposable{constructor(O,_,q){super();this.productService=O,this.configurationService=_,this.storageService=q,this._onDidChangeUserDataSyncStore=this._register(new I.Emitter),this.onDidChangeUserDataSyncStore=this._onDidChangeUserDataSyncStore.event,this.updateUserDataSyncStore(),this._register(I.Event.filter(q.onDidChangeValue,x=>{var j;return x.key===A.SYNC_SERVICE_URL_TYPE&&x.scope===0&&this.userDataSyncStoreType!==((j=this.userDataSyncStore)===null||j===void 0?void 0:j.type)})(()=>this.updateUserDataSyncStore()))}get userDataSyncStore(){return this._userDataSyncStore}get userDataSyncStoreType(){return this.storageService.get(A.SYNC_SERVICE_URL_TYPE,0)}set userDataSyncStoreType(O){this.storageService.store(A.SYNC_SERVICE_URL_TYPE,O,0,a.isWeb?0:1)}updateUserDataSyncStore(){this._userDataSyncStore=this.toUserDataSyncStore(this.productService[A.CONFIGURATION_SYNC_STORE_KEY],this.configurationService.getValue(A.CONFIGURATION_SYNC_STORE_KEY)),this._onDidChangeUserDataSyncStore.fire()}toUserDataSyncStore(O,_){O=a.isWeb&&(O==null?void 0:O.web)?Object.assign(Object.assign({},O),O.web):O;const q=Object.assign(Object.assign({},O||{}),_||{});if(q&&(0,w.isString)(q.url)&&(0,w.isObject)(q.authenticationProviders)&&Object.keys(q.authenticationProviders).every(x=>(0,w.isArray)(q.authenticationProviders[x].scopes))){const x=q,j=!!x.canSwitch&&!(_==null?void 0:_.url),$=x.url===x.insidersUrl?"insiders":"stable",W=(j?this.userDataSyncStoreType:void 0)||$,B=(_==null?void 0:_.url)||(W==="insiders"?x.insidersUrl:W==="stable"?x.stableUrl:x.url);return{url:b.URI.parse(B),type:W,defaultType:$,defaultUrl:b.URI.parse(x.url),stableUrl:b.URI.parse(x.stableUrl),insidersUrl:b.URI.parse(x.insidersUrl),canSwitch:j,authenticationProviders:Object.keys(x.authenticationProviders).reduce((M,F)=>(M.push({id:F,scopes:x.authenticationProviders[F].scopes}),M),[])}}}};s=ue([Y(0,g.IProductService),Y(1,P.IConfigurationService),Y(2,E.IStorageService)],s),e.AbstractUserDataSyncStoreManagementService=s;let c=class extends s{constructor(O,_,q){super(O,_,q);const x=this.storageService.get(o,0);x&&(this.previousConfigurationSyncStore=JSON.parse(x));const j=this.productService[A.CONFIGURATION_SYNC_STORE_KEY];j?this.storageService.store(o,JSON.stringify(j),0,1):this.storageService.remove(o,0)}async switch(O){O!==this.userDataSyncStoreType&&(this.userDataSyncStoreType=O,this.updateUserDataSyncStore())}async getPreviousUserDataSyncStore(){return this.toUserDataSyncStore(this.previousConfigurationSyncStore)}};c=ue([Y(0,g.IProductService),Y(1,P.IConfigurationService),Y(2,E.IStorageService)],c),e.UserDataSyncStoreManagementService=c;let h=class extends v.Disposable{constructor(O,_,q,x,j,$,W){super();this.requestService=q,this.logService=x,this.storageService=W,this._onTokenFailed=this._register(new I.Emitter),this.onTokenFailed=this._onTokenFailed.event,this._onTokenSucceed=this._register(new I.Emitter),this.onTokenSucceed=this._onTokenSucceed.event,this._donotMakeRequestsUntil=void 0,this._onDidChangeDonotMakeRequestsUntil=this._register(new I.Emitter),this.onDidChangeDonotMakeRequestsUntil=this._onDidChangeDonotMakeRequestsUntil.event,this.resetDonotMakeRequestsUntilPromise=void 0,this.updateUserDataSyncStoreUrl(O),this.commonHeadersPromise=(0,m.getServiceMachineId)(j,$,W).then(B=>{const M={"X-Client-Name":`${_.applicationName}${a.isWeb?"-web":""}`,"X-Client-Version":_.version,"X-Machine-Id":B};return _.commit&&(M["X-Client-Commit"]=_.commit),M}),this.session=new p(r,l,this.requestService,this.logService),this.initDonotMakeRequestsUntil(),this._register((0,v.toDisposable)(()=>{this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0)}))}get donotMakeRequestsUntil(){return this._donotMakeRequestsUntil}setAuthToken(O,_){this.authToken={token:O,type:_}}updateUserDataSyncStoreUrl(O){this.userDataSyncStoreUrl=O?(0,R.joinPath)(O,"v1"):void 0}initDonotMakeRequestsUntil(){const O=this.storageService.getNumber(i,0);O&&Date.now()<O&&this.setDonotMakeRequestsUntil(new Date(O))}setDonotMakeRequestsUntil(O){var _;((_=this._donotMakeRequestsUntil)===null||_===void 0?void 0:_.getTime())!==(O==null?void 0:O.getTime())&&(this._donotMakeRequestsUntil=O,this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0),this._donotMakeRequestsUntil?(this.storageService.store(i,this._donotMakeRequestsUntil.getTime(),0,1),this.resetDonotMakeRequestsUntilPromise=(0,S.createCancelablePromise)(q=>(0,S.timeout)(this._donotMakeRequestsUntil.getTime()-Date.now(),q).then(()=>this.setDonotMakeRequestsUntil(void 0))),this.resetDonotMakeRequestsUntilPromise.then(null,q=>null)):this.storageService.remove(i,0),this._onDidChangeDonotMakeRequestsUntil.fire())}async getAllRefs(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O),q={},x=await this.request(_.toString(),{type:"GET",headers:q},[],T.CancellationToken.None);return(await(0,L.asJson)(x)||[]).map(({url:$,created:W})=>({ref:(0,R.relativePath)(_,_.with({path:$})),created:W*1e3}))}async resolveContent(O,_){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const q=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O,_).toString(),x={};x["Cache-Control"]="no-cache";const j=await this.request(q,{type:"GET",headers:x},[],T.CancellationToken.None);return await(0,L.asText)(j)}async delete(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString(),q={};await this.request(_,{type:"DELETE",headers:q},[],T.CancellationToken.None)}async read(O,_,q={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const x=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O,"latest").toString();q=Object.assign({},q),q["Cache-Control"]="no-cache",_&&(q["If-None-Match"]=_.ref);const j=await this.request(x,{type:"GET",headers:q},[304],T.CancellationToken.None);if(j.res.statusCode===304)return _;const $=j.res.headers.etag;if(!$)throw new A.UserDataSyncStoreError("Server did not return the ref",x,A.UserDataSyncErrorCode.NoRef,j.res.headers[A.HEADER_OPERATION_ID]);const W=await(0,L.asText)(j);return{ref:$,content:W}}async write(O,_,q,x={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const j=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString();x=Object.assign({},x),x["Content-Type"]="text/plain",q&&(x["If-Match"]=q);const $=await this.request(j,{type:"POST",data:_,headers:x},[],T.CancellationToken.None),W=$.res.headers.etag;if(!W)throw new A.UserDataSyncStoreError("Server did not return the ref",j,A.UserDataSyncErrorCode.NoRef,$.res.headers[A.HEADER_OPERATION_ID]);return W}async manifest(O={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,R.joinPath)(this.userDataSyncStoreUrl,"manifest").toString();O=Object.assign({},O),O["Content-Type"]="application/json";const q=await this.request(_,{type:"GET",headers:O},[],T.CancellationToken.None),x=await(0,L.asJson)(q),j=this.storageService.get(t,0);return j&&x&&j!==x.session&&this.clearSession(),x===null&&j&&this.clearSession(),x&&this.storageService.store(t,x.session,0,1),x}async clear(){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const O=(0,R.joinPath)(this.userDataSyncStoreUrl,"resource").toString(),_={"Content-Type":"text/plain"};await this.request(O,{type:"DELETE",headers:_},[],T.CancellationToken.None),this.clearSession()}clearSession(){this.storageService.remove(t,0),this.storageService.remove(n,0)}async request(O,_,q,x){if(!this.authToken)throw new A.UserDataSyncStoreError("No Auth Token Available",O,A.UserDataSyncErrorCode.Unauthorized,void 0);if(this._donotMakeRequestsUntil&&Date.now()<this._donotMakeRequestsUntil.getTime())throw new A.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too many requests (429).`,O,A.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter,void 0);this.setDonotMakeRequestsUntil(void 0);const j=await this.commonHeadersPromise;_.headers=Object.assign(Object.assign(Object.assign({},_.headers||{}),j),{"X-Account-Type":this.authToken.type,authorization:`Bearer ${this.authToken.token}`}),this.addSessionHeaders(_.headers),this.logService.trace("Sending request to server",{url:O,type:_.type,headers:Object.assign(Object.assign({},_.headers),{authorization:void 0})});let $;try{$=await this.session.request(O,_,x)}catch(F){if(!(F instanceof A.UserDataSyncStoreError)){const k=(0,y.isPromiseCanceledError)(F)?A.UserDataSyncErrorCode.RequestCanceled:(0,y.getErrorMessage)(F).startsWith("XHR timeout")?A.UserDataSyncErrorCode.RequestTimeout:A.UserDataSyncErrorCode.RequestFailed;F=new A.UserDataSyncStoreError(`Connection refused for the request '${O}'.`,O,k,void 0)}throw this.logService.info("Request failed",O),F}const W=$.res.headers[A.HEADER_OPERATION_ID],B={url:O,status:$.res.statusCode,"execution-id":_.headers[A.HEADER_EXECUTION_ID],"operation-id":W},M=(0,L.isSuccess)($)||$.res.statusCode&&q.indexOf($.res.statusCode)!==-1;if(M?this.logService.trace("Request succeeded",B):this.logService.info("Request failed",B),$.res.statusCode===401)throw this.authToken=void 0,this._onTokenFailed.fire(),new A.UserDataSyncStoreError(`Request '${O}' failed because of Unauthorized (401).`,O,A.UserDataSyncErrorCode.Unauthorized,W);if(this._onTokenSucceed.fire(),$.res.statusCode===409)throw new A.UserDataSyncStoreError(`${_.type} request '${O}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,O,A.UserDataSyncErrorCode.Conflict,W);if($.res.statusCode===410)throw new A.UserDataSyncStoreError(`${_.type} request '${O}' failed because the requested resource is not longer available (410).`,O,A.UserDataSyncErrorCode.Gone,W);if($.res.statusCode===412)throw new A.UserDataSyncStoreError(`${_.type} request '${O}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,O,A.UserDataSyncErrorCode.PreconditionFailed,W);if($.res.statusCode===413)throw new A.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too large payload (413).`,O,A.UserDataSyncErrorCode.TooLarge,W);if($.res.statusCode===426)throw new A.UserDataSyncStoreError(`${_.type} request '${O}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,O,A.UserDataSyncErrorCode.UpgradeRequired,W);if($.res.statusCode===429){const F=$.res.headers["retry-after"];throw F?(this.setDonotMakeRequestsUntil(new Date(Date.now()+parseInt(F)*1e3)),new A.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too many requests (429).`,O,A.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter,W)):new A.UserDataSyncStoreError(`${_.type} request '${O}' failed because of too many requests (429).`,O,A.UserDataSyncErrorCode.TooManyRequests,W)}if(!M)throw new A.UserDataSyncStoreError("Server returned "+$.res.statusCode,O,A.UserDataSyncErrorCode.Unknown,W);return $}addSessionHeaders(O){let _=this.storageService.get(n,0);_===void 0&&(_=(0,C.generateUuid)(),this.storageService.store(n,_,0,1)),O["X-Machine-Session-Id"]=_;const q=this.storageService.get(t,0);q!==void 0&&(O["X-User-Session-Id"]=q)}};h=ue([Y(1,g.IProductService),Y(2,L.IRequestService),Y(3,A.IUserDataSyncLogService),Y(4,D.IEnvironmentService),Y(5,f.IFileService),Y(6,E.IStorageService)],h),e.UserDataSyncStoreClient=h;let d=class extends h{constructor(O,_,q,x,j,$,W){var B;super((B=O.userDataSyncStore)===null||B===void 0?void 0:B.url,_,q,x,j,$,W);this._register(O.onDidChangeUserDataSyncStore(()=>{var M;return this.updateUserDataSyncStoreUrl((M=O.userDataSyncStore)===null||M===void 0?void 0:M.url)}))}};d=ue([Y(0,A.IUserDataSyncStoreManagementService),Y(1,g.IProductService),Y(2,L.IRequestService),Y(3,A.IUserDataSyncLogService),Y(4,D.IEnvironmentService),Y(5,f.IFileService),Y(6,E.IStorageService)],d),e.UserDataSyncStoreService=d;class p{constructor(O,_,q,x){this.limit=O,this.interval=_,this.requestService=q,this.logService=x,this.requests=[],this.startTime=void 0}request(O,_,q){if(this.isExpired()&&this.reset(),_.url=O,this.requests.length>=this.limit)throw this.logService.info("Too many requests",...this.requests),new A.UserDataSyncStoreError(`Too many requests. Only ${this.limit} requests allowed in ${this.interval/(1e3*60)} minutes.`,O,A.UserDataSyncErrorCode.LocalTooManyRequests,void 0);return this.startTime=this.startTime||new Date,this.requests.push(O),this.requestService.request(_,q)}isExpired(){return this.startTime!==void 0&&new Date().getTime()-this.startTime.getTime()>this.interval}reset(){this.requests=[],this.startTime=void 0}}e.RequestsSession=p}),define(Q[198],Z([0,1,20,3,57,84,59,25,19,60,29]),function(G,e,v,A,L,R,T,P,g,m,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;let f=class extends R.UserDataAutoSyncService{constructor(C,a,I,S,w,b,y,o,i,t,n,r){super(C,a,I,S,w,y,o,i,t,n,r);this._register(A.Event.debounce(A.Event.any(A.Event.map(b.onDidFocusWindow,()=>"windowFocus"),A.Event.map(b.onDidOpenWindow,()=>"windowOpen")),(l,s)=>l?[...l,s]:[s],1e3)(l=>this.triggerSync(l,!0,!1)))}};f=ue([Y(0,D.IProductService),Y(1,v.IUserDataSyncStoreManagementService),Y(2,v.IUserDataSyncStoreService),Y(3,v.IUserDataSyncResourceEnablementService),Y(4,v.IUserDataSyncService),Y(5,L.INativeHostService),Y(6,v.IUserDataSyncLogService),Y(7,T.IUserDataSyncAccountService),Y(8,P.ITelemetryService),Y(9,m.IUserDataSyncMachinesService),Y(10,g.IStorageService),Y(11,v.IUserDataAutoSyncEnablementService)],f),e.UserDataAutoSyncService=f}),define(Q[199],Z([0,1,3,2,6]),function(G,e,v,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class R extends A.Disposable{constructor({onDidOpenWindow:P,onDidFocusWindow:g,getActiveWindowId:m}){super();this.disposables=this._register(new A.DisposableStore),v.Event.latch(v.Event.any(P,g))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,L.createCancelablePromise)(()=>m()),(async()=>{try{const f=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:f}catch(f){}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(P){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=P}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=R}),define(Q[61],Z([0,1,107,8,27,6,23,205,206,17]),function(G,e,v,A,L,R,T,P,g,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class D extends Error{constructor(t,n){let r=n.message;switch(t){case"CorruptZip":r=`Corrupt ZIP: ${r}`;break}super(r);this.type=t,this.cause=n}}e.ExtractError=D;function f(i){const t=i.externalFileAttributes>>16||33188;return[448,56,7].map(n=>t&n).reduce((n,r)=>n+r,t&61440)}function E(i){if(i instanceof D)return i;let t;return/end of central directory record signature not found/.test(i.message)&&(t="CorruptZip"),new D(t,i)}function C(i,t,n,r,l,s){const c=A.dirname(t),h=A.join(r,c);if(!h.startsWith(r))return Promise.reject(new Error(v.localize(0,null,t)));const d=A.join(r,t);let p;return s.onCancellationRequested(()=>{p&&p.destroy()}),Promise.resolve(L.promises.mkdir(h,{recursive:!0})).then(()=>new Promise((u,O)=>{if(!s.isCancellationRequested)try{p=(0,L.createWriteStream)(d,{mode:n}),p.once("close",()=>u()),p.once("error",O),i.once("error",O),i.pipe(p)}catch(_){O(_)}}))}function a(i,t,n,r){let l=(0,R.createCancelablePromise)(()=>Promise.resolve()),s=0;return r.onCancellationRequested(()=>{l.cancel(),i.close()}),new Promise((c,h)=>{const d=new R.Sequencer,p=u=>{u.isCancellationRequested||(s++,i.readEntry())};i.once("error",h),i.once("close",()=>l.then(()=>{r.isCancellationRequested||i.entryCount===s?c():h(new D("Incomplete",new Error(v.localize(1,null,s,i.entryCount))))},h)),i.readEntry(),i.on("entry",u=>{if(!r.isCancellationRequested){if(!n.sourcePathRegex.test(u.fileName)){p(r);return}const O=u.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(O)){const x=A.join(t,O);l=(0,R.createCancelablePromise)(j=>L.promises.mkdir(x,{recursive:!0}).then(()=>p(j)).then(void 0,h));return}const _=S(i,u),q=f(u);l=(0,R.createCancelablePromise)(x=>d.queue(()=>_.then(j=>C(j,O,q,t,n,x).then(()=>p(x)))).then(null,h))}})})}function I(i,t=!1){return new Promise((n,r)=>{(0,P.open)(i,t?{lazyEntries:!0}:void 0,(l,s)=>{l?r(E(l)):n((0,m.assertIsDefined)(s))})})}function S(i,t){return new Promise((n,r)=>{i.openReadStream(t,(l,s)=>{l?r(E(l)):n((0,m.assertIsDefined)(s))})})}function w(i,t){return new Promise((n,r)=>{const l=new g.ZipFile;t.forEach(c=>{c.contents?l.addBuffer(typeof c.contents=="string"?Buffer.from(c.contents,"utf8"):c.contents,c.path):c.localPath&&l.addFile(c.localPath,c.path)}),l.end();const s=(0,L.createWriteStream)(i);l.outputStream.pipe(s),l.outputStream.once("error",r),s.once("error",r),s.once("finish",()=>n(i))})}e.zip=w;function b(i,t,n={},r){const l=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let s=I(i,!0);return n.overwrite&&(s=s.then(c=>(0,T.rimraf)(t).then(()=>c))),s.then(c=>a(c,t,{sourcePathRegex:l},r))}e.extract=b;function y(i,t){return I(i).then(n=>new Promise((r,l)=>{n.on("entry",s=>{s.fileName===t&&S(n,s).then(c=>r(c),c=>l(c))}),n.once("close",()=>l(new Error(v.localize(2,null,t))))}))}function o(i,t){return y(i,t).then(n=>new Promise((r,l)=>{const s=[];n.once("error",l),n.on("data",c=>s.push(c)),n.on("end",()=>r(Buffer.concat(s)))}))}e.buffer=o}),define(Q[200],Z([0,1,61,112]),function(G,e,v,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function L(R){return(0,v.buffer)(R,"extension/package.json").then(T=>{try{return JSON.parse(T.toString("utf8"))}catch(P){throw new Error((0,A.localize)(0,null))}})}e.getManifest=L}),define(Q[201],Z([0,1,27,56,2,23,8,14,28,34,6,5,10,132,113,29,61,7,18,16,9,11]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScanner=void 0;const t="scanningSystem",n="scanningUser",r="extracting",l="deleting",s="renaming";let c=class extends L.Disposable{constructor(d,p,u,O,_){super();this.beforeRemovingExtension=d,this.fileService=p,this.logService=u,this.environmentService=O,this.productService=_,this._devSystemExtensionsPath=null,this.systemExtensionsPath=O.builtinExtensionsPath,this.extensionsPath=O.extensionsPath,this.uninstalledPath=T.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new D.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(d){const p=[];(d===null||d===0)&&p.push(this.scanSystemExtensions().then(null,u=>Promise.reject(new g.ExtensionManagementError(this.joinErrors(u).message,t)))),(d===null||d===1)&&p.push(this.scanUserExtensions(!0).then(null,u=>Promise.reject(new g.ExtensionManagementError(this.joinErrors(u).message,n))));try{const u=await Promise.all(p);return(0,b.flatten)(u)}catch(u){throw this.joinErrors(u)}}async scanUserExtensions(d){this.logService.trace("Started scanning user extensions");let[p,u]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return u=u.filter(O=>!p[new m.ExtensionIdentifierWithVersion(O.identifier,O.manifest.version).key()]),d&&(u=(0,m.groupByExtension)(u,_=>_.identifier).map(_=>_.sort((q,x)=>A.rcompare(q.manifest.version,x.manifest.version))[0])),this.logService.trace("Scanned user extensions:",u.length),u}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(d,p,u){const O=d.key(),_=T.join(this.extensionsPath,`.${O}`),q=T.join(this.extensionsPath,O);try{await R.rimraf(q)}catch(j){try{await R.rimraf(q)}catch($){}throw new g.ExtensionManagementError((0,a.localize)(0,null,q,d.id),l)}await this.extractAtLocation(d,p,_,u);try{await this.rename(d,_,q,Date.now()+2*60*1e3),this.logService.info("Renamed to",q)}catch(j){this.logService.info("Rename failed. Deleting from extracted location",_);try{R.rimraf(_)}catch($){}throw j}let x=null;try{x=await this.scanExtension(f.URI.file(T.join(this.extensionsPath,O)),1)}catch(j){}if(x)return x;throw new Error((0,a.localize)(1,null,this.extensionsPath))}async saveMetadataForLocalExtension(d,p){this.setMetadata(d,p),p.isMachineScoped=p.isMachineScoped||void 0,p.isBuiltin=p.isBuiltin||void 0;const u=T.join(d.location.fsPath,"package.json"),O=await v.promises.readFile(u,"utf8"),{manifest:_}=await this.parseManifest(O);return _.__metadata=p,await R.writeFile(u,JSON.stringify(_,null,"	")),d}getUninstalledExtensions(){return this.withUninstalledExtensions(d=>d)}async withUninstalledExtensions(d){return this.uninstalledFileLimiter.queue(async()=>{let p;try{p=await v.promises.readFile(this.uninstalledPath,"utf8")}catch(_){if(_.code!=="ENOENT")throw _}let u={};if(p)try{u=JSON.parse(p)}catch(_){}const O=d(u);return Object.keys(u).length?await R.writeFile(this.uninstalledPath,JSON.stringify(u)):await R.rimraf(this.uninstalledPath),O})}async removeExtension(d,p){this.logService.trace(`Deleting ${p} extension from disk`,d.identifier.id,d.location.fsPath),await R.rimraf(d.location.fsPath),this.logService.info("Deleted from disk",d.identifier.id,d.location.fsPath)}async removeUninstalledExtension(d){await this.removeExtension(d,"uninstalled"),await this.withUninstalledExtensions(p=>delete p[new m.ExtensionIdentifierWithVersion(d.identifier,d.manifest.version).key()])}async extractAtLocation(d,p,u,O){this.logService.trace(`Started extracting the extension from ${p} to ${u}`);try{await R.rimraf(u)}catch(_){throw new g.ExtensionManagementError(this.joinErrors(_).message,l)}try{await(0,S.extract)(p,u,{sourcePath:"extension",overwrite:!0},O),this.logService.info(`Extracted extension to ${u}:`,d.id)}catch(_){try{await R.rimraf(u)}catch(q){}throw new g.ExtensionManagementError(_.message,_ instanceof S.ExtractError&&_.type?_.type:r)}}async rename(d,p,u,O){try{await v.promises.rename(p,u)}catch(_){if(w.isWindows&&_&&_.code==="EPERM"&&Date.now()<O)return this.logService.info(`Failed renaming ${p} to ${u} with 'EPERM' error. Trying again...`,d.id),this.rename(d,p,u,O);throw new g.ExtensionManagementError(_.message||(0,a.localize)(2,null,p,u),_.code||s)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const d=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return d;const p=this.scanDevSystemExtensions(),[u,O]=await Promise.all([d,p]);return[...u,...O]}async scanExtensionsInDir(d,p){const u=new D.Limiter(10),O=await this.fileService.resolve(f.URI.file(d));return O.children?(await Promise.all(O.children.filter(q=>q.isDirectory).map(q=>u.queue(()=>this.scanExtension(q.resource,p))))).filter(q=>q&&q.identifier):[]}async scanExtension(d,p){var u,O;if(p===1&&(0,i.basename)(d).indexOf(".")===0)return null;try{const _=await this.fileService.resolve(d);if(_.children){const{manifest:q,metadata:x}=await this.readManifest(d.fsPath),j=(u=_.children.find(({name:M})=>/^readme(\.txt|\.md|)$/i.test(M)))===null||u===void 0?void 0:u.resource,$=(O=_.children.find(({name:M})=>/^changelog(\.txt|\.md|)$/i.test(M)))===null||O===void 0?void 0:O.resource,W={id:(0,m.getGalleryExtensionId)(q.publisher,q.name)},B={type:p,identifier:W,manifest:q,location:d,readmeUrl:j,changelogUrl:$,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:p===0};return x&&this.setMetadata(B,x),B}}catch(_){p!==0&&this.logService.trace(_)}return null}async scanDefaultSystemExtensions(){const d=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",d.length),d}async scanDevSystemExtensions(){const d=this.getDevSystemExtensionsList();if(d.length){const p=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",p.length),p.filter(u=>d.some(O=>(0,m.areSameExtensions)(u.identifier,{id:O})))}else return[]}setMetadata(d,p){d.publisherDisplayName=p.publisherDisplayName||null,d.publisherId=p.publisherId||null,d.identifier.uuid=p.id,d.isMachineScoped=!!p.isMachineScoped,d.isBuiltin=d.type===0||!!p.isBuiltin}async removeUninstalledExtensions(){const d=await this.getUninstalledExtensions(),p=await this.scanAllUserExtensions(),u=new Set;for(const q of p)d[new m.ExtensionIdentifierWithVersion(q.identifier,q.manifest.version).key()]||u.add(q.identifier.id.toLowerCase());const O=(0,m.groupByExtension)(p,q=>q.identifier);await D.Promises.settled(O.map(async q=>{const x=q.sort((j,$)=>A.rcompare(j.manifest.version,$.manifest.version))[0];u.has(x.identifier.id.toLowerCase())||await this.beforeRemovingExtension(x)}));const _=p.filter(q=>d[new m.ExtensionIdentifierWithVersion(q.identifier,q.manifest.version).key()]);await D.Promises.settled(_.map(q=>this.removeUninstalledExtension(q)))}async removeOutdatedExtensions(){const d=await this.scanAllUserExtensions(),p=[],u=(0,m.groupByExtension)(d,O=>O.identifier);p.push(...(0,b.flatten)(u.map(O=>O.sort((_,q)=>A.rcompare(_.manifest.version,q.manifest.version)).slice(1)))),await D.Promises.settled(p.map(O=>this.removeExtension(O,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(d=>d.name)}joinErrors(d){const p=Array.isArray(d)?d:[d];return p.length===1?p[0]instanceof Error?p[0]:new Error(p[0]):p.reduce((u,O)=>new Error(`${u.message}${u.message?",":""}${O instanceof Error?O.message:O}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=T.normalize(T.join(y.FileAccess.asFileUri("",G).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(d){const p=[v.promises.readFile(T.join(d,"package.json"),"utf8").then(q=>this.parseManifest(q)),v.promises.readFile(T.join(d,"package.nls.json"),"utf8").then(void 0,q=>q.code!=="ENOENT"?Promise.reject(q):"{}").then(q=>JSON.parse(q))],[{manifest:u,metadata:O},_]=await Promise.all(p);return{manifest:(0,C.localizeManifest)(u,_),metadata:O}}parseManifest(d){return new Promise((p,u)=>{try{const O=JSON.parse(d),_=O.__metadata||null;p({manifest:O,metadata:_})}catch(O){u(new Error((0,a.localize)(3,null)))}})}};c=ue([Y(1,o.IFileService),Y(2,P.ILogService),Y(3,E.INativeEnvironmentService),Y(4,I.IProductService)],c),e.ExtensionsScanner=c}),define(Q[202],Z([0,1,27,111,8,23,2,18,61,28,34,10,6,3,56,5,51,7,14,145,43,25,68,11,31,70,4,16,30,200,153,201,154]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o,i,t,n,r,l,s,c,h,d,p,u,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=void 0;const _="unsetUninstalled",q="downloading",x="validating",j="local",$="unknown";let W=class extends T.Disposable{constructor(M,F,k,U,N,z){super();this.environmentService=M,this.galleryService=F,this.logService=k,this.downloadService=U,this.telemetryService=N,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new C.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new C.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new C.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new C.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event;const H=this._register(z.createInstance(O.ExtensionsLifecycle));this.extensionsScanner=this._register(z.createInstance(u.ExtensionsScanner,K=>H.postUninstall(K))),this.manifestCache=this._register(new y.ExtensionsManifestCache(M,this)),this.extensionsDownloader=this._register(z.createInstance(p.ExtensionsDownloader)),this._register((0,T.toDisposable)(()=>{this.installingExtensions.forEach(K=>K.cancel()),this.uninstallingExtensions.forEach(K=>K.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async zip(M){this.logService.trace("ExtensionManagementService#zip",M.identifier.id);const F=await this.collectFiles(M),k=await(0,g.zip)((0,n.joinPath)(this.environmentService.tmpDir,(0,r.generateUuid)()).fsPath,F);return I.URI.file(k)}async unzip(M){return this.logService.trace("ExtensionManagementService#unzip",M.toString()),(await this.install(M)).identifier}async getManifest(M){const F=await this.downloadVsix(M),k=L.resolve(F.fsPath);return(0,d.getManifest)(k)}async collectFiles(M){const F=async U=>{let N=await R.readdir(U);N=N.map(K=>L.join(U,K));const z=await Promise.all(N.map(K=>v.promises.stat(K)));let H=Promise.resolve([]);return z.forEach((K,te)=>{const X=N[te];K.isFile()&&(H=H.then(ie=>[...ie,X])),K.isDirectory()&&(H=H.then(ie=>F(X).then(se=>[...ie,...se])))}),H};return(await F(M.location.fsPath)).map(U=>({path:`extension/${L.relative(M.location.fsPath,U)}`,localPath:U}))}async install(M,F={}){return this.logService.trace("ExtensionManagementService#install",M.toString()),(0,E.createCancelablePromise)(async k=>{const U=await this.downloadVsix(M),N=L.resolve(U.fsPath),z=await(0,d.getManifest)(N),H={id:(0,D.getGalleryExtensionId)(z.publisher,z.name)};let K=1;if(z.engines&&z.engines.vscode&&!(0,t.isEngineValid)(z.engines.vscode,S.default.version))throw new Error(A.localize(0,null,H.id,S.default.version));const te=new D.ExtensionIdentifierWithVersion(H,z.version),ie=(await this.getInstalled(1)).find(ce=>(0,D.areSameExtensions)(H,ce.identifier));if(ie)if(F.isMachineScoped=F.isMachineScoped||ie.isMachineScoped,F.isBuiltin=F.isBuiltin||ie.isBuiltin,K=2,te.equals(new D.ExtensionIdentifierWithVersion(ie.identifier,ie.manifest.version)))try{await this.extensionsScanner.removeExtension(ie,"existing")}catch(ce){throw new Error(A.localize(1,null,z.displayName||z.name))}else a.gt(ie.manifest.version,z.version)&&await this.uninstallExtension(ie);else{const ce=await this.unsetUninstalledAndGetLocal(te);if(ce)try{await this.extensionsScanner.removeExtension(ce,"existing")}catch(he){throw new Error(A.localize(2,null,z.displayName||z.name))}}this.logService.info("Installing the extension:",H.id),this._onInstallExtension.fire({identifier:H,zipPath:N});let se;try{se=await this.getGalleryMetadata((0,D.getGalleryExtensionId)(z.publisher,z.name))}catch(ce){}try{const ce=await this.installFromZipPath(te,N,Object.assign(Object.assign({},se||{}),F),F,K,k);return this.logService.info("Successfully installed the extension:",H.id),ce}catch(ce){throw this.logService.error("Failed to install the extension:",H.id,ce.message),ce}})}async downloadVsix(M){if(M.scheme===c.Schemas.file)return M;if(!this.downloadService)throw new Error("Download service is not available");const F=(0,n.joinPath)(this.environmentService.tmpDir,(0,r.generateUuid)());return await this.downloadService.download(M,F),F}async installFromZipPath(M,F,k,U,N,z){try{const H=await this.installExtension({zipPath:F,identifierWithVersion:M,metadata:k},z);try{await this.installDependenciesAndPackExtensions(H,void 0,U)}catch(K){(0,P.isNonEmptyArray)(H.manifest.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",H.identifier.id,K.message),(0,P.isNonEmptyArray)(H.manifest.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",H.identifier.id,K.message)}return this._onDidInstallExtension.fire({identifier:M,zipPath:F,local:H,operation:N}),H}catch(H){throw this._onDidInstallExtension.fire({identifier:M,zipPath:F,operation:N,error:H}),H}}async canInstall(M){return!0}async installFromGallery(M,F={}){if(!this.galleryService.isEnabled())throw new Error(A.localize(3,null));try{M=await this.checkAndGetCompatibleVersion(M)}catch(N){const z=N&&N.code?N.code:$;throw this.logService.error("Failed to install extension:",M.identifier.id,N?N.message:z),this.reportTelemetry(this.getTelemetryEvent(1),(0,D.getGalleryExtensionTelemetryData)(M),void 0,N),N instanceof Error&&(N.name=z),N}const k=new D.ExtensionIdentifierWithVersion(M.identifier,M.version).key();let U=this.installingExtensions.get(k);return U||(U=(0,E.createCancelablePromise)(N=>this.doInstallFromGallery(M,F,N)),this.installingExtensions.set(k,U),U.finally(()=>this.installingExtensions.delete(k))),U}async doInstallFromGallery(M,F,k){const U=new Date().getTime();let N=1;this.logService.info("Installing extension:",M.identifier.id),this._onInstallExtension.fire({identifier:M.identifier,gallery:M});try{const H=(await this.getInstalled(1)).find(X=>(0,D.areSameExtensions)(X.identifier,M.identifier));H&&(N=2);const K=await this.downloadInstallableExtension(M,N);K.metadata.isMachineScoped=F.isMachineScoped||(H==null?void 0:H.isMachineScoped),K.metadata.isBuiltin=F.isBuiltin||(H==null?void 0:H.isBuiltin);const te=await this.installExtension(K,k);try{await this.extensionsDownloader.delete(I.URI.file(K.zipPath))}catch(X){}if(!F.donotIncludePackAndDependencies)try{await this.installDependenciesAndPackExtensions(te,H,F)}catch(X){try{await this.uninstall(te)}catch(ie){}throw X}return H&&a.neq(H.manifest.version,M.version)&&await this.setUninstalled(H),this.logService.info("Extensions installed successfully:",M.identifier.id),this._onDidInstallExtension.fire({identifier:M.identifier,gallery:M,local:te,operation:N}),this.reportTelemetry(this.getTelemetryEvent(N),(0,D.getGalleryExtensionTelemetryData)(M),new Date().getTime()-U,void 0),te}catch(z){const H=z&&z.code?z.code:$;throw this.logService.error("Failed to install extension:",M.identifier.id,z?z.message:H),this._onDidInstallExtension.fire({identifier:M.identifier,gallery:M,operation:N,error:H}),this.reportTelemetry(this.getTelemetryEvent(N),(0,D.getGalleryExtensionTelemetryData)(M),new Date().getTime()-U,z),z instanceof Error&&(z.name=H),z}}async checkAndGetCompatibleVersion(M){if(await this.isMalicious(M))throw new m.ExtensionManagementError(A.localize(4,null),m.INSTALL_ERROR_MALICIOUS);const F=await this.galleryService.getCompatibleExtension(M);if(!F)throw new m.ExtensionManagementError(A.localize(5,null,M.identifier.id,S.default.version),m.INSTALL_ERROR_INCOMPATIBLE);return F}async reinstallFromGallery(M){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",M.identifier.id),!this.galleryService.isEnabled())throw new Error(A.localize(6,null));const F=await this.findGalleryExtension(M);if(!F)throw new Error(A.localize(7,null));await this.setUninstalled(M);try{await this.extensionsScanner.removeUninstalledExtension(M)}catch(k){throw new Error(A.localize(8,null,(0,o.toErrorMessage)(k)))}await this.installFromGallery(F)}getTelemetryEvent(M){return M===2?"extensionGallery:update":"extensionGallery:install"}async isMalicious(M){const F=await this.getExtensionsReport();return(0,D.getMaliciousExtensionsSet)(F).has(M.identifier.id)}async downloadInstallableExtension(M,F){const k={id:M.identifier.uuid,publisherId:M.publisherId,publisherDisplayName:M.publisherDisplayName};let U;try{this.logService.trace("Started downloading extension:",M.identifier.id);const N=await this.extensionsDownloader.downloadExtension(M,F);this.logService.info("Downloaded extension:",M.identifier.id,U),U=N.fsPath}catch(N){throw new m.ExtensionManagementError(this.joinErrors(N).message,q)}try{const N=await(0,d.getManifest)(U);return{zipPath:U,identifierWithVersion:new D.ExtensionIdentifierWithVersion(M.identifier,N.version),metadata:k}}catch(N){throw new m.ExtensionManagementError(this.joinErrors(N).message,x)}}async installExtension(M,F){try{const k=await this.unsetUninstalledAndGetLocal(M.identifierWithVersion);if(k)return M.metadata?this.extensionsScanner.saveMetadataForLocalExtension(k,M.metadata):k}catch(k){throw w.isMacintosh?new m.ExtensionManagementError(A.localize(9,null),_):new m.ExtensionManagementError(A.localize(10,null),_)}return this.extractAndInstall(M,F)}async unsetUninstalledAndGetLocal(M){return await this.isUninstalled(M)?(this.logService.trace("Removing the extension from uninstalled list:",M.id),await this.unsetUninstalled(M),this.logService.info("Removed the extension from uninstalled list:",M.id),(await this.getInstalled(1)).find(U=>new D.ExtensionIdentifierWithVersion(U.identifier,U.manifest.version).equals(M))||null):null}async extractAndInstall({zipPath:M,identifierWithVersion:F,metadata:k},U){let N=await this.extensionsScanner.extractUserExtension(F,M,U);return this.logService.info("Installation completed.",F.id),k&&(N=await this.extensionsScanner.saveMetadataForLocalExtension(N,k)),N}async installDependenciesAndPackExtensions(M,F,k){if(!!this.galleryService.isEnabled()){const U=M.manifest.extensionDependencies||[];if(M.manifest.extensionPack)for(const N of M.manifest.extensionPack)F&&F.manifest.extensionPack&&F.manifest.extensionPack.some(z=>(0,D.areSameExtensions)({id:z},{id:N}))||U.every(z=>!(0,D.areSameExtensions)({id:z},{id:N}))&&U.push(N);if(U.length){const N=await this.getInstalled(),z=U.filter(H=>N.every(({identifier:K})=>!(0,D.areSameExtensions)(K,{id:H})));if(z.length){const K=(await this.galleryService.query({names:z,pageSize:U.length},h.CancellationToken.None)).firstPage;try{await E.Promises.settled(K.map(te=>this.installFromGallery(te,k)))}catch(te){try{await this.rollback(K)}catch(X){}throw te}}}}}async rollback(M){const k=(await this.getInstalled(1)).filter(U=>M.some(N=>new D.ExtensionIdentifierWithVersion(U.identifier,U.manifest.version).equals(new D.ExtensionIdentifierWithVersion(N.identifier,N.version))));await E.Promises.settled(k.map(U=>this.uninstall(U)))}async uninstall(M,F={}){this.logService.trace("ExtensionManagementService#uninstall",M.identifier.id);const k=await this.getInstalled(1),U=k.find(N=>(0,D.areSameExtensions)(N.identifier,M.identifier));if(!U)throw new Error(A.localize(11,null,M.manifest.displayName||M.manifest.name));try{await this.checkForDependenciesAndUninstall(U,k,F)}catch(N){throw this.joinErrors(N)}}async updateMetadata(M,F){return this.logService.trace("ExtensionManagementService#updateMetadata",M.identifier.id),M=await this.extensionsScanner.saveMetadataForLocalExtension(M,Object.assign(Object.assign({},M.manifest.__metadata||{}),F)),this.manifestCache.invalidate(),M}async updateExtensionScope(M,F){return this.logService.trace("ExtensionManagementService#updateExtensionScope",M.identifier.id),M=await this.extensionsScanner.saveMetadataForLocalExtension(M,Object.assign(Object.assign({},M.manifest.__metadata||{}),{isMachineScoped:F})),this.manifestCache.invalidate(),M}async getGalleryMetadata(M){const F=await this.findGalleryExtensionByName(M);return F?{id:F.identifier.uuid,publisherDisplayName:F.publisherDisplayName,publisherId:F.publisherId}:void 0}async findGalleryExtension(M){if(M.identifier.uuid){const F=await this.findGalleryExtensionById(M.identifier.uuid);return F||this.findGalleryExtensionByName(M.identifier.id)}return this.findGalleryExtensionByName(M.identifier.id)}async findGalleryExtensionById(M){return(await this.galleryService.query({ids:[M],pageSize:1},h.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName(M){return(await this.galleryService.query({names:[M],pageSize:1},h.CancellationToken.None)).firstPage[0]}joinErrors(M){const F=Array.isArray(M)?M:[M];return F.length===1?F[0]instanceof Error?F[0]:new Error(F[0]):F.reduce((k,U)=>new Error(`${k.message}${k.message?",":""}${U instanceof Error?U.message:U}`),new Error(""))}async checkForDependenciesAndUninstall(M,F,k){try{await this.preUninstallExtension(M);const U=k.donotIncludePack?[]:this.getAllPackExtensionsToUninstall(M,F);await this.uninstallExtensions(M,U,F,k)}catch(U){throw await this.postUninstallExtension(M,new m.ExtensionManagementError(U instanceof Error?U.message:U,j)),U}await this.postUninstallExtension(M)}async uninstallExtensions(M,F,k,U){const N=[M,...F];if(!U.donotCheckDependents)for(const z of N)this.checkForDependents(z,N,k,M);await E.Promises.settled([this.uninstallExtension(M),...F.map(z=>this.doUninstall(z))])}checkForDependents(M,F,k,U){const N=this.getDependents(M,k);if(N.length){const z=N.filter(H=>F.indexOf(H)===-1);if(z.length)throw new Error(this.getDependentsErrorMessage(M,z,U))}}getDependentsErrorMessage(M,F,k){return k===M?F.length===1?A.localize(12,null,k.manifest.displayName||k.manifest.name,F[0].manifest.displayName||F[0].manifest.name):F.length===2?A.localize(13,null,k.manifest.displayName||k.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name):A.localize(14,null,k.manifest.displayName||k.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name):F.length===1?A.localize(15,null,k.manifest.displayName||k.manifest.name,M.manifest.displayName||M.manifest.name,F[0].manifest.displayName||F[0].manifest.name):F.length===2?A.localize(16,null,k.manifest.displayName||k.manifest.name,M.manifest.displayName||M.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name):A.localize(17,null,k.manifest.displayName||k.manifest.name,M.manifest.displayName||M.manifest.name,F[0].manifest.displayName||F[0].manifest.name,F[1].manifest.displayName||F[1].manifest.name)}getAllPackExtensionsToUninstall(M,F,k=[]){if(k.indexOf(M)!==-1)return[];k.push(M);const U=M.manifest.extensionPack?M.manifest.extensionPack:[];if(U.length){const N=F.filter(H=>!H.isBuiltin&&U.some(K=>(0,D.areSameExtensions)({id:K},H.identifier))),z=[];for(const H of N)z.push(...this.getAllPackExtensionsToUninstall(H,F,k));return[...N,...z]}return[]}getDependents(M,F){return F.filter(k=>k.manifest.extensionDependencies&&k.manifest.extensionDependencies.some(U=>(0,D.areSameExtensions)({id:U},M.identifier)))}async doUninstall(M){try{await this.preUninstallExtension(M),await this.uninstallExtension(M)}catch(F){throw await this.postUninstallExtension(M,new m.ExtensionManagementError(F instanceof Error?F.message:F,j)),F}await this.postUninstallExtension(M)}async preUninstallExtension(M){if(!await R.exists(M.location.fsPath))throw new Error(A.localize(18,null));this.logService.info("Uninstalling extension:",M.identifier.id),this._onUninstallExtension.fire(M.identifier)}async uninstallExtension(M){let F=this.uninstallingExtensions.get(M.identifier.id);return F||(F=(0,E.createCancelablePromise)(async()=>{const k=await this.extensionsScanner.scanUserExtensions(!1);await this.setUninstalled(...k.filter(U=>(0,D.areSameExtensions)(U.identifier,M.identifier)))}),this.uninstallingExtensions.set(M.identifier.id,F),F.finally(()=>this.uninstallingExtensions.delete(M.identifier.id))),F}async postUninstallExtension(M,F){if(F)this.logService.error("Failed to uninstall extension:",M.identifier.id,F.message);else if(this.logService.info("Successfully uninstalled extension:",M.identifier.id),M.identifier.uuid)try{await this.galleryService.reportStatistic(M.manifest.publisher,M.manifest.name,M.manifest.version,"uninstall")}catch(U){}this.reportTelemetry("extensionGallery:uninstall",(0,D.getLocalExtensionTelemetryData)(M),void 0,F);const k=F?F instanceof m.ExtensionManagementError?F.code:$:void 0;this._onDidUninstallExtension.fire({identifier:M.identifier,error:k})}getInstalled(M=null){return this.extensionsScanner.scanExtensions(M)}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async isUninstalled(M){return(await this.filterUninstalled(M)).length===1}filterUninstalled(...M){return this.extensionsScanner.withUninstalledExtensions(F=>{const k=[];for(const U of M)F[U.key()]&&k.push(U.key());return k})}setUninstalled(...M){const F=M.map(k=>new D.ExtensionIdentifierWithVersion(k.identifier,k.manifest.version));return this.extensionsScanner.withUninstalledExtensions(k=>(F.forEach(U=>k[U.key()]=!0),k))}unsetUninstalled(M){return this.extensionsScanner.withUninstalledExtensions(F=>delete F[M.key()])}getExtensionsReport(){const M=new Date().getTime();return(!this.reportedExtensions||M-this.lastReportTimestamp>1e3*60*5)&&(this.reportedExtensions=this.updateReportCache(),this.lastReportTimestamp=M),this.reportedExtensions}async updateReportCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const M=await this.galleryService.getExtensionsReport();return this.logService.trace(`ExtensionManagementService.refreshReportedCache - got ${M.length} reported extensions from service`),M}catch(M){return this.logService.trace("ExtensionManagementService.refreshReportedCache - failed to get extension report"),[]}}reportTelemetry(M,F,k,U){const N=U?U instanceof m.ExtensionManagementError?U.code:$:void 0;this.telemetryService.publicLogError(M,Object.assign(Object.assign({},F),{success:!U,duration:k,errorcode:N}))}};W=ue([Y(0,f.INativeEnvironmentService),Y(1,m.IExtensionGalleryService),Y(2,b.ILogService),Y(3,(0,s.optional)(l.IDownloadService)),Y(4,i.ITelemetryService),Y(5,s.IInstantiationService)],W),e.ExtensionManagementService=W}),define(Q[207],Z([0,1,27,37,208,100,51,99,33,75,50,149,10,129,131,28,202,174,24,165,39,166,25,58,172,79,80,177,14,76,158,55,2,167,70,162,163,143,142,151,150,77,173,69,155,9,157,16,29,20,195,197,192,57,161,193,198,171,19,169,194,59,191,175,60,71,133,199,176,84,83,82,4,152,144,15,43,8,81,180,179,196,140,146,178]),function(G,e,v,A,L,R,T,P,g,m,D,f,E,C,a,I,S,w,b,y,o,i,t,n,r,l,s,c,h,d,p,u,O,_,q,x,j,$,W,B,M,F,k,U,N,z,H,K,te,X,ie,se,ce,he,me,we,Ie,ke,Ue,Fe,_e,Me,De,Ae,$e,He,Ne,ze,J,ne,re,ge,V,ee,oe,ae,le,de,ve,ye,Ee,be,Le,Se,pe){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Ce extends O.Disposable{constructor(fe){super();this.configuration=fe,this.server=this._register(new P.Server),(0,L.gracefulify)(v),this.registerListeners()}registerListeners(){const fe=()=>this.dispose();process.once("exit",fe),R.ipcRenderer.once("vscode:electron-main->shared-process=exit",fe)}async open(){const fe=await this.initServices();(0,X.registerConfiguration)(),fe.invokeFunction(Pe=>{const Oe=Pe.get(h.ILogService);Oe.trace("sharedProcess configuration",JSON.stringify(this.configuration)),this.initChannels(Pe),this.registerErrorHandler(Oe)}),this._register((0,O.combinedDisposable)(new x.NodeCachedDataCleaner(this.configuration.nodeCachedDataDir),fe.createInstance(j.LanguagePackCachedDataCleaner),fe.createInstance($.StorageDataCleaner,this.configuration.backupWorkspacesPath),fe.createInstance(W.LogsDataCleaner),fe.createInstance(ee.LocalizationsUpdater),fe.createInstance(oe.DeprecatedExtensionsCleaner)))}async initServices(){const fe=new m.ServiceCollection,Pe=Object.assign({_serviceBrand:void 0},T.default);fe.set(te.IProductService,Pe);const Oe=new C.NativeEnvironmentService(this.configuration.args,Pe);fe.set(E.INativeEnvironmentService,Oe);const Je=new g.StaticRouter(je=>je==="main"),Ze=new d.LogLevelChannelClient(this.server.getChannel("logLevel",Je)),et=this._register(new h.MultiplexLogService([this._register(new h.ConsoleLogger(this.configuration.logLevel)),this._register(new F.SpdLogLogger("sharedprocess",(0,de.join)(Oe.logsPath,"sharedprocess.log"),!0,this.configuration.logLevel))])),qe=this._register(new d.FollowerLogService(Ze,et));fe.set(h.ILogService,qe);const Ge=new M.MessagePortMainProcessService(this.server,Je);fe.set(B.IMainProcessService,Ge);const Be=this._register(new N.FileService(qe));fe.set(z.IFileService,Be);const tt=this._register(new H.DiskFileSystemProvider(qe));Be.registerProvider(K.Schemas.file,tt);const We=this._register(new y.ConfigurationService(Oe.settingsResource,Be));fe.set(b.IConfigurationService,We),await We.initialize();const Ke=new ke.NativeStorageService(void 0,Ge,Oe);fe.set(Ue.IStorageService,Ke),await Ke.initialize(),this._register((0,O.toDisposable)(()=>Ke.flush())),fe.set(o.IRequestService,new D.SyncDescriptor(i.RequestService)),fe.set(Le.IChecksumService,new D.SyncDescriptor(Se.ChecksumService));const Xe=g.ProxyChannel.toService(Ge.getChannel("nativeHost"),{context:this.configuration.windowId});fe.set(he.INativeHostService,Xe),fe.set(q.IDownloadService,new D.SyncDescriptor(_.DownloadService));const it=this._register(new ze.ActiveWindowManager(Xe)),nt=new g.StaticRouter(je=>it.getActiveClientId().then(gt=>je===gt));fe.set(He.IExtensionRecommendationNotificationService,new Ne.ExtensionRecommendationNotificationServiceChannelClient(this.server.getChannel("extensionRecommendationNotification",nt)));const ot=this._register(new me.LoggerService(qe,Be));fe.set(h.ILoggerService,ot);const{appRoot:ct,extensionsPath:lt,extensionDevelopmentLocationURI:ut,isBuilt:ht,installSourcePath:dt}=Oe;let Qe,Ve;if(!ut&&!Oe.disableTelemetry&&Pe.enableTelemetry){if(Ve=new J.TelemetryLogAppender(ot,Oe),Pe.aiConfig&&Pe.aiConfig.asimovKey&&ht){const je=new c.AppInsightsAppender("monacoworkbench",null,Pe.aiConfig.asimovKey);this._register((0,O.toDisposable)(()=>je.flush())),Ve=(0,n.combinedAppender)(je,Ve)}Qe=new s.TelemetryService({appender:Ve,commonProperties:(0,r.resolveCommonProperties)(Be,(0,A.release)(),process.arch,Pe.commit,Pe.version,this.configuration.machineId,Pe.msftInternalDomains,dt),sendErrorTelemetry:!0,piiPaths:[ct,lt]},We)}else Qe=n.NullTelemetryService,Ve=n.NullAppender;this.server.registerChannel("telemetryAppender",new l.TelemetryAppenderChannel(Ve)),fe.set(t.ITelemetryService,Qe);const ft=new pe.CustomEndpointTelemetryService(We,Qe);return fe.set(t.ICustomEndpointTelemetryService,ft),fe.set(I.IExtensionManagementService,new D.SyncDescriptor(S.ExtensionManagementService)),fe.set(I.IExtensionGalleryService,new D.SyncDescriptor(w.ExtensionGalleryService)),fe.set(I.IExtensionTipsService,new D.SyncDescriptor(Ae.ExtensionTipsService)),fe.set(u.ILocalizationsService,new D.SyncDescriptor(p.LocalizationsService)),fe.set(U.IDiagnosticsService,new D.SyncDescriptor(k.DiagnosticsService)),fe.set(Me.IUserDataSyncAccountService,new D.SyncDescriptor(Me.UserDataSyncAccountService)),fe.set(X.IUserDataSyncLogService,new D.SyncDescriptor(we.UserDataSyncLogService)),fe.set(X.IUserDataSyncUtilService,new ce.UserDataSyncUtilServiceClient(this.server.getChannel("userDataSyncUtil",je=>je.ctx!=="main"))),fe.set(I.IGlobalExtensionEnablementService,new D.SyncDescriptor(Fe.GlobalExtensionEnablementService)),fe.set(re.IIgnoredExtensionsManagementService,new D.SyncDescriptor(re.IgnoredExtensionsManagementService)),fe.set(ge.IExtensionsStorageSyncService,new D.SyncDescriptor(ge.ExtensionsStorageSyncService)),fe.set(X.IUserDataSyncStoreManagementService,new D.SyncDescriptor(se.UserDataSyncStoreManagementService)),fe.set(X.IUserDataSyncStoreService,new D.SyncDescriptor(se.UserDataSyncStoreService)),fe.set($e.IUserDataSyncMachinesService,new D.SyncDescriptor($e.UserDataSyncMachinesService)),fe.set(X.IUserDataSyncBackupStoreService,new D.SyncDescriptor(De.UserDataSyncBackupStoreService)),fe.set(X.IUserDataAutoSyncEnablementService,new D.SyncDescriptor(ne.UserDataAutoSyncEnablementService)),fe.set(X.IUserDataSyncResourceEnablementService,new D.SyncDescriptor(_e.UserDataSyncResourceEnablementService)),fe.set(X.IUserDataSyncService,new D.SyncDescriptor(ie.UserDataSyncService)),fe.set(Ee.ILocalPtyService,this._register(new ye.PtyHostService(qe))),new f.InstantiationService(fe)}initChannels(fe){const Pe=new a.ExtensionManagementChannel(fe.get(I.IExtensionManagementService),()=>null);this.server.registerChannel("extensions",Pe);const Oe=g.ProxyChannel.fromService(fe.get(u.ILocalizationsService));this.server.registerChannel("localizations",Oe);const Je=g.ProxyChannel.fromService(fe.get(U.IDiagnosticsService));this.server.registerChannel("diagnostics",Je);const Ze=new a.ExtensionTipsChannel(fe.get(I.IExtensionTipsService));this.server.registerChannel("extensionTipsService",Ze);const et=g.ProxyChannel.fromService(fe.get(Le.IChecksumService));this.server.registerChannel("checksum",et);const qe=new ce.UserDataSyncMachinesServiceChannel(fe.get($e.IUserDataSyncMachinesService));this.server.registerChannel("userDataSyncMachines",qe);const Ge=g.ProxyChannel.fromService(fe.get(t.ICustomEndpointTelemetryService));this.server.registerChannel("customEndpointTelemetry",Ge);const Be=new ce.UserDataSyncAccountServiceChannel(fe.get(Me.IUserDataSyncAccountService));this.server.registerChannel("userDataSyncAccount",Be);const tt=new ce.UserDataSyncStoreManagementServiceChannel(fe.get(X.IUserDataSyncStoreManagementService));this.server.registerChannel("userDataSyncStoreManagement",tt);const We=new be.UserDataSyncChannel(fe.get(X.IUserDataSyncService),fe.get(h.ILogService));this.server.registerChannel("userDataSync",We);const Ke=this._register(fe.get(V.IInstantiationService).createInstance(Ie.UserDataAutoSyncService)),Xe=new ce.UserDataAutoSyncChannel(Ke);this.server.registerChannel("userDataAutoSync",Xe);const it=fe.get(Ee.ILocalPtyService),nt=g.ProxyChannel.fromService(it);this.server.registerChannel(ve.TerminalIpcChannels.LocalPty,nt)}registerErrorHandler(fe){window.addEventListener("unhandledrejection",Pe=>{(0,ae.onUnexpectedError)(Pe.reason),Pe.preventDefault()}),(0,ae.setUnexpectedErrorHandler)(Pe=>{const Oe=(0,le.toErrorMessage)(Pe,!0);!Oe||fe.error(`[uncaught exception in sharedProcess]: ${Oe}`)})}}async function Re(Te){const fe=new Ce(Te);R.ipcRenderer.send("vscode:shared-process->electron-main=ipc-ready"),await fe.open(),R.ipcRenderer.send("vscode:shared-process->electron-main=init-done")}e.main=Re})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/892a1083cb2b9b3987ff7edc85376b5d9764433d/core/vs/code/electron-browser/sharedProcess/sharedProcessMain.js.map
