/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Q=["require","exports","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/uri","vs/base/common/path","vs/base/common/network","vs/base/common/async","electron","vs/nls!vs/code/electron-main/main","vs/base/common/types","vs/nls","vs/base/common/resources","vs/platform/files/common/files","vs/platform/product/common/productService","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/base/common/errors","vs/base/common/strings","vs/base/common/buffer","fs","vs/base/node/pfs","vs/platform/configuration/common/configuration","vs/base/common/cancellation","vs/platform/environment/electron-main/environmentMainService","os","vs/platform/workspaces/common/workspaces","vs/base/common/extpath","vs/base/common/uuid","vs/platform/telemetry/common/telemetry","vs/platform/windows/electron-main/windows","vs/base/parts/ipc/common/ipc","vs/base/common/arrays","vs/base/common/process","vs/base/common/map","vs/platform/registry/common/platform","vs/platform/state/node/state","vs/base/common/labels","vs/platform/request/common/request","vs/platform/update/common/update","vs/platform/native/electron-main/nativeHostMainService","vs/base/common/functional","vs/base/common/json","vs/base/common/objects","child_process","vs/platform/configuration/common/configurationRegistry","vs/platform/backup/electron-main/backup","vs/platform/dialogs/electron-main/dialogMainService","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/base/common/decorators","vs/platform/environment/common/environment","vs/platform/environment/node/argvHelper","vs/platform/remote/common/tunnel","vs/base/parts/ipc/node/ipc.net","vs/base/common/keyCodes","vs/base/common/stream","crypto","net","vs/platform/environment/node/argv","vs/platform/windows/common/windows","vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/base/common/iterator","vs/base/common/normalization","vs/base/node/id","vs/base/common/errorMessage","vs/platform/instantiation/common/descriptors","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/platform/remote/common/remoteHosts","vs/platform/sign/common/sign","vs/platform/theme/electron-main/themeMainService","vs/platform/webview/common/resourceLoader","vs/platform/update/electron-main/abstractUpdateService","vs/base/common/linkedList","vs/base/common/scanCode","vs/base/common/hash","vs/base/common/glob","vs/base/node/decoder","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/base/node/processes","vs/base/parts/ipc/node/ipc.cp","vs/platform/encryption/electron-main/encryptionMainService","vs/platform/environment/node/shellEnv","vs/platform/files/common/io","vs/platform/files/node/watcher/watcher","vs/platform/log/common/bufferLog","vs/platform/log/node/spdlogLog","vs/platform/product/common/product","vs/platform/storage/common/storage","vs/platform/telemetry/common/telemetryUtils","vs/platform/url/common/url","vs/platform/storage/electron-main/storageMainService","vs/platform/windows/electron-main/windowsFinder","vs/platform/launch/electron-main/launchMainService","vs/base/common/assert","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/keybindingParser","vs/base/common/stopwatch","vs/base/common/codicons","vs/base/common/console","vs/base/common/marshalling","vs/base/common/mime","vs/base/node/crypto","vs/base/node/macAddress","vs/base/node/extpath","util","vs/base/node/ports","vs/base/node/powershell","vs/base/node/watcher","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/contextmenu/electron-main/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/storage/node/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/keybindingLabels","vs/base/common/keybindingLabels","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/windows/electron-main/window","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/environment/common/environmentService","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/environment/node/wait","vs/platform/extensions/common/extensionValidator","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/graph","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensions","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/keybinding/common/baseResolvedKeybinding","vs/platform/keybinding/common/usLayoutResolvedKeybinding","vs/platform/lifecycle/common/lifecycle","vs/code/electron-main/protocol","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/platform/log/common/fileLog","vs/platform/log/common/logIpc","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/state/node/stateService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryService","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/webview/common/mimeTypes","vs/platform/webview/common/webviewManagerService","vs/platform/webview/common/webviewPortMapping","vs/platform/webview/electron-main/webviewPortMappingProvider","vs/platform/webview/electron-main/webviewProtocolProvider","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/workspace/common/workspace","vs/platform/storage/electron-main/storageIpc","vs/platform/storage/electron-main/storageMain","vs/platform/windows/electron-main/windowsStateHandler","zlib","vs/platform/driver/node/driver","vs/platform/backup/electron-main/backupMainService","vs/code/electron-main/auth","vs/platform/driver/electron-main/driver","vs/platform/remote/node/nodeSocketFactory","vs/platform/remote/node/tunnelService","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.snap","vs/platform/update/electron-main/updateService.win32","vs/platform/issue/electron-main/issueMainService","vs/platform/windows/electron-main/window","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","string_decoder","minimist","path","assert","stream","vs/code/electron-main/main"],J=function(H){for(var e=[],w=0,R=H.length;w<R;w++)e[w]=Q[H[w]];return e};define(Q[99],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function w(R,D){if(!R)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}e.ok=w}),define(Q[51],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function w(y){return(i,L,f)=>{let E=null,g=null;if(typeof f.value=="function"?(E="value",g=f.value):typeof f.get=="function"&&(E="get",g=f.get),!g)throw new Error("not supported");f[E]=y(g,L)}}e.createDecorator=w;let R=0;function D(){const y=`$memoize${R++}`;let i;const L=function(E,g,h){let p=null,S=null;if(typeof h.value=="function"?(p="value",S=h.value,S.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof h.get=="function"&&(p="get",S=h.get),!S)throw new Error("not supported");const v=`${y}:${g}`;h[p]=function(...l){return i=this,this.hasOwnProperty(v)||Object.defineProperty(this,v,{configurable:!0,enumerable:!1,writable:!0,value:S.apply(this,l)}),this[v]}};return L.clear=()=>{typeof i!="undefined"&&Object.getOwnPropertyNames(i).forEach(f=>{f.indexOf(y)===0&&delete i[f]})},L}e.createMemoizer=D;function b(y,i,L){return D()(y,i,L)}e.memoize=b;function P(y,i,L){return w((f,E)=>{const g=`$debounce$${E}`,h=`$debounce$result$${E}`;return function(...p){this[h]||(this[h]=L?L():void 0),clearTimeout(this[g]),i&&(this[h]=i(this[h],...p),p=[this[h]]),this[g]=setTimeout(()=>{f.apply(this,p),this[h]=L?L():void 0},y)}})}e.debounce=P;function n(y,i,L){return w((f,E)=>{const g=`$throttle$timer$${E}`,h=`$throttle$result$${E}`,p=`$throttle$lastRun$${E}`,S=`$throttle$pending$${E}`;return function(...v){if(this[h]||(this[h]=L?L():void 0),(this[p]===null||this[p]===void 0)&&(this[p]=-Number.MAX_VALUE),i&&(this[h]=i(this[h],...v)),!this[S]){const l=this[p]+y;l<=Date.now()?(this[p]=Date.now(),f.apply(this,[this[h]]),this[h]=L?L():void 0):(this[S]=!0,this[g]=setTimeout(()=>{this[S]=!1,this[p]=Date.now(),f.apply(this,[this[h]]),this[h]=L?L():void 0},l-Date.now()))}}})}e.throttle=n}),define(Q[19],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class w{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=w,e.errorHandler=new w;function R(s){e.errorHandler.setUnexpectedErrorHandler(s)}e.setUnexpectedErrorHandler=R;function D(s){y(s)||e.errorHandler.onUnexpectedError(s)}e.onUnexpectedError=D;function b(s){y(s)||e.errorHandler.onUnexpectedExternalError(s)}e.onUnexpectedExternalError=b;function P(s){if(s instanceof Error){let{name:t,message:r}=s;const o=s.stacktrace||s.stack;return{$isError:!0,name:t,message:r,stack:o}}return s}e.transformErrorForSerialization=P;const n="Canceled";function y(s){return s instanceof Error&&s.name===n&&s.message===n}e.isPromiseCanceledError=y;class i extends Error{constructor(){super(n);this.name=this.message}}e.CancellationError=i;function L(){const s=new Error(n);return s.name=s.message,s}e.canceled=L;function f(s){return s?new Error(`Illegal argument: ${s}`):new Error("Illegal argument")}e.illegalArgument=f;function E(s){return s?new Error(`Illegal state: ${s}`):new Error("Illegal state")}e.illegalState=E;function g(s){return s?new Error(`readonly property '${s} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=g;function h(s){const t=new Error(`${s} has been disposed`);return t.name="DISPOSED",t}e.disposed=h;function p(s){return s?s.message?s.message:s.stack?s.stack.split(`
`)[0]:String(s):"Error"}e.getErrorMessage=p;class S extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=S;class v extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=v;class l extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=l;function c(s){const t=s;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=c;function a(s,t=Object.create(null)){const r=new Error(s);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=a}),define(Q[34],J([0,1,19]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function R(U,$=0){return U[U.length-(1+$)]}e.tail=R;function D(U){if(U.length===0)throw new Error("Invalid tail call");return[U.slice(0,U.length-1),U[U.length-1]]}e.tail2=D;function b(U,$,_=(k,M)=>k===M){if(U===$)return!0;if(!U||!$||U.length!==$.length)return!1;for(let k=0,M=U.length;k<M;k++)if(!_(U[k],$[k]))return!1;return!0}e.equals=b;function P(U,$,_){let k=0,M=U.length-1;for(;k<=M;){const O=(k+M)/2|0,T=_(U[O],$);if(T<0)k=O+1;else if(T>0)M=O-1;else return O}return-(k+1)}e.binarySearch=P;function n(U,$){let _=0,k=U.length;if(k===0)return 0;for(;_<k;){const M=Math.floor((_+k)/2);$(U[M])?k=M:_=M+1}return _}e.findFirstInSorted=n;function y(U,$,_){if(U=U|0,U>=$.length)throw new TypeError("invalid index");let k=$[Math.floor($.length*Math.random())],M=[],O=[],T=[];for(let W of $){const z=_(W,k);z<0?M.push(W):z>0?O.push(W):T.push(W)}return U<M.length?y(U,M,_):U<M.length+T.length?T[0]:y(U-(M.length+T.length),O,_)}e.quickSelect=y;function i(U,$){const _=[];let k;for(const M of U.slice(0).sort($))!k||$(k[0],M)!==0?(k=[M],_.push(k)):k.push(M);return _}e.groupBy=i;function L(U,$,_){const k=[];function M(W,z,K){if(!(z===0&&K.length===0)){const X=k[k.length-1];X&&X.start+X.deleteCount===W?(X.deleteCount+=z,X.toInsert.push(...K)):k.push({start:W,deleteCount:z,toInsert:K})}}let O=0,T=0;for(;;){if(O===U.length){M(O,0,$.slice(T));break}if(T===$.length){M(O,U.length-O,[]);break}const W=U[O],z=$[T],K=_(W,z);K===0?(O+=1,T+=1):K<0?(M(O,1,[]),O+=1):K>0&&(M(O,0,[z]),T+=1)}return k}e.sortedDiff=L;function f(U,$,_){const k=L(U,$,_),M=[],O=[];for(const T of k)M.push(...U.slice(T.start,T.start+T.deleteCount)),O.push(...T.toInsert);return{removed:M,added:O}}e.delta=f;function E(U,$,_){if(_===0)return[];const k=U.slice(0,_).sort($);return h(U,$,k,_,U.length),k}e.top=E;function g(U,$,_,k,M){return _===0?Promise.resolve([]):new Promise((O,T)=>{(async()=>{const W=U.length,z=U.slice(0,_).sort($);for(let K=_,X=Math.min(_+k,W);K<W;K=X,X=Math.min(X+k,W)){if(K>_&&await new Promise(Z=>setTimeout(Z)),M&&M.isCancellationRequested)throw(0,w.canceled)();h(U,$,z,K,X)}return z})().then(O,T)})}e.topAsync=g;function h(U,$,_,k,M){for(const O=_.length;k<M;k++){const T=U[k];if($(T,_[O-1])<0){_.pop();const W=n(_,z=>$(T,z)<0);_.splice(W,0,T)}}}function p(U){return U.filter($=>!!$)}e.coalesce=p;function S(U){let $=0;for(let _=0;_<U.length;_++)U[_]&&(U[$]=U[_],$+=1);U.length=$}e.coalesceInPlace=S;function v(U,$,_){U.splice(_,0,U.splice($,1)[0])}e.move=v;function l(U){return!Array.isArray(U)||U.length===0}e.isFalsyOrEmpty=l;function c(U){return Array.isArray(U)&&U.length>0}e.isNonEmptyArray=c;function a(U,$){if(!$)return U.filter((k,M)=>U.indexOf(k)===M);const _=Object.create(null);return U.filter(k=>{const M=$(k);return _[M]?!1:(_[M]=!0,!0)})}e.distinct=a;function s(U){const $=new Set;return U.filter(_=>$.has(_)?!1:($.add(_),!0))}e.distinctES6=s;function t(U){const $=Object.create(null);return _=>{const k=U(_);return $[k]?!1:($[k]=!0,!0)}}e.uniqueFilter=t;function r(U,$){for(let _=U.length-1;_>=0;_--){const k=U[_];if($(k))return _}return-1}e.lastIndex=r;function o(U,$){return U.length>0?U[0]:$}e.firstOrDefault=o;function d(U,$,_=(k,M)=>k===M){let k=0;for(let M=0,O=Math.min(U.length,$.length);M<O&&_(U[M],$[M]);M++)k++;return k}e.commonPrefixLength=d;function u(U){return[].concat(...U)}e.flatten=u;function m(U,$){let _=typeof $=="number"?U:0;typeof $=="number"?_=U:(_=0,$=U);const k=[];if(_<=$)for(let M=_;M<$;M++)k.push(M);else for(let M=_;M>$;M--)k.push(M);return k}e.range=m;function I(U,$,_){return U.reduce((k,M)=>(k[$(M)]=_?_(M):M,k),Object.create(null))}e.index=I;function A(U,$){return U.push($),()=>F(U,$)}e.insert=A;function F(U,$){const _=U.indexOf($);if(_>-1)return U.splice(_,1),$}e.remove=F;function C(U,$,_){const k=U.slice(0,$),M=U.slice($);return k.concat(_,M)}e.arrayInsert=C;function j(U,$){let _;if(typeof $=="number"){let k=$;_=()=>{const M=Math.sin(k++)*179426549;return M-Math.floor(M)}}else _=Math.random;for(let k=U.length-1;k>0;k-=1){const M=Math.floor(_()*(k+1)),O=U[k];U[k]=U[M],U[M]=O}}e.shuffle=j;function G(U,$){const _=U.indexOf($);_>-1&&(U.splice(_,1),U.unshift($))}e.pushToStart=G;function ie(U,$){const _=U.indexOf($);_>-1&&(U.splice(_,1),U.push($))}e.pushToEnd=ie;function oe(U,$){return Array.isArray(U)?U.map($):$(U)}e.mapArrayOrNot=oe;function V(U){return Array.isArray(U)?U:[U]}e.asArray=V;function N(U){return U[Math.floor(Math.random()*U.length)]}e.getRandomElement=N;function B(U,$){for(const _ of U){const k=$(_);if(k!==void 0)return k}}e.mapFind=B}),define(Q[43],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function w(R){const D=this;let b=!1,P;return function(){return b||(b=!0,P=R.apply(D,arguments)),P}}e.once=w}),define(Q[63],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var w;(function(R){function D(s){return s&&typeof s=="object"&&typeof s[Symbol.iterator]=="function"}R.is=D;const b=Object.freeze([]);function P(){return b}R.empty=P;function*n(s){yield s}R.single=n;function y(s){return s||b}R.from=y;function i(s){return!s||s[Symbol.iterator]().next().done===!0}R.isEmpty=i;function L(s){return s[Symbol.iterator]().next().value}R.first=L;function f(s,t){for(const r of s)if(t(r))return!0;return!1}R.some=f;function E(s,t){for(const r of s)if(t(r))return r}R.find=E;function*g(s,t){for(const r of s)t(r)&&(yield r)}R.filter=g;function*h(s,t){for(const r of s)yield t(r)}R.map=h;function*p(...s){for(const t of s)for(const r of t)yield r}R.concat=p;function*S(s){for(const t of s)for(const r of t)yield r}R.concatNested=S;function v(s,t,r){let o=r;for(const d of s)o=t(o,d);return o}R.reduce=v;function*l(s,t,r=s.length){for(t<0&&(t+=s.length),r<0?r+=s.length:r>s.length&&(r=s.length);t<r;t++)yield s[t]}R.slice=l;function c(s,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,s];const o=s[Symbol.iterator]();for(let d=0;d<t;d++){const u=o.next();if(u.done)return[r,R.empty()];r.push(u.value)}return[r,{[Symbol.iterator](){return o}}]}R.consume=c;function a(s,t,r=(o,d)=>o===d){const o=s[Symbol.iterator](),d=t[Symbol.iterator]();for(;;){const u=o.next(),m=d.next();if(u.done!==m.done)return!1;if(u.done)return!0;if(!r(u.value,m.value))return!1}}R.equals=a})(w=e.Iterable||(e.Iterable={}))}),define(Q[44],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var w;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(w=e.ScanError||(e.ScanError={}));var R;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(R=e.SyntaxKind||(e.SyntaxKind={}));var D;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(D=e.ParseErrorCode||(e.ParseErrorCode={}));var b;(function(t){t.DEFAULT={allowTrailingComma:!0}})(b=e.ParseOptions||(e.ParseOptions={}));function P(t,r=!1){let o=0,d=t.length,u="",m=0,I=16,A=0;function F(N){let B=0,U=0;for(;B<N;){const $=t.charCodeAt(o);if($>=48&&$<=57)U=U*16+$-48;else if($>=65&&$<=70)U=U*16+$-65+10;else if($>=97&&$<=102)U=U*16+$-97+10;else break;o++,B++}return B<N&&(U=-1),U}function C(N){o=N,u="",m=0,I=16,A=0}function j(){const N=o;if(t.charCodeAt(o)===48)o++;else for(o++;o<t.length&&i(t.charCodeAt(o));)o++;if(o<t.length&&t.charCodeAt(o)===46)if(o++,o<t.length&&i(t.charCodeAt(o)))for(o++;o<t.length&&i(t.charCodeAt(o));)o++;else return A=3,t.substring(N,o);let B=o;if(o<t.length&&(t.charCodeAt(o)===69||t.charCodeAt(o)===101))if(o++,(o<t.length&&t.charCodeAt(o)===43||t.charCodeAt(o)===45)&&o++,o<t.length&&i(t.charCodeAt(o))){for(o++;o<t.length&&i(t.charCodeAt(o));)o++;B=o}else A=3;return t.substring(N,B)}function G(){let N="",B=o;for(;;){if(o>=d){N+=t.substring(B,o),A=2;break}const U=t.charCodeAt(o);if(U===34){N+=t.substring(B,o),o++;break}if(U===92){if(N+=t.substring(B,o),o++,o>=d){A=2;break}switch(t.charCodeAt(o++)){case 34:N+='"';break;case 92:N+="\\";break;case 47:N+="/";break;case 98:N+="\b";break;case 102:N+="\f";break;case 110:N+=`
`;break;case 114:N+="\r";break;case 116:N+="	";break;case 117:const _=F(4);_>=0?N+=String.fromCharCode(_):A=4;break;default:A=5}B=o;continue}if(U>=0&&U<=31)if(y(U)){N+=t.substring(B,o),A=2;break}else A=6;o++}return N}function ie(){if(u="",A=0,m=o,o>=d)return m=d,I=17;let N=t.charCodeAt(o);if(n(N)){do o++,u+=String.fromCharCode(N),N=t.charCodeAt(o);while(n(N));return I=15}if(y(N))return o++,u+=String.fromCharCode(N),N===13&&t.charCodeAt(o)===10&&(o++,u+=`
`),I=14;switch(N){case 123:return o++,I=1;case 125:return o++,I=2;case 91:return o++,I=3;case 93:return o++,I=4;case 58:return o++,I=6;case 44:return o++,I=5;case 34:return o++,u=G(),I=10;case 47:const B=o-1;if(t.charCodeAt(o+1)===47){for(o+=2;o<d&&!y(t.charCodeAt(o));)o++;return u=t.substring(B,o),I=12}if(t.charCodeAt(o+1)===42){o+=2;const U=d-1;let $=!1;for(;o<U;){if(t.charCodeAt(o)===42&&t.charCodeAt(o+1)===47){o+=2,$=!0;break}o++}return $||(o++,A=1),u=t.substring(B,o),I=13}return u+=String.fromCharCode(N),o++,I=16;case 45:if(u+=String.fromCharCode(N),o++,o===d||!i(t.charCodeAt(o)))return I=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return u+=j(),I=11;default:for(;o<d&&oe(N);)o++,N=t.charCodeAt(o);if(m!==o){switch(u=t.substring(m,o),u){case"true":return I=8;case"false":return I=9;case"null":return I=7}return I=16}return u+=String.fromCharCode(N),o++,I=16}}function oe(N){if(n(N)||y(N))return!1;switch(N){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function V(){let N;do N=ie();while(N>=12&&N<=15);return N}return{setPosition:C,getPosition:()=>o,scan:r?V:ie,getToken:()=>I,getTokenValue:()=>u,getTokenOffset:()=>m,getTokenLength:()=>o-m,getTokenError:()=>A}}e.createScanner=P;function n(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function y(t){return t===10||t===13||t===8232||t===8233}function i(t){return t>=48&&t<=57}var L;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(L||(L={}));function f(t,r){const o=[],d=new Object;let u;const m={value:{},offset:0,length:0,type:"object",parent:void 0};let I=!1;function A(F,C,j,G){m.value=F,m.offset=C,m.length=j,m.type=G,m.colonOffset=void 0,u=m}try{c(t,{onObjectBegin:(F,C)=>{if(r<=F)throw d;u=void 0,I=r>F,o.push("")},onObjectProperty:(F,C,j)=>{if(r<C||(A(F,C,j,"property"),o[o.length-1]=F,r<=C+j))throw d},onObjectEnd:(F,C)=>{if(r<=F)throw d;u=void 0,o.pop()},onArrayBegin:(F,C)=>{if(r<=F)throw d;u=void 0,o.push(0)},onArrayEnd:(F,C)=>{if(r<=F)throw d;u=void 0,o.pop()},onLiteralValue:(F,C,j)=>{if(r<C||(A(F,C,j,s(F)),r<=C+j))throw d},onSeparator:(F,C,j)=>{if(r<=C)throw d;if(F===":"&&u&&u.type==="property")u.colonOffset=C,I=!1,u=void 0;else if(F===","){const G=o[o.length-1];typeof G=="number"?o[o.length-1]=G+1:(I=!0,o[o.length-1]=""),u=void 0}}})}catch(F){if(F!==d)throw F}return{path:o,previousNode:u,isAtPropertyKey:I,matches:F=>{let C=0;for(let j=0;C<F.length&&j<o.length;j++)if(F[C]===o[j]||F[C]==="*")C++;else if(F[C]!=="**")return!1;return C===F.length}}}e.getLocation=f;function E(t,r=[],o=b.DEFAULT){let d=null,u=[];const m=[];function I(F){Array.isArray(u)?u.push(F):d!==null&&(u[d]=F)}return c(t,{onObjectBegin:()=>{const F={};I(F),m.push(u),u=F,d=null},onObjectProperty:F=>{d=F},onObjectEnd:()=>{u=m.pop()},onArrayBegin:()=>{const F=[];I(F),m.push(u),u=F,d=null},onArrayEnd:()=>{u=m.pop()},onLiteralValue:I,onError:(F,C,j)=>{r.push({error:F,offset:C,length:j})}},o),u[0]}e.parse=E;function g(t,r=[],o=b.DEFAULT){let d={type:"array",offset:-1,length:-1,children:[],parent:void 0};function u(F){d.type==="property"&&(d.length=F-d.offset,d=d.parent)}function m(F){return d.children.push(F),F}c(t,{onObjectBegin:F=>{d=m({type:"object",offset:F,length:-1,parent:d,children:[]})},onObjectProperty:(F,C,j)=>{d=m({type:"property",offset:C,length:-1,parent:d,children:[]}),d.children.push({type:"string",value:F,offset:C,length:j,parent:d})},onObjectEnd:(F,C)=>{d.length=F+C-d.offset,d=d.parent,u(F+C)},onArrayBegin:(F,C)=>{d=m({type:"array",offset:F,length:-1,parent:d,children:[]})},onArrayEnd:(F,C)=>{d.length=F+C-d.offset,d=d.parent,u(F+C)},onLiteralValue:(F,C,j)=>{m({type:s(F),offset:C,length:j,parent:d,value:F}),u(C+j)},onSeparator:(F,C,j)=>{d.type==="property"&&(F===":"?d.colonOffset=C:F===","&&u(C))},onError:(F,C,j)=>{r.push({error:F,offset:C,length:j})}},o);const A=d.children[0];return A&&delete A.parent,A}e.parseTree=g;function h(t,r){if(!!t){let o=t;for(let d of r)if(typeof d=="string"){if(o.type!=="object"||!Array.isArray(o.children))return;let u=!1;for(const m of o.children)if(Array.isArray(m.children)&&m.children[0].value===d){o=m.children[1],u=!0;break}if(!u)return}else{const u=d;if(o.type!=="array"||u<0||!Array.isArray(o.children)||u>=o.children.length)return;o=o.children[u]}return o}}e.findNodeAtLocation=h;function p(t){if(!t.parent||!t.parent.children)return[];const r=p(t.parent);if(t.parent.type==="property"){const o=t.parent.children[0].value;r.push(o)}else if(t.parent.type==="array"){const o=t.parent.children.indexOf(t);o!==-1&&r.push(o)}return r}e.getNodePath=p;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":const r=Object.create(null);for(let o of t.children){const d=o.children[1];d&&(r[o.children[0].value]=S(d))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=S;function v(t,r,o=!1){return r>=t.offset&&r<t.offset+t.length||o&&r===t.offset+t.length}e.contains=v;function l(t,r,o=!1){if(v(t,r,o)){const d=t.children;if(Array.isArray(d))for(let u=0;u<d.length&&d[u].offset<=r;u++){const m=l(d[u],r,o);if(m)return m}return t}}e.findNodeAtOffset=l;function c(t,r,o=b.DEFAULT){const d=P(t,!1);function u(z){return z?()=>z(d.getTokenOffset(),d.getTokenLength()):()=>!0}function m(z){return z?K=>z(K,d.getTokenOffset(),d.getTokenLength()):()=>!0}const I=u(r.onObjectBegin),A=m(r.onObjectProperty),F=u(r.onObjectEnd),C=u(r.onArrayBegin),j=u(r.onArrayEnd),G=m(r.onLiteralValue),ie=m(r.onSeparator),oe=u(r.onComment),V=m(r.onError),N=o&&o.disallowComments,B=o&&o.allowTrailingComma;function U(){for(;;){const z=d.scan();switch(d.getTokenError()){case 4:$(14);break;case 5:$(15);break;case 3:$(13);break;case 1:N||$(11);break;case 2:$(12);break;case 6:$(16);break}switch(z){case 12:case 13:N?$(10):oe();break;case 16:$(1);break;case 15:case 14:break;default:return z}}}function $(z,K=[],X=[]){if(V(z),K.length+X.length>0){let Z=d.getToken();for(;Z!==17;){if(K.indexOf(Z)!==-1){U();break}else if(X.indexOf(Z)!==-1)break;Z=U()}}}function _(z){const K=d.getTokenValue();return z?G(K):A(K),U(),!0}function k(){switch(d.getToken()){case 11:let z=0;try{z=JSON.parse(d.getTokenValue()),typeof z!="number"&&($(2),z=0)}catch(K){$(2)}G(z);break;case 7:G(null);break;case 8:G(!0);break;case 9:G(!1);break;default:return!1}return U(),!0}function M(){return d.getToken()!==10?($(3,[],[2,5]),!1):(_(!1),d.getToken()===6?(ie(":"),U(),W()||$(4,[],[2,5])):$(5,[],[2,5]),!0)}function O(){I(),U();let z=!1;for(;d.getToken()!==2&&d.getToken()!==17;){if(d.getToken()===5){if(z||$(4,[],[]),ie(","),U(),d.getToken()===2&&B)break}else z&&$(6,[],[]);M()||$(4,[],[2,5]),z=!0}return F(),d.getToken()!==2?$(7,[2],[]):U(),!0}function T(){C(),U();let z=!1;for(;d.getToken()!==4&&d.getToken()!==17;){if(d.getToken()===5){if(z||$(4,[],[]),ie(","),U(),d.getToken()===4&&B)break}else z&&$(6,[],[]);W()||$(4,[],[4,5]),z=!0}return j(),d.getToken()!==4?$(8,[4],[]):U(),!0}function W(){switch(d.getToken()){case 3:return T();case 1:return O();case 10:return _(!0);default:return k()}}return U(),d.getToken()===17?o.allowEmptyContent?!0:($(4,[],[]),!1):W()?(d.getToken()!==17&&$(9,[],[]),!0):($(4,[],[]),!1)}e.visit=c;function a(t,r){let o=P(t),d=[],u,m=0,I;do switch(I=o.getPosition(),u=o.scan(),u){case 12:case 13:case 17:m!==I&&d.push(t.substring(m,I)),r!==void 0&&d.push(o.getTokenValue().replace(/[^\r\n]/g,r)),m=o.getPosition();break}while(u!==17);return d.join("")}e.stripComments=a;function s(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=s}),define(Q[100],J([0,1,44]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function R(y,i,L){let f,E,g,h,p;if(i){for(h=i.offset,p=h+i.length,g=h;g>0&&!n(y,g-1);)g--;let m=p;for(;m<y.length&&!n(y,m);)m++;E=y.substring(g,m),f=b(E,L)}else E=y,f=0,g=0,h=0,p=y.length;const S=P(L,y);let v=!1,l=0,c;L.insertSpaces?c=D(" ",L.tabSize||4):c="	";const a=(0,w.createScanner)(E,!1);let s=!1;function t(){return S+D(c,f+l)}function r(){let m=a.scan();for(v=!1;m===15||m===14;)v=v||m===14,m=a.scan();return s=m===16||a.getTokenError()!==0,m}const o=[];function d(m,I,A){!s&&I<p&&A>h&&y.substring(I,A)!==m&&o.push({offset:I,length:A-I,content:m})}let u=r();if(u!==17){const m=a.getTokenOffset()+g,I=D(c,f);d(I,g,m)}for(;u!==17;){let m=a.getTokenOffset()+a.getTokenLength()+g,I=r(),A="";for(;!v&&(I===12||I===13);){const C=a.getTokenOffset()+g;d(" ",m,C),m=a.getTokenOffset()+a.getTokenLength()+g,A=I===12?t():"",I=r()}if(I===2)u!==1&&(l--,A=t());else if(I===4)u!==3&&(l--,A=t());else{switch(u){case 3:case 1:l++,A=t();break;case 5:case 12:A=t();break;case 13:v?A=t():A=" ";break;case 6:A=" ";break;case 10:if(I===6){A="";break}case 7:case 8:case 9:case 11:case 2:case 4:I===12||I===13?A=" ":I!==5&&I!==17&&(s=!0);break;case 16:s=!0;break}v&&(I===12||I===13)&&(A=t())}const F=a.getTokenOffset()+g;d(A,m,F),u=I}return o}e.format=R;function D(y,i){let L="";for(let f=0;f<i;f++)L+=y;return L}function b(y,i){let L=0,f=0;const E=i.tabSize||4;for(;L<y.length;){const g=y.charAt(L);if(g===" ")f++;else if(g==="	")f+=E;else break;L++}return Math.floor(f/E)}function P(y,i){for(let L=0;L<i.length;L++){const f=i.charAt(L);if(f==="\r")return L+1<i.length&&i.charAt(L+1)===`
`?`\r
`:"\r";if(f===`
`)return`
`}return y&&y.eol||`
`}e.getEOL=P;function n(y,i){return`\r
`.indexOf(y.charAt(i))!==-1}e.isEOL=n}),define(Q[101],J([0,1,44,100]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function D(i,L,f){return b(i,L,void 0,f)}e.removeProperty=D;function b(i,L,f,E,g){const h=L.slice(),p=[],S=(0,w.parseTree)(i,p);let v,l;for(;h.length>0&&(l=h.pop(),v=(0,w.findNodeAtLocation)(S,h),v===void 0&&f!==void 0);)typeof l=="string"?f={[l]:f}:f=[f];if(v)if(v.type==="object"&&typeof l=="string"&&Array.isArray(v.children)){const c=(0,w.findNodeAtLocation)(v,[l]);if(c!==void 0)if(f===void 0){if(!c.parent)throw new Error("Malformed AST");const a=v.children.indexOf(c.parent);let s,t=c.parent.offset+c.parent.length;if(a>0){const r=v.children[a-1];s=r.offset+r.length}else s=v.offset+1,v.children.length>1&&(t=v.children[1].offset);return P(i,{offset:s,length:t-s,content:""},E)}else return P(i,{offset:c.offset,length:c.length,content:JSON.stringify(f)},E);else{if(f===void 0)return[];const a=`${JSON.stringify(l)}: ${JSON.stringify(f)}`,s=g?g(v.children.map(r=>r.children[0].value)):v.children.length;let t;if(s>0){const r=v.children[s-1];t={offset:r.offset+r.length,length:0,content:","+a}}else v.children.length===0?t={offset:v.offset+1,length:0,content:a}:t={offset:v.offset+1,length:0,content:a+","};return P(i,t,E)}}else if(v.type==="array"&&typeof l=="number"&&Array.isArray(v.children))if(f!==void 0){const c=`${JSON.stringify(f)}`;let a;if(v.children.length===0||l===0)a={offset:v.offset+1,length:0,content:v.children.length===0?c:c+","};else{const s=l===-1||l>v.children.length?v.children.length:l,t=v.children[s-1];a={offset:t.offset+t.length,length:0,content:","+c}}return P(i,a,E)}else{const c=l,a=v.children[c];let s;if(v.children.length===1)s={offset:v.offset+1,length:v.length-2,content:""};else if(v.children.length-1===c){const t=v.children[c-1],r=t.offset+t.length,o=v.offset+v.length;s={offset:r,length:o-2-r,content:""}}else s={offset:a.offset,length:v.children[c+1].offset-a.offset,content:""};return P(i,s,E)}else throw new Error(`Can not add ${typeof l!="number"?"index":"property"} to parent of type ${v.type}`);else{if(f===void 0)throw new Error("Can not delete in empty document");return P(i,{offset:S?S.offset:0,length:S?S.length:0,content:JSON.stringify(f)},E)}}e.setProperty=b;function P(i,L,f){let E=n(i,L),g=L.offset,h=L.offset+L.content.length;if(L.length===0||L.content.length===0){for(;g>0&&!(0,R.isEOL)(E,g-1);)g--;for(;h<E.length&&!(0,R.isEOL)(E,h);)h++}const p=(0,R.format)(E,{offset:g,length:h-g},f);for(let v=p.length-1;v>=0;v--){const l=p[v];E=n(E,l),g=Math.min(g,l.offset),h=Math.max(h,l.offset+l.length),h+=l.content.length-l.length}const S=i.length-(E.length-h)-g;return[{offset:g,length:S,content:E.substring(g,h)}]}e.withFormatting=P;function n(i,L){return i.substring(0,L.offset)+L.content+i.substring(L.offset+L.length)}e.applyEdit=n;function y(i,L){let f=L.slice(0).sort((g,h)=>{const p=g.offset-h.offset;return p===0?g.length-h.length:p}),E=i.length;for(let g=f.length-1;g>=0;g--){let h=f[g];if(h.offset+h.length<=E)i=n(i,h);else throw new Error("Overlapping edit");E=h.offset}return i}e.applyEdits=y}),define(Q[56],J([0,1,19]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvedKeybinding=e.ResolvedKeybindingPart=e.ChordKeybinding=e.SimpleKeybinding=e.createSimpleKeybinding=e.createKeybinding=e.KeyChord=e.KeyMod=e.KeyCodeUtils=e.KeyCode=void 0;var R;(function(l){l[l.Unknown=0]="Unknown",l[l.Backspace=1]="Backspace",l[l.Tab=2]="Tab",l[l.Enter=3]="Enter",l[l.Shift=4]="Shift",l[l.Ctrl=5]="Ctrl",l[l.Alt=6]="Alt",l[l.PauseBreak=7]="PauseBreak",l[l.CapsLock=8]="CapsLock",l[l.Escape=9]="Escape",l[l.Space=10]="Space",l[l.PageUp=11]="PageUp",l[l.PageDown=12]="PageDown",l[l.End=13]="End",l[l.Home=14]="Home",l[l.LeftArrow=15]="LeftArrow",l[l.UpArrow=16]="UpArrow",l[l.RightArrow=17]="RightArrow",l[l.DownArrow=18]="DownArrow",l[l.Insert=19]="Insert",l[l.Delete=20]="Delete",l[l.KEY_0=21]="KEY_0",l[l.KEY_1=22]="KEY_1",l[l.KEY_2=23]="KEY_2",l[l.KEY_3=24]="KEY_3",l[l.KEY_4=25]="KEY_4",l[l.KEY_5=26]="KEY_5",l[l.KEY_6=27]="KEY_6",l[l.KEY_7=28]="KEY_7",l[l.KEY_8=29]="KEY_8",l[l.KEY_9=30]="KEY_9",l[l.KEY_A=31]="KEY_A",l[l.KEY_B=32]="KEY_B",l[l.KEY_C=33]="KEY_C",l[l.KEY_D=34]="KEY_D",l[l.KEY_E=35]="KEY_E",l[l.KEY_F=36]="KEY_F",l[l.KEY_G=37]="KEY_G",l[l.KEY_H=38]="KEY_H",l[l.KEY_I=39]="KEY_I",l[l.KEY_J=40]="KEY_J",l[l.KEY_K=41]="KEY_K",l[l.KEY_L=42]="KEY_L",l[l.KEY_M=43]="KEY_M",l[l.KEY_N=44]="KEY_N",l[l.KEY_O=45]="KEY_O",l[l.KEY_P=46]="KEY_P",l[l.KEY_Q=47]="KEY_Q",l[l.KEY_R=48]="KEY_R",l[l.KEY_S=49]="KEY_S",l[l.KEY_T=50]="KEY_T",l[l.KEY_U=51]="KEY_U",l[l.KEY_V=52]="KEY_V",l[l.KEY_W=53]="KEY_W",l[l.KEY_X=54]="KEY_X",l[l.KEY_Y=55]="KEY_Y",l[l.KEY_Z=56]="KEY_Z",l[l.Meta=57]="Meta",l[l.ContextMenu=58]="ContextMenu",l[l.F1=59]="F1",l[l.F2=60]="F2",l[l.F3=61]="F3",l[l.F4=62]="F4",l[l.F5=63]="F5",l[l.F6=64]="F6",l[l.F7=65]="F7",l[l.F8=66]="F8",l[l.F9=67]="F9",l[l.F10=68]="F10",l[l.F11=69]="F11",l[l.F12=70]="F12",l[l.F13=71]="F13",l[l.F14=72]="F14",l[l.F15=73]="F15",l[l.F16=74]="F16",l[l.F17=75]="F17",l[l.F18=76]="F18",l[l.F19=77]="F19",l[l.NumLock=78]="NumLock",l[l.ScrollLock=79]="ScrollLock",l[l.US_SEMICOLON=80]="US_SEMICOLON",l[l.US_EQUAL=81]="US_EQUAL",l[l.US_COMMA=82]="US_COMMA",l[l.US_MINUS=83]="US_MINUS",l[l.US_DOT=84]="US_DOT",l[l.US_SLASH=85]="US_SLASH",l[l.US_BACKTICK=86]="US_BACKTICK",l[l.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",l[l.US_BACKSLASH=88]="US_BACKSLASH",l[l.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",l[l.US_QUOTE=90]="US_QUOTE",l[l.OEM_8=91]="OEM_8",l[l.OEM_102=92]="OEM_102",l[l.NUMPAD_0=93]="NUMPAD_0",l[l.NUMPAD_1=94]="NUMPAD_1",l[l.NUMPAD_2=95]="NUMPAD_2",l[l.NUMPAD_3=96]="NUMPAD_3",l[l.NUMPAD_4=97]="NUMPAD_4",l[l.NUMPAD_5=98]="NUMPAD_5",l[l.NUMPAD_6=99]="NUMPAD_6",l[l.NUMPAD_7=100]="NUMPAD_7",l[l.NUMPAD_8=101]="NUMPAD_8",l[l.NUMPAD_9=102]="NUMPAD_9",l[l.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",l[l.NUMPAD_ADD=104]="NUMPAD_ADD",l[l.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",l[l.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",l[l.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",l[l.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",l[l.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",l[l.ABNT_C1=110]="ABNT_C1",l[l.ABNT_C2=111]="ABNT_C2",l[l.MAX_VALUE=112]="MAX_VALUE"})(R=e.KeyCode||(e.KeyCode={}));class D{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(c,a){this._keyCodeToStr[c]=a,this._strToKeyCode[a.toLowerCase()]=c}keyCodeToStr(c){return this._keyCodeToStr[c]}strToKeyCode(c){return this._strToKeyCode[c.toLowerCase()]||0}}const b=new D,P=new D,n=new D;(function(){function l(c,a,s=a,t=s){b.define(c,a),P.define(c,s),n.define(c,t)}l(0,"unknown"),l(1,"Backspace"),l(2,"Tab"),l(3,"Enter"),l(4,"Shift"),l(5,"Ctrl"),l(6,"Alt"),l(7,"PauseBreak"),l(8,"CapsLock"),l(9,"Escape"),l(10,"Space"),l(11,"PageUp"),l(12,"PageDown"),l(13,"End"),l(14,"Home"),l(15,"LeftArrow","Left"),l(16,"UpArrow","Up"),l(17,"RightArrow","Right"),l(18,"DownArrow","Down"),l(19,"Insert"),l(20,"Delete"),l(21,"0"),l(22,"1"),l(23,"2"),l(24,"3"),l(25,"4"),l(26,"5"),l(27,"6"),l(28,"7"),l(29,"8"),l(30,"9"),l(31,"A"),l(32,"B"),l(33,"C"),l(34,"D"),l(35,"E"),l(36,"F"),l(37,"G"),l(38,"H"),l(39,"I"),l(40,"J"),l(41,"K"),l(42,"L"),l(43,"M"),l(44,"N"),l(45,"O"),l(46,"P"),l(47,"Q"),l(48,"R"),l(49,"S"),l(50,"T"),l(51,"U"),l(52,"V"),l(53,"W"),l(54,"X"),l(55,"Y"),l(56,"Z"),l(57,"Meta"),l(58,"ContextMenu"),l(59,"F1"),l(60,"F2"),l(61,"F3"),l(62,"F4"),l(63,"F5"),l(64,"F6"),l(65,"F7"),l(66,"F8"),l(67,"F9"),l(68,"F10"),l(69,"F11"),l(70,"F12"),l(71,"F13"),l(72,"F14"),l(73,"F15"),l(74,"F16"),l(75,"F17"),l(76,"F18"),l(77,"F19"),l(78,"NumLock"),l(79,"ScrollLock"),l(80,";",";","OEM_1"),l(81,"=","=","OEM_PLUS"),l(82,",",",","OEM_COMMA"),l(83,"-","-","OEM_MINUS"),l(84,".",".","OEM_PERIOD"),l(85,"/","/","OEM_2"),l(86,"`","`","OEM_3"),l(110,"ABNT_C1"),l(111,"ABNT_C2"),l(87,"[","[","OEM_4"),l(88,"\\","\\","OEM_5"),l(89,"]","]","OEM_6"),l(90,"'","'","OEM_7"),l(91,"OEM_8"),l(92,"OEM_102"),l(93,"NumPad0"),l(94,"NumPad1"),l(95,"NumPad2"),l(96,"NumPad3"),l(97,"NumPad4"),l(98,"NumPad5"),l(99,"NumPad6"),l(100,"NumPad7"),l(101,"NumPad8"),l(102,"NumPad9"),l(103,"NumPad_Multiply"),l(104,"NumPad_Add"),l(105,"NumPad_Separator"),l(106,"NumPad_Subtract"),l(107,"NumPad_Decimal"),l(108,"NumPad_Divide")})();var y;(function(l){function c(o){return b.keyCodeToStr(o)}l.toString=c;function a(o){return b.strToKeyCode(o)}l.fromString=a;function s(o){return P.keyCodeToStr(o)}l.toUserSettingsUS=s;function t(o){return n.keyCodeToStr(o)}l.toUserSettingsGeneral=t;function r(o){return P.strToKeyCode(o)||n.strToKeyCode(o)}l.fromUserSettings=r})(y=e.KeyCodeUtils||(e.KeyCodeUtils={}));var i;(function(l){l[l.CtrlCmd=2048]="CtrlCmd",l[l.Shift=1024]="Shift",l[l.Alt=512]="Alt",l[l.WinCtrl=256]="WinCtrl",l[l.KeyCode=255]="KeyCode"})(i||(i={}));var L;(function(l){l[l.CtrlCmd=2048]="CtrlCmd",l[l.Shift=1024]="Shift",l[l.Alt=512]="Alt",l[l.WinCtrl=256]="WinCtrl"})(L=e.KeyMod||(e.KeyMod={}));function f(l,c){const a=(c&65535)<<16>>>0;return(l|a)>>>0}e.KeyChord=f;function E(l,c){if(l===0)return null;const a=(l&65535)>>>0,s=(l&4294901760)>>>16;return s!==0?new p([g(a,c),g(s,c)]):new p([g(a,c)])}e.createKeybinding=E;function g(l,c){const a=!!(l&2048),s=!!(l&256),t=c===2?s:a,r=!!(l&1024),o=!!(l&512),d=c===2?a:s,u=l&255;return new h(t,r,o,d,u)}e.createSimpleKeybinding=g;class h{constructor(c,a,s,t,r){this.ctrlKey=c,this.shiftKey=a,this.altKey=s,this.metaKey=t,this.keyCode=r}equals(c){return this.ctrlKey===c.ctrlKey&&this.shiftKey===c.shiftKey&&this.altKey===c.altKey&&this.metaKey===c.metaKey&&this.keyCode===c.keyCode}getHashCode(){const c=this.ctrlKey?"1":"0",a=this.shiftKey?"1":"0",s=this.altKey?"1":"0",t=this.metaKey?"1":"0";return`${c}${a}${s}${t}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new p([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}e.SimpleKeybinding=h;class p{constructor(c){if(c.length===0)throw(0,w.illegalArgument)("parts");this.parts=c}getHashCode(){let c="";for(let a=0,s=this.parts.length;a<s;a++)a!==0&&(c+=";"),c+=this.parts[a].getHashCode();return c}equals(c){if(c===null||this.parts.length!==c.parts.length)return!1;for(let a=0;a<this.parts.length;a++)if(!this.parts[a].equals(c.parts[a]))return!1;return!0}}e.ChordKeybinding=p;class S{constructor(c,a,s,t,r,o){this.ctrlKey=c,this.shiftKey=a,this.altKey=s,this.metaKey=t,this.keyLabel=r,this.keyAriaLabel=o}}e.ResolvedKeybindingPart=S;class v{}e.ResolvedKeybinding=v}),define(Q[2],J([0,1,43,63]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const D=!1;let b=null;function P(c){b=c}if(e.setDisposableTracker=P,D){const c="__is_disposable_tracked__";b=new class{trackDisposable(a){const s=new Error("Potentially leaked disposable").stack;setTimeout(()=>{a[c]||console.log(s)},3e3)}markTracked(a){if(a&&a!==p.None)try{a[c]=!0}catch(s){}}}}function n(c){!b||b.markTracked(c)}function y(c){return b&&b.trackDisposable(c),c}e.trackDisposable=y;class i extends Error{constructor(a){super(`Encountered errors while disposing of store. Errors: [${a.join(", ")}]`);this.errors=a}}e.MultiDisposeError=i;function L(c){return typeof c.dispose=="function"&&c.dispose.length===0}e.isDisposable=L;function f(c){if(R.Iterable.is(c)){let a=[];for(const s of c)if(s){n(s);try{s.dispose()}catch(t){a.push(t)}}if(a.length===1)throw a[0];if(a.length>1)throw new i(a);return Array.isArray(c)?[]:c}else if(c)return n(c),c.dispose(),c}e.dispose=f;function E(...c){return c.forEach(n),g(()=>f(c))}e.combinedDisposable=E;function g(c){const a=y({dispose:()=>{n(a),c()}});return a}e.toDisposable=g;class h{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(n(this),this._isDisposed=!0,this.clear())}clear(){try{f(this._toDispose.values())}finally{this._toDispose.clear()}}add(a){if(!a)return a;if(a===this)throw new Error("Cannot register a disposable on itself!");return n(a),this._isDisposed?h.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(a),a}}e.DisposableStore=h,h.DISABLE_DISPOSED_WARNING=!1;class p{constructor(){this._store=new h,y(this)}dispose(){n(this),this._store.dispose()}_register(a){if(a===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(a)}}e.Disposable=p,p.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,y(this)}get value(){return this._isDisposed?void 0:this._value}set value(a){var s;this._isDisposed||a===this._value||((s=this._value)===null||s===void 0||s.dispose(),a&&n(a),this._value=a)}clear(){this.value=void 0}dispose(){var a;this._isDisposed=!0,n(this),(a=this._value)===null||a===void 0||a.dispose(),this._value=void 0}}e.MutableDisposable=S;class v{constructor(){this.references=new Map}acquire(a,...s){let t=this.references.get(a);t||(t={counter:0,object:this.createReferencedObject(a,...s)},this.references.set(a,t));const{object:r}=t,o=(0,w.once)(()=>{--t.counter==0&&(this.destroyReferencedObject(a,t.object),this.references.delete(a))});return t.counter++,{object:r,dispose:o}}}e.ReferenceCollection=v;class l{constructor(a){this.object=a}dispose(){}}e.ImmortalReference=l}),define(Q[75],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class w{constructor(b){this.element=b,this.next=w.Undefined,this.prev=w.Undefined}}w.Undefined=new w(void 0);class R{constructor(){this._first=w.Undefined,this._last=w.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===w.Undefined}clear(){this._first=w.Undefined,this._last=w.Undefined,this._size=0}unshift(b){return this._insert(b,!1)}push(b){return this._insert(b,!0)}_insert(b,P){const n=new w(b);if(this._first===w.Undefined)this._first=n,this._last=n;else if(P){const i=this._last;this._last=n,n.prev=i,i.next=n}else{const i=this._first;this._first=n,n.next=i,i.prev=n}this._size+=1;let y=!1;return()=>{y||(y=!0,this._remove(n))}}shift(){if(this._first!==w.Undefined){const b=this._first.element;return this._remove(this._first),b}}pop(){if(this._last!==w.Undefined){const b=this._last.element;return this._remove(this._last),b}}_remove(b){if(b.prev!==w.Undefined&&b.next!==w.Undefined){const P=b.prev;P.next=b.next,b.next.prev=P}else b.prev===w.Undefined&&b.next===w.Undefined?(this._first=w.Undefined,this._last=w.Undefined):b.next===w.Undefined?(this._last=this._last.prev,this._last.next=w.Undefined):b.prev===w.Undefined&&(this._first=this._first.next,this._first.prev=w.Undefined);this._size-=1}*[Symbol.iterator](){let b=this._first;for(;b!==w.Undefined;)yield b.element,b=b.next}}e.LinkedList=R});"use strict";(function(){function H(D){const b=[];typeof D=="number"&&b.push("code/timeOrigin",D);function P(y){b.push(y,Date.now())}function n(){const y=[];for(let i=0;i<b.length;i+=2)y.push({name:b[i],startTime:b[i+1]});return y}return{mark:P,getMarks:n}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?H():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const b=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const P of performance.getEntriesByType("mark"))b.push({name:P.name,startTime:Math.round(D+P.startTime)});return b}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return H(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),H()}function w(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=e()),D.MonacoPerformanceMarks}var R;typeof global=="object"?R=global:typeof self=="object"?R=self:R={},typeof define=="function"?define("vs/base/common/performance",[],function(){return w(R)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=w(R):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),R.perf=w(R))})(),define(Q[3],J([0,1]),function(H,e){"use strict";var w;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const R="en";let D=!1,b=!1,P=!1,n=!1,y=!1,i=!1,L=!1,f,E=R,g,h;const p=typeof self=="object"?self:typeof global=="object"?global:{};let S;typeof process!="undefined"?S=process:typeof p.vscode!="undefined"&&(S=p.vscode.process);const v=typeof((w=S==null?void 0:S.versions)===null||w===void 0?void 0:w.electron)=="string"&&S.type==="renderer";if(e.isElectronSandboxed=v&&(S==null?void 0:S.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const u=S==null?void 0:S.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof u=="string")return u==="none"||u==="code"||u==="bypassHeatCheck"||u==="bypassHeatCheckAndEagerCompile"?u:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!v)h=navigator.userAgent,D=h.indexOf("Windows")>=0,b=h.indexOf("Macintosh")>=0,L=(h.indexOf("Macintosh")>=0||h.indexOf("iPad")>=0||h.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,P=h.indexOf("Linux")>=0,i=!0,f=navigator.language,E=f;else if(typeof S=="object"){D=S.platform==="win32",b=S.platform==="darwin",P=S.platform==="linux",n=P&&!!S.env.SNAP&&!!S.env.SNAP_REVISION,f=R,E=R;const u=S.env.VSCODE_NLS_CONFIG;if(u)try{const m=JSON.parse(u),I=m.availableLanguages["*"];f=m.locale,E=I||R,g=m._translationsConfigFile}catch(m){}y=!0}else console.error("Unable to resolve platform.");var l;(function(u){u[u.Web=0]="Web",u[u.Mac=1]="Mac",u[u.Linux=2]="Linux",u[u.Windows=3]="Windows"})(l=e.Platform||(e.Platform={}));function c(u){switch(u){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=c;let a=0;b?a=1:D?a=3:P&&(a=2),e.isWindows=D,e.isMacintosh=b,e.isLinux=P,e.isLinuxSnap=n,e.isNative=y,e.isWeb=i,e.isIOS=L,e.platform=a,e.userAgent=h,e.language=E;var s;(function(u){function m(){return e.language}u.value=m;function I(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}u.isDefaultVariant=I;function A(){return e.language==="en"}u.isDefault=A})(s=e.Language||(e.Language={})),e.locale=f,e.translationsConfigFile=g,e.globals=p,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let I=[];e.globals.addEventListener("message",F=>{if(F.data&&F.data.vscodeSetImmediateId)for(let C=0,j=I.length;C<j;C++){const G=I[C];if(G.id===F.data.vscodeSetImmediateId){I.splice(C,1),G.callback();return}}});let A=0;return F=>{const C=++A;I.push({id:C,callback:F}),e.globals.postMessage({vscodeSetImmediateId:C},"*")}}if(typeof(S==null?void 0:S.nextTick)=="function")return S.nextTick.bind(S);const m=Promise.resolve();return I=>m.then(I)}();var t;(function(u){u[u.Windows=1]="Windows",u[u.Macintosh=2]="Macintosh",u[u.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=b||L?2:D?1:3;let r=!0,o=!1;function d(){if(!o){o=!0;const u=new Uint8Array(2);u[0]=1,u[1]=2,r=new Uint16Array(u.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=d}),define(Q[35],J([0,1,3]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let R;if(typeof process!="undefined")R={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(D){return process.nextTick(D)}};else if(typeof w.globals.vscode!="undefined"){const D=w.globals.vscode.process;R={get platform(){return D.platform},get env(){return D.env},cwd(){return D.cwd()},nextTick(b){return(0,w.setImmediate)(b)}}}else R={get platform(){return w.isWindows?"win32":w.isMacintosh?"darwin":"linux"},nextTick(D){return(0,w.setImmediate)(D)},get env(){return Object.create(null)},cwd(){return"/"}};e.cwd=R.cwd,e.env=R.env,e.platform=R.platform,e.nextTick=R.nextTick}),define(Q[8],J([0,1,35]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const R=65,D=97,b=90,P=122,n=46,y=47,i=92,L=58,f=63;class E extends Error{constructor(a,s,t){let r;typeof s=="string"&&s.indexOf("not ")===0?(r="must not be",s=s.replace(/^not /,"")):r="must be";const o=a.indexOf(".")!==-1?"property":"argument";let d=`The "${a}" ${o} ${r} of type ${s}`;d+=`. Received type ${typeof t}`,super(d),this.code="ERR_INVALID_ARG_TYPE"}}function g(c,a){if(typeof c!="string")throw new E(a,"string",c)}function h(c){return c===y||c===i}function p(c){return c===y}function S(c){return c>=R&&c<=b||c>=D&&c<=P}function v(c,a,s,t){let r="",o=0,d=-1,u=0,m=0;for(let I=0;I<=c.length;++I){if(I<c.length)m=c.charCodeAt(I);else{if(t(m))break;m=y}if(t(m)){if(!(d===I-1||u===1))if(u===2){if(r.length<2||o!==2||r.charCodeAt(r.length-1)!==n||r.charCodeAt(r.length-2)!==n){if(r.length>2){const A=r.lastIndexOf(s);A===-1?(r="",o=0):(r=r.slice(0,A),o=r.length-1-r.lastIndexOf(s)),d=I,u=0;continue}else if(r.length!==0){r="",o=0,d=I,u=0;continue}}a&&(r+=r.length>0?`${s}..`:"..",o=2)}else r.length>0?r+=`${s}${c.slice(d+1,I)}`:r=c.slice(d+1,I),o=I-d-1;d=I,u=0}else m===n&&u!==-1?++u:u=-1}return r}function l(c,a){if(a===null||typeof a!="object")throw new E("pathObject","Object",a);const s=a.dir||a.root,t=a.base||`${a.name||""}${a.ext||""}`;return s?s===a.root?`${s}${t}`:`${s}${c}${t}`:t}e.win32={resolve(...c){let a="",s="",t=!1;for(let r=c.length-1;r>=-1;r--){let o;if(r>=0){if(o=c[r],g(o,"path"),o.length===0)continue}else a.length===0?o=w.cwd():(o=w.env[`=${a}`]||w.cwd(),(o===void 0||o.slice(0,2).toLowerCase()!==a.toLowerCase()&&o.charCodeAt(2)===i)&&(o=`${a}\\`));const d=o.length;let u=0,m="",I=!1;const A=o.charCodeAt(0);if(d===1)h(A)&&(u=1,I=!0);else if(h(A))if(I=!0,h(o.charCodeAt(1))){let F=2,C=F;for(;F<d&&!h(o.charCodeAt(F));)F++;if(F<d&&F!==C){const j=o.slice(C,F);for(C=F;F<d&&h(o.charCodeAt(F));)F++;if(F<d&&F!==C){for(C=F;F<d&&!h(o.charCodeAt(F));)F++;(F===d||F!==C)&&(m=`\\\\${j}\\${o.slice(C,F)}`,u=F)}}}else u=1;else S(A)&&o.charCodeAt(1)===L&&(m=o.slice(0,2),u=2,d>2&&h(o.charCodeAt(2))&&(I=!0,u=3));if(m.length>0)if(a.length>0){if(m.toLowerCase()!==a.toLowerCase())continue}else a=m;if(t){if(a.length>0)break}else if(s=`${o.slice(u)}\\${s}`,t=I,I&&a.length>0)break}return s=v(s,!t,"\\",h),t?`${a}\\${s}`:`${a}${s}`||"."},normalize(c){g(c,"path");const a=c.length;if(a===0)return".";let s=0,t,r=!1;const o=c.charCodeAt(0);if(a===1)return p(o)?"\\":c;if(h(o))if(r=!0,h(c.charCodeAt(1))){let u=2,m=u;for(;u<a&&!h(c.charCodeAt(u));)u++;if(u<a&&u!==m){const I=c.slice(m,u);for(m=u;u<a&&h(c.charCodeAt(u));)u++;if(u<a&&u!==m){for(m=u;u<a&&!h(c.charCodeAt(u));)u++;if(u===a)return`\\\\${I}\\${c.slice(m)}\\`;u!==m&&(t=`\\\\${I}\\${c.slice(m,u)}`,s=u)}}}else s=1;else S(o)&&c.charCodeAt(1)===L&&(t=c.slice(0,2),s=2,a>2&&h(c.charCodeAt(2))&&(r=!0,s=3));let d=s<a?v(c.slice(s),!r,"\\",h):"";return d.length===0&&!r&&(d="."),d.length>0&&h(c.charCodeAt(a-1))&&(d+="\\"),t===void 0?r?`\\${d}`:d:r?`${t}\\${d}`:`${t}${d}`},isAbsolute(c){g(c,"path");const a=c.length;if(a===0)return!1;const s=c.charCodeAt(0);return h(s)||a>2&&S(s)&&c.charCodeAt(1)===L&&h(c.charCodeAt(2))},join(...c){if(c.length===0)return".";let a,s;for(let o=0;o<c.length;++o){const d=c[o];g(d,"path"),d.length>0&&(a===void 0?a=s=d:a+=`\\${d}`)}if(a===void 0)return".";let t=!0,r=0;if(typeof s=="string"&&h(s.charCodeAt(0))){++r;const o=s.length;o>1&&h(s.charCodeAt(1))&&(++r,o>2&&(h(s.charCodeAt(2))?++r:t=!1))}if(t){for(;r<a.length&&h(a.charCodeAt(r));)r++;r>=2&&(a=`\\${a.slice(r)}`)}return e.win32.normalize(a)},relative(c,a){if(g(c,"from"),g(a,"to"),c===a)return"";const s=e.win32.resolve(c),t=e.win32.resolve(a);if(s===t||(c=s.toLowerCase(),a=t.toLowerCase(),c===a))return"";let r=0;for(;r<c.length&&c.charCodeAt(r)===i;)r++;let o=c.length;for(;o-1>r&&c.charCodeAt(o-1)===i;)o--;const d=o-r;let u=0;for(;u<a.length&&a.charCodeAt(u)===i;)u++;let m=a.length;for(;m-1>u&&a.charCodeAt(m-1)===i;)m--;const I=m-u,A=d<I?d:I;let F=-1,C=0;for(;C<A;C++){const G=c.charCodeAt(r+C);if(G!==a.charCodeAt(u+C))break;G===i&&(F=C)}if(C!==A){if(F===-1)return t}else{if(I>A){if(a.charCodeAt(u+C)===i)return t.slice(u+C+1);if(C===2)return t.slice(u+C)}d>A&&(c.charCodeAt(r+C)===i?F=C:C===2&&(F=3)),F===-1&&(F=0)}let j="";for(C=r+F+1;C<=o;++C)(C===o||c.charCodeAt(C)===i)&&(j+=j.length===0?"..":"\\..");return u+=F,j.length>0?`${j}${t.slice(u,m)}`:(t.charCodeAt(u)===i&&++u,t.slice(u,m))},toNamespacedPath(c){if(typeof c!="string")return c;if(c.length===0)return"";const a=e.win32.resolve(c);if(a.length<=2)return c;if(a.charCodeAt(0)===i){if(a.charCodeAt(1)===i){const s=a.charCodeAt(2);if(s!==f&&s!==n)return`\\\\?\\UNC\\${a.slice(2)}`}}else if(S(a.charCodeAt(0))&&a.charCodeAt(1)===L&&a.charCodeAt(2)===i)return`\\\\?\\${a}`;return c},dirname(c){g(c,"path");const a=c.length;if(a===0)return".";let s=-1,t=0;const r=c.charCodeAt(0);if(a===1)return h(r)?c:".";if(h(r)){if(s=t=1,h(c.charCodeAt(1))){let u=2,m=u;for(;u<a&&!h(c.charCodeAt(u));)u++;if(u<a&&u!==m){for(m=u;u<a&&h(c.charCodeAt(u));)u++;if(u<a&&u!==m){for(m=u;u<a&&!h(c.charCodeAt(u));)u++;if(u===a)return c;u!==m&&(s=t=u+1)}}}}else S(r)&&c.charCodeAt(1)===L&&(s=a>2&&h(c.charCodeAt(2))?3:2,t=s);let o=-1,d=!0;for(let u=a-1;u>=t;--u)if(h(c.charCodeAt(u))){if(!d){o=u;break}}else d=!1;if(o===-1){if(s===-1)return".";o=s}return c.slice(0,o)},basename(c,a){a!==void 0&&g(a,"ext"),g(c,"path");let s=0,t=-1,r=!0,o;if(c.length>=2&&S(c.charCodeAt(0))&&c.charCodeAt(1)===L&&(s=2),a!==void 0&&a.length>0&&a.length<=c.length){if(a===c)return"";let d=a.length-1,u=-1;for(o=c.length-1;o>=s;--o){const m=c.charCodeAt(o);if(h(m)){if(!r){s=o+1;break}}else u===-1&&(r=!1,u=o+1),d>=0&&(m===a.charCodeAt(d)?--d==-1&&(t=o):(d=-1,t=u))}return s===t?t=u:t===-1&&(t=c.length),c.slice(s,t)}for(o=c.length-1;o>=s;--o)if(h(c.charCodeAt(o))){if(!r){s=o+1;break}}else t===-1&&(r=!1,t=o+1);return t===-1?"":c.slice(s,t)},extname(c){g(c,"path");let a=0,s=-1,t=0,r=-1,o=!0,d=0;c.length>=2&&c.charCodeAt(1)===L&&S(c.charCodeAt(0))&&(a=t=2);for(let u=c.length-1;u>=a;--u){const m=c.charCodeAt(u);if(h(m)){if(!o){t=u+1;break}continue}r===-1&&(o=!1,r=u+1),m===n?s===-1?s=u:d!==1&&(d=1):s!==-1&&(d=-1)}return s===-1||r===-1||d===0||d===1&&s===r-1&&s===t+1?"":c.slice(s,r)},format:l.bind(null,"\\"),parse(c){g(c,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return a;const s=c.length;let t=0,r=c.charCodeAt(0);if(s===1)return h(r)?(a.root=a.dir=c,a):(a.base=a.name=c,a);if(h(r)){if(t=1,h(c.charCodeAt(1))){let F=2,C=F;for(;F<s&&!h(c.charCodeAt(F));)F++;if(F<s&&F!==C){for(C=F;F<s&&h(c.charCodeAt(F));)F++;if(F<s&&F!==C){for(C=F;F<s&&!h(c.charCodeAt(F));)F++;F===s?t=F:F!==C&&(t=F+1)}}}}else if(S(r)&&c.charCodeAt(1)===L){if(s<=2)return a.root=a.dir=c,a;if(t=2,h(c.charCodeAt(2))){if(s===3)return a.root=a.dir=c,a;t=3}}t>0&&(a.root=c.slice(0,t));let o=-1,d=t,u=-1,m=!0,I=c.length-1,A=0;for(;I>=t;--I){if(r=c.charCodeAt(I),h(r)){if(!m){d=I+1;break}continue}u===-1&&(m=!1,u=I+1),r===n?o===-1?o=I:A!==1&&(A=1):o!==-1&&(A=-1)}return u!==-1&&(o===-1||A===0||A===1&&o===u-1&&o===d+1?a.base=a.name=c.slice(d,u):(a.name=c.slice(d,o),a.base=c.slice(d,u),a.ext=c.slice(o,u))),d>0&&d!==t?a.dir=c.slice(0,d-1):a.dir=a.root,a},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...c){let a="",s=!1;for(let t=c.length-1;t>=-1&&!s;t--){const r=t>=0?c[t]:w.cwd();g(r,"path"),r.length!==0&&(a=`${r}/${a}`,s=r.charCodeAt(0)===y)}return a=v(a,!s,"/",p),s?`/${a}`:a.length>0?a:"."},normalize(c){if(g(c,"path"),c.length===0)return".";const a=c.charCodeAt(0)===y,s=c.charCodeAt(c.length-1)===y;return c=v(c,!a,"/",p),c.length===0?a?"/":s?"./":".":(s&&(c+="/"),a?`/${c}`:c)},isAbsolute(c){return g(c,"path"),c.length>0&&c.charCodeAt(0)===y},join(...c){if(c.length===0)return".";let a;for(let s=0;s<c.length;++s){const t=c[s];g(t,"path"),t.length>0&&(a===void 0?a=t:a+=`/${t}`)}return a===void 0?".":e.posix.normalize(a)},relative(c,a){if(g(c,"from"),g(a,"to"),c===a||(c=e.posix.resolve(c),a=e.posix.resolve(a),c===a))return"";const s=1,t=c.length,r=t-s,o=1,d=a.length-o,u=r<d?r:d;let m=-1,I=0;for(;I<u;I++){const F=c.charCodeAt(s+I);if(F!==a.charCodeAt(o+I))break;F===y&&(m=I)}if(I===u)if(d>u){if(a.charCodeAt(o+I)===y)return a.slice(o+I+1);if(I===0)return a.slice(o+I)}else r>u&&(c.charCodeAt(s+I)===y?m=I:I===0&&(m=0));let A="";for(I=s+m+1;I<=t;++I)(I===t||c.charCodeAt(I)===y)&&(A+=A.length===0?"..":"/..");return`${A}${a.slice(o+m)}`},toNamespacedPath(c){return c},dirname(c){if(g(c,"path"),c.length===0)return".";const a=c.charCodeAt(0)===y;let s=-1,t=!0;for(let r=c.length-1;r>=1;--r)if(c.charCodeAt(r)===y){if(!t){s=r;break}}else t=!1;return s===-1?a?"/":".":a&&s===1?"//":c.slice(0,s)},basename(c,a){a!==void 0&&g(a,"ext"),g(c,"path");let s=0,t=-1,r=!0,o;if(a!==void 0&&a.length>0&&a.length<=c.length){if(a===c)return"";let d=a.length-1,u=-1;for(o=c.length-1;o>=0;--o){const m=c.charCodeAt(o);if(m===y){if(!r){s=o+1;break}}else u===-1&&(r=!1,u=o+1),d>=0&&(m===a.charCodeAt(d)?--d==-1&&(t=o):(d=-1,t=u))}return s===t?t=u:t===-1&&(t=c.length),c.slice(s,t)}for(o=c.length-1;o>=0;--o)if(c.charCodeAt(o)===y){if(!r){s=o+1;break}}else t===-1&&(r=!1,t=o+1);return t===-1?"":c.slice(s,t)},extname(c){g(c,"path");let a=-1,s=0,t=-1,r=!0,o=0;for(let d=c.length-1;d>=0;--d){const u=c.charCodeAt(d);if(u===y){if(!r){s=d+1;break}continue}t===-1&&(r=!1,t=d+1),u===n?a===-1?a=d:o!==1&&(o=1):a!==-1&&(o=-1)}return a===-1||t===-1||o===0||o===1&&a===t-1&&a===s+1?"":c.slice(a,t)},format:l.bind(null,"/"),parse(c){g(c,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return a;const s=c.charCodeAt(0)===y;let t;s?(a.root="/",t=1):t=0;let r=-1,o=0,d=-1,u=!0,m=c.length-1,I=0;for(;m>=t;--m){const A=c.charCodeAt(m);if(A===y){if(!u){o=m+1;break}continue}d===-1&&(u=!1,d=m+1),A===n?r===-1?r=m:I!==1&&(I=1):r!==-1&&(I=-1)}if(d!==-1){const A=o===0&&s?1:o;r===-1||I===0||I===1&&r===d-1&&r===o+1?a.base=a.name=c.slice(A,d):(a.name=c.slice(A,r),a.base=c.slice(A,d),a.ext=c.slice(r,d))}return o>0?a.dir=c.slice(0,o-1):s&&(a.dir="/"),a},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=w.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=w.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=w.platform==="win32"?e.win32.join:e.posix.join,e.resolve=w.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=w.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=w.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=w.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=w.platform==="win32"?e.win32.extname:e.posix.extname,e.format=w.platform==="win32"?e.win32.format:e.posix.format,e.parse=w.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=w.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=w.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=w.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(Q[76],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ScanCodeBinding=e.IMMUTABLE_KEY_CODE_TO_CODE=e.IMMUTABLE_CODE_TO_KEY_CODE=e.ScanCodeUtils=e.ScanCode=void 0;var w;(function(n){n[n.None=0]="None",n[n.Hyper=1]="Hyper",n[n.Super=2]="Super",n[n.Fn=3]="Fn",n[n.FnLock=4]="FnLock",n[n.Suspend=5]="Suspend",n[n.Resume=6]="Resume",n[n.Turbo=7]="Turbo",n[n.Sleep=8]="Sleep",n[n.WakeUp=9]="WakeUp",n[n.KeyA=10]="KeyA",n[n.KeyB=11]="KeyB",n[n.KeyC=12]="KeyC",n[n.KeyD=13]="KeyD",n[n.KeyE=14]="KeyE",n[n.KeyF=15]="KeyF",n[n.KeyG=16]="KeyG",n[n.KeyH=17]="KeyH",n[n.KeyI=18]="KeyI",n[n.KeyJ=19]="KeyJ",n[n.KeyK=20]="KeyK",n[n.KeyL=21]="KeyL",n[n.KeyM=22]="KeyM",n[n.KeyN=23]="KeyN",n[n.KeyO=24]="KeyO",n[n.KeyP=25]="KeyP",n[n.KeyQ=26]="KeyQ",n[n.KeyR=27]="KeyR",n[n.KeyS=28]="KeyS",n[n.KeyT=29]="KeyT",n[n.KeyU=30]="KeyU",n[n.KeyV=31]="KeyV",n[n.KeyW=32]="KeyW",n[n.KeyX=33]="KeyX",n[n.KeyY=34]="KeyY",n[n.KeyZ=35]="KeyZ",n[n.Digit1=36]="Digit1",n[n.Digit2=37]="Digit2",n[n.Digit3=38]="Digit3",n[n.Digit4=39]="Digit4",n[n.Digit5=40]="Digit5",n[n.Digit6=41]="Digit6",n[n.Digit7=42]="Digit7",n[n.Digit8=43]="Digit8",n[n.Digit9=44]="Digit9",n[n.Digit0=45]="Digit0",n[n.Enter=46]="Enter",n[n.Escape=47]="Escape",n[n.Backspace=48]="Backspace",n[n.Tab=49]="Tab",n[n.Space=50]="Space",n[n.Minus=51]="Minus",n[n.Equal=52]="Equal",n[n.BracketLeft=53]="BracketLeft",n[n.BracketRight=54]="BracketRight",n[n.Backslash=55]="Backslash",n[n.IntlHash=56]="IntlHash",n[n.Semicolon=57]="Semicolon",n[n.Quote=58]="Quote",n[n.Backquote=59]="Backquote",n[n.Comma=60]="Comma",n[n.Period=61]="Period",n[n.Slash=62]="Slash",n[n.CapsLock=63]="CapsLock",n[n.F1=64]="F1",n[n.F2=65]="F2",n[n.F3=66]="F3",n[n.F4=67]="F4",n[n.F5=68]="F5",n[n.F6=69]="F6",n[n.F7=70]="F7",n[n.F8=71]="F8",n[n.F9=72]="F9",n[n.F10=73]="F10",n[n.F11=74]="F11",n[n.F12=75]="F12",n[n.PrintScreen=76]="PrintScreen",n[n.ScrollLock=77]="ScrollLock",n[n.Pause=78]="Pause",n[n.Insert=79]="Insert",n[n.Home=80]="Home",n[n.PageUp=81]="PageUp",n[n.Delete=82]="Delete",n[n.End=83]="End",n[n.PageDown=84]="PageDown",n[n.ArrowRight=85]="ArrowRight",n[n.ArrowLeft=86]="ArrowLeft",n[n.ArrowDown=87]="ArrowDown",n[n.ArrowUp=88]="ArrowUp",n[n.NumLock=89]="NumLock",n[n.NumpadDivide=90]="NumpadDivide",n[n.NumpadMultiply=91]="NumpadMultiply",n[n.NumpadSubtract=92]="NumpadSubtract",n[n.NumpadAdd=93]="NumpadAdd",n[n.NumpadEnter=94]="NumpadEnter",n[n.Numpad1=95]="Numpad1",n[n.Numpad2=96]="Numpad2",n[n.Numpad3=97]="Numpad3",n[n.Numpad4=98]="Numpad4",n[n.Numpad5=99]="Numpad5",n[n.Numpad6=100]="Numpad6",n[n.Numpad7=101]="Numpad7",n[n.Numpad8=102]="Numpad8",n[n.Numpad9=103]="Numpad9",n[n.Numpad0=104]="Numpad0",n[n.NumpadDecimal=105]="NumpadDecimal",n[n.IntlBackslash=106]="IntlBackslash",n[n.ContextMenu=107]="ContextMenu",n[n.Power=108]="Power",n[n.NumpadEqual=109]="NumpadEqual",n[n.F13=110]="F13",n[n.F14=111]="F14",n[n.F15=112]="F15",n[n.F16=113]="F16",n[n.F17=114]="F17",n[n.F18=115]="F18",n[n.F19=116]="F19",n[n.F20=117]="F20",n[n.F21=118]="F21",n[n.F22=119]="F22",n[n.F23=120]="F23",n[n.F24=121]="F24",n[n.Open=122]="Open",n[n.Help=123]="Help",n[n.Select=124]="Select",n[n.Again=125]="Again",n[n.Undo=126]="Undo",n[n.Cut=127]="Cut",n[n.Copy=128]="Copy",n[n.Paste=129]="Paste",n[n.Find=130]="Find",n[n.AudioVolumeMute=131]="AudioVolumeMute",n[n.AudioVolumeUp=132]="AudioVolumeUp",n[n.AudioVolumeDown=133]="AudioVolumeDown",n[n.NumpadComma=134]="NumpadComma",n[n.IntlRo=135]="IntlRo",n[n.KanaMode=136]="KanaMode",n[n.IntlYen=137]="IntlYen",n[n.Convert=138]="Convert",n[n.NonConvert=139]="NonConvert",n[n.Lang1=140]="Lang1",n[n.Lang2=141]="Lang2",n[n.Lang3=142]="Lang3",n[n.Lang4=143]="Lang4",n[n.Lang5=144]="Lang5",n[n.Abort=145]="Abort",n[n.Props=146]="Props",n[n.NumpadParenLeft=147]="NumpadParenLeft",n[n.NumpadParenRight=148]="NumpadParenRight",n[n.NumpadBackspace=149]="NumpadBackspace",n[n.NumpadMemoryStore=150]="NumpadMemoryStore",n[n.NumpadMemoryRecall=151]="NumpadMemoryRecall",n[n.NumpadMemoryClear=152]="NumpadMemoryClear",n[n.NumpadMemoryAdd=153]="NumpadMemoryAdd",n[n.NumpadMemorySubtract=154]="NumpadMemorySubtract",n[n.NumpadClear=155]="NumpadClear",n[n.NumpadClearEntry=156]="NumpadClearEntry",n[n.ControlLeft=157]="ControlLeft",n[n.ShiftLeft=158]="ShiftLeft",n[n.AltLeft=159]="AltLeft",n[n.MetaLeft=160]="MetaLeft",n[n.ControlRight=161]="ControlRight",n[n.ShiftRight=162]="ShiftRight",n[n.AltRight=163]="AltRight",n[n.MetaRight=164]="MetaRight",n[n.BrightnessUp=165]="BrightnessUp",n[n.BrightnessDown=166]="BrightnessDown",n[n.MediaPlay=167]="MediaPlay",n[n.MediaRecord=168]="MediaRecord",n[n.MediaFastForward=169]="MediaFastForward",n[n.MediaRewind=170]="MediaRewind",n[n.MediaTrackNext=171]="MediaTrackNext",n[n.MediaTrackPrevious=172]="MediaTrackPrevious",n[n.MediaStop=173]="MediaStop",n[n.Eject=174]="Eject",n[n.MediaPlayPause=175]="MediaPlayPause",n[n.MediaSelect=176]="MediaSelect",n[n.LaunchMail=177]="LaunchMail",n[n.LaunchApp2=178]="LaunchApp2",n[n.LaunchApp1=179]="LaunchApp1",n[n.SelectTask=180]="SelectTask",n[n.LaunchScreenSaver=181]="LaunchScreenSaver",n[n.BrowserSearch=182]="BrowserSearch",n[n.BrowserHome=183]="BrowserHome",n[n.BrowserBack=184]="BrowserBack",n[n.BrowserForward=185]="BrowserForward",n[n.BrowserStop=186]="BrowserStop",n[n.BrowserRefresh=187]="BrowserRefresh",n[n.BrowserFavorites=188]="BrowserFavorites",n[n.ZoomToggle=189]="ZoomToggle",n[n.MailReply=190]="MailReply",n[n.MailForward=191]="MailForward",n[n.MailSend=192]="MailSend",n[n.MAX_VALUE=193]="MAX_VALUE"})(w=e.ScanCode||(e.ScanCode={}));const R=[],D=Object.create(null),b=Object.create(null);e.ScanCodeUtils={lowerCaseToEnum:n=>b[n]||0,toEnum:n=>D[n]||0,toString:n=>R[n]||"None"},e.IMMUTABLE_CODE_TO_KEY_CODE=[],e.IMMUTABLE_KEY_CODE_TO_CODE=[];class P{constructor(y,i,L,f,E){this.ctrlKey=y,this.shiftKey=i,this.altKey=L,this.metaKey=f,this.scanCode=E}equals(y){return this.ctrlKey===y.ctrlKey&&this.shiftKey===y.shiftKey&&this.altKey===y.altKey&&this.metaKey===y.metaKey&&this.scanCode===y.scanCode}isDuplicateModifierCase(){return this.ctrlKey&&(this.scanCode===157||this.scanCode===161)||this.shiftKey&&(this.scanCode===158||this.scanCode===162)||this.altKey&&(this.scanCode===159||this.scanCode===163)||this.metaKey&&(this.scanCode===160||this.scanCode===164)}}e.ScanCodeBinding=P,function(){function n(y,i){R[y]=i,D[i]=y,b[i.toLowerCase()]=y}n(0,"None"),n(1,"Hyper"),n(2,"Super"),n(3,"Fn"),n(4,"FnLock"),n(5,"Suspend"),n(6,"Resume"),n(7,"Turbo"),n(8,"Sleep"),n(9,"WakeUp"),n(10,"KeyA"),n(11,"KeyB"),n(12,"KeyC"),n(13,"KeyD"),n(14,"KeyE"),n(15,"KeyF"),n(16,"KeyG"),n(17,"KeyH"),n(18,"KeyI"),n(19,"KeyJ"),n(20,"KeyK"),n(21,"KeyL"),n(22,"KeyM"),n(23,"KeyN"),n(24,"KeyO"),n(25,"KeyP"),n(26,"KeyQ"),n(27,"KeyR"),n(28,"KeyS"),n(29,"KeyT"),n(30,"KeyU"),n(31,"KeyV"),n(32,"KeyW"),n(33,"KeyX"),n(34,"KeyY"),n(35,"KeyZ"),n(36,"Digit1"),n(37,"Digit2"),n(38,"Digit3"),n(39,"Digit4"),n(40,"Digit5"),n(41,"Digit6"),n(42,"Digit7"),n(43,"Digit8"),n(44,"Digit9"),n(45,"Digit0"),n(46,"Enter"),n(47,"Escape"),n(48,"Backspace"),n(49,"Tab"),n(50,"Space"),n(51,"Minus"),n(52,"Equal"),n(53,"BracketLeft"),n(54,"BracketRight"),n(55,"Backslash"),n(56,"IntlHash"),n(57,"Semicolon"),n(58,"Quote"),n(59,"Backquote"),n(60,"Comma"),n(61,"Period"),n(62,"Slash"),n(63,"CapsLock"),n(64,"F1"),n(65,"F2"),n(66,"F3"),n(67,"F4"),n(68,"F5"),n(69,"F6"),n(70,"F7"),n(71,"F8"),n(72,"F9"),n(73,"F10"),n(74,"F11"),n(75,"F12"),n(76,"PrintScreen"),n(77,"ScrollLock"),n(78,"Pause"),n(79,"Insert"),n(80,"Home"),n(81,"PageUp"),n(82,"Delete"),n(83,"End"),n(84,"PageDown"),n(85,"ArrowRight"),n(86,"ArrowLeft"),n(87,"ArrowDown"),n(88,"ArrowUp"),n(89,"NumLock"),n(90,"NumpadDivide"),n(91,"NumpadMultiply"),n(92,"NumpadSubtract"),n(93,"NumpadAdd"),n(94,"NumpadEnter"),n(95,"Numpad1"),n(96,"Numpad2"),n(97,"Numpad3"),n(98,"Numpad4"),n(99,"Numpad5"),n(100,"Numpad6"),n(101,"Numpad7"),n(102,"Numpad8"),n(103,"Numpad9"),n(104,"Numpad0"),n(105,"NumpadDecimal"),n(106,"IntlBackslash"),n(107,"ContextMenu"),n(108,"Power"),n(109,"NumpadEqual"),n(110,"F13"),n(111,"F14"),n(112,"F15"),n(113,"F16"),n(114,"F17"),n(115,"F18"),n(116,"F19"),n(117,"F20"),n(118,"F21"),n(119,"F22"),n(120,"F23"),n(121,"F24"),n(122,"Open"),n(123,"Help"),n(124,"Select"),n(125,"Again"),n(126,"Undo"),n(127,"Cut"),n(128,"Copy"),n(129,"Paste"),n(130,"Find"),n(131,"AudioVolumeMute"),n(132,"AudioVolumeUp"),n(133,"AudioVolumeDown"),n(134,"NumpadComma"),n(135,"IntlRo"),n(136,"KanaMode"),n(137,"IntlYen"),n(138,"Convert"),n(139,"NonConvert"),n(140,"Lang1"),n(141,"Lang2"),n(142,"Lang3"),n(143,"Lang4"),n(144,"Lang5"),n(145,"Abort"),n(146,"Props"),n(147,"NumpadParenLeft"),n(148,"NumpadParenRight"),n(149,"NumpadBackspace"),n(150,"NumpadMemoryStore"),n(151,"NumpadMemoryRecall"),n(152,"NumpadMemoryClear"),n(153,"NumpadMemoryAdd"),n(154,"NumpadMemorySubtract"),n(155,"NumpadClear"),n(156,"NumpadClearEntry"),n(157,"ControlLeft"),n(158,"ShiftLeft"),n(159,"AltLeft"),n(160,"MetaLeft"),n(161,"ControlRight"),n(162,"ShiftRight"),n(163,"AltRight"),n(164,"MetaRight"),n(165,"BrightnessUp"),n(166,"BrightnessDown"),n(167,"MediaPlay"),n(168,"MediaRecord"),n(169,"MediaFastForward"),n(170,"MediaRewind"),n(171,"MediaTrackNext"),n(172,"MediaTrackPrevious"),n(173,"MediaStop"),n(174,"Eject"),n(175,"MediaPlayPause"),n(176,"MediaSelect"),n(177,"LaunchMail"),n(178,"LaunchApp2"),n(179,"LaunchApp1"),n(180,"SelectTask"),n(181,"LaunchScreenSaver"),n(182,"BrowserSearch"),n(183,"BrowserHome"),n(184,"BrowserBack"),n(185,"BrowserForward"),n(186,"BrowserStop"),n(187,"BrowserRefresh"),n(188,"BrowserFavorites"),n(189,"ZoomToggle"),n(190,"MailReply"),n(191,"MailForward"),n(192,"MailSend")}(),function(){for(let y=0;y<=193;y++)e.IMMUTABLE_CODE_TO_KEY_CODE[y]=-1;for(let y=0;y<=112;y++)e.IMMUTABLE_KEY_CODE_TO_CODE[y]=-1;function n(y,i){e.IMMUTABLE_CODE_TO_KEY_CODE[y]=i,i!==0&&i!==3&&i!==5&&i!==4&&i!==6&&i!==57&&(e.IMMUTABLE_KEY_CODE_TO_CODE[i]=y)}e.IMMUTABLE_KEY_CODE_TO_CODE[3]=46,n(0,0),n(1,0),n(2,0),n(3,0),n(4,0),n(5,0),n(6,0),n(7,0),n(8,0),n(9,0),n(46,3),n(47,9),n(48,1),n(49,2),n(50,10),n(63,8),n(64,59),n(65,60),n(66,61),n(67,62),n(68,63),n(69,64),n(70,65),n(71,66),n(72,67),n(73,68),n(74,69),n(75,70),n(76,0),n(77,79),n(78,7),n(79,19),n(80,14),n(81,11),n(82,20),n(83,13),n(84,12),n(85,17),n(86,15),n(87,18),n(88,16),n(89,78),n(90,108),n(91,103),n(92,106),n(93,104),n(94,3),n(95,94),n(96,95),n(97,96),n(98,97),n(99,98),n(100,99),n(101,100),n(102,101),n(103,102),n(104,93),n(105,107),n(107,58),n(108,0),n(109,0),n(110,71),n(111,72),n(112,73),n(113,74),n(114,75),n(115,76),n(116,77),n(117,0),n(118,0),n(119,0),n(120,0),n(121,0),n(122,0),n(123,0),n(124,0),n(125,0),n(126,0),n(127,0),n(128,0),n(129,0),n(130,0),n(131,0),n(132,0),n(133,0),n(134,105),n(136,0),n(138,0),n(139,0),n(140,0),n(141,0),n(142,0),n(143,0),n(144,0),n(145,0),n(146,0),n(147,0),n(148,0),n(149,0),n(150,0),n(151,0),n(152,0),n(153,0),n(154,0),n(155,0),n(156,0),n(157,5),n(158,4),n(159,6),n(160,57),n(161,5),n(162,4),n(163,6),n(164,57),n(165,0),n(166,0),n(167,0),n(168,0),n(169,0),n(170,0),n(171,0),n(172,0),n(173,0),n(174,0),n(175,0),n(176,0),n(177,0),n(178,0),n(179,0),n(180,0),n(181,0),n(182,0),n(183,0),n(184,0),n(185,0),n(186,0),n(187,0),n(188,0),n(189,0),n(190,0),n(191,0),n(192,0)}()}),define(Q[102],J([0,1,56,76]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingParser=void 0;class D{static _readModifiers(P){P=P.toLowerCase().trim();let n=!1,y=!1,i=!1,L=!1,f;do f=!1,/^ctrl(\+|\-)/.test(P)&&(n=!0,P=P.substr("ctrl-".length),f=!0),/^shift(\+|\-)/.test(P)&&(y=!0,P=P.substr("shift-".length),f=!0),/^alt(\+|\-)/.test(P)&&(i=!0,P=P.substr("alt-".length),f=!0),/^meta(\+|\-)/.test(P)&&(L=!0,P=P.substr("meta-".length),f=!0),/^win(\+|\-)/.test(P)&&(L=!0,P=P.substr("win-".length),f=!0),/^cmd(\+|\-)/.test(P)&&(L=!0,P=P.substr("cmd-".length),f=!0);while(f);let E;const g=P.indexOf(" ");return g>0?(E=P.substring(0,g),P=P.substring(g)):(E=P,P=""),{remains:P,ctrl:n,shift:y,alt:i,meta:L,key:E}}static parseSimpleKeybinding(P){const n=this._readModifiers(P),y=w.KeyCodeUtils.fromUserSettings(n.key);return[new w.SimpleKeybinding(n.ctrl,n.shift,n.alt,n.meta,y),n.remains]}static parseKeybinding(P,n){if(!P)return null;const y=[];let i;do[i,P]=this.parseSimpleKeybinding(P),y.push(i);while(P.length>0);return new w.ChordKeybinding(y)}static parseSimpleUserBinding(P){const n=this._readModifiers(P),y=n.key.match(/^\[([^\]]+)\]$/);if(y){const L=y[1],f=R.ScanCodeUtils.lowerCaseToEnum(L);return[new R.ScanCodeBinding(n.ctrl,n.shift,n.alt,n.meta,f),n.remains]}const i=w.KeyCodeUtils.fromUserSettings(n.key);return[new w.SimpleKeybinding(n.ctrl,n.shift,n.alt,n.meta,i),n.remains]}static parseUserBinding(P){if(!P)return[];const n=[];let y;for(;P.length>0;)[y,P]=this.parseSimpleUserBinding(P),n.push(y);return n}}e.KeybindingParser=D}),define(Q[103],J([0,1,3]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const R=w.globals.performance&&typeof w.globals.performance.now=="function";class D{constructor(P){this._highResolution=R&&P,this._startTime=this._now(),this._stopTime=-1}static create(P=!0){return new D(P)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?w.globals.performance.now():Date.now()}}e.StopWatch=D}),define(Q[4],J([0,1,19,43,2,75,103]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var n;(function(v){v.None=()=>D.Disposable.None;function l(V){return(N,B=null,U)=>{let $=!1,_;return _=V(k=>{if(!$)return _?_.dispose():$=!0,N.call(B,k)},null,U),$&&_.dispose(),_}}v.once=l;function c(V,N){return d((B,U=null,$)=>V(_=>B.call(U,N(_)),null,$))}v.map=c;function a(V,N){return d((B,U=null,$)=>V(_=>{N(_),B.call(U,_)},null,$))}v.forEach=a;function s(V,N){return d((B,U=null,$)=>V(_=>N(_)&&B.call(U,_),null,$))}v.filter=s;function t(V){return V}v.signal=t;function r(...V){return(N,B=null,U)=>(0,D.combinedDisposable)(...V.map($=>$(_=>N.call(B,_),null,U)))}v.any=r;function o(V,N,B){let U=B;return c(V,$=>(U=N(U,$),U))}v.reduce=o;function d(V){let N;const B=new E({onFirstListenerAdd(){N=V(B.fire,B)},onLastListenerRemove(){N.dispose()}});return B.event}v.snapshot=d;function u(V,N,B=100,U=!1,$){let _,k,M,O=0;const T=new E({leakWarningThreshold:$,onFirstListenerAdd(){_=V(W=>{O++,k=N(k,W),U&&!M&&(T.fire(k),k=void 0),clearTimeout(M),M=setTimeout(()=>{const z=k;k=void 0,M=void 0,(!U||O>1)&&T.fire(z),O=0},B)})},onLastListenerRemove(){_.dispose()}});return T.event}v.debounce=u;function m(V){const N=new Date().getTime();return c(l(V),B=>new Date().getTime()-N)}v.stopwatch=m;function I(V){let N=!0,B;return s(V,U=>{const $=N||U!==B;return N=!1,B=U,$})}v.latch=I;function A(V,N=!1,B=[]){let U=B.slice(),$=V(M=>{U?U.push(M):k.fire(M)});const _=()=>{U&&U.forEach(M=>k.fire(M)),U=null},k=new E({onFirstListenerAdd(){$||($=V(M=>k.fire(M)))},onFirstListenerDidAdd(){U&&(N?setTimeout(_):_())},onLastListenerRemove(){$&&$.dispose(),$=null}});return k.event}v.buffer=A;class F{constructor(N){this.event=N}map(N){return new F(c(this.event,N))}forEach(N){return new F(a(this.event,N))}filter(N){return new F(s(this.event,N))}reduce(N,B){return new F(o(this.event,N,B))}latch(){return new F(I(this.event))}debounce(N,B=100,U=!1,$){return new F(u(this.event,N,B,U,$))}on(N,B,U){return this.event(N,B,U)}once(N,B,U){return l(this.event)(N,B,U)}}function C(V){return new F(V)}v.chain=C;function j(V,N,B=U=>U){const U=(...M)=>k.fire(B(...M)),$=()=>V.on(N,U),_=()=>V.removeListener(N,U),k=new E({onFirstListenerAdd:$,onLastListenerRemove:_});return k.event}v.fromNodeEventEmitter=j;function G(V,N,B=U=>U){const U=(...M)=>k.fire(B(...M)),$=()=>V.addEventListener(N,U),_=()=>V.removeEventListener(N,U),k=new E({onFirstListenerAdd:$,onLastListenerRemove:_});return k.event}v.fromDOMEventEmitter=G;function ie(V){const N=new E;let B=!1;return V.then(void 0,()=>null).then(()=>{B?N.fire(void 0):setTimeout(()=>N.fire(void 0),0)}),B=!0,N.event}v.fromPromise=ie;function oe(V){return new Promise(N=>l(V)(N))}v.toPromise=oe})(n=e.Event||(e.Event={}));class y{constructor(l){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${l}_${y._idPool++}`}start(l){this._stopWatch=new P.StopWatch(!0),this._listenerCount=l}stop(){if(this._stopWatch){const l=this._stopWatch.elapsed();this._elapsedOverall+=l,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${l.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}y._idPool=0;let i=-1;function L(v){const l=i;return i=v,{dispose(){i=l}}}e.setGlobalLeakWarningThreshold=L;class f{constructor(l,c=Math.random().toString(18).slice(2,5)){this.customThreshold=l,this.name=c,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(l){let c=i;if(typeof this.customThreshold=="number"&&(c=this.customThreshold),!(c<=0||l<c)){this._stacks||(this._stacks=new Map);const a=new Error().stack.split(`
`).slice(3).join(`
`),s=this._stacks.get(a)||0;if(this._stacks.set(a,s+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=c*.5;let t,r=0;for(const[o,d]of this._stacks)(!t||r<d)&&(t=o,r=d);console.warn(`[${this.name}] potential listener LEAK detected, having ${l} listeners already. MOST frequent listener (${r}):`),console.warn(t)}return()=>{const t=this._stacks.get(a)||0;this._stacks.set(a,t-1)}}}}class E{constructor(l){var c;this._disposed=!1,this._options=l,this._leakageMon=i>0?new f(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((c=this._options)===null||c===void 0?void 0:c._profName)?new y(this._options._profName):void 0}get event(){return this._event||(this._event=(l,c,a)=>{var s;this._listeners||(this._listeners=new b.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const r=this._listeners.push(c?[l,c]:l);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,l,c);const o=(s=this._leakageMon)===null||s===void 0?void 0:s.check(this._listeners.size);let d;return d={dispose:()=>{o&&o(),d.dispose=E._noop,this._disposed||(r(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},a instanceof D.DisposableStore?a.add(d):Array.isArray(a)&&a.push(d),d}),this._event}fire(l){var c,a;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new b.LinkedList);for(let s of this._listeners)this._deliveryQueue.push([s,l]);for((c=this._perfMon)===null||c===void 0||c.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[s,t]=this._deliveryQueue.shift();try{typeof s=="function"?s.call(void 0,t):s[0].call(s[1],t)}catch(r){(0,w.onUnexpectedError)(r)}}(a=this._perfMon)===null||a===void 0||a.stop()}}dispose(){var l,c,a;(l=this._listeners)===null||l===void 0||l.clear(),(c=this._deliveryQueue)===null||c===void 0||c.clear(),(a=this._leakageMon)===null||a===void 0||a.dispose(),this._disposed=!0}}e.Emitter=E,E._noop=function(){};class g extends E{constructor(l){super(l);this._isPaused=0,this._eventQueue=new b.LinkedList,this._mergeFn=l==null?void 0:l.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const l=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(l))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(l){this._listeners&&(this._isPaused!==0?this._eventQueue.push(l):super.fire(l))}}e.PauseableEmitter=g;class h{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new E({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(l){const c={event:l,listener:null};this.events.push(c),this.hasListeners&&this.hook(c);const a=()=>{this.hasListeners&&this.unhook(c);const s=this.events.indexOf(c);this.events.splice(s,1)};return(0,D.toDisposable)((0,R.once)(a))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(l=>this.hook(l))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(l=>this.unhook(l))}hook(l){l.listener=l.event(c=>this.emitter.fire(c))}unhook(l){l.listener&&l.listener.dispose(),l.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=h;class p{constructor(){this.buffers=[]}wrapEvent(l){return(c,a,s)=>l(t=>{const r=this.buffers[this.buffers.length-1];r?r.push(()=>c.call(a,t)):c.call(a,t)},void 0,s)}bufferEvents(l){const c=[];this.buffers.push(c);const a=l();return this.buffers.pop(),c.forEach(s=>s()),a}}e.EventBufferer=p;class S{constructor(){this.listening=!1,this.inputEvent=n.None,this.inputEventListener=D.Disposable.None,this.emitter=new E({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(l){this.inputEvent=l,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=l(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=S}),define(Q[25],J([0,1,4]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const R=Object.freeze(function(n,y){const i=setTimeout(n.bind(y),0);return{dispose(){clearTimeout(i)}}});var D;(function(n){function y(i){return i===n.None||i===n.Cancelled||i instanceof b?!0:!i||typeof i!="object"?!1:typeof i.isCancellationRequested=="boolean"&&typeof i.onCancellationRequested=="function"}n.isCancellationToken=y,n.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:w.Event.None}),n.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:R})})(D=e.CancellationToken||(e.CancellationToken={}));class b{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?R:(this._emitter||(this._emitter=new w.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class P{constructor(y){this._token=void 0,this._parentListener=void 0,this._parentListener=y&&y.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new b),this._token}cancel(){this._token?this._token instanceof b&&this._token.cancel():this._token=D.Cancelled}dispose(y=!1){y&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof b&&this._token.dispose():this._token=D.None}}e.CancellationTokenSource=P}),define(Q[104],J([0,1,4]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class R{constructor(){this._icons=new Map,this._onDidRegister=new w.Emitter}add(L){const f=this._icons.get(L.id);f?L.description?f.description=L.description:console.error(`Duplicate registration of codicon ${L.id}`):(this._icons.set(L.id,L),this._onDidRegister.fire(L))}get(L){return this._icons.get(L)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const D=new R;e.iconRegistry=D;function b(i,L){return new P(i,L)}e.registerCodicon=b;class P{constructor(L,f,E){this.id=L,this.definition=f,this.description=E,D.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=P;function n(i,L){const f=["codicon","codicon-"+i];return L&&f.push("codicon-modifier-"+L),f}e.getClassNamesArray=n;var y;(function(i){i.iconNameSegment="[A-Za-z0-9]+",i.iconNameExpression="[A-Za-z0-9\\-]+",i.iconModifierExpression="~[A-Za-z]+";const L=new RegExp(`^(${i.iconNameExpression})(${i.iconModifierExpression})?$`);function f(h){if(h instanceof P)return["codicon","codicon-"+h.id];const p=L.exec(h.id);if(!p)return f(P.error);let[,S,v]=p;const l=["codicon","codicon-"+S];return v&&l.push("codicon-modifier-"+v.substr(1)),l}i.asClassNameArray=f;function E(h){return f(h).join(" ")}i.asClassName=E;function g(h){return"."+f(h).join(".")}i.asCSSSelector=g})(y=e.CSSIcon||(e.CSSIcon={})),function(i){i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",{fontCharacter:"\\ea60"}),i.gistNew=new i("gist-new",{fontCharacter:"\\ea60"}),i.repoCreate=new i("repo-create",{fontCharacter:"\\ea60"}),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personAdd=new i("person-add",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eb0a"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.debugStackframeDot=new i("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.workspaceTrusted=new i("workspace-trusted",{fontCharacter:"\\ebc1"}),i.workspaceUntrusted=new i("workspace-untrusted",{fontCharacter:"\\ebc2"}),i.workspaceUnknown=new i("workspace-unknown",{fontCharacter:"\\ebc3"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition)}(P=e.Codicon||(e.Codicon={}))}),define(Q[57],J([0,1,19,2]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function D(S){const v=S;return v&&[v.on,v.pause,v.resume,v.destroy].every(l=>typeof l=="function")}e.isReadableStream=D;function b(S){const v=S;return v&&D(v.stream)&&Array.isArray(v.buffer)&&typeof v.ended=="boolean"}e.isReadableBufferedStream=b;function P(S,v){return new n(S,v)}e.newWriteableStream=P;class n{constructor(v,l){this.reducer=v,this.options=l,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(v){var l;if(!this.state.destroyed){if(this.state.flowing)this.emitData(v);else if(this.buffer.data.push(v),typeof((l=this.options)===null||l===void 0?void 0:l.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(v){this.state.destroyed||(this.state.flowing?this.emitError(v):this.buffer.error.push(v))}end(v){this.state.destroyed||(typeof v!="undefined"&&this.write(v),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(v){this.listeners.data.slice(0).forEach(l=>l(v))}emitError(v){this.listeners.error.length===0?(0,w.onUnexpectedError)(v):this.listeners.error.slice(0).forEach(l=>l(v))}emitEnd(){this.listeners.end.slice(0).forEach(v=>v())}on(v,l){if(!this.state.destroyed)switch(v){case"data":this.listeners.data.push(l),this.resume();break;case"end":this.listeners.end.push(l),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(l),this.state.flowing&&this.flowErrors();break}}removeListener(v,l){if(!this.state.destroyed){let c;switch(v){case"data":c=this.listeners.data;break;case"end":c=this.listeners.end;break;case"error":c=this.listeners.error;break}if(c){const a=c.indexOf(l);a>=0&&c.splice(a,1)}}}flowData(){if(this.buffer.data.length>0){const v=this.reducer(this.buffer.data);this.emitData(v),this.buffer.data.length=0;const l=[...this.pendingWritePromises];this.pendingWritePromises.length=0,l.forEach(c=>c())}}flowErrors(){if(this.listeners.error.length>0){for(const v of this.buffer.error)this.emitError(v);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function y(S,v){const l=[];let c;for(;(c=S.read())!==null;)l.push(c);return v(l)}e.consumeReadable=y;function i(S,v,l){const c=[];let a;for(;(a=S.read())!==null&&c.length<l;)c.push(a);return a===null&&c.length>0?v(c):{read:()=>{if(c.length>0)return c.shift();if(typeof a!="undefined"){const s=a;return a=void 0,s}return S.read()}}}e.peekReadable=i;function L(S,v){return new Promise((l,c)=>{const a=[];f(S,{onData:s=>{v&&a.push(s)},onError:s=>{v?c(s):l(void 0)},onEnd:()=>{l(v?v(a):void 0)}})})}e.consumeStream=L;function f(S,v){S.on("error",l=>v.onError(l)),S.on("end",()=>v.onEnd()),S.on("data",l=>v.onData(l))}e.listenStream=f;function E(S,v){return new Promise((l,c)=>{const a=new R.DisposableStore,s=[],t=d=>{if(s.push(d),s.length>v)return a.dispose(),S.pause(),l({stream:S,buffer:s,ended:!1})},r=d=>c(d),o=()=>l({stream:S,buffer:s,ended:!0});a.add((0,R.toDisposable)(()=>S.removeListener("error",r))),S.on("error",r),a.add((0,R.toDisposable)(()=>S.removeListener("end",o))),S.on("end",o),a.add((0,R.toDisposable)(()=>S.removeListener("data",t))),S.on("data",t)})}e.peekStream=E;function g(S,v){const l=P(v);return l.end(S),l}e.toStream=g;function h(S){let v=!1;return{read:()=>v?null:(v=!0,S)}}e.toReadable=h;function p(S,v,l){const c=P(l);return f(S,{onData:a=>c.write(v.data(a)),onError:a=>c.error(v.error?v.error(a):a),onEnd:()=>c.end()}),c}e.transform=p}),define(Q[20],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function w(q){return!q||typeof q!="string"?!0:q.trim().length===0}e.isFalsyOrWhitespace=w;const R=/{(\d+)}/g;function D(q,...te){return te.length===0?q:q.replace(R,function(se,ae){const fe=parseInt(ae,10);return isNaN(fe)||fe<0||fe>=te.length?se:te[fe]})}e.format=D;function b(q){return q.replace(/[<>&]/g,function(te){switch(te){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return te}})}e.escape=b;function P(q){return q.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=P;function n(q,te){let se=0;const ae=te.charCodeAt(0);for(let fe=q.length-1;fe>=0;fe--)q.charCodeAt(fe)===ae&&se++;return se}e.count=n;function y(q,te,se="\u2026"){return q.length<=te?q:`${q.substr(0,te)}${se}`}e.truncate=y;function i(q,te=" "){const se=L(q,te);return f(se,te)}e.trim=i;function L(q,te){if(!q||!te)return q;const se=te.length;if(se===0||q.length===0)return q;let ae=0;for(;q.indexOf(te,ae)===ae;)ae=ae+se;return q.substring(ae)}e.ltrim=L;function f(q,te){if(!q||!te)return q;const se=te.length,ae=q.length;if(se===0||ae===0)return q;let fe=ae,we=-1;for(;we=q.lastIndexOf(te,fe-1),!(we===-1||we+se!==fe);){if(we===0)return"";fe=we}return q.substring(0,fe)}e.rtrim=f;function E(q){return q.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=E;function g(q){return q.replace(/\*/g,"")}e.stripWildcards=g;function h(q,te,se={}){if(!q)throw new Error("Cannot create regex from empty string");te||(q=P(q)),se.wholeWord&&(/\B/.test(q.charAt(0))||(q="\\b"+q),/\B/.test(q.charAt(q.length-1))||(q=q+"\\b"));let ae="";return se.global&&(ae+="g"),se.matchCase||(ae+="i"),se.multiline&&(ae+="m"),se.unicode&&(ae+="u"),new RegExp(q,ae)}e.createRegExp=h;function p(q){return q.source==="^"||q.source==="^$"||q.source==="$"||q.source==="^\\s*$"?!1:!!(q.exec("")&&q.lastIndex===0)}e.regExpLeadsToEndlessLoop=p;function S(q){return!!q.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=S;function v(q){return(q.global?"g":"")+(q.ignoreCase?"i":"")+(q.multiline?"m":"")+(q.unicode?"u":"")}e.regExpFlags=v;function l(q){return q.split(/\r\n|\r|\n/)}e.splitLines=l;function c(q){for(let te=0,se=q.length;te<se;te++){const ae=q.charCodeAt(te);if(ae!==32&&ae!==9)return te}return-1}e.firstNonWhitespaceIndex=c;function a(q,te=0,se=q.length){for(let ae=te;ae<se;ae++){const fe=q.charCodeAt(ae);if(fe!==32&&fe!==9)return q.substring(te,ae)}return q.substring(te,se)}e.getLeadingWhitespace=a;function s(q,te=q.length-1){for(let se=te;se>=0;se--){const ae=q.charCodeAt(se);if(ae!==32&&ae!==9)return se}return-1}e.lastNonWhitespaceIndex=s;function t(q,te){return q<te?-1:q>te?1:0}e.compare=t;function r(q,te,se=0,ae=q.length,fe=0,we=te.length){for(;se<ae&&fe<we;se++,fe++){let Oe=q.charCodeAt(se),We=te.charCodeAt(fe);if(Oe<We)return-1;if(Oe>We)return 1}const be=ae-se,Re=we-fe;return be<Re?-1:be>Re?1:0}e.compareSubstring=r;function o(q,te){return d(q,te,0,q.length,0,te.length)}e.compareIgnoreCase=o;function d(q,te,se=0,ae=q.length,fe=0,we=te.length){for(;se<ae&&fe<we;se++,fe++){let Oe=q.charCodeAt(se),We=te.charCodeAt(fe);if(Oe!==We){const Be=Oe-We;if(!(Be===32&&m(We))&&!(Be===-32&&m(Oe)))return u(Oe)&&u(We)?Be:r(q.toLowerCase(),te.toLowerCase(),se,ae,fe,we)}}const be=ae-se,Re=we-fe;return be<Re?-1:be>Re?1:0}e.compareSubstringIgnoreCase=d;function u(q){return q>=97&&q<=122}e.isLowerAsciiLetter=u;function m(q){return q>=65&&q<=90}e.isUpperAsciiLetter=m;function I(q){return u(q)||m(q)}function A(q,te){return q.length===te.length&&F(q,te)}e.equalsIgnoreCase=A;function F(q,te,se=q.length){for(let ae=0;ae<se;ae++){const fe=q.charCodeAt(ae),we=te.charCodeAt(ae);if(fe!==we){if(I(fe)&&I(we)){const be=Math.abs(fe-we);if(be!==0&&be!==32)return!1}else if(String.fromCharCode(fe).toLowerCase()!==String.fromCharCode(we).toLowerCase())return!1}}return!0}function C(q,te){const se=te.length;return te.length>q.length?!1:F(q,te,se)}e.startsWithIgnoreCase=C;function j(q,te){let se,ae=Math.min(q.length,te.length);for(se=0;se<ae;se++)if(q.charCodeAt(se)!==te.charCodeAt(se))return se;return ae}e.commonPrefixLength=j;function G(q,te){let se,ae=Math.min(q.length,te.length);const fe=q.length-1,we=te.length-1;for(se=0;se<ae;se++)if(q.charCodeAt(fe-se)!==te.charCodeAt(we-se))return se;return ae}e.commonSuffixLength=G;function ie(q){return 55296<=q&&q<=56319}e.isHighSurrogate=ie;function oe(q){return 56320<=q&&q<=57343}e.isLowSurrogate=oe;function V(q,te){return(q-55296<<10)+(te-56320)+65536}e.computeCodePoint=V;function N(q,te,se){const ae=q.charCodeAt(se);if(ie(ae)&&se+1<te){const fe=q.charCodeAt(se+1);if(oe(fe))return V(ae,fe)}return ae}e.getNextCodePoint=N;function B(q,te){const se=q.charCodeAt(te-1);if(oe(se)&&te>1){const ae=q.charCodeAt(te-2);if(ie(ae))return V(ae,se)}return se}function U(q,te){const se=Ce.getInstance(),ae=te,fe=q.length,we=N(q,fe,te);te+=we>=65536?2:1;let be=se.getGraphemeBreakType(we);for(;te<fe;){const Re=N(q,fe,te),Oe=se.getGraphemeBreakType(Re);if(Ke(be,Oe))break;te+=Re>=65536?2:1,be=Oe}return te-ae}e.nextCharLength=U;function $(q,te){const se=Ce.getInstance(),ae=te,fe=B(q,te);te-=fe>=65536?2:1;let we=se.getGraphemeBreakType(fe);for(;te>0;){const be=B(q,te),Re=se.getGraphemeBreakType(be);if(Ke(Re,we))break;te-=be>=65536?2:1,we=Re}return ae-te}e.prevCharLength=$;function _(q,te){const se=Ce.getInstance(),ae=q.length,fe=te,we=N(q,ae,te),be=se.getGraphemeBreakType(we);te+=we>=65536?2:1;let Re=be;for(;te<ae;){const We=N(q,ae,te),Be=se.getGraphemeBreakType(We);if(Ke(Re,Be))break;te+=We>=65536?2:1,Re=Be}const Oe=te;for(te=fe,Re=be;te>0;){const We=B(q,te),Be=se.getGraphemeBreakType(We);if(Ke(Be,Re))break;te-=We>=65536?2:1,Re=Be}return[te,Oe]}function k(q,te){return te>0&&oe(q.charCodeAt(te))?_(q,te-1):_(q,te)}e.getCharContainingOffset=k;function M(q){const te=q.length;let se=0,ae=0;for(;ae<te;){const be=N(q,te,ae);ae+=be>=65536?2:1,be<128?se+=1:be<2048?se+=2:be<65536?se+=3:se+=4}const fe=new Uint8Array(se);ae=0;let we=0;for(;ae<te;){const be=N(q,te,ae);ae+=be>=65536?2:1,be<128?fe[we++]=be:be<2048?(fe[we++]=192|(be&1984)>>>6,fe[we++]=128|(be&63)>>>0):be<65536?(fe[we++]=224|(be&61440)>>>12,fe[we++]=128|(be&4032)>>>6,fe[we++]=128|(be&63)>>>0):(fe[we++]=240|(be&1835008)>>>18,fe[we++]=128|(be&258048)>>>12,fe[we++]=128|(be&4032)>>>6,fe[we++]=128|(be&63)>>>0)}return fe}e.encodeUTF8=M;function O(q){const te=q.byteLength,se=[];let ae=0;for(;ae<te;){const fe=q[ae];let we;if(fe>=240&&ae+3<te?we=(q[ae++]&7)<<18>>>0|(q[ae++]&63)<<12>>>0|(q[ae++]&63)<<6>>>0|(q[ae++]&63)<<0>>>0:fe>=224&&ae+2<te?we=(q[ae++]&15)<<12>>>0|(q[ae++]&63)<<6>>>0|(q[ae++]&63)<<0>>>0:fe>=192&&ae+1<te?we=(q[ae++]&31)<<6>>>0|(q[ae++]&63)<<0>>>0:we=q[ae++],we>=0&&we<=55295||we>=57344&&we<=65535)se.push(String.fromCharCode(we));else if(we>=65536&&we<=1114111){const be=we-65536,Re=55296+((be&1047552)>>>10),Oe=56320+((be&1023)>>>0);se.push(String.fromCharCode(Re)),se.push(String.fromCharCode(Oe))}else se.push(String.fromCharCode(65533))}return se.join("")}e.decodeUTF8=O;const T=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function W(q){return T.test(q)}e.containsRTL=W;const z=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function K(q){return z.test(q)}e.containsEmoji=K;const X=/^[\t\n\r\x20-\x7E]*$/;function Z(q){return X.test(q)}e.isBasicASCII=Z,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Y(q){return e.UNUSUAL_LINE_TERMINATORS.test(q)}e.containsUnusualLineTerminators=Y;function ee(q){for(let te=0,se=q.length;te<se;te++)if(re(q.charCodeAt(te)))return!0;return!1}e.containsFullWidthCharacter=ee;function re(q){return q=+q,q>=11904&&q<=55215||q>=63744&&q<=64255||q>=65281&&q<=65374}e.isFullWidthCharacter=re;function ne(q){return q>=127462&&q<=127487||q===8986||q===8987||q===9200||q===9203||q>=9728&&q<=10175||q===11088||q===11093||q>=127744&&q<=128591||q>=128640&&q<=128764||q>=128992&&q<=129003||q>=129280&&q<=129535||q>=129648&&q<=129750}e.isEmojiImprecise=ne;function ue(q,te){if(q.length<te)return q;const se=/\b/g;let ae=0;for(;se.test(q)&&!(q.length-se.lastIndex<te);)ae=se.lastIndex,se.lastIndex+=1;return q.substring(ae).replace(/^\s/,"")}e.lcut=ue;const ve=/\x1B\x5B[12]?K/g,de=/\x1b\[\d+m/g,he=/\x1b\[0?m/g;function me(q){return q&&(q=q.replace(ve,""),q=q.replace(de,""),q=q.replace(he,"")),q}e.removeAnsiEscapeCodes=me,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ke(q){return!!(q&&q.length>0&&q.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ke;function Le(q){return ke(q)?q.substr(1):q}e.stripUTF8BOM=Le;function je(q,te){if(!q||!te||q.length<te.length)return!1;const se=te.length,ae=q.toLowerCase();let fe=0,we=-1;for(;fe<se;){const be=ae.indexOf(te[fe],we+1);if(be<0)return!1;we=be,fe++}return!0}e.fuzzyContains=je;function Fe(q,te=!1){return q?(te&&(q=q.replace(/\\./g,"")),q.toLowerCase()!==q):!1}e.containsUppercaseCharacter=Fe;function He(q){return q.charAt(0).toUpperCase()+q.slice(1)}e.uppercaseFirstLetter=He;function Ze(q,te=1){if(te===0)return"";let se=-1;do se=q.indexOf(`
`,se+1),te--;while(te>0&&se>=0);return se===-1?q:(q[se-1]==="\r"&&se--,q.substr(0,se))}e.getNLines=Ze;function Ye(q){const te=90-65+1;return q=q%(2*te),q<te?String.fromCharCode(97+q):String.fromCharCode(65+q-te)}e.singleLetterHash=Ye;function nt(q){return Ce.getInstance().getGraphemeBreakType(q)}e.getGraphemeBreakType=nt;function Ke(q,te){return q===0?te!==5&&te!==7:q===2&&te===3?!1:q===4||q===2||q===3||te===4||te===2||te===3?!0:!(q===8&&(te===8||te===9||te===11||te===12)||(q===11||q===9)&&(te===9||te===10)||(q===12||q===10)&&te===10||te===5||te===13||te===7||q===1||q===13&&te===14||q===6&&te===6)}e.breakBetweenGraphemeBreakType=Ke;var rt;(function(q){q[q.Other=0]="Other",q[q.Prepend=1]="Prepend",q[q.CR=2]="CR",q[q.LF=3]="LF",q[q.Control=4]="Control",q[q.Extend=5]="Extend",q[q.Regional_Indicator=6]="Regional_Indicator",q[q.SpacingMark=7]="SpacingMark",q[q.L=8]="L",q[q.V=9]="V",q[q.T=10]="T",q[q.LV=11]="LV",q[q.LVT=12]="LVT",q[q.ZWJ=13]="ZWJ",q[q.Extended_Pictographic=14]="Extended_Pictographic"})(rt=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ce{constructor(){this._data=st()}static getInstance(){return Ce._INSTANCE||(Ce._INSTANCE=new Ce),Ce._INSTANCE}getGraphemeBreakType(te){if(te<32)return te===10?3:te===13?2:4;if(te<127)return 0;const se=this._data,ae=se.length/3;let fe=1;for(;fe<=ae;)if(te<se[3*fe])fe=2*fe;else if(te>se[3*fe+1])fe=2*fe+1;else return se[3*fe+2];return 0}}Ce._INSTANCE=null;function st(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(Q[21],J([0,1,20,57]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const D=typeof Buffer!="undefined",b=typeof TextEncoder!="undefined",P=typeof TextDecoder!="undefined";let n,y;class i{constructor(u){this.buffer=u,this.byteLength=this.buffer.byteLength}static alloc(u){return D?new i(Buffer.allocUnsafe(u)):new i(new Uint8Array(u))}static wrap(u){return D&&!Buffer.isBuffer(u)&&(u=Buffer.from(u.buffer,u.byteOffset,u.byteLength)),new i(u)}static fromString(u,m){return!((m==null?void 0:m.dontUseNodeBuffer)||!1)&&D?new i(Buffer.from(u)):b?(n||(n=new TextEncoder),new i(n.encode(u))):new i(w.encodeUTF8(u))}static concat(u,m){if(typeof m=="undefined"){m=0;for(let F=0,C=u.length;F<C;F++)m+=u[F].byteLength}const I=i.alloc(m);let A=0;for(let F=0,C=u.length;F<C;F++){const j=u[F];I.set(j,A),A+=j.byteLength}return I}toString(){return D?this.buffer.toString():P?(y||(y=new TextDecoder),y.decode(this.buffer)):w.decodeUTF8(this.buffer)}slice(u,m){return new i(this.buffer.subarray(u,m))}set(u,m){u instanceof i?this.buffer.set(u.buffer,m):this.buffer.set(u,m)}readUInt32BE(u){return E(this.buffer,u)}writeUInt32BE(u,m){g(this.buffer,u,m)}readUInt32LE(u){return h(this.buffer,u)}writeUInt32LE(u,m){p(this.buffer,u,m)}readUInt8(u){return S(this.buffer,u)}writeUInt8(u,m){v(this.buffer,u,m)}}e.VSBuffer=i;function L(d,u){return d[u+0]<<0>>>0|d[u+1]<<8>>>0}e.readUInt16LE=L;function f(d,u,m){d[m+0]=u&255,u=u>>>8,d[m+1]=u&255}e.writeUInt16LE=f;function E(d,u){return d[u]*2**24+d[u+1]*2**16+d[u+2]*2**8+d[u+3]}e.readUInt32BE=E;function g(d,u,m){d[m+3]=u,u=u>>>8,d[m+2]=u,u=u>>>8,d[m+1]=u,u=u>>>8,d[m]=u}e.writeUInt32BE=g;function h(d,u){return d[u+0]<<0>>>0|d[u+1]<<8>>>0|d[u+2]<<16>>>0|d[u+3]<<24>>>0}e.readUInt32LE=h;function p(d,u,m){d[m+0]=u&255,u=u>>>8,d[m+1]=u&255,u=u>>>8,d[m+2]=u&255,u=u>>>8,d[m+3]=u&255}e.writeUInt32LE=p;function S(d,u){return d[u]}e.readUInt8=S;function v(d,u,m){d[m]=u}e.writeUInt8=v;function l(d){return R.consumeReadable(d,u=>i.concat(u))}e.readableToBuffer=l;function c(d){return R.toReadable(d)}e.bufferToReadable=c;function a(d){return R.consumeStream(d,u=>i.concat(u))}e.streamToBuffer=a;async function s(d){return d.ended?i.concat(d.buffer):i.concat([...d.buffer,await a(d.stream)])}e.bufferedStreamToBuffer=s;function t(d){return R.toStream(d,u=>i.concat(u))}e.bufferToStream=t;function r(d){return R.transform(d,{data:u=>typeof u=="string"?i.fromString(u):i.wrap(u)},u=>i.concat(u))}e.streamToBufferReadableStream=r;function o(d){return R.newWriteableStream(u=>i.concat(u),d)}e.newWriteableBufferStream=o}),define(Q[77],J([0,1,20]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function R(v){return D(v,0)}e.hash=R;function D(v,l){switch(typeof v){case"object":return v===null?b(349,l):Array.isArray(v)?y(v,l):i(v,l);case"string":return n(v,l);case"boolean":return P(v,l);case"number":return b(v,l);case"undefined":return b(937,l);default:return b(617,l)}}e.doHash=D;function b(v,l){return(l<<5)-l+v|0}function P(v,l){return b(v?433:863,l)}function n(v,l){l=b(149417,l);for(let c=0,a=v.length;c<a;c++)l=b(v.charCodeAt(c),l);return l}e.stringHash=n;function y(v,l){return l=b(104579,l),v.reduce((c,a)=>D(a,c),l)}function i(v,l){return l=b(181387,l),Object.keys(v).sort().reduce((c,a)=>(c=n(a,c),D(v[a],c)),l)}class L{constructor(){this._value=0}get value(){return this._value}hash(l){return this._value=D(l,this._value),this._value}}e.Hasher=L;var f;(function(v){v[v.BLOCK_SIZE=64]="BLOCK_SIZE",v[v.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(f||(f={}));function E(v,l,c=32){const a=c-l,s=~((1<<a)-1);return(v<<l|(s&v)>>>a)>>>0}function g(v,l=0,c=v.byteLength,a=0){for(let s=0;s<c;s++)v[l+s]=a}function h(v,l,c="0"){for(;v.length<l;)v=c+v;return v}function p(v,l=32){return v instanceof ArrayBuffer?Array.from(new Uint8Array(v)).map(c=>c.toString(16).padStart(2,"0")).join(""):h((v>>>0).toString(16),l/4)}e.toHexString=p;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(l){const c=l.length;if(c!==0){const a=this._buff;let s=this._buffLen,t=this._leftoverHighSurrogate,r,o;for(t!==0?(r=t,o=-1,t=0):(r=l.charCodeAt(0),o=0);;){let d=r;if(w.isHighSurrogate(r))if(o+1<c){const u=l.charCodeAt(o+1);w.isLowSurrogate(u)?(o++,d=w.computeCodePoint(r,u)):d=65533}else{t=r;break}else w.isLowSurrogate(r)&&(d=65533);if(s=this._push(a,s,d),o++,o<c)r=l.charCodeAt(o);else break}this._buffLen=s,this._leftoverHighSurrogate=t}}_push(l,c,a){return a<128?l[c++]=a:a<2048?(l[c++]=192|(a&1984)>>>6,l[c++]=128|(a&63)>>>0):a<65536?(l[c++]=224|(a&61440)>>>12,l[c++]=128|(a&4032)>>>6,l[c++]=128|(a&63)>>>0):(l[c++]=240|(a&1835008)>>>18,l[c++]=128|(a&258048)>>>12,l[c++]=128|(a&4032)>>>6,l[c++]=128|(a&63)>>>0),c>=64&&(this._step(),c-=64,this._totalLen+=64,l[0]=l[64+0],l[1]=l[64+1],l[2]=l[64+2]),c}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),p(this._h0)+p(this._h1)+p(this._h2)+p(this._h3)+p(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,g(this._buff,this._buffLen),this._buffLen>56&&(this._step(),g(this._buff));const l=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(l/4294967296),!1),this._buffDV.setUint32(60,l%4294967296,!1),this._step()}_step(){const l=S._bigBlock32,c=this._buffDV;for(let I=0;I<64;I+=4)l.setUint32(I,c.getUint32(I,!1),!1);for(let I=64;I<320;I+=4)l.setUint32(I,E(l.getUint32(I-12,!1)^l.getUint32(I-32,!1)^l.getUint32(I-56,!1)^l.getUint32(I-64,!1),1),!1);let a=this._h0,s=this._h1,t=this._h2,r=this._h3,o=this._h4,d,u,m;for(let I=0;I<80;I++)I<20?(d=s&t|~s&r,u=1518500249):I<40?(d=s^t^r,u=1859775393):I<60?(d=s&t|s&r|t&r,u=2400959708):(d=s^t^r,u=3395469782),m=E(a,5)+d+o+u+l.getUint32(I*4,!1)&4294967295,o=r,r=t,t=E(s,30),s=a,a=m;this._h0=this._h0+a&4294967295,this._h1=this._h1+s&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+o&4294967295}}e.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),define(Q[13],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function w(u){return Array.isArray(u)}e.isArray=w;function R(u){return typeof u=="string"}e.isString=R;function D(u){return Array.isArray(u)&&u.every(m=>R(m))}e.isStringArray=D;function b(u){return typeof u=="object"&&u!==null&&!Array.isArray(u)&&!(u instanceof RegExp)&&!(u instanceof Date)}e.isObject=b;function P(u){return typeof u=="number"&&!isNaN(u)}e.isNumber=P;function n(u){return u===!0||u===!1}e.isBoolean=n;function y(u){return typeof u=="undefined"}e.isUndefined=y;function i(u){return!L(u)}e.isDefined=i;function L(u){return y(u)||u===null}e.isUndefinedOrNull=L;function f(u,m){if(!u)throw new Error(m?`Unexpected type, expected '${m}'`:"Unexpected type")}e.assertType=f;function E(u){if(L(u))throw new Error("Assertion Failed: argument is undefined or null");return u}e.assertIsDefined=E;function g(...u){const m=[];for(let I=0;I<u.length;I++){const A=u[I];if(L(A))throw new Error(`Assertion Failed: argument at index ${I} is undefined or null`);m.push(A)}return m}e.assertAllDefined=g;const h=Object.prototype.hasOwnProperty;function p(u){if(!b(u))return!1;for(let m in u)if(h.call(u,m))return!1;return!0}e.isEmptyObject=p;function S(u){return typeof u=="function"}e.isFunction=S;function v(...u){return u.length>0&&u.every(S)}e.areFunctions=v;function l(u,m){const I=Math.min(u.length,m.length);for(let A=0;A<I;A++)c(u[A],m[A])}e.validateConstraints=l;function c(u,m){if(R(m)){if(typeof u!==m)throw new Error(`argument does not match constraint: typeof ${m}`)}else if(S(m)){try{if(u instanceof m)return}catch(I){}if(!L(u)&&u.constructor===m||m.length===1&&m.call(void 0,u)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=c;function a(u){let m=[],I=Object.getPrototypeOf(u);for(;Object.prototype!==I;)m=m.concat(Object.getOwnPropertyNames(I)),I=Object.getPrototypeOf(I);return m}e.getAllPropertyNames=a;function s(u){const m=[];for(const I of a(u))typeof u[I]=="function"&&m.push(I);return m}e.getAllMethodNames=s;function t(u,m){const I=F=>function(){const C=Array.prototype.slice.call(arguments,0);return m(F,C)};let A={};for(const F of u)A[F]=I(F);return A}e.createProxyObject=t;function r(u){return u===null?void 0:u}e.withNullAsUndefined=r;function o(u){return typeof u=="undefined"?null:u}e.withUndefinedAsNull=o;function d(u){return class{constructor(){return new Proxy({},{get(m,I){if(m[I])return m[I];throw new Error(`Not Implemented: ${u}->${String(I)}`)}})}}}e.NotImplementedProxy=d}),define(Q[29],J([0,1,3,20,8,13]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function P(r){return r===47||r===92}e.isPathSeparator=P;function n(r){return r.replace(/[\\/]/g,D.posix.sep)}e.toSlashes=n;function y(r,o=D.posix.sep){if(!r)return"";const d=r.length,u=r.charCodeAt(0);if(P(u)){if(P(r.charCodeAt(1))&&!P(r.charCodeAt(2))){let I=3;const A=I;for(;I<d&&!P(r.charCodeAt(I));I++);if(A!==I&&!P(r.charCodeAt(I+1))){for(I+=1;I<d;I++)if(P(r.charCodeAt(I)))return r.slice(0,I+1).replace(/[\\/]/g,o)}}return o}else if(S(u)&&r.charCodeAt(1)===58)return P(r.charCodeAt(2))?r.slice(0,2)+o:r.slice(0,2);let m=r.indexOf("://");if(m!==-1){for(m+=3;m<d;m++)if(P(r.charCodeAt(m)))return r.slice(0,m+1)}return""}e.getRoot=y;function i(r){if(!w.isWindows||!r||r.length<5)return!1;let o=r.charCodeAt(0);if(o!==92||(o=r.charCodeAt(1),o!==92))return!1;let d=2;const u=d;for(;d<r.length&&(o=r.charCodeAt(d),o!==92);d++);return!(u===d||(o=r.charCodeAt(d+1),isNaN(o)||o===92))}e.isUNC=i;const L=/[\\/:\*\?"<>\|]/g,f=/[\\/]/g,E=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function g(r,o=w.isWindows){const d=o?L:f;return!(!r||r.length===0||/^\s+$/.test(r)||(d.lastIndex=0,d.test(r))||o&&E.test(r)||r==="."||r===".."||o&&r[r.length-1]==="."||o&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=g;function h(r,o,d){const u=r===o;return!d||u?u:!r||!o?!1:(0,R.equalsIgnoreCase)(r,o)}e.isEqual=h;function p(r,o,d,u=D.sep){if(r===o)return!0;if(!r||!o||o.length>r.length)return!1;if(d){if(!(0,R.startsWithIgnoreCase)(r,o))return!1;if(o.length===r.length)return!0;let I=o.length;return o.charAt(o.length-1)===u&&I--,r.charAt(I)===u}return o.charAt(o.length-1)!==u&&(o+=u),r.indexOf(o)===0}e.isEqualOrParent=p;function S(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=S;function v(r,o){return w.isWindows&&r.endsWith(":")&&(r+=D.sep),(0,D.isAbsolute)(r)||(r=(0,D.join)(o,r)),r=(0,D.normalize)(r),w.isWindows?(r=(0,R.rtrim)(r,D.sep),r.endsWith(":")&&(r+=D.sep)):(r=(0,R.rtrim)(r,D.sep),r||(r=D.sep)),r}e.sanitizeFilePath=v;function l(r){const o=(0,D.normalize)(r);return w.isWindows?r.length>3?!1:c(o)&&(r.length===2||o.charCodeAt(2)===92):o===D.posix.sep}e.isRootOrDriveLetter=l;function c(r){return w.isWindows?S(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function a(r){return c(r)?r[0]:void 0}e.getDriveLetter=a;function s(r,o,d){return o.length>r.length?-1:r===o?0:(d&&(r=r.toLowerCase(),o=o.toLowerCase()),r.indexOf(o))}e.indexOfPath=s;function t(r){const o=r.split(":");let d,u,m;if(o.forEach(I=>{const A=Number(I);(0,b.isNumber)(A)?u===void 0?u=A:m===void 0&&(m=A):d=d?[d,I].join(":"):I}),!d)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:d,line:u!==void 0?u:void 0,column:m!==void 0?m:u!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(Q[45],J([0,1,13]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function R(h){if(!h||typeof h!="object"||h instanceof RegExp)return h;const p=Array.isArray(h)?[]:{};return Object.keys(h).forEach(S=>{h[S]&&typeof h[S]=="object"?p[S]=R(h[S]):p[S]=h[S]}),p}e.deepClone=R;function D(h){if(!h||typeof h!="object")return h;const p=[h];for(;p.length>0;){const S=p.shift();Object.freeze(S);for(const v in S)if(b.call(S,v)){const l=S[v];typeof l=="object"&&!Object.isFrozen(l)&&p.push(l)}}return h}e.deepFreeze=D;const b=Object.prototype.hasOwnProperty;function P(h,p){return n(h,p,new Set)}e.cloneAndChange=P;function n(h,p,S){if((0,w.isUndefinedOrNull)(h))return h;const v=p(h);if(typeof v!="undefined")return v;if((0,w.isArray)(h)){const l=[];for(const c of h)l.push(n(c,p,S));return l}if((0,w.isObject)(h)){if(S.has(h))throw new Error("Cannot clone recursive data-structure");S.add(h);const l={};for(let c in h)b.call(h,c)&&(l[c]=n(h[c],p,S));return S.delete(h),l}return h}function y(h,p,S=!0){return(0,w.isObject)(h)?((0,w.isObject)(p)&&Object.keys(p).forEach(v=>{v in h?S&&((0,w.isObject)(h[v])&&(0,w.isObject)(p[v])?y(h[v],p[v],S):h[v]=p[v]):h[v]=p[v]}),h):p}e.mixin=y;function i(h,p){if(h===p)return!0;if(h==null||p===null||p===void 0||typeof h!=typeof p||typeof h!="object"||Array.isArray(h)!==Array.isArray(p))return!1;let S,v;if(Array.isArray(h)){if(h.length!==p.length)return!1;for(S=0;S<h.length;S++)if(!i(h[S],p[S]))return!1}else{const l=[];for(v in h)l.push(v);l.sort();const c=[];for(v in p)c.push(v);if(c.sort(),!i(l,c))return!1;for(S=0;S<l.length;S++)if(!i(h[l[S]],p[l[S]]))return!1}return!0}e.equals=i;function L(h){const p=new Set;return JSON.stringify(h,(S,v)=>{if((0,w.isObject)(v)||Array.isArray(v)){if(p.has(v))return"[Circular]";p.add(v)}return v})}e.safeStringify=L;function f(h,p,S){const v=p(h);return typeof v=="undefined"?S:v}e.getOrDefault=f;function E(h,p){const S=Object.create(null);return!h||!p||Object.keys(p).forEach(l=>{const c=h[l],a=p[l];i(c,a)||(S[l]=a)}),S}e.distinct=E;function g(h,p){const S=p.toLowerCase(),v=Object.keys(h).find(l=>l.toLowerCase()===S);return v?h[v]:h[p]}e.getCaseInsensitive=g}),define(Q[7],J([0,1,3,8]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const D=/^\w[\w\d+.-]*$/,b=/^\//,P=/^\/\//;function n(o,d){if(!o.scheme&&d)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${o.authority}", path: "${o.path}", query: "${o.query}", fragment: "${o.fragment}"}`);if(o.scheme&&!D.test(o.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(o.path){if(o.authority){if(!b.test(o.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(P.test(o.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function y(o,d){return!o&&!d?"file":o}function i(o,d){switch(o){case"https":case"http":case"file":d?d[0]!==f&&(d=f+d):d=f;break}return d}const L="",f="/",E=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class g{constructor(d,u,m,I,A,F=!1){typeof d=="object"?(this.scheme=d.scheme||L,this.authority=d.authority||L,this.path=d.path||L,this.query=d.query||L,this.fragment=d.fragment||L):(this.scheme=y(d,F),this.authority=u||L,this.path=i(this.scheme,m||L),this.query=I||L,this.fragment=A||L,n(this,F))}static isUri(d){return d instanceof g?!0:d?typeof d.authority=="string"&&typeof d.fragment=="string"&&typeof d.path=="string"&&typeof d.query=="string"&&typeof d.scheme=="string"&&typeof d.fsPath=="string"&&typeof d.with=="function"&&typeof d.toString=="function":!1}get fsPath(){return c(this,!1)}with(d){if(!d)return this;let{scheme:u,authority:m,path:I,query:A,fragment:F}=d;return u===void 0?u=this.scheme:u===null&&(u=L),m===void 0?m=this.authority:m===null&&(m=L),I===void 0?I=this.path:I===null&&(I=L),A===void 0?A=this.query:A===null&&(A=L),F===void 0?F=this.fragment:F===null&&(F=L),u===this.scheme&&m===this.authority&&I===this.path&&A===this.query&&F===this.fragment?this:new p(u,m,I,A,F)}static parse(d,u=!1){const m=E.exec(d);return m?new p(m[2]||L,r(m[4]||L),r(m[5]||L),r(m[7]||L),r(m[9]||L),u):new p(L,L,L,L,L)}static file(d){let u=L;if(w.isWindows&&(d=d.replace(/\\/g,f)),d[0]===f&&d[1]===f){const m=d.indexOf(f,2);m===-1?(u=d.substring(2),d=f):(u=d.substring(2,m),d=d.substring(m)||f)}return new p("file",u,d,L,L)}static from(d){return new p(d.scheme,d.authority,d.path,d.query,d.fragment)}static joinPath(d,...u){if(!d.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let m;return w.isWindows&&d.scheme==="file"?m=g.file(R.win32.join(c(d,!0),...u)).path:m=R.posix.join(d.path,...u),d.with({path:m})}toString(d=!1){return a(this,d)}toJSON(){return this}static revive(d){if(d){if(d instanceof g)return d;{const u=new p(d);return u._formatted=d.external,u._fsPath=d._sep===h?d.fsPath:null,u}}else return d}}e.URI=g;const h=w.isWindows?1:void 0;class p extends g{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=c(this,!1)),this._fsPath}toString(d=!1){return d?a(this,!0):(this._formatted||(this._formatted=a(this,!1)),this._formatted)}toJSON(){const d={$mid:1};return this._fsPath&&(d.fsPath=this._fsPath,d._sep=h),this._formatted&&(d.external=this._formatted),this.path&&(d.path=this.path),this.scheme&&(d.scheme=this.scheme),this.authority&&(d.authority=this.authority),this.query&&(d.query=this.query),this.fragment&&(d.fragment=this.fragment),d}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function v(o,d){let u,m=-1;for(let I=0;I<o.length;I++){const A=o.charCodeAt(I);if(A>=97&&A<=122||A>=65&&A<=90||A>=48&&A<=57||A===45||A===46||A===95||A===126||d&&A===47)m!==-1&&(u+=encodeURIComponent(o.substring(m,I)),m=-1),u!==void 0&&(u+=o.charAt(I));else{u===void 0&&(u=o.substr(0,I));const F=S[A];F!==void 0?(m!==-1&&(u+=encodeURIComponent(o.substring(m,I)),m=-1),u+=F):m===-1&&(m=I)}}return m!==-1&&(u+=encodeURIComponent(o.substring(m))),u!==void 0?u:o}function l(o){let d;for(let u=0;u<o.length;u++){const m=o.charCodeAt(u);m===35||m===63?(d===void 0&&(d=o.substr(0,u)),d+=S[m]):d!==void 0&&(d+=o[u])}return d!==void 0?d:o}function c(o,d){let u;return o.authority&&o.path.length>1&&o.scheme==="file"?u=`//${o.authority}${o.path}`:o.path.charCodeAt(0)===47&&(o.path.charCodeAt(1)>=65&&o.path.charCodeAt(1)<=90||o.path.charCodeAt(1)>=97&&o.path.charCodeAt(1)<=122)&&o.path.charCodeAt(2)===58?d?u=o.path.substr(1):u=o.path[1].toLowerCase()+o.path.substr(2):u=o.path,w.isWindows&&(u=u.replace(/\//g,"\\")),u}e.uriToFsPath=c;function a(o,d){const u=d?l:v;let m="",{scheme:I,authority:A,path:F,query:C,fragment:j}=o;if(I&&(m+=I,m+=":"),(A||I==="file")&&(m+=f,m+=f),A){let G=A.indexOf("@");if(G!==-1){const ie=A.substr(0,G);A=A.substr(G+1),G=ie.indexOf(":"),G===-1?m+=u(ie,!1):(m+=u(ie.substr(0,G),!1),m+=":",m+=u(ie.substr(G+1),!1)),m+="@"}A=A.toLowerCase(),G=A.indexOf(":"),G===-1?m+=u(A,!1):(m+=u(A.substr(0,G),!1),m+=A.substr(G))}if(F){if(F.length>=3&&F.charCodeAt(0)===47&&F.charCodeAt(2)===58){const G=F.charCodeAt(1);G>=65&&G<=90&&(F=`/${String.fromCharCode(G+32)}:${F.substr(3)}`)}else if(F.length>=2&&F.charCodeAt(1)===58){const G=F.charCodeAt(0);G>=65&&G<=90&&(F=`${String.fromCharCode(G+32)}:${F.substr(2)}`)}m+=u(F,!0)}return C&&(m+="?",m+=u(C,!1)),j&&(m+="#",m+=d?j:v(j,!1)),m}function s(o){try{return decodeURIComponent(o)}catch(d){return o.length>3?o.substr(0,3)+s(o.substr(3)):o}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(o){return o.match(t)?o.replace(t,d=>s(d)):o}}),define(Q[105],J([0,1,7]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function R(i){const L=i;return L&&typeof L.type=="string"&&typeof L.severity=="string"}e.isRemoteConsoleLog=R;function D(i){const L=[];let f;try{const E=JSON.parse(i.arguments),g=E[E.length-1];g&&g.__$stack&&(E.pop(),f=g.__$stack),L.push(...E)}catch(E){L.push("Unable to log remote console arguments",i.arguments)}return{args:L,stack:f}}e.parse=D;function b(i){if(typeof i!="string")return b(D(i).stack);const L=i;if(L){const f=P(L),E=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(f||"");if(E&&E.length===4)return{uri:w.URI.file(E[1]),line:Number(E[2]),column:Number(E[3])}}}e.getFirstFrame=b;function P(i){if(!i)return i;const L=i.indexOf(`
`);return L===-1?i:i.substring(0,L)}function n(i,L){const{args:f,stack:E}=D(i),g=typeof f[0]=="string"&&f.length===1;let h=P(E);h&&(h=`(${h.trim()})`);let p=[];if(typeof f[0]=="string"?h&&g?p=[`%c[${L}] %c${f[0]} %c${h}`,y("blue"),y(""),y("grey")]:p=[`%c[${L}] %c${f[0]}`,y("blue"),y(""),...f.slice(1)]:p=[`%c[${L}]%`,y("blue"),...f],h&&!g&&p.push(h),typeof console[i.severity]!="function")throw new Error("Unknown console method");console[i.severity].apply(console,p)}e.log=n;function y(i){return`color: ${i}`}}),define(Q[36],J([0,1,7,20]),function(H,e,w,R){"use strict";var D,b;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function P(a,s,t){let r=a.get(s);return r===void 0&&(r=t,a.set(s,r)),r}e.getOrSet=P;function n(a){const s=[];return a.forEach((t,r)=>{s.push(`${r} => ${t}`)}),`Map(${a.size}) {${s.join(", ")}}`}e.mapToString=n;function y(a){const s=[];return a.forEach(t=>{s.push(t)}),`Set(${a.size}) {${s.join(", ")}}`}e.setToString=y;class i{constructor(){this._value="",this._pos=0}reset(s){return this._value=s,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(s){const t=s.charCodeAt(0),r=this._value.charCodeAt(this._pos);return t-r}value(){return this._value[this._pos]}}e.StringIterator=i;class L{constructor(s=!0){this._caseSensitive=s}reset(s){return this._value=s,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let s=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(s)this._from++;else break;else s=!1;return this}cmp(s){return this._caseSensitive?(0,R.compareSubstring)(s,this._value,0,s.length,this._from,this._to):(0,R.compareSubstringIgnoreCase)(s,this._value,0,s.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=L;class f{constructor(s=!0,t=!0){this._splitOnBackslash=s,this._caseSensitive=t}reset(s){return this._value=s.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let s=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(t===47||this._splitOnBackslash&&t===92)if(s)this._from++;else break;else s=!1}return this}cmp(s){return this._caseSensitive?(0,R.compareSubstring)(s,this._value,0,s.length,this._from,this._to):(0,R.compareSubstringIgnoreCase)(s,this._value,0,s.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=f;var E;(function(a){a[a.Scheme=1]="Scheme",a[a.Authority=2]="Authority",a[a.Path=3]="Path",a[a.Query=4]="Query",a[a.Fragment=5]="Fragment"})(E||(E={}));class g{constructor(s){this._ignorePathCasing=s,this._states=[],this._stateIdx=0}reset(s){return this._value=s,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new f(!1,!this._ignorePathCasing(s)),this._pathIterator.reset(s.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(s){if(this._states[this._stateIdx]===1)return(0,R.compareIgnoreCase)(s,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,R.compareIgnoreCase)(s,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(s);if(this._states[this._stateIdx]===4)return(0,R.compare)(s,this._value.query);if(this._states[this._stateIdx]===5)return(0,R.compare)(s,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=g;class h{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class p{constructor(s){this._iter=s}static forUris(s=()=>!1){return new p(new g(s))}static forPaths(){return new p(new f)}static forStrings(){return new p(new i)}static forConfigKeys(){return new p(new L)}clear(){this._root=void 0}set(s,t){const r=this._iter.reset(s);let o;for(this._root||(this._root=new h,this._root.segment=r.value()),o=this._root;;){const u=r.cmp(o.segment);if(u>0)o.left||(o.left=new h,o.left.segment=r.value()),o=o.left;else if(u<0)o.right||(o.right=new h,o.right.segment=r.value()),o=o.right;else if(r.hasNext())r.next(),o.mid||(o.mid=new h,o.mid.segment=r.value()),o=o.mid;else break}const d=o.value;return o.value=t,o.key=s,d}get(s){var t;return(t=this._getNode(s))===null||t===void 0?void 0:t.value}_getNode(s){const t=this._iter.reset(s);let r=this._root;for(;r;){const o=t.cmp(r.segment);if(o>0)r=r.left;else if(o<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else break}return r}has(s){const t=this._getNode(s);return!((t==null?void 0:t.value)===void 0&&(t==null?void 0:t.mid)===void 0)}delete(s){return this._delete(s,!1)}deleteSuperstr(s){return this._delete(s,!0)}_delete(s,t){const r=this._iter.reset(s),o=[];let d=this._root;for(;d;){const u=r.cmp(d.segment);if(u>0)o.push([1,d]),d=d.left;else if(u<0)o.push([-1,d]),d=d.right;else if(r.hasNext())r.next(),o.push([0,d]),d=d.mid;else{for(t?(d.left=void 0,d.mid=void 0,d.right=void 0):d.value=void 0;o.length>0&&d.isEmpty();){let[m,I]=o.pop();switch(m){case 1:I.left=void 0;break;case 0:I.mid=void 0;break;case-1:I.right=void 0;break}d=I}break}}}findSubstr(s){const t=this._iter.reset(s);let r=this._root,o;for(;r;){const d=t.cmp(r.segment);if(d>0)r=r.left;else if(d<0)r=r.right;else if(t.hasNext())t.next(),o=r.value||o,r=r.mid;else break}return r&&r.value||o}findSuperstr(s){const t=this._iter.reset(s);let r=this._root;for(;r;){const o=t.cmp(r.segment);if(o>0)r=r.left;else if(o<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else return r.mid?this._entries(r.mid):void 0}}forEach(s){for(const[t,r]of this)s(r,t)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(s){s&&(yield*this._entries(s.left),s.value&&(yield[s.key,s.value]),yield*this._entries(s.mid),yield*this._entries(s.right))}}e.TernarySearchTree=p;class S{constructor(s,t){this[D]="ResourceMap",s instanceof S?(this.map=new Map(s.map),this.toKey=t!=null?t:S.defaultToKey):(this.map=new Map,this.toKey=s!=null?s:S.defaultToKey)}set(s,t){return this.map.set(this.toKey(s),t),this}get(s){return this.map.get(this.toKey(s))}has(s){return this.map.has(this.toKey(s))}get size(){return this.map.size}clear(){this.map.clear()}delete(s){return this.map.delete(this.toKey(s))}forEach(s,t){typeof t!="undefined"&&(s=s.bind(t));for(let[r,o]of this.map)s(o,w.URI.parse(r),this)}values(){return this.map.values()}*keys(){for(let s of this.map.keys())yield w.URI.parse(s)}*entries(){for(let s of this.map.entries())yield[w.URI.parse(s[0]),s[1]]}*[(D=Symbol.toStringTag,Symbol.iterator)](){for(let s of this.map)yield[w.URI.parse(s[0]),s[1]]}}e.ResourceMap=S,S.defaultToKey=a=>a.toString();var v;(function(a){a[a.None=0]="None",a[a.AsOld=1]="AsOld",a[a.AsNew=2]="AsNew"})(v=e.Touch||(e.Touch={}));class l{constructor(){this[b]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var s;return(s=this._head)===null||s===void 0?void 0:s.value}get last(){var s;return(s=this._tail)===null||s===void 0?void 0:s.value}has(s){return this._map.has(s)}get(s,t=0){const r=this._map.get(s);if(!!r)return t!==0&&this.touch(r,t),r.value}set(s,t,r=0){let o=this._map.get(s);if(o)o.value=t,r!==0&&this.touch(o,r);else{switch(o={key:s,value:t,next:void 0,previous:void 0},r){case 0:this.addItemLast(o);break;case 1:this.addItemFirst(o);break;case 2:this.addItemLast(o);break;default:this.addItemLast(o);break}this._map.set(s,o),this._size++}return this}delete(s){return!!this.remove(s)}remove(s){const t=this._map.get(s);if(!!t)return this._map.delete(s),this.removeItem(t),this._size--,t.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const s=this._head;return this._map.delete(s.key),this.removeItem(s),this._size--,s.value}}forEach(s,t){const r=this._state;let o=this._head;for(;o;){if(t?s.bind(t)(o.value,o.key,this):s(o.value,o.key,this),this._state!==r)throw new Error("LinkedMap got modified during iteration.");o=o.next}}keys(){const s=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(s._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const d={value:r.key,done:!1};return r=r.next,d}else return{value:void 0,done:!0}}};return o}values(){const s=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(s._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const d={value:r.value,done:!1};return r=r.next,d}else return{value:void 0,done:!0}}};return o}entries(){const s=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(s._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const d={value:[r.key,r.value],done:!1};return r=r.next,d}else return{value:void 0,done:!0}}};return o}[(b=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(s){if(!(s>=this.size)){if(s===0){this.clear();return}let t=this._head,r=this.size;for(;t&&r>s;)this._map.delete(t.key),t=t.next,r--;this._head=t,this._size=r,t&&(t.previous=void 0),this._state++}}addItemFirst(s){if(!this._head&&!this._tail)this._tail=s;else if(this._head)s.next=this._head,this._head.previous=s;else throw new Error("Invalid list");this._head=s,this._state++}addItemLast(s){if(!this._head&&!this._tail)this._head=s;else if(this._tail)s.previous=this._tail,this._tail.next=s;else throw new Error("Invalid list");this._tail=s,this._state++}removeItem(s){if(s===this._head&&s===this._tail)this._head=void 0,this._tail=void 0;else if(s===this._head){if(!s.next)throw new Error("Invalid list");s.next.previous=void 0,this._head=s.next}else if(s===this._tail){if(!s.previous)throw new Error("Invalid list");s.previous.next=void 0,this._tail=s.previous}else{const t=s.next,r=s.previous;if(!t||!r)throw new Error("Invalid list");t.previous=r,r.next=t}s.next=void 0,s.previous=void 0,this._state++}touch(s,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(t!==1&&t!==2)){if(t===1){if(s===this._head)return;const r=s.next,o=s.previous;s===this._tail?(o.next=void 0,this._tail=o):(r.previous=o,o.next=r),s.previous=void 0,s.next=this._head,this._head.previous=s,this._head=s,this._state++}else if(t===2){if(s===this._tail)return;const r=s.next,o=s.previous;s===this._head?(r.previous=void 0,this._head=r):(r.previous=o,o.next=r),s.next=void 0,s.previous=this._tail,this._tail.next=s,this._tail=s,this._state++}}}toJSON(){const s=[];return this.forEach((t,r)=>{s.push([r,t])}),s}fromJSON(s){this.clear();for(const[t,r]of s)this.set(t,r)}}e.LinkedMap=l;class c extends l{constructor(s,t=1){super();this._limit=s,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(s){this._limit=s,this.checkTrim()}get ratio(){return this._ratio}set ratio(s){this._ratio=Math.min(Math.max(0,s),1),this.checkTrim()}get(s,t=2){return super.get(s,t)}peek(s){return super.get(s,0)}set(s,t){return super.set(s,t,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=c}),define(Q[106],J([0,1,21,20,7]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function b(i){return JSON.stringify(i,n)}e.stringify=b;function P(i){let L=JSON.parse(i);return L=y(L),L}e.parse=P;function n(i,L){return L instanceof RegExp?{$mid:2,source:L.source,flags:(0,R.regExpFlags)(L)}:L}function y(i,L=0){if(!i||L>200)return i;if(typeof i=="object"){switch(i.$mid){case 1:return D.URI.revive(i);case 2:return new RegExp(i.source,i.flags)}if(i instanceof w.VSBuffer||i instanceof Uint8Array)return i;if(Array.isArray(i))for(let f=0;f<i.length;++f)i[f]=y(i[f],L+1);else for(const f in i)Object.hasOwnProperty.call(i,f)&&(i[f]=y(i[f],L+1))}return i}e.revive=y}),define(Q[9],J([0,1,7,3]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var D;(function(n){n.inMemory="inmemory",n.vscode="vscode",n.internal="private",n.walkThrough="walkThrough",n.walkThroughSnippet="walkThroughSnippet",n.http="http",n.https="https",n.file="file",n.mailto="mailto",n.untitled="untitled",n.data="data",n.command="command",n.vscodeRemote="vscode-remote",n.vscodeRemoteResource="vscode-remote-resource",n.userData="vscode-userdata",n.vscodeCustomEditor="vscode-custom-editor",n.vscodeNotebook="vscode-notebook",n.vscodeNotebookCell="vscode-notebook-cell",n.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",n.vscodeSettings="vscode-settings",n.vscodeWorkspaceTrust="vscode-workspace-trust",n.webviewPanel="webview-panel",n.vscodeWebview="vscode-webview",n.vscodeWebviewResource="vscode-webview-resource",n.extension="extension",n.vscodeFileResource="vscode-file"})(D=e.Schemas||(e.Schemas={}));class b{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(y){this._preferredWebSchema=y}setDelegate(y){this._delegate=y}set(y,i,L){this._hosts[y]=i,this._ports[y]=L}setConnectionToken(y,i){this._connectionTokens[y]=i}rewrite(y){if(this._delegate)return this._delegate(y);const i=y.authority;let L=this._hosts[i];L&&L.indexOf(":")!==-1&&(L=`[${L}]`);const f=this._ports[i],E=this._connectionTokens[i];let g=`path=${encodeURIComponent(y.path)}`;return typeof E=="string"&&(g+=`&tkn=${encodeURIComponent(E)}`),w.URI.from({scheme:R.isWeb?this._preferredWebSchema:D.vscodeRemoteResource,authority:`${L}:${f}`,path:"/vscode-remote-resource",query:g})}}e.RemoteAuthorities=new b;class P{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(y,i,L){const f=this.toUri(y,i);return f.scheme===D.vscodeRemote?e.RemoteAuthorities.rewrite(f):R.isNative&&(L||R.isPreferringBrowserCodeLoad)&&f.scheme===D.file?f.with({scheme:D.vscodeFileResource,authority:f.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):f}asFileUri(y,i){const L=this.toUri(y,i);return L.scheme===D.vscodeFileResource?L.with({scheme:D.file,authority:L.authority!==this.FALLBACK_AUTHORITY?L.authority:null,query:null,fragment:null}):L}toUri(y,i){return w.URI.isUri(y)?y:w.URI.parse(i.toUrl(y))}}e.FileAccess=new P}),define(Q[64],J([0,1,36]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const R=new w.LRUCache(1e4);function D(i){return y(i,"NFC",R)}e.normalizeNFC=D;const b=new w.LRUCache(1e4);function P(i){return y(i,"NFD",b)}e.normalizeNFD=P;const n=/[^\u0000-\u0080]/;function y(i,L,f){if(!e.canNormalize||!i)return i;const E=f.get(i);if(E)return E;let g;return n.test(i)?g=i.normalize(L):g=i,f.set(i,g),g}e.removeAccents=function(){if(e.canNormalize){const i=/[\u0300-\u036f]/g;return function(L){return P(L).replace(i,"")}}else return function(i){return i}}()}),define(Q[15],J([0,1,29,8,7,20,9,3]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function y(g){return(0,D.uriToFsPath)(g,!0)}e.originalFSPath=y;class i{constructor(h){this._ignorePathCasing=h}compare(h,p,S=!1){return h===p?0:(0,b.compare)(this.getComparisonKey(h,S),this.getComparisonKey(p,S))}isEqual(h,p,S=!1){return h===p?!0:!h||!p?!1:this.getComparisonKey(h,S)===this.getComparisonKey(p,S)}getComparisonKey(h,p=!1){return h.with({path:this._ignorePathCasing(h)?h.path.toLowerCase():void 0,fragment:p?null:void 0}).toString()}ignorePathCasing(h){return this._ignorePathCasing(h)}isEqualOrParent(h,p,S=!1){if(h.scheme===p.scheme){if(h.scheme===P.Schemas.file)return w.isEqualOrParent(y(h),y(p),this._ignorePathCasing(h))&&h.query===p.query&&(S||h.fragment===p.fragment);if((0,e.isEqualAuthority)(h.authority,p.authority))return w.isEqualOrParent(h.path,p.path,this._ignorePathCasing(h),"/")&&h.query===p.query&&(S||h.fragment===p.fragment)}return!1}joinPath(h,...p){return D.URI.joinPath(h,...p)}basenameOrAuthority(h){return(0,e.basename)(h)||h.authority}basename(h){return R.posix.basename(h.path)}extname(h){return R.posix.extname(h.path)}dirname(h){if(h.path.length===0)return h;let p;return h.scheme===P.Schemas.file?p=D.URI.file(R.dirname(y(h))).path:(p=R.posix.dirname(h.path),h.authority&&p.length&&p.charCodeAt(0)!==47&&(console.error(`dirname("${h.toString})) resulted in a relative path`),p="/")),h.with({path:p})}normalizePath(h){if(!h.path.length)return h;let p;return h.scheme===P.Schemas.file?p=D.URI.file(R.normalize(y(h))).path:p=R.posix.normalize(h.path),h.with({path:p})}relativePath(h,p){if(!(h.scheme!==p.scheme||!(0,e.isEqualAuthority)(h.authority,p.authority))){if(h.scheme===P.Schemas.file){const l=R.relative(y(h),y(p));return n.isWindows?w.toSlashes(l):l}let S=h.path||"/",v=p.path||"/";if(this._ignorePathCasing(h)){let l=0;for(const c=Math.min(S.length,v.length);l<c&&!(S.charCodeAt(l)!==v.charCodeAt(l)&&S.charAt(l).toLowerCase()!==v.charAt(l).toLowerCase());l++);S=v.substr(0,l)+S.substr(l)}return R.posix.relative(S,v)}}resolvePath(h,p){if(h.scheme===P.Schemas.file){const S=D.URI.file(R.resolve(y(h),p));return h.with({authority:S.authority,path:S.path})}return p.indexOf("/")===-1&&(p=w.toSlashes(p),/^[a-zA-Z]:(\/|$)/.test(p)&&(p="/"+p)),h.with({path:R.posix.resolve(h.path,p)})}isAbsolutePath(h){return!!h.path&&h.path[0]==="/"}isEqualAuthority(h,p){return h===p||(0,b.equalsIgnoreCase)(h,p)}hasTrailingPathSeparator(h,p=R.sep){if(h.scheme===P.Schemas.file){const S=y(h);return S.length>w.getRoot(S).length&&S[S.length-1]===p}else{const S=h.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(h.fsPath)}}removeTrailingPathSeparator(h,p=R.sep){return(0,e.hasTrailingPathSeparator)(h,p)?h.with({path:h.path.substr(0,h.path.length-1)}):h}addTrailingPathSeparator(h,p=R.sep){let S=!1;if(h.scheme===P.Schemas.file){const v=y(h);S=v!==void 0&&v.length===w.getRoot(v).length&&v[v.length-1]===p}else{p="/";const v=h.path;S=v.length===1&&v.charCodeAt(v.length-1)===47}return!S&&!(0,e.hasTrailingPathSeparator)(h,p)?h.with({path:h.path+"/"}):h}}e.ExtUri=i,e.extUri=new i(()=>!1),e.extUriBiasedIgnorePathCase=new i(g=>g.scheme===P.Schemas.file?!n.isLinux:!0),e.extUriIgnorePathCase=new i(g=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function L(g,h){const p=[];for(let S=0;S<g.length;S++){const v=h(g[S]);g.some((l,c)=>c===S?!1:(0,e.isEqualOrParent)(v,h(l)))||p.push(g[S])}return p}e.distinctParents=L;var f;(function(g){g.META_DATA_LABEL="label",g.META_DATA_DESCRIPTION="description",g.META_DATA_SIZE="size",g.META_DATA_MIME="mime";function h(p){const S=new Map;p.path.substring(p.path.indexOf(";")+1,p.path.lastIndexOf(";")).split(";").forEach(c=>{const[a,s]=c.split(":");a&&s&&S.set(a,s)});const l=p.path.substring(0,p.path.indexOf(";"));return l&&S.set(g.META_DATA_MIME,l),S}g.parseMetaData=h})(f=e.DataUri||(e.DataUri={}));function E(g,h,p){if(h){let S=g.path;return S&&S[0]!==R.posix.sep&&(S=R.posix.sep+S),g.with({scheme:p,authority:h,path:S})}return g.with({scheme:p})}e.toLocalResource=E}),define(Q[10],J([0,1,25,19,4,2,75,15]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function y(_){return!!_&&typeof _.then=="function"}e.isThenable=y;function i(_){const k=new w.CancellationTokenSource,M=_(k.token),O=new Promise((T,W)=>{k.token.onCancellationRequested(()=>{W((0,R.canceled)())}),Promise.resolve(M).then(z=>{k.dispose(),T(z)},z=>{k.dispose(),W(z)})});return new class{cancel(){k.cancel()}then(T,W){return O.then(T,W)}catch(T){return this.then(void 0,T)}finally(T){return O.finally(T)}}}e.createCancelablePromise=i;function L(_,k,M){return Promise.race([_,new Promise(O=>k.onCancellationRequested(()=>O(M)))])}e.raceCancellation=L;async function f(_){let k=-1;const M=_.map((T,W)=>T.then(z=>(k=W,z))),O=await Promise.race(M);return _.forEach((T,W)=>{W!==k&&T.cancel()}),O}e.raceCancellablePromises=f;function E(_,k,M){let O;const T=setTimeout(()=>{O==null||O(void 0),M==null||M()},k);return Promise.race([_.finally(()=>clearTimeout(T)),new Promise(W=>O=W)])}e.raceTimeout=E;function g(_){return new Promise((k,M)=>{const O=_();y(O)?O.then(k,M):k(O)})}e.asPromise=g;class h{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(k){if(this.activePromise){if(this.queuedPromiseFactory=k,!this.queuedPromise){const M=()=>{this.queuedPromise=null;const O=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,O};this.queuedPromise=new Promise(O=>{this.activePromise.then(M,M).then(O)})}return new Promise((M,O)=>{this.queuedPromise.then(M,O)})}return this.activePromise=k(),new Promise((M,O)=>{this.activePromise.then(T=>{this.activePromise=null,M(T)},T=>{this.activePromise=null,O(T)})})}}e.Throttler=h;class p{constructor(){this.current=Promise.resolve(null)}queue(k){return this.current=this.current.then(()=>k(),()=>k())}}e.Sequencer=p;class S{constructor(){this.promiseMap=new Map}queue(k,M){var O;const W=((O=this.promiseMap.get(k))!==null&&O!==void 0?O:Promise.resolve()).catch(()=>{}).then(M).finally(()=>{this.promiseMap.get(k)===W&&this.promiseMap.delete(k)});return this.promiseMap.set(k,W),W}}e.SequencerByKey=S;class v{constructor(k){this.defaultDelay=k,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(k,M=this.defaultDelay){return this.task=k,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((O,T)=>{this.doResolve=O,this.doReject=T}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const O=this.task;return this.task=null,O()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},M),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,R.canceled)()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=v;class l{constructor(k){this.delayer=new v(k),this.throttler=new h}trigger(k,M){return this.delayer.trigger(()=>this.throttler.queue(k),M)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=l;class c{constructor(){this._isOpen=!1,this._promise=new Promise((k,M)=>{this._completePromise=k})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=c;class a extends c{constructor(k){super();this._timeout=setTimeout(()=>this.open(),k)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=a;function s(_,k){return k?new Promise((M,O)=>{const T=setTimeout(M,_);k.onCancellationRequested(()=>{clearTimeout(T),O((0,R.canceled)())})}):i(M=>s(_,M))}e.timeout=s;function t(_,k=0){const M=setTimeout(_,k);return(0,b.toDisposable)(()=>clearTimeout(M))}e.disposableTimeout=t;function r(_){return _.then(void 0,k=>{})}e.ignoreErrors=r;function o(_){const k=[];let M=0;const O=_.length;function T(){return M<O?_[M++]():null}function W(z){z!=null&&k.push(z);const K=T();return K?K.then(W):Promise.resolve(k)}return Promise.resolve(null).then(W)}e.sequence=o;function d(_,k=O=>!!O,M=null){let O=0;const T=_.length,W=()=>{if(O>=T)return Promise.resolve(M);const z=_[O++];return Promise.resolve(z()).then(X=>k(X)?Promise.resolve(X):W())};return W()}e.first=d;function u(_,k=O=>!!O,M=null){if(_.length===0)return Promise.resolve(M);let O=_.length;const T=()=>{var W,z;O=-1;for(const K of _)(z=(W=K).cancel)===null||z===void 0||z.call(W)};return new Promise((W,z)=>{for(const K of _)K.then(X=>{--O>=0&&k(X)?(T(),W(X)):O===0&&W(M)}).catch(X=>{--O>=0&&(T(),z(X))})})}e.firstParallel=u;class m{constructor(k){this._size=0,this.maxDegreeOfParalellism=k,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new D.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(k){return this._size++,new Promise((M,O)=>{this.outstandingPromises.push({factory:k,c:M,e:O}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const k=this.outstandingPromises.shift();this.runningPromises++;const M=k.factory();M.then(k.c,k.e),M.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=m;class I extends m{constructor(){super(1)}}e.Queue=I;class A{constructor(){this.queues=new Map}queueFor(k,M=n.extUri){const O=M.getComparisonKey(k);let T=this.queues.get(O);return T||(T=new I,D.Event.once(T.onFinished)(()=>{T==null||T.dispose(),this.queues.delete(O)}),this.queues.set(O,T)),T}dispose(){this.queues.forEach(k=>k.dispose()),this.queues.clear()}}e.ResourceQueue=A;class F{constructor(k,M){this._token=-1,typeof k=="function"&&typeof M=="number"&&this.setIfNotSet(k,M)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(k,M){this.cancel(),this._token=setTimeout(()=>{this._token=-1,k()},M)}setIfNotSet(k,M){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,k()},M))}}e.TimeoutTimer=F;class C{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(k,M){this.cancel(),this._token=setInterval(()=>{k()},M)}}e.IntervalTimer=C;class j{constructor(k,M){this.timeoutToken=-1,this.runner=k,this.timeout=M,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(k=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,k)}get delay(){return this.timeout}set delay(k){this.timeout=k}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=j;class G extends j{constructor(k,M){super(k,M);this.units=[]}work(k){this.units.push(k),this.isScheduled()||this.schedule()}doRun(){const k=this.units;this.units=[],this.runner&&this.runner(k)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=G,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const _=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=k=>{const M=setTimeout(()=>k(_));let O=!1;return{dispose(){O||(O=!0,clearTimeout(M))}}}}else e.runWhenIdle=(_,k)=>{const M=requestIdleCallback(_,typeof k=="number"?{timeout:k}:void 0);let O=!1;return{dispose(){O||(O=!0,cancelIdleCallback(M))}}}}();class ie{constructor(k){this._didRun=!1,this._executor=()=>{try{this._value=k()}catch(M){this._error=M}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=ie;async function oe(_,k,M){let O;for(let T=0;T<M;T++)try{return await _()}catch(W){O=W,await s(k)}throw O}e.retry=oe;class V{hasPending(k){return this._pending?typeof k=="number"?this._pending.taskId===k:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var k;(k=this._pending)===null||k===void 0||k.cancel()}setPending(k,M,O){return this._pending={taskId:k,cancel:()=>O==null?void 0:O(),promise:M},M.then(()=>this.donePending(k),()=>this.donePending(k)),M}donePending(k){this._pending&&k===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const k=this._next;this._next=void 0,k.run().then(k.promiseResolve,k.promiseReject)}}setNext(k){if(this._next)this._next.run=k;else{let M,O;const T=new Promise((W,z)=>{M=W,O=z});this._next={run:k,promise:T,promiseResolve:M,promiseReject:O}}return this._next.promise}}e.TaskSequentializer=V;class N{constructor(k){this.interval=k,this.lastIncrementTime=0,this.value=0}increment(){const k=Date.now();return k-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=k,this.value=0),this.value++,this.value}}e.IntervalCounter=N;class B{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((k,M)=>{this.completeCallback=k,this.errorCallback=M})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(k){return new Promise(M=>{this.completeCallback(k),this.resolved=!0,M()})}error(k){return new Promise(M=>{this.errorCallback(k),this.rejected=!0,M()})}cancel(){new Promise(k=>{this.errorCallback((0,R.canceled)()),this.rejected=!0,k()})}}e.DeferredPromise=B;class U extends D.Emitter{async fireAsync(k,M,O){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new P.LinkedList);for(const T of this._listeners)this._asyncDeliveryQueue.push([T,k]);for(;this._asyncDeliveryQueue.size>0&&!M.isCancellationRequested;){const[T,W]=this._asyncDeliveryQueue.shift(),z=[],K=Object.assign(Object.assign({},W),{waitUntil:X=>{if(Object.isFrozen(z))throw new Error("waitUntil can NOT be called asynchronous");O&&(X=O(X,typeof T=="function"?T:T[0])),z.push(X)}});try{typeof T=="function"?T.call(void 0,K):T[0].call(T[1],K)}catch(X){(0,R.onUnexpectedError)(X);continue}Object.freeze(z),await $.settled(z).catch(X=>(0,R.onUnexpectedError)(X))}}}}e.AsyncEmitter=U;var $;(function(_){async function k(W){return typeof Promise.allSettled=="function"?M(W):O(W)}_.allSettled=k;async function M(W){return Promise.allSettled(W)}async function O(W){return Promise.all(W.map(z=>z.then(K=>({status:"fulfilled",value:K}),K=>({status:"rejected",reason:K}))))}async function T(W){let z;const K=await Promise.all(W.map(X=>X.then(Z=>Z,Z=>{z||(z=Z)})));if(typeof z!="undefined")throw z;return K}_.settled=T})($=e.Promises||(e.Promises={}))}),define(Q[78],J([0,1,20,29,8,36,10]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function n(){return Object.create(null)}e.getEmptyExpression=n;const y="**",i="/",L="[/\\\\]",f="[^/\\\\]",E=/\//g;function g(M){switch(M){case 0:return"";case 1:return`${f}*?`;default:return`(?:${L}|${f}+${L}|${L}${f}+)*?`}}function h(M,O){if(!M)return[];const T=[];let W=!1,z=!1,K="";for(const X of M){switch(X){case O:if(!W&&!z){T.push(K),K="";continue}break;case"{":W=!0;break;case"}":W=!1;break;case"[":z=!0;break;case"]":z=!1;break}K+=X}return K&&T.push(K),T}e.splitGlobAware=h;function p(M){if(!M)return"";let O="";const T=h(M,i);if(T.every(W=>W===y))O=".*";else{let W=!1;T.forEach((z,K)=>{if(z===y){W||(O+=g(2),W=!0);return}let X=!1,Z="",Y=!1,ee="";for(const re of z){if(re!=="}"&&X){Z+=re;continue}if(Y&&(re!=="]"||!ee)){let ne;re==="-"?ne=re:(re==="^"||re==="!")&&!ee?ne="^":re===i?ne="":ne=w.escapeRegExpCharacters(re),ee+=ne;continue}switch(re){case"{":X=!0;continue;case"[":Y=!0;continue;case"}":O+=`(?:${h(Z,",").map(ve=>p(ve)).join("|")})`,X=!1,Z="";break;case"]":O+="["+ee+"]",Y=!1,ee="";break;case"?":O+=f;continue;case"*":O+=g(1);continue;default:O+=w.escapeRegExpCharacters(re)}}K<T.length-1&&(T[K+1]!==y||K+2<T.length)&&(O+=L),W=!1})}return O}const S=/^\*\*\/\*\.[\w\.-]+$/,v=/^\*\*\/([\w\.-]+)\/?$/,l=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,c=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,a=/^\*\*((\/[\w\.-]+)+)\/?$/,s=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new b.LRUCache(1e4),r=function(){return!1},o=function(){return null};function d(M,O){if(!M)return o;let T;typeof M!="string"?T=M.pattern:T=M,T=T.trim();const W=`${T}_${!!O.trimForExclusions}`;let z=t.get(W);if(z)return u(z,M);let K;if(S.test(T)){const X=T.substr(4);z=function(Z,Y){return typeof Z=="string"&&Z.endsWith(X)?T:null}}else(K=v.exec(m(T,O)))?z=I(K[1],T):(O.trimForExclusions?c:l).test(T)?z=A(T,O):(K=a.exec(m(T,O)))?z=F(K[1].substr(1),T,!0):(K=s.exec(m(T,O)))?z=F(K[1],T,!1):z=C(T);return t.set(W,z),u(z,M)}function u(M,O){return typeof O=="string"?M:function(T,W){return R.isEqualOrParent(T,O.base)?M(D.relative(O.base,T),W):null}}function m(M,O){return O.trimForExclusions&&M.endsWith("/**")?M.substr(0,M.length-2):M}function I(M,O){const T=`/${M}`,W=`\\${M}`,z=function(X,Z){return typeof X!="string"?null:Z?Z===M?O:null:X===M||X.endsWith(T)||X.endsWith(W)?O:null},K=[M];return z.basenames=K,z.patterns=[O],z.allBasenames=K,z}function A(M,O){const T=k(M.slice(1,-1).split(",").map(Z=>d(Z,O)).filter(Z=>Z!==o),M),W=T.length;if(!W)return o;if(W===1)return T[0];const z=function(Z,Y){for(let ee=0,re=T.length;ee<re;ee++)if(T[ee](Z,Y))return M;return null},K=T.find(Z=>!!Z.allBasenames);K&&(z.allBasenames=K.allBasenames);const X=T.reduce((Z,Y)=>Y.allPaths?Z.concat(Y.allPaths):Z,[]);return X.length&&(z.allPaths=X),z}function F(M,O,T){const W=D.sep===D.posix.sep,z=W?M:M.replace(E,D.sep),K=D.sep+z,X=D.posix.sep+M,Z=T?function(Y,ee){return typeof Y=="string"&&(Y===z||Y.endsWith(K)||!W&&(Y===M||Y.endsWith(X)))?O:null}:function(Y,ee){return typeof Y=="string"&&(Y===z||!W&&Y===M)?O:null};return Z.allPaths=[(T?"*/":"./")+M],Z}function C(M){try{const O=new RegExp(`^${p(M)}$`);return function(T){return O.lastIndex=0,typeof T=="string"&&O.test(T)?M:null}}catch(O){return o}}function j(M,O,T){return!M||typeof O!="string"?!1:G(M)(O,void 0,T)}e.match=j;function G(M,O={}){if(!M)return r;if(typeof M=="string"||N(M)){const T=d(M,O);if(T===o)return r;const W=function(z,K){return!!T(z,K)};return T.allBasenames&&(W.allBasenames=T.allBasenames),T.allPaths&&(W.allPaths=T.allPaths),W}return $(M,O)}e.parse=G;function ie(M){if(!!M){let O;return T=>(O||(O=(M()||Promise.resolve([])).then(W=>W?V(W):{})),O.then(W=>!!W[T]))}}e.hasSiblingPromiseFn=ie;function oe(M){if(!!M){let O;return T=>{if(!O){const W=M();O=W?V(W):{}}return!!O[T]}}}e.hasSiblingFn=oe;function V(M){const O={};for(const T of M)O[T]=!0;return O}function N(M){const O=M;return O&&typeof O.base=="string"&&typeof O.pattern=="string"}e.isRelativePattern=N;function B(M){return M.allBasenames||[]}e.getBasenameTerms=B;function U(M){return M.allPaths||[]}e.getPathTerms=U;function $(M,O){const T=k(Object.getOwnPropertyNames(M).map(Z=>_(Z,M[Z],O)).filter(Z=>Z!==o)),W=T.length;if(!W)return o;if(!T.some(Z=>!!Z.requiresSiblings)){if(W===1)return T[0];const Z=function(re,ne){for(let ue=0,ve=T.length;ue<ve;ue++){const de=T[ue](re,ne);if(de)return de}return null},Y=T.find(re=>!!re.allBasenames);Y&&(Z.allBasenames=Y.allBasenames);const ee=T.reduce((re,ne)=>ne.allPaths?re.concat(ne.allPaths):re,[]);return ee.length&&(Z.allPaths=ee),Z}const z=function(Z,Y,ee){let re;for(let ne=0,ue=T.length;ne<ue;ne++){const ve=T[ne];ve.requiresSiblings&&ee&&(Y||(Y=D.basename(Z)),re||(re=Y.substr(0,Y.length-D.extname(Z).length)));const de=ve(Z,Y,re,ee);if(de)return de}return null},K=T.find(Z=>!!Z.allBasenames);K&&(z.allBasenames=K.allBasenames);const X=T.reduce((Z,Y)=>Y.allPaths?Z.concat(Y.allPaths):Z,[]);return X.length&&(z.allPaths=X),z}function _(M,O,T){if(O===!1)return o;const W=d(M,T);if(W===o)return o;if(typeof O=="boolean")return W;if(O){const z=O.when;if(typeof z=="string"){const K=(X,Z,Y,ee)=>{if(!ee||!W(X,Z))return null;const re=z.replace("$(basename)",Y),ne=ee(re);return(0,P.isThenable)(ne)?ne.then(ue=>ue?M:null):ne?M:null};return K.requiresSiblings=!0,K}}return W}function k(M,O){const T=M.filter(Z=>!!Z.basenames);if(T.length<2)return M;const W=T.reduce((Z,Y)=>{const ee=Y.basenames;return ee?Z.concat(ee):Z},[]);let z;if(O){z=[];for(let Z=0,Y=W.length;Z<Y;Z++)z.push(O)}else z=T.reduce((Z,Y)=>{const ee=Y.patterns;return ee?Z.concat(ee):Z},[]);const K=function(Z,Y){if(typeof Z!="string")return null;if(!Y){let re;for(re=Z.length;re>0;re--){const ne=Z.charCodeAt(re-1);if(ne===47||ne===92)break}Y=Z.substr(re)}const ee=W.indexOf(Y);return ee!==-1?z[ee]:null};K.basenames=W,K.patterns=z,K.allBasenames=W;const X=M.filter(Z=>!Z.basenames);return X.push(K),X}}),define(Q[39],J([0,1,7,8,20,9,3,15,29]),function(H,e,w,R,D,b,P,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function i(d,u,m){if(typeof d=="string"&&(d=w.URI.file(d)),m){const A=m.getWorkspaceFolder(d);if(A){const F=m.getWorkspace().folders.length>1;let C;if((0,n.isEqual)(A.uri,d)?C="":C=(0,n.relativePath)(A.uri,d),F){const j=A.name?A.name:(0,n.basename)(A.uri);C=C?j+" \u2022 "+C:j}return C}}if(d.scheme!==b.Schemas.file&&d.scheme!==b.Schemas.untitled)return d.with({query:null,fragment:null}).toString(!0);if((0,y.hasDriveLetter)(d.fsPath))return(0,R.normalize)(f(d.fsPath));let I=(0,R.normalize)(d.fsPath);return!P.isWindows&&(u==null?void 0:u.userHome)&&(I=g(I,u.userHome.fsPath)),I}e.getPathLabel=i;function L(d){if(!!d){typeof d=="string"&&(d=w.URI.file(d));const u=(0,n.basename)(d)||(d.scheme===b.Schemas.file?d.fsPath:d.path);return P.isWindows&&(0,y.isRootOrDriveLetter)(u)?f(u):u}}e.getBaseLabel=L;function f(d){return(0,y.hasDriveLetter)(d)?d.charAt(0).toUpperCase()+d.slice(1):d}e.normalizeDriveLetter=f;let E=Object.create(null);function g(d,u){if(P.isWindows||!d||!u)return d;let m=E.original===u?E.normalized:void 0;return m||(m=`${(0,D.rtrim)(u,R.posix.sep)}${R.posix.sep}`,E={original:u,normalized:m}),(P.isLinux?d.startsWith(m):(0,D.startsWithIgnoreCase)(d,m))&&(d=`~/${d.substr(m.length)}`),d}e.tildify=g;function h(d,u){return d.replace(/^~($|\/|\\)/,`${u}$1`)}e.untildify=h;const p="\u2026",S="\\\\",v="~";function l(d,u=R.sep){const m=new Array(d.length);let I=!1;for(let A=0;A<d.length;A++){let F=d[A];if(F===""){m[A]=`.${u}`;continue}if(!F){m[A]=F;continue}I=!0;let C="";F.indexOf(S)===0?(C=F.substr(0,F.indexOf(S)+S.length),F=F.substr(F.indexOf(S)+S.length)):F.indexOf(u)===0?(C=F.substr(0,F.indexOf(u)+u.length),F=F.substr(F.indexOf(u)+u.length)):F.indexOf(v)===0&&(C=F.substr(0,F.indexOf(v)+v.length),F=F.substr(F.indexOf(v)+v.length));const j=F.split(u);for(let G=1;I&&G<=j.length;G++)for(let ie=j.length-G;I&&ie>=0;ie--){I=!1;let oe=j.slice(ie,ie+G).join(u);for(let V=0;!I&&V<d.length;V++)if(V!==A&&d[V]&&d[V].indexOf(oe)>-1){const N=ie+G===j.length,B=ie>0&&d[V].indexOf(u)>-1?u+oe:oe,U=d[V].endsWith(B);I=!N||U}if(!I){let V="";(j[0].endsWith(":")||C!=="")&&(ie===1&&(ie=0,G++,oe=j[0]+u+oe),ie>0&&(V=j[0]+u),V=C+V),ie>0&&(V=V+p+u),V=V+oe,ie+G<j.length&&(V=V+u+p),m[A]=V}}I&&(m[A]=F)}return m}e.shorten=l;var c;(function(d){d[d.TEXT=0]="TEXT",d[d.VARIABLE=1]="VARIABLE",d[d.SEPARATOR=2]="SEPARATOR"})(c||(c={}));function a(d,u=Object.create(null)){const m=[];let I=!1,A="";for(const F of d)if(F==="$"||I&&F==="{")A&&m.push({value:A,type:c.TEXT}),A="",I=!0;else if(F==="}"&&I){const C=u[A];if(typeof C=="string")C.length&&m.push({value:C,type:c.VARIABLE});else if(C){const j=m[m.length-1];(!j||j.type!==c.SEPARATOR)&&m.push({value:C.label,type:c.SEPARATOR})}A="",I=!1}else A+=F;return A&&!I&&m.push({value:A,type:c.TEXT}),m.filter((F,C)=>{if(F.type===c.SEPARATOR){const j=m[C-1],G=m[C+1];return[j,G].every(ie=>ie&&(ie.type===c.VARIABLE||ie.type===c.TEXT)&&ie.value.length>0)}return!0}).map(F=>F.value).join("")}e.template=a;function s(d,u){return P.isMacintosh||u?d.replace(/\(&&\w\)|&&/g,"").replace(/&/g,P.isMacintosh?"&":"&&"):d.replace(/&&|&/g,m=>m==="&"?"&&":"&")}e.mnemonicMenuLabel=s;function t(d,u){return P.isMacintosh||u?d.replace(/\(&&\w\)|&&/g,""):P.isWindows?d.replace(/&&|&/g,m=>m==="&"?"&&":"&"):d.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(d){return d.replace(/&/g,"&&")}e.unmnemonicLabel=r;function o(d){const u=d.indexOf("/")!==-1?R.posix:R.win32,m=u.basename(d),I=u.dirname(d);return m.length?{name:m,parentPath:I}:{name:I,parentPath:""}}e.splitName=o}),define(Q[107],J([0,1,8,20,78,9,15]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionForMimeType=e.getMediaMime=e.isUnspecific=e.guessMimeTypes=e.clearTextMimes=e.registerTextMime=e.MIME_UNKNOWN=e.MIME_BINARY=e.MIME_TEXT=void 0,e.MIME_TEXT="text/plain",e.MIME_BINARY="application/octet-stream",e.MIME_UNKNOWN="application/unknown";let n=[],y=[],i=[];function L(a,s=!1){const t=f(a);n.push(t),t.userConfigured?i.push(t):y.push(t),s&&!t.userConfigured&&n.forEach(r=>{r.mime===t.mime||r.userConfigured||(t.extension&&r.extension===t.extension&&console.warn(`Overwriting extension <<${t.extension}>> to now point to mime <<${t.mime}>>`),t.filename&&r.filename===t.filename&&console.warn(`Overwriting filename <<${t.filename}>> to now point to mime <<${t.mime}>>`),t.filepattern&&r.filepattern===t.filepattern&&console.warn(`Overwriting filepattern <<${t.filepattern}>> to now point to mime <<${t.mime}>>`),t.firstline&&r.firstline===t.firstline&&console.warn(`Overwriting firstline <<${t.firstline}>> to now point to mime <<${t.mime}>>`))})}e.registerTextMime=L;function f(a){return{id:a.id,mime:a.mime,filename:a.filename,extension:a.extension,filepattern:a.filepattern,firstline:a.firstline,userConfigured:a.userConfigured,filenameLowercase:a.filename?a.filename.toLowerCase():void 0,extensionLowercase:a.extension?a.extension.toLowerCase():void 0,filepatternLowercase:a.filepattern?a.filepattern.toLowerCase():void 0,filepatternOnPath:a.filepattern?a.filepattern.indexOf(w.posix.sep)>=0:!1}}function E(a){a?(n=n.filter(s=>!s.userConfigured),i=[]):(n=[],y=[],i=[])}e.clearTextMimes=E;function g(a,s){let t;if(a)switch(a.scheme){case b.Schemas.file:t=a.fsPath;break;case b.Schemas.data:t=P.DataUri.parseMetaData(a).get(P.DataUri.META_DATA_LABEL);break;default:t=a.path}if(!t)return[e.MIME_UNKNOWN];t=t.toLowerCase();const r=(0,w.basename)(t),o=h(t,r,i);if(o)return[o,e.MIME_TEXT];const d=h(t,r,y);if(d)return[d,e.MIME_TEXT];if(s){const u=p(s);if(u)return[u,e.MIME_TEXT]}return[e.MIME_UNKNOWN]}e.guessMimeTypes=g;function h(a,s,t){let r=null,o=null,d=null;for(let u=t.length-1;u>=0;u--){const m=t[u];if(s===m.filenameLowercase){r=m;break}if(m.filepattern&&(!o||m.filepattern.length>o.filepattern.length)){const I=m.filepatternOnPath?a:s;(0,D.match)(m.filepatternLowercase,I)&&(o=m)}m.extension&&(!d||m.extension.length>d.extension.length)&&s.endsWith(m.extensionLowercase)&&(d=m)}return r?r.mime:o?o.mime:d?d.mime:null}function p(a){if((0,R.startsWithUTF8BOM)(a)&&(a=a.substr(1)),a.length>0)for(let s=n.length-1;s>=0;s--){const t=n[s];if(!!t.firstline){const r=a.match(t.firstline);if(r&&r.length>0)return t.mime}}return null}function S(a){return a?typeof a=="string"?a===e.MIME_BINARY||a===e.MIME_TEXT||a===e.MIME_UNKNOWN:a.length===1&&S(a[0]):!0}e.isUnspecific=S;const v={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function l(a){const s=(0,w.extname)(a);return v[s.toLowerCase()]}e.getMediaMime=l;function c(a){for(const s in v)if(v[s]===a)return s}e.getExtensionForMimeType=c}),define(Q[30],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const w=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function R(y){return w.test(y)}e.isUUID=R;const D=new Uint8Array(16),b=[];for(let y=0;y<256;y++)b.push(y.toString(16).padStart(2,"0"));let P;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?P=crypto.getRandomValues.bind(crypto):P=function(y){for(let i=0;i<y.length;i++)y[i]=Math.floor(Math.random()*256);return y};function n(){P(D),D[6]=D[6]&15|64,D[8]=D[8]&63|128;let y=0,i="";return i+=b[D[y++]],i+=b[D[y++]],i+=b[D[y++]],i+=b[D[y++]],i+="-",i+=b[D[y++]],i+=b[D[y++]],i+="-",i+=b[D[y++]],i+=b[D[y++]],i+="-",i+=b[D[y++]],i+=b[D[y++]],i+="-",i+=b[D[y++]],i+=b[D[y++]],i+=b[D[y++]],i+=b[D[y++]],i+=b[D[y++]],i+=b[D[y++]],i}e.generateUuid=n}),define(Q[108],J([0,1,22,58,43]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function b(P,n){if(await new Promise((L,f)=>{const E=w.createReadStream(P),g=R.createHash("sha1");E.pipe(g);const h=(0,D.once)((p,S)=>{E.removeAllListeners(),g.removeAllListeners(),p?f(p):L(S)});E.once("error",h),E.once("end",h),g.once("error",h),g.once("data",p=>h(void 0,p.toString("hex")))})!==n)throw new Error("Hash mismatch")}e.checksum=b}),define(Q[79],J([0,1,234]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class R{constructor(b="utf8"){this.stringDecoder=new w.StringDecoder(b),this.remaining=null}write(b){const P=[],n=this.remaining?this.remaining+this.stringDecoder.write(b):this.stringDecoder.write(b);if(n.length<1)return P;let y=0,i,L=y;for(;L<n.length;)if(i=n.charCodeAt(L),i===13||i===10){if(P.push(n.substring(y,L)),L++,L<n.length){const f=i;i=n.charCodeAt(L),(f===13&&i===10||f===10&&i===13)&&L++}y=L}else L++;return this.remaining=y<n.length?n.substr(y):null,P}end(){return this.remaining}}e.LineDecoder=R}),define(Q[109],J([0,1,27]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const R=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function D(n){const y=n.replace(/\-/g,":").toLowerCase();return!R.has(y)}function b(){return new Promise(async(n,y)=>{const i=setTimeout(()=>y("Unable to retrieve mac address (timeout after 10s)"),1e4);try{n(await P())}catch(L){y(L)}finally{clearTimeout(i)}})}e.getMac=b;function P(){return new Promise((n,y)=>{try{const i=(0,w.networkInterfaces)();for(const[,L]of Object.entries(i))for(const f of L)if(D(f.mac))return n(f.mac);y("Unable to retrieve mac address (unexpected format)")}catch(i){y(i)}})}}),define(Q[65],J([0,1,19,30,27,36,109]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAdress(L){return this._virtualMachineOUIs||(this._virtualMachineOUIs=b.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(L)}value(){if(this._value===void 0){let L=0,f=0;const E=(0,D.networkInterfaces)();for(let g in E)if(Object.prototype.hasOwnProperty.call(E,g))for(const{mac:h,internal:p}of E[g])p||(f+=1,this._isVirtualMachineMacAdress(h.toUpperCase())&&(L+=1));this._value=f>0?L/f:0}return this._value}};let n;async function y(){return n||(n=(async()=>await i()||R.generateUuid())()),n}e.getMachineId=y;async function i(){try{const L=await new Promise((E,g)=>{H(["crypto"],E,g)}),f=await(0,P.getMac)();return L.createHash("sha256").update(f,"utf8").digest("hex")}catch(L){w.onUnexpectedError(L);return}}}),define(Q[23],J([0,1,22,27,8,10,3,29,30,64,15,7]),function(H,e,w,R,D,b,P,n,y,i,L,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=void 0;var E;(function(B){B[B.UNLINK=0]="UNLINK",B[B.MOVE=1]="MOVE"})(E=e.RimRafMode||(e.RimRafMode={}));async function g(B,U=E.UNLINK){if((0,n.isRootOrDriveLetter)(B))throw new Error("rimraf - will refuse to recursively delete root");return U===E.UNLINK?p(B):h(B)}e.rimraf=g;async function h(B){try{const U=(0,D.join)((0,R.tmpdir)(),(0,y.generateUuid)());try{await w.promises.rename(B,U)}catch($){return p(B)}p(U).catch($=>{})}catch(U){if(U.code!=="ENOENT")throw U}}async function p(B){return w.promises.rmdir(B,{recursive:!0,maxRetries:3})}function S(B){if((0,n.isRootOrDriveLetter)(B))throw new Error("rimraf - will refuse to recursively delete root");w.rmdirSync(B,{recursive:!0})}e.rimrafSync=S;async function v(B,U){return a(await(U?l(B):w.promises.readdir(B)))}e.readdir=v;async function l(B){try{return await w.promises.readdir(B,{withFileTypes:!0})}catch(_){console.warn("[node.js fs] readdir with filetypes failed with error: ",_)}const U=[],$=await v(B);for(const _ of $){let k=!1,M=!1,O=!1;try{const T=await w.promises.lstat((0,D.join)(B,_));k=T.isFile(),M=T.isDirectory(),O=T.isSymbolicLink()}catch(T){console.warn("[node.js fs] unexpected error from lstat after readdir: ",T)}U.push({name:_,isFile:()=>k,isDirectory:()=>M,isSymbolicLink:()=>O})}return U}function c(B){return a(w.readdirSync(B))}e.readdirSync=c;function a(B){return B.map(U=>typeof U=="string"?P.isMacintosh?(0,i.normalizeNFC)(U):U:(U.name=P.isMacintosh?(0,i.normalizeNFC)(U.name):U.name,U))}async function s(B){const U=await v(B),$=[];for(const _ of U)await r.existsDirectory((0,D.join)(B,_))&&$.push(_);return $}e.readDirsInDir=s;function t(B,U=1e3){return new Promise($=>{let _=!1;const k=setInterval(()=>{_||(_=!0,w.access(B,M=>{_=!1,M&&(clearInterval(k),$(void 0))}))},U)})}e.whenDeleted=t;var r;(function(B){async function U(k){let M;try{if(M=await w.promises.lstat(k),!M.isSymbolicLink())return{stat:M}}catch(O){}try{return{stat:await w.promises.stat(k),symbolicLink:(M==null?void 0:M.isSymbolicLink())?{dangling:!1}:void 0}}catch(O){if(O.code==="ENOENT"&&M)return{stat:M,symbolicLink:{dangling:!0}};if(P.isWindows&&O.code==="EACCES")try{return{stat:await w.promises.stat(await w.promises.readlink(k)),symbolicLink:{dangling:!1}}}catch(T){if(T.code==="ENOENT"&&M)return{stat:M,symbolicLink:{dangling:!0}};throw T}throw O}}B.stat=U;async function $(k){try{const{stat:M,symbolicLink:O}=await B.stat(k);return M.isFile()&&(O==null?void 0:O.dangling)!==!0}catch(M){}return!1}B.existsFile=$;async function _(k){try{const{stat:M,symbolicLink:O}=await B.stat(k);return M.isDirectory()&&(O==null?void 0:O.dangling)!==!0}catch(M){}return!1}B.existsDirectory=_})(r=e.SymlinkSupport||(e.SymlinkSupport={}));const o=new b.ResourceQueue;function d(B,U,$){return o.queueFor(f.URI.file(B),L.extUriBiasedIgnorePathCase).queue(()=>{const _=A($);return new Promise((k,M)=>m(B,U,_,O=>O?M(O):k()))})}e.writeFile=d;let u=!0;function m(B,U,$,_){if(!u)return w.writeFile(B,U,{mode:$.mode,flag:$.flag},_);w.open(B,$.flag,$.mode,(k,M)=>{if(k)return _(k);w.writeFile(M,U,O=>{if(O)return w.close(M,()=>_(O));w.fdatasync(M,T=>(T&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",T),u=!1),w.close(M,W=>_(W))))})})}function I(B,U,$){const _=A($);if(!u)return w.writeFileSync(B,U,{mode:_.mode,flag:_.flag});const k=w.openSync(B,_.flag,_.mode);try{w.writeFileSync(k,U);try{w.fdatasyncSync(k)}catch(M){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",M),u=!1}}finally{w.closeSync(k)}}e.writeFileSync=I;function A(B){return B?{mode:typeof B.mode=="number"?B.mode:438,flag:typeof B.flag=="string"?B.flag:"w"}:{mode:438,flag:"w"}}async function F(B,U){if(B!==U){async function $(_){try{const k=await w.promises.lstat(_);if(k.isDirectory()||k.isSymbolicLink())return;const M=await w.promises.open(_,"a");try{await M.utimes(k.atime,new Date)}finally{await M.close()}}catch(k){}}try{await w.promises.rename(B,U),await $(U)}catch(_){if(B.toLowerCase()!==U.toLowerCase()&&_.code==="EXDEV"||B.endsWith("."))await C(B,U,{preserveSymlinks:!1}),await g(B,E.MOVE),await $(U);else throw _}}}e.move=F;async function C(B,U,$){return G(B,U,{root:{source:B,target:U},options:$,handledSourcePaths:new Set})}e.copy=C;const j=511;async function G(B,U,$){if(!$.handledSourcePaths.has(B)){$.handledSourcePaths.add(B);const{stat:_,symbolicLink:k}=await r.stat(B);if(k){if($.options.preserveSymlinks)try{return await V(B,U,$)}catch(M){console.warn("[node.js fs] copy of symlink failed: ",M)}if(k.dangling)return}return _.isDirectory()?ie(B,U,_.mode&j,$):oe(B,U,_.mode&j)}}async function ie(B,U,$,_){await w.promises.mkdir(U,{recursive:!0,mode:$});const k=await v(B);for(const M of k)await G((0,D.join)(B,M),(0,D.join)(U,M),_)}async function oe(B,U,$){await w.promises.copyFile(B,U),await w.promises.chmod(U,$)}async function V(B,U,$){let _=await w.promises.readlink(B);(0,n.isEqualOrParent)(_,$.root.source,!P.isLinux)&&(_=(0,D.join)($.root.target,_.substr($.root.source.length+1))),await w.promises.symlink(_,U)}async function N(B){try{return await w.promises.access(B),!0}catch(U){return!1}}e.exists=N}),define(Q[110],J([0,1,22,111,20,8,23]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function n(f){const E=(0,b.dirname)(f);if(f===E)return f;const g=((0,b.basename)(f)||f).toLowerCase();try{const p=(0,P.readdirSync)(E).filter(S=>S.toLowerCase()===g);if(p.length===1){const S=n(E);if(S)return(0,b.join)(S,p[0])}else if(p.length>1){const S=p.indexOf(g);if(S>=0){const v=n(E);if(v)return(0,b.join)(v,p[S])}}}catch(h){}return null}e.realcaseSync=n;async function y(f){try{return await(0,R.promisify)(w.realpath)(f)}catch(E){const g=L(f);return await w.promises.access(g,w.constants.R_OK),g}}e.realpath=y;function i(f){try{return w.realpathSync(f)}catch(E){const g=L(f);return w.accessSync(g,w.constants.R_OK),g}}e.realpathSync=i;function L(f){return(0,D.rtrim)((0,b.normalize)(f),b.sep)}}),define(Q[112],J([0,1,59]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.findFreePort=e.randomPort=void 0;function R(){const y=1025;return y+Math.floor((65535-y)*Math.random())}e.randomPort=R;function D(y,i,L){let f=!1;return new Promise(E=>{const g=setTimeout(()=>{if(!f)return f=!0,E(0)},L);b(y,i,h=>{if(!f)return f=!0,clearTimeout(g),E(h)})})}e.findFreePort=D;function b(y,i,L){if(i===0)return L(0);const f=new w.Socket;f.once("connect",()=>(n(f),b(y+1,i-1,L))),f.once("data",()=>{}),f.once("error",E=>(n(f),E.code!=="ECONNREFUSED"?b(y+1,i-1,L):L(y))),f.connect(y,"127.0.0.1")}function P(y,i,L){let f=!1,E,g=1;const h=w.createServer({pauseOnConnect:!0});function p(S,v){f||(f=!0,h.removeAllListeners(),h.close(),E&&clearTimeout(E),v(S))}return new Promise(S=>{E=setTimeout(()=>{p(0,S)},L),h.on("listening",()=>{p(y,S)}),h.on("error",v=>{v&&(v.code==="EADDRINUSE"||v.code==="EACCES")&&g<i?(y++,g++,h.listen(y,"127.0.0.1")):p(0,S)}),h.on("close",()=>{p(0,S)}),h.listen(y,"127.0.0.1")})}e.findFreePortFaster=P;function n(y){try{y.removeAllListeners("connect"),y.removeAllListeners("error"),y.end(),y.destroy(),y.unref()}catch(i){console.error(i)}}});var Ae=this&&this.__await||function(H){return this instanceof Ae?(this.v=H,this):new Ae(H)},gt=this&&this.__asyncGenerator||function(H,e,w){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var R=w.apply(H,e||[]),D,b=[];return D={},P("next"),P("throw"),P("return"),D[Symbol.asyncIterator]=function(){return this},D;function P(E){R[E]&&(D[E]=function(g){return new Promise(function(h,p){b.push([E,g,h,p])>1||n(E,g)})})}function n(E,g){try{y(R[E](g))}catch(h){f(b[0][3],h)}}function y(E){E.value instanceof Ae?Promise.resolve(E.value.v).then(i,L):f(b[0][2],E)}function i(E){n("next",E)}function L(E){n("throw",E)}function f(E,g){E(g),b.shift(),b.length&&n(b[0][0],b[0][1])}},mt=this&&this.__asyncValues||function(H){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=H[Symbol.asyncIterator],w;return e?e.call(H):(H=typeof __values=="function"?__values(H):H[Symbol.iterator](),w={},R("next"),R("throw"),R("return"),w[Symbol.asyncIterator]=function(){return this},w);function R(b){w[b]=H[b]&&function(P){return new Promise(function(n,y){P=H[b](P),D(n,y,P.done,P.value)})}}function D(b,P,n,y){Promise.resolve(y).then(function(i){b({value:i,done:n})},P)}};define(Q[113],J([0,1,23,27,8]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const b=/^\d+$/,P=/^Microsoft.PowerShell_.*/,n=/^Microsoft.PowerShellPreview_.*/;var y;(function(a){a[a.x64=0]="x64",a[a.x86=1]="x86",a[a.ARM=2]="ARM"})(y||(y={}));let i;switch(process.arch){case"ia32":case"x32":i=1;break;case"arm":case"arm64":i=2;break;default:i=0;break}let L;process.env.PROCESSOR_ARCHITEW6432?L=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?L=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?L=1:L=0;class f{constructor(s,t,r){this.exePath=s,this.displayName=t,this.knownToExist=r}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await w.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function E({useAlternateBitness:a=!1}={}){return a?i===0?process.env["ProgramFiles(x86)"]||null:L===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function g({useAlternateBitness:a=!1,findPreview:s=!1}={}){const t=E({useAlternateBitness:a});if(!t)return null;const r=D.join(t,"PowerShell");if(!await w.SymlinkSupport.existsDirectory(r))return null;let o=-1,d=null;for(const I of await w.readdir(r)){let A=-1;if(s){const C=I.indexOf("-");if(C<0)continue;const j=I.substring(0,C);if(!b.test(j)||I.substring(C+1)!=="preview")continue;A=parseInt(j,10)}else{if(!b.test(I))continue;A=parseInt(I,10)}if(!(A<=o)){const F=D.join(r,I,"pwsh.exe");!await w.SymlinkSupport.existsFile(F)||(d=F,o=A)}}if(!d)return null;const u=t.includes("x86")?" (x86)":"",m=s?" Preview":"";return new f(d,`PowerShell${m}${u}`,!0)}async function h({findPreview:a}={}){if(!process.env.LOCALAPPDATA)return null;const s=D.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await w.SymlinkSupport.existsDirectory(s))return null;const{pwshMsixDirRegex:t,pwshMsixName:r}=a?{pwshMsixDirRegex:n,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:P,pwshMsixName:"PowerShell (Store)"};for(const o of await w.readdir(s))if(t.test(o)){const d=D.join(s,o,"pwsh.exe");return new f(d,r)}return null}function p(){const a=D.join(R.homedir(),".dotnet","tools","pwsh.exe");return new f(a,".NET Core PowerShell Global Tool")}function S(){const a=D.join(process.env.windir,i===1&&L!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new f(a,"Windows PowerShell",!0)}function v(){return gt(this,arguments,function*(){let s=yield Ae(g());s&&(yield yield Ae(s)),s=yield Ae(g({useAlternateBitness:!0})),s&&(yield yield Ae(s)),s=yield Ae(h()),s&&(yield yield Ae(s)),s=p(),s&&(yield yield Ae(s)),s=yield Ae(g({findPreview:!0})),s&&(yield yield Ae(s)),s=yield Ae(h({findPreview:!0})),s&&(yield yield Ae(s)),s=yield Ae(g({useAlternateBitness:!0,findPreview:!0})),s&&(yield yield Ae(s)),s=S(),s&&(yield yield Ae(s))})}function l(){return gt(this,arguments,function*(){var s,t;try{for(var r=mt(v()),o;o=yield Ae(r.next()),!o.done;){const d=o.value;(yield Ae(d.exists()))&&(yield yield Ae(d))}}catch(d){s={error:d}}finally{try{o&&!o.done&&(t=r.return)&&(yield Ae(t.call(r)))}finally{if(s)throw s.error}}})}e.enumeratePowerShellInstallations=l;async function c(){var a,s;try{for(var t=mt(l()),r;r=await t.next(),!r.done;)return r.value}catch(o){a={error:o}}finally{try{r&&!r.done&&(s=t.return)&&await s.call(t)}finally{if(a)throw a.error}}return null}e.getFirstAvailablePowerShellInstallation=c}),define(Q[80],J([0,1,46,9]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function D(P){return new Promise((n,y)=>{let i;const L=new Map;function f(h,p,S,v,l){const c=L.get(p);if(h===P||c){const a={name:E(S),cmd:S,pid:h,ppid:p,load:v,mem:l};L.set(h,a),h===P&&(i=a),c&&(c.children||(c.children=[]),c.children.push(a),c.children.length>1&&(c.children=c.children.sort((s,t)=>s.pid-t.pid)))}}function E(h){const p=/--disable-blink-features=Auxclick/,S=/\\watcher\\win32\\CodeHelper\.exe/,v=/--crashes-directory/,l=/\\pipe\\winpty-control/,c=/conhost\.exe/,a=/--type=([a-zA-Z-]+)/;if(S.exec(h))return"watcherService ";if(v.exec(h))return"electron-crash-reporter";if(l.exec(h))return"winpty-process";if(c.exec(h))return"console-window-host (Windows internal process)";let s=a.exec(h);if(s&&s.length===2)return s[1]==="renderer"?p.exec(h)?"shared-process":"window":s[1];const t=/[a-zA-Z-]+\.js/g;let r="";do s=t.exec(h),s&&(r+=s+" ");while(s);return r&&h.indexOf("node ")<0&&h.indexOf("node.exe")<0?`electron_node ${r}`:h}if(process.platform==="win32"){const h=p=>p.indexOf("\\\\?\\")===0||p.indexOf("\\??\\")===0?p.substr(4):p.indexOf('"\\\\?\\')===0||p.indexOf('"\\??\\')===0?'"'+p.substr(5):p;new Promise((p,S)=>{H(["windows-process-tree"],p,S)}).then(p=>{p.getProcessList(P,S=>{p.getProcessCpuUsage(S,v=>{const l=new Map;v.forEach(c=>{const a=h(c.commandLine||"");l.set(c.pid,{name:E(a),cmd:a,pid:c.pid,ppid:c.ppid,load:c.cpu||0,mem:c.memory||0})}),i=l.get(P),i?(l.forEach(c=>{const a=l.get(c.ppid);a&&(a.children||(a.children=[]),a.children.push(c))}),l.forEach(c=>{c.children&&(c.children=c.children.sort((a,s)=>a.pid-s.pid))}),n(i)):y(new Error(`Root process ${P} not found`))})},p.ProcessDataFlag.CommandLine|p.ProcessDataFlag.Memory)})}else{function g(){let h=[i];const p=[];for(;h.length;){const v=h.shift();v&&(p.push(v.pid),v.children&&(h=h.concat(v.children)))}let S=JSON.stringify(R.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",H).fsPath);S+=" "+p.join(" "),(0,w.exec)(S,{},(v,l,c)=>{if(v||c)y(v||new Error(c.toString()));else{const a=l.toString().split(`
`);for(let s=0;s<p.length;s++){const t=L.get(p[s]);t.load=parseFloat(a[s])}if(!i){y(new Error(`Root process ${P} not found`));return}n(i)}})}(0,w.exec)("which ps",{},(h,p,S)=>{if(h||S)if(process.platform!=="linux")y(h||new Error(S.toString()));else{const v=JSON.stringify(R.FileAccess.asFileUri("vs/base/node/ps.sh",H).fsPath);(0,w.exec)(v,{},(l,c,a)=>{l||a?y(l||new Error(a.toString())):(b(c,f),g())})}else{const v=p.toString().trim(),l="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,w.exec)(`${v} ${l}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(c,a,s)=>{c||s&&!s.includes("screen size is bogus")?y(c||new Error(s.toString())):(b(a,f),process.platform==="linux"?g():i?n(i):y(new Error(`Root process ${P} not found`)))})}})}})}e.listProcesses=D;function b(P,n){const y=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,i=P.toString().split(`
`);for(const L of i){const f=y.exec(L.trim());f&&f.length===6&&n(parseInt(f[1]),parseInt(f[2]),f[5],parseFloat(f[3]),parseFloat(f[4]))}}}),define(Q[114],J([0,1,8,22,3,64,2,23]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CHANGE_BUFFER_DELAY=e.watchFolder=e.watchFile=void 0;function y(f,E,g){return L({path:f,isDirectory:!1},E,g)}e.watchFile=y;function i(f,E,g){return L({path:f,isDirectory:!0},E,g)}e.watchFolder=i,e.CHANGE_BUFFER_DELAY=100;function L(f,E,g){const h=(0,w.basename)(f.path),p=new Map;let S=!1,v=[(0,P.toDisposable)(()=>{p.forEach(l=>(0,P.dispose)(l)),p.clear()})];try{const l=(0,R.watch)(f.path);v.push((0,P.toDisposable)(()=>{l.removeAllListeners(),l.close()}));const c=new Set;f.isDirectory&&(0,n.readdir)(f.path).then(a=>a.forEach(s=>c.add(s))),l.on("error",(a,s)=>{S||g(`Failed to watch ${f.path} for changes using fs.watch() (${a}, ${s})`)}),l.on("change",(a,s)=>{if(!S){let t="";if(s&&(t=s.toString(),D.isMacintosh&&(t=(0,b.normalizeNFC)(t))),!(!t||a!=="change"&&a!=="rename")){const r=f.isDirectory?(0,w.join)(f.path,t):f.path;if(f.isDirectory)if(a==="rename"){const o=p.get(r);o&&(0,P.dispose)(o);const d=setTimeout(async()=>{p.delete(r);const u=await(0,n.exists)(r);if(!S){let m;u?c.has(t)?m="changed":(m="added",c.add(t)):(c.delete(t),m="deleted"),E(m,r)}},e.CHANGE_BUFFER_DELAY);p.set(r,(0,P.toDisposable)(()=>clearTimeout(d)))}else{let o;c.has(t)?o="changed":(o="added",c.add(t)),E(o,r)}else if(a==="rename"||t!==h){const o=setTimeout(async()=>{const d=await(0,n.exists)(r);S||(d?(E("changed",r),v=[L(f,E,g)]):E("deleted",r))},e.CHANGE_BUFFER_DELAY);(0,P.dispose)(v),v=[(0,P.toDisposable)(()=>clearTimeout(o))]}else E("changed",r)}}})}catch(l){(0,n.exists)(f.path).then(c=>{c&&!S&&g(`Failed to watch ${f.path} for changes using fs.watch() (${l.toString()})`)})}return(0,P.toDisposable)(()=>{S=!0,v=(0,P.dispose)(v)})}}),define(Q[115],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(Q[116],J([0,1,11,115,13]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function b(){w.ipcMain.on(R.CONTEXT_MENU_CHANNEL,(n,y,i,L,f)=>{const E=P(n,L,i);E.popup({window:(0,D.withNullAsUndefined)(w.BrowserWindow.fromWebContents(n.sender)),x:f?f.x:void 0,y:f?f.y:void 0,positioningItem:f?f.positioningItem:void 0,callback:()=>{E&&n.sender.send(R.CONTEXT_MENU_CLOSE_CHANNEL,y)}})})}e.registerContextMenuListener=b;function P(n,y,i){const L=new w.Menu;return i.forEach(f=>{let E;f.type==="separator"?E=new w.MenuItem({type:f.type}):Array.isArray(f.submenu)?E=new w.MenuItem({submenu:P(n,y,f.submenu),label:f.label}):E=new w.MenuItem({label:f.label,type:f.type,accelerator:f.accelerator,checked:f.checked,enabled:f.enabled,visible:f.visible,click:(g,h,p)=>n.sender.send(y,f.id,p)}),L.append(E)}),L}}),define(Q[33],J([0,1,4,2,10,25,19,21,34,13,106,20]),function(H,e,w,R,D,b,P,n,y,i,L,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var E;(function(_){_[_.Promise=100]="Promise",_[_.PromiseCancel=101]="PromiseCancel",_[_.EventListen=102]="EventListen",_[_.EventDispose=103]="EventDispose"})(E=e.RequestType||(e.RequestType={}));function g(_){switch(_){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var h;(function(_){_[_.Initialize=200]="Initialize",_[_.PromiseSuccess=201]="PromiseSuccess",_[_.PromiseError=202]="PromiseError",_[_.PromiseErrorObj=203]="PromiseErrorObj",_[_.EventFire=204]="EventFire"})(h=e.ResponseType||(e.ResponseType={}));function p(_){switch(_){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var S;(function(_){_[_.Uninitialized=0]="Uninitialized",_[_.Idle=1]="Idle"})(S||(S={}));class v{constructor(k){this.buffer=k,this.pos=0}read(k){const M=this.buffer.slice(this.pos,this.pos+k);return this.pos+=M.byteLength,M}}class l{constructor(){this.buffers=[]}get buffer(){return n.VSBuffer.concat(this.buffers)}write(k){this.buffers.push(k)}}var c;(function(_){_[_.Undefined=0]="Undefined",_[_.String=1]="String",_[_.Buffer=2]="Buffer",_[_.VSBuffer=3]="VSBuffer",_[_.Array=4]="Array",_[_.Object=5]="Object"})(c||(c={}));function a(_){const k=n.VSBuffer.alloc(4);return k.writeUInt32BE(_,0),k}function s(_){return _.read(4).readUInt32BE(0)}function t(_){const k=n.VSBuffer.alloc(1);return k.writeUInt8(_,0),k}const r={Undefined:t(c.Undefined),String:t(c.String),Buffer:t(c.Buffer),VSBuffer:t(c.VSBuffer),Array:t(c.Array),Object:t(c.Object)},o=typeof Buffer!="undefined";function d(_,k){if(typeof k=="undefined")_.write(r.Undefined);else if(typeof k=="string"){const M=n.VSBuffer.fromString(k);_.write(r.String),_.write(a(M.byteLength)),_.write(M)}else if(o&&Buffer.isBuffer(k)){const M=n.VSBuffer.wrap(k);_.write(r.Buffer),_.write(a(M.byteLength)),_.write(M)}else if(k instanceof n.VSBuffer)_.write(r.VSBuffer),_.write(a(k.byteLength)),_.write(k);else if(Array.isArray(k)){_.write(r.Array),_.write(a(k.length));for(const M of k)d(_,M)}else{const M=n.VSBuffer.fromString(JSON.stringify(k));_.write(r.Object),_.write(a(M.byteLength)),_.write(M)}}function u(_){switch(_.read(1).readUInt8(0)){case c.Undefined:return;case c.String:return _.read(s(_)).toString();case c.Buffer:return _.read(s(_)).buffer;case c.VSBuffer:return _.read(s(_));case c.Array:{const M=s(_),O=[];for(let T=0;T<M;T++)O.push(u(_));return O}case c.Object:return JSON.parse(_.read(s(_)).toString())}}class m{constructor(k,M,O=null,T=1e3){this.protocol=k,this.ctx=M,this.logger=O,this.timeoutDelay=T,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(W=>this.onRawMessage(W)),this.sendResponse({type:200})}registerChannel(k,M){this.channels.set(k,M),setTimeout(()=>this.flushPendingRequests(k),0)}sendResponse(k){switch(k.type){case 200:{const M=this.send([k.type]);this.logger&&this.logger.logOutgoing(M,0,1,p(k.type));return}case 201:case 202:case 204:case 203:{const M=this.send([k.type,k.id],k.data);this.logger&&this.logger.logOutgoing(M,k.id,1,p(k.type),k.data);return}}}send(k,M=void 0){const O=new l;return d(O,k),d(O,M),this.sendBuffer(O.buffer)}sendBuffer(k){try{return this.protocol.send(k),k.byteLength}catch(M){return 0}}onRawMessage(k){const M=new v(k),O=u(M),T=u(M),W=O[0];switch(W){case 100:return this.logger&&this.logger.logIncoming(k.byteLength,O[1],1,`${g(W)}: ${O[2]}.${O[3]}`,T),this.onPromise({type:W,id:O[1],channelName:O[2],name:O[3],arg:T});case 102:return this.logger&&this.logger.logIncoming(k.byteLength,O[1],1,`${g(W)}: ${O[2]}.${O[3]}`,T),this.onEventListen({type:W,id:O[1],channelName:O[2],name:O[3],arg:T});case 101:return this.logger&&this.logger.logIncoming(k.byteLength,O[1],1,`${g(W)}`),this.disposeActiveRequest({type:W,id:O[1]});case 103:return this.logger&&this.logger.logIncoming(k.byteLength,O[1],1,`${g(W)}`),this.disposeActiveRequest({type:W,id:O[1]})}}onPromise(k){const M=this.channels.get(k.channelName);if(!M){this.collectPendingRequest(k);return}const O=new b.CancellationTokenSource;let T;try{T=M.call(this.ctx,k.name,k.arg,O.token)}catch(K){T=Promise.reject(K)}const W=k.id;T.then(K=>{this.sendResponse({id:W,data:K,type:201}),this.activeRequests.delete(k.id)},K=>{K instanceof Error?this.sendResponse({id:W,data:{message:K.message,name:K.name,stack:K.stack?K.stack.split?K.stack.split(`
`):K.stack:void 0},type:202}):this.sendResponse({id:W,data:K,type:203}),this.activeRequests.delete(k.id)});const z=(0,R.toDisposable)(()=>O.cancel());this.activeRequests.set(k.id,z)}onEventListen(k){const M=this.channels.get(k.channelName);if(!M){this.collectPendingRequest(k);return}const O=k.id,W=M.listen(this.ctx,k.name,k.arg)(z=>this.sendResponse({id:O,data:z,type:204}));this.activeRequests.set(k.id,W)}disposeActiveRequest(k){const M=this.activeRequests.get(k.id);M&&(M.dispose(),this.activeRequests.delete(k.id))}collectPendingRequest(k){let M=this.pendingRequests.get(k.channelName);M||(M=[],this.pendingRequests.set(k.channelName,M));const O=setTimeout(()=>{console.error(`Unknown channel: ${k.channelName}`),k.type===100&&this.sendResponse({id:k.id,data:{name:"Unknown channel",message:`Channel name '${k.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);M.push({request:k,timeoutTimer:O})}flushPendingRequests(k){const M=this.pendingRequests.get(k);if(M){for(const O of M)switch(clearTimeout(O.timeoutTimer),O.request.type){case 100:this.onPromise(O.request);break;case 102:this.onEventListen(O.request);break}this.pendingRequests.delete(k)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(k=>k.dispose()),this.activeRequests.clear()}}e.ChannelServer=m;var I;(function(_){_[_.LocalSide=0]="LocalSide",_[_.OtherSide=1]="OtherSide"})(I=e.RequestInitiator||(e.RequestInitiator={}));class A{constructor(k,M=null){this.protocol=k,this.isDisposed=!1,this.state=S.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new w.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(O=>this.onBuffer(O)),this.logger=M}getChannel(k){const M=this;return{call(O,T,W){return M.isDisposed?Promise.reject(P.canceled()):M.requestPromise(k,O,T,W)},listen(O,T){return M.isDisposed?Promise.reject(P.canceled()):M.requestEvent(k,O,T)}}}requestPromise(k,M,O,T=b.CancellationToken.None){const W=this.lastRequestId++,K={id:W,type:100,channelName:k,name:M,arg:O};if(T.isCancellationRequested)return Promise.reject(P.canceled());let X;return new Promise((Y,ee)=>{if(T.isCancellationRequested)return ee(P.canceled());const re=()=>{const de=he=>{switch(he.type){case 201:this.handlers.delete(W),Y(he.data);break;case 202:this.handlers.delete(W);const me=new Error(he.data.message);me.stack=he.data.stack,me.name=he.data.name,ee(me);break;case 203:this.handlers.delete(W),ee(he.data);break}};this.handlers.set(W,de),this.sendRequest(K)};let ne=null;this.state===S.Idle?re():(ne=(0,D.createCancelablePromise)(de=>this.whenInitialized()),ne.then(()=>{ne=null,re()}));const ue=()=>{ne?(ne.cancel(),ne=null):this.sendRequest({id:W,type:101}),ee(P.canceled())},ve=T.onCancellationRequested(ue);X=(0,R.combinedDisposable)((0,R.toDisposable)(ue),ve),this.activeRequests.add(X)}).finally(()=>{this.activeRequests.delete(X)})}requestEvent(k,M,O){const T=this.lastRequestId++,z={id:T,type:102,channelName:k,name:M,arg:O};let K=null;const X=new w.Emitter({onFirstListenerAdd:()=>{K=(0,D.createCancelablePromise)(Y=>this.whenInitialized()),K.then(()=>{K=null,this.activeRequests.add(X),this.sendRequest(z)})},onLastListenerRemove:()=>{K?(K.cancel(),K=null):(this.activeRequests.delete(X),this.sendRequest({id:T,type:103}))}}),Z=Y=>X.fire(Y.data);return this.handlers.set(T,Z),X.event}sendRequest(k){switch(k.type){case 100:case 102:{const M=this.send([k.type,k.id,k.channelName,k.name],k.arg);this.logger&&this.logger.logOutgoing(M,k.id,0,`${g(k.type)}: ${k.channelName}.${k.name}`,k.arg);return}case 101:case 103:{const M=this.send([k.type,k.id]);this.logger&&this.logger.logOutgoing(M,k.id,0,g(k.type));return}}}send(k,M=void 0){const O=new l;return d(O,k),d(O,M),this.sendBuffer(O.buffer)}sendBuffer(k){try{return this.protocol.send(k),k.byteLength}catch(M){return 0}}onBuffer(k){const M=new v(k),O=u(M),T=u(M),W=O[0];switch(W){case 200:return this.logger&&this.logger.logIncoming(k.byteLength,0,0,p(W)),this.onResponse({type:O[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(k.byteLength,O[1],0,p(W),T),this.onResponse({type:O[0],id:O[1],data:T})}}onResponse(k){if(k.type===200){this.state=S.Idle,this._onDidInitialize.fire();return}const M=this.handlers.get(k.id);M&&M(k)}whenInitialized(){return this.state===S.Idle?Promise.resolve():w.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(k=>k.dispose()),this.activeRequests.clear()}}e.ChannelClient=A;class F{constructor(k){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new w.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new w.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,k(({protocol:M,onDidClientDisconnect:O})=>{w.Event.once(M.onMessage)(W=>{const z=new v(W),K=u(z),X=new m(M,K),Z=new A(M);this.channels.forEach((ee,re)=>X.registerChannel(re,ee));const Y={channelServer:X,channelClient:Z,ctx:K};this._connections.add(Y),this._onDidAddConnection.fire(Y),O(()=>{X.dispose(),Z.dispose(),this._connections.delete(Y),this._onDidRemoveConnection.fire(Y)})})})}get connections(){const k=[];return this._connections.forEach(M=>k.push(M)),k}getChannel(k,M){const O=this;return{call(T,W,z){let K;if((0,i.isFunction)(M)){let Z=(0,y.getRandomElement)(O.connections.filter(M));K=Z?Promise.resolve(Z):w.Event.toPromise(w.Event.filter(O.onDidAddConnection,M))}else K=M.routeCall(O,T,W);const X=K.then(Z=>Z.channelClient.getChannel(k));return j(X).call(T,W,z)},listen(T,W){if((0,i.isFunction)(M))return O.getMulticastEvent(k,M,T,W);const z=M.routeEvent(O,T,W).then(K=>K.channelClient.getChannel(k));return j(z).listen(T,W)}}}getMulticastEvent(k,M,O,T){const W=this;let z=new R.DisposableStore;const K=new w.Emitter({onFirstListenerAdd:()=>{z=new R.DisposableStore;const X=new w.EventMultiplexer,Z=new Map,Y=re=>{const ue=re.channelClient.getChannel(k).listen(O,T),ve=X.add(ue);Z.set(re,ve)},ee=re=>{const ne=Z.get(re);!ne||(ne.dispose(),Z.delete(re))};W.connections.filter(M).forEach(Y),w.Event.filter(W.onDidAddConnection,M)(Y,void 0,z),W.onDidRemoveConnection(ee,void 0,z),X.event(K.fire,K,z),z.add(X)},onLastListenerRemove:()=>{z.dispose()}});return K.event}registerChannel(k,M){this.channels.set(k,M),this._connections.forEach(O=>{O.channelServer.registerChannel(k,M)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=F;class C{constructor(k,M,O=null){const T=new l;d(T,M),k.send(T.buffer),this.channelClient=new A(k,O),this.channelServer=new m(k,M,O)}getChannel(k){return this.channelClient.getChannel(k)}registerChannel(k,M){this.channelServer.registerChannel(k,M)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=C;function j(_){return{call(k,M,O){return _.then(T=>T.call(k,M,O))},listen(k,M){const O=new w.Relay;return _.then(T=>O.input=T.listen(k,M)),O.event}}}e.getDelayedChannel=j;function G(_){let k=!1;return{call(M,O,T){return k?_.call(M,O,T):(0,D.timeout)(0).then(()=>k=!0).then(()=>_.call(M,O,T))},listen(M,O){if(k)return _.listen(M,O);const T=new w.Relay;return(0,D.timeout)(0).then(()=>k=!0).then(()=>T.input=_.listen(M,O)),T.event}}}e.getNextTickChannel=G;class ie{constructor(k){this.fn=k}routeCall(k){return this.route(k)}routeEvent(k){return this.route(k)}async route(k){for(const M of k.connections)if(await Promise.resolve(this.fn(M.ctx)))return Promise.resolve(M);return await w.Event.toPromise(k.onDidAddConnection),await this.route(k)}}e.StaticRouter=ie;var oe;(function(_){function k(T,W){const z=T,K=W&&W.disableMarshalling,X=new Map;for(const Z in z)O(Z)&&X.set(Z,w.Event.buffer(z[Z],!0));return new class{listen(Z,Y){const ee=X.get(Y);if(ee)return ee;throw new Error(`Event not found: ${Y}`)}call(Z,Y,ee){const re=z[Y];if(typeof re=="function"){if(!K&&Array.isArray(ee))for(let ne=0;ne<ee.length;ne++)ee[ne]=(0,L.revive)(ee[ne]);return re.apply(z,ee)}throw new Error(`Method not found: ${Y}`)}}}_.fromService=k;function M(T,W){const z=W&&W.disableMarshalling;return new Proxy({},{get(K,X){var Z;if(typeof X=="string")return((Z=W==null?void 0:W.properties)===null||Z===void 0?void 0:Z.has(X))?W.properties.get(X):O(X)?T.listen(X):async function(...Y){let ee;W&&!(0,i.isUndefinedOrNull)(W.context)?ee=[W.context,...Y]:ee=Y;const re=await T.call(X,ee);return z?re:(0,L.revive)(re)};throw new Error(`Property not found: ${String(X)}`)}})}_.toService=M;function O(T){return T[0]==="o"&&T[1]==="n"&&f.isUpperAsciiLetter(T.charCodeAt(2))}})(oe=e.ProxyChannel||(e.ProxyChannel={}));const V=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function N(_){if(Array.isArray(_))return _;if(_&&typeof _=="object"&&typeof _.toString=="function"){let k=_.toString();if(k!=="[object Object]")return k}return _}function B(_){return Array.isArray(_)?_.map(N):N(_)}function U(_,k,M,O,T,W,z){z=B(z);const K=V[T],X=K[O%K.length];let Z=[`%c[${_}]%c[${String(k).padStart(7," ")}]%c[len: ${String(M).padStart(5," ")}]%c${String(O).padStart(5," ")} - ${W}`,"color: darkgreen","color: grey","color: grey",`color: ${X}`];/\($/.test(W)?(Z=Z.concat(z),Z.push(")")):Z.push(z),console.log.apply(console,Z)}e.logWithColors=U;class ${constructor(k,M){this._outgoingPrefix=k,this._incomingPrefix=M,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(k,M,O,T,W){this._totalOutgoing+=k,U(this._outgoingPrefix,this._totalOutgoing,k,M,O,T,W)}logIncoming(k,M,O,T,W){this._totalIncoming+=k,U(this._incomingPrefix,this._totalIncoming,k,M,O,T,W)}}e.IPCLogger=$}),define(Q[117],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class w{constructor(D,b){this.sender=D,this.onMessage=b}send(D){try{this.sender.send("vscode:message",D.buffer)}catch(b){}}disconnect(){this.sender.send("vscode:disconnect",null)}}e.Protocol=w}),define(Q[118],J([0,1,4,33,21]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class b{constructor(y){this.port=y,this.onMessage=w.Event.fromDOMEventEmitter(this.port,"message",i=>D.VSBuffer.wrap(i.data)),y.start()}send(y){this.port.postMessage(y.buffer)}disconnect(){this.port.close()}}e.Protocol=b;class P extends R.IPCClient{constructor(y,i){const L=new b(y);super(L,i);this.protocol=L}dispose(){this.protocol.disconnect()}}e.Client=P}),define(Q[81],J([0,1,4,33,2,21,3,35]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=void 0;let y=null;function i(){return y||(y=b.VSBuffer.alloc(0)),y}class L{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(o){this._chunks.push(o),this._totalLength+=o.byteLength}read(o){return this._read(o,!0)}peek(o){return this._read(o,!1)}_read(o,d){if(o===0)return i();if(o>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===o){const A=this._chunks[0];return d&&(this._chunks.shift(),this._totalLength-=o),A}if(this._chunks[0].byteLength>o){const A=this._chunks[0].slice(0,o);return d&&(this._chunks[0]=this._chunks[0].slice(o),this._totalLength-=o),A}let u=b.VSBuffer.alloc(o),m=0,I=0;for(;o>0;){const A=this._chunks[I];if(A.byteLength>o){const F=A.slice(0,o);u.set(F,m),m+=o,d&&(this._chunks[I]=A.slice(o),this._totalLength-=o),o-=o}else u.set(A,m),m+=A.byteLength,d?(this._chunks.shift(),this._totalLength-=A.byteLength):I++,o-=A.byteLength}return u}}e.ChunkStream=L;var f;(function(r){r[r.None=0]="None",r[r.Regular=1]="Regular",r[r.Control=2]="Control",r[r.Ack=3]="Ack",r[r.KeepAlive=4]="KeepAlive",r[r.Disconnect=5]="Disconnect",r[r.ReplayRequest=6]="ReplayRequest"})(f||(f={}));var E;(function(r){r[r.HeaderLength=13]="HeaderLength",r[r.AcknowledgeTime=2e3]="AcknowledgeTime",r[r.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",r[r.KeepAliveTime=5e3]="KeepAliveTime",r[r.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",r[r.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",r[r.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(E=e.ProtocolConstants||(e.ProtocolConstants={}));class g{constructor(o,d,u,m){this.type=o,this.id=d,this.ack=u,this.data=m,this.writtenTime=0}get size(){return this.data.byteLength}}class h extends D.Disposable{constructor(o){super();this._onMessage=this._register(new w.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=o,this._isDisposed=!1,this._incomingData=new L,this._register(this._socket.onData(d=>this.acceptChunk(d))),this.lastReadTime=Date.now()}acceptChunk(o){if(!(!o||o.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(o);this._incomingData.byteLength>=this._state.readLen;){const d=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=d.readUInt32BE(9),this._state.messageType=d.readUInt8(0),this._state.id=d.readUInt32BE(1),this._state.ack=d.readUInt32BE(5);else{const u=this._state.messageType,m=this._state.id,I=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new g(u,m,I,d)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class p{constructor(o){this._isDisposed=!1,this._socket=o,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(o){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(o){if(!this._isDisposed){o.writtenTime=Date.now(),this.lastWriteTime=Date.now();const d=b.VSBuffer.alloc(13);d.writeUInt8(o.type,0),d.writeUInt32BE(o.id,1),d.writeUInt32BE(o.ack,5),d.writeUInt32BE(o.data.byteLength,9),this._writeSoon(d,o.data)}}_bufferAdd(o,d){const u=this._totalLength===0;return this._data.push(o,d),this._totalLength+=o.byteLength+d.byteLength,u}_bufferTake(){const o=b.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,o}_writeSoon(o,d){this._bufferAdd(o,d)&&P.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class S extends D.Disposable{constructor(o){super();this._onMessage=new w.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new w.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=o,this._socketWriter=this._register(new p(this._socket)),this._socketReader=this._register(new h(this._socket)),this._register(this._socketReader.onMessage(d=>{d.type===1&&this._onMessage.fire(d.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(o){this._socketWriter.write(new g(1,0,0,o))}}e.Protocol=S;class v extends R.IPCClient{constructor(o,d,u=null){super(o,d,u);this.protocol=o}static fromSocket(o,d){return new v(new S(o),d)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const o=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),o.end()}}e.Client=v;class l{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new w.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,n.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(o){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(o):this._emitter.fire(o):this._bufferedMessages.push(o)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=l;class c{constructor(o){this.data=o,this.next=null}}class a{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let o=[],d=0,u=this._first;for(;u;)o[d++]=u.data,u=u.next;return o}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(o){const d=new c(o);if(!this._first){this._first=d,this._last=d;return}this._last.next=d,this._last=d}}class s{constructor(){this.lastRuns=[];const o=Date.now();for(let d=0;d<s._HISTORY_LENGTH;d++)this.lastRuns[d]=o-1e3*d;setInterval(()=>{for(let d=s._HISTORY_LENGTH;d>=1;d--)this.lastRuns[d]=this.lastRuns[d-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return s._INSTANCE||(s._INSTANCE=new s),s._INSTANCE}load(){const o=Date.now(),d=(1+s._HISTORY_LENGTH)*1e3;let u=0;for(let m=0;m<s._HISTORY_LENGTH;m++)o-this.lastRuns[m]<=d&&u++;return 1-u/s._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}s._HISTORY_LENGTH=10,s._INSTANCE=null;class t{constructor(o,d=null){this._loadEstimator=s.getInstance(),this._onControlMessage=new l,this.onControlMessage=this._onControlMessage.event,this._onMessage=new l,this.onMessage=this._onMessage.event,this._onDidDispose=new l,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new l,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new l,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new a,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=o,this._socketWriter=new p(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new h(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(u=>this._receiveMessage(u))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),d&&this._socketReader.acceptChunk(d),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=(0,D.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const o=new g(5,0,0,i());this._socketWriter.write(o),this._socketWriter.flush()}_sendKeepAliveCheck(){if(!this._outgoingKeepAliveTimeout){const o=Date.now()-this._socketWriter.lastWriteTime;if(o>=5e3){const d=new g(4,0,0,i());this._socketWriter.write(d),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-o+5)}}_recvKeepAliveCheck(){if(!this._incomingKeepAliveTimeout){const o=Date.now()-this._socketReader.lastReadTime;if(o>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-o,0)+5)}}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(o,d){this._isReconnecting=!0,this._socketDisposables=(0,D.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=o,this._socketWriter=new p(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new h(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(u=>this._receiveMessage(u))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),this._socketReader.acceptChunk(d)}endAcceptReconnection(){this._isReconnecting=!1;const o=this._outgoingUnackMsg.toArray();for(let d=0,u=o.length;d<u;d++)this._socketWriter.write(o[d]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(o){if(o.ack>this._outgoingAckId){this._outgoingAckId=o.ack;do{const d=this._outgoingUnackMsg.peek();if(d&&d.id<=o.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(o.type===1){if(o.id>this._incomingMsgId)if(o.id!==this._incomingMsgId+1){const d=Date.now();d-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=d,this._socketWriter.write(new g(6,0,0,i())))}else this._incomingMsgId=o.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(o.data)}else if(o.type===2)this._onControlMessage.fire(o.data);else if(o.type===5)this._onDidDispose.fire();else if(o.type===6){const d=this._outgoingUnackMsg.toArray();for(let u=0,m=d.length;u<m;u++)this._socketWriter.write(d[u]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(o){const d=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const u=new g(1,d,this._incomingAckId,o);this._outgoingUnackMsg.push(u),this._isReconnecting||(this._socketWriter.write(u),this._recvAckCheck())}sendControl(o){const d=new g(2,0,0,o);this._socketWriter.write(d)}_sendAckCheck(){if(!(this._incomingMsgId<=this._incomingAckId)&&!this._incomingAckTimeout){const o=Date.now()-this._incomingMsgLastTime;if(o>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-o+5)}}_recvAckCheck(){if(!(this._outgoingMsgId<=this._outgoingAckId)&&!this._outgoingAckTimeout){const o=this._outgoingUnackMsg.peek(),d=Date.now()-o.writtenTime;if(d>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-d,0)+5)}}_sendAck(){if(!(this._incomingMsgId<=this._incomingAckId)){this._incomingAckId=this._incomingMsgId;const o=new g(3,0,this._incomingAckId,i());this._socketWriter.write(o)}}}e.PersistentProtocol=t}),define(Q[119],J([0,1,11,4,33,117,2,21]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function y(L,f){const E=R.Event.fromNodeEventEmitter(w.ipcMain,f,(h,p)=>({event:h,message:p})),g=R.Event.filter(E,({event:h})=>h.sender.id===L);return R.Event.map(g,({message:h})=>h&&n.VSBuffer.wrap(h))}class i extends D.IPCServer{constructor(){super(i.getOnDidClientConnect())}static getOnDidClientConnect(){const f=R.Event.fromNodeEventEmitter(w.ipcMain,"vscode:hello",({sender:E})=>E);return R.Event.map(f,E=>{const g=E.id,h=i.Clients.get(g);h&&h.dispose();const p=new R.Emitter;i.Clients.set(g,(0,P.toDisposable)(()=>p.fire()));const S=y(g,"vscode:message"),v=R.Event.any(R.Event.signal(y(g,"vscode:disconnect")),p.event);return{protocol:new b.Protocol(E,S),onDidClientDisconnect:v}})}}e.Server=i,i.Clients=new Map}),define(Q[82],J([0,1,11,4,30,118]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class P extends b.Client{constructor(i,L){super({addEventListener:(f,E)=>i.addListener(f,E),removeEventListener:(f,E)=>i.removeListener(f,E),postMessage:f=>i.postMessage(f),start:()=>i.start(),close:()=>i.close()},L)}}e.Client=P;async function n(y){if(y.isDestroyed()||y.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const i=(0,D.generateUuid)();y.webContents.send("vscode:createMessageChannel",i);const L=R.Event.fromNodeEventEmitter(w.ipcMain,"vscode:createMessageChannelResult",(E,g)=>({nonce:g,port:E.ports[0]})),{port:f}=await R.Event.toPromise(R.Event.once(R.Event.filter(L,E=>E.nonce===i)));return f}e.connect=n}),define(Q[83],J([0,1,2,4,10,13]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageHint=void 0;var P;(function(L){L[L.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(P=e.StorageHint||(e.StorageHint={}));var n;(function(L){L[L.None=0]="None",L[L.Initialized=1]="Initialized",L[L.Closed=2]="Closed"})(n||(n={}));class y extends w.Disposable{constructor(f,E=Object.create(null)){super();this.database=f,this.options=E,this._onDidChangeStorage=this._register(new R.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=n.None,this.cache=new Map,this.flushDelayer=new D.ThrottledDelayer(y.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(f=>this.onDidChangeItemsExternal(f)))}onDidChangeItemsExternal(f){var E,g;(E=f.changed)===null||E===void 0||E.forEach((h,p)=>this.accept(p,h)),(g=f.deleted)===null||g===void 0||g.forEach(h=>this.accept(h,void 0))}accept(f,E){if(this.state!==n.Closed){let g=!1;(0,b.isUndefinedOrNull)(E)?g=this.cache.delete(f):this.cache.get(f)!==E&&(this.cache.set(f,E),g=!0),g&&this._onDidChangeStorage.fire(f)}}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===n.None&&(this.state=n.Initialized,this.options.hint!==P.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(f,E){const g=this.cache.get(f);return(0,b.isUndefinedOrNull)(g)?E:g}getBoolean(f,E){const g=this.get(f);return(0,b.isUndefinedOrNull)(g)?E:g==="true"}getNumber(f,E){const g=this.get(f);return(0,b.isUndefinedOrNull)(g)?E:parseInt(g,10)}async set(f,E){if(this.state!==n.Closed){if((0,b.isUndefinedOrNull)(E))return this.delete(f);const g=String(E);if(this.cache.get(f)!==g)return this.cache.set(f,g),this.pendingInserts.set(f,g),this.pendingDeletes.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}}async delete(f){if(this.state!==n.Closed&&!!this.cache.delete(f))return this.pendingDeletes.has(f)||this.pendingDeletes.add(f),this.pendingInserts.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=n.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(f){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!!this.hasPending){const f={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(f).finally(()=>{var E;if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)(E=this.whenFlushedCallbacks.pop())===null||E===void 0||E()})}}async whenFlushed(){if(!!this.hasPending)return new Promise(f=>this.whenFlushedCallbacks.push(f))}dispose(){this.flushDelayer.cancel(),this.flushDelayer.dispose(),super.dispose()}}e.Storage=y,y.DEFAULT_FLUSH_DELAY=100;class i{constructor(){this.onDidChangeItemsExternal=R.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(f){f.insert&&f.insert.forEach((E,g)=>this.items.set(g,E)),f.delete&&f.delete.forEach(E=>this.items.delete(E))}async close(){}}e.InMemoryStorageDatabase=i}),define(Q[120],J([0,1,22,4,10,36,8,23]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class y{constructor(f,E=Object.create(null)){this.path=f,this.options=E,this.name=(0,P.basename)(this.path),this.logger=new i(this.options.logging),this.whenConnected=this.connect(this.path)}get onDidChangeItemsExternal(){return R.Event.None}async getItems(){const f=await this.whenConnected,E=new Map;return(await this.all(f,"SELECT * FROM ItemTable")).forEach(h=>E.set(h.key,h.value)),this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] getItems(): ${E.size} rows`),E}async updateItems(f){const E=await this.whenConnected;return this.doUpdateItems(E,f)}doUpdateItems(f,E){return this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] updateItems(): insert(${E.insert?(0,b.mapToString)(E.insert):"0"}), delete(${E.delete?(0,b.setToString)(E.delete):"0"})`),this.transaction(f,()=>{const g=E.insert,h=E.delete;if(g&&g.size>0){const p=[];p.push([]);let S=0;g.forEach((v,l)=>{let c=p[S];c.length>y.MAX_HOST_PARAMETERS&&(S++,c=[],p.push(c)),c.push(l,v)}),p.forEach(v=>{this.prepare(f,`INSERT INTO ItemTable VALUES ${new Array(v.length/2).fill("(?,?)").join(",")}`,l=>l.run(v),()=>{const l=[];let c=0;return g.forEach((a,s)=>{l.push(s),c+=a.length}),`Keys: ${l.join(", ")} Length: ${c}`})})}if(h&&h.size){const p=[];p.push([]);let S=0;h.forEach(v=>{let l=p[S];l.length>y.MAX_HOST_PARAMETERS&&(S++,l=[],p.push(l)),l.push(v)}),p.forEach(v=>{this.prepare(f,`DELETE FROM ItemTable WHERE key IN (${new Array(v.length).fill("?").join(",")})`,l=>l.run(v),()=>{const l=[];return h.forEach(c=>{l.push(c)}),`Keys: ${l.join(", ")}`})})}})}async close(f){this.logger.trace(`[storage ${this.name}] close()`);const E=await this.whenConnected;return this.doClose(E,f)}doClose(f,E){return new Promise((g,h)=>{f.db.close(p=>(p&&this.handleSQLiteError(f,`[storage ${this.name}] close(): ${p}`),this.path===y.IN_MEMORY_PATH?g():!f.isErroneous&&!f.isInMemory?this.backup().then(g,S=>(this.logger.error(`[storage ${this.name}] backup(): ${S}`),g())):typeof E=="function"?w.promises.unlink(this.path).then(()=>this.doConnect(this.path).then(S=>{const v=()=>this.doClose(S,void 0);return this.doUpdateItems(S,{insert:E()}).then(()=>v(),l=>(v(),Promise.reject(l)))})).then(g,h):h(p||new Error("Database has errors or is in-memory without recovery option"))))})}backup(){const f=this.toBackupPath(this.path);return(0,n.copy)(this.path,f,{preserveSymlinks:!1})}toBackupPath(f){return`${f}.backup`}async checkIntegrity(f){this.logger.trace(`[storage ${this.name}] checkIntegrity(full: ${f})`);const E=await this.whenConnected,g=await this.get(E,f?"PRAGMA integrity_check":"PRAGMA quick_check"),h=f?g.integrity_check:g.quick_check;return E.isErroneous?`${h} (last error: ${E.lastError})`:E.isInMemory?`${h} (in-memory!)`:h}async connect(f,E=!0){this.logger.trace(`[storage ${this.name}] open(${f}, retryOnBusy: ${E})`);try{return await this.doConnect(f)}catch(g){if(this.logger.error(`[storage ${this.name}] open(): Unable to open DB due to ${g}`),g.code==="SQLITE_BUSY"&&E)return await(0,D.timeout)(y.BUSY_OPEN_TIMEOUT),this.connect(f,!1);try{await w.promises.unlink(f);try{await w.promises.rename(this.toBackupPath(f),f)}catch(h){}return await this.doConnect(f)}catch(h){return this.logger.error(`[storage ${this.name}] open(): Unable to use backup due to ${h}`),this.doConnect(y.IN_MEMORY_PATH)}}}handleSQLiteError(f,E){f.isErroneous=!0,f.lastError=E,this.logger.error(E)}doConnect(f){return new Promise((E,g)=>{new Promise((h,p)=>{H(["vscode-sqlite3"],h,p)}).then(h=>{const p={db:new(this.logger.isTracing?h.verbose().Database:h.Database)(f,S=>S?p.db?p.db.close(()=>g(S)):g(S):this.exec(p,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>E(p),v=>p.db.close(()=>g(v)))),isInMemory:f===y.IN_MEMORY_PATH};p.db.on("error",S=>this.handleSQLiteError(p,`[storage ${this.name}] Error (event): ${S}`)),this.logger.isTracing&&p.db.on("trace",S=>this.logger.trace(`[storage ${this.name}] Trace (event): ${S}`))},g)})}exec(f,E){return new Promise((g,h)=>{f.db.exec(E,p=>p?(this.handleSQLiteError(f,`[storage ${this.name}] exec(): ${p}`),h(p)):g())})}get(f,E){return new Promise((g,h)=>{f.db.get(E,(p,S)=>p?(this.handleSQLiteError(f,`[storage ${this.name}] get(): ${p}`),h(p)):g(S))})}all(f,E){return new Promise((g,h)=>{f.db.all(E,(p,S)=>p?(this.handleSQLiteError(f,`[storage ${this.name}] all(): ${p}`),h(p)):g(S))})}transaction(f,E){return new Promise((g,h)=>{f.db.serialize(()=>{f.db.run("BEGIN TRANSACTION"),E(),f.db.run("END TRANSACTION",p=>p?(this.handleSQLiteError(f,`[storage ${this.name}] transaction(): ${p}`),h(p)):g())})})}prepare(f,E,g,h){const p=f.db.prepare(E),S=v=>{this.handleSQLiteError(f,`[storage ${this.name}] prepare(): ${v} (${E}). Details: ${h()}`)};p.on("error",S),g(p),p.finalize(v=>{v&&S(v),p.removeListener("error",S)})}}e.SQLiteStorageDatabase=y,y.IN_MEMORY_PATH=":memory:",y.BUSY_OPEN_TIMEOUT=2e3,y.MAX_HOST_PARAMETERS=256;class i{constructor(f){f&&typeof f.logTrace=="function"&&process.env[i.VSCODE_TRACE_STORAGE]&&(this.logTrace=f.logTrace),f&&typeof f.logError=="function"&&(this.logError=f.logError)}get isTracing(){return!!this.logTrace}trace(f){this.logTrace&&this.logTrace(f)}error(f){this.logError&&this.logError(f)}}i.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(Q[121],J([14,12]),function(H,e){return H.create("vs/base/common/date",e)}),define(Q[122],J([0,1,121]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const R=60,D=R*60,b=D*24,P=b*7,n=b*30,y=b*365;function i(f,E){typeof f!="number"&&(f=f.getTime());const g=Math.round((new Date().getTime()-f)/1e3);if(g<-30)return(0,w.localize)(0,null,i(new Date().getTime()+g*1e3,!1));if(g<30)return(0,w.localize)(1,null);let h;return g<R?(h=g,E?h===1?(0,w.localize)(2,null,h):(0,w.localize)(3,null,h):h===1?(0,w.localize)(4,null,h):(0,w.localize)(5,null,h)):g<D?(h=Math.floor(g/R),E?h===1?(0,w.localize)(6,null,h):(0,w.localize)(7,null,h):h===1?(0,w.localize)(8,null,h):(0,w.localize)(9,null,h)):g<b?(h=Math.floor(g/D),E?h===1?(0,w.localize)(10,null,h):(0,w.localize)(11,null,h):h===1?(0,w.localize)(12,null,h):(0,w.localize)(13,null,h)):g<P?(h=Math.floor(g/b),E?h===1?(0,w.localize)(14,null,h):(0,w.localize)(15,null,h):h===1?(0,w.localize)(16,null,h):(0,w.localize)(17,null,h)):g<n?(h=Math.floor(g/P),E?h===1?(0,w.localize)(18,null,h):(0,w.localize)(19,null,h):h===1?(0,w.localize)(20,null,h):(0,w.localize)(21,null,h)):g<y?(h=Math.floor(g/n),E?h===1?(0,w.localize)(22,null,h):(0,w.localize)(23,null,h):h===1?(0,w.localize)(24,null,h):(0,w.localize)(25,null,h)):(h=Math.floor(g/y),E?h===1?(0,w.localize)(26,null,h):(0,w.localize)(27,null,h):h===1?(0,w.localize)(28,null,h):(0,w.localize)(29,null,h))}e.fromNow=i;function L(f){return f.getFullYear()+"-"+String(f.getMonth()+1).padStart(2,"0")+"-"+String(f.getDate()).padStart(2,"0")+"T"+String(f.getHours()).padStart(2,"0")+":"+String(f.getMinutes()).padStart(2,"0")+":"+String(f.getSeconds()).padStart(2,"0")+"."+(f.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=L}),define(Q[123],J([14,12]),function(H,e){return H.create("vs/base/common/errorMessage",e)}),define(Q[66],J([0,1,123,13,34]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function b(i,L){return L&&(i.stack||i.stacktrace)?w.localize(0,null,n(i),P(i.stack)||P(i.stacktrace)):n(i)}function P(i){return Array.isArray(i)?i.join(`
`):i}function n(i){return typeof i.code=="string"&&typeof i.errno=="number"&&typeof i.syscall=="string"?w.localize(1,null,i.message):i.message||w.localize(2,null)}function y(i=null,L=!1){if(!i)return w.localize(3,null);if(Array.isArray(i)){const f=D.coalesce(i),E=y(f[0],L);return f.length>1?w.localize(4,null,E,f.length):E}if(R.isString(i))return i;if(i.detail){const f=i.detail;if(f.error)return b(f.error,L);if(f.exception)return b(f.exception,L)}return i.stack?b(i,L):i.message?i.message:w.localize(5,null)}e.toErrorMessage=y}),define(Q[124],J([14,12]),function(H,e){return H.create("vs/base/common/keybindingLabels",e)}),define(Q[125],J([0,1,124]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserSettingsLabelProvider=e.ElectronAcceleratorLabelProvider=e.AriaLabelProvider=e.UILabelProvider=e.ModifierLabelProvider=void 0;class R{constructor(P,n,y=n){this.modifierLabels=[null],this.modifierLabels[2]=P,this.modifierLabels[1]=n,this.modifierLabels[3]=y}toLabel(P,n,y){if(n.length===0)return null;const i=[];for(let L=0,f=n.length;L<f;L++){const E=n[L],g=y(E);if(g===null)return null;i[L]=D(E,g,this.modifierLabels[P])}return i.join(" ")}}e.ModifierLabelProvider=R,e.UILabelProvider=new R({ctrlKey:"\u2303",shiftKey:"\u21E7",altKey:"\u2325",metaKey:"\u2318",separator:""},{ctrlKey:w.localize(0,null),shiftKey:w.localize(1,null),altKey:w.localize(2,null),metaKey:w.localize(3,null),separator:"+"},{ctrlKey:w.localize(4,null),shiftKey:w.localize(5,null),altKey:w.localize(6,null),metaKey:w.localize(7,null),separator:"+"}),e.AriaLabelProvider=new R({ctrlKey:w.localize(8,null),shiftKey:w.localize(9,null),altKey:w.localize(10,null),metaKey:w.localize(11,null),separator:"+"},{ctrlKey:w.localize(12,null),shiftKey:w.localize(13,null),altKey:w.localize(14,null),metaKey:w.localize(15,null),separator:"+"},{ctrlKey:w.localize(16,null),shiftKey:w.localize(17,null),altKey:w.localize(18,null),metaKey:w.localize(19,null),separator:"+"}),e.ElectronAcceleratorLabelProvider=new R({ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Cmd",separator:"+"},{ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Super",separator:"+"}),e.UserSettingsLabelProvider=new R({ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"cmd",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"win",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"meta",separator:"+"});function D(b,P,n){if(P===null)return"";const y=[];return b.ctrlKey&&y.push(n.ctrlKey),b.shiftKey&&y.push(n.shiftKey),b.altKey&&y.push(n.altKey),b.metaKey&&y.push(n.metaKey),P!==""&&y.push(P),y.join(n.separator)}}),define(Q[126],J([14,12]),function(H,e){return H.create("vs/base/node/processes",e)}),define(Q[84],J([0,1,8,22,23,46,126,35,13,45,29,3,79,9]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function h(s){switch(s){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function p(s,t){if(f.isWindows)try{const r={stdio:["pipe","pipe","ignore"]};t&&(r.cwd=t);const o=b.execFile("taskkill",["/T","/F","/PID",s.pid.toString()],r);return new Promise(d=>{o.once("error",u=>{d({success:!1,error:u})}),o.once("exit",(u,m)=>{d(u===0?{success:!0}:{success:!1,code:u!==null?u:1})})})}catch(r){return Promise.resolve({success:!1,error:r,code:r.status?h(r.status):1})}else if(f.isLinux||f.isMacintosh)try{const r=g.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",H).fsPath;return new Promise(o=>{b.execFile(r,[s.pid.toString()],{encoding:"utf8",shell:!0},(d,u,m)=>{o(d?{success:!1,error:d}:{success:!0})})})}catch(r){return Promise.resolve({success:!1,error:r})}else s.kill("SIGKILL");return Promise.resolve({success:!0})}function S(s=n.env){return s.comspec||"cmd.exe"}e.getWindowsShell=S;class v{constructor(t,r,o,d){if(r!==void 0&&o!==void 0&&d!==void 0)this.cmd=t,this.args=r,this.shell=o,this.options=d;else{const u=t;this.cmd=u.command,this.shell=u.isShellCommand,this.args=u.args.slice(0),this.options=u.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const u=Object.create(null);Object.keys(n.env).forEach(m=>{u[m]=n.env[m]}),Object.keys(this.options.env).forEach(m=>{u[m]=this.options.env[m]}),this.options.env=u}}getSanitizedCommand(){let t=this.cmd.toLowerCase();const r=t.lastIndexOf(w.sep);return r!==-1&&(t=t.substring(r+1)),v.WellKnowCommands[t]?t:"other"}start(t){return f.isWindows&&(this.options&&this.options.cwd&&L.isUNC(this.options.cwd)||!this.options&&L.isUNC(n.cwd()))?Promise.reject(new Error(P.localize(0,null))):this.useExec().then(r=>{let o,d;const u=new Promise((m,I)=>{o=m,d=I});if(r){let m=this.cmd;this.args&&(m=m+" "+this.args.join(" ")),this.childProcess=b.exec(m,this.options,(I,A,F)=>{this.childProcess=null;const C=I;C&&C.killed?d({killed:this.terminateRequested,stdout:A.toString(),stderr:F.toString()}):this.handleExec(o,t,I,A,F)})}else{let m=null;const I=A=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(A,o,t,d);const F={terminated:this.terminateRequested};y.isNumber(A)&&(F.cmdCode=A),o(F)};if(this.shell&&f.isWindows){const A=i.deepClone(this.options);A.windowsVerbatimArguments=!0,A.detached=!1;let F=!1,C=!1;const j=[];let G=this.ensureQuotes(this.cmd);j.push(G.value),F=G.quoted,this.args&&this.args.forEach(oe=>{G=this.ensureQuotes(oe),j.push(G.value),C=C&&G.quoted});const ie=["/s","/c"];F?C?ie.push('"'+j.join(" ")+'"'):j.length>1?ie.push('"'+j[0]+'" '+j.slice(1).join(" ")):ie.push('"'+j[0]+'"'):ie.push(j.join(" ")),m=b.spawn(S(),ie,A)}else this.cmd&&(m=b.spawn(this.cmd,this.args,this.options));m&&(this.childProcess=m,this.childProcessPromise=Promise.resolve(m),this.pidResolve&&(this.pidResolve(y.isNumber(m.pid)?m.pid:-1),this.pidResolve=void 0),m.on("error",A=>{this.childProcess=null,d({terminated:this.terminateRequested,error:A})}),m.pid&&(this.childProcess.on("close",I),this.handleSpawn(m,o,t,d,!0)))}return u})}handleClose(t,r,o,d){}ensureQuotes(t){return v.regexp.test(t)?{value:'"'+t+'"',quoted:!0}:{value:t,quoted:t.length>0&&t[0]==='"'&&t[t.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(t=>t.pid,t=>-1):new Promise(t=>{this.pidResolve=t})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(t=>(this.terminateRequested=!0,p(t,this.options.cwd).then(r=>(r.success&&(this.childProcess=null),r))),t=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(t=>{if(!this.shell||!f.isWindows)return t(!1);const r=b.spawn(S(),["/s","/c"]);r.on("error",o=>t(!0)),r.on("exit",o=>t(!1))})}}e.AbstractProcess=v,v.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},v.regexp=/^[^"].* .*[^"]/;class l extends v{constructor(t,r,o,d){super(t,r,o,d);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(t,r,o,d,u){[d,u].forEach((m,I)=>{const A=new E.LineDecoder;A.write(m).forEach(j=>{r({line:j,source:I===0?0:1})});const C=A.end();C&&r({line:C,source:I===0?0:1})}),t({terminated:this.terminateRequested,error:o})}handleSpawn(t,r,o,d,u){const m=new E.LineDecoder,I=new E.LineDecoder;t.stdout.on("data",A=>{m.write(A).forEach(C=>o({line:C,source:0}))}),t.stderr.on("data",A=>{I.write(A).forEach(C=>o({line:C,source:1}))}),this.stdoutLineDecoder=m,this.stderrLineDecoder=I}handleClose(t,r,o,d){const u=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;u&&o({line:u,source:0});const m=this.stderrLineDecoder?this.stderrLineDecoder.end():null;m&&o({line:m,source:1})}}e.LineProcess=l;function c(s){let t=[],r=!1;const o=function(d){if(r){t.push(d);return}(!s.send(d,m=>{if(m&&console.error(m),r=!1,t.length>0){const I=t.slice(0);t=[],I.forEach(A=>o(A))}})||f.isWindows)&&(r=!0)};return{send:o}}e.createQueuedSender=c;var a;(function(s){async function t(r,o,d){if(w.isAbsolute(r))return r;if(o===void 0&&(o=n.cwd()),w.dirname(r)!=="."||(d===void 0&&y.isString(n.env.PATH)&&(d=n.env.PATH.split(w.delimiter)),d===void 0||d.length===0))return w.join(o,r);async function m(I){return await D.exists(I)?!(await R.promises.stat(I)).isDirectory():!1}for(let I of d){let A;if(w.isAbsolute(I)?A=w.join(I,r):A=w.join(o,I,r),await m(A))return A;let F=A+".com";if(await m(F)||(F=A+".exe",await m(F)))return F}return w.join(o,r)}s.findExecutable=t})(a=e.win32||(e.win32={}))}),define(Q[127],J([0,1,27,3,113,84]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function P(g,h){return g===3?R.isWindows?f():b.getWindowsShell(h):i(g,h)}e.getSystemShell=P;function n(g,h){return g===3?R.isWindows?E(h):b.getWindowsShell(h):i(g,h)}e.getSystemShellSync=n;let y=null;function i(g,h){if(R.isLinux&&g===1||R.isMacintosh&&g===2)return"/bin/bash";if(!y){let p;if(R.isWindows)p="/bin/bash";else{if(p=h.SHELL,!p)try{p=w.userInfo().shell}catch(S){}p||(p="sh"),p==="/bin/false"&&(p="/bin/bash")}y=p}return y}let L=null;async function f(){return L||(L=(await(0,D.getFirstAvailablePowerShellInstallation)()).exePath),L}function E(g){if(L)return L;const h=R.isWindows&&parseFloat(w.release())>=10,p=g.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${g.windir}\\${p?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return h?S:b.getWindowsShell(g)}}),define(Q[85],J([0,1,46,2,10,45,4,84,33,105,25,19,21,3]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class h extends y.ChannelServer{constructor(v){super({send:l=>{try{process.send&&process.send(l.buffer.toString("base64"))}catch(c){}},onMessage:P.Event.fromNodeEventEmitter(process,"message",l=>E.VSBuffer.wrap(Buffer.from(l,"base64")))},v);process.once("disconnect",()=>this.dispose())}}e.Server=h;class p{constructor(v,l){this.modulePath=v,this.options=l,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new P.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const c=l&&l.timeout?l.timeout:6e4;this.disposeDelayer=new D.Delayer(c),this.child=null,this._client=null}getChannel(v){const l=this;return{call(c,a,s){return l.requestPromise(v,c,a,s)},listen(c,a){return l.requestEvent(v,c,a)}}}requestPromise(v,l,c,a=L.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(a.isCancellationRequested)return Promise.reject(f.canceled());this.disposeDelayer.cancel();const s=this.getCachedChannel(v),t=(0,D.createCancelablePromise)(d=>s.call(l,c,d)),r=a.onCancellationRequested(()=>t.cancel()),o=(0,R.toDisposable)(()=>t.cancel());return this.activeRequests.add(o),t.finally(()=>{r.dispose(),this.activeRequests.delete(o),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(v,l,c){if(!this.disposeDelayer)return P.Event.None;this.disposeDelayer.cancel();let a;const s=new P.Emitter({onFirstListenerAdd:()=>{a=this.getCachedChannel(v).listen(l,c)(s.fire,s),this.activeRequests.add(a)},onLastListenerRemove:()=>{this.activeRequests.delete(a),a.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return s.event}get client(){if(!this._client){const v=this.options&&this.options.args?this.options.args:[],l=Object.create(null);l.env=Object.assign(Object.assign({},(0,b.deepClone)(process.env)),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(l.env=Object.assign(Object.assign({},l.env),this.options.env)),this.options&&this.options.freshExecArgv&&(l.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(l.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(l.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),l.execArgv===void 0&&(l.execArgv=process.execArgv.filter(u=>!/^--inspect(-brk)?=/.test(u))),g.isMacintosh&&l.env&&delete l.env.DYLD_LIBRARY_PATH,this.child=(0,w.fork)(this.modulePath,v,l);const c=new P.Emitter;P.Event.fromNodeEventEmitter(this.child,"message",u=>u)(u=>{if((0,i.isRemoteConsoleLog)(u)){(0,i.log)(u,`IPC Library: ${this.options.serverName}`);return}c.fire(E.VSBuffer.wrap(Buffer.from(u,"base64")))});const s=this.options.useQueue?(0,n.createQueuedSender)(this.child):this.child,t=u=>this.child&&this.child.connected&&s.send(u.buffer.toString("base64")),r=c.event,o={send:t,onMessage:r};this._client=new y.ChannelClient(o);const d=()=>this.disposeClient();process.once("exit",d),this.child.on("error",u=>console.warn('IPC "'+this.options.serverName+'" errored with '+u)),this.child.on("exit",(u,m)=>{process.removeListener("exit",d),this.activeRequests.forEach(I=>(0,R.dispose)(I)),this.activeRequests.clear(),u!==0&&m!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+u+" and signal "+m),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:u,signal:m})})}return this._client}getCachedChannel(v){let l=this.channels.get(v);return l||(l=this.client.getChannel(v),this.channels.set(v,l)),l}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=p}),define(Q[128],J([14,12]),function(H,e){return H.create("vs/code/electron-main/app",e)}),define(Q[129],J([14,12]),function(H,e){return H.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Q[130],J([14,12]),function(H,e){return H.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(Q[131],J([14,12]),function(H,e){return H.create("vs/platform/environment/node/argv",e)}),define(Q[132],J([14,12]),function(H,e){return H.create("vs/platform/environment/node/argvHelper",e)}),define(Q[133],J([14,12]),function(H,e){return H.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(Q[134],J([14,12]),function(H,e){return H.create("vs/platform/extensions/common/extensionValidator",e)}),define(Q[135],J([14,12]),function(H,e){return H.create("vs/platform/files/common/fileService",e)}),define(Q[136],J([14,12]),function(H,e){return H.create("vs/platform/files/common/files",e)}),define(Q[137],J([14,12]),function(H,e){return H.create("vs/platform/files/common/io",e)}),define(Q[138],J([14,12]),function(H,e){return H.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(Q[139],J([14,12]),function(H,e){return H.create("vs/platform/issue/electron-main/issueMainService",e)}),define(Q[140],J([14,12]),function(H,e){return H.create("vs/platform/menubar/electron-main/menubar",e)}),define(Q[141],J([14,12]),function(H,e){return H.create("vs/platform/request/common/request",e)}),define(Q[142],J([14,12]),function(H,e){return H.create("vs/platform/telemetry/common/telemetryService",e)}),define(Q[143],J([14,12]),function(H,e){return H.create("vs/platform/update/common/update.config.contribution",e)}),define(Q[144],J([14,12]),function(H,e){return H.create("vs/platform/windows/electron-main/window",e)}),define(Q[145],J([14,12]),function(H,e){return H.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(Q[146],J([14,12]),function(H,e){return H.create("vs/platform/workspaces/common/workspaces",e)}),define(Q[147],J([14,12]),function(H,e){return H.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(Q[148],J([14,12]),function(H,e){return H.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(Q[149],J([0,1,4,2]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class D{constructor(){this._onCloseEmitter=new w.Emitter,this._onReloadEmitter=new w.Emitter,this._onTerminateEmitter=new w.Emitter,this._onAttachEmitter=new w.Emitter}call(n,y,i){switch(y){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:i[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:i[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:i[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:i[0],port:i[1],subId:i[2]}))}throw new Error("Method not implemented.")}listen(n,y,i){switch(y){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=D,D.ChannelName="extensionhostdebugservice";class b extends R.Disposable{constructor(n){super();this.channel=n}reload(n){this.channel.call("reload",[n])}get onReload(){return this.channel.listen("reload")}close(n){this.channel.call("close",[n])}get onClose(){return this.channel.listen("close")}attachSession(n,y,i){this.channel.call("attach",[n,y,i])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(n,y){this.channel.call("terminate",[n,y])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(n,y,i){return this.channel.call("openExtensionDevelopmentHostWindow",[n,y,i])}}e.ExtensionHostDebugChannelClient=b});var le=this&&this.__decorate||function(H,e,w,R){var D=arguments.length,b=D<3?e:R===null?R=Object.getOwnPropertyDescriptor(e,w):R,P;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")b=Reflect.decorate(H,e,w,R);else for(var n=H.length-1;n>=0;n--)(P=H[n])&&(b=(D<3?P(b):D>3?P(e,w,b):P(e,w))||b);return D>3&&b&&Object.defineProperty(e,w,b),b};define(Q[150],J([0,1,8,15,51,122,9,7,35]),function(H,e,w,R,D,b,P,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class i{constructor(h,p,S){this._args=h,this.paths=p,this.productService=S}get appRoot(){return(0,w.dirname)(P.FileAccess.asFileUri("",H).fsPath)}get userHome(){return n.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return n.URI.file((0,w.join)(this.userDataPath,"User"))}get tmpDir(){return n.URI.file(this.paths.tmpDir)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,R.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,R.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const h=(0,b.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,w.join)(this.userDataPath,"logs",h)}return this.args.logsPath}get userDataSyncLogResource(){return n.URI.file((0,w.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,R.joinPath)(n.URI.file((0,w.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return n.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return n.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,R.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,R.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const h=y.env.VSCODE_PORTABLE;return h?n.URI.file((0,w.join)(h,"argv.json")):(0,R.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,R.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return n.URI.file((0,w.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,w.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const h=this.args["builtin-extensions-dir"];return h?(0,w.resolve)(h):(0,w.normalize)((0,w.join)(P.FileAccess.asFileUri("",H).fsPath,"..","extensions"))}get extensionsDownloadPath(){const h=this.args["extensions-download-dir"];return h?(0,w.resolve)(h):(0,w.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const h=this.args["extensions-dir"];if(h)return(0,w.resolve)(h);const p=y.env.VSCODE_EXTENSIONS;if(p)return p;const S=y.env.VSCODE_PORTABLE;return S?(0,w.join)(S,"extensions"):(0,R.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const h=this.args.extensionDevelopmentPath;if(Array.isArray(h))return h.map(p=>/^[^:/?#]+?:\/\//.test(p)?n.URI.parse(p):n.URI.file((0,w.normalize)(p)))}get extensionDevelopmentKind(){var h;return(h=this.args.extensionDevelopmentKind)===null||h===void 0?void 0:h.map(p=>p==="ui"||p==="workspace"||p==="web"?p:"workspace")}get extensionTestsLocationURI(){const h=this.args.extensionTestsPath;if(h)return/^[^:/?#]+?:\/\//.test(h)?n.URI.parse(h):n.URI.file((0,w.normalize)(h))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const h=this.args["disable-extension"];if(h){if(typeof h=="string")return[h];if(Array.isArray(h)&&h.length>0)return h}return!1}get debugExtensionHost(){return L(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!y.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,R.joinPath)(n.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return n.URI.file((0,w.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get args(){return this._args}}le([D.memoize],i.prototype,"appRoot",null),le([D.memoize],i.prototype,"userHome",null),le([D.memoize],i.prototype,"userDataPath",null),le([D.memoize],i.prototype,"appSettingsHome",null),le([D.memoize],i.prototype,"tmpDir",null),le([D.memoize],i.prototype,"userRoamingDataHome",null),le([D.memoize],i.prototype,"settingsResource",null),le([D.memoize],i.prototype,"userDataSyncHome",null),le([D.memoize],i.prototype,"userDataSyncLogResource",null),le([D.memoize],i.prototype,"sync",null),le([D.memoize],i.prototype,"machineSettingsResource",null),le([D.memoize],i.prototype,"globalStorageHome",null),le([D.memoize],i.prototype,"workspaceStorageHome",null),le([D.memoize],i.prototype,"keybindingsResource",null),le([D.memoize],i.prototype,"keyboardLayoutResource",null),le([D.memoize],i.prototype,"argvResource",null),le([D.memoize],i.prototype,"snippetsHome",null),le([D.memoize],i.prototype,"isExtensionDevelopment",null),le([D.memoize],i.prototype,"untitledWorkspacesHome",null),le([D.memoize],i.prototype,"installSourcePath",null),le([D.memoize],i.prototype,"builtinExtensionsPath",null),le([D.memoize],i.prototype,"extensionsPath",null),le([D.memoize],i.prototype,"extensionDevelopmentLocationURI",null),le([D.memoize],i.prototype,"extensionDevelopmentKind",null),le([D.memoize],i.prototype,"extensionTestsLocationURI",null),le([D.memoize],i.prototype,"debugExtensionHost",null),le([D.memoize],i.prototype,"serviceMachineIdResource",null),le([D.memoize],i.prototype,"telemetryLogResource",null),e.AbstractNativeEnvironmentService=i;function L(g,h){return E(g["inspect-extensions"],g["inspect-brk-extensions"],5870,h,g.debugId)}e.parseExtensionHostPort=L;function f(g,h){return E(g["inspect-search"],g["inspect-brk-search"],5876,h)}e.parseSearchPort=f;function E(g,h,p,S,v){const c=Number(h||g)||(S?null:p),a=c?Boolean(!!h):!1;return{port:c,break:a,debugId:v}}}),define(Q[60],J([0,1,235,131,3]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const b={o:(0,R.localize)(0,null),e:(0,R.localize)(1,null),t:(0,R.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,R.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,R.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,R.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,R.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,R.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,R.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,R.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,R.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,R.localize)(11,null)},"extensions-dir":{type:"string",deprecates:"extensionHomePath",cat:"e",args:"dir",description:(0,R.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,R.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,R.localize)(14,null)},category:{type:"string",cat:"e",description:(0,R.localize)(15,null)},"install-extension":{type:"string[]",cat:"e",args:"extension-id[@version] | path-to-vsix",description:(0,R.localize)(16,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"extension-id",description:(0,R.localize)(17,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"extension-id",description:(0,R.localize)(18,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,R.localize)(19,null)},verbose:{type:"boolean",cat:"t",description:(0,R.localize)(20,null)},log:{type:"string",cat:"t",args:"level",description:(0,R.localize)(21,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,R.localize)(22,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,R.localize)(23,null)},"prof-append-timers":{type:"string"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:"disableExtensions",cat:"t",description:(0,R.localize)(24,null)},"disable-extension":{type:"string[]",cat:"t",args:"extension-id",description:(0,R.localize)(25,null)},sync:{type:"string",cat:"t",description:(0,R.localize)(26,null),args:["on","off"]},"inspect-extensions":{type:"string",deprecates:"debugPluginHost",args:"port",cat:"t",description:(0,R.localize)(27,null)},"inspect-brk-extensions":{type:"string",deprecates:"debugBrkPluginHost",args:"port",cat:"t",description:(0,R.localize)(28,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,R.localize)(29,null)},"max-memory":{type:"string",cat:"t",description:(0,R.localize)(30,null)},telemetry:{type:"boolean",cat:"t",description:(0,R.localize)(31,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-search":{type:"string",deprecates:"debugSearch"},"inspect-brk-search":{type:"string",deprecates:"debugBrkSearch"},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},_urls:{type:"string[]"},_:{type:"string[]"}};const P={onUnknownOption:()=>{},onMultipleValues:()=>{}};function n(h,p,S=P){const v={},l=[],c=[];for(let r in p){const o=p[r];o.alias&&(v[r]=o.alias),o.type==="string"||o.type==="string[]"?(l.push(r),o.deprecates&&l.push(o.deprecates)):o.type==="boolean"&&(c.push(r),o.deprecates&&c.push(o.deprecates))}const a=w(h,{string:l,boolean:c,alias:v}),s={},t=a;s._=a._.map(r=>String(r)).filter(r=>r.length>0),delete t._;for(let r in p){const o=p[r];o.alias&&delete t[o.alias];let d=t[r];o.deprecates&&t.hasOwnProperty(o.deprecates)&&(d||(d=t[o.deprecates]),delete t[o.deprecates]),typeof d!="undefined"&&(o.type==="string[]"?d&&!Array.isArray(d)&&(d=[d]):o.type==="string"&&Array.isArray(d)&&(d=d.pop(),S.onMultipleValues(r,d)),s[r]=d),delete t[r]}for(let r in t)S.onUnknownOption(r);return s}e.parseArgs=n;function y(h,p){let S="";return p.args&&(Array.isArray(p.args)?S=` <${p.args.join("> <")}>`:S=` <${p.args}>`),p.alias?`-${p.alias} --${h}${S}`:`--${h}${S}`}function i(h,p){let S=0,v=[];for(const s in h){const t=h[s],r=y(s,t);S=Math.max(S,r.length),v.push([r,t.description])}let l=S+2+1;if(p-l<25)return v.reduce((s,t)=>s.concat([`  ${t[0]}`,`      ${t[1]}`]),[]);let c=p-l-1,a=[];for(const s of v){let t=s[0],r=f(s[1],c),o=L(l-t.length-2);a.push("  "+t+o+r[0]);for(let d=1;d<r.length;d++)a.push(L(l)+r[d])}return a}e.formatOptions=i;function L(h){return" ".repeat(h)}function f(h,p){let S=[];for(;h.length;){let v=h.length<p?h.length:h.lastIndexOf(" ",p),l=h.slice(0,v).trim();h=h.slice(v),S.push(l)}return S}function E(h,p,S,v,l=!0){const c=process.stdout.isTTY&&process.stdout.columns||80;let a=[`${h} ${S}`];a.push(""),a.push(`${(0,R.localize)(32,null)}: ${p} [${(0,R.localize)(33,null)}][${(0,R.localize)(34,null)}...]`),a.push(""),l&&(D.isWindows?a.push((0,R.localize)(35,null,p)):a.push((0,R.localize)(36,null,p)),a.push(""));const s={};for(const t in v){const r=v[t];if(r.description&&r.cat){let o=s[r.cat];o||(s[r.cat]=o={}),o[t]=r}}for(let t in s){const r=t;let o=s[r];o&&(a.push(b[r]),a.push(...i(o,c)),a.push(""))}return a.join(`
`)}e.buildHelpMessage=E;function g(h,p){return`${h||(0,R.localize)(37,null)}
${p||(0,R.localize)(38,null)}
${process.arch}`}e.buildVersionMessage=g}),define(Q[151],J([0,1,60,59,149]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class b extends D.ExtensionHostDebugBroadcastChannel{constructor(n){super();this.windowsMainService=n}call(n,y,i){return y==="openExtensionDevelopmentHostWindow"?this.openExtensionDevelopmentHostWindow(i[0],i[1],i[2]):super.call(n,y,i)}async openExtensionDevelopmentHostWindow(n,y,i){const L=(0,w.parseArgs)(n,w.OPTIONS);L.debugRenderer=i;const f=L.extensionDevelopmentPath;if(!f)return{};const[E]=this.windowsMainService.openExtensionDevelopmentHostWindow(f,{context:5,cli:L,userEnv:Object.keys(y).length>0?y:void 0});if(!i)return{};const g=E.win;if(!g)return{};const h=g.webContents.debugger;let p=h.isAttached()?Infinity:0;const S=(0,R.createServer)(v=>{p++==0&&h.attach();let l=!1;const c=t=>{l||v.write(JSON.stringify(t)+"\0")},a=(t,r,o,d)=>c({method:r,params:o,sessionId:d});g.on("close",()=>{h.removeListener("message",a),v.end(),l=!0}),h.addListener("message",a);let s=Buffer.alloc(0);v.on("data",t=>{s=Buffer.concat([s,t]);for(let r=s.indexOf(0);r!==-1;r=s.indexOf(0)){let o;try{const d=s.slice(0,r).toString("utf8");s=s.slice(r+1),o=JSON.parse(d)}catch(d){console.error("error reading cdp line",d)}h.sendCommand(o.method,o.params,o.sessionId).then(d=>c({id:o.id,sessionId:o.sessionId,result:d})).catch(d=>c({id:o.id,sessionId:o.sessionId,error:{code:0,message:d.message}}))}}),v.on("error",t=>{console.error("error on cdp pipe:",t)}),v.on("close",()=>{l=!0,--p==0&&h.detach()})});return await new Promise(v=>S.listen(0,v)),g.on("close",()=>S.close()),{rendererDebugPort:S.address().port}}}e.ElectronExtensionHostDebugBroadcastChannel=b}),function(){"use strict";function H(e,w,R){function D(P){return e.resolve(b(P))}function b(P){const n=process.env.VSCODE_PORTABLE;if(n)return e.join(n,"user-data");const y=P["user-data-dir"];if(y)return y;let i=process.env.VSCODE_APPDATA;if(!i)switch(process.platform){case"win32":if(i=process.env.APPDATA,!i){const L=process.env.USERPROFILE;if(typeof L!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");i=e.join(L,"AppData","Roaming")}break;case"darwin":i=e.join(w.homedir(),"Library","Application Support");break;case"linux":i=process.env.XDG_CONFIG_HOME||e.join(w.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(i,R)}return{getUserDataPath:D}}if(typeof define=="function")define(Q[152],J([0,236,27,9,15]),function(e,w,R,D,b){const P=b.dirname(D.FileAccess.asFileUri("",e)),n=e.__$__nodeRequire(b.joinPath(P,"package.json").fsPath);return H(w,R,n.name)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),w=require("path"),R=require("os");module.exports=H(w,R,e.name)}else throw new Error("Unknown context")}(),define(Q[153],J([0,1,27,152,150]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class b extends D.AbstractNativeEnvironmentService{constructor(n,y){super(n,{homeDir:(0,w.homedir)(),tmpDir:(0,w.tmpdir)(),userDataDir:(0,R.getUserDataPath)(n)},y)}}e.NativeEnvironmentService=b}),define(Q[154],J([0,1,22,27,8]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFile=void 0;function b(P){const n=(0,D.join)((0,R.tmpdir)(),Math.random().toString(36).replace(/[^a-z]+/g,"").substr(0,10));try{return w.writeFileSync(n,""),P&&console.log(`Marker file for --wait created: ${n}`),n}catch(y){P&&console.error(`Failed to create marker file for --wait: ${y}`);return}}e.createWaitMarkerFile=b}),define(Q[155],J([0,1,134]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVersionValid=e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const R=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/;function D(f){return f=f.trim(),f==="*"||R.test(f)}e.isValidVersionStr=D;function b(f){if(!D(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let E=f.match(R);return E?{hasCaret:E[1]==="^",hasGreaterEquals:E[1]===">=",majorBase:E[2]==="x"?0:parseInt(E[2],10),majorMustEqual:E[2]!=="x",minorBase:E[4]==="x"?0:parseInt(E[4],10),minorMustEqual:E[4]!=="x",patchBase:E[6]==="x"?0:parseInt(E[6],10),patchMustEqual:E[6]!=="x",preRelease:E[8]||null}:null}e.parseVersion=b;function P(f){if(!f)return null;let E=f.majorBase,g=f.majorMustEqual,h=f.minorBase,p=f.minorMustEqual,S=f.patchBase,v=f.patchMustEqual;return f.hasCaret&&(E===0||(p=!1),v=!1),{majorBase:E,majorMustEqual:g,minorBase:h,minorMustEqual:p,patchBase:S,patchMustEqual:v,isMinimum:f.hasGreaterEquals}}e.normalizeVersion=P;function n(f,E){let g;typeof f=="string"?g=P(b(f)):g=f;let h;if(typeof E=="string"?h=P(b(E)):h=E,!g||!h)return!1;let p=g.majorBase,S=g.minorBase,v=g.patchBase,l=h.majorBase,c=h.minorBase,a=h.patchBase,s=h.majorMustEqual,t=h.minorMustEqual,r=h.patchMustEqual;return h.isMinimum?p>l?!0:p<l?!1:S>c?!0:S<c?!1:v>=a:(p===1&&l===0&&(!s||!t||!r)&&(l=1,c=0,a=0,s=!0,t=!1,r=!1),p<l?!1:p>l?!s:S<c?!1:S>c?!t:v<a?!1:v>a?!r:!0)}e.isValidVersion=n;function y(f,E,g){return E.isBuiltin||typeof E.main=="undefined"?!0:L(f,E.engines.vscode,g)}e.isValidExtensionVersion=y;function i(f,E){return f==="*"||L(E,f)}e.isEngineValid=i;function L(f,E,g=[]){let h=P(b(E));if(!h)return g.push(w.localize(0,null,E)),!1;if(h.majorBase===0){if(!h.majorMustEqual||!h.minorMustEqual)return g.push(w.localize(1,null,E)),!1}else if(!h.majorMustEqual)return g.push(w.localize(2,null,E)),!1;return n(f,h)?!0:(g.push(w.localize(3,null,f,E)),!1)}e.isVersionValid=L}),define(Q[156],J([0,1,33,85,2,9]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class P extends D.Disposable{constructor(y,i,L,f){super();this.folders=y,this.onDidFilesChange=i,this.onLogMessage=L,this.verboseLogging=f,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const y=this._register(new R.Client(b.FileAccess.asFileUri("bootstrap-fork",H).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(y.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=P.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=w.ProxyChannel.toService((0,w.getNextTickChannel)(y.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(i=>!this.isDisposed&&this.onDidFilesChange(i))),this._register(this.service.onDidLogMessage(i=>this.onLogMessage(i))),this.setFolders(this.folders)}setVerboseLogging(y){this.verboseLogging=y,!this.isDisposed&&this.service&&this.service.setVerboseLogging(y)}error(y){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${y}`})}setFolders(y){this.folders=y,this.service&&this.service.setRoots(y)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=P,P.MAX_RESTARTS=5}),define(Q[157],J([0,1,33,85,2,9]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class P extends D.Disposable{constructor(y,i,L,f,E={}){super();this.folders=y,this.onDidFilesChange=i,this.onLogMessage=L,this.verboseLogging=f,this.watcherOptions=E,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const y=this._register(new R.Client(b.FileAccess.asFileUri("bootstrap-fork",H).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(y.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=P.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=w.ProxyChannel.toService((0,w.getNextTickChannel)(y.getChannel("watcher"))),this.service.init(Object.assign(Object.assign({},this.watcherOptions),{verboseLogging:this.verboseLogging})),this._register(this.service.onDidChangeFile(i=>!this.isDisposed&&this.onDidFilesChange(i))),this._register(this.service.onDidLogMessage(i=>this.onLogMessage(i))),this.service.setRoots(this.folders)}error(y){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${y}`})}setVerboseLogging(y){this.verboseLogging=y,this.service&&this.service.setVerboseLogging(y)}setFolders(y){this.folders=y,this.service&&this.service.setRoots(y)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=P,P.MAX_RESTARTS=5}),define(Q[158],J([0,1,46,79,78,9]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutOfProcessWin32FolderWatcher=void 0;class P{constructor(y,i,L,f,E){this.watchedFolder=y,this.eventCallback=L,this.logCallback=f,this.verboseLogging=E,this.restartCounter=0,Array.isArray(i)?this.ignored=i.map(g=>D.parse(g)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${y}`),this.startWatcher()}startWatcher(){const y=[this.watchedFolder];this.verboseLogging&&y.push("-verbose"),this.handle=w.spawn(b.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",H).fsPath,y);const i=new R.LineDecoder;this.handle.stdout.on("data",L=>{const f=[];i.write(L).forEach(E=>{const g=E.split("|");if(g.length===2){const h=Number(g[0]),p=g[1];if(h>=0&&h<3){if(this.ignored&&this.ignored.some(S=>S(p))){this.verboseLogging&&this.log(p);return}f.push({type:P.changeTypeMap[h],path:p})}else this.log(g[1])}}),f.length>0&&this.eventCallback(f)}),this.handle.on("error",L=>this.onError(L)),this.handle.stderr.on("data",L=>this.onError(L)),this.handle.on("exit",(L,f)=>this.onExit(L,f))}onError(y){this.error("process error: "+y.toString())}onExit(y,i){this.handle&&(this.error(`terminated unexpectedly (code: ${y}, signal: ${i})`),this.restartCounter<=P.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(y){this.logCallback({type:"error",message:`[File Watcher (C#)] ${y}`})}log(y){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${y}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}e.OutOfProcessWin32FolderWatcher=P,P.MAX_RESTARTS=5,P.changeTypeMap=[0,1,2]}),define(Q[159],J([0,1,158,8,20]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class b{constructor(n,y,i,L){this.onDidFilesChange=y,this.onLogMessage=i,this.verboseLogging=L,this.service=void 0,this.folder=n[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(R.posix.sep)&&(this.folder.path=(0,D.rtrim)(this.folder.path,R.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new w.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,n=>this.onFileEvents(n),n=>this.onLogMessage(n),this.verboseLogging)}setVerboseLogging(n){this.verboseLogging=n,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(n){this.isDisposed||n.length>0&&this.onDidFilesChange(n)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}e.FileWatcher=b}),define(Q[67],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class w{constructor(b,P=[],n=!1){this.ctor=b,this.staticArguments=P,this.supportsDelayedInstantiation=n}}e.SyncDescriptor=w;const R=(D,...b)=>new w(D,b);e.createSyncDescriptor=R}),define(Q[160],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class w{constructor(b){this.incoming=new Map,this.outgoing=new Map,this.data=b}}e.Node=w;class R{constructor(b){this._hashFn=b,this._nodes=new Map}roots(){const b=[];for(let P of this._nodes.values())P.outgoing.size===0&&b.push(P);return b}insertEdge(b,P){const n=this.lookupOrInsertNode(b),y=this.lookupOrInsertNode(P);n.outgoing.set(this._hashFn(P),y),y.incoming.set(this._hashFn(b),n)}removeNode(b){const P=this._hashFn(b);this._nodes.delete(P);for(let n of this._nodes.values())n.outgoing.delete(P),n.incoming.delete(P)}lookupOrInsertNode(b){const P=this._hashFn(b);let n=this._nodes.get(P);return n||(n=new w(b),this._nodes.set(P,n)),n}lookup(b){return this._nodes.get(this._hashFn(b))}isEmpty(){return this._nodes.size===0}toString(){let b=[];for(let[P,n]of this._nodes)b.push(`${P}, (incoming)[${[...n.incoming.keys()].join(", ")}], (outgoing)[${[...n.outgoing.keys()].join(",")}]`);return b.join(`
`)}}e.Graph=R}),define(Q[5],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var w;(function(n){n.serviceIds=new Map,n.DI_TARGET="$di$target",n.DI_DEPENDENCIES="$di$dependencies";function y(i){return i[n.DI_DEPENDENCIES]||[]}n.getServiceDependencies=y})(w=e._util||(e._util={})),e.IInstantiationService=D("instantiationService");function R(n,y,i,L){y[w.DI_TARGET]===y?y[w.DI_DEPENDENCIES].push({id:n,index:i,optional:L}):(y[w.DI_DEPENDENCIES]=[{id:n,index:i,optional:L}],y[w.DI_TARGET]=y)}function D(n){if(w.serviceIds.has(n))return w.serviceIds.get(n);const y=function(i,L,f){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");R(y,i,f,!1)};return y.toString=()=>n,w.serviceIds.set(n,y),y}e.createDecorator=D;function b(n){return n}e.refineServiceDecorator=b;function P(n){return function(y,i,L){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");R(n,y,L,!0)}}e.optional=P}),define(Q[68],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,w.createDecorator)(e.ID);function R(D){return!!D.hostName&&!!D.errorMessage}e.isRemoteDiagnosticError=R}),define(Q[86],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=e.IEncryptionMainService=void 0,e.IEncryptionMainService=(0,w.createDecorator)("encryptionMainService");class R{constructor(b){this.machineId=b}encryption(){return new Promise((b,P)=>H(["vscode-encrypt"],b,P))}async encrypt(b){try{return(await this.encryption()).encrypt(this.machineId,b)}catch(P){return b}}async decrypt(b){try{return(await this.encryption()).decrypt(this.machineId,b)}catch(P){return b}}}e.EncryptionMainService=R}),define(Q[52],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,w.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,w.refineServiceDecorator)(e.IEnvironmentService)}),define(Q[161],J([0,1,133,5,9]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function b(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=b;var P;(function(f){f[f.NoneOrRelevance=0]="NoneOrRelevance",f[f.LastUpdatedDate=1]="LastUpdatedDate",f[f.Title=2]="Title",f[f.PublisherName=3]="PublisherName",f[f.InstallCount=4]="InstallCount",f[f.PublishedDate=5]="PublishedDate",f[f.AverageRating=6]="AverageRating",f[f.WeightedRating=12]="WeightedRating"})(P=e.SortBy||(e.SortBy={}));var n;(function(f){f[f.Default=0]="Default",f[f.Ascending=1]="Ascending",f[f.Descending=2]="Descending"})(n=e.SortOrder||(e.SortOrder={}));var y;(function(f){f.Uninstall="uninstall"})(y=e.StatisticType||(e.StatisticType={}));var i;(function(f){f[f.None=0]="None",f[f.Install=1]="Install",f[f.Update=2]="Update"})(i=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,R.createDecorator)("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class L extends Error{constructor(E,g){super(E);this.code=g}}e.ExtensionManagementError=L,e.IExtensionManagementService=(0,R.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,R.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,R.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=D.FileAccess.asBrowserUri("./media/defaultIcon.png",H).toString(!0),e.ExtensionsLabel=(0,w.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,w.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,R.createDecorator)("IExtensionManagementCLIService")}),define(Q[162],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=(0,w.createDecorator)("extensionUrlTrustService")}),define(Q[163],J([0,1,20,5]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function D(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}e.isIExtensionIdentifier=D,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var b;(function(i){i[i.System=0]="System",i[i.User=1]="User"})(b=e.ExtensionType||(e.ExtensionType={}));class P{constructor(L){this.value=L,this._lower=L.toLowerCase()}static equals(L,f){if(typeof L=="undefined"||L===null)return typeof f=="undefined"||f===null;if(typeof f=="undefined"||f===null)return!1;if(typeof L=="string"||typeof f=="string"){let E=typeof L=="string"?L:L.value,g=typeof f=="string"?f:f.value;return w.equalsIgnoreCase(E,g)}return L._lower===f._lower}static toKey(L){return typeof L=="string"?L.toLowerCase():L._lower}}e.ExtensionIdentifier=P;function n(i){return i.contributes&&i.contributes.localizations?i.contributes.localizations.length>0:!1}e.isLanguagePackExtension=n;function y(i){return i.contributes&&i.contributes.authentication?i.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=y,e.IBuiltinExtensionsScannerService=(0,R.createDecorator)("IBuiltinExtensionsScannerService")}),define(Q[164],J([0,1,20,163]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function D(g,h){return g.uuid&&h.uuid?g.uuid===h.uuid:g.id===h.id?!0:(0,w.compareIgnoreCase)(g.id,h.id)===0}e.areSameExtensions=D;class b{constructor(h,p){this.version=p,this.id=h.id,this.uuid=h.uuid}key(){return`${this.id}-${this.version}`}equals(h){return h instanceof b?D(this,h)&&this.version===h.version:!1}}e.ExtensionIdentifierWithVersion=b;function P(g,h){return`${g}.${h}`}e.getExtensionId=P;function n(g){return g.toLocaleLowerCase()}e.adoptToGalleryExtensionId=n;function y(g,h){return n(P(g,h))}e.getGalleryExtensionId=y;function i(g,h){const p=[],S=v=>{for(const l of p)if(l.some(c=>D(h(c),h(v))))return l;return null};for(const v of g){const l=S(v);l?l.push(v):p.push([v])}return p}e.groupByExtension=i;function L(g){return{id:g.identifier.id,name:g.manifest.name,galleryId:null,publisherId:g.publisherId,publisherName:g.manifest.publisher,publisherDisplayName:g.publisherDisplayName,dependencies:g.manifest.extensionDependencies&&g.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=L;function f(g){return Object.assign({id:g.identifier.id,name:g.name,galleryId:g.identifier.uuid,publisherId:g.publisherId,publisherName:g.publisher,publisherDisplayName:g.publisherDisplayName,dependencies:!!(g.properties.dependencies&&g.properties.dependencies.length>0)},g.telemetryData)}e.getGalleryExtensionTelemetryData=f,e.BetterMergeId=new R.ExtensionIdentifier("pprice.better-merge");function E(g){const h=new Set;for(const p of g)p.malicious&&h.add(p.id.id);return h}e.getMaliciousExtensionsSet=E}),define(Q[16],J([0,1,136,8,7,5,20,13,36]),function(H,e,w,R,D,b,P,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,b.createDecorator)("fileService");function i(V){return V.create===!0}e.isFileOpenForWriteOptions=i;var L;(function(V){V[V.Unknown=0]="Unknown",V[V.File=1]="File",V[V.Directory=2]="Directory",V[V.SymbolicLink=64]="SymbolicLink"})(L=e.FileType||(e.FileType={}));var f;(function(V){V[V.FileReadWrite=2]="FileReadWrite",V[V.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",V[V.FileReadStream=16]="FileReadStream",V[V.FileFolderCopy=8]="FileFolderCopy",V[V.PathCaseSensitive=1024]="PathCaseSensitive",V[V.Readonly=2048]="Readonly",V[V.Trash=4096]="Trash",V[V.FileWriteUnlock=8192]="FileWriteUnlock"})(f=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function E(V){return!!(V.capabilities&2)}e.hasReadWriteCapability=E;function g(V){return!!(V.capabilities&8)}e.hasFileFolderCopyCapability=g;function h(V){return!!(V.capabilities&4)}e.hasOpenReadWriteCloseCapability=h;function p(V){return!!(V.capabilities&16)}e.hasFileReadStreamCapability=p;var S;(function(V){V.FileExists="EntryExists",V.FileNotFound="EntryNotFound",V.FileNotADirectory="EntryNotADirectory",V.FileIsADirectory="EntryIsADirectory",V.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",V.FileTooLarge="EntryTooLarge",V.FileWriteLocked="EntryWriteLocked",V.NoPermissions="NoPermissions",V.Unavailable="Unavailable",V.Unknown="Unknown"})(S=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class v extends Error{constructor(N,B){super(N);this.code=B}}e.FileSystemProviderError=v;function l(V,N){const B=new v(V.toString(),N);return a(B,N),B}e.createFileSystemProviderError=l;function c(V){return V||l((0,w.localize)(0,null),S.Unknown)}e.ensureFileSystemProviderError=c;function a(V,N){return V.name=N?`${N} (FileSystemError)`:"FileSystemError",V}e.markAsFileSystemProviderError=a;function s(V){if(!V)return S.Unknown;if(V instanceof v)return V.code;const N=/^(.+) \(FileSystemError\)$/.exec(V.name);if(!N)return S.Unknown;switch(N[1]){case S.FileExists:return S.FileExists;case S.FileIsADirectory:return S.FileIsADirectory;case S.FileNotADirectory:return S.FileNotADirectory;case S.FileNotFound:return S.FileNotFound;case S.FileExceedsMemoryLimit:return S.FileExceedsMemoryLimit;case S.FileTooLarge:return S.FileTooLarge;case S.FileWriteLocked:return S.FileWriteLocked;case S.NoPermissions:return S.NoPermissions;case S.Unavailable:return S.Unavailable}return S.Unknown}e.toFileSystemProviderErrorCode=s;function t(V){if(V instanceof I)return V.fileOperationResult;switch(s(V)){case S.FileNotFound:return 1;case S.FileIsADirectory:return 0;case S.FileNotADirectory:return 10;case S.FileWriteLocked:return 5;case S.NoPermissions:return 6;case S.FileExists:return 4;case S.FileExceedsMemoryLimit:return 9;case S.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=t;var r;(function(V){V[V.CREATE=0]="CREATE",V[V.DELETE=1]="DELETE",V[V.MOVE=2]="MOVE",V[V.COPY=3]="COPY"})(r=e.FileOperation||(e.FileOperation={}));class o{constructor(N,B,U){this.resource=N,this.operation=B,this.target=U}isOperation(N){return this.operation===N}}e.FileOperationEvent=o;var d;(function(V){V[V.UPDATED=0]="UPDATED",V[V.ADDED=1]="ADDED",V[V.DELETED=2]="DELETED"})(d=e.FileChangeType||(e.FileChangeType={}));class u{constructor(N,B){this.ignorePathCasing=B,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=N;for(const U of N)switch(U.type){case 1:this.added||(this.added=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(U.resource,U);break;case 0:this.updated||(this.updated=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(U.resource,U);break;case 2:this.deleted||(this.deleted=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(U.resource,U);break}}contains(N,...B){return this.doContains(N,{includeChildren:!1},...B)}affects(N,...B){return this.doContains(N,{includeChildren:!0},...B)}doContains(N,B,...U){var $,_,k,M,O,T;if(!N)return!1;const W=U.length>0;return!!((!W||U.includes(1))&&((($=this.added)===null||$===void 0?void 0:$.get(N))||B.includeChildren&&((_=this.added)===null||_===void 0?void 0:_.findSuperstr(N)))||(!W||U.includes(0))&&(((k=this.updated)===null||k===void 0?void 0:k.get(N))||B.includeChildren&&((M=this.updated)===null||M===void 0?void 0:M.findSuperstr(N)))||(!W||U.includes(2))&&(((O=this.deleted)===null||O===void 0?void 0:O.findSubstr(N))||B.includeChildren&&((T=this.deleted)===null||T===void 0?void 0:T.findSuperstr(N))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(N){const B=[],U=N===1?this.added:N===0?this.updated:this.deleted;if(U)for(const[,$]of U)B.push($);return B}filter(N){return new u(this.changes.filter(B=>N(B)),this.ignorePathCasing)}}e.FileChangesEvent=u;function m(V,N,B){return!V||!N||V===N||N.length>V.length?!1:(N.charAt(N.length-1)!==R.sep&&(N+=R.sep),B?(0,P.startsWithIgnoreCase)(V,N):V.indexOf(N)===0)}e.isParent=m;class I extends Error{constructor(N,B,U){super(N);this.fileOperationResult=B,this.options=U}static isFileOperationError(N){return N instanceof Error&&!(0,n.isUndefinedOrNull)(N.fileOperationResult)}}e.FileOperationError=I;var A;(function(V){V[V.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",V[V.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",V[V.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",V[V.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",V[V.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",V[V.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",V[V.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",V[V.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",V[V.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",V[V.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",V[V.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",V[V.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(A=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var F;(function(V){V[V.FILE=0]="FILE",V[V.FOLDER=1]="FOLDER",V[V.ROOT_FOLDER=2]="ROOT_FOLDER"})(F=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function C(V){if(!(typeof V.size!="number"||typeof V.mtime!="number"))return V.mtime.toString(29)+V.size.toString(31)}e.etag=C;async function j(V,N){if(!N.canHandleResource(D.URI.from({scheme:V.scheme})))return new Promise(B=>{const U=N.onDidChangeFileSystemProviderRegistrations($=>{$.scheme===V.scheme&&$.added&&(U.dispose(),B())})})}e.whenProviderRegistered=j,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class G{static formatSize(N){return(0,n.isNumber)(N)||(N=0),N<G.KB?(0,w.localize)(1,null,N.toFixed(0)):N<G.MB?(0,w.localize)(2,null,(N/G.KB).toFixed(2)):N<G.GB?(0,w.localize)(3,null,(N/G.MB).toFixed(2)):N<G.TB?(0,w.localize)(4,null,(N/G.GB).toFixed(2)):(0,w.localize)(5,null,(N/G.TB).toFixed(2))}}e.ByteSize=G,G.KB=1024,G.MB=G.KB*G.KB,G.GB=G.MB*G.KB,G.TB=G.GB*G.KB;var ie;(function(V){V[V.IA32=0]="IA32",V[V.OTHER=1]="OTHER"})(ie=e.Arch||(e.Arch={}));function oe(V){return{maxFileSize:V===0?300*G.MB:16*G.GB,maxHeapSize:V===0?700*G.MB:2*700*G.MB}}e.getPlatformLimits=oe}),define(Q[53],J([0,1,237,132,16,60]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;function P(E,g){const h={onUnknownOption:S=>{console.warn((0,R.localize)(0,null,S))},onMultipleValues:(S,v)=>{console.warn((0,R.localize)(1,null,S,v))}},p=(0,b.parseArgs)(E,b.OPTIONS,g?h:void 0);return p.goto&&p._.forEach(S=>w(/^(\w:)?[^:]+(:\d*){0,2}$/.test(S),(0,R.localize)(2,null))),p["max-memory"]&&w(parseInt(p["max-memory"])>=D.MIN_MAX_MEMORY_SIZE_MB,`The max-memory argument cannot be specified lower than ${D.MIN_MAX_MEMORY_SIZE_MB} MB.`),p}function n(E){const g=E.findIndex(h=>!/^-/.test(h));if(g>-1)return[...E.slice(0,g),...E.slice(g+1)]}function y(E){let[,...g]=E;process.env.VSCODE_DEV&&(g=n(g)||[]);const h=!f(process.env);return P(g,h)}e.parseMainProcessArgv=y;function i(E){const[,,...g]=E;return P(g,!0)}e.parseCLIProcessArgv=i;function L(E,...g){const h=E.indexOf("--");return h===-1?E.push(...g):E.splice(h,0,...g),E}e.addArg=L;function f(E){return E.VSCODE_CLI==="1"}e.isLaunchedFromCli=f}),define(Q[87],J([0,1,46,30,3,53,66,127]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveShellEnv=void 0;async function y(f,E,g){return E["force-disable-user-env"]?(f.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):D.isWindows?(f.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,b.isLaunchedFromCli)(g)&&!E["force-user-env"]?(f.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,b.isLaunchedFromCli)(g)?f.trace("resolveShellEnv(): running (--force-user-env)"):f.trace("resolveShellEnv(): running (macOS/Linux)"),i||(i=L(f)),i)}e.resolveShellEnv=y;let i;async function L(f){const E=new Promise(async(g,h)=>{const p=process.env.ELECTRON_RUN_AS_NODE;f.trace("getUnixShellEnvironment#runAsNode",p);const S=process.env.ELECTRON_NO_ATTACH_CONSOLE;f.trace("getUnixShellEnvironment#noAttach",S);const v=(0,R.generateUuid)().replace(/-/g,"").substr(0,12),l=new RegExp(v+"(.*)"+v),c=Object.assign(Object.assign({},process.env),{ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"}),a=`'${process.execPath}' -p '"${v}" + JSON.stringify(process.env) + "${v}"'`;f.trace("getUnixShellEnvironment#env",c),f.trace("getUnixShellEnvironment#spawn",a);const s=await(0,n.getSystemShell)(D.platform,c);f.trace("getUnixShellEnvironment#shell",s);const t=(0,w.spawn)(s,["-ilc",a],{detached:!0,stdio:["ignore","pipe",process.stderr],env:c}),r=[];t.on("error",()=>g({})),t.stdout.on("data",o=>r.push(o)),t.on("close",o=>{if(o!==0)return h(new Error("Failed to get environment"));const d=Buffer.concat(r).toString("utf8");f.trace("getUnixShellEnvironment#raw",d);const u=l.exec(d),m=u?u[1]:"{}";try{const I=JSON.parse(m);p?I.ELECTRON_RUN_AS_NODE=p:delete I.ELECTRON_RUN_AS_NODE,S?I.ELECTRON_NO_ATTACH_CONSOLE=S:delete I.ELECTRON_NO_ATTACH_CONSOLE,delete I.XDG_RUNTIME_DIR,f.trace("getUnixShellEnvironment#result",I),g(I)}catch(I){f.error("getUnixShellEnvironment#error",I),h(I)}})});try{return await E}catch(g){return f.error("getUnixShellEnvironment#error",(0,P.toErrorMessage)(g)),{}}}}),define(Q[88],J([0,1,137,21,16,19]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function P(L,f,E,g,h,p){let S;try{await n(L,f,E,g,h,p)}catch(v){S=v}finally{S&&h.errorTransformer&&(S=h.errorTransformer(S)),typeof S!="undefined"&&E.error(S),E.end()}}e.readFileIntoStream=P;async function n(L,f,E,g,h,p){y(p);const S=await L.open(f,{create:!1});try{y(p);let v=0,l=0,c=h&&typeof h.length=="number"?h.length:void 0,a=R.VSBuffer.alloc(Math.min(h.bufferSize,typeof c=="number"?c:h.bufferSize)),s=h&&typeof h.position=="number"?h.position:0,t=0;do l=await L.read(S,s,a.buffer,t,a.byteLength-t),s+=l,t+=l,v+=l,typeof c=="number"&&(c-=l),t===a.byteLength&&(await E.write(g(a)),a=R.VSBuffer.alloc(Math.min(h.bufferSize,typeof c=="number"?c:h.bufferSize)),t=0);while(l>0&&(typeof c!="number"||c>0)&&y(p)&&i(v,h));if(t>0){let r=t;typeof c=="number"&&(r=Math.min(t,c)),E.write(g(a.slice(0,r)))}}catch(v){throw(0,D.ensureFileSystemProviderError)(v)}finally{await L.close(S)}}function y(L){if(L.isCancellationRequested)throw(0,b.canceled)();return!0}function i(L,f){if(f==null?void 0:f.limits){if(typeof f.limits.memory=="number"&&L>f.limits.memory)throw(0,D.createFileSystemProviderError)((0,w.localize)(0,null),D.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof f.limits.size=="number"&&L>f.limits.size)throw(0,D.createFileSystemProviderError)((0,w.localize)(1,null),D.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Q[89],J([0,1,7,16,3]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeFileChanges=e.toFileChanges=void 0;function b(y){return y.map(i=>({type:i.type,resource:w.URI.file(i.path)}))}e.toFileChanges=b;function P(y){const i=new n;for(const L of y)i.processEvent(L);return i.normalize()}e.normalizeFileChanges=P;class n{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(i){const L=this.mapPathToChange.get(i.path);if(L){const f=L.type,E=i.type;f===1&&E===2?(this.mapPathToChange.delete(i.path),this.normalized.splice(this.normalized.indexOf(L),1)):f===2&&E===1?L.type=0:f===1&&E===0||(L.type=E)}else this.normalized.push(i),this.mapPathToChange.set(i.path,i)}normalize(){const i=[],L=[];return this.normalized.filter(f=>f.type!==2?(i.push(f),!1):!0).sort((f,E)=>f.path.length-E.path.length).filter(f=>L.some(E=>(0,R.isParent)(f.path,E,!D.isLinux))?!1:(L.push(f.path),!0)).concat(i)}}}),define(Q[165],J([0,1,89,2,23,110,114,10,8]),function(H,e,w,R,D,b,P,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class i extends R.Disposable{constructor(f,E,g,h){super();this.path=f,this.onDidFilesChange=E,this.onLogMessage=g,this.verboseLogging=h,this.fileChangesDelayer=this._register(new n.ThrottledDelayer(P.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(f){this.verboseLogging=f}async startWatching(){try{const{stat:f,symbolicLink:E}=await D.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let g=this.path;if(E)try{g=await(0,b.realpath)(g)}catch(h){if(this.onError(h),E.dangling)return}f.isDirectory()?this._register((0,P.watchFolder)(g,(h,p)=>{this.onFileChange({type:h==="changed"?0:h==="added"?1:2,path:(0,y.join)(this.path,(0,y.basename)(p))})},h=>this.onError(h))):this._register((0,P.watchFile)(g,h=>{this.onFileChange({type:h==="changed"?0:2,path:this.path})},h=>this.onError(h)))}catch(f){f.code!=="ENOENT"&&this.onError(f)}}onFileChange(f){this.fileChangesBuffer.push(f),this.verboseLogging&&this.onVerbose(`${f.type===1?"[ADDED]":f.type===2?"[DELETED]":"[CHANGED]"} ${f.path}`),this.fileChangesDelayer.trigger(async()=>{const E=this.fileChangesBuffer;this.fileChangesBuffer=[];const g=(0,w.normalizeFileChanges)(E);this.verboseLogging&&g.forEach(h=>{this.onVerbose(`>> normalized ${h.type===1?"[ADDED]":h.type===2?"[DELETED]":"[CHANGED]"} ${h.path}`)}),g.length>0&&this.onDidFilesChange(g)})}onError(f){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${f}`})}onVerbose(f){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${f}`})}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=i}),define(Q[69],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class w{constructor(...D){this._entries=new Map;for(let[b,P]of D)this.set(b,P)}set(D,b){const P=this._entries.get(D);return this._entries.set(D,b),P}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}e.ServiceCollection=w}),define(Q[166],J([0,1,19,160,67,5,69,10]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const y=!1;class i extends Error{constructor(h){super("cyclic dependency between services");this.message=h.toString()}}class L{constructor(h=new P.ServiceCollection,p=!1,S){this._activeInstantiations=new Set,this._services=h,this._strict=p,this._parent=S,this._services.set(b.IInstantiationService,this)}createChild(h){return new L(h,this._strict,this)}invokeFunction(h,...p){let S=E.traceInvocation(h),v=!1;try{return h({get:(c,a)=>{if(v)throw(0,w.illegalState)("service accessor is only valid during the invocation of its target method");const s=this._getOrCreateServiceInstance(c,S);if(!s&&a!==b.optional)throw new Error(`[invokeFunction] unknown service '${c}'`);return s}},...p)}finally{v=!0,S.stop()}}createInstance(h,...p){let S,v;return h instanceof D.SyncDescriptor?(S=E.traceCreation(h.ctor),v=this._createInstance(h.ctor,h.staticArguments.concat(p),S)):(S=E.traceCreation(h),v=this._createInstance(h,p,S)),S.stop(),v}_createInstance(h,p=[],S){let v=b._util.getServiceDependencies(h).sort((a,s)=>a.index-s.index),l=[];for(const a of v){let s=this._getOrCreateServiceInstance(a.id,S);if(!s&&this._strict&&!a.optional)throw new Error(`[createInstance] ${h.name} depends on UNKNOWN service ${a.id}.`);l.push(s)}let c=v.length>0?v[0].index:p.length;if(p.length!==c){console.warn(`[createInstance] First service dependency of ${h.name} at position ${c+1} conflicts with ${p.length} static arguments`);let a=c-p.length;a>0?p=p.concat(new Array(a)):p=p.slice(0,c)}return new h(...[...p,...l])}_setServiceInstance(h,p){if(this._services.get(h)instanceof D.SyncDescriptor)this._services.set(h,p);else if(this._parent)this._parent._setServiceInstance(h,p);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(h){let p=this._services.get(h);return!p&&this._parent?this._parent._getServiceInstanceOrDescriptor(h):p}_getOrCreateServiceInstance(h,p){let S=this._getServiceInstanceOrDescriptor(h);return S instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(h,S,p.branch(h,!0)):(p.branch(h,!1),S)}_safeCreateAndCacheServiceInstance(h,p,S){if(this._activeInstantiations.has(h))throw new Error(`illegal state - RECURSIVELY instantiating service '${h}'`);this._activeInstantiations.add(h);try{return this._createAndCacheServiceInstance(h,p,S)}finally{this._activeInstantiations.delete(h)}}_createAndCacheServiceInstance(h,p,S){const v=new R.Graph(a=>a.id.toString());let l=0;const c=[{id:h,desc:p,_trace:S}];for(;c.length;){const a=c.pop();if(v.lookupOrInsertNode(a),l++>1e3)throw new i(v);for(let s of b._util.getServiceDependencies(a.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(s.id);if(!t&&!s.optional&&console.warn(`[createInstance] ${h} depends on ${s.id} which is NOT registered.`),t instanceof D.SyncDescriptor){const r={id:s.id,desc:t,_trace:a._trace.branch(s.id,!0)};v.insertEdge(a,r),c.push(r)}}}for(;;){const a=v.roots();if(a.length===0){if(!v.isEmpty())throw new i(v);break}for(const{data:s}of a){if(this._getServiceInstanceOrDescriptor(s.id)instanceof D.SyncDescriptor){const r=this._createServiceInstanceWithOwner(s.id,s.desc.ctor,s.desc.staticArguments,s.desc.supportsDelayedInstantiation,s._trace);this._setServiceInstance(s.id,r)}v.removeNode(s)}}return this._getServiceInstanceOrDescriptor(h)}_createServiceInstanceWithOwner(h,p,S=[],v,l){if(this._services.get(h)instanceof D.SyncDescriptor)return this._createServiceInstance(p,S,v,l);if(this._parent)return this._parent._createServiceInstanceWithOwner(h,p,S,v,l);throw new Error(`illegalState - creating UNKNOWN service instance ${p.name}`)}_createServiceInstance(h,p=[],S,v){if(S){const l=new n.IdleValue(()=>this._createInstance(h,p,v));return new Proxy(Object.create(null),{get(c,a){if(a in c)return c[a];let s=l.value,t=s[a];return typeof t!="function"||(t=t.bind(s),c[a]=t),t},set(c,a,s){return l.value[a]=s,!0}})}else return this._createInstance(h,p,v)}}e.InstantiationService=L;var f;(function(g){g[g.Creation=0]="Creation",g[g.Invocation=1]="Invocation",g[g.Branch=2]="Branch"})(f||(f={}));class E{constructor(h,p){this.type=h,this.name=p,this._start=Date.now(),this._dep=[]}static traceInvocation(h){return y?new E(1,h.name||h.toString().substring(0,42).replace(/\n/g,"")):E._None}static traceCreation(h){return y?new E(0,h.name):E._None}branch(h,p){let S=new E(2,h.toString());return this._dep.push([h,p,S]),S}stop(){let h=Date.now()-this._start;E._totals+=h;let p=!1;function S(l,c){let a=[],s=new Array(l+1).join("	");for(const[t,r,o]of c._dep)if(r&&o){p=!0,a.push(`${s}CREATES -> ${t}`);let d=S(l+1,o);d&&a.push(d)}else a.push(`${s}uses -> ${t}`);return a.join(`
`)}let v=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${h.toFixed(2)}ms (grand total ${E._totals.toFixed(2)}ms)`];(h>2||p)&&console.log(v.join(`
`))}}E._None=new class extends E{constructor(){super(-1,null)}stop(){}branch(){return this}},E._totals=0}),define(Q[167],J([0,1,19,125,56]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseResolvedKeybinding=void 0;class b extends D.ResolvedKeybinding{constructor(n,y){super();if(y.length===0)throw(0,w.illegalArgument)("parts");this._os=n,this._parts=y}getLabel(){return R.UILabelProvider.toLabel(this._os,this._parts,n=>this._getLabel(n))}getAriaLabel(){return R.AriaLabelProvider.toLabel(this._os,this._parts,n=>this._getAriaLabel(n))}getElectronAccelerator(){return this._parts.length>1?null:R.ElectronAcceleratorLabelProvider.toLabel(this._os,this._parts,n=>this._getElectronAccelerator(n))}getUserSettingsLabel(){return R.UserSettingsLabelProvider.toLabel(this._os,this._parts,n=>this._getUserSettingsLabel(n))}isWYSIWYG(){return this._parts.every(n=>this._isWYSIWYG(n))}isChord(){return this._parts.length>1}getParts(){return this._parts.map(n=>this._getPart(n))}_getPart(n){return new D.ResolvedKeybindingPart(n.ctrlKey,n.shiftKey,n.altKey,n.metaKey,this._getLabel(n),this._getAriaLabel(n))}getDispatchParts(){return this._parts.map(n=>this._getDispatchPart(n))}getSingleModifierDispatchParts(){return this._parts.map(n=>this._getSingleModifierDispatchPart(n))}}e.BaseResolvedKeybinding=b}),define(Q[168],J([0,1,56,167]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USLayoutResolvedKeybinding=void 0;class D extends R.BaseResolvedKeybinding{constructor(P,n){super(n,P.parts)}_keyCodeToUILabel(P){if(this._os===2)switch(P){case 15:return"\u2190";case 16:return"\u2191";case 17:return"\u2192";case 18:return"\u2193"}return w.KeyCodeUtils.toString(P)}_getLabel(P){return P.isDuplicateModifierCase()?"":this._keyCodeToUILabel(P.keyCode)}_getAriaLabel(P){return P.isDuplicateModifierCase()?"":w.KeyCodeUtils.toString(P.keyCode)}_keyCodeToElectronAccelerator(P){if(P>=93&&P<=108)return null;switch(P){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return w.KeyCodeUtils.toString(P)}_getElectronAccelerator(P){return P.isDuplicateModifierCase()?null:this._keyCodeToElectronAccelerator(P.keyCode)}_getUserSettingsLabel(P){if(P.isDuplicateModifierCase())return"";const n=w.KeyCodeUtils.toUserSettingsUS(P.keyCode);return n&&n.toLowerCase()}_isWYSIWYG(){return!0}_getDispatchPart(P){return D.getDispatchStr(P)}static getDispatchStr(P){if(P.isModifierKey())return null;let n="";return P.ctrlKey&&(n+="ctrl+"),P.shiftKey&&(n+="shift+"),P.altKey&&(n+="alt+"),P.metaKey&&(n+="meta+"),n+=w.KeyCodeUtils.toString(P.keyCode),n}_getSingleModifierDispatchPart(P){return P.keyCode===5&&!P.shiftKey&&!P.altKey&&!P.metaKey?"ctrl":P.keyCode===4&&!P.ctrlKey&&!P.altKey&&!P.metaKey?"shift":P.keyCode===6&&!P.ctrlKey&&!P.shiftKey&&!P.metaKey?"alt":P.keyCode===57&&!P.ctrlKey&&!P.shiftKey&&!P.altKey?"meta":null}}e.USLayoutResolvedKeybinding=D}),define(Q[169],J([0,1,10]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.handleVetos=void 0;function R(D,b){if(D.length===0)return Promise.resolve(!1);const P=[];let n=!1;for(let y of D){if(y===!0)return Promise.resolve(!0);(0,w.isThenable)(y)&&P.push(y.then(i=>{i&&(n=!0)},i=>{b(i),n=!0}))}return w.Promises.settled(P).then(()=>n)}e.handleVetos=R}),define(Q[6],J([0,1,5,2,3,4,66]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,w.createDecorator)("logService"),e.ILoggerService=(0,w.createDecorator)("loggerService");function n(){return new Date().toISOString()}var y;(function(a){a[a.Trace=0]="Trace",a[a.Debug=1]="Debug",a[a.Info=2]="Info",a[a.Warning=3]="Warning",a[a.Error=4]="Error",a[a.Critical=5]="Critical",a[a.Off=6]="Off"})(y=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=y.Info;class i extends R.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new b.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(s){this.level!==s&&(this.level=s,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=i;class L extends i{constructor(s){super();this.logAlways=s}checkLogLevel(s){return this.logAlways||this.getLevel()<=s}trace(s,...t){this.checkLogLevel(y.Trace)&&this.log(y.Trace,this.format([s,...t]))}debug(s,...t){this.checkLogLevel(y.Debug)&&this.log(y.Debug,this.format([s,...t]))}info(s,...t){this.checkLogLevel(y.Info)&&this.log(y.Info,this.format([s,...t]))}warn(s,...t){this.checkLogLevel(y.Warning)&&this.log(y.Warning,this.format([s,...t]))}error(s,...t){if(this.checkLogLevel(y.Error))if(s instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=s.stack,this.log(y.Error,this.format(r))}else this.log(y.Error,this.format([s,...t]))}critical(s,...t){this.checkLogLevel(y.Critical)&&this.log(y.Critical,this.format([s,...t]))}flush(){}format(s){let t="";for(let r=0;r<s.length;r++){let o=s[r];if(typeof o=="object")try{o=JSON.stringify(o)}catch(d){}t+=(r>0?" ":"")+o}return t}}e.AbstractMessageLogger=L;class f extends i{constructor(s=e.DEFAULT_LOG_LEVEL){super();this.setLevel(s),this.useColors=!D.isWindows}trace(s,...t){this.getLevel()<=y.Trace&&(this.useColors?console.log(`[90m[main ${n()}][0m`,s,...t):console.log(`[main ${n()}]`,s,...t))}debug(s,...t){this.getLevel()<=y.Debug&&(this.useColors?console.log(`[90m[main ${n()}][0m`,s,...t):console.log(`[main ${n()}]`,s,...t))}info(s,...t){this.getLevel()<=y.Info&&(this.useColors?console.log(`[90m[main ${n()}][0m`,s,...t):console.log(`[main ${n()}]`,s,...t))}warn(s,...t){this.getLevel()<=y.Warning&&(this.useColors?console.warn(`[93m[main ${n()}][0m`,s,...t):console.warn(`[main ${n()}]`,s,...t))}error(s,...t){this.getLevel()<=y.Error&&(this.useColors?console.error(`[91m[main ${n()}][0m`,s,...t):console.error(`[main ${n()}]`,s,...t))}critical(s,...t){this.getLevel()<=y.Critical&&(this.useColors?console.error(`[90m[main ${n()}][0m`,s,...t):console.error(`[main ${n()}]`,s,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=f;class E extends i{constructor(s=e.DEFAULT_LOG_LEVEL){super();this.setLevel(s)}trace(s,...t){this.getLevel()<=y.Trace&&console.log("%cTRACE","color: #888",s,...t)}debug(s,...t){this.getLevel()<=y.Debug&&console.log("%cDEBUG","background: #eee; color: #888",s,...t)}info(s,...t){this.getLevel()<=y.Info&&console.log("%c INFO","color: #33f",s,...t)}warn(s,...t){this.getLevel()<=y.Warning&&console.log("%c WARN","color: #993",s,...t)}error(s,...t){this.getLevel()<=y.Error&&console.log("%c  ERR","color: #f33",s,...t)}critical(s,...t){this.getLevel()<=y.Critical&&console.log("%cCRITI","background: #f33; color: white",s,...t)}dispose(){}flush(){}}e.ConsoleLogger=E;class g extends i{constructor(s,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=s,this.setLevel(t)}trace(s,...t){this.getLevel()<=y.Trace&&this.adapter.log(y.Trace,[this.extractMessage(s),...t])}debug(s,...t){this.getLevel()<=y.Debug&&this.adapter.log(y.Debug,[this.extractMessage(s),...t])}info(s,...t){this.getLevel()<=y.Info&&this.adapter.log(y.Info,[this.extractMessage(s),...t])}warn(s,...t){this.getLevel()<=y.Warning&&this.adapter.log(y.Warning,[this.extractMessage(s),...t])}error(s,...t){this.getLevel()<=y.Error&&this.adapter.log(y.Error,[this.extractMessage(s),...t])}critical(s,...t){this.getLevel()<=y.Critical&&this.adapter.log(y.Critical,[this.extractMessage(s),...t])}extractMessage(s){return typeof s=="string"?s:(0,P.toErrorMessage)(s,this.getLevel()<=y.Trace)}dispose(){}flush(){}}e.AdapterLogger=g;class h extends i{constructor(s){super();this.logServices=s,s.length&&this.setLevel(s[0].getLevel())}setLevel(s){for(const t of this.logServices)t.setLevel(s);super.setLevel(s)}trace(s,...t){for(const r of this.logServices)r.trace(s,...t)}debug(s,...t){for(const r of this.logServices)r.debug(s,...t)}info(s,...t){for(const r of this.logServices)r.info(s,...t)}warn(s,...t){for(const r of this.logServices)r.warn(s,...t)}error(s,...t){for(const r of this.logServices)r.error(s,...t)}critical(s,...t){for(const r of this.logServices)r.critical(s,...t)}flush(){for(const s of this.logServices)s.flush()}dispose(){for(const s of this.logServices)s.dispose()}}e.MultiplexLogService=h;class p extends R.Disposable{constructor(s){super();this.logger=s,this._register(s)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(s){this.logger.setLevel(s)}getLevel(){return this.logger.getLevel()}trace(s,...t){this.logger.trace(s,...t)}debug(s,...t){this.logger.debug(s,...t)}info(s,...t){this.logger.info(s,...t)}warn(s,...t){this.logger.warn(s,...t)}error(s,...t){this.logger.error(s,...t)}critical(s,...t){this.logger.critical(s,...t)}flush(){this.logger.flush()}}e.LogService=p;class S{constructor(){this.onDidChangeLogLevel=new b.Emitter().event}setLevel(s){}getLevel(){return y.Info}trace(s,...t){}debug(s,...t){}info(s,...t){}warn(s,...t){}error(s,...t){}critical(s,...t){}dispose(){}flush(){}}e.NullLogService=S;function v(a){if(a.verbose)return y.Trace;if(typeof a.logLevel=="string"){const s=l(a.logLevel.toLowerCase());if(s!==void 0)return s}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=v;function l(a){switch(a){case"trace":return y.Trace;case"debug":return y.Debug;case"info":return y.Info;case"warn":return y.Warning;case"error":return y.Error;case"critical":return y.Critical;case"off":return y.Off}}e.parseLogLevel=l;function c(a){switch(a){case y.Trace:return"trace";case y.Debug:return"debug";case y.Info:return"info";case y.Warning:return"warn";case y.Error:return"error";case y.Critical:return"critical";case y.Off:return"off"}}e.LogLevelToString=c});var x=this&&this.__param||function(H,e){return function(w,R){e(w,R,H)}};define(Q[170],J([0,1,4,2,9,7,52,11,6,36,3]),function(H,e,w,R,D,b,P,n,y,i,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileProtocolHandler=void 0;let f=class extends R.Disposable{constructor(g,h){super();this.logService=h,this.validRoots=i.TernarySearchTree.forUris(()=>!L.isLinux);const{defaultSession:p}=n.session;this.validRoots.set(b.URI.file(g.appRoot),!0),this.validRoots.set(b.URI.file(g.extensionsPath),!0),this.validRoots.set(g.globalStorageHome,!0),this.validRoots.set(g.workspaceStorageHome,!0),p.protocol.registerFileProtocol(D.Schemas.vscodeFileResource,(S,v)=>this.handleResourceRequest(S,v)),p.protocol.interceptFileProtocol(D.Schemas.file,(S,v)=>this.handleFileRequest(S,v)),this._register((0,R.toDisposable)(()=>{p.protocol.unregisterProtocol(D.Schemas.vscodeFileResource),p.protocol.uninterceptProtocol(D.Schemas.file)}))}injectWindowsMainService(g){this._register(g.onDidSignalReadyWindow(h=>{var p,S;if(((p=h.config)===null||p===void 0?void 0:p.extensionDevelopmentPath)||((S=h.config)===null||S===void 0?void 0:S.extensionTestsPath)){const v=new R.DisposableStore;if(v.add(w.Event.any(h.onDidClose,h.onDidDestroy)(()=>v.dispose())),h.config.extensionDevelopmentPath)for(const l of h.config.extensionDevelopmentPath)v.add(this.addValidRoot(b.URI.file(l)));h.config.extensionTestsPath&&v.add(this.addValidRoot(b.URI.file(h.config.extensionTestsPath)))}}))}addValidRoot(g){return this.validRoots.get(g)?R.Disposable.None:(this.validRoots.set(g,!0),(0,R.toDisposable)(()=>this.validRoots.delete(g)))}async handleFileRequest(g,h){const p=b.URI.parse(g.url);return L.isPreferringBrowserCodeLoad?(this.logService.error(`Refused to load resource ${p.fsPath} from ${D.Schemas.file}: protocol (original URL: ${g.url})`),h({error:-3})):this.validRoots.findSubstr(p)?h({path:p.fsPath}):(this.logService.error(`${D.Schemas.file}: Refused to load resource ${p.fsPath} from ${D.Schemas.file}: protocol (original URL: ${g.url})`),h({error:-3}))}async handleResourceRequest(g,h){const p=b.URI.parse(g.url),S=D.FileAccess.asFileUri(p);return this.validRoots.findSubstr(S)?h({path:S.fsPath}):(this.logService.error(`${D.Schemas.vscodeFileResource}: Refused to load resource ${S.fsPath} from ${D.Schemas.vscodeFileResource}: protocol (original URL: ${g.url})`),h({error:-3}))}};f=le([x(0,P.INativeEnvironmentService),x(1,y.ILogService)],f),e.FileProtocolHandler=f}),define(Q[171],J([0,1,135,172,2,16,4,15,36,34,6,21,57,10,25,9,88,63]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let l=class extends D.Disposable{constructor(a){super();this.logService=a,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new P.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new P.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new P.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new P.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new P.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this.activeWatchers=new Map,this.writeQueue=this._register(new g.ResourceQueue)}registerProvider(a,s){if(this.provider.has(a))throw new Error(`A filesystem provider for the scheme '${a}' is already registered.`);(0,R.mark)(`code/registerFilesystem/${a}`),this.provider.set(a,s),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:a,provider:s});const t=new D.DisposableStore;return t.add(s.onDidChangeFile(r=>this._onDidFilesChange.fire(new b.FileChangesEvent(r,!this.isPathCaseSensitive(s))))),t.add(s.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:s,scheme:a}))),typeof s.onDidErrorOccur=="function"&&t.add(s.onDidErrorOccur(r=>this._onError.fire(new Error(r)))),(0,D.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:a,provider:s}),this.provider.delete(a),(0,D.dispose)(t)})}async activateProvider(a){const s=[];this._onWillActivateFileSystemProvider.fire({scheme:a,join(t){s.push(t)}}),!this.provider.has(a)&&await g.Promises.settled(s)}canHandleResource(a){return this.provider.has(a.scheme)}hasCapability(a,s){const t=this.provider.get(a.scheme);return!!(t&&t.capabilities&s)}listCapabilities(){return v.Iterable.map(this.provider,([a,s])=>({scheme:a,capabilities:s.capabilities}))}async withProvider(a){if(!(0,n.isAbsolutePath)(a))throw new b.FileOperationError((0,w.localize)(0,null,this.resourceForError(a)),8);await this.activateProvider(a.scheme);const s=this.provider.get(a.scheme);if(!s){const t=new Error;throw t.name="ENOPRO",t.message=(0,w.localize)(1,null,a.toString()),t}return s}async withReadProvider(a){const s=await this.withProvider(a);if((0,b.hasOpenReadWriteCloseCapability)(s)||(0,b.hasReadWriteCapability)(s)||(0,b.hasFileReadStreamCapability)(s))return s;throw new Error(`Filesystem provider for scheme '${a.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(a){const s=await this.withProvider(a);if((0,b.hasOpenReadWriteCloseCapability)(s)||(0,b.hasReadWriteCapability)(s))return s;throw new Error(`Filesystem provider for scheme '${a.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(a,s){try{return await this.doResolveFile(a,s)}catch(t){throw(0,b.toFileSystemProviderErrorCode)(t)===b.FileSystemProviderErrorCode.FileNotFound?new b.FileOperationError((0,w.localize)(2,null,this.resourceForError(a)),1):(0,b.ensureFileSystemProviderError)(t)}}async doResolveFile(a,s){const t=await this.withProvider(a),r=this.isPathCaseSensitive(t),o=s==null?void 0:s.resolveTo,d=s==null?void 0:s.resolveSingleChildDescendants,u=s==null?void 0:s.resolveMetadata,m=await t.stat(a);let I;return this.toFileStat(t,a,m,void 0,!!u,(A,F)=>(I||(I=y.TernarySearchTree.forUris(()=>!r),I.set(a,!0),(0,i.isNonEmptyArray)(o)&&o.forEach(C=>I.set(C,!0))),Boolean(I.findSuperstr(A.resource)||I.get(A.resource))?!0:A.isDirectory&&d?F===1:!1))}async toFileStat(a,s,t,r,o,d){const{providerExtUri:u}=this.getExtUri(a),m={resource:s,name:u.basename(s),isFile:(t.type&b.FileType.File)!=0,isDirectory:(t.type&b.FileType.Directory)!=0,isSymbolicLink:(t.type&b.FileType.SymbolicLink)!=0,mtime:t.mtime,ctime:t.ctime,size:t.size,etag:(0,b.etag)({mtime:t.mtime,size:t.size})};if(m.isDirectory&&d(m,r)){try{const I=await a.readdir(s),A=await g.Promises.settled(I.map(async([F,C])=>{try{const j=u.joinPath(s,F),G=o?await a.stat(j):{type:C};return await this.toFileStat(a,j,G,I.length,o,d)}catch(j){return this.logService.trace(j),null}}));m.children=(0,i.coalesce)(A)}catch(I){this.logService.trace(I),m.children=[]}return m}return m}async resolveAll(a){return g.Promises.settled(a.map(async s=>{try{return{stat:await this.doResolveFile(s.resource,s.options),success:!0}}catch(t){return this.logService.trace(t),{stat:void 0,success:!1}}}))}async exists(a){const s=await this.withProvider(a);try{return!!await s.stat(a)}catch(t){return!1}}async canCreateFile(a,s){try{await this.doValidateCreateFile(a,s)}catch(t){return t}return!0}async doValidateCreateFile(a,s){if(!(s==null?void 0:s.overwrite)&&await this.exists(a))throw new b.FileOperationError((0,w.localize)(3,null,this.resourceForError(a)),3,s)}async createFile(a,s=f.VSBuffer.fromString(""),t){await this.doValidateCreateFile(a,t);const r=await this.writeFile(a,s);return this._onDidRunOperation.fire(new b.FileOperationEvent(a,0,r)),r}async writeFile(a,s,t){const r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(a),a),{providerExtUri:o}=this.getExtUri(r);try{await this.validateWriteFile(r,a,t)||await this.mkdirp(r,o.dirname(a));let u;if((0,b.hasReadWriteCapability)(r)&&!(s instanceof f.VSBuffer))if((0,E.isReadableStream)(s)){const m=await(0,E.peekStream)(s,3);m.ended?u=f.VSBuffer.concat(m.buffer):u=m}else u=(0,E.peekReadable)(s,m=>f.VSBuffer.concat(m),3);else u=s;!(0,b.hasOpenReadWriteCloseCapability)(r)||(0,b.hasReadWriteCapability)(r)&&u instanceof f.VSBuffer?await this.doWriteUnbuffered(r,a,t,u):await this.doWriteBuffered(r,a,t,u instanceof f.VSBuffer?(0,f.bufferToReadable)(u):u)}catch(d){throw new b.FileOperationError((0,w.localize)(4,null,this.resourceForError(a),(0,b.ensureFileSystemProviderError)(d).toString()),(0,b.toFileOperationResult)(d),t)}return this.resolve(a,{resolveMetadata:!0})}async validateWriteFile(a,s,t){if(!!(t==null?void 0:t.unlock)&&!(a.capabilities&8192))throw new Error((0,w.localize)(5,null,this.resourceForError(s)));let o;try{o=await a.stat(s)}catch(d){return}if((o.type&b.FileType.Directory)!=0)throw new b.FileOperationError((0,w.localize)(6,null,this.resourceForError(s)),0,t);if(t&&typeof t.mtime=="number"&&typeof t.etag=="string"&&t.etag!==b.ETAG_DISABLED&&typeof o.mtime=="number"&&typeof o.size=="number"&&t.mtime<o.mtime&&t.etag!==(0,b.etag)({mtime:t.mtime,size:o.size}))throw new b.FileOperationError((0,w.localize)(7,null),3,t);return o}async readFile(a,s){const t=await this.withReadProvider(a);return(s==null?void 0:s.atomic)?this.doReadFileAtomic(t,a,s):this.doReadFile(t,a,s)}async doReadFileAtomic(a,s,t){return new Promise((r,o)=>{this.writeQueue.queueFor(s,this.getExtUri(a).providerExtUri).queue(async()=>{try{const d=await this.doReadFile(a,s,t);r(d)}catch(d){o(d)}})})}async doReadFile(a,s,t){const r=await this.doReadFileStream(a,s,Object.assign(Object.assign({},t),{preferUnbuffered:!0}));return Object.assign(Object.assign({},r),{value:await(0,f.streamToBuffer)(r.value)})}async readFileStream(a,s){const t=await this.withReadProvider(a);return this.doReadFileStream(t,a,s)}async doReadFileStream(a,s,t){const r=new h.CancellationTokenSource,o=this.validateReadFile(s,t).then(u=>u,u=>{throw r.cancel(),u});let d;try{t&&typeof t.etag=="string"&&t.etag!==b.ETAG_DISABLED&&await o,!((0,b.hasOpenReadWriteCloseCapability)(a)||(0,b.hasFileReadStreamCapability)(a))||(0,b.hasReadWriteCapability)(a)&&(t==null?void 0:t.preferUnbuffered)?d=this.readFileUnbuffered(a,s,t):(0,b.hasFileReadStreamCapability)(a)?d=this.readFileStreamed(a,s,r.token,t):d=this.readFileBuffered(a,s,r.token,t);const u=await o;return Object.assign(Object.assign({},u),{value:d})}catch(u){throw d&&await(0,E.consumeStream)(d),new b.FileOperationError((0,w.localize)(8,null,this.resourceForError(s),(0,b.ensureFileSystemProviderError)(u).toString()),(0,b.toFileOperationResult)(u),t)}}readFileStreamed(a,s,t,r=Object.create(null)){const o=a.readFileStream(s,r,t);return(0,E.transform)(o,{data:d=>d instanceof f.VSBuffer?d:f.VSBuffer.wrap(d),error:d=>new b.FileOperationError((0,w.localize)(9,null,this.resourceForError(s),(0,b.ensureFileSystemProviderError)(d).toString()),(0,b.toFileOperationResult)(d),r)},d=>f.VSBuffer.concat(d))}readFileBuffered(a,s,t,r=Object.create(null)){const o=(0,f.newWriteableBufferStream)();return(0,S.readFileIntoStream)(a,s,o,d=>d,Object.assign(Object.assign({},r),{bufferSize:this.BUFFER_SIZE,errorTransformer:d=>new b.FileOperationError((0,w.localize)(10,null,this.resourceForError(s),(0,b.ensureFileSystemProviderError)(d).toString()),(0,b.toFileOperationResult)(d),r)}),t),o}readFileUnbuffered(a,s,t){const r=(0,E.newWriteableStream)(o=>f.VSBuffer.concat(o));return(async()=>{try{let o=await a.readFile(s);t&&typeof t.position=="number"&&(o=o.slice(t.position)),t&&typeof t.length=="number"&&(o=o.slice(0,t.length)),this.validateReadFileLimits(s,o.byteLength,t),r.end(f.VSBuffer.wrap(o))}catch(o){r.error(o),r.end()}})(),r}async validateReadFile(a,s){const t=await this.resolve(a,{resolveMetadata:!0});if(t.isDirectory)throw new b.FileOperationError((0,w.localize)(11,null,this.resourceForError(a)),0,s);if(s&&typeof s.etag=="string"&&s.etag!==b.ETAG_DISABLED&&s.etag===t.etag)throw new b.FileOperationError((0,w.localize)(12,null),2,s);return this.validateReadFileLimits(a,t.size,s),t}validateReadFileLimits(a,s,t){if(t==null?void 0:t.limits){let r;if(typeof t.limits.memory=="number"&&s>t.limits.memory&&(r=9),typeof t.limits.size=="number"&&s>t.limits.size&&(r=7),typeof r=="number")throw new b.FileOperationError((0,w.localize)(13,null,this.resourceForError(a)),r)}}async canMove(a,s,t){return this.doCanMoveCopy(a,s,"move",t)}async canCopy(a,s,t){return this.doCanMoveCopy(a,s,"copy",t)}async doCanMoveCopy(a,s,t,r){if(a.toString()!==s.toString())try{const o=t==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(a),a):await this.withReadProvider(a),d=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s);await this.doValidateMoveCopy(o,a,d,s,t,r)}catch(o){return o}return!0}async move(a,s,t){const r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(a),a),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),d=await this.doMoveCopy(r,a,o,s,"move",!!t),u=await this.resolve(s,{resolveMetadata:!0});return this._onDidRunOperation.fire(new b.FileOperationEvent(a,d==="move"?2:3,u)),u}async copy(a,s,t){const r=await this.withReadProvider(a),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),d=await this.doMoveCopy(r,a,o,s,"copy",!!t),u=await this.resolve(s,{resolveMetadata:!0});return this._onDidRunOperation.fire(new b.FileOperationEvent(a,d==="copy"?3:2,u)),u}async doMoveCopy(a,s,t,r,o,d){if(s.toString()===r.toString())return o;const{exists:u,isSameResourceWithDifferentPathCase:m}=await this.doValidateMoveCopy(a,s,t,r,o,d);if(u&&!m&&d&&await this.del(r,{recursive:!0}),await this.mkdirp(t,this.getExtUri(t).providerExtUri.dirname(r)),o==="copy"){if(a===t&&(0,b.hasFileFolderCopyCapability)(a))await a.copy(s,r,{overwrite:d});else{const I=await this.resolve(s);I.isDirectory?await this.doCopyFolder(a,I,t,r):await this.doCopyFile(a,s,t,r)}return o}else return a===t?(await a.rename(s,r,{overwrite:d}),o):(await this.doMoveCopy(a,s,t,r,"copy",d),await this.del(s,{recursive:!0}),"copy")}async doCopyFile(a,s,t,r){if((0,b.hasOpenReadWriteCloseCapability)(a)&&(0,b.hasOpenReadWriteCloseCapability)(t))return this.doPipeBuffered(a,s,t,r);if((0,b.hasOpenReadWriteCloseCapability)(a)&&(0,b.hasReadWriteCapability)(t))return this.doPipeBufferedToUnbuffered(a,s,t,r);if((0,b.hasReadWriteCapability)(a)&&(0,b.hasOpenReadWriteCloseCapability)(t))return this.doPipeUnbufferedToBuffered(a,s,t,r);if((0,b.hasReadWriteCapability)(a)&&(0,b.hasReadWriteCapability)(t))return this.doPipeUnbuffered(a,s,t,r)}async doCopyFolder(a,s,t,r){await t.mkdir(r),Array.isArray(s.children)&&await g.Promises.settled(s.children.map(async o=>{const d=this.getExtUri(t).providerExtUri.joinPath(r,o.name);return o.isDirectory?this.doCopyFolder(a,await this.resolve(o.resource),t,d):this.doCopyFile(a,o.resource,t,d)}))}async doValidateMoveCopy(a,s,t,r,o,d){let u=!1;if(a===t){const{providerExtUri:I,isPathCaseSensitive:A}=this.getExtUri(a);if(A||(u=I.isEqual(s,r)),u&&o==="copy")throw new Error((0,w.localize)(14,null,this.resourceForError(s),this.resourceForError(r)));if(!u&&I.isEqualOrParent(r,s))throw new Error((0,w.localize)(15,null,this.resourceForError(s),this.resourceForError(r)))}const m=await this.exists(r);if(m&&!u){if(!d)throw new b.FileOperationError((0,w.localize)(16,null,this.resourceForError(s),this.resourceForError(r)),4);if(a===t){const{providerExtUri:I}=this.getExtUri(a);if(I.isEqualOrParent(s,r))throw new Error((0,w.localize)(17,null,this.resourceForError(s),this.resourceForError(r)))}}return{exists:m,isSameResourceWithDifferentPathCase:u}}getExtUri(a){const s=this.isPathCaseSensitive(a);return{providerExtUri:s?n.extUri:n.extUriIgnorePathCase,isPathCaseSensitive:s}}isPathCaseSensitive(a){return!!(a.capabilities&1024)}async createFolder(a){const s=this.throwIfFileSystemIsReadonly(await this.withProvider(a),a);await this.mkdirp(s,a);const t=await this.resolve(a,{resolveMetadata:!0});return this._onDidRunOperation.fire(new b.FileOperationEvent(a,0,t)),t}async mkdirp(a,s){const t=[],{providerExtUri:r}=this.getExtUri(a);for(;!r.isEqual(s,r.dirname(s));)try{if(((await a.stat(s)).type&b.FileType.Directory)==0)throw new Error((0,w.localize)(18,null,this.resourceForError(s)));break}catch(o){if((0,b.toFileSystemProviderErrorCode)(o)!==b.FileSystemProviderErrorCode.FileNotFound)throw o;t.push(r.basename(s)),s=r.dirname(s)}for(let o=t.length-1;o>=0;o--){s=r.joinPath(s,t[o]);try{await a.mkdir(s)}catch(d){if((0,b.toFileSystemProviderErrorCode)(d)!==b.FileSystemProviderErrorCode.FileExists)throw d}}}async canDelete(a,s){try{await this.doValidateDelete(a,s)}catch(t){return t}return!0}async doValidateDelete(a,s){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(a),a);if(!!(s==null?void 0:s.useTrash)&&!(t.capabilities&4096))throw new Error((0,w.localize)(19,null,this.resourceForError(a)));const o=await this.exists(a);if(!o)throw new b.FileOperationError((0,w.localize)(20,null,this.resourceForError(a)),1);if(!!!(s==null?void 0:s.recursive)&&o){const u=await this.resolve(a);if(u.isDirectory&&Array.isArray(u.children)&&u.children.length>0)throw new Error((0,w.localize)(21,null,this.resourceForError(a)))}return t}async del(a,s){const t=await this.doValidateDelete(a,s),r=!!(s==null?void 0:s.useTrash),o=!!(s==null?void 0:s.recursive);await t.delete(a,{recursive:o,useTrash:r}),this._onDidRunOperation.fire(new b.FileOperationEvent(a,1))}watch(a,s={recursive:!1,excludes:[]}){let t=!1,r=()=>{t=!0};return this.doWatch(a,s).then(o=>{t?(0,D.dispose)(o):r=()=>(0,D.dispose)(o)},o=>this.logService.error(o)),(0,D.toDisposable)(()=>r())}async doWatch(a,s){const t=await this.withProvider(a),r=this.toWatchKey(t,a,s),o=this.activeWatchers.get(r)||{count:0,disposable:t.watch(a,s)};return this.activeWatchers.has(r)||this.activeWatchers.set(r,o),o.count+=1,(0,D.toDisposable)(()=>{o.count--,o.count===0&&((0,D.dispose)(o.disposable),this.activeWatchers.delete(r))})}toWatchKey(a,s,t){const{providerExtUri:r}=this.getExtUri(a);return[r.getComparisonKey(s),String(t.recursive),t.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(a=>(0,D.dispose)(a.disposable)),this.activeWatchers.clear()}async doWriteBuffered(a,s,t,r){return this.writeQueue.queueFor(s,this.getExtUri(a).providerExtUri).queue(async()=>{var o;const d=await a.open(s,{create:!0,unlock:(o=t==null?void 0:t.unlock)!==null&&o!==void 0?o:!1});try{(0,E.isReadableStream)(r)||(0,E.isReadableBufferedStream)(r)?await this.doWriteStreamBufferedQueued(a,d,r):await this.doWriteReadableBufferedQueued(a,d,r)}catch(u){throw(0,b.ensureFileSystemProviderError)(u)}finally{await a.close(d)}})}async doWriteStreamBufferedQueued(a,s,t){let r=0,o;if((0,E.isReadableBufferedStream)(t)){if(t.buffer.length>0){const d=f.VSBuffer.concat(t.buffer);await this.doWriteBuffer(a,s,d,d.byteLength,r,0),r+=d.byteLength}if(t.ended)return;o=t.stream}else o=t;return new Promise(async(d,u)=>{(0,E.listenStream)(o,{onData:async m=>{o.pause();try{await this.doWriteBuffer(a,s,m,m.byteLength,r,0)}catch(I){return u(I)}r+=m.byteLength,setTimeout(()=>o.resume())},onError:m=>u(m),onEnd:()=>d()})})}async doWriteReadableBufferedQueued(a,s,t){let r=0,o;for(;(o=t.read())!==null;)await this.doWriteBuffer(a,s,o,o.byteLength,r,0),r+=o.byteLength}async doWriteBuffer(a,s,t,r,o,d){let u=0;for(;u<r;)u+=await a.write(s,o+u,t.buffer,d+u,r-u)}async doWriteUnbuffered(a,s,t,r){return this.writeQueue.queueFor(s,this.getExtUri(a).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(a,s,t,r))}async doWriteUnbufferedQueued(a,s,t,r){var o;let d;r instanceof f.VSBuffer?d=r:(0,E.isReadableStream)(r)?d=await(0,f.streamToBuffer)(r):(0,E.isReadableBufferedStream)(r)?d=await(0,f.bufferedStreamToBuffer)(r):d=(0,f.readableToBuffer)(r),await a.writeFile(s,d.buffer,{create:!0,overwrite:!0,unlock:(o=t==null?void 0:t.unlock)!==null&&o!==void 0?o:!1})}async doPipeBuffered(a,s,t,r){return this.writeQueue.queueFor(r,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeBufferedQueued(a,s,t,r))}async doPipeBufferedQueued(a,s,t,r){let o,d;try{o=await a.open(s,{create:!1}),d=await t.open(r,{create:!0,unlock:!1});const u=f.VSBuffer.alloc(this.BUFFER_SIZE);let m=0,I=0,A=0;do A=await a.read(o,m,u.buffer,I,u.byteLength-I),await this.doWriteBuffer(t,d,u,A,m,I),m+=A,I+=A,I===u.byteLength&&(I=0);while(A>0)}catch(u){throw(0,b.ensureFileSystemProviderError)(u)}finally{await g.Promises.settled([typeof o=="number"?a.close(o):Promise.resolve(),typeof d=="number"?t.close(d):Promise.resolve()])}}async doPipeUnbuffered(a,s,t,r){return this.writeQueue.queueFor(r,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(a,s,t,r))}async doPipeUnbufferedQueued(a,s,t,r){return t.writeFile(r,await a.readFile(s),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(a,s,t,r){return this.writeQueue.queueFor(r,this.getExtUri(t).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(a,s,t,r))}async doPipeUnbufferedToBufferedQueued(a,s,t,r){const o=await t.open(r,{create:!0,unlock:!1});try{const d=await a.readFile(s);await this.doWriteBuffer(t,o,f.VSBuffer.wrap(d),d.byteLength,0,0)}catch(d){throw(0,b.ensureFileSystemProviderError)(d)}finally{await t.close(o)}}async doPipeBufferedToUnbuffered(a,s,t,r){const o=await(0,f.streamToBuffer)(this.readFileBuffered(a,s,h.CancellationToken.None));await this.doWriteUnbuffered(t,r,void 0,o)}throwIfFileSystemIsReadonly(a,s){if(a.capabilities&2048)throw new b.FileOperationError((0,w.localize)(22,null,this.resourceForError(s)),6);return a}resourceForError(a){return a.scheme===p.Schemas.file?a.fsPath:a.toString(!0)}};l=le([x(0,L.ILogService)],l),e.FileService=l}),define(Q[173],J([0,1,22,111,2,16,4,3,23,8,15,29,10,6,138,89,157,159,156,165,57,88,34,21]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0;class o extends D.Disposable{constructor(u,m){var I;super();this.logService=u,this.options=m,this.BUFFER_SIZE=((I=this.options)===null||I===void 0?void 0:I.bufferSize)||64*1024,this.onDidChangeCapabilities=P.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Map,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new P.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new P.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new E.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192,n.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(u){try{const{stat:m,symbolicLink:I}=await y.SymlinkSupport.stat(this.toFilePath(u));return{type:this.toType(m,I),ctime:m.birthtime.getTime(),mtime:m.mtime.getTime(),size:m.size}}catch(m){throw this.toFileSystemProviderError(m)}}async readdir(u){try{const m=await(0,y.readdir)(this.toFilePath(u),{withFileTypes:!0}),I=[];return await Promise.all(m.map(async A=>{try{let F;A.isSymbolicLink()?F=(await this.stat((0,L.joinPath)(u,A.name))).type:F=this.toType(A),I.push([A.name,F])}catch(F){this.logService.trace(F)}})),I}catch(m){throw this.toFileSystemProviderError(m)}}toType(u,m){let I;return(m==null?void 0:m.dangling)?I=b.FileType.Unknown:u.isFile()?I=b.FileType.File:u.isDirectory()?I=b.FileType.Directory:I=b.FileType.Unknown,m&&(I|=b.FileType.SymbolicLink),I}async readFile(u){try{const m=this.toFilePath(u);return await w.promises.readFile(m)}catch(m){throw this.toFileSystemProviderError(m)}}readFileStream(u,m,I){const A=(0,a.newWriteableStream)(F=>r.VSBuffer.concat(F.map(C=>r.VSBuffer.wrap(C))).buffer);return(0,s.readFileIntoStream)(this,u,A,F=>F.buffer,Object.assign(Object.assign({},m),{bufferSize:this.BUFFER_SIZE}),I),A}async writeFile(u,m,I){let A;try{const F=this.toFilePath(u);if(!I.create||!I.overwrite){if(await(0,y.exists)(F)){if(!I.overwrite)throw(0,b.createFileSystemProviderError)((0,h.localize)(0,null),b.FileSystemProviderErrorCode.FileExists)}else if(!I.create)throw(0,b.createFileSystemProviderError)((0,h.localize)(1,null),b.FileSystemProviderErrorCode.FileNotFound)}A=await this.open(u,{create:!0,unlock:I.unlock}),await this.write(A,0,m,0,m.byteLength)}catch(F){throw await this.toFileSystemProviderWriteError(u,F)}finally{typeof A=="number"&&await this.close(A)}}async open(u,m){try{const I=this.toFilePath(u);if((0,b.isFileOpenForWriteOptions)(m)&&m.unlock)try{const{stat:C}=await y.SymlinkSupport.stat(I);C.mode&128||await w.promises.chmod(I,C.mode|128)}catch(C){this.logService.trace(C)}let A;if((0,b.isFileOpenForWriteOptions)(m)){if(n.isWindows)try{await w.promises.truncate(I,0),A="r+"}catch(C){C.code!=="ENOENT"&&this.logService.trace(C)}A||(A="w")}else A="r";const F=await(0,R.promisify)(w.open)(I,A);return this.mapHandleToPos.set(F,0),(0,b.isFileOpenForWriteOptions)(m)&&this.writeHandles.set(F,u),F}catch(I){throw(0,b.isFileOpenForWriteOptions)(m)?await this.toFileSystemProviderWriteError(u,I):this.toFileSystemProviderError(I)}}async close(u){try{if(this.mapHandleToPos.delete(u),this.writeHandles.delete(u)&&this.canFlush)try{await(0,R.promisify)(w.fdatasync)(u)}catch(m){this.canFlush=!1,this.logService.error(m)}return await(0,R.promisify)(w.close)(u)}catch(m){throw this.toFileSystemProviderError(m)}}async read(u,m,I,A,F){const C=this.normalizePos(u,m);let j=null;try{const G=await(0,R.promisify)(w.read)(u,I,A,F,C);return typeof G=="number"?j=G:j=G.bytesRead,j}catch(G){throw this.toFileSystemProviderError(G)}finally{this.updatePos(u,C,j)}}normalizePos(u,m){return m===this.mapHandleToPos.get(u)?null:m}updatePos(u,m,I){const A=this.mapHandleToPos.get(u);typeof A=="number"&&(typeof m=="number"||(typeof I=="number"?this.mapHandleToPos.set(u,A+I):this.mapHandleToPos.delete(u)))}async write(u,m,I,A,F){return(0,E.retry)(()=>this.doWrite(u,m,I,A,F),100,3)}async doWrite(u,m,I,A,F){const C=this.normalizePos(u,m);let j=null;try{const G=await(0,R.promisify)(w.write)(u,I,A,F,C);return typeof G=="number"?j=G:j=G.bytesWritten,j}catch(G){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(u),G)}finally{this.updatePos(u,C,j)}}async mkdir(u){try{await w.promises.mkdir(this.toFilePath(u))}catch(m){throw this.toFileSystemProviderError(m)}}async delete(u,m){try{const I=this.toFilePath(u);await this.doDelete(I,m)}catch(I){throw this.toFileSystemProviderError(I)}}async doDelete(u,m){m.recursive?await(0,y.rimraf)(u,y.RimRafMode.MOVE):await w.promises.unlink(u)}async rename(u,m,I){const A=this.toFilePath(u),F=this.toFilePath(m);if(A!==F)try{await this.validateTargetDeleted(u,m,"move",I.overwrite),await(0,y.move)(A,F)}catch(C){throw(C.code==="EINVAL"||C.code==="EBUSY"||C.code==="ENAMETOOLONG")&&(C=new Error((0,h.localize)(2,null,(0,i.basename)(A),(0,i.basename)((0,i.dirname)(F)),C.toString()))),this.toFileSystemProviderError(C)}}async copy(u,m,I){const A=this.toFilePath(u),F=this.toFilePath(m);if(A!==F)try{await this.validateTargetDeleted(u,m,"copy",I.overwrite),await(0,y.copy)(A,F,{preserveSymlinks:!0})}catch(C){throw(C.code==="EINVAL"||C.code==="EBUSY"||C.code==="ENAMETOOLONG")&&(C=new Error((0,h.localize)(3,null,(0,i.basename)(A),(0,i.basename)((0,i.dirname)(F)),C.toString()))),this.toFileSystemProviderError(C)}}async validateTargetDeleted(u,m,I,A){const F=this.toFilePath(u),C=this.toFilePath(m);let j=!1;if(!!(this.capabilities&1024)||(j=(0,f.isEqual)(F,C,!0)),j&&I==="copy")throw(0,b.createFileSystemProviderError)((0,h.localize)(4,null),b.FileSystemProviderErrorCode.FileExists);if(!j&&await(0,y.exists)(C)){if(!A)throw(0,b.createFileSystemProviderError)((0,h.localize)(5,null),b.FileSystemProviderErrorCode.FileExists);await this.delete(m,{recursive:!0,useTrash:!1})}}watch(u,m){return m.recursive?this.watchRecursive(u,m.excludes):this.watchNonRecursive(u)}watchRecursive(u,m){const I={path:this.toFilePath(u),excludes:m},A=(0,t.insert)(this.recursiveFoldersToWatch,I);return this.refreshRecursiveWatchers(),(0,D.toDisposable)(()=>{A(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){var u,m,I;if(this.recursiveWatcher instanceof l.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if((0,D.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let A,F;((m=(u=this.options)===null||u===void 0?void 0:u.watcher)===null||m===void 0?void 0:m.usePolling)?(A=S.FileWatcher,F=(I=this.options)===null||I===void 0?void 0:I.watcher):this.recursiveFoldersToWatch.length===1?n.isWindows?A=v.FileWatcher:A=S.FileWatcher:A=l.FileWatcher,this.recursiveWatcher=new A(this.recursiveFoldersToWatch,C=>this._onDidChangeFile.fire((0,p.toFileChanges)(C)),C=>{C.type==="error"&&this._onDidWatchErrorOccur.fire(C.message),this.logService[C.type](C.message)},this.logService.getLevel()===g.LogLevel.Trace,F),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===g.LogLevel.Trace)}))}}watchNonRecursive(u){const m=new c.FileWatcher(this.toFilePath(u),A=>this._onDidChangeFile.fire((0,p.toFileChanges)(A)),A=>{A.type==="error"&&this._onDidWatchErrorOccur.fire(A.message),this.logService[A.type](A.message)},this.logService.getLevel()===g.LogLevel.Trace),I=this.logService.onDidChangeLogLevel(()=>{m.setVerboseLogging(this.logService.getLevel()===g.LogLevel.Trace)});return(0,D.combinedDisposable)(m,I)}toFilePath(u){return(0,i.normalize)(u.fsPath)}toFileSystemProviderError(u){if(u instanceof b.FileSystemProviderError)return u;let m;switch(u.code){case"ENOENT":m=b.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":m=b.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":m=b.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":m=b.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":m=b.FileSystemProviderErrorCode.NoPermissions;break;default:m=b.FileSystemProviderErrorCode.Unknown}return(0,b.createFileSystemProviderError)(u,m)}async toFileSystemProviderWriteError(u,m){let I=this.toFileSystemProviderError(m);if(u&&I.code===b.FileSystemProviderErrorCode.NoPermissions)try{const{stat:A}=await y.SymlinkSupport.stat(this.toFilePath(u));A.mode&128||(I=(0,b.createFileSystemProviderError)(m,b.FileSystemProviderErrorCode.FileWriteLocked))}catch(A){this.logService.trace(A)}return I}dispose(){super.dispose(),(0,D.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,(0,D.dispose)(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}e.DiskFileSystemProvider=o}),define(Q[90],J([0,1,6]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function R(b,P){switch(P){case w.LogLevel.Trace:return b.trace;case w.LogLevel.Debug:return b.debug;case w.LogLevel.Info:return b.info;case w.LogLevel.Warning:return b.warn;case w.LogLevel.Error:return b.error;case w.LogLevel.Critical:return b.critical;default:throw new Error("Invalid log level")}}class D extends w.AbstractLogger{constructor(P=w.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(P),this._register(this.onDidChangeLogLevel(n=>{this._logger&&this._logger.setLevel(n)}))}set logger(P){this._logger=P;for(const{level:n,args:y}of this.buffer)R(P,n).apply(P,y);this.buffer=[]}_log(P,...n){this._logger?R(this._logger,P).apply(this._logger,n):this.getLevel()<=P&&this.buffer.push({level:P,args:n})}trace(P,...n){this._log(w.LogLevel.Trace,P,...n)}debug(P,...n){this._log(w.LogLevel.Debug,P,...n)}info(P,...n){this._log(w.LogLevel.Info,P,...n)}warn(P,...n){this._log(w.LogLevel.Warning,P,...n)}error(P,...n){this._log(w.LogLevel.Error,P,...n)}critical(P,...n){this._log(w.LogLevel.Critical,P,...n)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=D}),define(Q[174],J([0,1,6,16,10,21,15,2,5,90]),function(H,e,w,R,D,b,P,n,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const L=5*R.ByteSize.MB;let f=class extends w.AbstractLogger{constructor(h,p,S,v){super();this.name=h,this.resource=p,this.fileService=v,this.backupIndex=1,this.setLevel(S),this.queue=this._register(new D.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=w.LogLevel.Trace&&this._log(w.LogLevel.Trace,this.format(arguments))}debug(){this.getLevel()<=w.LogLevel.Debug&&this._log(w.LogLevel.Debug,this.format(arguments))}info(){this.getLevel()<=w.LogLevel.Info&&this._log(w.LogLevel.Info,this.format(arguments))}warn(){this.getLevel()<=w.LogLevel.Warning&&this._log(w.LogLevel.Warning,this.format(arguments))}error(){if(this.getLevel()<=w.LogLevel.Error){const h=arguments[0];if(h instanceof Error){const p=Array.prototype.slice.call(arguments);p[0]=h.stack,this._log(w.LogLevel.Error,this.format(p))}else this._log(w.LogLevel.Error,this.format(arguments))}}critical(){this.getLevel()<=w.LogLevel.Critical&&this._log(w.LogLevel.Critical,this.format(arguments))}flush(){}log(h,p){this._log(h,this.format(p))}async initialize(){try{await this.fileService.createFile(this.resource)}catch(h){if(h.fileOperationResult!==3)throw h}}_log(h,p){this.queue.queue(async()=>{await this.initializePromise;let S=await this.loadContent();S.length>L&&(await this.fileService.writeFile(this.getBackupResource(),b.VSBuffer.fromString(S)),S=""),S+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(h)}] ${p}
`,await this.fileService.writeFile(this.resource,b.VSBuffer.fromString(S))})}getCurrentTimestamp(){const h=v=>v<10?`0${v}`:v,p=v=>v<10?`00${v}`:v<100?`0${v}`:v,S=new Date;return`${S.getFullYear()}-${h(S.getMonth()+1)}-${h(S.getDate())} ${h(S.getHours())}:${h(S.getMinutes())}:${h(S.getSeconds())}.${p(S.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,(0,P.joinPath)((0,P.dirname)(this.resource),`${(0,P.basename)(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch(h){return""}}stringifyLogLevel(h){switch(h){case w.LogLevel.Critical:return"critical";case w.LogLevel.Debug:return"debug";case w.LogLevel.Error:return"error";case w.LogLevel.Info:return"info";case w.LogLevel.Trace:return"trace";case w.LogLevel.Warning:return"warning"}return""}format(h){let p="";for(let S=0;S<h.length;S++){let v=h[S];if(typeof v=="object")try{v=JSON.stringify(v)}catch(l){}p+=(S>0?" ":"")+v}return p}};f=le([x(3,R.IFileService)],f),e.FileLogger=f;let E=class extends n.Disposable{constructor(h,p,S){super();this.logService=h,this.instantiationService=p,this.fileService=S,this.loggers=new Map,this._register(h.onDidChangeLogLevel(v=>this.loggers.forEach(l=>l.setLevel(v))))}createLogger(h){let p=this.loggers.get(h.toString());return p||(p=new i.BufferLogService(this.logService.getLevel()),this.loggers.set(h.toString(),p),(0,R.whenProviderRegistered)(h,this.fileService).then(()=>p.logger=this.instantiationService.createInstance(f,(0,P.basename)(h),h,this.logService.getLevel()))),p}dispose(){this.loggers.forEach(h=>h.dispose()),this.loggers.clear(),super.dispose()}};E=le([x(0,w.ILogService),x(1,y.IInstantiationService),x(2,R.IFileService)],E),e.FileLoggerService=E}),define(Q[175],J([0,1,6,4,7]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class b{constructor(E){this.service=E,this.onDidChangeLogLevel=R.Event.buffer(E.onDidChangeLogLevel,!0)}listen(E,g){switch(g){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${g}`)}async call(E,g,h){switch(g){case"setLevel":return this.service.setLevel(h)}throw new Error(`Call not found: ${g}`)}}e.LogLevelChannel=b;class P{constructor(E){this.channel=E}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(E){P.setLevel(this.channel,E)}static setLevel(E,g){return E.call("setLevel",g)}}e.LogLevelChannelClient=P;class n{constructor(E){this.loggerService=E,this.loggers=new Map}listen(E,g){throw new Error(`Event not found: ${g}`)}async call(E,g,h){switch(g){case"createLogger":this.createLogger(D.URI.revive(h[0]),h[1]);return;case"log":return this.log(D.URI.revive(h[0]),h[1]);case"consoleLog":return this.consoleLog(h[0],h[1])}throw new Error(`Call not found: ${g}`)}createLogger(E,g){this.loggers.set(E.toString(),this.loggerService.createLogger(E,g))}consoleLog(E,g){let h=console.log;switch(E){case w.LogLevel.Error:h=console.error;break;case w.LogLevel.Warning:h=console.warn;break;case w.LogLevel.Info:h=console.info;break}h.call(console,...g)}log(E,g){const h=this.loggers.get(E.toString());if(!h)throw new Error("Create the logger before logging");for(const[p,S]of g)switch(p){case w.LogLevel.Trace:h.trace(S);break;case w.LogLevel.Debug:h.debug(S);break;case w.LogLevel.Info:h.info(S);break;case w.LogLevel.Warning:h.warn(S);break;case w.LogLevel.Error:h.error(S);break;case w.LogLevel.Critical:h.critical(S);break;default:throw new Error("Invalid log level")}}}e.LoggerChannel=n;class y{constructor(E){this.channel=E}createConsoleMainLogger(){return new w.AdapterLogger({log:(E,g)=>{this.channel.call("consoleLog",[E,g])}})}createLogger(E,g){return new i(this.channel,E,g)}}e.LoggerChannelClient=y;class i extends w.AbstractMessageLogger{constructor(E,g,h){super(h==null?void 0:h.always);this.channel=E,this.file=g,this.isLoggerCreated=!1,this.buffer=[],this.channel.call("createLogger",[g,h]).then(()=>{this._log(this.buffer),this.isLoggerCreated=!0})}log(E,g){this._log([[E,g]])}_log(E){this.isLoggerCreated?this.channel.call("log",[this.file,E]):this.buffer.push(...E)}}class L extends w.LogService{constructor(E,g){super(g);this.parent=E,this._register(E.onDidChangeLogLevel(h=>g.setLevel(h)))}setLevel(E){super.setLevel(E),this.parent.setLevel(E)}}e.FollowerLogService=L}),define(Q[91],J([0,1,6,16]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function D(y,i,L,f){try{const E=await new Promise((g,h)=>{H(["spdlog"],g,h)});return E.setAsyncMode(8192,500),E.createRotatingLoggerAsync(y,i,L,f)}catch(E){console.error(E)}return null}function b(y,i,L,f){return H.__$__nodeRequire("spdlog").createRotatingLogger(y,i,L,f)}e.createRotatingLogger=b;function P(y,i,L){switch(i){case w.LogLevel.Trace:y.trace(L);break;case w.LogLevel.Debug:y.debug(L);break;case w.LogLevel.Info:y.info(L);break;case w.LogLevel.Warning:y.warn(L);break;case w.LogLevel.Error:y.error(L);break;case w.LogLevel.Critical:y.critical(L);break;default:throw new Error("Invalid log level")}}class n extends w.AbstractMessageLogger{constructor(i,L,f,E){super();this.name=i,this.filepath=L,this.rotating=f,this.buffer=[],this.setLevel(E),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(g=>{this._logger&&this._logger.setLevel(g)}))}_createSpdLogLogger(){const i=this.rotating?6:1,L=30/i*R.ByteSize.MB;return D(this.name,this.filepath,L,i).then(f=>{if(f){this._logger=f,this._logger.setLevel(this.getLevel());for(const{level:E,message:g}of this.buffer)P(this._logger,E,g);this.buffer=[]}})}log(i,L){this._logger?P(this._logger,i,L):this.getLevel()<=i&&this.buffer.push({level:i,message:L})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=n}),define(Q[176],J([0,1,6,2,15,9,174,91,16,30]),function(H,e,w,R,D,b,P,n,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let L=class extends R.Disposable{constructor(E,g){super();this.logService=E,this.fileService=g,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(E.onDidChangeLogLevel(h=>this.logLevelChangeableLoggers.forEach(p=>p.setLevel(h))))}createLogger(E,g){var h;let p=this.loggers.get(E.toString());return p||(E.scheme===b.Schemas.file?(p=new n.SpdLogLogger((g==null?void 0:g.name)||(0,i.generateUuid)(),E.fsPath,!(g==null?void 0:g.donotRotate),this.logService.getLevel()),(g==null?void 0:g.donotUseFormatters)&&p.clearFormatters()):p=new P.FileLogger((h=g==null?void 0:g.name)!==null&&h!==void 0?h:(0,D.basename)(E),E,this.logService.getLevel(),this.fileService),this.loggers.set(E.toString(),p),(g==null?void 0:g.always)?p.setLevel(w.LogLevel.Trace):this.logLevelChangeableLoggers.push(p)),p}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(E=>E.dispose()),this.loggers.clear(),super.dispose()}};L=le([x(0,w.ILogService),x(1,y.IFileService)],L),e.LoggerService=L}),define(Q[177],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemRecentAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function w(P){return P.submenu!==void 0}e.isMenubarMenuItemSubmenu=w;function R(P){return P.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=R;function D(P){return P.uri!==void 0}e.isMenubarMenuItemRecentAction=D;function b(P){return!w(P)&&!R(P)&&!D(P)}e.isMenubarMenuItemAction=b}),define(Q[92],J([0,1,3,35,9,15]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let P;if(w.isWeb||typeof H=="undefined"||typeof H.__$__nodeRequire!="function")P={},Object.keys(P).length===0&&Object.assign(P,{version:"1.55.0-dev",nameShort:w.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:w.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const n=(0,b.dirname)(D.FileAccess.asFileUri("",H));P=H.__$__nodeRequire((0,b.joinPath)(n,"product.json").fsPath);const y=H.__$__nodeRequire((0,b.joinPath)(n,"package.json").fsPath);R.env.VSCODE_DEV&&Object.assign(P,{nameShort:`${P.nameShort} Dev`,nameLong:`${P.nameLong} Dev`,dataFolderName:`${P.dataFolderName}-dev`}),Object.assign(P,{version:y.version})}e.default=P}),define(Q[17],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProductService=void 0,e.IProductService=(0,w.createDecorator)("productService")}),define(Q[178],J([0,1,58,6,17]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let b=class{constructor(n,y){this.productService=n,this.logService=y,this.trustedExtensionUrlPublicKeys=new Map}async isExtensionUrlTrusted(n,y){if(!this.productService.trustedExtensionUrlPublicKeys)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const i=/^(.*)#([^#]+)$/.exec(y);if(!i)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",y),!1;const[,L,f]=i;let E=this.trustedExtensionUrlPublicKeys.get(n);if(!E){if(E=this.productService.trustedExtensionUrlPublicKeys[n],!E||E.length===0)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",n),!1;this.trustedExtensionUrlPublicKeys.set(n,[...E])}const g=Buffer.from(decodeURIComponent(f),"base64");if(g.length<=6)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",y),!1;const h=g.slice(0,6),p=g.readUIntBE(0,6),S=Date.now()-p;if(S<0||S>36e5)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",y),!1;const v=g.slice(6),l=w.createVerify("SHA256");l.write(h),l.write(Buffer.from(L)),l.end();for(let c=0;c<E.length;c++){let a=E[c];if(a!==null){if(typeof a=="string")try{a=w.createPublicKey({key:Buffer.from(a,"base64"),format:"der",type:"spki"}),E[c]=a}catch(s){this.logService.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${c+1} for ${n}:`,s),E[c]=null;continue}if(l.verify(a,v))return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",y),!0}}return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",y),!1}};b=le([x(0,D.IProductService),x(1,R.ILogService)],b),e.ExtensionUrlTrustService=b}),define(Q[37],J([0,1,13,99]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class D{constructor(){this.data=new Map}add(P,n){R.ok(w.isString(P)),R.ok(w.isObject(n)),R.ok(!this.data.has(P),"There is already an extension with this id"),this.data.set(P,n)}knows(P){return this.data.has(P)}as(P){return this.data.get(P)||null}}e.Registry=new D}),define(Q[179],J([0,1,37,4]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function D(n){return n.length>0&&n.charAt(n.length-1)==="#"?n.substring(0,n.length-1):n}class b{constructor(){this._onDidChangeSchema=new R.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(y,i){this.schemasById[D(y)]=i,this._onDidChangeSchema.fire(y)}notifySchemaChanged(y){this._onDidChangeSchema.fire(y)}getSchemaContributions(){return{schemas:this.schemasById}}}const P=new b;w.Registry.add(e.Extensions.JSONContribution,P)}),define(Q[47],J([0,1,129,4,37,13,179]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var n;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(n=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const y=D.Registry.as(P.Extensions.JSONContribution);class i{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new R.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new R.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:w.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(v,l=!0){this.registerConfigurations([v],l)}registerConfigurations(v,l=!0){const c=[];v.forEach(a=>{c.push(...this.validateAndRegisterProperties(a,l)),this.configurationContributors.push(a),this.registerJSONConfiguration(a)}),y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(c)}deregisterConfigurations(v){const l=[],c=a=>{if(a.properties)for(const s in a.properties)l.push(s),delete this.configurationProperties[s],this.removeFromSchema(s,a.properties[s]);a.allOf&&a.allOf.forEach(s=>c(s))};for(const a of v){c(a);const s=this.configurationContributors.indexOf(a);s!==-1&&this.configurationContributors.splice(s,1)}y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(l)}registerDefaultConfigurations(v){const l=[],c=[];for(const a of v)for(const s in a)if(l.push(s),e.OVERRIDE_PROPERTY_PATTERN.test(s)){this.defaultValues[s]=Object.assign(Object.assign({},this.defaultValues[s]||{}),a[s]);const t={type:"object",default:this.defaultValues[s],description:w.localize(1,null,s),$ref:e.resourceLanguageSettingsSchemaId};c.push(f(s)),this.configurationProperties[s]=t,this.defaultLanguageConfigurationOverridesNode.properties[s]=t}else{this.defaultValues[s]=a[s];const t=this.configurationProperties[s];t&&(this.updatePropertyDefaultValue(s,t),this.updateSchema(s,t))}this.registerOverrideIdentifiers(c),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(l)}deregisterDefaultConfigurations(v){const l=[];for(const c of v)for(const a in c)if(l.push(a),delete this.defaultValues[a],e.OVERRIDE_PROPERTY_PATTERN.test(a))delete this.configurationProperties[a],delete this.defaultLanguageConfigurationOverridesNode.properties[a];else{const s=this.configurationProperties[a];s&&(this.updatePropertyDefaultValue(a,s),this.updateSchema(a,s))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(l)}notifyConfigurationSchemaUpdated(...v){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(v){for(const l of v)this.overrideIdentifiers.add(l);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(v,l=!0,c=3){c=b.isUndefinedOrNull(v.scope)?c:v.scope;let a=[],s=v.properties;if(s)for(let r in s){if(l&&h(r)){delete s[r];continue}const o=s[r];if(this.updatePropertyDefaultValue(r,o),e.OVERRIDE_PROPERTY_PATTERN.test(r)?o.scope=void 0:o.scope=b.isUndefinedOrNull(o.scope)?c:o.scope,s[r].hasOwnProperty("included")&&!s[r].included){this.excludedConfigurationProperties[r]=s[r],delete s[r];continue}else this.configurationProperties[r]=s[r];!s[r].deprecationMessage&&s[r].markdownDeprecationMessage&&(s[r].deprecationMessage=s[r].markdownDeprecationMessage),a.push(r)}let t=v.allOf;if(t)for(let r of t)a.push(...this.validateAndRegisterProperties(r,l,c));return a}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(v){const l=c=>{let a=c.properties;if(a)for(const t in a)this.updateSchema(t,a[t]);let s=c.allOf;s&&s.forEach(l)};l(v)}updateSchema(v,l){switch(e.allSettings.properties[v]=l,l.scope){case 1:e.applicationSettings.properties[v]=l;break;case 2:e.machineSettings.properties[v]=l;break;case 6:e.machineOverridableSettings.properties[v]=l;break;case 3:e.windowSettings.properties[v]=l;break;case 4:e.resourceSettings.properties[v]=l;break;case 5:e.resourceSettings.properties[v]=l,this.resourceLanguageSettingsSchema.properties[v]=l;break}}removeFromSchema(v,l){switch(delete e.allSettings.properties[v],l.scope){case 1:delete e.applicationSettings.properties[v];break;case 2:delete e.machineSettings.properties[v];break;case 6:delete e.machineOverridableSettings.properties[v];break;case 3:delete e.windowSettings.properties[v];break;case 4:case 5:delete e.resourceSettings.properties[v];break}}updateOverridePropertyPatternKey(){for(const v of this.overrideIdentifiers.values()){const l=`[${v}]`,c={type:"object",description:w.localize(2,null),errorMessage:w.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(l,c),e.allSettings.properties[l]=c,e.applicationSettings.properties[l]=c,e.machineSettings.properties[l]=c,e.machineOverridableSettings.properties[l]=c,e.windowSettings.properties[l]=c,e.resourceSettings.properties[l]=c}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(v,l){let c=this.defaultValues[v];b.isUndefined(c)&&(c=l.default),b.isUndefined(c)&&(c=E(l.type)),l.default=c}}const L="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(L);function f(S){return S.substring(1,S.length-1)}e.overrideIdentifierFromKey=f;function E(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=E;const g=new i;D.Registry.add(e.Extensions.Configuration,g);function h(S){return S.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(S)?w.localize(5,null,S):g.getConfigurationProperties()[S]!==void 0?w.localize(6,null,S):null:w.localize(4,null)}e.validateProperty=h;function p(){const S=[],v=g.getConfigurationProperties();for(const l of Object.keys(v))S.push([l,v[l].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.getScopes=p}),define(Q[24],J([0,1,45,13,7,37,5,47]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,P.createDecorator)("configurationService");function y(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof D.URI)}e.isConfigurationOverrides=y;var i;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(i=e.ConfigurationTarget||(e.ConfigurationTarget={}));function L(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=L;function f(r,o){const d=o?r?o.keys.filter(j=>r.keys.indexOf(j)===-1):[...o.keys]:[],u=r?o?r.keys.filter(j=>o.keys.indexOf(j)===-1):[...r.keys]:[],m=[];if(o&&r){for(const j of r.keys)if(o.keys.indexOf(j)!==-1){const G=v(r.contents,j),ie=v(o.contents,j);w.equals(G,ie)||m.push(j)}}const I=[],A=j=>{const G={};for(const ie of j)for(const oe of ie.identifiers)G[s(oe)]=ie;return G},F=o?A(o.overrides):{},C=r?A(r.overrides):{};if(Object.keys(F).length)for(const j of d){const G=F[j];G&&I.push([(0,n.overrideIdentifierFromKey)(j),G.keys])}if(Object.keys(C).length)for(const j of u){const G=C[j];G&&I.push([(0,n.overrideIdentifierFromKey)(j),G.keys])}if(Object.keys(F).length&&Object.keys(C).length)for(const j of m){const G=C[j],ie=F[j];if(G&&ie){const oe=f({contents:G.contents,keys:G.keys,overrides:[]},{contents:ie.contents,keys:ie.keys,overrides:[]});I.push([(0,n.overrideIdentifierFromKey)(j),[...oe.added,...oe.removed,...oe.updated]])}}return{added:d,removed:u,updated:m,overrides:I}}e.compare=f;function E(r,o){const d=[];for(const u of Object.keys(r))if(n.OVERRIDE_PROPERTY_PATTERN.test(u)){const m={};for(const I in r[u])m[I]=r[u][I];d.push({identifiers:[(0,n.overrideIdentifierFromKey)(u).trim()],keys:Object.keys(m),contents:g(m,o)})}return d}e.toOverrides=E;function g(r,o){const d=Object.create(null);for(let u in r)h(d,u,r[u],o);return d}e.toValuesTree=g;function h(r,o,d,u){const m=o.split("."),I=m.pop();let A=r;for(let F=0;F<m.length;F++){let C=m[F],j=A[C];switch(typeof j){case"undefined":j=A[C]=Object.create(null);break;case"object":break;default:u(`Ignoring ${o} as ${m.slice(0,F+1).join(".")} is ${JSON.stringify(j)}`);return}A=j}if(typeof A=="object"&&A!==null)try{A[I]=d}catch(F){u(`Ignoring ${o} as ${m.join(".")} is ${JSON.stringify(A)}`)}else u(`Ignoring ${o} as ${m.join(".")} is ${JSON.stringify(A)}`)}e.addToValueTree=h;function p(r,o){const d=o.split(".");S(r,d)}e.removeFromValueTree=p;function S(r,o){const d=o.shift();if(o.length===0){delete r[d];return}if(Object.keys(r).indexOf(d)!==-1){const u=r[d];typeof u=="object"&&!Array.isArray(u)&&(S(u,o),Object.keys(u).length===0&&delete r[d])}}function v(r,o,d){function u(A,F){let C=A;for(const j of F){if(typeof C!="object"||C===null)return;C=C[j]}return C}const m=o.split("."),I=u(r,m);return typeof I=="undefined"?d:I}e.getConfigurationValue=v;function l(r,o,d){Object.keys(o).forEach(u=>{u!=="__proto__"&&(u in r?R.isObject(r[u])&&R.isObject(o[u])?l(r[u],o[u],d):d&&(r[u]=o[u]):r[u]=o[u])})}e.merge=l;function c(){const r=b.Registry.as(n.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=c;function a(){const r=Object.create(null),o=b.Registry.as(n.Extensions.Configuration).getConfigurationProperties();for(let d in o){let u=o[d].default;h(r,d,u,m=>console.error(`Conflict in default settings: ${m}`))}return r}e.getDefaultValues=a;function s(r){return`[${r}]`}e.keyFromOverrideIdentifier=s;function t(r,o,d){const u=r.inspect(o),m=r.inspect(d);return typeof u.userValue!="undefined"||typeof u.workspaceValue!="undefined"||typeof u.workspaceFolderValue!="undefined"?u.value:typeof m.userValue!="undefined"||typeof m.workspaceValue!="undefined"||typeof m.workspaceFolderValue!="undefined"?m.value:u.defaultValue}e.getMigratedSettingValue=t}),define(Q[180],J([0,1,44,36,34,13,45,7,47,24,37,2,4]),function(H,e,w,R,D,b,P,n,y,i,L,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class g{constructor(t={},r=[],o=[]){this._contents=t,this._keys=r,this._overrides=o,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?(0,i.getConfigurationValue)(this.contents,t):this.contents}getOverrideValue(t,r){const o=this.getContentsForOverrideIdentifer(r);return o?t?(0,i.getConfigurationValue)(o,t):o:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let o={};for(const d of D.distinct([...Object.keys(this.contents),...Object.keys(r)])){let u=this.contents[d],m=r[d];m&&(typeof u=="object"&&typeof m=="object"?(u=P.deepClone(u),this.mergeContents(u,m)):u=m),o[d]=u}return new g(o,this.keys,this.overrides)}merge(...t){const r=P.deepClone(this.contents),o=P.deepClone(this.overrides),d=[...this.keys];for(const u of t){this.mergeContents(r,u.contents);for(const m of u.overrides){const[I]=o.filter(A=>D.equals(A.identifiers,m.identifiers));I?this.mergeContents(I.contents,m.contents):o.push(P.deepClone(m))}for(const m of u.keys)d.indexOf(m)===-1&&d.push(m)}return new g(r,d,o)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const o of Object.keys(r)){if(o in t&&b.isObject(t[o])&&b.isObject(r[o])){this.mergeContents(t[o],r[o]);continue}t[o]=P.deepClone(r[o])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?P.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),(0,i.addToValueTree)(this.contents,t,r,o=>{throw new Error(o)})}removeValue(t){this.removeKey(t)&&(0,i.removeFromValueTree)(this.contents,t)}addKey(t){let r=this.keys.length;for(let o=0;o<r;o++)t.indexOf(this.keys[o])===0&&(r=o);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=g;class h extends g{constructor(){const t=(0,i.getDefaultValues)(),r=(0,i.getConfigurationKeys)(),o=[];for(const d of Object.keys(t))y.OVERRIDE_PROPERTY_PATTERN.test(d)&&o.push({identifiers:[(0,y.overrideIdentifierFromKey)(d).trim()],keys:Object.keys(t[d]),contents:(0,i.toValuesTree)(t[d],u=>console.error(`Conflict in default settings file: ${u}`))});super(t,r,o)}}e.DefaultConfigurationModel=h;class p{constructor(t,r){this._name=t,this._scopes=r,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new g}get errors(){return this._parseErrors}parseContent(t){if(!b.isUndefinedOrNull(t)){const r=this.doParseContent(t);this.parseRaw(r)}}parseRaw(t){this._raw=t;const r=this.doParseRaw(t);this._configurationModel=new g(r.contents,r.keys,r.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let r={},o=null,d=[],u=[],m=[];function I(F){Array.isArray(d)?d.push(F):o&&(d[o]=F)}let A={onObjectBegin:()=>{let F={};I(F),u.push(d),d=F,o=null},onObjectProperty:F=>{o=F},onObjectEnd:()=>{d=u.pop()},onArrayBegin:()=>{let F=[];I(F),u.push(d),d=F,o=null},onArrayEnd:()=>{d=u.pop()},onLiteralValue:I,onError:(F,C,j)=>{m.push({error:F,offset:C,length:j})}};if(t)try{w.visit(t,A),r=d[0]||{}}catch(F){console.error(`Error while parsing settings file ${this._name}: ${F}`),this._parseErrors=[F]}return r}doParseRaw(t){if(this._scopes){const u=L.Registry.as(y.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,u,!0,this._scopes)}const r=(0,i.toValuesTree)(t,u=>console.error(`Conflict in settings file ${this._name}: ${u}`)),o=Object.keys(t),d=(0,i.toOverrides)(t,u=>console.error(`Conflict in settings file ${this._name}: ${u}`));return{contents:r,keys:o,overrides:d}}filterByScope(t,r,o,d){const u={};for(let m in t)if(y.OVERRIDE_PROPERTY_PATTERN.test(m)&&o)u[m]=this.filterByScope(t[m],r,!1,d);else{const I=this.getScope(m,r);(I===void 0||d.indexOf(I)!==-1)&&(u[m]=t[m])}return u}getScope(t,r){const o=r[t];return o?typeof o.scope!="undefined"?o.scope:3:void 0}}e.ConfigurationModelParser=p;class S extends f.Disposable{constructor(t,r,o,d){super();this.userSettingsResource=t,this.scopes=r,this.fileService=d,this._onDidChange=this._register(new E.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new p(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(o.dirname(this.userSettingsResource))),this._register(E.Event.filter(this.fileService.onDidFilesChange,u=>u.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new g}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=S;class v{constructor(t,r,o=new g,d=new g,u=new R.ResourceMap,m=new g,I=new R.ResourceMap,A=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=o,this._workspaceConfiguration=d,this._folderConfigurations=u,this._memoryConfiguration=m,this._memoryConfigurationByResource=I,this._freeze=A,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new R.ResourceMap,this._userConfiguration=null}getValue(t,r,o){return this.getConsolidateConfigurationModel(r,o).getValue(t)}updateValue(t,r,o={}){let d;o.resource?(d=this._memoryConfigurationByResource.get(o.resource),d||(d=new g,this._memoryConfigurationByResource.set(o.resource,d))):d=this._memoryConfiguration,r===void 0?d.removeValue(t):d.setValue(t,r),o.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,o){const d=this.getConsolidateConfigurationModel(r,o),u=this.getFolderConfigurationModelForResource(r.resource,o),m=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,I=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),A=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),F=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),C=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),j=o?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,G=u?r.overrideIdentifier?u.freeze().override(r.overrideIdentifier).getValue(t):u.freeze().getValue(t):void 0,ie=r.overrideIdentifier?m.override(r.overrideIdentifier).getValue(t):m.getValue(t),oe=d.getValue(t),V=D.distinct(D.flatten(d.overrides.map(N=>N.identifiers))).filter(N=>d.getOverrideValue(t,N)!==void 0);return{defaultValue:I,userValue:A,userLocalValue:F,userRemoteValue:C,workspaceValue:j,workspaceFolderValue:G,memoryValue:ie,value:oe,default:I!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:A!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:F!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:C!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:j!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:G!==void 0?{value:u==null?void 0:u.freeze().getValue(t),override:r.overrideIdentifier?u==null?void 0:u.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:ie!==void 0?{value:m.getValue(t),override:r.overrideIdentifier?m.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:V.length?V:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const o=r.filter(d=>y.OVERRIDE_PROPERTY_PATTERN.test(d)).map(d=>{const u=(0,y.overrideIdentifierFromKey)(d),m=this._defaultConfiguration.getKeysForOverrideIdentifier(u),I=t.getKeysForOverrideIdentifier(u),A=[...I.filter(F=>m.indexOf(F)===-1),...m.filter(F=>I.indexOf(F)===-1),...m.filter(F=>!P.equals(this._defaultConfiguration.override(u).getValue(F),t.override(u).getValue(F)))];return[u,A]});return this.updateDefaultConfiguration(t),{keys:r,overrides:o}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:o,removed:d,overrides:u}=(0,i.compare)(this.localUserConfiguration,t),m=[...r,...o,...d];return m.length&&this.updateLocalUserConfiguration(t),{keys:m,overrides:u}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:o,removed:d,overrides:u}=(0,i.compare)(this.remoteUserConfiguration,t);let m=[...r,...o,...d];return m.length&&this.updateRemoteUserConfiguration(t),{keys:m,overrides:u}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:o,removed:d,overrides:u}=(0,i.compare)(this.workspaceConfiguration,t);let m=[...r,...o,...d];return m.length&&this.updateWorkspaceConfiguration(t),{keys:m,overrides:u}}compareAndUpdateFolderConfiguration(t,r){const o=this.folderConfigurations.get(t),{added:d,updated:u,removed:m,overrides:I}=(0,i.compare)(o,r);let A=[...d,...u,...m];return(A.length||!o)&&this.updateFolderConfiguration(t,r),{keys:A,overrides:I}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:o,updated:d,removed:u,overrides:m}=(0,i.compare)(r,void 0);return{keys:[...o,...d,...u],overrides:m}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let o=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?o.override(t.overrideIdentifier):o}getConsolidatedConfigurationModelForResource({resource:t},r){let o=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const d=r.getFolder(t);d&&(o=this.getFolderConsolidatedConfiguration(d.uri)||o);const u=this._memoryConfigurationByResource.get(t);u&&(o=o.merge(u))}return o}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const o=this.getWorkspaceConsolidatedConfiguration(),d=this._folderConfigurations.get(t);d?(r=o.merge(d),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=o}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const o=r.getFolder(t);if(o)return this._folderConfigurations.get(o.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:o,overrides:d,keys:u}=this._folderConfigurations.get(r);return t.push([r,{contents:o,overrides:d,keys:u}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(o=>t.add(o))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this._folderConfigurations.forEach(o=>o.getKeysForOverrideIdentifier(t).forEach(d=>r.add(d))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),o=this.parseConfigurationModel(t.user),d=this.parseConfigurationModel(t.workspace),u=t.folders.reduce((m,I)=>(m.set(n.URI.revive(I[0]),this.parseConfigurationModel(I[1])),m),new R.ResourceMap);return new v(r,o,new g,d,u,new g,new R.ResourceMap,!1)}static parseConfigurationModel(t){return new g(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=v;function l(...s){if(s.length===0)return{keys:[],overrides:[]};if(s.length===1)return s[0];const t=new Set,r=new Map;for(const d of s)d.keys.forEach(u=>t.add(u)),d.overrides.forEach(([u,m])=>{const I=(0,R.getOrSet)(r,u,new Set);m.forEach(A=>I.add(A))});const o=[];return r.forEach((d,u)=>o.push([u,[...d.values()]])),{keys:[...t.values()],overrides:o}}e.mergeChanges=l;class c{constructor(t,r,o,d){this.change=t,this.previous=r,this.currentConfiguraiton=o,this.currentWorkspace=d,this._previousConfiguration=void 0;const u=new Set;t.keys.forEach(I=>u.add(I)),t.overrides.forEach(([,I])=>I.forEach(A=>u.add(A))),this.affectedKeys=[...u.values()];const m=new g;this.affectedKeys.forEach(I=>m.setValue(I,{})),this.affectedKeysTree=m.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=v.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){var o;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const d=this.previousConfiguration?this.previousConfiguration.getValue(t,r,(o=this.previous)===null||o===void 0?void 0:o.workspace):void 0,u=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!P.equals(d,u)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let o=(0,i.toValuesTree)({[r]:!0},()=>{}),d;for(;typeof o=="object"&&(d=Object.keys(o)[0]);){if(t=t[d],!t)return!1;o=o[d]}return!0}}e.ConfigurationChangeEvent=c;class a extends c{constructor(t,r,o,d){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=o,this.sourceConfig=d}}e.AllKeysConfigurationChangeEvent=a}),define(Q[181],J([0,1,37,47,2,24,180,4,10,15]),function(H,e,w,R,D,b,P,n,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class L extends D.Disposable{constructor(E,g){super();this.settingsResource=E,this._onDidChangeConfiguration=this._register(new n.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new P.UserSettings(this.settingsResource,void 0,i.extUriBiasedIgnorePathCase,g)),this.configuration=new P.Configuration(new P.DefaultConfigurationModel,new P.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new y.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(w.Registry.as(R.Extensions.Configuration).onDidUpdateConfiguration(h=>this.onDidDefaultConfigurationChange(h))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const E=await this.userConfiguration.loadConfiguration();this.configuration=new P.Configuration(new P.DefaultConfigurationModel,E)}getConfigurationData(){return this.configuration.toData()}getValue(E,g){const h=typeof E=="string"?E:void 0,p=(0,b.isConfigurationOverrides)(E)?E:(0,b.isConfigurationOverrides)(g)?g:{};return this.configuration.getValue(h,p,void 0)}updateValue(E,g,h,p){return Promise.reject(new Error("not supported"))}inspect(E){return this.configuration.inspect(E,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const E=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(E)}onDidChangeUserConfiguration(E){const g=this.configuration.toData(),h=this.configuration.compareAndUpdateLocalUserConfiguration(E);this.trigger(h,g,1)}onDidDefaultConfigurationChange(E){const g=this.configuration.toData(),h=this.configuration.compareAndUpdateDefaultConfiguration(new P.DefaultConfigurationModel,E);this.trigger(h,g,6)}trigger(E,g,h){const p=new P.ConfigurationChangeEvent(E,{data:g},this.configuration);p.source=h,p.sourceConfig=this.getTargetConfiguration(h),this._onDidChangeConfiguration.fire(p)}getTargetConfiguration(E){switch(E){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=L}),define(Q[182],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,w.createDecorator)("remoteAuthorityResolverService");var R;(function(b){b.Unknown="Unknown",b.NotAvailable="NotAvailable",b.TemporarilyNotAvailable="TemporarilyNotAvailable",b.NoResolverFound="NoResolverFound"})(R=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class D extends Error{constructor(P,n=R.Unknown,y){super(P);this._message=P,this._code=n,this._detail=y,this.isHandled=n===R.NotAvailable&&y===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,D.prototype)}static isTemporarilyNotAvailable(P){return P instanceof D&&P._code===R.TemporarilyNotAvailable}static isNoResolverFound(P){return P instanceof D&&P._code===R.NoResolverFound}static isHandled(P){return P instanceof D&&P.isHandled}}e.RemoteAuthorityResolverError=D}),define(Q[183],J([0,1,81,30,2,21,4,182,19,10,25]),function(H,e,w,R,D,b,P,n,y,i,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const f=30*1e3;var E;(function(T){T[T.Management=1]="Management",T[T.ExtensionHost=2]="ExtensionHost",T[T.Tunnel=3]="Tunnel"})(E=e.ConnectionType||(e.ConnectionType={}));function g(T){switch(T){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function h(T){const W=new L.CancellationTokenSource;return setTimeout(()=>W.cancel(),T),W.token}function p(T,W){if(T.isCancellationRequested||W.isCancellationRequested)return L.CancellationToken.Cancelled;const z=new L.CancellationTokenSource;return T.onCancellationRequested(()=>z.cancel()),W.onCancellationRequested(()=>z.cancel()),z.token}class S{constructor(W){this._state="pending",this._disposables=new D.DisposableStore,this.promise=new Promise((z,K)=>{this._resolvePromise=z,this._rejectPromise=K}),W.isCancellationRequested?this._timeout():this._disposables.add(W.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(W){this._state==="pending"?this._disposables.add(W):W.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const W=new Error("Time limit reached");return W.code="ETIMEDOUT",W.syscall="connect",W}resolve(W){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(W))}reject(W){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(W))}}function v(T,W){const z=new S(W);return z.registerDisposable(T.onControlMessage(K=>{const X=JSON.parse(K.toString()),Z=$(X);Z?z.reject(Z):z.resolve(X)})),z.promise}function l(T,W,z,K,X,Z){const Y=new S(Z);return W.connect(z,K,X,(ee,re)=>{Y.didTimeout?(ee&&T.error(ee),re==null||re.dispose()):ee||!re?Y.reject(ee):Y.resolve(re)}),Y.promise}function c(T,W){const z=new S(W);return T.then(K=>{z.didTimeout||z.resolve(K)},K=>{z.didTimeout||z.reject(K)}),z.promise}async function a(T,W,z,K){const X=M(T,W);T.logService.trace(`${X} 1/6. invoking socketFactory.connect().`);let Z;try{Z=await l(T.logService,T.socketFactory,T.host,T.port,`reconnectionToken=${T.reconnectionToken}&reconnection=${T.reconnectionProtocol?"true":"false"}`,K)}catch(ne){throw T.logService.error(`${X} socketFactory.connect() failed or timed out. Error:`),T.logService.error(ne),ne}T.logService.trace(`${X} 2/6. socketFactory.connect() was successful.`);let Y,ee;T.reconnectionProtocol?(T.reconnectionProtocol.beginAcceptReconnection(Z,null),Y=T.reconnectionProtocol,ee=!1):(Y=new w.PersistentProtocol(Z,null),ee=!0),T.logService.trace(`${X} 3/6. sending AuthRequest control message.`);const re={type:"auth",auth:T.connectionToken||"00000000000000000000"};Y.sendControl(b.VSBuffer.fromString(JSON.stringify(re)));try{const ne=await v(Y,p(K,h(1e4)));if(ne.type!=="sign"||typeof ne.data!="string"){const de=new Error("Unexpected handshake message");throw de.code="VSCODE_CONNECTION_ERROR",de}T.logService.trace(`${X} 4/6. received SignRequest control message.`);const ue=await c(T.signService.sign(ne.data),K),ve={type:"connectionType",commit:T.commit,signedData:ue,desiredConnectionType:W};return z&&(ve.args=z),T.logService.trace(`${X} 5/6. sending ConnectionTypeRequest control message.`),Y.sendControl(b.VSBuffer.fromString(JSON.stringify(ve))),{protocol:Y,ownsProtocol:ee}}catch(ne){throw ne&&ne.code==="ETIMEDOUT"&&(T.logService.error(`${X} the handshake timed out. Error:`),T.logService.error(ne)),ne&&ne.code==="VSCODE_CONNECTION_ERROR"&&(T.logService.error(`${X} received error control message when negotiating connection. Error:`),T.logService.error(ne)),ee&&U(Y),ne}}async function s(T,W,z,K){const X=Date.now(),Z=M(T,W),{protocol:Y,ownsProtocol:ee}=await a(T,W,z,K),re=new S(K);return re.registerDisposable(Y.onControlMessage(ne=>{const ue=JSON.parse(ne.toString()),ve=$(ue);ve?(T.logService.error(`${Z} received error control message when negotiating connection. Error:`),T.logService.error(ve),ee&&U(Y),re.reject(ve)):(T.reconnectionProtocol&&T.reconnectionProtocol.endAcceptReconnection(),T.logService.trace(`${Z} 6/6. handshake finished, connection is up and running after ${O(X)}!`),re.resolve({protocol:Y,firstMessage:ue}))})),re.promise}async function t(T,W){const{protocol:z}=await s(T,1,void 0,W);return{protocol:z}}async function r(T,W,z){const{protocol:K,firstMessage:X}=await s(T,2,W,z),Z=X&&X.debugPort;return{protocol:K,debugPort:Z}}async function o(T,W,z){const K=Date.now(),X=M(T,3),{protocol:Z}=await a(T,3,W,z);return T.logService.trace(`${X} 6/6. handshake finished, connection is up and running after ${O(K)}!`),Z}async function d(T,W,z){const{host:K,port:X,connectionToken:Z}=await T.addressProvider.getAddress();return{commit:T.commit,host:K,port:X,connectionToken:Z,reconnectionToken:W,reconnectionProtocol:z,socketFactory:T.socketFactory,signService:T.signService,logService:T.logService}}async function u(T,W,z){try{const K=(0,R.generateUuid)(),X=await d(T,K,null),{protocol:Z}=await t(X,L.CancellationToken.None);return new N(T,W,z,K,Z)}catch(K){throw T.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),T.logService.error(K),V.triggerPermanentFailure(0,0,n.RemoteAuthorityResolverError.isHandled(K)),K}}e.connectRemoteAgentManagement=u;async function m(T,W){try{const z=(0,R.generateUuid)(),K=await d(T,z,null),{protocol:X,debugPort:Z}=await r(K,W,L.CancellationToken.None);return new B(T,W,z,X,Z)}catch(z){throw T.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),T.logService.error(z),V.triggerPermanentFailure(0,0,n.RemoteAuthorityResolverError.isHandled(z)),z}}e.connectRemoteAgentExtensionHost=m;async function I(T,W){const z=await d(T,(0,R.generateUuid)(),null);return await o(z,{port:W},L.CancellationToken.None)}e.connectRemoteAgentTunnel=I;function A(T){return(0,i.createCancelablePromise)(W=>new Promise((z,K)=>{const X=setTimeout(z,T*1e3);W.onCancellationRequested(()=>{clearTimeout(X),z()})}))}var F;(function(T){T[T.ConnectionLost=0]="ConnectionLost",T[T.ReconnectionWait=1]="ReconnectionWait",T[T.ReconnectionRunning=2]="ReconnectionRunning",T[T.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",T[T.ConnectionGain=4]="ConnectionGain"})(F=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class C{constructor(W,z){this.reconnectionToken=W,this.millisSinceLastIncomingData=z,this.type=0}}e.ConnectionLostEvent=C;class j{constructor(W,z,K,X){this.reconnectionToken=W,this.millisSinceLastIncomingData=z,this.durationSeconds=K,this.cancellableTimer=X,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=j;class G{constructor(W,z,K){this.reconnectionToken=W,this.millisSinceLastIncomingData=z,this.attempt=K,this.type=2}}e.ReconnectionRunningEvent=G;class ie{constructor(W,z,K){this.reconnectionToken=W,this.millisSinceLastIncomingData=z,this.attempt=K,this.type=4}}e.ConnectionGainEvent=ie;class oe{constructor(W,z,K,X){this.reconnectionToken=W,this.millisSinceLastIncomingData=z,this.attempt=K,this.handled=X,this.type=3}}e.ReconnectionPermanentFailureEvent=oe;class V extends D.Disposable{constructor(W,z,K,X){super();this._connectionType=W,this._onDidStateChange=this._register(new P.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._options=z,this.reconnectionToken=K,this.protocol=X,this._isReconnecting=!1,this._onDidStateChange.fire(new ie(this.reconnectionToken,0,0)),this._register(X.onSocketClose(()=>this._beginReconnecting())),this._register(X.onSocketTimeout(()=>this._beginReconnecting())),V._instances.push(this),V._permanentFailure&&this._gotoPermanentFailure(V._permanentFailureMillisSinceLastIncomingData,V._permanentFailureAttempt,V._permanentFailureHandled)}static triggerPermanentFailure(W,z,K){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=W,this._permanentFailureAttempt=z,this._permanentFailureHandled=K,this._instances.forEach(X=>X._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(!V._permanentFailure){const W=k(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${W} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new C(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const z=[0,5,5,10,10,10,10,10,30],K=Date.now();let X=-1;do{X++;const Z=X<z.length?z[X]:z[z.length-1];try{if(Z>0){const ee=A(Z);this._onDidStateChange.fire(new j(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),Z,ee)),this._options.logService.info(`${W} waiting for ${Z} seconds before reconnecting...`);try{await ee}catch(re){}}if(V._permanentFailure){this._options.logService.error(`${W} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new G(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),X+1)),this._options.logService.info(`${W} resolving connection...`);const Y=await d(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${W} connecting to ${Y.host}:${Y.port}...`),await this._reconnect(Y,h(f)),this._options.logService.info(`${W} reconnected!`),this._onDidStateChange.fire(new ie(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),X+1));break}catch(Y){if(Y.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${W} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(Y),V.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),X+1,!1);break}if(Date.now()-K>108e5){this._options.logService.error(`${W} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(Y),V.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),X+1,!1);break}if(n.RemoteAuthorityResolverError.isTemporarilyNotAvailable(Y)){this._options.logService.info(`${W} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(Y);continue}if((Y.code==="ETIMEDOUT"||Y.code==="ENETUNREACH"||Y.code==="ECONNREFUSED"||Y.code==="ECONNRESET")&&Y.syscall==="connect"){this._options.logService.info(`${W} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(Y);continue}if((0,y.isPromiseCanceledError)(Y)){this._options.logService.info(`${W} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(Y);continue}if(Y instanceof n.RemoteAuthorityResolverError){this._options.logService.error(`${W} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(Y),V.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),X+1,n.RemoteAuthorityResolverError.isHandled(Y));break}this._options.logService.error(`${W} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(Y),V.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),X+1,!1);break}}while(!V._permanentFailure)}}_gotoPermanentFailure(W,z,K){this._onDidStateChange.fire(new oe(this.reconnectionToken,W,z,K)),U(this.protocol)}}V._permanentFailure=!1,V._permanentFailureMillisSinceLastIncomingData=0,V._permanentFailureAttempt=0,V._permanentFailureHandled=!1,V._instances=[];class N extends V{constructor(W,z,K,X,Z){super(1,W,X,Z);this.client=this._register(new w.Client(Z,{remoteAuthority:z,clientId:K},W.ipcLogger))}async _reconnect(W,z){await t(W,z)}}e.ManagementPersistentConnection=N;class B extends V{constructor(W,z,K,X,Z){super(2,W,K,X);this._startArguments=z,this.debugPort=Z}async _reconnect(W,z){await r(W,this._startArguments,z)}}e.ExtensionHostPersistentConnection=B;function U(T){try{T.acceptDisconnect();const W=T.getSocket();T.dispose(),W.dispose()}catch(W){(0,y.onUnexpectedError)(W)}}function $(T){if(T&&T.type==="error"){const W=new Error(`Connection error: ${T.reason}`);return W.code="VSCODE_CONNECTION_ERROR",W}return null}function _(T,W){for(;T.length<W;)T+=" ";return T}function k(T,W,z){return`[remote-connection][${_(g(T),13)}][${W.substr(0,5)}\u2026][${z?"reconnect":"initial"}]`}function M(T,W){return`${k(W,T.reconnectionToken,!!T.reconnectionProtocol)}[${T.host}:${T.port}]`}function O(T){return`${Date.now()-T} ms`}}),define(Q[70],J([0,1,9]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function R(b){return b.scheme===w.Schemas.vscodeRemote?b.authority:void 0}e.getRemoteAuthority=R;function D(b){if(!!b){const P=b.indexOf("+");return P<0?b:b.substr(0,P)}}e.getRemoteName=D}),define(Q[54],J([0,1,4,3,5,6]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.ITunnelService=void 0,e.ITunnelService=(0,D.createDecorator)("tunnelService");var P;(function(E){E[E.Notify=1]="Notify",E[E.OpenBrowser=2]="OpenBrowser",E[E.OpenPreview=3]="OpenPreview",E[E.Silent=4]="Silent",E[E.Ignore=5]="Ignore"})(P=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function n(E){if(!(E.scheme!=="http"&&E.scheme!=="https")){const g=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(E.authority);if(!!g)return{address:g[1],port:+g[2]}}}e.extractLocalHostUriMetaDataForPortMapping=n,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function y(E){return e.LOCALHOST_ADDRESSES.indexOf(E)>=0}e.isLocalhost=y,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function i(E){return e.ALL_INTERFACES_ADDRESSES.indexOf(E)>=0}e.isAllInterfaces=i;function L(E,g){return g?g!==1&&E<1024:!R.isWindows&&E<1024}e.isPortPrivileged=L;let f=class{constructor(g){this.logService=g,this._onTunnelOpened=new w.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new w.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._tunnels=new Map,this._canElevate=!1,this._canMakePublic=!1}setTunnelProvider(g,h){return this._tunnelProvider=g,g?(this._canElevate=h.elevation,this._canMakePublic=h.public,{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._canMakePublic=!1}}):(this._canElevate=!1,this._canMakePublic=!1,{dispose:()=>{}})}get canElevate(){return this._canElevate}get canMakePublic(){return this._canMakePublic}get tunnels(){return new Promise(async g=>{const h=[],p=Array.from(this._tunnels.values());for(let S of p){const v=Array.from(S.values());for(let l of v){const c=await l.value;c&&h.push(c)}}g(h)})}async dispose(){for(const g of this._tunnels.values()){for(const{value:h}of g.values())await h.then(p=>p==null?void 0:p.dispose());g.clear()}this._tunnels.clear()}openTunnel(g,h,p,S,v=!1,l=!1){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${h}:${p} on local port ${S}.`),!!g){h||(h="localhost");const c=this.retainOrCreateTunnel(g,h,p,S,v,l);return c?c.then(a=>{if(!a){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(h,p);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const s=this.makeTunnel(a);return(a.tunnelRemoteHost!==h||a.tunnelRemotePort!==p)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(s),s}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),c)}}makeTunnel(g){return{tunnelRemotePort:g.tunnelRemotePort,tunnelRemoteHost:g.tunnelRemoteHost,tunnelLocalPort:g.tunnelLocalPort,localAddress:g.localAddress,public:g.public,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${g.tunnelRemotePort} `);const h=this._tunnels.get(g.tunnelRemoteHost);if(h){const p=h.get(g.tunnelRemotePort);p&&(p.refcount--,await this.tryDisposeTunnel(g.tunnelRemoteHost,g.tunnelRemotePort,p))}}}}async tryDisposeTunnel(g,h,p){if(p.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${g}:${h}.`);const S=p.value.then(async v=>{v&&(await v.dispose(!0),this._onTunnelClosed.fire({host:v.tunnelRemoteHost,port:v.tunnelRemotePort}))});return this._tunnels.has(g)&&this._tunnels.get(g).delete(h),S}}async closeTunnel(g,h){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${h} `);const p=this._tunnels.get(g);if(p&&p.has(h)){const S=p.get(h);S.refcount=0,await this.tryDisposeTunnel(g,h,S)}}addTunnelToMap(g,h,p){this._tunnels.has(g)||this._tunnels.set(g,new Map),this._tunnels.get(g).set(h,{refcount:1,value:p})}async removeEmptyTunnelFromMap(g,h){const p=this._tunnels.get(g);p&&(await p.get(h)||p.delete(h),p.size===0&&this._tunnels.delete(g))}getTunnelFromMap(g,h){let p=[g];y(g)?(p.push(...e.LOCALHOST_ADDRESSES),p.push(...e.ALL_INTERFACES_ADDRESSES)):i(g)&&p.push(...e.ALL_INTERFACES_ADDRESSES);const S=p.map(v=>this._tunnels.get(v));for(const v of S){const l=v==null?void 0:v.get(h);if(l)return l}}canTunnel(g){return!!n(g)}createWithProvider(g,h,p,S,v,l){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${h}:${p} on local port ${S}.`);const a={elevationRequired:v?L(S===void 0?p:S):!1},s={remoteAddress:{host:h,port:p},localAddressPort:S,public:l},t=g.forwardPort(s,a);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),t&&this.addTunnelToMap(h,p,t),t}};f=le([x(0,b.ILogService)],f),e.AbstractTunnelService=f}),define(Q[40],J([0,1,141,5,47,37,21]),function(H,e,w,R,D,b,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,R.createDecorator)("requestService");function n(f){return f.res.statusCode&&f.res.statusCode>=200&&f.res.statusCode<300||f.res.statusCode===1223}e.isSuccess=n;function y(f){return f.res.statusCode===204}async function i(f){if(!n(f))throw new Error("Server returned "+f.res.statusCode);return y(f)?null:(await(0,P.streamToBuffer)(f.stream)).toString()}e.asText=i;async function L(f){if(!n(f))throw new Error("Server returned "+f.res.statusCode);if(y(f))return null;const g=(await(0,P.streamToBuffer)(f.stream)).toString();try{return JSON.parse(g)}catch(h){throw h.message+=`:
`+g,h}}e.asJson=L,b.Registry.as(D.Extensions.Configuration).registerConfiguration({id:"http",order:15,title:(0,w.localize)(0,null),type:"object",properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,w.localize)(1,null)},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,w.localize)(2,null)},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,w.localize)(3,null)},"http.proxySupport":{type:"string",enum:["off","on","override"],enumDescriptions:[(0,w.localize)(4,null),(0,w.localize)(5,null),(0,w.localize)(6,null)],default:"override",description:(0,w.localize)(7,null)},"http.systemCertificates":{type:"boolean",default:!0,description:(0,w.localize)(8,null)}}})}),define(Q[184],J([0,1,185,13]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function D(P){return P.protocol==="http:"?process.env.HTTP_PROXY||process.env.http_proxy||null:P.protocol==="https:"&&(process.env.HTTPS_PROXY||process.env.https_proxy||process.env.HTTP_PROXY||process.env.http_proxy)||null}async function b(P,n={}){const y=(0,w.parse)(P),i=n.proxyUrl||D(y);if(!i)return null;const L=(0,w.parse)(i);if(!/^https?:$/.test(L.protocol||""))return null;const f={host:L.hostname||"",port:L.port||(L.protocol==="https"?"443":"80"),auth:L.auth,rejectUnauthorized:(0,R.isBoolean)(n.strictSSL)?n.strictSSL:!0};return y.protocol==="http:"?new(await new Promise((E,g)=>{H(["http-proxy-agent"],E,g)}))(f):new(await new Promise((E,g)=>{H(["https-proxy-agent"],E,g)}))(f)}e.getProxyAgent=b}),define(Q[186],J([0,1,30,21]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function D(b,P,n){let y=n&&n.get("storage.serviceMachineId",0)||null;if(y)return y;try{const L=(await P.readFile(b.serviceMachineIdResource)).value.toString();y=(0,w.isUUID)(L)?L:null}catch(i){y=null}if(!y){y=(0,w.generateUuid)();try{await P.writeFile(b.serviceMachineIdResource,R.VSBuffer.fromString(y))}catch(i){}}return n&&n.store("storage.serviceMachineId",y,0,1),y}e.getServiceMachineId=D}),define(Q[71],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,w.createDecorator)(e.SIGN_SERVICE_ID)}),define(Q[187],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class w{vsda(){return new Promise((D,b)=>H(["vsda"],D,b))}async sign(D){try{const b=await this.vsda(),P=new b.signer;if(P)return P.sign(D)}catch(b){}return D}}e.SignService=w}),define(Q[38],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateService=void 0,e.IStateService=(0,w.createDecorator)("stateService")}),define(Q[18],J([0,1,11,6,38,4,5,169,3,2,10,13,35]),function(H,e,w,R,D,b,P,n,y,i,L,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.UnloadReason=e.ILifecycleMainService=void 0,e.ILifecycleMainService=(0,P.createDecorator)("lifecycleMainService");var g;(function(S){S[S.CLOSE=1]="CLOSE",S[S.QUIT=2]="QUIT",S[S.RELOAD=3]="RELOAD",S[S.LOAD=4]="LOAD"})(g=e.UnloadReason||(e.UnloadReason={}));var h;(function(S){S[S.Starting=1]="Starting",S[S.Ready=2]="Ready",S[S.AfterWindowOpen=3]="AfterWindowOpen"})(h=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let p=class et extends i.Disposable{constructor(v,l){super();this.logService=v,this.stateService=l,this._onBeforeShutdown=this._register(new b.Emitter),this.onBeforeShutdown=this._onBeforeShutdown.event,this._onWillShutdown=this._register(new b.Emitter),this.onWillShutdown=this._onWillShutdown.event,this._onWillLoadWindow=this._register(new b.Emitter),this.onWillLoadWindow=this._onWillLoadWindow.event,this._onBeforeCloseWindow=this._register(new b.Emitter),this.onBeforeCloseWindow=this._onBeforeCloseWindow.event,this._onBeforeUnloadWindow=this._register(new b.Emitter),this.onBeforeUnloadWindow=this._onBeforeUnloadWindow.event,this._quitRequested=!1,this._wasRestarted=!1,this._phase=1,this.windowToCloseRequest=new Set,this.oneTimeListenerTokenGenerator=0,this.windowCounter=0,this.pendingQuitPromise=null,this.pendingQuitPromiseResolve=null,this.pendingWillShutdownPromise=null,this.phaseWhen=new Map,this.handleRestarted(),this.when(2).then(()=>this.registerListeners())}get quitRequested(){return this._quitRequested}get wasRestarted(){return this._wasRestarted}get phase(){return this._phase}handleRestarted(){this._wasRestarted=!!this.stateService.getItem(et.QUIT_FROM_RESTART_MARKER),this._wasRestarted&&this.stateService.removeItem(et.QUIT_FROM_RESTART_MARKER)}registerListeners(){const v=()=>{this._quitRequested||(this.logService.trace("Lifecycle#app.on(before-quit)"),this._quitRequested=!0,this.logService.trace("Lifecycle#onBeforeShutdown.fire()"),this._onBeforeShutdown.fire(),y.isMacintosh&&this.windowCounter===0&&this.beginOnWillShutdown())};w.app.addListener("before-quit",v);const l=()=>{this.logService.trace("Lifecycle#app.on(window-all-closed)"),(this._quitRequested||!y.isMacintosh)&&w.app.quit()};w.app.addListener("window-all-closed",l),w.app.once("will-quit",c=>{this.logService.trace("Lifecycle#app.on(will-quit)"),c.preventDefault(),this.beginOnWillShutdown().finally(()=>{this.resolvePendingQuitPromise(!1),w.app.removeListener("before-quit",v),w.app.removeListener("window-all-closed",l),w.app.quit()})})}beginOnWillShutdown(){if(this.pendingWillShutdownPromise)return this.pendingWillShutdownPromise;this.logService.trace("Lifecycle#onWillShutdown.fire()");const v=[];return this._onWillShutdown.fire({join(l){v.push(l)}}),this.pendingWillShutdownPromise=L.Promises.settled(v).then(()=>{},l=>this.logService.error(l)),this.pendingWillShutdownPromise}set phase(v){if(v<this.phase)throw new Error("Lifecycle cannot go backwards");if(this._phase!==v){this.logService.trace(`lifecycle (main): phase changed (value: ${v})`),this._phase=v;const l=this.phaseWhen.get(this._phase);l&&(l.open(),this.phaseWhen.delete(this._phase))}}async when(v){if(!(v<=this._phase)){let l=this.phaseWhen.get(v);l||(l=new L.Barrier,this.phaseWhen.set(v,l)),await l.wait()}}registerWindow(v){const l=new i.DisposableStore;this.windowCounter++,l.add(v.onWillLoad(a=>this._onWillLoadWindow.fire({window:v,workspace:a.workspace})));const c=(0,f.assertIsDefined)(v.win);c.on("close",a=>{const s=v.id;if(this.windowToCloseRequest.has(s)){this.windowToCloseRequest.delete(s);return}this.logService.trace(`Lifecycle#window.on('close') - window ID ${v.id}`),a.preventDefault(),this.unload(v,1).then(t=>{if(t){this.windowToCloseRequest.delete(s);return}this.windowToCloseRequest.add(s),this.logService.trace(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${s}`),this._onBeforeCloseWindow.fire(v),v.close()})}),c.on("closed",()=>{this.logService.trace(`Lifecycle#window.on('closed') - window ID ${v.id}`),this.windowCounter--,l.dispose(),this.windowCounter===0&&(!y.isMacintosh||this._quitRequested)&&this.beginOnWillShutdown()})}async reload(v,l){await this.unload(v,3)||v.reload(l)}async unload(v,l){if(!v.isReady)return!1;this.logService.trace(`Lifecycle#unload() - window ID ${v.id}`);const c=this._quitRequested?2:l;let a=await this.onBeforeUnloadWindowInRenderer(v,c);return a?(this.logService.trace(`Lifecycle#unload() - veto in renderer (window ID ${v.id})`),this.handleWindowUnloadVeto(a)):(a=await this.onBeforeUnloadWindowInMain(v,c),a?(this.logService.trace(`Lifecycle#unload() - veto in main (window ID ${v.id})`),this.handleWindowUnloadVeto(a)):(this.logService.trace(`Lifecycle#unload() - no veto (window ID ${v.id})`),await this.onWillUnloadWindowInRenderer(v,c),!1))}handleWindowUnloadVeto(v){return v?(this.resolvePendingQuitPromise(!0),this._quitRequested=!1,!0):!1}resolvePendingQuitPromise(v){this.pendingQuitPromiseResolve&&(this.pendingQuitPromiseResolve(v),this.pendingQuitPromiseResolve=null,this.pendingQuitPromise=null)}onBeforeUnloadWindowInRenderer(v,l){return new Promise(c=>{const a=this.oneTimeListenerTokenGenerator++,s=`vscode:ok${a}`,t=`vscode:cancel${a}`;w.ipcMain.once(s,()=>{c(!1)}),w.ipcMain.once(t,()=>{c(!0)}),v.send("vscode:onBeforeUnload",{okChannel:s,cancelChannel:t,reason:l})})}onBeforeUnloadWindowInMain(v,l){const c=[];return this._onBeforeUnloadWindow.fire({reason:l,window:v,veto(a){c.push(a)}}),(0,n.handleVetos)(c,a=>this.logService.error(a))}onWillUnloadWindowInRenderer(v,l){return new Promise(c=>{const s=`vscode:reply${this.oneTimeListenerTokenGenerator++}`;w.ipcMain.once(s,()=>c()),v.send("vscode:onWillUnload",{replyChannel:s,reason:l})})}quit(v){return this.pendingQuitPromise?this.pendingQuitPromise:(this.logService.trace(`Lifecycle#quit() - from update: ${v}`),v&&this.stateService.setItem(et.QUIT_FROM_RESTART_MARKER,!0),this.pendingQuitPromise=new Promise(l=>{this.pendingQuitPromiseResolve=l,this.logService.trace("Lifecycle#quit() - calling app.quit()"),w.app.quit()}),this.pendingQuitPromise)}relaunch(v){this.logService.trace("Lifecycle#relaunch()");const l=process.argv.slice(1);if((v==null?void 0:v.addArgs)&&l.push(...v.addArgs),v==null?void 0:v.removeArgs)for(const a of v.removeArgs){const s=l.indexOf(a);s>=0&&l.splice(s,1)}let c=!1;w.app.once("quit",()=>{if(!c){this.stateService.setItem(et.QUIT_FROM_RESTART_MARKER,!0);try{if(y.isWindows){const a=(0,E.cwd)();a!==process.cwd()&&process.chdir(a)}}catch(a){this.logService.error(a)}this.logService.trace("Lifecycle#relaunch() - calling app.relaunch()"),w.app.relaunch({args:l})}}),this.quit().then(a=>c=a)}async kill(v){this.logService.trace("Lifecycle#kill()"),await Promise.race([(0,L.timeout)(1e3),(async()=>{for(const l of w.BrowserWindow.getAllWindows())if(l&&!l.isDestroyed()){let c;l.webContents&&!l.webContents.isDestroyed()?c=new Promise(a=>l.once("closed",a)):c=Promise.resolve(),l.destroy(),await c}})()]),w.app.exit(v)}};p.QUIT_FROM_RESTART_MARKER="quit.from.restart",p=le([x(0,R.ILogService),x(1,D.IStateService)],p),e.LifecycleMainService=p}),define(Q[188],J([0,1,5,4,2,18]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=(0,w.createDecorator)("keyboardLayoutMainService");let P=class extends D.Disposable{constructor(i){super();this._onDidChangeKeyboardLayout=this._register(new R.Emitter),this.onDidChangeKeyboardLayout=this._onDidChangeKeyboardLayout.event,this._initPromise=null,this._keyboardLayoutData=null,i.when(3).then(()=>this._initialize())}_initialize(){return this._initPromise||(this._initPromise=this._doInitialize()),this._initPromise}async _doInitialize(){const i=await new Promise((L,f)=>{H(["native-keymap"],L,f)});this._keyboardLayoutData=n(i),i.onDidChangeKeyboardLayout(()=>{this._keyboardLayoutData=n(i),this._onDidChangeKeyboardLayout.fire(this._keyboardLayoutData)})}async getKeyboardLayoutData(){return await this._initialize(),this._keyboardLayoutData}};P=le([x(0,b.ILifecycleMainService)],P),e.KeyboardLayoutMainService=P;function n(y){const i=y.getKeyMap(),L=y.getCurrentKeyboardLayout();return{keyboardMapping:i,keyboardLayoutInfo:L}}}),define(Q[189],J([0,1,8,22,52,23,13,6]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateService=e.FileStorage=void 0;class y{constructor(f,E){this.dbPath=f,this.onError=E,this._database=null,this.lastFlushedSerializedDatabase=null}get database(){return this._database||(this._database=this.loadSync()),this._database}async init(){if(!this._database){const f=await this.loadAsync();this._database||(this._database=f)}}loadSync(){try{return this.lastFlushedSerializedDatabase=R.readFileSync(this.dbPath).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(f){return f.code!=="ENOENT"&&this.onError(f),{}}}async loadAsync(){try{return this.lastFlushedSerializedDatabase=(await R.promises.readFile(this.dbPath)).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(f){return f.code!=="ENOENT"&&this.onError(f),{}}}getItem(f,E){const g=this.database[f];return(0,P.isUndefinedOrNull)(g)?E:g}setItem(f,E){if((0,P.isUndefinedOrNull)(E))return this.removeItem(f);(typeof E=="string"||typeof E=="number"||typeof E=="boolean")&&this.database[f]===E||(this.database[f]=E,this.saveSync())}removeItem(f){(0,P.isUndefined)(this.database[f])||(this.database[f]=void 0,this.saveSync())}saveSync(){const f=JSON.stringify(this.database,null,4);if(f!==this.lastFlushedSerializedDatabase)try{(0,b.writeFileSync)(this.dbPath,f),this.lastFlushedSerializedDatabase=f}catch(E){this.onError(E)}}}e.FileStorage=y;let i=class pt{constructor(f,E){this.fileStorage=new y(w.join(f.userDataPath,pt.STATE_FILE),g=>E.error(g))}init(){return this.fileStorage.init()}getItem(f,E){return this.fileStorage.getItem(f,E)}setItem(f,E){this.fileStorage.setItem(f,E)}removeItem(f){this.fileStorage.removeItem(f)}};i.STATE_FILE="storage.json",i=le([x(0,D.INativeEnvironmentService),x(1,n.ILogService)],i),e.StateService=i}),define(Q[93],J([0,1,5,4,2,13,83,10]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const y="__$__targetStorageMarker";e.IStorageService=(0,w.createDecorator)("storageService");var i;(function(p){p[p.NONE=0]="NONE",p[p.SHUTDOWN=1]="SHUTDOWN"})(i=e.WillSaveStateReason||(e.WillSaveStateReason={}));var L;(function(p){p[p.GLOBAL=0]="GLOBAL",p[p.WORKSPACE=1]="WORKSPACE"})(L=e.StorageScope||(e.StorageScope={}));var f;(function(p){p[p.USER=0]="USER",p[p.MACHINE=1]="MACHINE"})(f=e.StorageTarget||(e.StorageTarget={}));class E extends D.Disposable{constructor(S={flushInterval:E.DEFAULT_FLUSH_INTERVAL}){super();this.options=S,this._onDidChangeValue=this._register(new R.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new R.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new R.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new n.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new D.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,n.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,D.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(S,v){v===y?(S===0?this._globalKeyTargets=void 0:S===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:S})):this._onDidChangeValue.fire({scope:S,key:v,target:this.getKeyTargets(S)[v]})}emitWillSaveState(S){this._onWillSaveState.fire({reason:S})}get(S,v,l){var c;return(c=this.getStorage(v))===null||c===void 0?void 0:c.get(S,l)}getBoolean(S,v,l){var c;return(c=this.getStorage(v))===null||c===void 0?void 0:c.getBoolean(S,l)}getNumber(S,v,l){var c;return(c=this.getStorage(v))===null||c===void 0?void 0:c.getNumber(S,l)}store(S,v,l,c){if((0,b.isUndefinedOrNull)(v)){this.remove(S,l);return}this.withPausedEmitters(()=>{var a;this.updateKeyTarget(S,l,c),(a=this.getStorage(l))===null||a===void 0||a.set(S,v)})}remove(S,v){this.withPausedEmitters(()=>{var l;this.updateKeyTarget(S,v,void 0),(l=this.getStorage(v))===null||l===void 0||l.delete(S)})}withPausedEmitters(S){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{S()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(S,v){const l=[],c=this.getKeyTargets(S);for(const a of Object.keys(c))c[a]===v&&l.push(a);return l}updateKeyTarget(S,v,l){var c,a;const s=this.getKeyTargets(v);typeof l=="number"?s[S]!==l&&(s[S]=l,(c=this.getStorage(v))===null||c===void 0||c.set(y,JSON.stringify(s))):typeof s[S]=="number"&&(delete s[S],(a=this.getStorage(v))===null||a===void 0||a.set(y,JSON.stringify(s)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(S){return S===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(S){const v=this.get(y,S);if(v)try{return JSON.parse(v)}catch(l){}return Object.create(null)}isNew(S){return this.getBoolean(e.IS_NEW_KEY,S)===!0}async flush(){var S,v,l,c;this._onWillSaveState.fire({reason:i.NONE}),await n.Promises.settled([(v=(S=this.getStorage(0))===null||S===void 0?void 0:S.whenFlushed())!==null&&v!==void 0?v:Promise.resolve(),(c=(l=this.getStorage(1))===null||l===void 0?void 0:l.whenFlushed())!==null&&c!==void 0?c:Promise.resolve()])}async logStorage(){var S,v,l,c,a,s;const t=(v=(S=this.getStorage(0))===null||S===void 0?void 0:S.items)!==null&&v!==void 0?v:new Map,r=(c=(l=this.getStorage(1))===null||l===void 0?void 0:l.items)!==null&&c!==void 0?c:new Map;return h(t,r,(a=this.getLogDetails(0))!==null&&a!==void 0?a:"",(s=this.getLogDetails(1))!==null&&s!==void 0?s:"")}}e.AbstractStorageService=E,E.DEFAULT_FLUSH_INTERVAL=60*1e3;class g extends E{constructor(){super();this.globalStorage=new P.Storage(new P.InMemoryStorageDatabase),this.workspaceStorage=new P.Storage(new P.InMemoryStorageDatabase),this._register(this.workspaceStorage.onDidChangeStorage(S=>this.emitDidChangeValue(1,S))),this._register(this.globalStorage.onDidChangeStorage(S=>this.emitDidChangeValue(0,S)))}getStorage(S){return S===0?this.globalStorage:this.workspaceStorage}getLogDetails(S){return S===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(S){}}e.InMemoryStorageService=g;async function h(p,S,v,l){const c=u=>{try{return JSON.parse(u)}catch(m){return u}},a=new Map,s=new Map;p.forEach((u,m)=>{a.set(m,u),s.set(m,c(u))});const t=new Map,r=new Map;S.forEach((u,m)=>{t.set(m,u),r.set(m,c(u))}),console.group(`Storage: Global (path: ${v})`);let o=[];a.forEach((u,m)=>{o.push({key:m,value:u})}),console.table(o),console.groupEnd(),console.log(s),console.group(`Storage: Workspace (path: ${l})`);let d=[];t.forEach((u,m)=>{d.push({key:m,value:u})}),console.table(d),console.groupEnd(),console.log(r)}e.logStorage=h}),define(Q[190],J([0,1,3,35,30,7]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveCommonProperties=void 0;async function P(y,i,L,f,E,g,h,p,S){const v=Object.create(null);v["common.machineId"]=g,v.sessionID=(0,D.generateUuid)()+Date.now(),v.commitHash=f,v.version=E,v["common.platformVersion"]=(i||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),v["common.platform"]=(0,w.PlatformToString)(w.platform),v["common.nodePlatform"]=R.platform,v["common.nodeArch"]=L,v["common.product"]=S||"desktop";const l=n(h||[]);l&&(v["common.msftInternal"]=l);let c=0;const a=Date.now();Object.defineProperties(v,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-a,enumerable:!0},"common.sequence":{get:()=>c++,enumerable:!0}}),w.isLinuxSnap&&(v["common.snap"]="true");try{const s=await y.readFile(b.URI.file(p));v["common.source"]=s.value.toString().slice(0,30)}catch(s){}return v}e.resolveCommonProperties=P;function n(y){const i=R.env.USERDNSDOMAIN;if(!i)return!1;const L=i.toLowerCase();return y.some(f=>L===f)}}),define(Q[31],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.instanceStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,w.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,w.createDecorator)("customEndpointTelemetryService"),e.instanceStorageKey="telemetry.instanceId",e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId"}),define(Q[191],J([0,1,27,65,68,22,8,44,80,17,3,7,31,63,9,16,23]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function v(t,r){const o=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.yml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i}],d=new Map,u=new Map,m=2e4;function I(C,j,G,ie){const oe=j.substring(C.length+1);return new Promise(async V=>{var N,B,U;let $;try{$=await(0,S.readdir)(j,{withFileTypes:!0})}catch(M){V();return}if(ie.count>=m){ie.count+=$.length,ie.maxReached=!0,V();return}let _=$.length;if(_===0){V();return}let k=$;ie.count+$.length>m&&(ie.maxReached=!0,_=m-ie.count,k=$.slice(0,_)),ie.count+=$.length;for(const M of k)if(M.isDirectory()){if(G.includes(M.name)||await I(C,(0,P.join)(j,M.name),G,ie),--_==0){V();return}}else{const O=M.name.lastIndexOf(".");if(O>=0){const T=M.name.substring(O+1);T&&d.set(T,((N=d.get(T))!==null&&N!==void 0?N:0)+1)}for(const T of o)((B=T.relativePathPattern)===null||B===void 0?void 0:B.test(oe))!==!1&&T.filePattern.test(M.name)&&u.set(T.tag,((U=u.get(T.tag))!==null&&U!==void 0?U:0)+1);if(--_==0){V();return}}})}const A={count:0,maxReached:!1};await I(t,t,r,A);const F=await a(t);return{configFiles:l(u),fileTypes:l(d),fileCount:A.count,maxFilesReached:A.maxReached,launchConfigFiles:F}}e.collectWorkspaceStats=v;function l(t){return[...g.Iterable.map(t.entries(),([r,o])=>({name:r,count:o}))].sort((r,o)=>o.count-r.count)}function c(){const t={os:`${w.type()} ${w.arch()} ${w.release()}`,memory:`${(w.totalmem()/p.ByteSize.GB).toFixed(2)}GB (${(w.freemem()/p.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(R.virtualMachineHint.value()*100)}%`},r=w.cpus();return r&&r.length>0&&(t.cpus=`${r[0].model} (${r.length} x ${r[0].speed})`),t}e.getMachineInfo=c;function a(t){let r=new Map,o=(0,P.join)(t,".vscode","launch.json");return new Promise((d,u)=>{(0,b.exists)(o,m=>{if(m)(0,b.readFile)(o,(I,A)=>{if(I)return d([]);const F=[],C=(0,n.parse)(A.toString(),F);if(F.length)return console.log(`Unable to parse ${o}`),d([]);if((0,n.getNodeType)(C)==="object"&&C.configurations)for(const j of C.configurations){const G=j.type;G&&(r.has(G)?r.set(G,r.get(G)+1):r.set(G,1))}return d(l(r))});else return d([])})})}e.collectLaunchConfigs=a;let s=class{constructor(r,o){this.telemetryService=r,this.productService=o}formatMachineInfo(r){const o=[];return o.push(`OS Version:       ${r.os}`),o.push(`CPUs:             ${r.cpus}`),o.push(`Memory (System):  ${r.memory}`),o.push(`VM:               ${r.vmHint}`),o.join(`
`)}formatEnvironment(r){const o=[];o.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),o.push(`OS Version:       ${w.type()} ${w.arch()} ${w.release()}`);const d=w.cpus();return d&&d.length>0&&o.push(`CPUs:             ${d[0].model} (${d.length} x ${d[0].speed})`),o.push(`Memory (System):  ${(w.totalmem()/p.ByteSize.GB).toFixed(2)}GB (${(w.freemem()/p.ByteSize.GB).toFixed(2)}GB free)`),L.isWindows||o.push(`Load (avg):       ${w.loadavg().map(u=>Math.round(u)).join(", ")}`),o.push(`VM:               ${Math.round(R.virtualMachineHint.value()*100)}%`),o.push(`Screen Reader:    ${r.screenReader?"yes":"no"}`),o.push(`Process Argv:     ${r.mainArguments.join(" ")}`),o.push(`GPU Status:       ${this.expandGPUFeatures(r.gpuFeatureStatus)}`),o.join(`
`)}async getPerformanceInfo(r,o){return Promise.all([(0,y.listProcesses)(r.mainPID),this.formatWorkspaceMetadata(r)]).then(async d=>{let[u,m]=d,I=this.formatProcessList(r,u);return o.forEach(A=>{if((0,D.isRemoteDiagnosticError)(A))I+=`
${A.errorMessage}`,m+=`
${A.errorMessage}`;else if(I+=`

Remote: ${A.hostName}`,A.processes&&(I+=`
${this.formatProcessList(r,A.processes)}`),A.workspaceMetadata){m+=`
|  Remote: ${A.hostName}`;for(const F of Object.keys(A.workspaceMetadata)){const C=A.workspaceMetadata[F];let j=`${C.fileCount} files`;C.maxFilesReached&&(j=`more than ${j}`),m+=`|    Folder (${F}): ${j}`,m+=this.formatWorkspaceStats(C)}}}),{processInfo:I,workspaceInfo:m}})}async getSystemInfo(r,o){const{memory:d,vmHint:u,os:m,cpus:I}=c(),A={os:m,memory:d,cpus:I,vmHint:u,processArgs:`${r.mainArguments.join(" ")}`,gpuStatus:r.gpuFeatureStatus,screenReader:`${r.screenReader?"yes":"no"}`,remoteData:o};return L.isWindows||(A.load=`${w.loadavg().map(F=>Math.round(F)).join(", ")}`),L.isLinux&&(A.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(A)}async getDiagnostics(r,o){const d=[];return(0,y.listProcesses)(r.mainPID).then(async u=>(d.push(""),d.push(this.formatEnvironment(r)),d.push(""),d.push(this.formatProcessList(r,u)),r.windows.some(m=>m.folderURIs&&m.folderURIs.length>0&&!m.remoteAuthority)&&(d.push(""),d.push("Workspace Stats: "),d.push(await this.formatWorkspaceMetadata(r))),o.forEach(m=>{if((0,D.isRemoteDiagnosticError)(m))d.push(`
${m.errorMessage}`);else if(d.push(`

`),d.push(`Remote:           ${m.hostName}`),d.push(this.formatMachineInfo(m.machineInfo)),m.processes&&d.push(this.formatProcessList(r,m.processes)),m.workspaceMetadata)for(const I of Object.keys(m.workspaceMetadata)){const A=m.workspaceMetadata[I];let F=`${A.fileCount} files`;A.maxFilesReached&&(F=`more than ${F}`),d.push(`Folder (${I}): ${F}`),d.push(this.formatWorkspaceStats(A))}}),d.push(""),d.push(""),d.join(`
`)))}formatWorkspaceStats(r){const o=[],d=60;let u=0;const m=(C,j)=>{const G=` ${C}(${j})`;u+G.length>d?(o.push(I),I="|                 ",u=I.length):u+=G.length,I+=G};let I="|      File types:";const A=10;let F=r.fileTypes.length>A?A:r.fileTypes.length;for(let C=0;C<F;C++){const j=r.fileTypes[C];m(j.name,j.count)}if(o.push(I),r.configFiles.length>=0&&(I="|      Conf files:",u=0,r.configFiles.forEach(C=>{m(C.name,C.count)}),o.push(I)),r.launchConfigFiles.length>0){let C="|      Launch Configs:";r.launchConfigFiles.forEach(j=>{C+=j.count>1?` ${j.name}(${j.count})`:` ${j.name}`}),o.push(C)}return o.join(`
`)}expandGPUFeatures(r){const o=Math.max(...Object.keys(r).map(d=>d.length));return Object.keys(r).map(d=>`${d}:  ${" ".repeat(o-d.length)}  ${r[d]}`).join(`
                  `)}formatWorkspaceMetadata(r){const o=[],d=[];return r.windows.forEach(u=>{u.folderURIs.length===0||!!u.remoteAuthority||(o.push(`|  Window (${u.title})`),u.folderURIs.forEach(m=>{const I=f.URI.revive(m);if(I.scheme===h.Schemas.file){const A=I.fsPath;d.push(v(A,["node_modules",".git"]).then(F=>{let C=`${F.fileCount} files`;F.maxFilesReached&&(C=`more than ${C}`),o.push(`|    Folder (${(0,P.basename)(A)}): ${C}`),o.push(this.formatWorkspaceStats(F))}).catch(F=>{o.push(`|      Error: Unable to collect workspace stats for folder ${A} (${F.toString()})`)}))}else o.push(`|    Folder (${I.toString()}): Workspace stats not available.`)}))}),Promise.all(d).then(u=>o.join(`
`)).catch(u=>`Unable to collect workspace stats: ${u}`)}formatProcessList(r,o){const d=new Map;r.windows.forEach(m=>d.set(m.pid,m.title));const u=[];return u.push("CPU %	Mem MB	   PID	Process"),o&&this.formatProcessItem(r.mainPID,d,u,o,0),u.join(`
`)}formatProcessItem(r,o,d,u,m){const I=m===0;let A;I?A=u.pid===r?`${this.productService.applicationName} main`:"remote agent":(A=`${"  ".repeat(m)} ${u.name}`,u.name==="window"&&(A=`${A} (${o.get(u.pid)})`));const F=process.platform==="win32"?u.mem:w.totalmem()*(u.mem/100);d.push(`${u.load.toFixed(0).padStart(5," ")}	${(F/p.ByteSize.MB).toFixed(0).padStart(6," ")}	${u.pid.toFixed(0).padStart(6," ")}	${A}`),Array.isArray(u.children)&&u.children.forEach(C=>this.formatProcessItem(r,o,d,C,m+1))}async reportWorkspaceStats(r){for(const{uri:o}of r.folders){const d=f.URI.revive(o);if(d.scheme===h.Schemas.file){const u=d.fsPath;try{const m=await v(u,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":r.telemetryId,rendererSessionId:r.rendererSessionId}),m.fileTypes.forEach(I=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:r.rendererSessionId,type:I.name,count:I.count})}),m.launchConfigFiles.forEach(I=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:r.rendererSessionId,type:I.name,count:I.count})}),m.configFiles.forEach(I=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:r.rendererSessionId,type:I.name,count:I.count})})}catch(m){}}}}};s=le([x(0,E.ITelemetryService),x(1,i.IProductService)],s),e.DiagnosticsService=s}),define(Q[192],J([0,1,19,161,164,45,31,40,155,52,25,6,16,7,17,93,186,5,15]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryService=void 0;var c;(function(k){k[k.None=0]="None",k[k.IncludeVersions=1]="IncludeVersions",k[k.IncludeFiles=2]="IncludeFiles",k[k.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",k[k.IncludeSharedAccounts=8]="IncludeSharedAccounts",k[k.IncludeVersionProperties=16]="IncludeVersionProperties",k[k.ExcludeNonValidated=32]="ExcludeNonValidated",k[k.IncludeInstallationTargets=64]="IncludeInstallationTargets",k[k.IncludeAssetUri=128]="IncludeAssetUri",k[k.IncludeStatistics=256]="IncludeStatistics",k[k.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",k[k.Unpublished=4096]="Unpublished"})(c||(c={}));function a(...k){return String(k.reduce((M,O)=>M|O,0))}var s;(function(k){k[k.Tag=1]="Tag",k[k.ExtensionId=4]="ExtensionId",k[k.Category=5]="Category",k[k.ExtensionName=7]="ExtensionName",k[k.Target=8]="Target",k[k.Featured=9]="Featured",k[k.SearchText=10]="SearchText",k[k.ExcludeWithFlags=12]="ExcludeWithFlags"})(s||(s={}));const t={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},r={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},d={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:c.None,criteria:[],assetTypes:[]};class u{constructor(M=d){this.state=M}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(M,O=this.state.pageSize){return new u(Object.assign(Object.assign({},this.state),{pageNumber:M,pageSize:O}))}withFilter(M,...O){const T=[...this.state.criteria,...O.length?O.map(W=>({filterType:M,value:W})):[{filterType:M}]];return new u(Object.assign(Object.assign({},this.state),{criteria:T}))}withSortBy(M){return new u(Object.assign(Object.assign({},this.state),{sortBy:M}))}withSortOrder(M){return new u(Object.assign(Object.assign({},this.state),{sortOrder:M}))}withFlags(...M){return new u(Object.assign(Object.assign({},this.state),{flags:M.reduce((O,T)=>O|T,0)}))}withAssetTypes(...M){return new u(Object.assign(Object.assign({},this.state),{assetTypes:M}))}get raw(){const{criteria:M,pageNumber:O,pageSize:T,sortBy:W,sortOrder:z,flags:K,assetTypes:X}=this.state;return{filters:[{criteria:M,pageNumber:O,pageSize:T,sortBy:W,sortOrder:z}],assetTypes:X,flags:K}}get searchText(){const M=this.state.criteria.filter(O=>O.filterType===s.SearchText)[0];return M&&M.value?M.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(M=>String(M.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function m(k,M){const O=(k||[]).filter(T=>T.statisticName===M)[0];return O?O.value:0}function I(k){const M="Microsoft.VisualStudio.Code.Translation.";return k.files.filter(T=>T.assetType.indexOf(M)===0).reduce((T,W)=>{const z=j(k,W.assetType);return z&&T.push([W.assetType.substring(M.length),z]),T},[])}function A(k){if(k.properties){const M=k.properties.filter(W=>W.key===t.Repository),O=new RegExp("((git|ssh|http(s)?)|(git@[w.]+))(:(//)?)([w.@:/-~]+)(.git)(/)?"),T=M.filter(W=>O.test(W.value))[0];return T?{uri:T.value,fallbackUri:T.value}:null}return j(k,t.Repository)}function F(k){return{uri:`${k.fallbackAssetUri}/${t.VSIX}?redirect=true`,fallbackUri:`${k.fallbackAssetUri}/${t.VSIX}`}}function C(k){const M=j(k,t.Icon);if(M)return M;const O=R.DefaultIconPath;return{uri:O,fallbackUri:O}}function j(k,M){return k.files.filter(T=>T.assetType===M)[0]?{uri:`${k.assetUri}/${M}`,fallbackUri:`${k.fallbackAssetUri}/${M}`}:null}function G(k,M){const O=k.properties?k.properties.filter(W=>W.key===M):[],T=O.length>0&&O[0].value;return T?T.split(",").map(W=>(0,D.adoptToGalleryExtensionId)(W)):[]}function ie(k){const M=k.properties?k.properties.filter(O=>O.key===r.Engine):[];return M.length>0&&M[0].value||""}function oe(k){const M=k.properties?k.properties.filter(T=>T.key===r.LocalizedLanguages):[],O=M.length>0&&M[0].value||"";return O?O.split(","):[]}function V(k){return k.indexOf("preview")!==-1}function N(k){const M=k.properties?k.properties.find(O=>O.key===r.WebExtension):void 0;return!!M&&M.value==="true"}function B(k){return k.files.some(M=>M.assetType.startsWith("Microsoft.VisualStudio.Code.WebResources"))?(0,l.joinPath)(g.URI.parse(k.assetUri),"Microsoft.VisualStudio.Code.WebResources","extension"):void 0}function U(k,M,O,T,W){const z={manifest:j(M,t.Manifest),readme:j(M,t.Details),changelog:j(M,t.Changelog),license:j(M,t.License),repository:A(M),download:F(M),icon:C(M),coreTranslations:I(M)};return{identifier:{id:(0,D.getGalleryExtensionId)(k.publisher.publisherName,k.extensionName),uuid:k.extensionId},name:k.extensionName,version:M.version,date:M.lastUpdated,displayName:k.displayName,publisherId:k.publisher.publisherId,publisher:k.publisher.publisherName,publisherDisplayName:k.publisher.displayName,description:k.shortDescription||"",installCount:m(k.statistics,"install"),rating:m(k.statistics,"averagerating"),ratingCount:m(k.statistics,"ratingcount"),assetUri:g.URI.parse(M.assetUri),webResource:B(M),assetTypes:M.files.map(({assetType:K})=>K),assets:z,properties:{dependencies:G(M,r.Dependency),extensionPack:G(M,r.ExtensionPack),engine:ie(M),localizedLanguages:oe(M),webExtension:N(M)},telemetryData:{index:(T.pageNumber-1)*T.pageSize+O,searchText:T.searchText,querySource:W},preview:V(k.flags)}}let $=class{constructor(M,O,T,W,z,K,X){this.requestService=M,this.logService=O,this.environmentService=T,this.telemetryService=W,this.fileService=z,this.productService=K;const Z=K.extensionsGallery;this.extensionsGalleryUrl=Z&&Z.serviceUrl,this.extensionsControlUrl=Z&&Z.controlUrl,this.commonHeadersPromise=_(K.version,this.environmentService,this.fileService,X)}api(M=""){return`${this.extensionsGalleryUrl}${M}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(M,O){const T=[];let{total:W,firstPage:z,getPage:K}=await this.query({names:M,pageSize:M.length},O);T.push(...z);for(let X=1;T.length<W&&(z=await K(X,O),z.length);X++)T.push(...z);return T}async getCompatibleExtension(M,O){const T=await this.getCompatibleExtensionByEngine(M,O);return(T==null?void 0:T.properties.webExtension)?T.webResource?T:null:T}async getCompatibleExtensionByEngine(M,O){const T=(0,R.isIExtensionIdentifier)(M)?null:M;if(T&&T.properties.engine&&(0,y.isEngineValid)(T.properties.engine,this.productService.version))return T;const{id:W,uuid:z}=T?T.identifier:M;let K=new u().withFlags(c.IncludeAssetUri,c.IncludeStatistics,c.IncludeFiles,c.IncludeVersionProperties).withPage(1,1).withFilter(s.Target,"Microsoft.VisualStudio.Code");z?K=K.withFilter(s.ExtensionId,z):K=K.withFilter(s.ExtensionName,W);const{galleryExtensions:X}=await this.queryGallery(K,L.CancellationToken.None),[Z]=X;if(!Z||!Z.versions.length)return null;if(O){const ee=Z.versions.filter(re=>re.version===O)[0];if(ee){const re=U(Z,ee,0,K);if(re.properties.engine&&(0,y.isEngineValid)(re.properties.engine,this.productService.version))return re}return null}const Y=await this.getLastValidExtensionVersion(Z,Z.versions);return Y?U(Z,Y,0,K):null}async query(M,O){const T=L.CancellationToken.isCancellationToken(M)?{}:M,W=L.CancellationToken.isCancellationToken(M)?M:O;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let z=T.text||"";const K=(0,b.getOrDefault)(T,ne=>ne.pageSize,50);let X=new u().withFlags(c.IncludeLatestVersionOnly,c.IncludeAssetUri,c.IncludeStatistics,c.IncludeFiles,c.IncludeVersionProperties).withPage(1,K).withFilter(s.Target,"Microsoft.VisualStudio.Code");z?(z=z.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ne,ue,ve)=>(X=X.withFilter(s.Category,ve||ue),"")),z=z.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ne,ue,ve)=>(X=X.withFilter(s.Tag,ve||ue),"")),z=z.replace(/\bfeatured(\s+|\b|$)/g,()=>(X=X.withFilter(s.Featured),"")),z=z.trim(),z&&(z=z.length<200?z:z.substring(0,200),X=X.withFilter(s.SearchText,z)),X=X.withSortBy(0)):T.ids?X=X.withFilter(s.ExtensionId,...T.ids):T.names?X=X.withFilter(s.ExtensionName,...T.names):X=X.withSortBy(4),typeof T.sortBy=="number"&&(X=X.withSortBy(T.sortBy)),typeof T.sortOrder=="number"&&(X=X.withSortOrder(T.sortOrder));const{galleryExtensions:Z,total:Y}=await this.queryGallery(X,W),ee=Z.map((ne,ue)=>U(ne,ne.versions[0],ue,X,T.source)),re=async(ne,ue)=>{if(ue.isCancellationRequested)throw(0,w.canceled)();const ve=X.withPage(ne+1),{galleryExtensions:de}=await this.queryGallery(ve,ue);return de.map((he,me)=>U(he,he.versions[0],me,ve,T.source))};return{firstPage:ee,total:Y,pageSize:X.pageSize,getPage:re}}async queryGallery(M,O){if(!this.isEnabled())throw new Error("No extension gallery service configured.");M=M.withFlags(M.flags,c.ExcludeNonValidated).withFilter(s.ExcludeWithFlags,a(c.Unpublished));const T=await this.commonHeadersPromise,W=JSON.stringify(M.raw),z=Object.assign(Object.assign({},T),{"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(W.length)}),K=new Date().getTime();let X,Z,Y=0;try{if(X=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:W,headers:z},O),X.res.statusCode&&X.res.statusCode>=400&&X.res.statusCode<500)return{galleryExtensions:[],total:Y};const ee=await(0,n.asJson)(X);if(ee){const re=ee.results[0],ne=re.extensions,ue=re.resultMetadata&&re.resultMetadata.filter(ve=>ve.metadataType==="ResultCount")[0];return Y=ue&&ue.metadataItems.filter(ve=>ve.name==="TotalCount")[0].count||0,{galleryExtensions:ne,total:Y}}return{galleryExtensions:[],total:Y}}catch(ee){throw Z=ee,ee}finally{this.telemetryService.publicLog2("galleryService:query",Object.assign(Object.assign({},M.telemetryData),{requestBodySize:String(W.length),duration:new Date().getTime()-K,success:!!X&&(0,n.isSuccess)(X),responseBodySize:X==null?void 0:X.res.headers["Content-Length"],statusCode:X?String(X.res.statusCode):void 0,errorCode:Z?(0,w.isPromiseCanceledError)(Z)?"canceled":(0,w.getErrorMessage)(Z).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(Y)}))}}async reportStatistic(M,O,T,W){if(!!this.isEnabled()){const z=await this.commonHeadersPromise,K=Object.assign(Object.assign({},z),{Accept:"*/*;api-version=4.0-preview.1"});try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${M}/extensions/${O}/${T}/stats?statType=${W}`),headers:K},L.CancellationToken.None)}catch(X){}}}async download(M,O,T){this.logService.trace("ExtensionGalleryService#download",M.identifier.id);const W=(0,D.getGalleryExtensionTelemetryData)(M),z=new Date().getTime(),K=ee=>this.telemetryService.publicLog("galleryService:downloadVSIX",Object.assign(Object.assign({},W),{duration:ee})),X=T===1?"install":T===2?"update":"",Z=X?{uri:`${M.assets.download.uri}&${X}=true`,fallbackUri:`${M.assets.download.fallbackUri}?${X}=true`}:M.assets.download,Y=await this.getAsset(Z);await this.fileService.writeFile(O,Y.stream),K(new Date().getTime()-z)}async getReadme(M,O){if(M.assets.readme){const T=await this.getAsset(M.assets.readme,{},O);return await(0,n.asText)(T)||""}return""}async getManifest(M,O){if(M.assets.manifest){const T=await this.getAsset(M.assets.manifest,{},O),W=await(0,n.asText)(T);return W?JSON.parse(W):null}return null}async getCoreTranslation(M,O){const T=M.assets.coreTranslations.filter(W=>W[0]===O.toUpperCase())[0];if(T){const W=await this.getAsset(T[1]),z=await(0,n.asText)(W);return z?JSON.parse(z):null}return null}async getChangelog(M,O){if(M.assets.changelog){const T=await this.getAsset(M.assets.changelog,{},O);return await(0,n.asText)(T)||""}return""}async getAllVersions(M,O){let T=new u().withFlags(c.IncludeVersions,c.IncludeFiles,c.IncludeVersionProperties).withPage(1,1).withFilter(s.Target,"Microsoft.VisualStudio.Code");M.identifier.uuid?T=T.withFilter(s.ExtensionId,M.identifier.uuid):T=T.withFilter(s.ExtensionName,M.identifier.id);const W=[],{galleryExtensions:z}=await this.queryGallery(T,L.CancellationToken.None);return z.length&&(O?await Promise.all(z[0].versions.map(async K=>{let X;try{X=await this.getEngine(K)}catch(Z){}X&&(0,y.isEngineValid)(X,this.productService.version)&&W.push({version:K.version,date:K.lastUpdated})})):W.push(...z[0].versions.map(K=>({version:K.version,date:K.lastUpdated})))),W}async getAsset(M,O={},T=L.CancellationToken.None){const W=await this.commonHeadersPromise,z={type:"GET"},K=Object.assign(Object.assign({},W),O.headers||{});O=Object.assign(Object.assign(Object.assign({},O),z),{headers:K});const X=M.uri,Z=M.fallbackUri,Y=Object.assign(Object.assign({},O),{url:X});try{const ee=await this.requestService.request(Y,T);if(ee.res.statusCode===200)return ee;const re=await(0,n.asText)(ee);throw new Error(`Expected 200, got back ${ee.res.statusCode} instead.

${re}`)}catch(ee){if((0,w.isPromiseCanceledError)(ee))throw ee;const re=(0,w.getErrorMessage)(ee);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:X,message:re});const ne=Object.assign(Object.assign({},O),{url:Z});return this.requestService.request(ne,T)}}async getLastValidExtensionVersion(M,O){const T=this.getLastValidExtensionVersionFromProperties(M,O);return T||this.getLastValidExtensionVersionRecursively(M,O)}getLastValidExtensionVersionFromProperties(M,O){for(const T of O){const W=ie(T);if(!W)return null;if((0,y.isEngineValid)(W,this.productService.version))return T}return null}async getEngine(M){const O=ie(M);if(O)return O;const T=j(M,t.Manifest);if(!T)throw new Error("Manifest was not found");const W={"Accept-Encoding":"gzip"},z=await this.getAsset(T,{headers:W}),K=await(0,n.asJson)(z);if(K)return K.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(M,O){if(!O.length)return null;const T=O[0],W=await this.getEngine(T);return(0,y.isEngineValid)(W,this.productService.version)?(T.properties=T.properties||[],T.properties.push({key:r.Engine,value:W}),T):this.getLastValidExtensionVersionRecursively(M,O.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const M=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},L.CancellationToken.None);if(M.res.statusCode!==200)throw new Error("Could not get extensions report.");const O=await(0,n.asJson)(M),T=new Map;if(O)for(const W of O.malicious){const z=T.get(W)||{id:{id:W},malicious:!0,slow:!1};z.malicious=!0,T.set(W,z)}return[...T.values()]}};$=le([x(0,n.IRequestService),x(1,f.ILogService),x(2,i.IEnvironmentService),x(3,P.ITelemetryService),x(4,E.IFileService),x(5,h.IProductService),x(6,(0,v.optional)(p.IStorageService))],$),e.ExtensionGalleryService=$;async function _(k,M,O,T){const W={"X-Market-Client-Id":`VSCode ${k}`,"User-Agent":`VSCode ${k}`},z=await(0,S.getServiceMachineId)(M,O,T);return W["X-Market-User-Id"]=z,W}e.resolveMarketplaceHeaders=_}),define(Q[193],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class w{constructor(b){this.appender=b}listen(b,P){throw new Error(`Event not found: ${P}`)}call(b,P,{eventName:n,data:y}){return this.appender.log(n,y),Promise.resolve(null)}}e.TelemetryAppenderChannel=w;class R{constructor(b){this.channel=b}log(b,P){return this.channel.call("log",{eventName:b,data:P}).then(void 0,n=>`Failed to log telemetry: ${console.warn(n)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=R}),define(Q[194],J([0,1,92,142,20,5,24,47,2,45,37]),function(H,e,w,R,D,b,P,n,y,i,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let f=class{constructor(h,p){this._configurationService=p,this._experimentProperties={},this._disposables=new y.DisposableStore,this._cleanupPatterns=[],this._appender=h.appender,this._commonProperties=h.commonProperties||Promise.resolve({}),this._piiPaths=h.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!h.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let S of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,D.escapeRegExpCharacters)(S),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(S=>{const v=/^[a-f0-9]+$/i.test(S["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!v})}))}setExperimentProperty(h,p){this._experimentProperties[h]=p}setEnabled(h){this._enabled=h}_updateUserOptIn(){var h;const p=(h=this._configurationService)===null||h===void 0?void 0:h.getValue(E);this._userOptIn=p?p.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const h=await this._commonProperties;let p=h.sessionID,S=h["common.instanceId"],v=h["common.machineId"],l=h["common.firstSessionDate"],c=h["common.msftInternal"];return{sessionId:p,instanceId:S,machineId:v,firstSessionDate:l,msftInternal:c}}dispose(){this._disposables.dispose()}publicLog(h,p,S){return this.isOptedIn?this._commonProperties.then(v=>{p=(0,i.mixin)(p,v),p=(0,i.mixin)(p,this._experimentProperties),p=(0,i.cloneAndChange)(p,l=>{if(typeof l=="string")return this._cleanupInfo(l,S)}),this._appender.log(h,p)},v=>{console.error(v)}):Promise.resolve(void 0)}publicLog2(h,p,S){return this.publicLog(h,p,S)}publicLogError(h,p){return this.sendErrorTelemetry?this.publicLog(h,p,!0):Promise.resolve(void 0)}publicLogError2(h,p){return this.publicLogError(h,p)}_cleanupInfo(h,p){let S=h;if(p){const v=[];for(let s of this._cleanupPatterns)for(;;){const t=s.exec(h);if(!t)break;v.push([t.index,s.lastIndex])}const l=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,c=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let a=0;for(S="";;){const s=c.exec(h);if(!s)break;!l.test(s[0])&&v.every(([t,r])=>s.index<t||s.index>=r)&&(S+=h.substring(a,s.index)+"<REDACTED: user-file-path>",a=c.lastIndex)}a<h.length&&(S+=h.substr(a))}for(let v of this._cleanupPatterns)S=S.replace(v,"");return S}};f.IDLE_START_EVENT_NAME="UserIdleStart",f.IDLE_STOP_EVENT_NAME="UserIdleStop",f=le([x(1,(0,b.optional)(P.IConfigurationService))],f),e.TelemetryService=f;const E="telemetry";L.Registry.as(n.Extensions.Configuration).registerConfiguration({id:E,order:110,type:"object",title:(0,R.localize)(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:w.default.privacyStatementUrl?(0,R.localize)(2,null,w.default.privacyStatementUrl):(0,R.localize)(1,null),default:!0,tags:["usesOnlineServices"]}}})}),define(Q[94],J([0,1,24,45,13,10]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.configurationTelemetry=e.NullAppender=e.combinedAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=void 0,e.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(h,p){return Promise.resolve(void 0)}publicLog2(h,p){return this.publicLog(h,p)}publicLogError(h,p){return Promise.resolve(void 0)}publicLogError2(h,p){return this.publicLogError(h,p)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};class P{async publicLog(p,S,v){}async publicLogError(p,S,v){}}e.NullEndpointTelemetryService=P;function n(...h){return{log:(p,S)=>h.forEach(v=>v.log(p,S)),flush:()=>b.Promises.settled(h.map(p=>p.flush()))}}e.combinedAppender=n,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function y(h,p){return p.onDidChangeConfiguration(S=>{S.source!==6&&h.publicLog2("updateConfiguration",{configurationSource:(0,w.ConfigurationTargetToString)(S.source),configurationKeys:E(S.sourceConfig)})})}e.configurationTelemetry=y;function i(h){const p=Object.create(null),S=Object.create(null),v=Object.create(null);f(h,v);for(let l in v){l=l.length>150?l.substr(l.length-149):l;const c=v[l];typeof c=="number"?S[l]=c:typeof c=="boolean"?S[l]=c?1:0:typeof c=="string"?p[l]=c.substring(0,1023):typeof c!="undefined"&&c!==null&&(p[l]=c)}return{properties:p,measurements:S}}e.validateTelemetryData=i;function L(h){if(!h)return"none";let p="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(v=>{h.indexOf(`${v}+`)===0&&(p=v)}),p}e.cleanRemoteAuthority=L;function f(h,p,S=0,v){if(!!h)for(let l of Object.getOwnPropertyNames(h)){const c=h[l],a=v?v+l:l;Array.isArray(c)?p[a]=(0,R.safeStringify)(c):c instanceof Date?p[a]=c.toISOString():(0,D.isObject)(c)?S<2?f(c,p,S+1,a+"."):p[a]=(0,R.safeStringify)(c):p[a]=c}}function E(h){if(!h)return[];const p=[];return g(p,"",h),p}function g(h,p,S){S&&typeof S=="object"&&!Array.isArray(S)?Object.keys(S).forEach(v=>g(h,p?`${p}.${v}`:v,S[v])):h.push(p)}}),define(Q[195],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var w;(function(R){R.DARK="dark",R.LIGHT="light",R.HIGH_CONTRAST="hc"})(w=e.ColorScheme||(e.ColorScheme={}))}),define(Q[196],J([0,1,5,2,37,4,195,104]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,w.createDecorator)("themeService");var y;(function(S){function v(l){return l&&typeof l=="object"&&typeof l.id=="string"}S.isThemeColor=v})(y=e.ThemeColor||(e.ThemeColor={}));function i(S){return{id:S}}e.themeColorFromId=i;var L;(function(S){function v(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||y.isThemeColor(t.color))}S.isThemeIcon=v;const l=new RegExp(`^\\$\\((${n.CSSIcon.iconNameExpression}(?:${n.CSSIcon.iconModifierExpression})?)\\)$`);function c(t){const r=l.exec(t);if(!!r){let[,o]=r;return{id:o}}}S.fromString=c;function a(t,r){let o=t.id;const d=o.lastIndexOf("~");return d!==-1&&(o=o.substring(0,d)),r&&(o=`${o}~${r}`),{id:o}}S.modify=a;function s(t,r){var o,d;return t.id===r.id&&((o=t.color)===null||o===void 0?void 0:o.id)===((d=r.color)===null||d===void 0?void 0:d.id)}S.isEqual=s,S.asClassNameArray=n.CSSIcon.asClassNameArray,S.asClassName=n.CSSIcon.asClassName,S.asCSSSelector=n.CSSIcon.asCSSSelector})(L=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=n.Codicon.file,e.FolderThemeIcon=n.Codicon.folder;function f(S){switch(S){case P.ColorScheme.DARK:return"vs-dark";case P.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=f,e.Extensions={ThemingContribution:"base.contributions.theming"};class E{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new b.Emitter}onColorThemeChange(v){return this.themingParticipants.push(v),this.onThemingParticipantAddedEmitter.fire(v),(0,R.toDisposable)(()=>{const l=this.themingParticipants.indexOf(v);this.themingParticipants.splice(l,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let g=new E;D.Registry.add(e.Extensions.ThemingContribution,g);function h(S){return g.onColorThemeChange(S)}e.registerThemingParticipant=h;class p extends R.Disposable{constructor(v){super();this.themeService=v,this.theme=v.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(l=>this.onThemeChange(l)))}onThemeChange(v){this.theme=v,this.updateStyles()}updateStyles(){}getColor(v,l){let c=this.theme.getColor(v);return c&&l&&(c=l(c,this.theme)),c?c.toString():null}}e.Themable=p}),define(Q[72],J([0,1,3,11,38,5]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const P="#FFFFFF",n="#1E1E1E",y="#000000",i="theme",L="themeBackground";e.IThemeMainService=(0,b.createDecorator)("themeMainService");let f=class{constructor(g){this.stateService=g,R.ipcMain.on("vscode:changeColorTheme",(h,p,S)=>{typeof S=="string"&&this.storeBackgroundColor(JSON.parse(S))})}storeBackgroundColor(g){this.stateService.setItem(i,g.baseTheme),this.stateService.setItem(L,g.background)}getBackgroundColor(){if((w.isWindows||w.isMacintosh)&&R.nativeTheme.shouldUseInvertedColorScheme)return y;let g=this.stateService.getItem(L,null);if(!g){let h;(w.isWindows||w.isMacintosh)&&R.nativeTheme.shouldUseInvertedColorScheme?h="hc-black":h=this.stateService.getItem(i,"vs-dark").split(" ")[0],g=h==="hc-black"?y:h==="vs"?P:n}return w.isMacintosh&&g.toUpperCase()===n&&(g="#171717"),g}};f=le([x(0,D.IStateService)],f),e.ThemeMainService=f}),define(Q[41],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var R;(function(b){b.Uninitialized="uninitialized",b.Idle="idle",b.CheckingForUpdates="checking for updates",b.AvailableForDownload="available for download",b.Downloading="downloading",b.Downloaded="downloaded",b.Updating="updating",b.Ready="ready"})(R=e.StateType||(e.StateType={}));var D;(function(b){b[b.Setup=0]="Setup",b[b.Archive=1]="Archive",b[b.Snap=2]="Snap"})(D=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(b,P)=>({type:"idle",updateType:b,error:P}),CheckingForUpdates:b=>({type:"checking for updates",context:b}),AvailableForDownload:b=>({type:"available for download",update:b}),Downloading:b=>({type:"downloading",update:b}),Downloaded:b=>({type:"downloaded",update:b}),Updating:b=>({type:"updating",update:b}),Ready:b=>({type:"ready",update:b})},e.IUpdateService=(0,w.createDecorator)("updateService")}),define(Q[197],J([0,1,37,47,143,3]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),w.Registry.as(R.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:(0,D.localize)(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:(0,D.localize)(1,null),tags:["usesOnlineServices"],enumDescriptions:[(0,D.localize)(2,null),(0,D.localize)(3,null),(0,D.localize)(4,null),(0,D.localize)(5,null)]},"update.channel":{type:"string",default:"default",scope:1,description:(0,D.localize)(6,null),deprecationMessage:(0,D.localize)(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:(0,D.localize)(8,null),description:(0,D.localize)(9,null),included:b.isWindows&&!b.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:(0,D.localize)(10,null),tags:["usesOnlineServices"]}}})}),define(Q[198],J([0,1,4,41]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class D{constructor(n){this.service=n}listen(n,y){switch(y){case"onStateChange":return this.service.onStateChange}throw new Error(`Event not found: ${y}`)}call(n,y,i){switch(y){case"checkForUpdates":return this.service.checkForUpdates(i);case"downloadUpdate":return this.service.downloadUpdate();case"applyUpdate":return this.service.applyUpdate();case"quitAndInstall":return this.service.quitAndInstall();case"_getInitialState":return Promise.resolve(this.service.state);case"isLatestVersion":return this.service.isLatestVersion()}throw new Error(`Call not found: ${y}`)}}e.UpdateChannel=D;class b{constructor(n){this.channel=n,this._onStateChange=new w.Emitter,this.onStateChange=this._onStateChange.event,this._state=R.State.Uninitialized,this.channel.listen("onStateChange")(y=>this.state=y),this.channel.call("_getInitialState").then(y=>this.state=y)}get state(){return this._state}set state(n){this._state=n,this._onStateChange.fire(n)}checkForUpdates(n){return this.channel.call("checkForUpdates",n)}downloadUpdate(){return this.channel.call("downloadUpdate")}applyUpdate(){return this.channel.call("applyUpdate")}quitAndInstall(){return this.channel.call("quitAndInstall")}isLatestVersion(){return this.channel.call("isLatestVersion")}}e.UpdateChannelClient=b}),define(Q[95],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=(0,w.createDecorator)("urlService")}),define(Q[199],J([0,1,7]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class R{constructor(n){this.handler=n}listen(n,y){throw new Error(`Event not found: ${y}`)}call(n,y,i){switch(y){case"handleURL":return this.handler.handleURL(w.URI.revive(i[0]),i[1])}throw new Error(`Call not found: ${y}`)}}e.URLHandlerChannel=R;class D{constructor(n){this.channel=n}handleURL(n,y){return this.channel.call("handleURL",[n.toJSON(),y])}}e.URLHandlerChannelClient=D;class b{constructor(n){this.next=n}async routeCall(n,y,i,L){if(y!=="handleURL")throw new Error(`Call not found: ${y}`);if(i){const f=w.URI.revive(i);if(f&&f.query){const E=/\bwindowId=(\d+)/.exec(f.query);if(E){const g=E[1],h=new RegExp(`window:${g}`),p=n.connections.find(S=>h.test(S.ctx));if(p)return p}}}return this.next.routeCall(n,y,i,L)}routeEvent(n,y){throw new Error(`Event not found: ${y}`)}}e.URLHandlerRouter=b}),define(Q[200],J([0,1,7,10,2,17]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class P extends D.Disposable{constructor(){super(...arguments);this.handlers=new Set}open(i,L){const f=[...this.handlers.values()];return(0,R.first)(f.map(E=>()=>E.handleURL(i,L)),void 0,!1).then(E=>E||!1)}registerHandler(i){return this.handlers.add(i),(0,D.toDisposable)(()=>this.handlers.delete(i))}}e.AbstractURLService=P;let n=class extends P{constructor(i){super();this.productService=i}create(i){let{authority:L,path:f,query:E,fragment:g}=i||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return L&&f&&f.indexOf("/")!==0&&(f=`/${f}`),w.URI.from({scheme:this.productService.urlProtocol,authority:L,path:f,query:E,fragment:g})}};n=le([x(0,b.IProductService)],n),e.NativeURLService=n}),define(Q[201],J([0,1,4,11,7,2,3,10]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;function y(L){try{return D.URI.parse(L)}catch(f){return null}}class i{constructor(f,E,g,h,p){if(this.urlService=E,this.uris=[],this.retryCount=0,this.flushDisposable=b.Disposable.None,this.disposables=new b.DisposableStore,this.uris=f,P.isWindows){const l=h.isBuilt?[]:[`"${h.appRoot}"`];l.push("--open-url","--"),R.app.setAsDefaultProtocolClient(p.urlProtocol,process.execPath,l)}const S=w.Event.map(w.Event.fromNodeEventEmitter(R.app,"open-url",(l,c)=>({event:l,url:c})),({event:l,url:c})=>(l.preventDefault(),c));this.disposables.add(S(l=>{const c=y(l);!c||this.urlService.open(c,{originalUrl:l})})),g.getWindows().filter(l=>l.isReady).length>0?this.flush():w.Event.once(g.onDidSignalReadyWindow)(this.flush,this,this.disposables)}async flush(){if(!(this.retryCount++>10)){const f=[];for(const E of this.uris)await this.urlService.open(E.uri,{originalUrl:E.url})||f.push(E);f.length!==0&&(this.uris=f,this.flushDisposable=(0,n.disposableTimeout)(()=>this.flush(),500))}}dispose(){this.disposables.dispose(),this.flushDisposable.dispose()}}e.ElectronURLListener=i}),define(Q[202],J([0,1,107,8]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWebviewContentMimeType=void 0;const D=new Map([[".svg","image/svg+xml"],[".txt","text/plain"],[".css","text/css"],[".js","application/javascript"],[".json","application/json"],[".html","text/html"],[".htm","text/html"],[".xhtml","application/xhtml+xml"],[".oft","font/otf"],[".xml","application/xml"]]);function b(P){const n=(0,R.extname)(P.fsPath).toLowerCase();return D.get(n)||(0,w.getMediaMime)(P.fsPath)||w.MIME_UNKNOWN}e.getWebviewContentMimeType=b}),define(Q[73],J([0,1,29,9,8,7,16,202]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.loadLocalResource=e.readFileStream=e.WebviewFileReadResponse=e.WebviewResourceResponse=e.webviewPartitionId=void 0,e.webviewPartitionId="webview";var y;(function(p){let S;(function(c){c[c.Success=0]="Success",c[c.Failed=1]="Failed",c[c.AccessDenied=2]="AccessDenied",c[c.NotModified=3]="NotModified"})(S=p.Type||(p.Type={}));class v{constructor(a,s,t){this.stream=a,this.etag=s,this.mimeType=t,this.type=S.Success}}p.StreamSuccess=v,p.Failed={type:S.Failed},p.AccessDenied={type:S.AccessDenied};class l{constructor(a){this.mimeType=a,this.type=S.NotModified}}p.NotModified=l})(y=e.WebviewResourceResponse||(e.WebviewResourceResponse={}));var i;(function(p){let S;(function(l){l[l.Success=0]="Success",l[l.NotModified=1]="NotModified"})(S=p.Type||(p.Type={}));class v{constructor(c,a){this.stream=c,this.etag=a,this.type=S.Success}}p.StreamSuccess=v,p.NotModified={type:S.NotModified}})(i=e.WebviewFileReadResponse||(e.WebviewFileReadResponse={}));async function L(p,S,v){try{const l=await p.readFileStream(S,{etag:v});return new i.StreamSuccess(l.value,l.etag)}catch(l){if(l instanceof P.FileOperationError&&l.fileOperationResult===2)return i.NotModified;throw l}}e.readFileStream=L;async function f(p,S,v,l,c,a,s){a.debug(`loadLocalResource - being. requestUri=${p}`);let t=E(p,v.roots);if(a.debug(`loadLocalResource - found resource to load. requestUri=${p}, resourceToLoad=${t}`),!t)return y.AccessDenied;const r=(0,n.getWebviewContentMimeType)(p);if(v.rewriteUri&&(t=v.rewriteUri(t)),t.scheme===R.Schemas.http||t.scheme===R.Schemas.https){const o={};S&&(o["If-None-Match"]=S);const d=await c.request({url:t.toString(!0),headers:o},s);switch(a.debug(`loadLocalResource - Loaded over http(s). requestUri=${p}, response=${d.res.statusCode}`),d.res.statusCode){case 200:return new y.StreamSuccess(d.stream,d.res.headers.etag,r);case 304:return new y.NotModified(r);default:return y.Failed}}try{const o=await l.readFileStream(t,S);switch(a.debug(`loadLocalResource - Loaded using fileReader. requestUri=${p}`),o.type){case i.Type.Success:return new y.StreamSuccess(o.stream,o.etag,r);case i.Type.NotModified:return new y.NotModified(r);default:return a.error("loadLocalResource - Unknown file read response"),y.Failed}}catch(o){return a.debug(`loadLocalResource - Error using fileReader. requestUri=${p}`),console.log(o),y.Failed}}e.loadLocalResource=f;function E(p,S){const v=g(p);for(const l of S)if(h(l,v))return v}function g(p){return p.scheme===R.Schemas.vscodeWebviewResource?b.URI.parse(encodeURIComponent(p.path).replace(/%2F/gi,"/").replace(/^\/([a-z0-9\-]+)(\/{1,2})/i,(v,l,c)=>c.length===1?`${l}:///`:`${l}://`)).with({query:p.query,fragment:p.fragment}):p}function h(p,S){let v=p.fsPath+(p.fsPath.endsWith(D.sep)?"":D.sep),l=S.fsPath;return(0,w.isUNC)(p.fsPath)&&(0,w.isUNC)(S.fsPath)&&(v=v.toLowerCase(),l=l.toLowerCase()),l.startsWith(v)}}),define(Q[203],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWebviewManagerService=void 0,e.IWebviewManagerService=(0,w.createDecorator)("webviewManagerService")}),define(Q[204],J([0,1,9,7,54]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewPortMappingManager=void 0;class b{constructor(n,y,i){this._getExtensionLocation=n,this._getMappings=y,this.tunnelService=i,this._tunnels=new Map}async getRedirect(n,y){const i=R.URI.parse(y),L=(0,D.extractLocalHostUriMetaDataForPortMapping)(i);if(!!L){for(const f of this._getMappings())if(f.webviewPort===L.port){const E=this._getExtensionLocation();if(E&&E.scheme===w.Schemas.vscodeRemote){const g=n&&await this.getOrCreateTunnel(n,f.extensionHostPort);if(g)return g.tunnelLocalPort===f.webviewPort?void 0:encodeURI(i.with({authority:`127.0.0.1:${g.tunnelLocalPort}`}).toString(!0))}if(f.webviewPort!==f.extensionHostPort)return encodeURI(i.with({authority:`${L.address}:${f.extensionHostPort}`}).toString(!0))}}}async dispose(){for(const n of this._tunnels.values())await n.dispose();this._tunnels.clear()}async getOrCreateTunnel(n,y){const i=this._tunnels.get(y);if(i)return i;const L=await this.tunnelService.openTunnel({getAddress:async()=>n},void 0,y);return L&&this._tunnels.set(y,L),L}}e.WebviewPortMappingManager=b}),define(Q[205],J([0,1,11,2,9,7,54,73,204]),function(H,e,w,R,D,b,P,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewPortMappingProvider=void 0;let i=class extends R.Disposable{constructor(f){super();this._tunnelService=f,this._webviewData=new Map,w.session.fromPartition(n.webviewPartitionId).webRequest.onBeforeRequest({urls:["*://localhost:*/*","*://127.0.0.1:*/*","*://0.0.0.0:*/*"]},async(g,h)=>{let p;try{if(g.lastCommittedOrigin)p=b.URI.parse(g.lastCommittedOrigin).authority;else if(typeof g.webContentsId=="number"){const l=w.webContents.fromId(g.webContentsId),c=b.URI.parse(l.getURL());c.scheme===D.Schemas.vscodeWebview&&(p=c.authority)}}catch(l){return h({})}if(!p)return h({});const S=this._webviewData.get(p);if(!S)return h({});const v=await S.manager.getRedirect(S.metadata.resolvedAuthority,g.url);return h(v?{redirectURL:v}:{})})}async registerWebview(f,E){const g=new y.WebviewPortMappingManager(()=>{var h;return(h=this._webviewData.get(f))===null||h===void 0?void 0:h.metadata.extensionLocation},()=>{var h;return((h=this._webviewData.get(f))===null||h===void 0?void 0:h.metadata.mappings)||[]},this._tunnelService);this._webviewData.set(f,{metadata:E,manager:g})}unregisterWebview(f){const E=this._webviewData.get(f);E&&(E.manager.dispose(),this._webviewData.delete(f))}async updateWebviewMetadata(f,E){const g=this._webviewData.get(f);g&&this._webviewData.set(f,Object.assign(Object.assign({},g),E))}};i=le([x(0,P.ITunnelService)],i),e.WebviewPortMappingProvider=i}),define(Q[61],J([0,1,3]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function R(i){return!!i.workspaceUri}e.isWorkspaceToOpen=R;function D(i){return!!i.folderUri}e.isFolderToOpen=D;function b(i){return!!i.fileUri}e.isFileToOpen=b;function P(i){const L=n(i),f=i.getValue("window.menuBarVisibility");return f==="default"||L==="native"&&f==="compact"?"classic":f}e.getMenuBarVisibility=P;function n(i){if(w.isWeb)return"custom";const L=i.getValue("window");if(L){if(w.isMacintosh&&L.nativeTabs===!0||w.isMacintosh&&L.nativeFullScreen===!1)return"native";const g=L.titleBarStyle;if(g==="native"||g==="custom")return g}return w.isLinux?"native":"custom"}e.getTitleBarStyle=n;function y(i=0){return Math.pow(1.2,i)}e.zoomLevelToZoomFactor=y}),define(Q[32],J([0,1,5]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWindowsMainService=e.WindowError=e.WindowMode=e.defaultWindowState=e.OpenContext=void 0;var R;(function(n){n[n.CLI=0]="CLI",n[n.DOCK=1]="DOCK",n[n.MENU=2]="MENU",n[n.DIALOG=3]="DIALOG",n[n.DESKTOP=4]="DESKTOP",n[n.API=5]="API"})(R=e.OpenContext||(e.OpenContext={}));const D=function(n=1){return{width:1024,height:768,mode:n}};e.defaultWindowState=D;var b;(function(n){n[n.Maximized=0]="Maximized",n[n.Normal=1]="Normal",n[n.Minimized=2]="Minimized",n[n.Fullscreen=3]="Fullscreen"})(b=e.WindowMode||(e.WindowMode={}));var P;(function(n){n[n.UNRESPONSIVE=1]="UNRESPONSIVE",n[n.CRASHED=2]="CRASHED",n[n.LOAD=3]="LOAD"})(P=e.WindowError||(e.WindowError={})),e.IWindowsMainService=(0,w.createDecorator)("windowsMainService")}),define(Q[206],J([0,1,11,238,21,25,2,9,57,7,16,6,40,73,32]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;let p=class yt extends P.Disposable{constructor(v,l,c,a){super();this.fileService=v,this.logService=l,this.requestService=c,this.windowsMainService=a,this.webviewMetadata=new Map,this.requestIdPool=1,this.pendingResourceReads=new Map;const s=w.session.fromPartition(g.webviewPartitionId),t=this.handleWebviewRequest.bind(this);w.protocol.registerFileProtocol(n.Schemas.vscodeWebview,t),s.protocol.registerFileProtocol(n.Schemas.vscodeWebview,t);const r=this.handleWebviewResourceRequest.bind(this);w.protocol.registerStreamProtocol(n.Schemas.vscodeWebviewResource,r),s.protocol.registerStreamProtocol(n.Schemas.vscodeWebviewResource,r),this._register((0,P.toDisposable)(()=>{w.protocol.unregisterProtocol(n.Schemas.vscodeWebviewResource),s.protocol.unregisterProtocol(n.Schemas.vscodeWebviewResource),w.protocol.unregisterProtocol(n.Schemas.vscodeWebview),s.protocol.unregisterProtocol(n.Schemas.vscodeWebview)}))}streamToNodeReadable(v){return new class extends R.Readable{constructor(){super(...arguments);this.listening=!1}_read(l){this.listening||(this.listening=!0,(0,y.listenStream)(v,{onData:c=>{try{this.push(c.buffer)||v.pause()}catch(a){this.emit(a)}},onError:c=>{this.emit("error",c)},onEnd:()=>{try{this.push(null)}catch(c){this.emit(c)}}})),v.resume()}_destroy(l,c){v.destroy(),c(null)}}}async registerWebview(v,l){this.webviewMetadata.set(v,l)}unregisterWebview(v){this.webviewMetadata.delete(v)}async updateWebviewMetadata(v,l){const c=this.webviewMetadata.get(v);c&&this.webviewMetadata.set(v,Object.assign(Object.assign({},c),l))}async handleWebviewRequest(v,l){try{const c=i.URI.parse(v.url),a=yt.validWebviewFilePaths.get(c.path);if(typeof a=="string"){const s=c.path.startsWith("/electron-browser")?`vs/workbench/contrib/webview/electron-browser/pre/${a}`:`vs/workbench/contrib/webview/browser/pre/${a}`,t=n.FileAccess.asFileUri(s,H);return l(decodeURIComponent(t.fsPath))}}catch(c){}l({error:-10})}async handleWebviewResourceRequest(v,l){try{const c=i.URI.parse(v.url),a=v.headers["If-None-Match"],s=c.authority,t=this.webviewMetadata.get(s);if(t){let r;t.remoteConnectionData&&(r=u=>{var m;if(t.remoteConnectionData&&(u.scheme===n.Schemas.vscodeRemote||((m=t.extensionLocation)===null||m===void 0?void 0:m.scheme)===n.Schemas.vscodeRemote)){let I=t.remoteConnectionData.host;return I&&I.indexOf(":")!==-1&&(I=`[${I}]`),i.URI.parse(`http://${I}:${t.remoteConnectionData.port}`).with({path:"/vscode-remote-resource",query:`tkn=${t.remoteConnectionData.connectionToken}&path=${encodeURIComponent(u.path)}`})}return u});const o={readFileStream:async(u,m)=>{var I;if(u.scheme===n.Schemas.file)return(0,g.readFileStream)(this.fileService,u,m);const A=this.windowsMainService.getWindowById(t.windowId);if(!A)throw new L.FileOperationError("Could not find window for resource",1);const F=this.requestIdPool++,C=new Promise(G=>{this.pendingResourceReads.set(F,{resolve:G})});A.send(`vscode:loadWebviewResource-${s}`,F,c,m);const j=await C;switch(j.response){case"access-denied":throw new L.FileOperationError("Could not read file",6);case"not-found":throw new L.FileOperationError("Could not read file",1);case"not-modified":return g.WebviewFileReadResponse.NotModified;default:return new g.WebviewFileReadResponse.StreamSuccess((0,D.bufferToStream)(j.response),(I=j.responseDetails)===null||I===void 0?void 0:I.etag)}}},d=await(0,g.loadLocalResource)(c,a,{extensionLocation:t.extensionLocation,roots:t.localResourceRoots,remoteConnectionData:t.remoteConnectionData,rewriteUri:r},o,this.requestService,this.logService,b.CancellationToken.None);switch(d.type){case g.WebviewResourceResponse.Type.Success:{const u=d.etag?{ETag:d.etag,"Cache-Control":"no-cache"}:{},m=v.headers["If-None-Match"];return m&&d.etag===m?l({statusCode:304,data:void 0,headers:Object.assign({"Content-Type":d.mimeType,"Access-Control-Allow-Origin":"*"},u)}):l({statusCode:200,data:this.streamToNodeReadable(d.stream),headers:Object.assign({"Content-Type":d.mimeType,"Access-Control-Allow-Origin":"*"},u)})}case g.WebviewResourceResponse.Type.NotModified:return l({statusCode:304,data:void 0,headers:{"Content-Type":d.mimeType,"Access-Control-Allow-Origin":"*"}});case g.WebviewResourceResponse.Type.AccessDenied:return console.error("Webview: Cannot load resource outside of protocol root"),l({data:void 0,statusCode:401})}}}catch(c){}return l({data:void 0,statusCode:404})}didLoadResource(v,l,c){const a=this.pendingResourceReads.get(v);if(!a)throw new Error("Unknown request");this.pendingResourceReads.delete(v),a.resolve({response:l,responseDetails:c})}};p.validWebviewFilePaths=new Map([["/index.html","index.html"],["/electron-browser/index.html","index.html"],["/main.js","main.js"],["/host.js","host.js"]]),p=le([x(0,L.IFileService),x(1,f.ILogService),x(2,E.IRequestService),x(3,h.IWindowsMainService)],p),e.WebviewProtocolProvider=p}),define(Q[207],J([0,1,11,2,7,16,6,54,40,73,205,206,32]),function(H,e,w,R,D,b,P,n,y,i,L,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let g=class extends R.Disposable{constructor(p,S,v,l,c){super();this.windowsMainService=c,this.protocolProvider=this._register(new f.WebviewProtocolProvider(p,S,v,c)),this.portMappingProvider=this._register(new L.WebviewPortMappingProvider(l));const a=w.session.fromPartition(i.webviewPartitionId);a.setPermissionRequestHandler((s,t,r)=>r(t==="clipboard-read")),a.setPermissionCheckHandler((s,t)=>t==="clipboard-read")}async registerWebview(p,S,v){const l=v.extensionLocation?D.URI.from(v.extensionLocation):void 0;this.protocolProvider.registerWebview(p,Object.assign(Object.assign({},v),{windowId:S,extensionLocation:l,localResourceRoots:v.localResourceRoots.map(c=>D.URI.from(c))})),this.portMappingProvider.registerWebview(p,{extensionLocation:l,mappings:v.portMappings,resolvedAuthority:v.remoteConnectionData})}async unregisterWebview(p){this.protocolProvider.unregisterWebview(p),this.portMappingProvider.unregisterWebview(p)}async updateWebviewMetadata(p,S){var v;const l=S.extensionLocation?D.URI.from(S.extensionLocation):void 0;this.protocolProvider.updateWebviewMetadata(p,Object.assign(Object.assign({},S),{extensionLocation:l,localResourceRoots:(v=S.localResourceRoots)===null||v===void 0?void 0:v.map(c=>D.URI.from(c))})),this.portMappingProvider.updateWebviewMetadata(p,Object.assign(Object.assign({},S),{extensionLocation:l}))}async setIgnoreMenuShortcuts(p,S){let v;if(typeof p.windowId=="number"){const{windowId:l}=p,c=this.windowsMainService.getWindowById(l);if(!(c==null?void 0:c.win))throw new Error(`Invalid windowId: ${l}`);v=c.win.webContents}else{const{webContentsId:l}=p;if(v=w.webContents.fromId(l),!v)throw new Error(`Invalid webContentsId: ${l}`)}v.isDestroyed()||v.setIgnoreMenuShortcuts(S)}async didLoadResource(p,S,v){this.protocolProvider.didLoadResource(p,S,v)}};g=le([x(0,b.IFileService),x(1,P.ILogService),x(2,y.IRequestService),x(3,n.ITunnelService),x(4,E.IWindowsMainService)],g),e.WebviewMainService=g}),define(Q[208],J([0,1,4,2,10]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class b extends R.Disposable{constructor({onDidOpenWindow:n,onDidFocusWindow:y,getActiveWindowId:i}){super();this.disposables=this._register(new R.DisposableStore),w.Event.latch(w.Event.any(n,y))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,D.createCancelablePromise)(()=>i()),(async()=>{try{const f=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:f}catch(f){}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(n){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=n}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=b}),define(Q[209],J([0,1,7,15,5,36]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,D.createDecorator)("contextService");var P;(function(E){E[E.EMPTY=1]="EMPTY",E[E.FOLDER=2]="FOLDER",E[E.WORKSPACE=3]="WORKSPACE"})(P=e.WorkbenchState||(e.WorkbenchState={}));function n(E){const g=E;return!!(g&&typeof g=="object"&&typeof g.id=="string"&&Array.isArray(g.folders))}e.isWorkspace=n;function y(E){const g=E;return!!(g&&typeof g=="object"&&w.URI.isUri(g.uri)&&typeof g.name=="string"&&typeof g.toResource=="function")}e.isWorkspaceFolder=y;class i{constructor(g,h,p,S){this._id=g,this._configuration=p,this._ignorePathCasing=S,this._foldersMap=b.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=h}update(g){this._id=g.id,this._configuration=g.configuration,this._ignorePathCasing=g._ignorePathCasing,this.folders=g.folders}get folders(){return this._folders}set folders(g){this._folders=g,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(g){this._configuration=g}getFolder(g){return g&&this._foldersMap.findSubstr(g.with({scheme:g.scheme,authority:g.authority,path:g.path}))||null}updateFoldersMap(){this._foldersMap=b.TernarySearchTree.forUris(this._ignorePathCasing);for(const g of this.folders)this._foldersMap.set(g.uri,g)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=i;class L{constructor(g,h){this.raw=h,this.uri=g.uri,this.index=g.index,this.name=g.name}toResource(g){return(0,R.joinPath)(this.uri,g)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=L;function f(E){return new L({uri:E,index:0,name:(0,R.basenameOrAuthority)(E)},{uri:E.toString()})}e.toWorkspaceFolder=f}),define(Q[28],J([0,1,5,146,209,7,3,8,15,101,44,9,39,29,70]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const p=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,R.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function S(B){return(typeof B=="string"?(0,n.extname)(B):(0,y.extname)(B))===p}e.hasWorkspaceFileExtension=S,e.IWorkspacesService=(0,w.createDecorator)("workspacesService");function v(B){return B.hasOwnProperty("workspace")}e.isRecentWorkspace=v;function l(B){return B.hasOwnProperty("folderUri")}e.isRecentFolder=l;function c(B){return B.hasOwnProperty("fileUri")}e.isRecentFile=c;function a(B){const U=B;return typeof(U==null?void 0:U.id)=="string"&&b.URI.isUri(U.uri)}e.isSingleFolderWorkspaceIdentifier=a;function s(B){if(B.configuration)return{id:B.id,configPath:B.configuration};if(B.folders.length===1)return{id:B.id,uri:B.folders[0].uri}}e.toWorkspaceIdentifier=s;function t(B){const U=B;return typeof(U==null?void 0:U.id)=="string"&&b.URI.isUri(U.configPath)}e.isWorkspaceIdentifier=t;function r(B){const U=B;if(U==null?void 0:U.uri)return{id:U.id,uri:b.URI.revive(U.uri)};const $=B;if($==null?void 0:$.configPath)return{id:$.id,configPath:b.URI.revive($.configPath)};if(B==null?void 0:B.id)return{id:B.id}}e.reviveIdentifier=r;function o(B,U){return y.extUriBiasedIgnorePathCase.isEqualOrParent(B,U.untitledWorkspacesHome)}e.isUntitledWorkspace=o;function d(B){return u(B)||m(B)}e.isStoredWorkspaceFolder=d;function u(B){const U=B;return typeof(U==null?void 0:U.path)=="string"&&(!U.name||typeof U.name=="string")}e.isRawFileWorkspaceFolder=u;function m(B){const U=B;return typeof(U==null?void 0:U.uri)=="string"&&(!U.name||typeof U.name=="string")}e.isRawUriWorkspaceFolder=m;function I(B,U,$,_,k=!P.isWindows,M){if(B.scheme!==_.scheme)return{name:$,uri:B.toString(!0)};let O=U?void 0:M.relativePath(_,B);if(O!==void 0)O.length===0?O=".":P.isWindows&&B.scheme===f.Schemas.file&&!k&&(O=O.replace(/\//g,"\\"));else if(B.scheme===f.Schemas.file)O=B.fsPath,P.isWindows&&(O=(0,E.normalizeDriveLetter)(O),k&&(O=(0,g.toSlashes)(O)));else{if(!M.isEqualAuthority(B.authority,_.authority))return{name:$,uri:B.toString(!0)};O=B.path}return{name:$,path:O}}e.getStoredWorkspaceFolder=I;function A(B,U,$){let _=[],k=new Set;const M=$.dirname(U);for(let O of B){let T=null;if(u(O))O.path&&(T=$.resolvePath(M,O.path));else if(m(O))try{T=b.URI.parse(O.uri),T.path[0]!=="/"&&(T=T.with({path:"/"+T.path}))}catch(W){console.warn(W)}if(T){let W=$.getComparisonKey(T);if(!k.has(W)){k.add(W);const z=O.name||$.basenameOrAuthority(T);_.push(new D.WorkspaceFolder({uri:T,name:z,index:_.length},O))}}}return _}e.toWorkspaceFolders=A;function F(B,U,$,_,k){let M=C(U,B);const O=k.dirname(U),T=k.dirname(_),W=[],z=j(M.folders);for(const Y of M.folders){const ee=u(Y)?k.resolvePath(O,Y.path):b.URI.parse(Y.uri);let re;$?re=!1:re=!u(Y)||(0,n.isAbsolute)(Y.path),W.push(I(ee,re,Y.name,T,z,k))}const K={insertSpaces:!1,tabSize:4,eol:P.isLinux||P.isMacintosh?`
`:`\r
`},X=i.setProperty(B,["folders"],W,K);let Z=i.applyEdits(B,X);return M.remoteAuthority===(0,h.getRemoteAuthority)(_)&&(Z=i.applyEdits(Z,i.removeProperty(Z,["remoteAuthority"],K))),Z}e.rewriteWorkspaceFileForNewLocation=F;function C(B,U){let $=L.parse(U);if($&&Array.isArray($.folders))$.folders=$.folders.filter(_=>d(_));else throw new Error(`${B} looks like an invalid workspace file.`);return $}function j(B){return P.isWindows?B.some(U=>u(U)&&U.path.indexOf("/")>=0):!0}e.useSlashForPath=j;function G(B){return B.workspace&&typeof B.workspace=="object"&&typeof B.workspace.id=="string"&&typeof B.workspace.configPath=="string"}function ie(B){return typeof B.folderUri=="string"}function oe(B){return typeof B.fileUri=="string"}function V(B,U){const $={workspaces:[],files:[]};if(B){const _=function(M,O){for(let T=0;T<M.length;T++)try{O(M[T],T)}catch(W){U.warn(`Error restoring recent entry ${JSON.stringify(M[T])}: ${W.toString()}. Skip entry.`)}},k=B;if(Array.isArray(k.entries))_(k.entries,M=>{const O=M.label,T=M.remoteAuthority;G(M)?$.workspaces.push({label:O,remoteAuthority:T,workspace:{id:M.workspace.id,configPath:b.URI.parse(M.workspace.configPath)}}):ie(M)?$.workspaces.push({label:O,remoteAuthority:T,folderUri:b.URI.parse(M.folderUri)}):oe(M)&&$.files.push({label:O,remoteAuthority:T,fileUri:b.URI.parse(M.fileUri)})});else{const M=B;Array.isArray(M.workspaces3)&&_(M.workspaces3,(O,T)=>{const W=Array.isArray(M.workspaceLabels)&&M.workspaceLabels[T]||void 0;typeof O=="object"&&typeof O.id=="string"&&typeof O.configURIPath=="string"?$.workspaces.push({label:W,workspace:{id:O.id,configPath:b.URI.parse(O.configURIPath)}}):typeof O=="string"&&$.workspaces.push({label:W,folderUri:b.URI.parse(O)})}),Array.isArray(M.files2)&&_(M.files2,(O,T)=>{const W=Array.isArray(M.fileLabels)&&M.fileLabels[T]||void 0;typeof O=="string"&&$.files.push({label:W,fileUri:b.URI.parse(O)})})}}return $}e.restoreRecentlyOpened=V;function N(B){const U={entries:[]};for(const $ of B.workspaces)l($)?U.entries.push({folderUri:$.folderUri.toString(),label:$.label,remoteAuthority:$.remoteAuthority}):U.entries.push({workspace:{id:$.workspace.id,configPath:$.workspace.configPath.toString()},label:$.label,remoteAuthority:$.remoteAuthority});for(const $ of B.files)U.entries.push({fileUri:$.fileUri.toString(),label:$.label,remoteAuthority:$.remoteAuthority});return U}e.toStoreData=N}),define(Q[48],J([0,1,5,28]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isWorkspaceBackupInfo=e.IBackupMainService=void 0,e.IBackupMainService=(0,w.createDecorator)("backupMainService");function D(b){const P=b;return P&&(0,R.isWorkspaceIdentifier)(P.workspace)}e.isWorkspaceBackupInfo=D}),define(Q[49],J([0,1,5,11,10,38,3,8,64,23,13,130,28,39,2,77]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=(0,w.createDecorator)("dialogMainService");let S=class ut{constructor(l){this.stateService=l,this.windowFileDialogLocks=new Map,this.windowDialogQueues=new Map,this.noWindowDialogueQueue=new D.Queue}pickFileFolder(l,c){return this.doPick(Object.assign(Object.assign({},l),{pickFolders:!0,pickFiles:!0,title:(0,f.localize)(0,null)}),c)}pickFolder(l,c){return this.doPick(Object.assign(Object.assign({},l),{pickFolders:!0,title:(0,f.localize)(1,null)}),c)}pickFile(l,c){return this.doPick(Object.assign(Object.assign({},l),{pickFiles:!0,title:(0,f.localize)(2,null)}),c)}pickWorkspace(l,c){const a=(0,f.localize)(3,null),s=(0,g.mnemonicButtonLabel)((0,f.localize)(4,null)),t=E.WORKSPACE_FILTER;return this.doPick(Object.assign(Object.assign({},l),{pickFiles:!0,title:a,filters:t,buttonLabel:s}),c)}async doPick(l,c){const a={title:l.title,buttonLabel:l.buttonLabel,filters:l.filters};a.defaultPath=l.defaultPath||this.stateService.getItem(ut.workingDirPickerStorageKey),(typeof l.pickFiles=="boolean"||typeof l.pickFolders=="boolean")&&(a.properties=void 0,l.pickFiles&&l.pickFolders&&(a.properties=["multiSelections","openDirectory","openFile","createDirectory"])),a.properties||(a.properties=["multiSelections",l.pickFolders?"openDirectory":"openFile","createDirectory"]),P.isMacintosh&&a.properties.push("treatPackageAsDirectory");const s=c||R.BrowserWindow.getFocusedWindow(),t=await this.showOpenDialog(a,(0,L.withNullAsUndefined)(s));if(t&&t.filePaths&&t.filePaths.length>0)return this.stateService.setItem(ut.workingDirPickerStorageKey,(0,n.dirname)(t.filePaths[0])),t.filePaths}getWindowDialogQueue(l){if(l){let c=this.windowDialogQueues.get(l.id);return c||(c=new D.Queue,this.windowDialogQueues.set(l.id,c)),c}else return this.noWindowDialogueQueue}showMessageBox(l,c){return this.getWindowDialogQueue(c).queue(async()=>c?R.dialog.showMessageBox(c,l):R.dialog.showMessageBox(l))}async showSaveDialog(l,c){const a=this.acquireFileDialogLock(l,c);if(!a)throw new Error("A file save dialog is already or will be showing for the window with the same configuration");try{return await this.getWindowDialogQueue(c).queue(async()=>{let s;return c?s=await R.dialog.showSaveDialog(c,l):s=await R.dialog.showSaveDialog(l),s.filePath=this.normalizePath(s.filePath),s})}finally{(0,h.dispose)(a)}}normalizePath(l){return l&&P.isMacintosh&&(l=(0,y.normalizeNFC)(l)),l}normalizePaths(l){return l.map(c=>this.normalizePath(c))}async showOpenDialog(l,c){l.defaultPath&&(await(0,i.exists)(l.defaultPath)||(l.defaultPath=void 0));const a=this.acquireFileDialogLock(l,c);if(!a)throw new Error("A file open dialog is already or will be showing for the window with the same configuration");try{return await this.getWindowDialogQueue(c).queue(async()=>{let s;return c?s=await R.dialog.showOpenDialog(c,l):s=await R.dialog.showOpenDialog(l),s.filePaths=this.normalizePaths(s.filePaths),s})}finally{(0,h.dispose)(a)}}acquireFileDialogLock(l,c){if(!c)return h.Disposable.None;let a=this.windowFileDialogLocks.get(c.id);a||(a=new Set,this.windowFileDialogLocks.set(c.id,a));const s=(0,p.hash)(l);if(!a.has(s))return a.add(s),(0,h.toDisposable)(()=>{a==null||a.delete(s),(a==null?void 0:a.size)===0&&this.windowFileDialogLocks.delete(c.id)})}};S.workingDirPickerStorageKey="pickerWorkingDir",S=le([x(0,b.IStateService)],S),e.DialogMainService=S}),define(Q[210],J([0,1,4,2,28]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class b extends R.Disposable{constructor(n,y){super();this.logService=n,this.storageMainService=y,this._onDidChangeGlobalStorage=this._register(new w.Emitter),this.onDidChangeGlobalStorage=this._onDidChangeGlobalStorage.event,this.registerGlobalStorageListeners()}registerGlobalStorageListeners(){this._register(w.Event.debounce(this.storageMainService.globalStorage.onDidChangeStorage,(n,y)=>(n?n.push(y):n=[y],n),b.STORAGE_CHANGE_DEBOUNCE_TIME)(n=>{n.length&&this._onDidChangeGlobalStorage.fire(this.serializeGlobalStorageEvents(n))}))}serializeGlobalStorageEvents(n){const y=new Map,i=new Set;return n.forEach(L=>{const f=this.storageMainService.globalStorage.get(L.key);typeof f=="string"?y.set(L.key,f):i.add(L.key)}),{changed:Array.from(y.entries()),deleted:Array.from(i.values())}}listen(n,y){switch(y){case"onDidChangeGlobalStorage":return this.onDidChangeGlobalStorage}throw new Error(`Event not found: ${y}`)}async call(n,y,i){const L=(0,D.reviveIdentifier)(i.workspace),f=await this.withStorageInitialized(L);switch(y){case"getItems":return Array.from(f.items.entries());case"updateItems":{const E=i;if(E.insert)for(const[g,h]of E.insert)f.set(g,h);E.delete&&E.delete.forEach(g=>f.delete(g));break}case"close":{if(L)return f.close();break}default:throw new Error(`Call not found: ${y}`)}}async withStorageInitialized(n){const y=n?this.storageMainService.workspaceStorage(n):this.storageMainService.globalStorage;try{await y.init()}catch(i){this.logService.error(`StorageIPC#init: Unable to init ${n?"workspace":"global"} storage due to ${i}`)}return y}}e.StorageDatabaseChannel=b,b.STORAGE_CHANGE_DEBOUNCE_TIME=100}),define(Q[211],J([0,1,22,23,4,2,6,120,83,8,93,31,30,28]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceStorageMain=e.GlobalStorageMain=void 0;class h extends b.Disposable{constructor(l){super();this.logService=l,this._onDidChangeStorage=this._register(new D.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this._onDidCloseStorage=this._register(new D.Emitter),this.onDidCloseStorage=this._onDidCloseStorage.event,this.storage=new y.Storage(new y.InMemoryStorageDatabase),this.initializePromise=void 0}init(){return this.initializePromise||(this.initializePromise=(async()=>{try{const l=await this.doCreate();this.storage.dispose(),this.storage=l,this._register(l.onDidChangeStorage(a=>this._onDidChangeStorage.fire({key:a}))),await this.doInit(l);const c=l.getBoolean(L.IS_NEW_KEY);c===void 0?l.set(L.IS_NEW_KEY,!0):c&&l.set(L.IS_NEW_KEY,!1)}catch(l){this.logService.error(`StorageMain#initialize(): Unable to init storage due to ${l}`)}})()),this.initializePromise}createLogginOptions(){return{logTrace:this.logService.getLevel()===P.LogLevel.Trace?l=>this.logService.trace(l):void 0,logError:l=>this.logService.error(l)}}doInit(l){return l.init()}get items(){return this.storage.items}get(l,c){return this.storage.get(l,c)}set(l,c){return this.storage.set(l,c)}delete(l){return this.storage.delete(l)}async close(){this.initializePromise&&await this.initializePromise,await this.storage.close(),this._onDidCloseStorage.fire()}}class p extends h{constructor(l,c,a){super(c);this.options=l,this.environmentService=a}async doCreate(){let l;return this.options.useInMemoryStorage?l=n.SQLiteStorageDatabase.IN_MEMORY_PATH:l=(0,i.join)(this.environmentService.globalStorageHome.fsPath,p.STORAGE_NAME),new y.Storage(new n.SQLiteStorageDatabase(l,{logging:this.createLogginOptions()}))}async doInit(l){await super.doInit(l),this.updateTelemetryState(l)}updateTelemetryState(l){l.get(f.instanceStorageKey,void 0)===void 0&&l.set(f.instanceStorageKey,(0,E.generateUuid)()),l.get(f.firstSessionDateStorageKey,void 0)===void 0&&l.set(f.firstSessionDateStorageKey,new Date().toUTCString());const s=l.get(f.currentSessionDateStorageKey,void 0),t=new Date().toUTCString();l.set(f.lastSessionDateStorageKey,typeof s=="undefined"?null:s),l.set(f.currentSessionDateStorageKey,t)}}e.GlobalStorageMain=p,p.STORAGE_NAME="state.vscdb";class S extends h{constructor(l,c,a,s){super(a);this.workspace=l,this.options=c,this.environmentService=s}async doCreate(){const{storageFilePath:l,wasCreated:c}=await this.prepareWorkspaceStorageFolder();return new y.Storage(new n.SQLiteStorageDatabase(l,{logging:this.createLogginOptions()}),{hint:c?y.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async prepareWorkspaceStorageFolder(){if(this.options.useInMemoryStorage)return{storageFilePath:n.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const l=(0,i.join)(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id),c=(0,i.join)(l,S.WORKSPACE_STORAGE_NAME);return await(0,R.exists)(l)?{storageFilePath:c,wasCreated:!1}:(await w.promises.mkdir(l,{recursive:!0}),this.ensureWorkspaceStorageFolderMeta(l),{storageFilePath:c,wasCreated:!0})}async ensureWorkspaceStorageFolderMeta(l){let c;if((0,g.isSingleFolderWorkspaceIdentifier)(this.workspace)?c={folder:this.workspace.uri.toString()}:(0,g.isWorkspaceIdentifier)(this.workspace)&&(c={workspace:this.workspace.configPath.toString()}),c)try{const a=(0,i.join)(l,S.WORKSPACE_META_NAME);await(0,R.exists)(a)||await(0,R.writeFile)(a,JSON.stringify(c,void 0,2))}catch(a){this.logService.error(`StorageMain#ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${a}`)}}}e.WorkspaceStorageMain=S,S.WORKSPACE_STORAGE_NAME="state.vscdb",S.WORKSPACE_META_NAME="workspace.json"}),define(Q[96],J([0,1,43,2,52,5,18,6,211]),function(H,e,w,R,D,b,P,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=(0,b.createDecorator)("storageMainService");let i=class extends R.Disposable{constructor(f,E,g){super();this.logService=f,this.environmentService=E,this.lifecycleMainService=g,this.globalStorage=this.createGlobalStorage(),this.mapWorkspaceToStorage=new Map,this.registerListeners()}getStorageOptions(){return{useInMemoryStorage:!!this.environmentService.extensionTestsLocationURI}}registerListeners(){(async()=>{await this.lifecycleMainService.when(3),this.globalStorage.init()})(),this._register(this.lifecycleMainService.onWillLoadWindow(async f=>{f.workspace&&this.workspaceStorage(f.workspace).init()})),this._register(this.lifecycleMainService.onWillShutdown(f=>{f.join(this.globalStorage.close());for(const[,E]of this.mapWorkspaceToStorage)f.join(E.close())}))}createGlobalStorage(){if(this.globalStorage)return this.globalStorage;this.logService.trace("StorageMainService: creating global storage");const f=new y.GlobalStorageMain(this.getStorageOptions(),this.logService,this.environmentService);return(0,w.once)(f.onDidCloseStorage)(()=>{this.logService.trace("StorageMainService: closed global storage")}),f}createWorkspaceStorage(f){return new y.WorkspaceStorageMain(f,this.getStorageOptions(),this.logService,this.environmentService)}workspaceStorage(f){let E=this.mapWorkspaceToStorage.get(f.id);return E||(this.logService.trace(`StorageMainService: creating workspace storage (${f.id})`),E=this.createWorkspaceStorage(f),this.mapWorkspaceToStorage.set(f.id,E),(0,w.once)(E.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed workspace storage (${f.id})`),this.mapWorkspaceToStorage.delete(f.id)})),E}};i=le([x(0,n.ILogService),x(1,D.IEnvironmentService),x(2,P.ILifecycleMainService)],i),e.StorageMainService=i}),define(Q[97],J([0,1,7,28,15]),function(H,e,w,R,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;function b(y,i,L){for(const E of y){const g=E.openedWorkspace;if((0,R.isWorkspaceIdentifier)(g)){const h=L(g);if(h){if(h.folders.some(p=>D.extUriBiasedIgnorePathCase.isEqualOrParent(i,p.uri)))return E}else if(D.extUriBiasedIgnorePathCase.isEqualOrParent(i,g.configPath))return E}}const f=y.filter(E=>(0,R.isSingleFolderWorkspaceIdentifier)(E.openedWorkspace)&&D.extUriBiasedIgnorePathCase.isEqualOrParent(i,E.openedWorkspace.uri));if(f.length)return f.sort((E,g)=>-(E.openedWorkspace.uri.path.length-g.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=b;function P(y,i){for(const L of y)if((0,R.isWorkspaceIdentifier)(L.openedWorkspace)&&D.extUriBiasedIgnorePathCase.isEqual(L.openedWorkspace.configPath,i)||(0,R.isSingleFolderWorkspaceIdentifier)(L.openedWorkspace)&&D.extUriBiasedIgnorePathCase.isEqual(L.openedWorkspace.uri,i))return L}e.findWindowOnWorkspaceOrFolder=P;function n(y,i){var L,f;const E=g=>i.some(h=>D.extUriBiasedIgnorePathCase.isEqual(w.URI.file(h),w.URI.file(g)));for(const g of y)if((f=(L=g.config)===null||L===void 0?void 0:L.extensionDevelopmentPath)===null||f===void 0?void 0:f.some(h=>E(h)))return g}e.findWindowOnExtensionDevelopmentPath=n}),define(Q[212],J([0,1,11,2,3,15,7,24,18,6,38,32,28]),function(H,e,w,R,D,b,P,n,y,i,L,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let g=class ht extends R.Disposable{constructor(c,a,s,t,r){super();this.windowsMainService=c,this.stateService=a,this.lifecycleMainService=s,this.logService=t,this.configurationService=r,this._state=h(this.stateService.getItem(ht.windowsStateStorageKey)),this.lastClosedState=void 0,this.shuttingDown=!1,this.registerListeners()}get state(){return this._state}registerListeners(){w.app.on("browser-window-blur",()=>{this.shuttingDown||this.saveWindowsState()}),this.lifecycleMainService.onBeforeCloseWindow(c=>this.onBeforeCloseWindow(c)),this.lifecycleMainService.onBeforeShutdown(()=>this.onBeforeShutdown()),this.windowsMainService.onDidChangeWindowsCount(c=>{c.newCount-c.oldCount>0&&(this.lastClosedState=void 0)}),this.windowsMainService.onDidDestroyWindow(c=>this.onBeforeCloseWindow(c))}onBeforeShutdown(){this.shuttingDown=!0,this.saveWindowsState()}saveWindowsState(){const c={openedWindows:[],lastPluginDevelopmentHostWindow:this._state.lastPluginDevelopmentHostWindow,lastActiveWindow:this.lastClosedState};if(!c.lastActiveWindow){let t=this.windowsMainService.getLastActiveWindow();(!t||t.isExtensionDevelopmentHost)&&(t=this.windowsMainService.getWindows().find(r=>!r.isExtensionDevelopmentHost)),t&&(c.lastActiveWindow=this.toWindowState(t))}const a=this.windowsMainService.getWindows().find(t=>t.isExtensionDevelopmentHost&&!t.isExtensionTestHost);a&&(c.lastPluginDevelopmentHostWindow=this.toWindowState(a)),this.windowsMainService.getWindowCount()>1&&(c.openedWindows=this.windowsMainService.getWindows().filter(t=>!t.isExtensionDevelopmentHost).map(t=>this.toWindowState(t)));const s=S(c);this.stateService.setItem(ht.windowsStateStorageKey,s),this.shuttingDown&&this.logService.trace("[WindowsStateHandler] onBeforeShutdown",s)}onBeforeCloseWindow(c){if(!this.lifecycleMainService.quitRequested){const a=this.toWindowState(c);c.isExtensionDevelopmentHost&&!c.isExtensionTestHost?this._state.lastPluginDevelopmentHostWindow=a:!c.isExtensionDevelopmentHost&&c.openedWorkspace&&this._state.openedWindows.forEach(s=>{var t;const r=(0,E.isWorkspaceIdentifier)(c.openedWorkspace)&&((t=s.workspace)===null||t===void 0?void 0:t.id)===c.openedWorkspace.id,o=(0,E.isSingleFolderWorkspaceIdentifier)(c.openedWorkspace)&&s.folderUri&&b.extUriBiasedIgnorePathCase.isEqual(s.folderUri,c.openedWorkspace.uri);(r||o)&&(s.uiState=a.uiState)}),this.windowsMainService.getWindowCount()===1&&(this.lastClosedState=a)}}toWindowState(c){return{workspace:(0,E.isWorkspaceIdentifier)(c.openedWorkspace)?c.openedWorkspace:void 0,folderUri:(0,E.isSingleFolderWorkspaceIdentifier)(c.openedWorkspace)?c.openedWorkspace.uri:void 0,backupPath:c.backupPath,remoteAuthority:c.remoteAuthority,uiState:c.serializeWindowState()}}getNewWindowState(c){const a=this.doGetNewWindowState(c),s=this.configurationService.getValue("window");let t;return a.hasDefaultState?t=!!((s==null?void 0:s.newWindowDimensions)&&["fullscreen","inherit","offset"].indexOf(s.newWindowDimensions)>=0):(t=!!(this.lifecycleMainService.wasRestarted||(s==null?void 0:s.restoreFullscreen)),t&&D.isMacintosh&&this.windowsMainService.getWindows().some(r=>r.isFullScreen)&&(t=!1)),a.mode===3&&!t&&(a.mode=1),a}doGetNewWindowState(c){const a=this.windowsMainService.getLastActiveWindow();if(!c.extensionTestsPath){if(!!c.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const u=c.workspace;if((0,E.isWorkspaceIdentifier)(u)){const I=this.state.openedWindows.filter(A=>A.workspace&&A.workspace.id===u.id).map(A=>A.uiState);if(I.length)return I[0]}if((0,E.isSingleFolderWorkspaceIdentifier)(u)){const I=this.state.openedWindows.filter(A=>A.folderUri&&b.extUriBiasedIgnorePathCase.isEqual(A.folderUri,u.uri)).map(A=>A.uiState);if(I.length)return I[0]}else if(c.backupPath){const I=this.state.openedWindows.filter(A=>A.backupPath===c.backupPath).map(A=>A.uiState);if(I.length)return I[0]}const m=this.lastClosedState||this.state.lastActiveWindow;if(!a&&m)return m.uiState}let s;const t=w.screen.getAllDisplays();if(t.length===1)s=t[0];else{if(D.isMacintosh){const u=w.screen.getCursorScreenPoint();s=w.screen.getDisplayNearestPoint(u)}!s&&a&&(s=w.screen.getDisplayMatching(a.getBounds())),s||(s=w.screen.getPrimaryDisplay()||t[0])}let r=(0,f.defaultWindowState)();r.x=Math.round(s.bounds.x+s.bounds.width/2-r.width/2),r.y=Math.round(s.bounds.y+s.bounds.height/2-r.height/2);const o=this.configurationService.getValue("window");let d=!0;if(o==null?void 0:o.newWindowDimensions){if(o.newWindowDimensions==="maximized")r.mode=0,d=!1;else if(o.newWindowDimensions==="fullscreen")r.mode=3,d=!1;else if((o.newWindowDimensions==="inherit"||o.newWindowDimensions==="offset")&&a){const u=a.serializeWindowState();u.mode===3?r.mode=3:r=u,d=r.mode!==3&&o.newWindowDimensions==="offset"}}return d&&(r=this.ensureNoOverlap(r)),r.hasDefaultState=!0,r}ensureNoOverlap(c){if(this.windowsMainService.getWindows().length===0)return c;c.x=typeof c.x=="number"?c.x:0,c.y=typeof c.y=="number"?c.y:0;const a=this.windowsMainService.getWindows().map(s=>s.getBounds());for(;a.some(s=>s.x===c.x||s.y===c.y);)c.x+=30,c.y+=30;return c}};g.windowsStateStorageKey="windowsState",g=le([x(0,f.IWindowsMainService),x(1,L.IStateService),x(2,y.ILifecycleMainService),x(3,i.ILogService),x(4,n.IConfigurationService)],g),e.WindowsStateHandler=g;function h(l){const c={openedWindows:[]},a=l||{openedWindows:[]};return a.lastActiveWindow&&(c.lastActiveWindow=p(a.lastActiveWindow)),a.lastPluginDevelopmentHostWindow&&(c.lastPluginDevelopmentHostWindow=p(a.lastPluginDevelopmentHostWindow)),Array.isArray(a.openedWindows)&&(c.openedWindows=a.openedWindows.map(s=>p(s))),c}e.restoreWindowsState=h;function p(l){const c={uiState:l.uiState};return l.backupPath&&(c.backupPath=l.backupPath),l.remoteAuthority&&(c.remoteAuthority=l.remoteAuthority),l.folder&&(c.folderUri=P.URI.parse(l.folder)),l.workspaceIdentifier&&(c.workspace={id:l.workspaceIdentifier.id,configPath:P.URI.parse(l.workspaceIdentifier.configURIPath)}),c}function S(l){return{lastActiveWindow:l.lastActiveWindow&&v(l.lastActiveWindow),lastPluginDevelopmentHostWindow:l.lastPluginDevelopmentHostWindow&&v(l.lastPluginDevelopmentHostWindow),openedWindows:l.openedWindows.map(c=>v(c))}}e.getWindowsStateStoreData=S;function v(l){return{workspaceIdentifier:l.workspace&&{id:l.workspace.id,configURIPath:l.workspace.configPath.toString()},folder:l.folderUri&&l.folderUri.toString(),backupPath:l.backupPath,remoteAuthority:l.remoteAuthority,uiState:l.uiState}}}),define(Q[55],J([0,1,58,59,213,4,33,8,27,30,2,21,81,19,3]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class p{constructor(I){this.socket=I}dispose(){this.socket.destroy()}onData(I){const A=F=>I(f.VSBuffer.wrap(F));return this.socket.on("data",A),{dispose:()=>this.socket.off("data",A)}}onClose(I){return this.socket.on("close",I),{dispose:()=>this.socket.off("close",I)}}onEnd(I){return this.socket.on("end",I),{dispose:()=>this.socket.off("end",I)}}write(I){if(!this.socket.destroyed)try{this.socket.write(I.buffer)}catch(A){if(A.code==="EPIPE")return;(0,g.onUnexpectedError)(A)}}end(){this.socket.end()}drain(){return new Promise((I,A)=>{if(this.socket.bufferSize===0){I();return}const F=()=>{this.socket.off("close",F),this.socket.off("end",F),this.socket.off("error",F),this.socket.off("timeout",F),this.socket.off("drain",F),I()};this.socket.on("close",F),this.socket.on("end",F),this.socket.on("error",F),this.socket.on("timeout",F),this.socket.on("drain",F)})}}e.NodeSocket=p;var S;(function(m){m[m.MinHeaderByteSize=2]="MinHeaderByteSize"})(S||(S={}));var v;(function(m){m[m.PeekHeader=1]="PeekHeader",m[m.ReadHeader=2]="ReadHeader",m[m.ReadBody=3]="ReadBody",m[m.Fin=4]="Fin"})(v||(v={}));class l extends L.Disposable{constructor(I,A,F,C){super();this._onDidZlibFlush=this._register(new b.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new b.Emitter),this._onClose=this._register(new b.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=I,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=A,this._recordInflateBytes=C,A?(this._zlibInflate=D.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",j=>{console.error(j),(0,g.onUnexpectedError)(j),this._onClose.fire()}),this._zlibInflate.on("data",j=>{this._pendingInflateData.push(j)}),F&&(this._zlibInflate.write(F.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=D.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",j=>{console.error(j),(0,g.onUnexpectedError)(j),this._onClose.fire()}),this._zlibDeflate.on("data",j=>{this._pendingDeflateData.push(j)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new E.ChunkStream,this._register(this.socket.onData(j=>this._acceptChunk(j))),this._register(this.socket.onClose(()=>this._onClose.fire()))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?f.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):f.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(I){return this._onData.event(I)}onClose(I){return this._onClose.event(I)}onEnd(I){return this.socket.onEnd(I)}write(I){this._totalOutgoingDataBytes+=I.byteLength,this._zlibDeflate?(this._zlibDeflate.write(I.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let A=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,A=A.slice(0,A.length-4),this._isEnded||this._write(f.VSBuffer.wrap(A),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(I,!1)}_write(I,A){let F=2;I.byteLength<126?F+=0:I.byteLength<2**16?F+=2:F+=8;const C=f.VSBuffer.alloc(F);if(A?C.writeUInt8(194,0):C.writeUInt8(130,0),I.byteLength<126)C.writeUInt8(I.byteLength,1);else if(I.byteLength<2**16){C.writeUInt8(126,1);let j=1;C.writeUInt8(I.byteLength>>>8&255,++j),C.writeUInt8(I.byteLength>>>0&255,++j)}else{C.writeUInt8(127,1);let j=1;C.writeUInt8(0,++j),C.writeUInt8(0,++j),C.writeUInt8(0,++j),C.writeUInt8(0,++j),C.writeUInt8(I.byteLength>>>24&255,++j),C.writeUInt8(I.byteLength>>>16&255,++j),C.writeUInt8(I.byteLength>>>8&255,++j),C.writeUInt8(I.byteLength>>>0&255,++j)}this._totalOutgoingWireBytes+=C.byteLength+I.byteLength,this.socket.write(f.VSBuffer.concat([C,I]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(I){if(I.byteLength!==0){for(this._totalIncomingWireBytes+=I.byteLength,this._incomingData.acceptChunk(I);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const A=this._incomingData.peek(this._state.readLen),C=(A.readUInt8(0)&128)>>>7,j=A.readUInt8(1),G=(j&128)>>>7,ie=j&127;this._state.state=2,this._state.readLen=2+(G?4:0)+(ie===126?2:0)+(ie===127?8:0),this._state.fin=C,this._state.mask=0}else if(this._state.state===2){const A=this._incomingData.read(this._state.readLen),F=A.readUInt8(1),C=(F&128)>>>7;let j=F&127,G=1;j===126?j=A.readUInt8(++G)*2**8+A.readUInt8(++G):j===127&&(j=A.readUInt8(++G)*0+A.readUInt8(++G)*0+A.readUInt8(++G)*0+A.readUInt8(++G)*0+A.readUInt8(++G)*2**24+A.readUInt8(++G)*2**16+A.readUInt8(++G)*2**8+A.readUInt8(++G));let ie=0;C&&(ie=A.readUInt8(++G)*2**24+A.readUInt8(++G)*2**16+A.readUInt8(++G)*2**8+A.readUInt8(++G)),this._state.state=3,this._state.readLen=j,this._state.mask=ie}else if(this._state.state===3){const A=this._incomingData.read(this._state.readLen);c(A,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(A.buffer)),this._zlibInflate.write(A.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const F=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=F.length,this._onData.fire(f.VSBuffer.wrap(F))})):(this._totalIncomingDataBytes+=A.byteLength,this._onData.fire(A))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await b.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=l;function c(m,I){if(I!==0){let A=m.byteLength>>>2;for(let oe=0;oe<A;oe++){const V=m.readUInt32BE(oe*4);m.writeUInt32BE(V^I,oe*4)}let F=A*4,C=m.byteLength-F;const j=I>>>24&255,G=I>>>16&255,ie=I>>>8&255;C>=1&&m.writeUInt8(m.readUInt8(F)^j,F),C>=2&&m.writeUInt8(m.readUInt8(F+1)^G,F+1),C>=3&&m.writeUInt8(m.readUInt8(F+2)^ie,F+2)}}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const a={[2]:107,[1]:103};function s(){const m=(0,i.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${m}-sock`;let I;return e.XDG_RUNTIME_DIR?I=(0,n.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${m}.sock`):I=(0,n.join)((0,y.tmpdir)(),`vscode-ipc-${m}.sock`),r(I),I}e.createRandomIPCHandle=s;function t(m,I,A){const F=(0,w.createHash)("md5").update(m).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${F}-${A}-${I}-sock`;let C;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?C=(0,n.join)(e.XDG_RUNTIME_DIR,`vscode-${F.substr(0,8)}-${A}-${I}.sock`):C=(0,n.join)(m,`${A}-${I}.sock`),r(C),C}e.createStaticIPCHandle=t;function r(m){const I=a[h.platform];typeof I=="number"&&m.length>=I&&console.warn(`WARNING: IPC handle "${m}" is longer than ${I} chars, try a shorter --user-data-dir`)}class o extends P.IPCServer{constructor(I){super(o.toClientConnectionEvent(I));this.server=I}static toClientConnectionEvent(I){const A=b.Event.fromNodeEventEmitter(I,"connection");return b.Event.map(A,F=>({protocol:new E.Protocol(new p(F)),onDidClientDisconnect:b.Event.once(b.Event.fromNodeEventEmitter(F,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=o;function d(m){return new Promise((I,A)=>{const F=(0,R.createServer)();F.on("error",A),F.listen(m,()=>{F.removeListener("error",A),I(new o(F))})})}e.serve=d;function u(m,I){return new Promise((A,F)=>{const C=(0,R.createConnection)(m,()=>{C.removeListener("error",F),A(E.Client.fromSocket(new p(C),I))});C.once("error",F)})}e.connect=u}),define(Q[214],J([0,1,55]),function(H,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.WindowDriverChannelClient=e.WindowDriverChannel=e.WindowDriverRegistryChannelClient=e.WindowDriverRegistryChannel=e.DriverChannelClient=e.DriverChannel=void 0;class R{constructor(f){this.driver=f}listen(f,E){throw new Error("No event found")}call(f,E,g){switch(E){case"getWindowIds":return this.driver.getWindowIds();case"capturePage":return this.driver.capturePage(g);case"reloadWindow":return this.driver.reloadWindow(g);case"exitApplication":return this.driver.exitApplication();case"dispatchKeybinding":return this.driver.dispatchKeybinding(g[0],g[1]);case"click":return this.driver.click(g[0],g[1],g[2],g[3]);case"doubleClick":return this.driver.doubleClick(g[0],g[1]);case"setValue":return this.driver.setValue(g[0],g[1],g[2]);case"getTitle":return this.driver.getTitle(g[0]);case"isActiveElement":return this.driver.isActiveElement(g[0],g[1]);case"getElements":return this.driver.getElements(g[0],g[1],g[2]);case"getElementXY":return this.driver.getElementXY(g[0],g[1],g[2]);case"typeInEditor":return this.driver.typeInEditor(g[0],g[1],g[2]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(g[0],g[1]);case"writeInTerminal":return this.driver.writeInTerminal(g[0],g[1],g[2])}throw new Error(`Call not found: ${E}`)}}e.DriverChannel=R;class D{constructor(f){this.channel=f}getWindowIds(){return this.channel.call("getWindowIds")}capturePage(f){return this.channel.call("capturePage",f)}reloadWindow(f){return this.channel.call("reloadWindow",f)}exitApplication(){return this.channel.call("exitApplication")}dispatchKeybinding(f,E){return this.channel.call("dispatchKeybinding",[f,E])}click(f,E,g,h){return this.channel.call("click",[f,E,g,h])}doubleClick(f,E){return this.channel.call("doubleClick",[f,E])}setValue(f,E,g){return this.channel.call("setValue",[f,E,g])}getTitle(f){return this.channel.call("getTitle",[f])}isActiveElement(f,E){return this.channel.call("isActiveElement",[f,E])}getElements(f,E,g){return this.channel.call("getElements",[f,E,g])}getElementXY(f,E,g,h){return this.channel.call("getElementXY",[f,E,g,h])}typeInEditor(f,E,g){return this.channel.call("typeInEditor",[f,E,g])}getTerminalBuffer(f,E){return this.channel.call("getTerminalBuffer",[f,E])}writeInTerminal(f,E,g){return this.channel.call("writeInTerminal",[f,E,g])}}e.DriverChannelClient=D;class b{constructor(f){this.registry=f}listen(f,E){throw new Error(`Event not found: ${E}`)}call(f,E,g){switch(E){case"registerWindowDriver":return this.registry.registerWindowDriver(g);case"reloadWindowDriver":return this.registry.reloadWindowDriver(g)}throw new Error(`Call not found: ${E}`)}}e.WindowDriverRegistryChannel=b;class P{constructor(f){this.channel=f}registerWindowDriver(f){return this.channel.call("registerWindowDriver",f)}reloadWindowDriver(f){return this.channel.call("reloadWindowDriver",f)}}e.WindowDriverRegistryChannelClient=P;class n{constructor(f){this.driver=f}listen(f,E){throw new Error(`No event found: ${E}`)}call(f,E,g){switch(E){case"click":return this.driver.click(g[0],g[1],g[2]);case"doubleClick":return this.driver.doubleClick(g);case"setValue":return this.driver.setValue(g[0],g[1]);case"getTitle":return this.driver.getTitle();case"isActiveElement":return this.driver.isActiveElement(g);case"getElements":return this.driver.getElements(g[0],g[1]);case"getElementXY":return this.driver.getElementXY(g[0],g[1],g[2]);case"typeInEditor":return this.driver.typeInEditor(g[0],g[1]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(g);case"writeInTerminal":return this.driver.writeInTerminal(g[0],g[1])}throw new Error(`Call not found: ${E}`)}}e.WindowDriverChannel=n;class y{constructor(f){this.channel=f}click(f,E,g){return this.channel.call("click",[f,E,g])}doubleClick(f){return this.channel.call("doubleClick",f)}setValue(f,E){return this.channel.call("setValue",[f,E])}getTitle(){return this.channel.call("getTitle")}isActiveElement(f){return this.channel.call("isActiveElement",f)}getElements(f,E){return this.channel.call("getElements",[f,E])}getElementXY(f,E,g){return this.channel.call("getElementXY",[f,E,g])}typeInEditor(f,E){return this.channel.call("typeInEditor",[f,E])}getTerminalBuffer(f){return this.channel.call("getTerminalBuffer",f)}writeInTerminal(f,E){return this.channel.call("writeInTerminal",[f,E])}}e.WindowDriverChannelClient=y;async function i(L){const f=await(0,w.connect)(L,"driverClient"),E=f.getChannel("driver"),g=new D(E);return{client:f,driver:g}}e.connect=i}),define(Q[26],J([0,1,8,51,5,52,153,55]),function(H,e,w,R,D,b,P,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=(0,D.refineServiceDecorator)(b.IEnvironmentService);class y extends P.NativeEnvironmentService{get cachedLanguagesPath(){return(0,w.join)(this.userDataPath,"clp")}get backupHome(){return(0,w.join)(this.userDataPath,"Backups")}get backupWorkspacesPath(){return(0,w.join)(this.backupHome,"workspaces.json")}get mainIPCHandle(){return(0,n.createStaticIPCHandle)(this.userDataPath,"main",this.productService.version)}get sandbox(){return!!this.args.__sandbox}get driverVerbose(){return!!this.args["driver-verbose"]}get disableUpdates(){return!!this.args["disable-updates"]}get disableKeytar(){return!!this.args["disable-keytar"]}get nodeCachedDataDir(){return process.env.VSCODE_NODE_CACHED_DATA_DIR||void 0}}le([R.memoize],y.prototype,"cachedLanguagesPath",null),le([R.memoize],y.prototype,"backupHome",null),le([R.memoize],y.prototype,"backupWorkspacesPath",null),le([R.memoize],y.prototype,"mainIPCHandle",null),le([R.memoize],y.prototype,"sandbox",null),le([R.memoize],y.prototype,"driverVerbose",null),le([R.memoize],y.prototype,"disableUpdates",null),le([R.memoize],y.prototype,"disableKeytar",null),le([R.memoize],y.prototype,"nodeCachedDataDir",null),e.EnvironmentMainService=y}),define(Q[215],J([0,1,22,58,8,3,23,48,26,24,16,6,28,7,29,9,15]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let v=class{constructor(c,a,s){this.configurationService=a,this.logService=s,this.workspaces=[],this.folders=[],this.emptyWindows=[],this.backupUriComparer=S.extUriBiasedIgnorePathCase,this.backupPathComparer={isEqual:(t,r)=>(0,h.isEqual)(t,r,!b.isLinux)},this.backupHome=c.backupHome,this.workspacesJsonPath=c.backupWorkspacesPath}async initialize(){let c;try{c=JSON.parse(await w.promises.readFile(this.workspacesJsonPath,"utf8"))}catch(t){c=Object.create(null)}c.emptyWorkspaceInfos&&(this.emptyWindows=await this.validateEmptyWorkspaces(c.emptyWorkspaceInfos));let a=[];try{Array.isArray(c.rootURIWorkspaces)&&(a=c.rootURIWorkspaces.map(t=>({workspace:{id:t.id,configPath:g.URI.parse(t.configURIPath)},remoteAuthority:t.remoteAuthority})))}catch(t){}this.workspaces=await this.validateWorkspaces(a);let s=[];try{Array.isArray(c.folderURIWorkspaces)&&(s=c.folderURIWorkspaces.map(t=>g.URI.parse(t)))}catch(t){}this.folders=await this.validateFolders(s),await this.save()}getWorkspaceBackups(){return this.isHotExitOnExitAndWindowClose()?[]:this.workspaces.slice(0)}getFolderBackupPaths(){return this.isHotExitOnExitAndWindowClose()?[]:this.folders.slice(0)}isHotExitEnabled(){return this.getHotExitConfig()!==L.HotExitConfiguration.OFF}isHotExitOnExitAndWindowClose(){return this.getHotExitConfig()===L.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}getHotExitConfig(){var c;const a=this.configurationService.getValue();return((c=a==null?void 0:a.files)===null||c===void 0?void 0:c.hotExit)||L.HotExitConfiguration.ON_EXIT}getEmptyWindowBackupPaths(){return this.emptyWindows.slice(0)}registerWorkspaceBackupSync(c,a){this.workspaces.some(t=>c.workspace.id===t.workspace.id)||(this.workspaces.push(c),this.saveSync());const s=this.getBackupPath(c.workspace.id);return a&&this.moveBackupFolderSync(s,a),s}moveBackupFolderSync(c,a){if(w.existsSync(c)&&this.convertToEmptyWindowBackupSync(c),w.existsSync(a))try{w.renameSync(a,c)}catch(s){this.logService.error(`Backup: Could not move backup folder to new location: ${s.toString()}`)}}unregisterWorkspaceBackupSync(c){const a=c.id,s=this.workspaces.findIndex(t=>t.workspace.id===a);s!==-1&&(this.workspaces.splice(s,1),this.saveSync())}registerFolderBackupSync(c){return this.folders.some(a=>this.backupUriComparer.isEqual(c,a))||(this.folders.push(c),this.saveSync()),this.getBackupPath(this.getFolderHash(c))}unregisterFolderBackupSync(c){const a=this.folders.findIndex(s=>this.backupUriComparer.isEqual(c,s));a!==-1&&(this.folders.splice(a,1),this.saveSync())}registerEmptyWindowBackupSync(c,a){const s=c||this.getRandomEmptyWindowId();return this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,s))||(this.emptyWindows.push({backupFolder:s,remoteAuthority:a}),this.saveSync()),this.getBackupPath(s)}unregisterEmptyWindowBackupSync(c){const a=this.emptyWindows.findIndex(s=>!!s.backupFolder&&this.backupPathComparer.isEqual(s.backupFolder,c));a!==-1&&(this.emptyWindows.splice(a,1),this.saveSync())}getBackupPath(c){return(0,D.join)(this.backupHome,c)}async validateWorkspaces(c){if(!Array.isArray(c))return[];const a=new Set,s=[];for(let t of c){const r=t.workspace;if(!(0,E.isWorkspaceIdentifier)(r))return[];if(!a.has(r.id)){a.add(r.id);const o=this.getBackupPath(r.id);await this.doHasBackups(o)?r.configPath.scheme!==p.Schemas.file||await(0,P.exists)(r.configPath.fsPath)?s.push(t):await this.convertToEmptyWindowBackup(o):await this.deleteStaleBackup(o)}}return s}async validateFolders(c){if(!Array.isArray(c))return[];const a=[],s=new Set;for(let t of c){const r=this.backupUriComparer.getComparisonKey(t);if(!s.has(r)){s.add(r);const o=this.getBackupPath(this.getFolderHash(t));await this.doHasBackups(o)?t.scheme!==p.Schemas.file||await(0,P.exists)(t.fsPath)?a.push(t):await this.convertToEmptyWindowBackup(o):await this.deleteStaleBackup(o)}}return a}async validateEmptyWorkspaces(c){if(!Array.isArray(c))return[];const a=[],s=new Set;for(let t of c){const r=t.backupFolder;if(typeof r!="string")return[];if(!s.has(r)){s.add(r);const o=this.getBackupPath(r);await this.doHasBackups(o)?a.push(t):await this.deleteStaleBackup(o)}}return a}async deleteStaleBackup(c){try{await(0,P.exists)(c)&&await(0,P.rimraf)(c,P.RimRafMode.MOVE)}catch(a){this.logService.error(`Backup: Could not delete stale backup: ${a.toString()}`)}}async convertToEmptyWindowBackup(c){let a=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,a));)a=this.getRandomEmptyWindowId();const s=this.getBackupPath(a);try{await w.promises.rename(c,s)}catch(t){return this.logService.error(`Backup: Could not rename backup folder: ${t.toString()}`),!1}return this.emptyWindows.push({backupFolder:a}),!0}convertToEmptyWindowBackupSync(c){let a=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,a));)a=this.getRandomEmptyWindowId();const s=this.getBackupPath(a);try{w.renameSync(c,s)}catch(t){return this.logService.error(`Backup: Could not rename backup folder: ${t.toString()}`),!1}return this.emptyWindows.push({backupFolder:a}),!0}async getDirtyWorkspaces(){const c=[];for(const a of this.workspaces)await this.hasBackups(a)&&c.push(a.workspace);for(const a of this.folders)await this.hasBackups(a)&&c.push(a);return c}hasBackups(c){let a;return g.URI.isUri(c)?a=this.getBackupPath(this.getFolderHash(c)):(0,n.isWorkspaceBackupInfo)(c)?a=this.getBackupPath(c.workspace.id):a=c.backupFolder,this.doHasBackups(a)}async doHasBackups(c){try{const a=await(0,P.readdir)(c);for(const s of a)try{if((await(0,P.readdir)((0,D.join)(c,s))).length>0)return!0}catch(t){}}catch(a){}return!1}saveSync(){try{(0,P.writeFileSync)(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(c){this.logService.error(`Backup: Could not save workspaces.json: ${c.toString()}`)}}async save(){try{await(0,P.writeFile)(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(c){this.logService.error(`Backup: Could not save workspaces.json: ${c.toString()}`)}}serializeBackups(){return{rootURIWorkspaces:this.workspaces.map(c=>({id:c.workspace.id,configURIPath:c.workspace.configPath.toString(),remoteAuthority:c.remoteAuthority})),folderURIWorkspaces:this.folders.map(c=>c.toString()),emptyWorkspaceInfos:this.emptyWindows}}getRandomEmptyWindowId(){return(Date.now()+Math.round(Math.random()*1e3)).toString()}getFolderHash(c){let a;return c.scheme===p.Schemas.file?a=b.isLinux?c.fsPath:c.fsPath.toLowerCase():a=c.toString().toLowerCase(),(0,R.createHash)("md5").update(a).digest("hex")}};v=le([x(0,y.IEnvironmentMainService),x(1,i.IConfigurationService),x(2,f.ILogService)],v),e.BackupMainService=v}),define(Q[42],J([0,1,4,32,11,18,3,26,49,23,7,31,5,27,65,6,8,17,51,2]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=(0,E.createDecorator)("nativeHostMainService");let a=class it extends c.Disposable{constructor(t,r,o,d,u,m,I,A){super();this.sharedProcess=t,this.windowsMainService=r,this.dialogMainService=o,this.lifecycleMainService=d,this.environmentMainService=u,this.telemetryService=m,this.logService=I,this.productService=A,this.onDidOpenWindow=w.Event.map(this.windowsMainService.onDidOpenWindow,F=>F.id),this.onDidMaximizeWindow=w.Event.filter(w.Event.fromNodeEventEmitter(D.app,"browser-window-maximize",(F,C)=>C.id),F=>!!this.windowsMainService.getWindowById(F)),this.onDidUnmaximizeWindow=w.Event.filter(w.Event.fromNodeEventEmitter(D.app,"browser-window-unmaximize",(F,C)=>C.id),F=>!!this.windowsMainService.getWindowById(F)),this.onDidBlurWindow=w.Event.filter(w.Event.fromNodeEventEmitter(D.app,"browser-window-blur",(F,C)=>C.id),F=>!!this.windowsMainService.getWindowById(F)),this.onDidFocusWindow=w.Event.any(w.Event.map(w.Event.filter(w.Event.map(this.windowsMainService.onDidChangeWindowsCount,()=>this.windowsMainService.getLastActiveWindow()),F=>!!F),F=>F.id),w.Event.filter(w.Event.fromNodeEventEmitter(D.app,"browser-window-focus",(F,C)=>C.id),F=>!!this.windowsMainService.getWindowById(F))),this.onDidResumeOS=w.Event.fromNodeEventEmitter(D.powerMonitor,"resume"),this._onDidChangeColorScheme=this._register(new w.Emitter),this.onDidChangeColorScheme=this._onDidChangeColorScheme.event,this._onDidChangePassword=this._register(new w.Emitter),this.onDidChangePassword=this._onDidChangePassword.event,this.onDidChangeDisplay=w.Event.debounce(w.Event.any(w.Event.filter(w.Event.fromNodeEventEmitter(D.screen,"display-metrics-changed",(F,C,j)=>j),F=>!(Array.isArray(F)&&F.length===1&&F[0]==="workArea")),w.Event.fromNodeEventEmitter(D.screen,"display-added"),w.Event.fromNodeEventEmitter(D.screen,"display-removed")),()=>{},100),this.registerListeners()}registerListeners(){D.nativeTheme.on("updated",()=>{this._onDidChangeColorScheme.fire({highContrast:D.nativeTheme.shouldUseInvertedColorScheme||D.nativeTheme.shouldUseHighContrastColors,dark:D.nativeTheme.shouldUseDarkColors})})}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.windowsMainService.getWindows().map(r=>{var o,d;return{id:r.id,workspace:r.openedWorkspace,title:(d=(o=r.win)===null||o===void 0?void 0:o.getTitle())!==null&&d!==void 0?d:"",filename:r.getRepresentedFilename(),dirty:r.isDocumentEdited()}})}async getWindowCount(t){return this.windowsMainService.getWindowCount()}async getActiveWindowId(t){const r=D.BrowserWindow.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(r)return r.id}openWindow(t,r,o){return Array.isArray(r)?this.doOpenWindow(t,r,o):this.doOpenEmptyWindow(t,r)}async doOpenWindow(t,r,o=Object.create(null)){r.length>0&&this.windowsMainService.open({context:5,contextWindowId:t,urisToOpen:r,cli:this.environmentMainService.args,forceNewWindow:o.forceNewWindow,forceReuseWindow:o.forceReuseWindow,preferNewWindow:o.preferNewWindow,diffMode:o.diffMode,addMode:o.addMode,gotoLineMode:o.gotoLineMode,noRecentEntry:o.noRecentEntry,waitMarkerFileURI:o.waitMarkerFileURI,remoteAuthority:o.remoteAuthority||void 0})}async doOpenEmptyWindow(t,r){this.windowsMainService.openEmptyWindow({context:5,contextWindowId:t},r)}async toggleFullScreen(t){const r=this.windowById(t);r&&r.toggleFullScreen()}async handleTitleDoubleClick(t){const r=this.windowById(t);r&&r.handleTitleDoubleClick()}async isMaximized(t){const r=this.windowById(t);return(r==null?void 0:r.win)?r.win.isMaximized():!1}async maximizeWindow(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.maximize()}async unmaximizeWindow(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.unmaximize()}async minimizeWindow(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.minimize()}async focusWindow(t,r){var o;r&&typeof r.windowId=="number"&&(t=r.windowId);const d=this.windowById(t);d&&d.focus({force:(o=r==null?void 0:r.force)!==null&&o!==void 0?o:!1})}async setMinimumSize(t,r,o){const d=this.windowById(t);if(d==null?void 0:d.win){const[u,m]=d.win.getSize(),[I,A]=d.win.getMinimumSize(),[F,C]=[r!=null?r:I,o!=null?o:A],[j,G]=[Math.max(u,F),Math.max(m,C)];(I!==F||A!==C)&&d.win.setMinimumSize(F,C),(u!==j||m!==G)&&d.win.setSize(j,G)}}async showMessageBox(t,r){return this.dialogMainService.showMessageBox(r,this.toBrowserWindow(t))}async showSaveDialog(t,r){return this.dialogMainService.showSaveDialog(r,this.toBrowserWindow(t))}async showOpenDialog(t,r){return this.dialogMainService.showOpenDialog(r,this.toBrowserWindow(t))}toBrowserWindow(t){const r=this.windowById(t);if(r==null?void 0:r.win)return r.win}async pickFileFolderAndOpen(t,r){const o=await this.dialogMainService.pickFileFolder(r);o&&(this.sendPickerTelemetry(o,r.telemetryEventName||"openFileFolder",r.telemetryExtraData),this.doOpenPicked(await Promise.all(o.map(async d=>await i.SymlinkSupport.existsDirectory(d)?{folderUri:L.URI.file(d)}:{fileUri:L.URI.file(d)})),r,t))}async pickFolderAndOpen(t,r){const o=await this.dialogMainService.pickFolder(r);o&&(this.sendPickerTelemetry(o,r.telemetryEventName||"openFolder",r.telemetryExtraData),this.doOpenPicked(o.map(d=>({folderUri:L.URI.file(d)})),r,t))}async pickFileAndOpen(t,r){const o=await this.dialogMainService.pickFile(r);o&&(this.sendPickerTelemetry(o,r.telemetryEventName||"openFile",r.telemetryExtraData),this.doOpenPicked(o.map(d=>({fileUri:L.URI.file(d)})),r,t))}async pickWorkspaceAndOpen(t,r){const o=await this.dialogMainService.pickWorkspace(r);o&&(this.sendPickerTelemetry(o,r.telemetryEventName||"openWorkspace",r.telemetryExtraData),this.doOpenPicked(o.map(d=>({workspaceUri:L.URI.file(d)})),r,t))}doOpenPicked(t,r,o){this.windowsMainService.open({context:3,contextWindowId:o,cli:this.environmentMainService.args,urisToOpen:t,forceNewWindow:r.forceNewWindow})}sendPickerTelemetry(t,r,o){const d=t?t.length:0;this.telemetryService.publicLog(r,Object.assign(Object.assign({},o),{outcome:d?"success":"canceled",numberOfPaths:d}))}async showItemInFolder(t,r){D.shell.showItemInFolder(r)}async setRepresentedFilename(t,r){const o=this.windowById(t);o&&o.setRepresentedFilename(r)}async setDocumentEdited(t,r){const o=this.windowById(t);o&&o.setDocumentEdited(r)}async openExternal(t,r){return P.isLinuxSnap?this.safeSnapOpenExternal(r):D.shell.openExternal(r),!0}safeSnapOpenExternal(t){const r=process.env.GDK_PIXBUF_MODULE_FILE,o=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,D.shell.openExternal(t),process.env.GDK_PIXBUF_MODULE_FILE=r,process.env.GDK_PIXBUF_MODULEDIR=o}async moveItemToTrash(t,r){return D.shell.moveItemToTrash(r)}async isAdmin(){let t;return P.isWindows?t=(await new Promise((r,o)=>{H(["native-is-elevated"],r,o)}))():t=process.getuid()===0,t}async writeElevated(t,r,o,d){const u=await new Promise((m,I)=>{H(["sudo-prompt"],m,I)});return new Promise((m,I)=>{const A=[`"${this.cliPath}"`];(d==null?void 0:d.unlock)&&A.push("--file-chmod"),A.push("--file-write",`"${r.fsPath}"`,`"${o.fsPath}"`);const F={name:this.productService.nameLong.replace("-",""),icns:P.isMacintosh&&this.environmentMainService.isBuilt?(0,S.join)((0,S.dirname)(this.environmentMainService.appRoot),`${this.productService.nameShort}.icns`):void 0};u.exec(A.join(" "),F,(C,j,G)=>{j&&this.logService.trace(`[sudo-prompt] received stdout: ${j}`),G&&this.logService.trace(`[sudo-prompt] received stderr: ${G}`),C?I(C):m(void 0)})})}get cliPath(){return P.isWindows?this.environmentMainService.isBuilt?(0,S.join)((0,S.dirname)(process.execPath),"bin",`${this.productService.applicationName}.cmd`):(0,S.join)(this.environmentMainService.appRoot,"scripts","code-cli.bat"):P.isLinux?this.environmentMainService.isBuilt?(0,S.join)((0,S.dirname)(process.execPath),"bin",`${this.productService.applicationName}`):(0,S.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh"):this.environmentMainService.isBuilt?(0,S.join)(this.environmentMainService.appRoot,"bin","code"):(0,S.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:(0,g.totalmem)(),freemem:(0,g.freemem)(),loadavg:(0,g.loadavg)()}}async getOSProperties(){return{arch:(0,g.arch)(),platform:(0,g.platform)(),release:(0,g.release)(),type:(0,g.type)(),cpus:(0,g.cpus)()}}async getOSVirtualMachineHint(){return h.virtualMachineHint.value()}async killProcess(t,r,o){process.kill(r,o)}async readClipboardText(t,r){return D.clipboard.readText(r)}async writeClipboardText(t,r,o){return D.clipboard.writeText(r,o)}async readClipboardFindText(t){return D.clipboard.readFindText()}async writeClipboardFindText(t,r){return D.clipboard.writeFindText(r)}async writeClipboardBuffer(t,r,o,d){return D.clipboard.writeBuffer(r,Buffer.from(o),d)}async readClipboardBuffer(t,r){return D.clipboard.readBuffer(r)}async hasClipboard(t,r,o){return D.clipboard.has(r,o)}async newWindowTab(){this.windowsMainService.open({context:5,cli:this.environmentMainService.args,forceNewTabbedWindow:!0,forceEmpty:!0,remoteAuthority:this.environmentMainService.args.remote||void 0})}async showPreviousWindowTab(){D.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){D.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){D.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){D.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){D.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(t,r){const o=this.windowById(t);o&&o.updateTouchBar(r)}async notifyReady(t){const r=this.windowById(t);r&&r.setReady()}async relaunch(t,r){return this.lifecycleMainService.relaunch(r)}async reload(t,r){const o=this.windowById(t);if(o)return this.lifecycleMainService.reload(o,(r==null?void 0:r.disableExtensions)!==void 0?{_:[],"disable-extensions":r==null?void 0:r.disableExtensions}:void 0)}async closeWindow(t){this.closeWindowById(t,t)}async closeWindowById(t,r){const o=this.windowById(r);if(o==null?void 0:o.win)return o.win.close()}async quit(t){const r=this.windowsMainService.getLastActiveWindow();(r==null?void 0:r.isExtensionDevelopmentHost)&&this.windowsMainService.getWindowCount()>1&&r.win?r.win.close():setTimeout(()=>{this.lifecycleMainService.quit()},10)}async exit(t,r){await this.lifecycleMainService.kill(r)}async resolveProxy(t,r){var o,d;const u=this.windowById(t),m=(d=(o=u==null?void 0:u.win)===null||o===void 0?void 0:o.webContents)===null||d===void 0?void 0:d.session;if(m)return m.resolveProxy(r)}async openDevTools(t,r){const o=this.windowById(t);(o==null?void 0:o.win)&&o.win.webContents.openDevTools(r)}async toggleDevTools(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.webContents.toggleDevTools()}async sendInputEvent(t,r){const o=this.windowById(t);(o==null?void 0:o.win)&&(r.type==="mouseDown"||r.type==="mouseUp")&&o.win.webContents.sendInputEvent(r)}async toggleSharedProcessWindow(){return this.sharedProcess.toggle()}async windowsGetStringRegKey(t,r,o,d){if(!!P.isWindows){const u=await new Promise((m,I)=>{H(["vscode-windows-registry"],m,I)});try{return u.GetStringRegKey(r,o,d)}catch(m){return}}}async getPassword(t,r,o){const d=await this.withKeytar(),u=await d.getPassword(r,o);if(u)try{let{content:m,hasNextChunk:I}=JSON.parse(u);if(!m||!I)return u;let A=1;for(;I;){const F=await d.getPassword(r,`${o}-${A}`),C=JSON.parse(F);m+=C.content,I=C.hasNextChunk}return m}catch(m){return u}return u}async setPassword(t,r,o,d){const u=await this.withKeytar();if(P.isWindows&&d.length>it.MAX_PASSWORD_LENGTH){let m=0,I=0,A=!0;for(;A;){const F=d.substring(m,m+it.PASSWORD_CHUNK_SIZE);m+=it.PASSWORD_CHUNK_SIZE,A=d.length-m>0;const C={content:F,hasNextChunk:A};await u.setPassword(r,I?`${o}-${I}`:o,JSON.stringify(C)),I++}}else await u.setPassword(r,o,d);this._onDidChangePassword.fire({service:r,account:o})}async deletePassword(t,r,o){const u=await(await this.withKeytar()).deletePassword(r,o);return u&&this._onDidChangePassword.fire({service:r,account:o}),u}async findPassword(t,r){return(await this.withKeytar()).findPassword(r)}async findCredentials(t,r){return(await this.withKeytar()).findCredentials(r)}async withKeytar(){if(this.environmentMainService.disableKeytar)throw new Error("keytar has been disabled via --disable-keytar option");return await new Promise((t,r)=>{H(["keytar"],t,r)})}windowById(t){if(typeof t=="number")return this.windowsMainService.getWindowById(t)}};a.MAX_PASSWORD_LENGTH=2500,a.PASSWORD_CHUNK_SIZE=a.MAX_PASSWORD_LENGTH-100,le([l.memoize],a.prototype,"cliPath",null),a=le([x(1,R.IWindowsMainService),x(2,y.IDialogMainService),x(3,b.ILifecycleMainService),x(4,n.IEnvironmentMainService),x(5,f.ITelemetryService),x(6,p.ILogService),x(7,v.IProductService)],a),e.NativeHostMainService=a}),define(Q[216],J([0,1,2,4,77,11,6,32,42,86,30,17,25]),function(H,e,w,R,D,b,P,n,y,i,L,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var g;(function(p){p[p.Initial=1]="Initial",p[p.StoredCredentialsUsed=2]="StoredCredentialsUsed",p[p.LoginDialogShown=3]="LoginDialogShown"})(g||(g={}));let h=class extends w.Disposable{constructor(S,v,l,c,a){super();this.logService=S,this.windowsMainService=v,this.nativeHostMainService=l,this.encryptionMainService=c,this.productService=a,this.PROXY_CREDENTIALS_SERVICE_KEY=`${this.productService.urlProtocol}.proxy-credentials`,this.pendingProxyResolve=void 0,this.state=g.Initial,this.sessionCredentials=void 0,this.registerListeners()}registerListeners(){const S=R.Event.fromNodeEventEmitter(b.app,"login",(v,l,c,a,s)=>({event:v,webContents:l,req:c,authInfo:a,callback:s}));this._register(S(this.onLogin,this))}async onLogin({event:S,authInfo:v,req:l,callback:c}){if(!!v.isProxy){if(!this.pendingProxyResolve&&this.state===g.LoginDialogShown&&l.firstAuthAttempt){this.logService.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}S.preventDefault();let a;if(this.pendingProxyResolve)this.logService.trace("auth#onLogin (proxy) - pending proxy handling found"),a=await this.pendingProxyResolve;else{this.logService.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.pendingProxyResolve=this.resolveProxyCredentials(v);try{a=await this.pendingProxyResolve}finally{this.pendingProxyResolve=void 0}}c(a==null?void 0:a.username,a==null?void 0:a.password)}}async resolveProxyCredentials(S){this.logService.trace("auth#resolveProxyCredentials (proxy) - enter");try{const v=await this.doResolveProxyCredentials(S);if(v)return this.logService.trace("auth#resolveProxyCredentials (proxy) - got credentials"),v;this.logService.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.logService.trace("auth#resolveProxyCredentials (proxy) - exit")}}async doResolveProxyCredentials(S){var v,l,c,a;this.logService.trace("auth#doResolveProxyCredentials - enter",S);const s=String((0,D.hash)({scheme:S.scheme,host:S.host,port:S.port}));let t,r;try{const m=await this.nativeHostMainService.getPassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,s);if(m){const I=JSON.parse(await this.encryptionMainService.decrypt(m));t=I.username,r=I.password}}catch(m){this.logService.error(m)}if(this.state!==g.StoredCredentialsUsed&&typeof t=="string"&&typeof r=="string")return this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.state=g.StoredCredentialsUsed,{username:t,password:r};const o=this.windowsMainService.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(!o){this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.logService.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${o.id} to handle proxy login`);const d={authInfo:S,username:(l=(v=this.sessionCredentials)===null||v===void 0?void 0:v.username)!==null&&l!==void 0?l:t,password:(a=(c=this.sessionCredentials)===null||c===void 0?void 0:c.password)!==null&&a!==void 0?a:r,replyChannel:`vscode:proxyAuthResponse:${(0,L.generateUuid)()}`};o.sendWhenReady("vscode:openProxyAuthenticationDialog",E.CancellationToken.None,d),this.state=g.LoginDialogShown;const u=await new Promise(m=>{var I;const A=async(F,C,j)=>{var G;if(C===d.replyChannel)if(this.logService.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${o.id}`),(G=o.win)===null||G===void 0||G.webContents.off("ipc-message",A),j){const ie={username:j.username,password:j.password};try{if(j.remember){const oe=await this.encryptionMainService.encrypt(JSON.stringify(ie));await this.nativeHostMainService.setPassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,s,oe)}else await this.nativeHostMainService.deletePassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,s)}catch(oe){this.logService.error(oe)}m({username:ie.username,password:ie.password})}else m(void 0)};(I=o.win)===null||I===void 0||I.webContents.on("ipc-message",A)});return this.sessionCredentials=u,u}};h=le([x(0,P.ILogService),x(1,n.IWindowsMainService),x(2,y.INativeHostMainService),x(3,i.IEncryptionMainService),x(4,f.IProductService)],h),e.ProxyAuthHandler=h}),define(Q[217],J([0,1,214,32,55,2,33,56,168,3,4,76,102,10,18,42]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.serve=e.Driver=void 0;function S(c){return c<21}let v=class{constructor(a,s,t,r,o){this.windowServer=a,this.options=s,this.windowsMainService=t,this.lifecycleMainService=r,this.nativeHostMainService=o,this.registeredWindowIds=new Set,this.reloadingWindowIds=new Set,this.onDidReloadingChange=new L.Emitter}async registerWindowDriver(a){return this.registeredWindowIds.add(a),this.reloadingWindowIds.delete(a),this.onDidReloadingChange.fire(),this.options}async reloadWindowDriver(a){this.reloadingWindowIds.add(a)}async getWindowIds(){return this.windowsMainService.getWindows().map(a=>a.id).filter(a=>this.registeredWindowIds.has(a)&&!this.reloadingWindowIds.has(a))}async capturePage(a){await this.whenUnfrozen(a);const s=this.windowsMainService.getWindowById(a);if(!(s==null?void 0:s.win))throw new Error("Invalid window");return(await s.win.webContents.capturePage()).toPNG().toString("base64")}async reloadWindow(a){await this.whenUnfrozen(a);const s=this.windowsMainService.getWindowById(a);if(!s)throw new Error("Invalid window");this.reloadingWindowIds.add(a),this.lifecycleMainService.reload(s)}async exitApplication(){return this.nativeHostMainService.quit(void 0)}async dispatchKeybinding(a,s){await this.whenUnfrozen(a);const t=E.KeybindingParser.parseUserBinding(s);for(let r of t)await this._dispatchKeybinding(a,r)}async _dispatchKeybinding(a,s){if(s instanceof f.ScanCodeBinding)throw new Error("ScanCodeBindings not supported");const t=this.windowsMainService.getWindowById(a);if(!(t==null?void 0:t.win))throw new Error("Invalid window");const r=t.win.webContents,o=new n.SimpleKeybinding(!1,!1,!1,!1,s.keyCode),u=new y.USLayoutResolvedKeybinding(o.toChord(),i.OS).getElectronAccelerator(),m=[];s.ctrlKey&&m.push("ctrl"),s.metaKey&&m.push("meta"),s.shiftKey&&m.push("shift"),s.altKey&&m.push("alt"),r.sendInputEvent({type:"keyDown",keyCode:u,modifiers:m}),S(s.keyCode)||r.sendInputEvent({type:"char",keyCode:u,modifiers:m}),r.sendInputEvent({type:"keyUp",keyCode:u,modifiers:m}),await(0,g.timeout)(100)}async click(a,s,t,r){await(await this.getWindowDriver(a)).click(s,t,r)}async doubleClick(a,s){await(await this.getWindowDriver(a)).doubleClick(s)}async setValue(a,s,t){await(await this.getWindowDriver(a)).setValue(s,t)}async getTitle(a){return await(await this.getWindowDriver(a)).getTitle()}async isActiveElement(a,s){return await(await this.getWindowDriver(a)).isActiveElement(s)}async getElements(a,s,t){return await(await this.getWindowDriver(a)).getElements(s,t)}async getElementXY(a,s,t,r){return await(await this.getWindowDriver(a)).getElementXY(s,t,r)}async typeInEditor(a,s,t){await(await this.getWindowDriver(a)).typeInEditor(s,t)}async getTerminalBuffer(a,s){return await(await this.getWindowDriver(a)).getTerminalBuffer(s)}async writeInTerminal(a,s,t){await(await this.getWindowDriver(a)).writeInTerminal(s,t)}async getWindowDriver(a){await this.whenUnfrozen(a);const s=`window:${a}`,t=new P.StaticRouter(o=>o===s),r=this.windowServer.getChannel("windowDriver",t);return new w.WindowDriverChannelClient(r)}async whenUnfrozen(a){for(;this.reloadingWindowIds.has(a);)await L.Event.toPromise(this.onDidReloadingChange.event)}};v=le([x(2,R.IWindowsMainService),x(3,h.ILifecycleMainService),x(4,p.INativeHostMainService)],v),e.Driver=v;async function l(c,a,s,t){const r=s.driverVerbose,o=t.createInstance(v,c,{verbose:r}),d=new w.WindowDriverRegistryChannel(o);c.registerChannel("windowDriverRegistry",d);const u=await(0,D.serve)(a),m=new w.DriverChannel(o);return u.registerChannel("driver",m),(0,b.combinedDisposable)(u,c)}e.serve=l}),define(Q[218],J([0,1,59,55]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(D,b,P,n){const y=L=>n(L,void 0),i=w.createConnection({host:D,port:b},()=>{i.removeListener("error",y);const L=Buffer.alloc(16);for(let h=0;h<16;h++)L[h]=Math.round(Math.random()*256);const f=L.toString("base64");let E=[`GET ws://${/:/.test(D)?`[${D}]`:D}:${b}/?${P}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${f}`];i.write(E.join(`\r
`)+`\r
\r
`);const g=h=>{h.toString().indexOf(`\r
\r
`)>=0&&(i.off("data",g),n(void 0,new R.NodeSocket(i)))};i.on("data",g)});i.once("error",y)}}}),define(Q[219],J([0,1,59,10,2,112,6,17,183,54,218,71]),function(H,e,w,R,D,b,P,n,y,i,L,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TunnelService=e.BaseTunnelService=void 0;async function E(S,v,l,c){return new g(S,v,l,c).waitForReady()}class g extends D.Disposable{constructor(v,l,c,a){super();this.suggestedLocalPort=a,this.public=!1,this._socketsDispose=new Map,this._options=v,this._server=w.createServer(),this._barrier=new R.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=s=>this._onConnection(s),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=c,this.tunnelRemoteHost=l}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(l=>{l()})}async waitForReady(){var v;let l=await(0,b.findFreePortFaster)((v=this.suggestedLocalPort)!==null&&v!==void 0?v:this.tunnelRemotePort,2,1e3),c=null;return c=this._server.listen(l).address(),c||(l=0,c=this._server.listen(l).address()),this.tunnelLocalPort=c.port,await this._barrier.wait(),this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${c.port}`,this}async _onConnection(v){v.pause();const l=await(0,y.connectRemoteAgentTunnel)(this._options,this.tunnelRemotePort),c=l.getSocket().socket,a=l.readEntireBuffer();l.dispose(),a.byteLength>0&&v.write(a.buffer),v.on("end",()=>{this._socketsDispose.delete(v.localAddress),c.end()}),v.on("close",()=>c.end()),v.on("error",()=>{this._socketsDispose.delete(v.localAddress),c.destroy()}),c.on("end",()=>v.end()),c.on("close",()=>v.end()),c.on("error",()=>{v.destroy()}),v.pipe(c),c.pipe(v),this._socketsDispose.set(v.localAddress,()=>{v.end(),c.end()})}}let h=class extends i.AbstractTunnelService{constructor(v,l,c,a){super(l);this.socketFactory=v,this.signService=c,this.productService=a}retainOrCreateTunnel(v,l,c,a,s,t){const r=this.getTunnelFromMap(l,c);if(r)return++r.refcount,r.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,l,c,a,s,t);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${l}:${c} on local port ${a}.`);const o={commit:this.productService.commit,socketFactory:this.socketFactory,addressProvider:v,signService:this.signService,logService:this.logService,ipcLogger:null},d=E(o,l,c,a);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(l,c,d),d}}};h=le([x(1,P.ILogService),x(2,f.ISignService),x(3,n.IProductService)],h),e.BaseTunnelService=h;let p=class extends h{constructor(v,l,c){super(L.nodeSocketFactory,v,l,c)}};p=le([x(0,P.ILogService),x(1,f.ISignService),x(2,n.IProductService)],p),e.TunnelService=p}),define(Q[220],J([0,1,213,185,2,13,19,184,24,6,21]),function(H,e,w,R,D,b,P,n,y,i,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let f=class extends D.Disposable{constructor(g,h){super();this.logService=h,this.configure(g.getValue()),this._register(g.onDidChangeConfiguration(()=>this.configure(g.getValue()),this))}configure(g){this.proxyUrl=g.http&&g.http.proxy,this.strictSSL=!!(g.http&&g.http.proxyStrictSSL),this.authorization=g.http&&g.http.proxyAuthorization}async request(g,h){this.logService.trace("RequestService#request",g.url);const{proxyUrl:p,strictSSL:S}=this,v=g.agent?g.agent:await(0,n.getProxyAgent)(g.url||"",{proxyUrl:p,strictSSL:S});return g.agent=v,g.strictSSL=S,this.authorization&&(g.headers=Object.assign(Object.assign({},g.headers||{}),{"Proxy-Authorization":this.authorization})),this._request(g,h)}async getNodeRequest(g){return((0,R.parse)(g.url).protocol==="https:"?await new Promise((S,v)=>{H(["https"],S,v)}):await new Promise((S,v)=>{H(["http"],S,v)})).request}_request(g,h){return new Promise(async(p,S)=>{let v;const l=(0,R.parse)(g.url),c=g.getRawRequest?g.getRawRequest(g):await this.getNodeRequest(g),a={hostname:l.hostname,port:l.port?parseInt(l.port):l.protocol==="https:"?443:80,protocol:l.protocol,path:l.path,method:g.type||"GET",headers:g.headers,agent:g.agent,rejectUnauthorized:(0,b.isBoolean)(g.strictSSL)?g.strictSSL:!0};g.user&&g.password&&(a.auth=g.user+":"+g.password),v=c(a,s=>{const t=(0,b.isNumber)(g.followRedirects)?g.followRedirects:3;if(s.statusCode&&s.statusCode>=300&&s.statusCode<400&&t>0&&s.headers.location)this._request(Object.assign(Object.assign({},g),{url:s.headers.location,followRedirects:t-1}),h).then(p,S);else{let r=s;s.headers["content-encoding"]==="gzip"&&(r=s.pipe((0,w.createGunzip)())),p({res:s,stream:(0,L.streamToBufferReadableStream)(r)})}}),v.on("error",S),g.timeout&&v.setTimeout(g.timeout),g.data&&typeof g.data=="string"&&v.write(g.data),v.end(),h.onCancellationRequested(()=>{v.abort(),S((0,P.canceled)())})})}async resolveProxy(g){}};f=le([x(0,y.IConfigurationService),x(1,i.ILogService)],f),e.RequestService=f}),define(Q[221],J([0,1,220,11]),function(H,e,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function D(P){return R.net.request}class b extends w.RequestService{request(n,y){return super.request(Object.assign(Object.assign({},n||{}),{getRawRequest:D}),y)}}e.RequestMainService=b}),define(Q[222],J([0,1,11,26,10,6,18,72,9,3,2,82,13,4,87]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let p=class extends L.Disposable{constructor(v,l,c,a,s,t){super();this.machineId=v,this.userEnv=l,this.environmentMainService=c,this.lifecycleMainService=a,this.logService=s,this.themeMainService=t,this.firstWindowConnectionBarrier=new D.Barrier,this.window=void 0,this.windowCloseListener=void 0,this._onDidError=this._register(new g.Emitter),this.onDidError=g.Event.buffer(this._onDidError.event),this._whenReady=void 0,this._whenIpcReady=void 0,this.registerListeners()}registerListeners(){this._register(this.lifecycleMainService.onWillShutdown(()=>this.onWillShutdown())),w.ipcMain.on("vscode:createSharedProcessMessageChannel",async(v,l)=>this.onWindowConnection(v,l))}async onWindowConnection(v,l){this.logService.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.firstWindowConnectionBarrier.isOpen()||this.firstWindowConnectionBarrier.open(),await this.whenReady();const c=await this.connect();if(v.sender.isDestroyed())return c.close();v.sender.postMessage("vscode:createSharedProcessMessageChannelResult",l,[c])}onWillShutdown(){const v=this.window;!v||(!v.isDestroyed()&&!v.webContents.isDestroyed()&&v.webContents.send("vscode:electron-main->shared-process=exit"),this.windowCloseListener&&(v.removeListener("close",this.windowCloseListener),this.windowCloseListener=void 0),setTimeout(()=>{try{v.close()}catch(l){}this.window=void 0},0))}whenReady(){return this._whenReady||(this._whenReady=new Promise(v=>w.ipcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.logService.trace("SharedProcess: Overall ready"),v()}))),this._whenReady}get whenIpcReady(){return this._whenIpcReady||(this._whenIpcReady=(async()=>{await this.firstWindowConnectionBarrier.wait(),this.userEnv=Object.assign(Object.assign({},this.userEnv),await(0,h.resolveShellEnv)(this.logService,this.environmentMainService.args,process.env)),this.createWindow(),this.registerWindowListeners(),await new Promise(v=>w.ipcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.logService.trace("SharedProcess: IPC ready"),v()}))})()),this._whenIpcReady}createWindow(){this.window=new w.BrowserWindow({show:!1,backgroundColor:this.themeMainService.getBackgroundColor(),webPreferences:{preload:y.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:i.browserCodeLoadingCacheStrategy,nodeIntegration:!0,enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,images:!1,webgl:!1,disableBlinkFeatures:"Auxclick"}});const v={machineId:this.machineId,windowId:this.window.id,appRoot:this.environmentMainService.appRoot,nodeCachedDataDir:this.environmentMainService.nodeCachedDataDir,backupWorkspacesPath:this.environmentMainService.backupWorkspacesPath,userEnv:this.userEnv,args:this.environmentMainService.args,logLevel:this.logService.getLevel()};this.window.loadURL(y.FileAccess.asBrowserUri("vs/code/electron-browser/sharedProcess/sharedProcess.html",H).with({query:`config=${encodeURIComponent(JSON.stringify(v))}`}).toString(!0))}registerWindowListeners(){!this.window||(this.windowCloseListener=v=>{var l;this.logService.trace("SharedProcess#close prevented"),v.preventDefault(),((l=this.window)===null||l===void 0?void 0:l.isVisible())&&this.window.hide()},this.window.on("close",this.windowCloseListener),this.window.webContents.on("render-process-gone",(v,l)=>this._onDidError.fire({type:2,details:l})),this.window.on("unresponsive",()=>this._onDidError.fire({type:1,details:"SharedProcess: detected unresponsive window"})),this.window.webContents.on("did-fail-load",(v,l,c)=>this._onDidError.fire({type:3,details:`SharedProcess: failed to load: ${c}`})))}async connect(){await this.whenIpcReady;const v=(0,E.assertIsDefined)(this.window);return(0,f.connect)(v)}async toggle(){await this.whenIpcReady,!!this.window&&(this.window.isVisible()?(this.window.webContents.closeDevTools(),this.window.hide()):(this.window.show(),this.window.webContents.openDevTools()))}};p=le([x(2,R.IEnvironmentMainService),x(3,P.ILifecycleMainService),x(4,b.ILogService),x(5,n.IThemeMainService)],p),e.SharedProcess=p}),define(Q[74],J([0,1,4,10,24,18,17,41,26,6,40,25]),function(H,e,w,R,D,b,P,n,y,i,L,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function E(h,p,S){return`${S.updateUrl}/api/update/${h}/${p}/${S.commit}`}e.createUpdateURL=E;let g=class{constructor(p,S,v,l,c,a){this.lifecycleMainService=p,this.configurationService=S,this.environmentMainService=v,this.requestService=l,this.logService=c,this.productService=a,this._state=n.State.Uninitialized,this._onStateChange=new w.Emitter,this.onStateChange=this._onStateChange.event}get state(){return this._state}setState(p){this.logService.info("update#setState",p.type),this._state=p,this._onStateChange.fire(p)}initialize(){if(!!this.environmentMainService.isBuilt){if(this.environmentMainService.disableUpdates){this.logService.info("update#ctor - updates are disabled by the environment");return}if(!this.productService.updateUrl||!this.productService.commit){this.logService.info("update#ctor - updates are disabled as there is no update URL");return}const p=(0,D.getMigratedSettingValue)(this.configurationService,"update.mode","update.channel"),S=this.getProductQuality(p);if(!S){this.logService.info("update#ctor - updates are disabled by user preference");return}if(this.url=this.buildUpdateFeedUrl(S),!this.url){this.logService.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.setState(n.State.Idle(this.getUpdateType())),p==="manual"){this.logService.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}p==="start"?(this.logService.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(null),30*1e3)):this.scheduleCheckForUpdates(30*1e3).then(void 0,v=>this.logService.error(v))}}getProductQuality(p){return p==="none"?void 0:this.productService.quality}scheduleCheckForUpdates(p=60*60*1e3){return(0,R.timeout)(p).then(()=>this.checkForUpdates(null)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(p){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(p)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}async doDownloadUpdate(p){}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}async doApplyUpdate(){}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(p=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${p}`),!p&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}isLatestVersion(){return this.url?this.requestService.request({url:this.url},f.CancellationToken.None).then(p=>p.res.statusCode===204):Promise.resolve(void 0)}getUpdateType(){return 1}doQuitAndInstall(){}};g=le([x(0,b.ILifecycleMainService),x(1,D.IConfigurationService),x(2,y.IEnvironmentMainService),x(3,L.IRequestService),x(4,i.ILogService),x(5,P.IProductService)],g),e.AbstractUpdateService=g}),define(Q[223],J([0,1,11,2,4,51,24,18,41,31,26,6,74,40,17]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let p=class extends E.AbstractUpdateService{constructor(v,l,c,a,s,t,r){super(v,l,a,s,t,r);this.telemetryService=c,this.disposables=new R.DisposableStore}get onRawError(){return D.Event.fromNodeEventEmitter(w.autoUpdater,"error",(v,l)=>l)}get onRawUpdateNotAvailable(){return D.Event.fromNodeEventEmitter(w.autoUpdater,"update-not-available")}get onRawUpdateAvailable(){return D.Event.fromNodeEventEmitter(w.autoUpdater,"update-available",(v,l,c)=>({url:l,version:c,productVersion:c}))}get onRawUpdateDownloaded(){return D.Event.fromNodeEventEmitter(w.autoUpdater,"update-downloaded",(v,l,c,a)=>({releaseNotes:l,version:c,productVersion:c,date:a}))}initialize(){super.initialize(),this.onRawError(this.onError,this,this.disposables),this.onRawUpdateAvailable(this.onUpdateAvailable,this,this.disposables),this.onRawUpdateDownloaded(this.onUpdateDownloaded,this,this.disposables),this.onRawUpdateNotAvailable(this.onUpdateNotAvailable,this,this.disposables)}onError(v){this.logService.error("UpdateService error:",v);const c=(this.state.type==="checking for updates"?!!this.state.context:!0)?v:void 0;this.setState(y.State.Idle(1,c))}buildUpdateFeedUrl(v){let l;this.productService.darwinUniversalAssetId?l=this.productService.darwinUniversalAssetId:l=process.arch==="x64"?"darwin":"darwin-arm64";const c=(0,E.createUpdateURL)(l,v,this.productService);try{w.autoUpdater.setFeedURL({url:c})}catch(a){this.logService.error("Failed to set update feed URL",a);return}return c}doCheckForUpdates(v){this.setState(y.State.CheckingForUpdates(v)),w.autoUpdater.checkForUpdates()}onUpdateAvailable(v){this.state.type==="checking for updates"&&this.setState(y.State.Downloading(v))}onUpdateDownloaded(v){this.state.type==="downloading"&&(this.telemetryService.publicLog2("update:downloaded",{version:v.version}),this.setState(y.State.Ready(v)))}onUpdateNotAvailable(){this.state.type==="checking for updates"&&(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!this.state.context}),this.setState(y.State.Idle(1)))}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),w.autoUpdater.quitAndInstall()}dispose(){this.disposables.dispose()}};le([b.memoize],p.prototype,"onRawError",null),le([b.memoize],p.prototype,"onRawUpdateNotAvailable",null),le([b.memoize],p.prototype,"onRawUpdateAvailable",null),le([b.memoize],p.prototype,"onRawUpdateDownloaded",null),p=le([x(0,n.ILifecycleMainService),x(1,P.IConfigurationService),x(2,i.ITelemetryService),x(3,L.IEnvironmentMainService),x(4,g.IRequestService),x(5,f.ILogService),x(6,h.IProductService)],p),e.DarwinUpdateService=p}),define(Q[224],J([0,1,17,24,18,41,31,26,6,74,40,25,42]),function(H,e,w,R,D,b,P,n,y,i,L,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let g=class extends i.AbstractUpdateService{constructor(p,S,v,l,c,a,s,t){super(p,S,l,c,a,t);this.telemetryService=v,this.nativeHostMainService=s}buildUpdateFeedUrl(p){return(0,i.createUpdateURL)(`linux-${process.arch}`,p,this.productService)}doCheckForUpdates(p){!this.url||(this.setState(b.State.CheckingForUpdates(p)),this.requestService.request({url:this.url},f.CancellationToken.None).then(L.asJson).then(S=>{!S||!S.url||!S.version||!S.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!p}),this.setState(b.State.Idle(1))):this.setState(b.State.AvailableForDownload(S))}).then(void 0,S=>{this.logService.error(S),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!p});const v=p?S.message||S:void 0;this.setState(b.State.Idle(1,v))}))}async doDownloadUpdate(p){this.productService.downloadUrl&&this.productService.downloadUrl.length>0?this.nativeHostMainService.openExternal(void 0,this.productService.downloadUrl):p.update.url&&this.nativeHostMainService.openExternal(void 0,p.update.url),this.setState(b.State.Idle(1))}};g=le([x(0,D.ILifecycleMainService),x(1,R.IConfigurationService),x(2,P.ITelemetryService),x(3,n.IEnvironmentMainService),x(4,L.IRequestService),x(5,y.ILogService),x(6,E.INativeHostMainService),x(7,w.IProductService)],g),e.LinuxUpdateService=g}),define(Q[225],J([0,1,4,10,18,41,26,6,8,22,46,31]),function(H,e,w,R,D,b,P,n,y,i,L,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let E=class{constructor(p,S,v){if(this.lifecycleMainService=p,this.logService=v,this._state=b.State.Uninitialized,this._onStateChange=new w.Emitter,this.onStateChange=this._onStateChange.event,S.disableUpdates){this.logService.info("update#ctor - updates are disabled");return}this.setState(b.State.Idle(this.getUpdateType())),this.scheduleCheckForUpdates(30*1e3).then(void 0,l=>this.logService.error(l))}get state(){return this._state}setState(p){this.logService.info("update#setState",p.type),this._state=p,this._onStateChange.fire(p)}scheduleCheckForUpdates(p=60*60*1e3){return(0,R.timeout)(p).then(()=>this.checkForUpdates(null)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(p){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(p)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}doDownloadUpdate(p){return Promise.resolve(void 0)}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}doApplyUpdate(){return Promise.resolve(void 0)}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(p=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${p}`),!p&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}getUpdateType(){return 2}doQuitAndInstall(){}};E=le([x(0,D.ILifecycleMainService),x(1,P.IEnvironmentMainService),x(2,n.ILogService)],E);let g=class extends E{constructor(p,S,v,l,c,a){super(v,l,c);this.snap=p,this.snapRevision=S,this.telemetryService=a;const s=(0,i.watch)(y.dirname(this.snap)),t=w.Event.fromNodeEventEmitter(s,"change",(u,m)=>m),r=w.Event.filter(t,u=>u==="current"),d=w.Event.debounce(r,(u,m)=>m,2e3)(this.checkForUpdates,this);v.onWillShutdown(()=>{d.dispose(),s.close()})}doCheckForUpdates(p){this.setState(b.State.CheckingForUpdates(p)),this.isUpdateAvailable().then(S=>{S?this.setState(b.State.Ready({version:"something",productVersion:"something"})):(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!p}),this.setState(b.State.Idle(2)))},S=>{this.logService.error(S),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!p}),this.setState(b.State.Idle(2,S.message||S))})}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),(0,L.spawn)("sleep 3 && "+y.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async isUpdateAvailable(){const p=await new Promise((v,l)=>(0,i.realpath)(`${y.dirname(this.snap)}/current`,(c,a)=>c?l(c):v(a))),S=y.basename(p);return this.snapRevision!==S}isLatestVersion(){return this.isUpdateAvailable().then(void 0,p=>{this.logService.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};g=le([x(2,D.ILifecycleMainService),x(3,P.IEnvironmentMainService),x(4,n.ILogService),x(5,f.ITelemetryService)],g),e.SnapUpdateService=g}),define(Q[226],J([0,1,22,8,23,51,24,18,17,41,31,26,6,74,40,108,27,46,25,10,16,7,42]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function r(m,I=1e3){for(;!m();)await(0,c.timeout)(I)}let o;function d(){return typeof o=="undefined"&&(o=w.existsSync(R.join(R.dirname(process.execPath),"unins000.exe"))?0:1),o}let u=class extends g.AbstractUpdateService{constructor(I,A,F,C,j,G,ie,oe,V){super(I,A,C,j,G,V);this.telemetryService=F,this.fileService=ie,this.nativeHostMainService=oe}get cachePath(){const I=R.join((0,S.tmpdir)(),`vscode-update-${this.productService.target}-${process.arch}`);return w.promises.mkdir(I,{recursive:!0}).then(()=>I)}initialize(){super.initialize(),d()===0&&this.telemetryService.publicLog("update:win32SetupTarget",{target:this.productService.target})}buildUpdateFeedUrl(I){let A="win32";return process.arch!=="ia32"&&(A+=`-${process.arch}`),d()===1?A+="-archive":this.productService.target==="user"&&(A+="-user"),(0,g.createUpdateURL)(A,I,this.productService)}doCheckForUpdates(I){!this.url||(this.setState(i.State.CheckingForUpdates(I)),this.requestService.request({url:this.url},l.CancellationToken.None).then(h.asJson).then(A=>{const F=d();return!A||!A.url||!A.version||!A.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!I}),this.setState(i.State.Idle(F)),Promise.resolve(null)):F===1?(this.setState(i.State.AvailableForDownload(A)),Promise.resolve(null)):(this.setState(i.State.Downloading(A)),this.cleanup(A.version).then(()=>this.getUpdatePackagePath(A.version).then(C=>D.exists(C).then(j=>{if(j)return Promise.resolve(C);const G=A.url,ie=A.hash,oe=`${C}.tmp`;return this.requestService.request({url:G},l.CancellationToken.None).then(V=>this.fileService.writeFile(s.URI.file(oe),V.stream)).then(ie?()=>(0,p.checksum)(oe,A.hash):()=>{}).then(()=>w.promises.rename(oe,C)).then(()=>C)})).then(C=>{const j=this.configurationService.getValue("update.enableWindowsBackgroundUpdates");this.availableUpdate={packagePath:C},j&&A.supportsFastUpdate?this.productService.target==="user"?this.doApplyUpdate():this.setState(i.State.Downloaded(A)):this.setState(i.State.Ready(A))})))}).then(void 0,A=>{this.logService.error(A),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!I});const F=I?A.message||A:void 0;this.setState(i.State.Idle(d(),F))}))}async doDownloadUpdate(I){I.update.url&&this.nativeHostMainService.openExternal(void 0,I.update.url),this.setState(i.State.Idle(d()))}async getUpdatePackagePath(I){const A=await this.cachePath;return R.join(A,`CodeSetup-${this.productService.quality}-${I}.exe`)}async cleanup(I=null){const A=I?G=>!new RegExp(`${this.productService.quality}-${I}\\.exe$`).test(G):()=>!0,F=await this.cachePath,j=(await D.readdir(F)).filter(A).map(async G=>{try{await w.promises.unlink(R.join(F,G))}catch(ie){}});await Promise.all(j)}async doApplyUpdate(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.availableUpdate)return Promise.resolve(void 0);const I=this.state.update;this.setState(i.State.Updating(I));const A=await this.cachePath;this.availableUpdate.updateFilePath=R.join(A,`CodeSetup-${this.productService.quality}-${I.version}.flag`),await D.writeFile(this.availableUpdate.updateFilePath,"flag"),(0,v.spawn)(this.availableUpdate.packagePath,["/verysilent",`/update="${this.availableUpdate.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.availableUpdate=void 0,this.setState(i.State.Idle(d()))});const C=`${this.productService.win32MutexName}-ready`,j=await new Promise((G,ie)=>{H(["windows-mutex"],G,ie)});r(()=>j.isActive(C)).then(()=>this.setState(i.State.Ready(I)))}doQuitAndInstall(){this.state.type!=="ready"||!this.availableUpdate||(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.availableUpdate.updateFilePath?w.unlinkSync(this.availableUpdate.updateFilePath):(0,v.spawn)(this.availableUpdate.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}getUpdateType(){return d()}};le([b.memoize],u.prototype,"cachePath",null),u=le([x(0,n.ILifecycleMainService),x(1,P.IConfigurationService),x(2,L.ITelemetryService),x(3,f.IEnvironmentMainService),x(4,h.IRequestService),x(5,E.ILogService),x(6,a.IFileService),x(7,t.INativeHostMainService),x(8,y.IProductService)],u),e.Win32UpdateService=u}),define(Q[50],J([0,1,28,26,8,23,22,3,4,6,58,44,9,2,15,5,148,17,11,13,48,49,97]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=(0,p.createDecorator)("workspacesManagementMainService");let r=class extends g.Disposable{constructor(m,I,A,F,C){super();this.environmentMainService=m,this.logService=I,this.backupMainService=A,this.dialogMainService=F,this.productService=C,this.untitledWorkspacesHome=this.environmentMainService.untitledWorkspacesHome,this._onDidDeleteUntitledWorkspace=this._register(new y.Emitter),this.onDidDeleteUntitledWorkspace=this._onDidDeleteUntitledWorkspace.event,this._onDidEnterWorkspace=this._register(new y.Emitter),this.onDidEnterWorkspace=this._onDidEnterWorkspace.event}resolveLocalWorkspaceSync(m){if(!this.isWorkspacePath(m)||m.scheme!==E.Schemas.file)return null;let I;try{I=(0,P.readFileSync)(m.fsPath,"utf8")}catch(A){return null}return this.doResolveWorkspace(m,I)}isWorkspacePath(m){return(0,w.isUntitledWorkspace)(m,this.environmentMainService)||(0,w.hasWorkspaceFileExtension)(m)}doResolveWorkspace(m,I){try{const A=this.doParseStoredWorkspace(m,I),F=o(m);return{id:F.id,configPath:F.configPath,folders:(0,w.toWorkspaceFolders)(A.folders,F.configPath,h.extUriBiasedIgnorePathCase),remoteAuthority:A.remoteAuthority}}catch(A){this.logService.warn(A.toString())}return null}doParseStoredWorkspace(m,I){const A=(0,f.parse)(I);if(A&&Array.isArray(A.folders))A.folders=A.folders.filter(F=>(0,w.isStoredWorkspaceFolder)(F));else throw new Error(`${m.toString(!0)} looks like an invalid workspace file.`);return A}async createUntitledWorkspace(m,I){const{workspace:A,storedWorkspace:F}=this.newUntitledWorkspace(m,I),C=A.configPath.fsPath;return await P.promises.mkdir((0,D.dirname)(C),{recursive:!0}),await(0,b.writeFile)(C,JSON.stringify(F,null,"	")),A}createUntitledWorkspaceSync(m,I){const{workspace:A,storedWorkspace:F}=this.newUntitledWorkspace(m,I),C=A.configPath.fsPath;return(0,P.mkdirSync)((0,D.dirname)(C),{recursive:!0}),(0,b.writeFileSync)(C,JSON.stringify(F,null,"	")),A}newUntitledWorkspace(m=[],I){const A=(Date.now()+Math.round(Math.random()*1e3)).toString(),F=(0,h.joinPath)(this.untitledWorkspacesHome,A),C=(0,h.joinPath)(F,w.UNTITLED_WORKSPACE_NAME),j=[];for(const G of m)j.push((0,w.getStoredWorkspaceFolder)(G.uri,!0,G.name,F,!n.isWindows,h.extUriBiasedIgnorePathCase));return{workspace:o(C),storedWorkspace:{folders:j,remoteAuthority:I}}}async getWorkspaceIdentifier(m){return o(m)}isUntitledWorkspace(m){return(0,w.isUntitledWorkspace)(m.configPath,this.environmentMainService)}deleteUntitledWorkspaceSync(m){!this.isUntitledWorkspace(m)||(this.doDeleteUntitledWorkspaceSync(m),this._onDidDeleteUntitledWorkspace.fire(m))}async deleteUntitledWorkspace(m){this.deleteUntitledWorkspaceSync(m)}doDeleteUntitledWorkspaceSync(m){const I=(0,h.originalFSPath)(m.configPath);try{(0,b.rimrafSync)((0,D.dirname)(I));const A=(0,D.join)(this.environmentMainService.workspaceStorageHome.fsPath,m.id);(0,P.existsSync)(A)&&(0,b.writeFileSync)((0,D.join)(A,"obsolete"),"")}catch(A){this.logService.warn(`Unable to delete untitled workspace ${I} (${A}).`)}}getUntitledWorkspacesSync(){const m=[];try{const I=(0,b.readdirSync)(this.untitledWorkspacesHome.fsPath).map(A=>(0,h.joinPath)(this.untitledWorkspacesHome,A,w.UNTITLED_WORKSPACE_NAME));for(const A of I){const F=o(A),C=this.resolveLocalWorkspaceSync(A);C?m.push({workspace:F,remoteAuthority:C.remoteAuthority}):this.doDeleteUntitledWorkspaceSync(F)}}catch(I){I.code!=="ENOENT"&&this.logService.warn(`Unable to read folders in ${this.untitledWorkspacesHome} (${I}).`)}return m}async enterWorkspace(m,I,A){if(!m||!m.win||!m.isReady||!await this.isValidTargetWorkspacePath(m,I,A))return null;const C=this.doEnterWorkspace(m,o(A));return C?(this._onDidEnterWorkspace.fire({window:m,workspace:C.workspace}),C):null}async isValidTargetWorkspacePath(m,I,A){if(!A)return!0;if((0,w.isWorkspaceIdentifier)(m.openedWorkspace)&&h.extUriBiasedIgnorePathCase.isEqual(m.openedWorkspace.configPath,A))return!1;if((0,t.findWindowOnWorkspaceOrFolder)(I,A)){const F={title:this.productService.nameLong,type:"info",buttons:[(0,S.localize)(0,null)],message:(0,S.localize)(1,null,(0,h.basename)(A)),detail:(0,S.localize)(2,null),noLink:!0};return await this.dialogMainService.showMessageBox(F,(0,c.withNullAsUndefined)(l.BrowserWindow.getFocusedWindow())),!1}return!0}doEnterWorkspace(m,I){if(!m.config)return null;m.focus();let A;return m.config.extensionDevelopmentPath||(A=this.backupMainService.registerWorkspaceBackupSync({workspace:I,remoteAuthority:m.remoteAuthority},m.config.backupPath)),(0,w.isWorkspaceIdentifier)(m.openedWorkspace)&&this.isUntitledWorkspace(m.openedWorkspace)&&this.deleteUntitledWorkspaceSync(m.openedWorkspace),m.config.workspace=I,m.config.backupPath=A,{workspace:I,backupPath:A}}};r=le([x(0,R.IEnvironmentMainService),x(1,i.ILogService),x(2,a.IBackupMainService),x(3,s.IDialogMainService),x(4,v.IProductService)],r),e.WorkspacesManagementMainService=r;function o(u){function m(){let I=u.scheme===E.Schemas.file?(0,h.originalFSPath)(u):u.toString();return n.isLinux||(I=I.toLowerCase()),(0,L.createHash)("md5").update(I).digest("hex")}return{id:m(),configPath:u}}e.getWorkspaceIdentifier=o;function d(u,m){function I(){if(u.scheme!==E.Schemas.file)return(0,L.createHash)("md5").update(u.toString()).digest("hex");if(!m)try{m=(0,P.statSync)(u.fsPath)}catch(C){return}let F;return n.isLinux?F=m.ino:n.isMacintosh?F=m.birthtime.getTime():n.isWindows&&(typeof m.birthtimeMs=="number"?F=Math.floor(m.birthtimeMs):F=m.birthtime.getTime()),(0,L.createHash)("md5").update(u.fsPath).update(F?String(F):"").digest("hex")}const A=I();if(typeof A=="string")return{id:A,uri:u}}e.getSingleFolderWorkspaceIdentifier=d}),define(Q[98],J([0,1,6,95,3,5,32,23,50,24,7,11,34,53,25,28,13]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=(0,b.createDecorator)(e.ID);let v=class{constructor(c,a,s,t,r){this.logService=c,this.windowsMainService=a,this.urlService=s,this.workspacesManagementMainService=t,this.configurationService=r}async start(c,a){this.logService.trace("Received data from other instance: ",c,a),D.isMacintosh&&f.app.focus({steal:!0});const s=this.parseOpenUrl(c);if(s.length){let t=Promise.resolve();this.windowsMainService.getWindowCount()===0&&(t=this.windowsMainService.openEmptyWindow({context:4})[0].ready()),t.then(()=>{for(const{uri:r,url:o}of s)this.urlService.open(r,{originalUrl:o})})}else return this.startOpenWindow(c,a)}parseOpenUrl(c){return c["open-url"]&&c._urls&&c._urls.length>0?(0,E.coalesce)(c._urls.map(a=>{try{return{uri:L.URI.parse(a),url:a}}catch(s){return null}})):[]}async startOpenWindow(c,a){const s=(0,g.isLaunchedFromCli)(a)?0:4;let t=[];const r=c.wait&&c.waitMarkerFilePath?L.URI.file(c.waitMarkerFilePath):void 0,o=c.remote||void 0;if(c.extensionDevelopmentPath)this.windowsMainService.openExtensionDevelopmentHostWindow(c.extensionDevelopmentPath,{context:s,cli:c,userEnv:a,waitMarkerFileURI:r,remoteAuthority:o});else if(!c._.length&&!c["folder-uri"]&&!c["file-uri"]){let d=!1;if(c["new-window"]||c["unity-launch"])d=!0;else if(c["reuse-window"])d=!1;else{const u=this.configurationService.getValue("window");switch((u==null?void 0:u.openWithoutArgumentsInNewWindow)||"default"){case"on":d=!0;break;case"off":d=!1;break;default:d=!D.isMacintosh}}if(d)t=this.windowsMainService.open({context:s,cli:c,userEnv:a,forceNewWindow:!0,forceEmpty:!0,waitMarkerFileURI:r,remoteAuthority:o});else{const u=this.windowsMainService.getLastActiveWindow();u?(u.focus(),t=[u]):t=this.windowsMainService.open({context:s,cli:c,forceEmpty:!0,remoteAuthority:o})}}else t=this.windowsMainService.open({context:s,cli:c,userEnv:a,forceNewWindow:c["new-window"],preferNewWindow:!c["reuse-window"]&&!c.wait,forceReuseWindow:c["reuse-window"],diffMode:c.diff,addMode:c.add,noRecentEntry:!!c["skip-add-to-recently-opened"],waitMarkerFileURI:r,gotoLineMode:c.goto,remoteAuthority:o});if(r&&t.length===1&&t[0])return Promise.race([t[0].whenClosedOrLoaded,(0,n.whenDeleted)(r.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.logService.trace("Received request for process ID from other instance."),process.pid}async getMainProcessInfo(){this.logService.trace("Received request for main process info from other instance.");const c=[];return f.BrowserWindow.getAllWindows().forEach(a=>{const s=this.windowsMainService.getWindowById(a.id);s?c.push(this.codeWindowToInfo(s)):c.push(this.browserWindowToInfo(a))}),{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:c,screenReader:!!f.app.accessibilitySupportEnabled,gpuFeatureStatus:f.app.getGPUFeatureStatus()}}async getRemoteDiagnostics(c){const a=this.windowsMainService.getWindows();return(await Promise.all(a.map(t=>new Promise(r=>{const o=t.remoteAuthority;if(o){const d=`vscode:getDiagnosticInfoResponse${t.id}`,u={includeProcesses:c.includeProcesses,folders:c.includeWorkspaceMetadata?this.getFolderURIs(t):void 0};t.sendWhenReady("vscode:getDiagnosticInfo",h.CancellationToken.None,{replyChannel:d,args:u}),f.ipcMain.once(d,(m,I)=>{I||r({hostName:o,errorMessage:`Unable to resolve connection to '${o}'.`}),r(I)}),setTimeout(()=>{r({hostName:o,errorMessage:`Fetching remote diagnostics for '${o}' timed out.`})},5e3)}else r(void 0)})))).filter(t=>!!t)}getFolderURIs(c){const a=[],s=c.openedWorkspace;if((0,p.isSingleFolderWorkspaceIdentifier)(s))a.push(s.uri);else if((0,p.isWorkspaceIdentifier)(s)){const t=this.workspacesManagementMainService.resolveLocalWorkspaceSync(s.configPath);t&&t.folders.forEach(o=>{a.push(o.uri)})}return a}codeWindowToInfo(c){const a=this.getFolderURIs(c),s=(0,S.assertIsDefined)(c.win);return this.browserWindowToInfo(s,a,c.remoteAuthority)}browserWindowToInfo(c,a=[],s){return{pid:c.webContents.getOSProcessId(),title:c.getTitle(),folderURIs:a,remoteAuthority:s}}};v=le([x(0,w.ILogService),x(1,P.IWindowsMainService),x(2,R.IURLService),x(3,y.IWorkspacesManagementMainService),x(4,i.IConfigurationService)],v),e.LaunchMainService=v}),define(Q[227],J([0,1,139,27,17,60,11,98,68,26,3,6,80,49,5,61,9,42]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0;const l="#1E1E1E";e.IIssueMainService=(0,h.createDecorator)("issueMainService");let c=class{constructor(t,r,o,d,u,m,I,A,F){this.machineId=t,this.userEnv=r,this.environmentMainService=o,this.launchMainService=d,this.logService=u,this.diagnosticsService=m,this.dialogMainService=I,this.nativeHostMainService=A,this.productService=F,this._issueWindow=null,this._issueParentWindow=null,this._processExplorerWindow=null,this._processExplorerParentWindow=null,this.registerListeners()}registerListeners(){P.ipcMain.on("vscode:issueSystemInfoRequest",async t=>{Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]).then(r=>{const[o,d]=r;this.diagnosticsService.getSystemInfo(o,d).then(u=>{this.safeSend(t,"vscode:issueSystemInfoResponse",u)})})}),P.ipcMain.on("vscode:listProcesses",async t=>{const r=[];try{const o=await this.launchMainService.getMainProcessId();r.push({name:(0,w.localize)(0,null),rootProcess:await(0,E.listProcesses)(o)}),(await this.launchMainService.getRemoteDiagnostics({includeProcesses:!0})).forEach(d=>{(0,y.isRemoteDiagnosticError)(d)?r.push({name:d.hostName,rootProcess:d}):d.processes&&r.push({name:d.hostName,rootProcess:d.processes})})}catch(o){this.logService.error(`Listing processes failed: ${o}`)}this.safeSend(t,"vscode:listProcessesResponse",r)}),P.ipcMain.on("vscode:issueReporterClipboard",t=>{const r={message:(0,w.localize)(1,null),type:"warning",buttons:[(0,w.localize)(2,null),(0,w.localize)(3,null)]};this._issueWindow&&this.dialogMainService.showMessageBox(r,this._issueWindow).then(o=>{this.safeSend(t,"vscode:issueReporterClipboardResponse",o.response===0)})}),P.ipcMain.on("vscode:issuePerformanceInfoRequest",t=>{this.getPerformanceInfo().then(r=>{this.safeSend(t,"vscode:issuePerformanceInfoResponse",r)})}),P.ipcMain.on("vscode:issueReporterConfirmClose",()=>{const t={message:(0,w.localize)(4,null),type:"warning",buttons:[(0,w.localize)(5,null),(0,w.localize)(6,null)]};this._issueWindow&&this.dialogMainService.showMessageBox(t,this._issueWindow).then(r=>{r.response===0&&this._issueWindow&&(this._issueWindow.destroy(),this._issueWindow=null)})}),P.ipcMain.on("vscode:workbenchCommand",(t,r)=>{const{id:o,from:d,args:u}=r;let m;switch(d){case"issueReporter":m=this._issueParentWindow;break;case"processExplorer":m=this._processExplorerParentWindow;break;default:throw new Error(`Unexpected command source: ${d}`)}m&&m.webContents.send("vscode:runAction",{id:o,from:d,args:u})}),P.ipcMain.on("vscode:openExternal",(t,r)=>{this.nativeHostMainService.openExternal(void 0,r)}),P.ipcMain.on("vscode:closeIssueReporter",t=>{this._issueWindow&&this._issueWindow.close()}),P.ipcMain.on("vscode:closeProcessExplorer",t=>{this._processExplorerWindow&&this._processExplorerWindow.close()}),P.ipcMain.on("vscode:windowsInfoRequest",t=>{this.launchMainService.getMainProcessInfo().then(r=>{this.safeSend(t,"vscode:windowsInfoResponse",r.windows)})})}safeSend(t,r,...o){t.sender.isDestroyed()||t.sender.send(r,...o)}async openReporter(t){if(!this._issueWindow&&(this._issueParentWindow=P.BrowserWindow.getFocusedWindow(),this._issueParentWindow)){const r=this.getWindowPosition(this._issueParentWindow,700,800);this._issueWindow=new P.BrowserWindow({fullscreen:!1,width:r.width,height:r.height,minWidth:300,minHeight:200,x:r.x,y:r.y,title:(0,w.localize)(7,null),backgroundColor:t.styles.backgroundColor||l,webPreferences:{preload:S.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:"bypassHeatCheck",enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:(0,p.zoomLevelToZoomFactor)(t.zoomLevel),sandbox:!0,contextIsolation:!0}}),this._issueWindow.setMenuBarVisibility(!1);const o={};this.logService.trace("issueService#openReporter: opening issue reporter"),this._issueWindow.loadURL(this.getIssueReporterPath(t,o)),this._issueWindow.on("close",()=>this._issueWindow=null),this._issueParentWindow.on("closed",()=>{this._issueWindow&&(this._issueWindow.close(),this._issueWindow=null)})}this._issueWindow&&this._issueWindow.focus()}async openProcessExplorer(t){if(!this._processExplorerWindow&&(this._processExplorerParentWindow=P.BrowserWindow.getFocusedWindow(),this._processExplorerParentWindow)){const r=this.getWindowPosition(this._processExplorerParentWindow,800,500);this._processExplorerWindow=new P.BrowserWindow({skipTaskbar:!0,resizable:!0,fullscreen:!1,width:r.width,height:r.height,minWidth:300,minHeight:200,x:r.x,y:r.y,backgroundColor:t.styles.backgroundColor,title:(0,w.localize)(8,null),webPreferences:{preload:S.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:"bypassHeatCheck",enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:(0,p.zoomLevelToZoomFactor)(t.zoomLevel),sandbox:!0,contextIsolation:!0}}),this._processExplorerWindow.setMenuBarVisibility(!1);const o={appRoot:this.environmentMainService.appRoot,windowId:this._processExplorerWindow.id,userEnv:this.userEnv,machineId:this.machineId,data:t};this._processExplorerWindow.loadURL(a("vs/code/electron-sandbox/processExplorer/processExplorer.html",o)),this._processExplorerWindow.on("close",()=>this._processExplorerWindow=null),this._processExplorerParentWindow.on("close",()=>{this._processExplorerWindow&&(this._processExplorerWindow.close(),this._processExplorerWindow=null)})}this._processExplorerWindow&&this._processExplorerWindow.focus()}async getSystemStatus(){return Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]).then(t=>{const[r,o]=t;return this.diagnosticsService.getDiagnostics(r,o)})}getWindowPosition(t,r,o){let d;const u=P.screen.getAllDisplays();if(u.length===1)d=u[0];else{if(L.isMacintosh){const A=P.screen.getCursorScreenPoint();d=P.screen.getDisplayNearestPoint(A)}!d&&t&&(d=P.screen.getDisplayMatching(t.getBounds())),d||(d=P.screen.getPrimaryDisplay()||u[0])}const m={width:r,height:o},I=d.bounds;return m.x=I.x+I.width/2-m.width/2,m.y=I.y+I.height/2-m.height/2,I.width>0&&I.height>0&&(m.x<I.x&&(m.x=I.x),m.y<I.y&&(m.y=I.y),m.x>I.x+I.width&&(m.x=I.x),m.y>I.y+I.height&&(m.y=I.y),m.width>I.width&&(m.width=I.width),m.height>I.height&&(m.height=I.height)),m}getPerformanceInfo(){return new Promise(async(t,r)=>{Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]).then(o=>{const[d,u]=o;this.diagnosticsService.getPerformanceInfo(d,u).then(m=>{t(m)}).catch(m=>{this.logService.warn("issueService#getPerformanceInfo ",m.message),r(m)})})})}getIssueReporterPath(t,r){if(!this._issueWindow)throw new Error("Issue window has been disposed");const o={appRoot:this.environmentMainService.appRoot,windowId:this._issueWindow.id,machineId:this.machineId,userEnv:this.userEnv,data:t,features:r,disableExtensions:this.environmentMainService.disableExtensions,os:{type:R.type(),arch:R.arch(),release:R.release()},product:{nameShort:this.productService.nameShort,version:this.productService.darwinUniversalAssetId?`${this.productService.version} (Universal)`:this.productService.version,commit:this.productService.commit,date:this.productService.date,reportIssueUrl:this.productService.reportIssueUrl,reportMarketplaceIssueUrl:this.productService.reportMarketplaceIssueUrl}};return a("vs/code/electron-sandbox/issue/issueReporter.html",o)}};c=le([x(2,i.IEnvironmentMainService),x(3,n.ILaunchMainService),x(4,f.ILogService),x(5,y.IDiagnosticsService),x(6,g.IDialogMainService),x(7,v.INativeHostMainService),x(8,D.IProductService)],c),e.IssueMainService=c;function a(s,t){const r=(0,b.parseArgs)(process.argv,b.OPTIONS),o=Object.assign(r,t);for(const d of Object.keys(o)){const u=d;(o[u]===void 0||o[u]===null||o[u]==="")&&delete o[u]}return S.FileAccess.asBrowserUri(s,H,!0).with({query:`config=${encodeURIComponent(JSON.stringify(o))}`}).toString(!0)}}),define(Q[228],J([0,1,27,8,144,172,4,7,11,26,6,24,60,17,61,2,3,32,28,50,48,192,72,31,49,39,196,18,96,16,9,53,25,42]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s,t,r,o,d,u,m,I,A,F,C,j,G){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var ie;(function(V){V[V.NONE=0]="NONE",V[V.LOADING=1]="LOADING",V[V.NAVIGATING=2]="NAVIGATING",V[V.READY=3]="READY"})(ie||(ie={}));let oe=class dt extends p.Disposable{constructor(N,B,U,$,_,k,M,O,T,W,z,K,X,Z){super();this.logService=B,this.environmentMainService=U,this.fileService=$,this.configurationService=k,this.themeMainService=M,this.workspacesManagementMainService=O,this.backupMainService=T,this.telemetryService=W,this.dialogMainService=z,this.lifecycleMainService=K,this.nativeHostMainService=X,this.productService=Z,this._onWillLoad=this._register(new P.Emitter),this.onWillLoad=this._onWillLoad.event,this._onDidSignalReady=this._register(new P.Emitter),this.onDidSignalReady=this._onDidSignalReady.event,this._onDidClose=this._register(new P.Emitter),this.onDidClose=this._onDidClose.event,this._onDidDestroy=this._register(new P.Emitter),this.onDidDestroy=this._onDidDestroy.event,this._lastFocusTime=-1,this._readyState=0,this.whenReadyCallbacks=[],this.touchBarGroups=[],this.currentHttpProxy=void 0,this.currentNoProxy=void 0;{const[Y,ee]=this.restoreWindowState(N.state);this.windowState=Y,this.logService.trace("window#ctor: using window state",Y);const re=this.windowState.mode===0||this.windowState.mode===3,ne=this.configurationService.getValue("window"),ue={width:this.windowState.width,height:this.windowState.height,x:this.windowState.x,y:this.windowState.y,backgroundColor:this.themeMainService.getBackgroundColor(),minWidth:h.WindowMinimumSize.WIDTH,minHeight:h.WindowMinimumSize.HEIGHT,show:!re,title:this.productService.nameLong,webPreferences:Object.assign({preload:F.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:S.browserCodeLoadingCacheStrategy,enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,webviewTag:!0,zoomFactor:(0,h.zoomLevelToZoomFactor)(ne==null?void 0:ne.zoomLevel)},this.environmentMainService.sandbox?{sandbox:!0,contextIsolation:!0}:{nodeIntegration:!0})};S.browserCodeLoadingCacheStrategy&&this.logService.info(`window#ctor: using vscode-file protocol and V8 cache options: ${S.browserCodeLoadingCacheStrategy}`),S.isLinux?ue.icon=(0,R.join)(this.environmentMainService.appRoot,"resources/linux/code.png"):S.isWindows&&!this.environmentMainService.isBuilt&&(ue.icon=(0,R.join)(this.environmentMainService.appRoot,"resources/win32/code_150x150.png")),S.isMacintosh&&!this.useNativeFullScreen()&&(ue.fullscreenable=!1),S.isMacintosh&&(ue.acceptFirstMouse=!0,(ne==null?void 0:ne.clickThroughInactive)===!1&&(ue.acceptFirstMouse=!1));const ve=S.isMacintosh&&(ne==null?void 0:ne.nativeTabs)===!0;ve&&(ue.tabbingIdentifier=this.productService.nameShort);const de=(0,h.getTitleBarStyle)(this.configurationService)==="custom";if(de&&(ue.titleBarStyle="hidden",this.hiddenTitleBarStyle=!0,S.isMacintosh||(ue.frame=!1)),this._win=new y.BrowserWindow(ue),this._id=this._win.id,this.environmentMainService.args["open-devtools"]===!0&&this._win.webContents.openDevTools(),S.isMacintosh&&de&&this._win.setSheetOffset(22),S.isMacintosh&&ee&&(!ve||y.BrowserWindow.getAllWindows().length===1)&&[this.windowState.width,this.windowState.height,this.windowState.x,this.windowState.y].every(he=>typeof he=="number")){const he=this.windowState;this._win.setBounds({width:he.width,height:he.height,x:he.x,y:he.y})}re&&(this._win.maximize(),this.windowState.mode===3&&this.setFullScreen(!0),this._win.isVisible()||this._win.show()),this._lastFocusTime=Date.now()}this.onConfigurationUpdated(),this.createTouchBar(),this.marketplaceHeadersPromise=(0,s.resolveMarketplaceHeaders)(this.productService.version,this.environmentMainService,this.fileService,{get:Y=>_.globalStorage.get(Y),store:(Y,ee)=>_.globalStorage.set(Y,ee)}),this.registerListeners()}get config(){return this.currentConfig}get id(){return this._id}get win(){return this._win}get hasHiddenTitleBarStyle(){return!!this.hiddenTitleBarStyle}get isExtensionDevelopmentHost(){var N;return!!((N=this.currentConfig)===null||N===void 0?void 0:N.extensionDevelopmentPath)}get isExtensionTestHost(){var N;return!!((N=this.currentConfig)===null||N===void 0?void 0:N.extensionTestsPath)}get isExtensionDevelopmentTestFromCli(){var N;return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!((N=this.currentConfig)===null||N===void 0?void 0:N.debugId)}setRepresentedFilename(N){S.isMacintosh?this._win.setRepresentedFilename(N):this.representedFilename=N}getRepresentedFilename(){return S.isMacintosh?this._win.getRepresentedFilename():this.representedFilename}setDocumentEdited(N){S.isMacintosh&&this._win.setDocumentEdited(N),this.documentEdited=N}isDocumentEdited(){return S.isMacintosh?this._win.isDocumentEdited():!!this.documentEdited}focus(N){S.isMacintosh&&(N==null?void 0:N.force)&&y.app.focus({steal:!0}),!!this._win&&(this._win.isMinimized()&&this._win.restore(),this._win.focus())}get lastFocusTime(){return this._lastFocusTime}get backupPath(){var N;return(N=this.currentConfig)===null||N===void 0?void 0:N.backupPath}get openedWorkspace(){var N;return(N=this.currentConfig)===null||N===void 0?void 0:N.workspace}get remoteAuthority(){var N;return(N=this.currentConfig)===null||N===void 0?void 0:N.remoteAuthority}setReady(){for(this._readyState=3;this.whenReadyCallbacks.length;)this.whenReadyCallbacks.pop()(this);this._onDidSignalReady.fire()}ready(){return new Promise(N=>{if(this.isReady)return N(this);this.whenReadyCallbacks.push(N)})}get isReady(){return this._readyState===3}get whenClosedOrLoaded(){return new Promise(N=>{function B(){U.dispose(),$.dispose(),N()}const U=this.onDidClose(()=>B()),$=this.onWillLoad(()=>B())})}registerListeners(){this._win.on("unresponsive",()=>this.onWindowError(1)),this._win.webContents.on("render-process-gone",(U,$)=>this.onWindowError(2,$)),this._win.webContents.on("did-fail-load",(U,$,_)=>this.onWindowError(3,_)),this._win.on("closed",()=>{this._onDidClose.fire(),this.dispose()});const N=new Set([F.Schemas.file,F.Schemas.vscodeFileResource,F.Schemas.vscodeRemoteResource,"devtools"]);this._win.webContents.session.webRequest.onBeforeRequest((U,$)=>{const _=n.URI.parse(U.url);return _&&_.path.endsWith(".svg")&&!(N.has(_.scheme)||_.path.includes(F.Schemas.vscodeRemoteResource))?$({cancel:!0}):$({cancel:!1})}),this._win.webContents.session.webRequest.onHeadersReceived((U,$)=>{const _=U.responseHeaders,k=_["content-type"]||_["Content-Type"];if(k&&Array.isArray(k)){const M=n.URI.parse(U.url);if(M&&M.path.endsWith(".svg")&&N.has(M.scheme))return _["Content-Type"]=["image/svg+xml"],$({cancel:!1,responseHeaders:_});if(!M.path.includes(F.Schemas.vscodeRemoteResource)&&k.some(O=>O.toLowerCase().includes("image/svg")))return $({cancel:!0})}return $({cancel:!1})}),this._win.webContents.on("did-finish-load",()=>{this._readyState=1,this.pendingLoadConfig&&(this.currentConfig=this.pendingLoadConfig,this.pendingLoadConfig=void 0)}),this._win.on("focus",()=>{this._lastFocusTime=Date.now()}),S.isMacintosh&&this._register(this.nativeHostMainService.onDidChangeDisplay(()=>{!this._win||!this.useNativeFullScreen()&&this.isFullScreen&&(this.setFullScreen(!1),this.setFullScreen(!0))})),this._win.on("maximize",U=>{this.currentConfig&&(this.currentConfig.maximized=!0),y.app.emit("browser-window-maximize",U,this._win)}),this._win.on("unmaximize",U=>{this.currentConfig&&(this.currentConfig.maximized=!1),y.app.emit("browser-window-unmaximize",U,this._win)}),this._win.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",j.CancellationToken.None)}),this._win.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",j.CancellationToken.None)}),this._register(this.configurationService.onDidChangeConfiguration(()=>this.onConfigurationUpdated())),this._register(this.workspacesManagementMainService.onDidDeleteUntitledWorkspace(U=>this.onDidDeleteUntitledWorkspace(U)));const B=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this._win.webContents.session.webRequest.onBeforeSendHeaders({urls:B},async(U,$)=>{const _=await this.marketplaceHeadersPromise;$({cancel:!1,requestHeaders:Object.assign(U.requestHeaders,_)})})}async onWindowError(N,B){switch(N){case 2:this.logService.error(`CodeWindow: renderer process crashed (detail: ${typeof B=="string"?B:B==null?void 0:B.reason})`);break;case 1:this.logService.error("CodeWindow: detected unresponsive");break;case 3:this.logService.error(`CodeWindow: failed to load workbench window: ${typeof B=="string"?B:B==null?void 0:B.reason}`);break}if(this.isExtensionDevelopmentTestFromCli){this.lifecycleMainService.kill(1);return}if(this.telemetryService.publicLog2("windowerror",{type:N,reason:B&&typeof B!="string"?B.reason:void 0}),N===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this._win&&this._win.webContents&&this._win.webContents.isDevToolsOpened())return;const U=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,d.mnemonicButtonLabel)((0,D.localize)(0,null)),(0,d.mnemonicButtonLabel)((0,D.localize)(1,null)),(0,d.mnemonicButtonLabel)((0,D.localize)(2,null))],message:(0,D.localize)(3,null),detail:(0,D.localize)(4,null),noLink:!0},this._win);if(!this._win)return;U.response===0?(this._win.webContents.forcefullyCrashRenderer(),this.reload()):U.response===2&&this.destroyWindow()}else if(N===2){let U;typeof B=="string"||!B?U=(0,D.localize)(5,null):U=(0,D.localize)(6,null,B.reason);const $=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,d.mnemonicButtonLabel)((0,D.localize)(7,null)),(0,d.mnemonicButtonLabel)((0,D.localize)(8,null))],message:U,detail:(0,D.localize)(9,null),noLink:!0},this._win);if(!this._win)return;$.response===0?this.reload():$.response===1&&this.destroyWindow()}}destroyWindow(){this._onDidDestroy.fire(),this._win.destroy()}onDidDeleteUntitledWorkspace(N){var B;((B=this.openedWorkspace)===null||B===void 0?void 0:B.id)===N.id&&this.currentConfig&&(this.currentConfig.workspace=void 0)}onConfigurationUpdated(){const N=this.getMenuBarVisibility();N!==this.currentMenuBarVisibility&&(this.currentMenuBarVisibility=N,this.setMenuBarVisibility(N));let B=(this.configurationService.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;(B==null?void 0:B.endsWith("/"))&&(B=B.substr(0,B.length-1));const U=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((B||"").indexOf("@")===-1&&(B!==this.currentHttpProxy||U!==this.currentNoProxy)){this.currentHttpProxy=B,this.currentNoProxy=U;const $=B||"",_=U?`${U},<local>`:"<local>";this.logService.trace(`Setting proxy to '${$}', bypassing '${_}'`),this._win.webContents.session.setProxy({proxyRules:$,proxyBypassRules:_,pacScript:""})}}addTabbedWindow(N){S.isMacintosh&&N.win&&this._win.addTabbedWindow(N.win)}load(N,{isReload:B,disableExtensions:U}=Object.create(null)){var $,_;const k=(_=($=this.currentConfig)!==null&&$!==void 0?$:this.pendingLoadConfig)===null||_===void 0?void 0:_.userEnv;k&&(0,C.isLaunchedFromCli)(k)&&!(0,C.isLaunchedFromCli)(N.userEnv)&&(N.userEnv=Object.assign(Object.assign({},k),N.userEnv)),process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(N.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),this._readyState===0?this.currentConfig=N:(this.pendingLoadConfig=N,this._readyState=2);const M=Object.assign({},N);U!==void 0&&(M["disable-extensions"]=U),this.isDocumentEdited()&&(!B||!this.backupMainService.isHotExitEnabled())&&this.setDocumentEdited(!1),B||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this._win.setTitle(this.productService.nameLong)),(0,b.mark)("code/willOpenNewWindow"),this._win.loadURL(this.getUrl(M)),!this.environmentMainService.isBuilt&&!this.environmentMainService.extensionTestsLocationURI&&(this.showTimeoutHandle=setTimeout(()=>{this._win&&!this._win.isVisible()&&!this._win.isMinimized()&&(this._win.show(),this.focus({force:!0}),this._win.webContents.openDevTools())},1e4)),this._onWillLoad.fire({workspace:M.workspace})}async reload(N){const B=Object.assign({},this.currentConfig);B.workspace=await this.validateWorkspace(B),delete B.filesToOpenOrCreate,delete B.filesToDiff,delete B.filesToWait,this.isExtensionDevelopmentHost&&N&&(B.verbose=N.verbose,B.debugId=N.debugId,B["inspect-extensions"]=N["inspect-extensions"],B["inspect-brk-extensions"]=N["inspect-brk-extensions"],B["extensions-dir"]=N["extensions-dir"]),B.isInitialStartup=!1,this.load(B,{isReload:!0,disableExtensions:N==null?void 0:N["disable-extensions"]})}async validateWorkspace(N){if((0,l.isWorkspaceIdentifier)(N.workspace)){const B=N.workspace.configPath;if(B.scheme===F.Schemas.file&&!await this.fileService.exists(B))return}else if((0,l.isSingleFolderWorkspaceIdentifier)(N.workspace)){const B=N.workspace.uri;if(B.scheme===F.Schemas.file&&!await this.fileService.exists(B))return}return N.workspace}getUrl(N){var B;N.windowId=this._win.id,N.sessionId=`window:${this._win.id}`,N.logLevel=this.logService.getLevel(),N.logsPath=this.environmentMainService.logsPath;const U=this.configurationService.getValue("window"),$=U==null?void 0:U.zoomLevel;typeof $=="number"&&(N.zoomLevel=$),N.fullscreen=this.isFullScreen,N.colorScheme={dark:y.nativeTheme.shouldUseDarkColors,highContrast:y.nativeTheme.shouldUseInvertedColorScheme||y.nativeTheme.shouldUseHighContrastColors},N.autoDetectHighContrast=(B=U==null?void 0:U.autoDetectHighContrast)!==null&&B!==void 0?B:!0,N.accessibilitySupport=y.app.accessibilitySupportEnabled,N.maximized=this._win.isMaximized(),N.perfMarks=(0,b.getMarks)(),N.partsSplashPath=(0,R.join)(this.environmentMainService.userDataPath,"rapid_render.json"),N.os={release:(0,w.release)()};const _=(0,E.parseArgs)(process.argv,E.OPTIONS),k=Object.assign(_,N);for(const O in k){const T=k[O];(T==null||T===""||T===!1)&&delete k[O]}let M=this.doGetUrl(k);return M.length>dt.MAX_URL_LENGTH&&(this.logService.warn("Application URL exceeds maximum of 2MB and was shortened."),M=this.doGetUrl(Object.assign(Object.assign({},k),{userEnv:void 0})),M.length>dt.MAX_URL_LENGTH&&this.logService.error("Application URL exceeds maximum of 2MB and cannot be loaded.")),M}doGetUrl(N){let B;return this.environmentMainService.sandbox?B="vs/code/electron-sandbox/workbench/workbench.html":B="vs/code/electron-browser/workbench/workbench.html",F.FileAccess.asBrowserUri(B,H).with({query:`config=${encodeURIComponent(JSON.stringify(N))}`}).toString(!0)}serializeWindowState(){if(!this._win)return(0,v.defaultWindowState)();if(this.isFullScreen){let U;try{U=y.screen.getDisplayMatching(this.getBounds())}catch(k){}const $=(0,v.defaultWindowState)();return{mode:3,display:U?U.id:void 0,width:this.windowState.width||$.width,height:this.windowState.height||$.height,x:this.windowState.x||0,y:this.windowState.y||0}}const N=Object.create(null);let B;if(!S.isMacintosh&&this._win.isMaximized()?B=0:B=1,B===0?N.mode=0:N.mode=1,B===1||B===0){let U;B===1?U=this.getBounds():U=this._win.getNormalBounds(),N.x=U.x,N.y=U.y,N.width=U.width,N.height=U.height}return N}restoreWindowState(N){let B=!1;if(N)try{const U=y.screen.getAllDisplays();B=U.length>1,N=this.validateWindowState(N,U)}catch(U){this.logService.warn(`Unexpected error validating window state: ${U}
${U.stack}`)}return[N||(0,v.defaultWindowState)(),B]}validateWindowState(N,B){var U,$;if(this.logService.trace(`window#validateWindowState: validating window state on ${B.length} display(s)`,N),typeof N.x!="number"||typeof N.y!="number"||typeof N.width!="number"||typeof N.height!="number"){this.logService.trace("window#validateWindowState: unexpected type of state values");return}if(N.width<=0||N.height<=0){this.logService.trace("window#validateWindowState: unexpected negative values");return}if(B.length===1){const O=this.getWorkingArea(B[0]);if(O){this.logService.trace("window#validateWindowState: 1 monitor working area",O);function _(){!N||typeof N.x!="number"||typeof N.y!="number"||!O||(N.x<O.x&&(N.x=O.x),N.y<O.y&&(N.y=O.y))}_(),N.width>O.width&&(N.width=O.width),N.height>O.height&&(N.height=O.height),N.x>O.x+O.width-128&&(N.x=O.x+O.width-N.width),N.y>O.y+O.height-128&&(N.y=O.y+O.height-N.height),_()}return N}if(N.display&&N.mode===3){const O=B.find(T=>T.id===N.display);if(O&&typeof((U=O.bounds)===null||U===void 0?void 0:U.x)=="number"&&typeof(($=O.bounds)===null||$===void 0?void 0:$.y)=="number"){this.logService.trace("window#validateWindowState: restoring fullscreen to previous display");const T=(0,v.defaultWindowState)(3);return T.x=O.bounds.x,T.y=O.bounds.y,T}}let k,M;try{k=y.screen.getDisplayMatching({x:N.x,y:N.y,width:N.width,height:N.height}),M=this.getWorkingArea(k)}catch(O){}if(k&&M&&N.x+N.width>M.x&&N.y+N.height>M.y&&N.x<M.x+M.width&&N.y<M.y+M.height)return this.logService.trace("window#validateWindowState: multi-monitor working area",M),N}getWorkingArea(N){if(N.workArea.width>0&&N.workArea.height>0)return N.workArea;if(N.bounds.width>0&&N.bounds.height>0)return N.bounds}getBounds(){const[N,B]=this._win.getPosition(),[U,$]=this._win.getSize();return{x:N,y:B,width:U,height:$}}toggleFullScreen(){this.setFullScreen(!this.isFullScreen)}setFullScreen(N){this.useNativeFullScreen()?this.setNativeFullScreen(N):this.setSimpleFullScreen(N),this.sendWhenReady(N?"vscode:enterFullScreen":"vscode:leaveFullScreen",j.CancellationToken.None),this.currentMenuBarVisibility&&this.setMenuBarVisibility(this.currentMenuBarVisibility,!1)}get isFullScreen(){return this._win.isFullScreen()||this._win.isSimpleFullScreen()}setNativeFullScreen(N){this._win.isSimpleFullScreen()&&this._win.setSimpleFullScreen(!1),this._win.setFullScreen(N)}setSimpleFullScreen(N){this._win.isFullScreen()&&this._win.setFullScreen(!1),this._win.setSimpleFullScreen(N),this._win.webContents.focus()}useNativeFullScreen(){const N=this.configurationService.getValue("window");return!N||typeof N.nativeFullScreen!="boolean"||N.nativeTabs?!0:N.nativeFullScreen!==!1}isMinimized(){return this._win.isMinimized()}getMenuBarVisibility(){let N=(0,h.getMenuBarVisibility)(this.configurationService);return["visible","toggle","hidden"].indexOf(N)<0&&(N="classic"),N}setMenuBarVisibility(N,B=!0){S.isMacintosh||(N==="toggle"&&B&&this.send("vscode:showInfoMessage",(0,D.localize)(10,null)),N==="hidden"?setTimeout(()=>{this.doSetMenuBarVisibility(N)}):this.doSetMenuBarVisibility(N))}doSetMenuBarVisibility(N){const B=this.isFullScreen;switch(N){case"classic":this._win.setMenuBarVisibility(!B),this._win.autoHideMenuBar=B;break;case"visible":this._win.setMenuBarVisibility(!0),this._win.autoHideMenuBar=!1;break;case"toggle":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!0;break;case"hidden":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!1;break}}handleTitleDoubleClick(){if(S.isMacintosh)switch(y.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this._win.minimize();break;case"None":break;case"Maximize":default:this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}else this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}close(){this._win&&this._win.close()}sendWhenReady(N,B,...U){this.isReady?this.send(N,...U):this.ready().then(()=>{B.isCancellationRequested||this.send(N,...U)})}send(N,...B){if(this._win){if(this._win.isDestroyed()||this._win.webContents.isDestroyed()){this.logService.warn(`Sending IPC message to channel ${N} for window that is destroyed`);return}this._win.webContents.send(N,...B)}}updateTouchBar(N){!S.isMacintosh||this.touchBarGroups.forEach((B,U)=>{const $=N[U];B.segments=this.createTouchBarGroupSegments($)})}createTouchBar(){if(!!S.isMacintosh){for(let N=0;N<10;N++){const B=this.createTouchBarGroup();this.touchBarGroups.push(B)}this._win.setTouchBar(new y.TouchBar({items:this.touchBarGroups}))}}createTouchBarGroup(N=[]){const B=this.createTouchBarGroupSegments(N),U=new y.TouchBar.TouchBarSegmentedControl({segments:B,mode:"buttons",segmentStyle:"automatic",change:$=>{this.sendWhenReady("vscode:runAction",j.CancellationToken.None,{id:U.segments[$].id,from:"touchbar"})}});return U}createTouchBarGroupSegments(N=[]){return N.map(U=>{var $,_;let k;U.icon&&!u.ThemeIcon.isThemeIcon(U.icon)&&((_=($=U.icon)===null||$===void 0?void 0:$.dark)===null||_===void 0?void 0:_.scheme)===F.Schemas.file&&(k=y.nativeImage.createFromPath(n.URI.revive(U.icon.dark).fsPath),k.isEmpty()&&(k=void 0));let M;return typeof U.title=="string"?M=U.title:M=U.title.value,{id:U.id,label:k?void 0:M,icon:k}})}dispose(){super.dispose(),this.showTimeoutHandle&&clearTimeout(this.showTimeoutHandle),this._win=null}};oe.MAX_URL_LENGTH=2*A.ByteSize.MB,oe=le([x(1,L.ILogService),x(2,i.IEnvironmentMainService),x(3,A.IFileService),x(4,I.IStorageMainService),x(5,f.IConfigurationService),x(6,t.IThemeMainService),x(7,c.IWorkspacesManagementMainService),x(8,a.IBackupMainService),x(9,r.ITelemetryService),x(10,o.IDialogMainService),x(11,m.ILifecycleMainService),x(12,G.INativeHostMainService),x(13,g.IProductService)],oe),e.CodeWindow=oe}),define(Q[62],J([0,1,147,34,38,11,6,39,4,3,28,50,10,15,7,9,26,23,18,5,2]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=(0,c.createDecorator)("workspacesHistoryMainService");let s=class $e extends a.Disposable{constructor(I,A,F,C,j){super();this.stateService=I,this.logService=A,this.workspacesManagementMainService=F,this.environmentMainService=C,this.lifecycleMainService=j,this._onDidChangeRecentlyOpened=this._register(new y.Emitter),this.onDidChangeRecentlyOpened=this._onDidChangeRecentlyOpened.event,this.macOSRecentDocumentsUpdater=this._register(new E.ThrottledDelayer(800)),this.registerListeners()}registerListeners(){this.lifecycleMainService.when(3).then(()=>this.handleWindowsJumpList()),this._register(this.workspacesManagementMainService.onDidEnterWorkspace(I=>this.addRecentlyOpened([{workspace:I.workspace}])))}handleWindowsJumpList(){!i.isWindows||(this.updateWindowsJumpList(),this._register(this.onDidChangeRecentlyOpened(()=>this.updateWindowsJumpList())))}addRecentlyOpened(I){const A=[],F=[];for(let C of I)if((0,L.isRecentWorkspace)(C))!this.workspacesManagementMainService.isUntitledWorkspace(C.workspace)&&o(A,C.workspace)===-1&&A.push(C);else if((0,L.isRecentFolder)(C))d(A,C.folderUri)===-1&&A.push(C);else{const j=u(F,C.fileUri)>=0,G=C.fileUri.scheme===p.Schemas.file&&$e.COMMON_FILES_FILTER.indexOf((0,g.basename)(C.fileUri))>=0;!j&&!G&&(F.push(C),i.isWindows&&C.fileUri.scheme===p.Schemas.file&&b.app.addRecentDocument(C.fileUri.fsPath))}this.addEntriesFromStorage(A,F),A.length>$e.MAX_TOTAL_RECENT_ENTRIES&&(A.length=$e.MAX_TOTAL_RECENT_ENTRIES),F.length>$e.MAX_TOTAL_RECENT_ENTRIES&&(F.length=$e.MAX_TOTAL_RECENT_ENTRIES),this.saveRecentlyOpened({workspaces:A,files:F}),this._onDidChangeRecentlyOpened.fire(),i.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments())}removeRecentlyOpened(I){const A=G=>{const ie=r(G);for(const oe of I)if(g.extUriBiasedIgnorePathCase.isEqual(oe,ie))return!1;return!0},F=this.getRecentlyOpened(),C=F.workspaces.filter(A),j=F.files.filter(A);(C.length!==F.workspaces.length||j.length!==F.files.length)&&(this.saveRecentlyOpened({files:j,workspaces:C}),this._onDidChangeRecentlyOpened.fire(),i.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments()))}async updateMacOSRecentDocuments(){if(!!i.isMacintosh){b.app.clearRecentDocuments();const I=this.getRecentlyOpened(),A=[];let F=0;for(let j=0;j<I.workspaces.length&&F<$e.MAX_MACOS_DOCK_RECENT_WORKSPACES;j++){const G=r(I.workspaces[j]);if(G.scheme===p.Schemas.file){const ie=(0,g.originalFSPath)(G);await(0,v.exists)(ie)&&(A.push(ie),F++)}}const C=[];for(let j=0;j<I.files.length&&F<$e.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL;j++){const G=r(I.files[j]);if(G.scheme===p.Schemas.file){const ie=(0,g.originalFSPath)(G);if($e.COMMON_FILES_FILTER.includes((0,g.basename)(G))||A.includes(ie))continue;await(0,v.exists)(ie)&&(C.push(ie),F++)}}C.reverse().forEach(j=>b.app.addRecentDocument(j)),A.reverse().forEach(j=>b.app.addRecentDocument(j))}}clearRecentlyOpened(){this.saveRecentlyOpened({workspaces:[],files:[]}),b.app.clearRecentDocuments(),this._onDidChangeRecentlyOpened.fire()}getRecentlyOpened(I){var A,F;const C=[],j=[],G=(A=I==null?void 0:I.config)===null||A===void 0?void 0:A.workspace;(0,L.isWorkspaceIdentifier)(G)&&!this.workspacesManagementMainService.isUntitledWorkspace(G)?C.push({workspace:G}):(0,L.isSingleFolderWorkspaceIdentifier)(G)&&C.push({folderUri:G.uri});const ie=(F=I==null?void 0:I.config)===null||F===void 0?void 0:F.filesToOpenOrCreate;if(ie)for(let oe of ie){const V=oe.fileUri;V&&u(j,V)===-1&&j.push({fileUri:V})}return this.addEntriesFromStorage(C,j),{workspaces:C,files:j}}addEntriesFromStorage(I,A){let F=this.getRecentlyOpenedFromStorage();for(let C of F.workspaces){let j=(0,L.isRecentFolder)(C)?d(I,C.folderUri):o(I,C.workspace);j>=0?I[j].label=I[j].label||C.label:I.push(C)}for(let C of F.files){let j=u(A,C.fileUri);j>=0?A[j].label=A[j].label||C.label:A.push(C)}}getRecentlyOpenedFromStorage(){const I=this.stateService.getItem($e.recentlyOpenedStorageKey);return(0,L.restoreRecentlyOpened)(I,this.logService)}saveRecentlyOpened(I){const A=(0,L.toStoreData)(I);this.stateService.setItem($e.recentlyOpenedStorageKey,A)}updateWindowsJumpList(){if(!!i.isWindows){const I=[];if(I.push({type:"tasks",items:[{type:"task",title:(0,w.localize)(0,null),description:(0,w.localize)(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),this.getRecentlyOpened().workspaces.length>0){let A=[];for(let j of b.app.getJumpListSettings().removedItems){const G=j.args;if(G){const ie=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(G);ie&&A.push(h.URI.parse(ie[2]))}}this.removeRecentlyOpened(A);let F=!1;const C=(0,R.coalesce)(this.getRecentlyOpened().workspaces.slice(0,7).map(j=>{const G=(0,L.isRecentWorkspace)(j)?j.workspace:j.folderUri,{title:ie,description:oe}=this.getWindowsJumpListLabel(G,j.label);let V;return h.URI.isUri(G)?V=`--folder-uri "${G.toString()}"`:(F=!0,V=`--file-uri "${G.configPath.toString()}"`),{type:"task",title:ie.substr(0,255),description:oe.substr(0,255),program:process.execPath,args:V,iconPath:"explorer.exe",iconIndex:0}}));C.length>0&&I.push({type:"custom",name:F?(0,w.localize)(2,null):(0,w.localize)(3,null),items:C})}I.push({type:"recent"});try{b.app.setJumpList(I)}catch(A){this.logService.warn("updateWindowsJumpList#setJumpList",A)}}}getWindowsJumpListLabel(I,A){if(A)return{title:(0,n.splitName)(A).name,description:A};if(h.URI.isUri(I))return{title:(0,g.basename)(I),description:t(I)};if(g.extUriBiasedIgnorePathCase.isEqualOrParent(I.configPath,this.environmentMainService.userHome))return{title:(0,w.localize)(4,null),description:""};let F=(0,g.basename)(I.configPath);return F.endsWith(L.WORKSPACE_EXTENSION)&&(F=F.substr(0,F.length-L.WORKSPACE_EXTENSION.length-1)),{title:(0,w.localize)(5,null,F),description:t(I.configPath)}}};s.MAX_TOTAL_RECENT_ENTRIES=100,s.MAX_MACOS_DOCK_RECENT_WORKSPACES=7,s.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL=10,s.COMMON_FILES_FILTER=["COMMIT_EDITMSG","MERGE_MSG"],s.recentlyOpenedStorageKey="openedPathsList",s=le([x(0,D.IStateService),x(1,P.ILogService),x(2,f.IWorkspacesManagementMainService),x(3,S.IEnvironmentMainService),x(4,l.ILifecycleMainService)],s),e.WorkspacesHistoryMainService=s;function t(m){return m.scheme==="file"?(0,n.normalizeDriveLetter)(m.fsPath):m.toString()}function r(m){return(0,L.isRecentFolder)(m)?m.folderUri:(0,L.isRecentFile)(m)?m.fileUri:m.workspace.configPath}function o(m,I){return m.findIndex(A=>(0,L.isRecentWorkspace)(A)&&A.workspace.id===I.id)}function d(m,I){return m.findIndex(A=>(0,L.isRecentFolder)(A)&&g.extUriBiasedIgnorePathCase.isEqual(A.folderUri,I))}function u(m,I){return m.findIndex(A=>g.extUriBiasedIgnorePathCase.isEqual(A.fileUri,I))}}),define(Q[229],J([0,1,140,3,26,11,61,24,31,41,17,10,6,39,32,62,177,7,38,18,42,25]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const t="menu";let r=class ft{constructor(u,m,I,A,F,C,j,G,ie,oe,V){this.updateService=u,this.configurationService=m,this.windowsMainService=I,this.environmentMainService=A,this.telemetryService=F,this.workspacesHistoryMainService=C,this.stateService=j,this.lifecycleMainService=G,this.logService=ie,this.nativeHostMainService=oe,this.productService=V,this.fallbackMenuHandlers=Object.create(null),this.menuUpdater=new f.RunOnceScheduler(()=>this.doUpdateMenu(),0),this.menuGC=new f.RunOnceScheduler(()=>{this.oldMenus=[]},1e4),this.menubarMenus=Object.create(null),this.keybindings=Object.create(null),(R.isMacintosh||(0,P.getTitleBarStyle)(this.configurationService)==="native")&&this.restoreCachedMenubarData(),this.addFallbackHandlers(),this.closedLastWindow=!1,this.noActiveWindow=!1,this.oldMenus=[],this.install(),this.registerListeners()}restoreCachedMenubarData(){const u=this.stateService.getItem(ft.lastKnownMenubarStorageKey);u&&(u.menus&&(this.menubarMenus=u.menus),u.keybindings&&(this.keybindings=u.keybindings))}addFallbackHandlers(){this.fallbackMenuHandlers["workbench.action.files.newUntitledFile"]=(C,j,G)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:j==null?void 0:j.id}),this.fallbackMenuHandlers["workbench.action.newWindow"]=(C,j,G)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:j==null?void 0:j.id}),this.fallbackMenuHandlers["workbench.action.files.openFileFolder"]=(C,j,G)=>this.nativeHostMainService.pickFileFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(G),telemetryExtraData:{from:t}}),this.fallbackMenuHandlers["workbench.action.openWorkspace"]=(C,j,G)=>this.nativeHostMainService.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.isOptionClick(G),telemetryExtraData:{from:t}}),this.fallbackMenuHandlers["workbench.action.clearRecentFiles"]=()=>this.workspacesHistoryMainService.clearRecentlyOpened();const u=this.productService.twitterUrl;u&&(this.fallbackMenuHandlers["workbench.action.openTwitterUrl"]=()=>this.openUrl(u,"openTwitterUrl"));const m=this.productService.requestFeatureUrl;m&&(this.fallbackMenuHandlers["workbench.action.openRequestFeatureUrl"]=()=>this.openUrl(m,"openUserVoiceUrl"));const I=this.productService.reportIssueUrl;I&&(this.fallbackMenuHandlers["workbench.action.openIssueReporter"]=()=>this.openUrl(I,"openReportIssues"));const A=this.productService.licenseUrl;A&&(this.fallbackMenuHandlers["workbench.action.openLicenseUrl"]=()=>{if(R.language){const C=A.indexOf("?")>0?"&":"?";this.openUrl(`${A}${C}lang=${R.language}`,"openLicenseUrl")}else this.openUrl(A,"openLicenseUrl")});const F=this.productService.privacyStatementUrl;F&&A&&(this.fallbackMenuHandlers["workbench.action.openPrivacyStatementUrl"]=()=>{if(R.language){const C=A.indexOf("?")>0?"&":"?";this.openUrl(`${F}${C}lang=${R.language}`,"openPrivacyStatement")}else this.openUrl(F,"openPrivacyStatement")})}registerListeners(){this.lifecycleMainService.onWillShutdown(()=>this.willShutdown=!0),this.windowsMainService.onDidChangeWindowsCount(u=>this.onDidChangeWindowsCount(u)),this.nativeHostMainService.onDidBlurWindow(()=>this.onDidChangeWindowFocus()),this.nativeHostMainService.onDidFocusWindow(()=>this.onDidChangeWindowFocus())}get currentEnableMenuBarMnemonics(){let u=this.configurationService.getValue("window.enableMenuBarMnemonics");return typeof u!="boolean"&&(u=!0),u}get currentEnableNativeTabs(){if(!R.isMacintosh)return!1;let u=this.configurationService.getValue("window.nativeTabs");return typeof u!="boolean"&&(u=!1),u}updateMenu(u,m){this.menubarMenus=u.menus,this.keybindings=u.keybindings,this.stateService.setItem(ft.lastKnownMenubarStorageKey,u),this.scheduleUpdateMenu()}scheduleUpdateMenu(){this.menuUpdater.schedule()}doUpdateMenu(){this.willShutdown||setTimeout(()=>{this.willShutdown||this.install()},10)}onDidChangeWindowsCount(u){!R.isMacintosh||(u.oldCount===0&&u.newCount>0||u.oldCount>0&&u.newCount===0)&&(this.closedLastWindow=u.newCount===0,this.scheduleUpdateMenu())}onDidChangeWindowFocus(){!R.isMacintosh||(this.noActiveWindow=!b.BrowserWindow.getFocusedWindow(),this.scheduleUpdateMenu())}install(){const u=b.Menu.getApplicationMenu();if(u&&this.oldMenus.push(u),Object.keys(this.menubarMenus).length===0){b.Menu.setApplicationMenu(R.isMacintosh?new b.Menu:null);return}const m=new b.Menu;let I;if(R.isMacintosh){const W=new b.Menu;I=new b.MenuItem({label:this.productService.nameShort,submenu:W}),this.setMacApplicationMenu(W),m.append(I)}if(R.isMacintosh&&!this.appMenuInstalled){this.appMenuInstalled=!0;const W=new b.Menu;W.append(new b.MenuItem({label:this.mnemonicLabel(w.localize(0,null)),click:()=>this.windowsMainService.openEmptyWindow({context:1})})),b.app.dock.setMenu(W)}const A=new b.Menu,F=new b.MenuItem({label:this.mnemonicLabel(w.localize(1,null)),submenu:A});this.setMenuById(A,"File"),m.append(F);const C=new b.Menu,j=new b.MenuItem({label:this.mnemonicLabel(w.localize(2,null)),submenu:C});this.setMenuById(C,"Edit"),m.append(j);const G=new b.Menu,ie=new b.MenuItem({label:this.mnemonicLabel(w.localize(3,null)),submenu:G});this.setMenuById(G,"Selection"),m.append(ie);const oe=new b.Menu,V=new b.MenuItem({label:this.mnemonicLabel(w.localize(4,null)),submenu:oe});this.setMenuById(oe,"View"),m.append(V);const N=new b.Menu,B=new b.MenuItem({label:this.mnemonicLabel(w.localize(5,null)),submenu:N});this.setMenuById(N,"Go"),m.append(B);const U=new b.Menu,$=new b.MenuItem({label:this.mnemonicLabel(w.localize(6,null)),submenu:U});this.setMenuById(U,"Run"),m.append($);const _=new b.Menu,k=new b.MenuItem({label:this.mnemonicLabel(w.localize(7,null)),submenu:_});this.setMenuById(_,"Terminal"),m.append(k);let M;if(this.shouldDrawMenu("Window")){const W=new b.Menu;M=new b.MenuItem({label:this.mnemonicLabel(w.localize(8,null)),submenu:W,role:"window"}),this.setMacWindowMenu(W)}M&&m.append(M);const O=new b.Menu,T=new b.MenuItem({label:this.mnemonicLabel(w.localize(9,null)),submenu:O,role:"help"});this.setMenuById(O,"Help"),m.append(T),m.items&&m.items.length>0?b.Menu.setApplicationMenu(m):b.Menu.setApplicationMenu(null),this.menuGC.schedule()}setMacApplicationMenu(u){const m=this.createMenuItem(w.localize(10,null,this.productService.nameLong),"workbench.action.showAboutDialog"),I=this.getUpdateMenuItems();let A;if(this.shouldDrawMenu("Preferences")){const N=new b.Menu;this.setMenuById(N,"Preferences"),A=new b.MenuItem({label:this.mnemonicLabel(w.localize(11,null)),submenu:N})}const F=new b.Menu,C=new b.MenuItem({label:w.localize(12,null),role:"services",submenu:F}),j=new b.MenuItem({label:w.localize(13,null,this.productService.nameLong),role:"hide",accelerator:"Command+H"}),G=new b.MenuItem({label:w.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),ie=new b.MenuItem({label:w.localize(15,null),role:"unhide"}),oe=new b.MenuItem(this.likeAction("workbench.action.quit",{label:w.localize(16,null,this.productService.nameLong),click:()=>{const N=this.windowsMainService.getLastActiveWindow();(this.windowsMainService.getWindowCount()===0||!!b.BrowserWindow.getFocusedWindow()||(N==null?void 0:N.isMinimized()))&&this.nativeHostMainService.quit(void 0)}})),V=[m];V.push(...I),A&&V.push(o(),A),V.push(o(),C,o(),j,G,ie,o(),oe),V.forEach(N=>u.append(N))}shouldDrawMenu(u){if(!R.isMacintosh&&(0,P.getTitleBarStyle)(this.configurationService)==="custom")return!1;switch(u){case"File":case"Help":if(R.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus&&!!this.menubarMenus[u];case"Window":if(R.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus;default:return this.windowsMainService.getWindowCount()>0&&!!this.menubarMenus&&!!this.menubarMenus[u]}}setMenu(u,m){m.forEach(I=>{if((0,S.isMenubarMenuItemSeparator)(I))u.append(o());else if((0,S.isMenubarMenuItemSubmenu)(I)){const A=new b.Menu,F=new b.MenuItem({label:this.mnemonicLabel(I.label),submenu:A});this.setMenu(A,I.submenu.items),u.append(F)}else(0,S.isMenubarMenuItemRecentAction)(I)?u.append(this.createOpenRecentMenuItem(I)):(0,S.isMenubarMenuItemAction)(I)&&(I.id==="workbench.action.showAboutDialog"&&this.insertCheckForUpdatesItems(u),R.isMacintosh?this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow?this.fallbackMenuHandlers[I.id]?u.append(new b.MenuItem(this.likeAction(I.id,{label:this.mnemonicLabel(I.label),click:this.fallbackMenuHandlers[I.id]}))):u.append(this.createMenuItem(I.label,I.id,!1,I.checked)):u.append(this.createMenuItem(I.label,I.id,I.enabled!==!1,!!I.checked)):u.append(this.createMenuItem(I.label,I.id,I.enabled!==!1,!!I.checked)))})}setMenuById(u,m){this.menubarMenus&&this.menubarMenus[m]&&this.setMenu(u,this.menubarMenus[m].items)}insertCheckForUpdatesItems(u){const m=this.getUpdateMenuItems();m.length&&(m.forEach(I=>u.append(I)),u.append(o()))}createOpenRecentMenuItem(u){const m=v.URI.revive(u.uri),I=u.id,A=I==="openRecentFile"?{fileUri:m}:I==="openRecentWorkspace"?{workspaceUri:m}:{folderUri:m};return new b.MenuItem(this.likeAction(I,{label:u.label,click:(F,C,j)=>{const G=this.isOptionClick(j);this.windowsMainService.open({context:2,cli:this.environmentMainService.args,urisToOpen:[A],forceNewWindow:G,gotoLineMode:!1,remoteAuthority:u.remoteAuthority}).length>0||this.workspacesHistoryMainService.removeRecentlyOpened([m])}},!1))}isOptionClick(u){return!!(u&&(!R.isMacintosh&&(u.ctrlKey||u.shiftKey)||R.isMacintosh&&(u.metaKey||u.altKey)))}createRoleMenuItem(u,m,I){const A={label:this.mnemonicLabel(u),role:I,enabled:!0};return new b.MenuItem(this.withKeybinding(m,A))}setMacWindowMenu(u){const m=new b.MenuItem({label:w.localize(17,null),role:"minimize",accelerator:"Command+M",enabled:this.windowsMainService.getWindowCount()>0}),I=new b.MenuItem({label:w.localize(18,null),role:"zoom",enabled:this.windowsMainService.getWindowCount()>0}),A=new b.MenuItem({label:w.localize(19,null),role:"front",enabled:this.windowsMainService.getWindowCount()>0}),F=this.createMenuItem(w.localize(20,null),"workbench.action.switchWindow"),C=[];this.currentEnableNativeTabs&&(C.push(o()),C.push(this.createMenuItem(w.localize(21,null),"workbench.action.newWindowTab")),C.push(this.createRoleMenuItem(w.localize(22,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),C.push(this.createRoleMenuItem(w.localize(23,null),"workbench.action.showNextWindowTab","selectNextTab")),C.push(this.createRoleMenuItem(w.localize(24,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),C.push(this.createRoleMenuItem(w.localize(25,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[m,I,o(),F,...C,o(),A].forEach(j=>u.append(j))}getUpdateMenuItems(){switch(this.updateService.state.type){case"uninitialized":return[];case"idle":return[new b.MenuItem({label:this.mnemonicLabel(w.localize(26,null)),click:()=>setTimeout(()=>{this.reportMenuActionTelemetry("CheckForUpdate");const m=this.windowsMainService.getLastActiveWindow(),I=m&&`window:${m.id}`;this.updateService.checkForUpdates(I)},0)})];case"checking for updates":return[new b.MenuItem({label:w.localize(27,null),enabled:!1})];case"available for download":return[new b.MenuItem({label:this.mnemonicLabel(w.localize(28,null)),click:()=>{this.updateService.downloadUpdate()}})];case"downloading":return[new b.MenuItem({label:w.localize(29,null),enabled:!1})];case"downloaded":return[new b.MenuItem({label:this.mnemonicLabel(w.localize(30,null)),click:()=>{this.reportMenuActionTelemetry("InstallUpdate"),this.updateService.applyUpdate()}})];case"updating":return[new b.MenuItem({label:w.localize(31,null),enabled:!1})];case"ready":return[new b.MenuItem({label:this.mnemonicLabel(w.localize(32,null)),click:()=>{this.reportMenuActionTelemetry("RestartToUpdate"),this.updateService.quitAndInstall()}})]}}createMenuItem(u,m,I,A){const F=this.mnemonicLabel(u),C=typeof m=="function"?m:(V,N,B)=>{const U=V?V.userSettingsLabel:null;let $=m;Array.isArray(m)&&($=this.isOptionClick(B)?m[1]:m[0]),U&&B.triggeredByAccelerator?this.runActionInRenderer({type:"keybinding",userSettingsLabel:U}):this.runActionInRenderer({type:"commandId",commandId:$})},j=typeof I=="boolean"?I:this.windowsMainService.getWindowCount()>0,G=typeof A=="boolean"?A:!1,ie={label:F,click:C,enabled:j};G&&(ie.type="checkbox",ie.checked=G);let oe;return typeof m=="string"?oe=m:Array.isArray(m)&&(oe=m[0]),R.isMacintosh&&(oe==="editor.action.clipboardCutAction"?ie.role="cut":oe==="editor.action.clipboardCopyAction"?ie.role="copy":oe==="editor.action.clipboardPasteAction"&&(ie.role="paste"),oe==="undo"?ie.click=this.makeContextAwareClickHandler(C,{inDevTools:V=>V.undo(),inNoWindow:()=>b.Menu.sendActionToFirstResponder("undo:")}):oe==="redo"?ie.click=this.makeContextAwareClickHandler(C,{inDevTools:V=>V.redo(),inNoWindow:()=>b.Menu.sendActionToFirstResponder("redo:")}):oe==="editor.action.selectAll"&&(ie.click=this.makeContextAwareClickHandler(C,{inDevTools:V=>V.selectAll(),inNoWindow:()=>b.Menu.sendActionToFirstResponder("selectAll:")}))),new b.MenuItem(this.withKeybinding(oe,ie))}makeContextAwareClickHandler(u,m){return(I,A,F)=>{const C=b.BrowserWindow.getFocusedWindow();if(!C)return m.inNoWindow();if(C.webContents.isDevToolsFocused()&&C.webContents.devToolsWebContents)return m.inDevTools(C.webContents.devToolsWebContents);u(I,A||C,F)}}runActionInRenderer(u){let m=b.BrowserWindow.getFocusedWindow();if(!m){const A=this.windowsMainService.getLastActiveWindow();(A==null?void 0:A.isMinimized())&&(m=A.win)}const I=m?this.windowsMainService.getWindowById(m.id):void 0;if(I){if(this.logService.trace("menubar#runActionInRenderer",u),R.isMacintosh&&!this.environmentMainService.isBuilt&&!I.isReady&&(u.type==="commandId"&&u.commandId==="workbench.action.toggleDevTools"||u.type!=="commandId"&&u.userSettingsLabel==="alt+cmd+i"))return;if(u.type==="commandId"){const A={id:u.commandId,from:"menu"};I.sendWhenReady("vscode:runAction",s.CancellationToken.None,A)}else{const A={userSettingsLabel:u.userSettingsLabel};I.sendWhenReady("vscode:runKeybinding",s.CancellationToken.None,A)}}else this.logService.trace("menubar#runActionInRenderer: no active window found",u)}withKeybinding(u,m){const I=typeof u=="string"?this.keybindings[u]:void 0;if(I==null?void 0:I.label){if(I.isNative!==!1)m.accelerator=I.label,m.userSettingsLabel=I.userSettingsLabel;else if(typeof m.label=="string"){const A=m.label.indexOf("[");A>=0?m.label=`${m.label.substr(0,A)} [${I.label}]`:m.label=`${m.label} [${I.label}]`}}else m.accelerator=void 0;return m}likeAction(u,m,I=!m.accelerator){I&&(m=this.withKeybinding(u,m));const A=m.click;return m.click=(F,C,j)=>{this.reportMenuActionTelemetry(u),A&&A(F,C,j)},m}openUrl(u,m){this.nativeHostMainService.openExternal(void 0,u),this.reportMenuActionTelemetry(m)}reportMenuActionTelemetry(u){this.telemetryService.publicLog2("workbenchActionExecuted",{id:u,from:t})}mnemonicLabel(u){return(0,g.mnemonicMenuLabel)(u,!this.currentEnableMenuBarMnemonics)}};r.lastKnownMenubarStorageKey="lastKnownMenubarData",r=le([x(0,i.IUpdateService),x(1,n.IConfigurationService),x(2,h.IWindowsMainService),x(3,D.IEnvironmentMainService),x(4,y.ITelemetryService),x(5,p.IWorkspacesHistoryMainService),x(6,l.IStateService),x(7,c.ILifecycleMainService),x(8,E.ILogService),x(9,a.INativeHostMainService),x(10,L.IProductService)],r),e.Menubar=r;function o(){return new b.MenuItem({type:"separator"})}}),define(Q[230],J([0,1,229,6,5,18]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=(0,D.createDecorator)("menubarMainService");let P=class{constructor(y,i,L){this.instantiationService=y,this.lifecycleMainService=i,this.logService=L,this.menubar=this.installMenuBarAfterWindowOpen()}async installMenuBarAfterWindowOpen(){return await this.lifecycleMainService.when(3),this.instantiationService.createInstance(w.Menubar)}async updateMenubar(y,i){this.logService.trace("menubarService#updateMenubar",y),(await this.menubar).updateMenu(i,y)}};P=le([x(0,D.IInstantiationService),x(1,b.ILifecycleMainService),x(2,R.ILogService)],P),e.MenubarMainService=P}),define(Q[231],J([0,1,22,8,145,34,48,26,38,228,11,18,24,6,61,97,4,17,62,3,28,5,9,7,15,70,212,50,43,2,49,13,29,39,25,16,35]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s,t,r,o,d,u,m,I,A,F,C,j,G,ie,oe,V){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function N($){return(0,a.isWorkspaceIdentifier)($==null?void 0:$.workspace)}function B($){return(0,a.isSingleFolderWorkspaceIdentifier)($==null?void 0:$.workspace)}let U=class Je extends A.Disposable{constructor(_,k,M,O,T,W,z,K,X,Z,Y,ee,re,ne){super();this.machineId=_,this.initialUserEnv=k,this.logService=M,this.stateService=O,this.environmentMainService=T,this.lifecycleMainService=W,this.backupMainService=z,this.configurationService=K,this.workspacesHistoryMainService=X,this.workspacesManagementMainService=Z,this.instantiationService=Y,this.dialogMainService=ee,this.fileService=re,this.productService=ne,this._onDidOpenWindow=this._register(new S.Emitter),this.onDidOpenWindow=this._onDidOpenWindow.event,this._onDidSignalReadyWindow=this._register(new S.Emitter),this.onDidSignalReadyWindow=this._onDidSignalReadyWindow.event,this._onDidDestroyWindow=this._register(new S.Emitter),this.onDidDestroyWindow=this._onDidDestroyWindow.event,this._onDidChangeWindowsCount=this._register(new S.Emitter),this.onDidChangeWindowsCount=this._onDidChangeWindowsCount.event,this.windowsStateHandler=this._register(new u.WindowsStateHandler(this,this.stateService,this.lifecycleMainService,this.logService,this.configurationService)),this.lifecycleMainService.when(2).then(()=>this.registerListeners())}registerListeners(){this._register(this.workspacesManagementMainService.onDidEnterWorkspace(_=>this._onDidSignalReadyWindow.fire(_.window)))}openEmptyWindow(_,k){let M=this.environmentMainService.args;const O=(k==null?void 0:k.remoteAuthority)||void 0,T=!0,W=k==null?void 0:k.forceReuseWindow,z=!W;return this.open(Object.assign(Object.assign({},_),{cli:M,forceEmpty:T,forceNewWindow:z,forceReuseWindow:W,remoteAuthority:O}))}open(_){this.logService.trace("windowsManager#open"),_.addMode&&(_.initialStartup||!this.getLastActiveWindow())&&(_.addMode=!1);const k=[],M=[],O=[],T=[],W=[];let z,K=0;const X=this.getPathsToOpen(_);this.logService.trace("windowsManager#open pathsToOpen",X);for(const ne of X)B(ne)?_.addMode?k.push(ne):M.push(ne):N(ne)?O.push(ne):ne.fileUri?(z||(z={filesToOpenOrCreate:[],filesToDiff:[],remoteAuthority:ne.remoteAuthority}),z.filesToOpenOrCreate.push(ne)):ne.backupPath?W.push({backupFolder:(0,R.basename)(ne.backupPath),remoteAuthority:ne.remoteAuthority}):K++;_.diffMode&&(z==null?void 0:z.filesToOpenOrCreate.length)===2&&(z.filesToDiff=z.filesToOpenOrCreate,z.filesToOpenOrCreate=[]),z&&_.waitMarkerFileURI&&(z.filesToWait={paths:[...z.filesToDiff,...z.filesToOpenOrCreate],waitMarkerFileUri:_.waitMarkerFileURI}),_.initialStartup?(T.push(...this.workspacesManagementMainService.getUntitledWorkspacesSync()),O.push(...T),W.push(...this.backupMainService.getEmptyWindowBackupPaths())):W.length=0;const{windows:Z,filesOpenedInWindow:Y}=this.doOpen(_,O,M,W,K,z,k);if(this.logService.trace(`windowsManager#open used window count ${Z.length} (workspacesToOpen: ${O.length}, foldersToOpen: ${M.length}, emptyToRestore: ${W.length}, emptyToOpen: ${K})`),Z.length>1)if(Y)Y.focus();else{const ne=this.windowsStateHandler.state.lastActiveWindow&&!_.forceEmpty&&!_.cli._.length&&!_.cli["file-uri"]&&!_.cli["folder-uri"]&&!(_.urisToOpen&&_.urisToOpen.length);let ue=!0,ve=!0;if(ne){const de=Z.filter(he=>this.windowsStateHandler.state.lastActiveWindow&&he.backupPath===this.windowsStateHandler.state.lastActiveWindow.backupPath);de.length&&(de[0].focus(),ue=!1,ve=!1)}if(ue)for(let de=Z.length-1;de>=0;de--){const he=Z[de];if(!(he.openedWorkspace&&T.some(me=>he.openedWorkspace&&me.workspace.id===he.openedWorkspace.id)||he.backupPath&&W.some(me=>he.backupPath&&me.backupFolder===(0,R.basename)(he.backupPath)))){he.focus(),ve=!1;break}}ve&&Z[Z.length-1].focus()}const ee=z&&z.filesToDiff.length>0;if(!Z.some(ne=>ne.isExtensionDevelopmentHost)&&!ee&&!_.noRecentEntry){const ne=[];for(const ue of X)N(ue)?ne.push({label:ue.label,workspace:ue.workspace,remoteAuthority:ue.remoteAuthority}):B(ue)?ne.push({label:ue.label,folderUri:ue.workspace.uri,remoteAuthority:ue.remoteAuthority}):ue.fileUri&&ne.push({label:ue.label,fileUri:ue.fileUri,remoteAuthority:ue.remoteAuthority});this.workspacesHistoryMainService.addRecentlyOpened(ne)}const re=_.waitMarkerFileURI;return _.context===0&&re&&Z.length===1&&Z[0]&&Z[0].whenClosedOrLoaded.then(()=>this.fileService.del(re),()=>{}),Z}doOpen(_,k,M,O,T,W,z){const K=[];let X;function Z(de,he){K.push(de),he&&(X=de,W=void 0)}let{openFolderInNewWindow:Y,openFilesInNewWindow:ee}=this.shouldOpenNewWindow(_);if(!_.initialStartup&&z.length>0){const de=z[0].remoteAuthority,he=this.getLastActiveWindowForAuthority(de);he&&Z(this.doAddFoldersToExistingWindow(he,z.map(me=>me.workspace.uri)))}const re=M.length+k.length+O.length;if(W&&re===0){const de=W.filesToOpenOrCreate[0]||W.filesToDiff[0],he=this.getWindows().filter(ke=>W&&ke.remoteAuthority===W.remoteAuthority);let me;(de==null?void 0:de.fileUri)&&!ee&&((_.context===4||_.context===0||_.context===1)&&(me=(0,p.findWindowOnFile)(he,de.fileUri,ke=>ke.configPath.scheme===t.Schemas.file?this.workspacesManagementMainService.resolveLocalWorkspaceSync(ke.configPath):null)),me||(me=this.doGetLastActiveWindow(he))),me?(0,a.isWorkspaceIdentifier)(me.openedWorkspace)?k.push({workspace:me.openedWorkspace,remoteAuthority:me.remoteAuthority}):(0,a.isSingleFolderWorkspaceIdentifier)(me.openedWorkspace)?M.push({workspace:me.openedWorkspace,remoteAuthority:me.remoteAuthority}):Z(this.doOpenFilesInExistingWindow(_,me,W),!0):Z(this.openInBrowserWindow({userEnv:_.userEnv,cli:_.cli,initialStartup:_.initialStartup,filesToOpen:W,forceNewWindow:!0,remoteAuthority:W.remoteAuthority,forceNewTabbedWindow:_.forceNewTabbedWindow}),!0)}const ne=(0,b.distinct)(k,de=>de.workspace.id);if(ne.length>0){const de=(0,b.coalesce)(ne.map(he=>(0,p.findWindowOnWorkspaceOrFolder)(this.getWindows(),he.workspace.configPath)));if(de.length>0){const he=de[0],me=(W==null?void 0:W.remoteAuthority)===he.remoteAuthority?W:void 0;Z(this.doOpenFilesInExistingWindow(_,he,me),!!me),Y=!0}ne.forEach(he=>{if(!de.some(Le=>Le.openedWorkspace&&Le.openedWorkspace.id===he.workspace.id)){const me=he.remoteAuthority,ke=(W==null?void 0:W.remoteAuthority)===me?W:void 0;Z(this.doOpenFolderOrWorkspace(_,he,Y,ke),!!ke),Y=!0}})}const ue=(0,b.distinct)(M,de=>o.extUriBiasedIgnorePathCase.getComparisonKey(de.workspace.uri));if(ue.length>0){const de=(0,b.coalesce)(ue.map(he=>(0,p.findWindowOnWorkspaceOrFolder)(this.getWindows(),he.workspace.uri)));if(de.length>0){const he=de[0],me=(W==null?void 0:W.remoteAuthority)===he.remoteAuthority?W:void 0;Z(this.doOpenFilesInExistingWindow(_,he,me),!!me),Y=!0}ue.forEach(he=>{if(!de.some(Le=>(0,a.isSingleFolderWorkspaceIdentifier)(Le.openedWorkspace)&&o.extUriBiasedIgnorePathCase.isEqual(Le.openedWorkspace.uri,he.workspace.uri))){const me=he.remoteAuthority,ke=(W==null?void 0:W.remoteAuthority)===me?W:void 0;Z(this.doOpenFolderOrWorkspace(_,he,Y,ke),!!ke),Y=!0}})}const ve=(0,b.distinct)(O,de=>de.backupFolder);if(ve.length>0&&ve.forEach(de=>{const he=de.remoteAuthority,me=(W==null?void 0:W.remoteAuthority)===he?W:void 0;Z(this.openInBrowserWindow({userEnv:_.userEnv,cli:_.cli,initialStartup:_.initialStartup,filesToOpen:me,remoteAuthority:he,forceNewWindow:!0,forceNewTabbedWindow:_.forceNewTabbedWindow,emptyWindowBackupInfo:de}),!!me),Y=!0}),K.length===0||W){W&&!T&&T++;const de=W?W.remoteAuthority:_.remoteAuthority;for(let he=0;he<T;he++)Z(this.doOpenEmpty(_,Y,de,W),!!W),Y=!0}return{windows:(0,b.distinct)(K),filesOpenedInWindow:X}}doOpenFilesInExistingWindow(_,k,M){var O;this.logService.trace("windowsManager#doOpenFilesInExistingWindow"),k.focus();const T={filesToOpenOrCreate:M==null?void 0:M.filesToOpenOrCreate,filesToDiff:M==null?void 0:M.filesToDiff,filesToWait:M==null?void 0:M.filesToWait,termProgram:(O=_==null?void 0:_.userEnv)===null||O===void 0?void 0:O.TERM_PROGRAM};return k.sendWhenReady("vscode:openFiles",ie.CancellationToken.None,T),k}doAddFoldersToExistingWindow(_,k){this.logService.trace("windowsManager#doAddFoldersToExistingWindow"),_.focus();const M={foldersToAdd:k};return _.sendWhenReady("vscode:addFolders",ie.CancellationToken.None,M),_}doOpenEmpty(_,k,M,O,T){return!k&&!T&&typeof _.contextWindowId=="number"&&(T=this.getWindowById(_.contextWindowId)),this.openInBrowserWindow({userEnv:_.userEnv,cli:_.cli,initialStartup:_.initialStartup,remoteAuthority:M,forceNewWindow:k,forceNewTabbedWindow:_.forceNewTabbedWindow,filesToOpen:O,windowToUse:T})}doOpenFolderOrWorkspace(_,k,M,O,T){return!M&&!T&&typeof _.contextWindowId=="number"&&(T=this.getWindowById(_.contextWindowId)),this.openInBrowserWindow({workspace:k.workspace,userEnv:_.userEnv,cli:_.cli,initialStartup:_.initialStartup,remoteAuthority:k.remoteAuthority,forceNewWindow:M,forceNewTabbedWindow:_.forceNewTabbedWindow,filesToOpen:O,windowToUse:T})}getPathsToOpen(_){var k;let M,O=!1,T=!1;if(_.urisToOpen&&_.urisToOpen.length>0?(M=this.doExtractPathsFromAPI(_),O=!0):_.forceEmpty?M=[Object.create(null)]:_.cli._.length||_.cli["folder-uri"]||_.cli["file-uri"]?(M=this.doExtractPathsFromCLI(_.cli),M.length===0&&M.push(Object.create(null)),O=!0):(M=this.doGetPathsFromLastSession(),M.length===0&&M.push(Object.create(null)),T=!0),!_.addMode&&O){const W=M.filter(z=>B(z));if(W.length>1){const z=W[0].remoteAuthority;if(W.every(K=>K.remoteAuthority===z)){const K=this.workspacesManagementMainService.createUntitledWorkspaceSync(W.map(X=>({uri:X.workspace.uri})));M.push({workspace:K,remoteAuthority:z}),M=M.filter(X=>!B(X))}}}return _.initialStartup&&!T&&((k=this.configurationService.getValue("window"))===null||k===void 0?void 0:k.restoreWindows)==="preserve"&&M.unshift(...this.doGetPathsFromLastSession().filter(W=>N(W)||B(W)||W.backupPath)),M}doExtractPathsFromAPI(_){const k=[],M={gotoLineMode:_.gotoLineMode,remoteAuthority:_.remoteAuthority};for(const O of(0,b.coalesce)(_.urisToOpen||[])){const T=this.resolveOpenable(O,M);if(T)T.label=O.label,k.push(T);else{const W=this.resourceFromOpenable(O),z={title:this.productService.nameLong,type:"info",buttons:[(0,D.localize)(0,null)],message:W.scheme===t.Schemas.file?(0,D.localize)(1,null):(0,D.localize)(2,null),detail:W.scheme===t.Schemas.file?(0,D.localize)(3,null,(0,G.getPathLabel)(W.fsPath,this.environmentMainService)):(0,D.localize)(4,null,W.toString()),noLink:!0};this.dialogMainService.showMessageBox(z,(0,C.withNullAsUndefined)(L.BrowserWindow.getFocusedWindow()))}}return k}doExtractPathsFromCLI(_){const k=[],M={ignoreFileNotFound:!0,gotoLineMode:_.goto,remoteAuthority:_.remote||void 0,forceOpenWorkspaceAsFile:!1},O=_["folder-uri"];if(O)for(const z of O){const K=this.cliArgToUri(z);if(K){const X=this.resolveOpenable({folderUri:K},M);X&&k.push(X)}}const T=_["file-uri"];if(T)for(const z of T){const K=this.cliArgToUri(z);if(K){const X=this.resolveOpenable((0,a.hasWorkspaceFileExtension)(z)?{workspaceUri:K}:{fileUri:K},M);X&&k.push(X)}}const W=_._;for(const z of W){const K=_.remote?this.doResolvePathRemote(z,_.remote):this.doResolveFilePath(z,M);K&&k.push(K)}return k}cliArgToUri(_){try{const k=r.URI.parse(_);if(!k.scheme){this.logService.error(`Invalid URI input string, scheme missing: ${_}`);return}return k}catch(k){this.logService.error(`Invalid URI input string: ${_}, ${k.message}`)}}doGetPathsFromLastSession(){const _=this.getRestoreWindowsSetting();switch(_){case"none":return[];case"one":case"all":case"preserve":case"folders":const k=[];_!=="one"&&k.push(...this.windowsStateHandler.state.openedWindows),this.windowsStateHandler.state.lastActiveWindow&&k.push(this.windowsStateHandler.state.lastActiveWindow);const M=[];for(const O of k)if(O.workspace){const T=this.resolveOpenable({workspaceUri:O.workspace.configPath},{remoteAuthority:O.remoteAuthority});N(T)&&M.push(T)}else if(O.folderUri){const T=this.resolveOpenable({folderUri:O.folderUri},{remoteAuthority:O.remoteAuthority});B(T)&&M.push(T)}else _!=="folders"&&O.backupPath&&M.push({backupPath:O.backupPath,remoteAuthority:O.remoteAuthority});return M}}getRestoreWindowsSetting(){let _;if(this.lifecycleMainService.wasRestarted)_="all";else{const k=this.configurationService.getValue("window");_=(k==null?void 0:k.restoreWindows)||"all",["preserve","all","folders","one","none"].includes(_)||(_="all")}return _}resolveOpenable(_,k={}){let M=this.resourceFromOpenable(_);return M.scheme===t.Schemas.file?((0,h.isFileToOpen)(_)&&(k=Object.assign(Object.assign({},k),{forceOpenWorkspaceAsFile:!0})),this.doResolveFilePath(M.fsPath,k)):this.doResolveRemoteOpenable(_,k)}doResolveRemoteOpenable(_,k){let M=this.resourceFromOpenable(_);const O=(0,d.getRemoteAuthority)(M)||k.remoteAuthority;if(M=(0,o.removeTrailingPathSeparator)((0,o.normalizePath)(M)),(0,h.isFileToOpen)(_)){if(k.gotoLineMode){const{path:T,line:W,column:z}=(0,j.parseLineAndColumnAware)(M.path);return{fileUri:M.with({path:T}),lineNumber:W,columnNumber:z,remoteAuthority:O}}return{fileUri:M,remoteAuthority:O}}else if((0,h.isWorkspaceToOpen)(_))return{workspace:(0,m.getWorkspaceIdentifier)(M),remoteAuthority:O};return{workspace:(0,m.getSingleFolderWorkspaceIdentifier)(M),remoteAuthority:O}}resourceFromOpenable(_){return(0,h.isWorkspaceToOpen)(_)?_.workspaceUri:(0,h.isFolderToOpen)(_)?_.folderUri:_.fileUri}doResolveFilePath(_,k){let M,O;if(k.gotoLineMode){const T=(0,j.parseLineAndColumnAware)(_);M=T.line,O=T.column,_=T.path}_=(0,j.sanitizeFilePath)((0,R.normalize)(_),(0,V.cwd)());try{const T=(0,w.statSync)(_);if(T.isFile()){if(!k.forceOpenWorkspaceAsFile){const W=this.workspacesManagementMainService.resolveLocalWorkspaceSync(r.URI.file(_));if(W)return{workspace:{id:W.id,configPath:W.configPath},remoteAuthority:W.remoteAuthority,exists:!0}}return{fileUri:r.URI.file(_),lineNumber:M,columnNumber:O,exists:!0}}else if(T.isDirectory())return{workspace:(0,m.getSingleFolderWorkspaceIdentifier)(r.URI.file(_),T),exists:!0}}catch(T){const W=r.URI.file(_);if(this.workspacesHistoryMainService.removeRecentlyOpened([W]),k.ignoreFileNotFound)return{fileUri:W,exists:!1}}}doResolvePathRemote(_,k,M){const O=_.charCodeAt(0);O!==47&&((0,j.isWindowsDriveLetter)(O)&&_.charCodeAt(_.charCodeAt(1))===58&&(_=(0,j.toSlashes)(_)),_=`/${_}`);const T=r.URI.from({scheme:t.Schemas.vscodeRemote,authority:k,path:_});if(_.charCodeAt(_.length-1)!==47){if((0,a.hasWorkspaceFileExtension)(_))return M?{fileUri:T,remoteAuthority:k}:{workspace:(0,m.getWorkspaceIdentifier)(T),remoteAuthority:k};if(R.posix.basename(_).indexOf(".")!==-1)return{fileUri:T,remoteAuthority:k}}return{workspace:(0,m.getSingleFolderWorkspaceIdentifier)(T),remoteAuthority:k}}shouldOpenNewWindow(_){const k=this.configurationService.getValue("window"),M=(k==null?void 0:k.openFoldersInNewWindow)||"default",O=(k==null?void 0:k.openFilesInNewWindow)||"off";let T=(_.preferNewWindow||_.forceNewWindow)&&!_.forceReuseWindow;!_.forceNewWindow&&!_.forceReuseWindow&&(M==="on"||M==="off")&&(T=M==="on");let W=!1;return _.forceNewWindow||_.forceReuseWindow?W=!!_.forceNewWindow&&!_.forceReuseWindow:(c.isMacintosh?_.context===1&&(W=!0):_.context!==3&&_.context!==2&&!(_.userEnv&&_.userEnv.TERM_PROGRAM==="vscode")&&(W=!0),!_.cli.extensionDevelopmentPath&&(O==="on"||O==="off")&&(W=O==="on")),{openFolderInNewWindow:!!T,openFilesInNewWindow:W}}openExtensionDevelopmentHostWindow(_,k){const M=(0,p.findWindowOnExtensionDevelopmentPath)(this.getWindows(),_);if(M)return this.lifecycleMainService.reload(M,k.cli),M.focus(),[M];let O=k.cli["folder-uri"]||[],T=k.cli["file-uri"]||[],W=k.cli._;if(!W.length&&!O.length&&!T.length&&!k.cli.extensionTestsPath){const Z=this.windowsStateHandler.state.lastPluginDevelopmentHostWindow,Y=Z&&(Z.workspace||Z.folderUri);Y&&(r.URI.isUri(Y)?Y.scheme===t.Schemas.file?W=[Y.fsPath]:O=[Y.toString()]:Y.configPath.scheme===t.Schemas.file?W=[(0,o.originalFSPath)(Y.configPath)]:T=[Y.configPath.toString()])}let z=k.remoteAuthority;for(const Z of _)if(Z.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const Y=r.URI.parse(Z),ee=(0,d.getRemoteAuthority)(Y);ee&&(z?ee!==z&&this.logService.error("more than one extension development path authority"):z=ee)}W=W.filter(Z=>{const Y=r.URI.file(Z);return(0,p.findWindowOnWorkspaceOrFolder)(this.getWindows(),Y)?!1:(0,d.getRemoteAuthority)(Y)===z}),O=O.filter(Z=>{const Y=this.cliArgToUri(Z);return Y&&!!(0,p.findWindowOnWorkspaceOrFolder)(this.getWindows(),Y)?!1:Y?(0,d.getRemoteAuthority)(Y)===z:!1}),T=T.filter(Z=>{const Y=this.cliArgToUri(Z);return Y&&!!(0,p.findWindowOnWorkspaceOrFolder)(this.getWindows(),Y)?!1:Y?(0,d.getRemoteAuthority)(Y)===z:!1}),k.cli._=W,k.cli["folder-uri"]=O,k.cli["file-uri"]=T;const K=!W.length&&!O.length&&!T.length,X={context:k.context,cli:k.cli,forceNewWindow:!0,forceEmpty:K,userEnv:k.userEnv,noRecentEntry:!0,waitMarkerFileURI:k.waitMarkerFileURI,remoteAuthority:z};return this.open(X)}openInBrowserWindow(_){var k;const M=Object.assign({},_.cli);M.appRoot=this.environmentMainService.appRoot,M.machineId=this.machineId,M.nodeCachedDataDir=this.environmentMainService.nodeCachedDataDir,M.mainPid=process.pid,M.execPath=process.execPath,M.userEnv=Object.assign(Object.assign({},this.initialUserEnv),_.userEnv),M.isInitialStartup=_.initialStartup,M.workspace=_.workspace,M.remoteAuthority=_.remoteAuthority;const O=_.filesToOpen;O&&(M.filesToOpenOrCreate=O.filesToOpenOrCreate,M.filesToDiff=O.filesToDiff,M.filesToWait=O.filesToWait),_.emptyWindowBackupInfo&&(M.backupPath=(0,R.join)(this.environmentMainService.backupHome,_.emptyWindowBackupInfo.backupFolder));let T;if(!_.forceNewWindow&&!_.forceNewTabbedWindow&&(T=_.windowToUse||this.getLastActiveWindow(),T&&T.focus()),T){const W=T.config;!M.extensionDevelopmentPath&&W&&!!W.extensionDevelopmentPath&&(M.extensionDevelopmentPath=W.extensionDevelopmentPath,M.verbose=W.verbose,M["inspect-brk-extensions"]=W["inspect-brk-extensions"],M.debugId=W.debugId,M["inspect-extensions"]=W["inspect-extensions"],M["extensions-dir"]=W["extensions-dir"])}else{const W=this.windowsStateHandler.getNewWindowState(M),z=T=this.instantiationService.createInstance(i.CodeWindow,{state:W,extensionDevelopmentPath:M.extensionDevelopmentPath,isExtensionTestHost:!!M.extensionTestsPath});if(_.forceNewTabbedWindow){const X=this.getLastActiveWindow();X&&X.addTabbedWindow(z)}Je.WINDOWS.push(z),this._onDidOpenWindow.fire(z),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),(0,I.once)(z.onDidSignalReady)(()=>this._onDidSignalReadyWindow.fire(z)),(0,I.once)(z.onDidClose)(()=>this.onWindowClosed(z)),(0,I.once)(z.onDidDestroy)(()=>this._onDidDestroyWindow.fire(z));const K=(0,C.assertIsDefined)((k=z.win)===null||k===void 0?void 0:k.webContents);K.removeAllListeners("devtools-reload-page"),K.on("devtools-reload-page",()=>this.lifecycleMainService.reload(z)),this.lifecycleMainService.registerWindow(z)}return T.isReady?this.lifecycleMainService.unload(T,4).then(W=>{W||this.doOpenInBrowserWindow(T,M,_)}):this.doOpenInBrowserWindow(T,M,_),T}doOpenInBrowserWindow(_,k,M){if(!k.extensionDevelopmentPath)if((0,a.isWorkspaceIdentifier)(k.workspace))k.backupPath=this.backupMainService.registerWorkspaceBackupSync({workspace:k.workspace,remoteAuthority:k.remoteAuthority});else if((0,a.isSingleFolderWorkspaceIdentifier)(k.workspace))k.backupPath=this.backupMainService.registerFolderBackupSync(k.workspace.uri);else{const O=M.emptyWindowBackupInfo&&M.emptyWindowBackupInfo.backupFolder;k.backupPath=this.backupMainService.registerEmptyWindowBackupSync(O,k.remoteAuthority)}_.load(k)}onWindowClosed(_){const k=Je.WINDOWS.indexOf(_);Je.WINDOWS.splice(k,1),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const _=L.BrowserWindow.getFocusedWindow();if(_)return this.getWindowById(_.id)}getLastActiveWindow(){return this.doGetLastActiveWindow(this.getWindows())}getLastActiveWindowForAuthority(_){return this.doGetLastActiveWindow(this.getWindows().filter(k=>k.remoteAuthority===_))}doGetLastActiveWindow(_){const k=Math.max.apply(Math,_.map(M=>M.lastFocusTime));return _.find(M=>M.lastFocusTime===k)}sendToFocused(_,...k){const M=this.getFocusedWindow()||this.getLastActiveWindow();M&&M.sendWhenReady(_,ie.CancellationToken.None,...k)}sendToAll(_,k,M){for(const O of this.getWindows())M&&M.indexOf(O.id)>=0||O.sendWhenReady(_,ie.CancellationToken.None,k)}getWindows(){return Je.WINDOWS}getWindowCount(){return Je.WINDOWS.length}getWindowById(_){const k=this.getWindows().filter(M=>M.id===_);return(0,b.firstOrDefault)(k)}getWindowByWebContents(_){const k=L.BrowserWindow.fromWebContents(_);if(!!k)return this.getWindowById(k.id)}};U.WINDOWS=[],U=le([x(2,g.ILogService),x(3,y.IStateService),x(4,n.IEnvironmentMainService),x(5,f.ILifecycleMainService),x(6,P.IBackupMainService),x(7,E.IConfigurationService),x(8,l.IWorkspacesHistoryMainService),x(9,m.IWorkspacesManagementMainService),x(10,s.IInstantiationService),x(11,F.IDialogMainService),x(12,oe.IFileService),x(13,v.IProductService)],U),e.WindowsMainService=U}),define(Q[232],J([0,1,50,32,62,48]),function(H,e,w,R,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let P=class{constructor(y,i,L,f){this.workspacesManagementMainService=y,this.windowsMainService=i,this.workspacesHistoryMainService=L,this.backupMainService=f,this.onDidChangeRecentlyOpened=this.workspacesHistoryMainService.onDidChangeRecentlyOpened}async enterWorkspace(y,i){const L=this.windowsMainService.getWindowById(y);return L?this.workspacesManagementMainService.enterWorkspace(L,this.windowsMainService.getWindows(),i):null}createUntitledWorkspace(y,i,L){return this.workspacesManagementMainService.createUntitledWorkspace(i,L)}deleteUntitledWorkspace(y,i){return this.workspacesManagementMainService.deleteUntitledWorkspace(i)}getWorkspaceIdentifier(y,i){return this.workspacesManagementMainService.getWorkspaceIdentifier(i)}async getRecentlyOpened(y){return this.workspacesHistoryMainService.getRecentlyOpened(this.windowsMainService.getWindowById(y))}async addRecentlyOpened(y,i){return this.workspacesHistoryMainService.addRecentlyOpened(i)}async removeRecentlyOpened(y,i){return this.workspacesHistoryMainService.removeRecentlyOpened(i)}async clearRecentlyOpened(y){return this.workspacesHistoryMainService.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.backupMainService.getDirtyWorkspaces()}};P=le([x(0,w.IWorkspacesManagementMainService),x(1,R.IWindowsMainService),x(2,D.IWorkspacesHistoryMainService),x(3,b.IBackupMainService)],P),e.WorkspacesMainService=P}),define(Q[233],J([0,1,27,22,11,3,231,18,87,41,198,33,119,82,222,98,5,69,67,6,38,26,24,95,199,31,94,193,194,190,17,216,170,2,32,7,28,232,65,226,224,223,227,175,19,201,217,230,116,8,15,128,9,225,96,210,215,48,62,200,50,68,151,42,49,13,39,207,203,16,44,30,21,86,208,188,53,29,25,162,178,43,70,71]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s,t,r,o,d,u,m,I,A,F,C,j,G,ie,oe,V,N,B,U,$,_,k,M,O,T,W,z,K,X,Z,Y,ee,re,ne,ue,ve,de,he,me,ke,Le,je,Fe,He,Ze,Ye,nt,Ke,rt,Ce,st,q,te,se,ae,fe,we,be,Re,Oe,We,Be,St){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let ot=class extends G.Disposable{constructor(ge,pe,Pe,ce,Se,ye,Ie,Ee,De,Me){super();this.mainProcessNodeIpcServer=ge,this.userEnv=pe,this.mainInstantiationService=Pe,this.logService=ce,this.environmentMainService=Se,this.lifecycleMainService=ye,this.configurationService=Ie,this.stateService=Ee,this.fileService=De,this.productService=Me,this.registerListeners()}registerListeners(){(0,O.setUnexpectedErrorHandler)(ce=>this.onUnexpectedError(ce)),process.on("uncaughtException",ce=>this.onUnexpectedError(ce)),process.on("unhandledRejection",ce=>(0,O.onUnexpectedError)(ce)),this.lifecycleMainService.onWillShutdown(()=>this.dispose()),(0,K.registerContextMenuListener)(),D.app.on("accessibility-support-changed",(ce,Se)=>{var ye;(ye=this.windowsMainService)===null||ye===void 0||ye.sendToAll("vscode:accessibilitySupportChanged",Se)}),D.app.on("activate",(ce,Se)=>{var ye;this.logService.trace("app#activate"),Se||(ye=this.windowsMainService)===null||ye===void 0||ye.openEmptyWindow({context:1})}),D.app.on("remote-require",(ce,Se,ye)=>{this.logService.trace("app#on(remote-require): prevented"),ce.preventDefault()}),D.app.on("remote-get-global",(ce,Se,ye)=>{this.logService.trace(`app#on(remote-get-global): prevented on ${ye}`),ce.preventDefault()}),D.app.on("remote-get-builtin",(ce,Se,ye)=>{this.logService.trace(`app#on(remote-get-builtin): prevented on ${ye}`),ye!=="clipboard"&&ce.preventDefault()}),D.app.on("remote-get-current-window",ce=>{this.logService.trace("app#on(remote-get-current-window): prevented"),ce.preventDefault()}),D.app.on("remote-get-current-web-contents",ce=>{this.environmentMainService.args.driver||(this.logService.trace("app#on(remote-get-current-web-contents): prevented"),ce.preventDefault())}),D.app.on("web-contents-created",(ce,Se)=>{Se.on("will-attach-webview",(Ie,Ee,De)=>{const Me=Te=>{if(!Te)return!1;const Ne=oe.URI.parse(Te);if(Ne.scheme===ee.Schemas.vscodeWebview)return Ne.path==="/index.html"||Ne.path==="/electron-browser/index.html";const qe=Ne.fsPath.toLowerCase(),Ve=oe.URI.file(this.environmentMainService.appRoot).fsPath.toLowerCase();return qe.startsWith(Ve+X.sep)};delete Ee.preload,Ee.nodeIntegration=!1,!(Me(De.src)&&Me(Ee.preloadURL))&&(delete Ee.preloadURL,this.logService.error("webContents#web-contents-created: Prevented webview attach"),Ie.preventDefault())}),Se.on("will-navigate",Ie=>{this.logService.error("webContents#will-navigate: Prevented webcontent navigation"),Ie.preventDefault()}),Se.on("new-window",(Ie,Ee)=>{var De;Ie.preventDefault(),(De=this.nativeHostMainService)===null||De===void 0||De.openExternal(void 0,Ee)});const ye="about:blank?webviewFrame";D.session.defaultSession.setPermissionRequestHandler((Ie,Ee,De,Me)=>Me.requestingUrl===ye?De(Ee==="clipboard-read"):De(!1)),D.session.defaultSession.setPermissionCheckHandler((Ie,Ee,De,Me)=>Me.requestingUrl===ye?Ee==="clipboard-read":!1)});let ge=[],pe=null;D.app.on("open-file",(ce,Se)=>{this.logService.trace("app#open-file: ",Se),ce.preventDefault(),ge.push(this.getWindowOpenableFromPathSync(Se)),pe!==null&&(clearTimeout(pe),pe=null),pe=setTimeout(()=>{var ye;(ye=this.windowsMainService)===null||ye===void 0||ye.open({context:1,cli:this.environmentMainService.args,urisToOpen:ge,gotoLineMode:!1,preferNewWindow:!0}),ge=[],pe=null},100)}),D.app.on("new-window-for-tab",()=>{var ce;(ce=this.windowsMainService)===null||ce===void 0||ce.openEmptyWindow({context:4})});let Pe=!1;D.ipcMain.on("vscode:fetchShellEnv",async ce=>{var Se;const ye=ce.sender;let Ie=!1;function Ee(ze){clearTimeout(Me),clearTimeout(Ne),Ie||(Ie=!0,ye.isDestroyed()||ye.send("vscode:acceptShellEnv",ze))}const De=new be.CancellationTokenSource,Me=setTimeout(()=>{var ze;Pe||((ze=this.windowsMainService)===null||ze===void 0||ze.sendToFocused("vscode:showShellEnvSlowWarning",De.token),Pe=!0)},3e3),Te=(Se=this.windowsMainService)===null||Se===void 0?void 0:Se.getWindowByWebContents(ce.sender),Ne=setTimeout(()=>{De.dispose(!0),Te==null||Te.sendWhenReady("vscode:showShellEnvTimeoutError",be.CancellationToken.None),Ee({})},1e4);let qe,Ve;(Te==null?void 0:Te.config)?(qe=Te.config,Ve=Object.assign(Object.assign({},process.env),Te.config.userEnv)):(qe=this.environmentMainService.args,Ve=process.env);const _e=await(0,y.resolveShellEnv)(this.logService,qe,Ve);Ee(_e)}),D.ipcMain.handle("vscode:writeNlsFile",async(ce,Se,ye)=>{const Ie=this.validateNlsPath([Se]);if(!Ie||typeof ye!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.fileService.writeFile(Ie,q.VSBuffer.fromString(ye))}),D.ipcMain.handle("vscode:readNlsFile",async(ce,...Se)=>{const ye=this.validateNlsPath(Se);if(!ye)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.fileService.readFile(ye)).value.toString()}),D.ipcMain.on("vscode:toggleDevTools",ce=>ce.sender.toggleDevTools()),D.ipcMain.on("vscode:openDevTools",ce=>ce.sender.openDevTools()),D.ipcMain.on("vscode:reloadWindow",ce=>ce.sender.reload())}validateNlsPath(ge){let pe;for(const Pe of ge)typeof Pe=="string"&&(typeof pe!="string"?pe=Pe:pe=(0,X.join)(pe,Pe));if(!(typeof pe!="string"||!(0,X.isAbsolute)(pe)||!(0,we.isEqualOrParent)(pe,this.environmentMainService.cachedLanguagesPath,!b.isLinux)))return oe.URI.file(pe)}onUnexpectedError(ge){var pe;if(ge){const Pe={message:`[uncaught exception in main]: ${ge.message}`,stack:ge.stack};(pe=this.windowsMainService)===null||pe===void 0||pe.sendToFocused("vscode:reportError",JSON.stringify(Pe))}this.logService.error(`[uncaught exception in main]: ${ge}`),ge.stack&&this.logService.error(ge.stack)}async startup(){this.logService.debug("Starting VS Code"),this.logService.debug(`from: ${this.environmentMainService.appRoot}`),this.logService.debug("args:",this.environmentMainService.args);const ge=this.productService.win32AppUserModelId;b.isWindows&&ge&&D.app.setAppUserModelId(ge);try{b.isMacintosh&&this.configurationService.getValue("window.nativeTabs")===!0&&!D.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&D.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(Me){this.logService.error(Me)}const pe=this._register(this.mainInstantiationService.createInstance(j.FileProtocolHandler)),Pe=new E.Server;this.logService.trace("Resolving machine identifier...");const ce=await this.resolveMachineId();this.logService.trace(`Resolved machine identifier: ${ce}`);const{sharedProcess:Se,sharedProcessReady:ye,sharedProcessClient:Ie}=this.setupSharedProcess(ce),Ee=await this.initServices(ce,Se,ye);if(this.environmentMainService.driverHandle){const Me=await(0,W.serve)(Pe,this.environmentMainService.driverHandle,this.environmentMainService,Ee);this.logService.info("Driver started at:",this.environmentMainService.driverHandle),this._register(Me)}this._register(Ee.createInstance(C.ProxyAuthHandler)),Ee.invokeFunction(Me=>this.initChannels(Me,Pe,Ie));const De=Ee.invokeFunction(Me=>this.openFirstWindow(Me,Pe,pe));Ee.invokeFunction(Me=>this.afterWindowOpen(Me,Se)),this.environmentMainService.args.trace&&Ee.invokeFunction(Me=>this.stopTracingEventually(Me,De))}async resolveMachineId(){let ge=this.stateService.getItem(d.machineIdKey);return(!ge||b.isMacintosh&&ge==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(ge=await(0,B.getMachineId)(),this.stateService.setItem(d.machineIdKey,ge)),ge}setupSharedProcess(ge){const pe=this._register(this.mainInstantiationService.createInstance(h.SharedProcess,ge,this.userEnv)),Pe=(async()=>{this.logService.trace("Main->SharedProcess#connect");const Se=await pe.connect();return this.logService.trace("Main->SharedProcess#connect: connection established"),new g.Client(Se,"main")})(),ce=(async()=>(await pe.whenReady(),Pe))();return{sharedProcess:pe,sharedProcessReady:ce,sharedProcessClient:Pe}}async initServices(ge,pe,Pe){const ce=new v.ServiceCollection;switch(process.platform){case"win32":ce.set(i.IUpdateService,new l.SyncDescriptor(U.Win32UpdateService));break;case"linux":b.isLinuxSnap?ce.set(i.IUpdateService,new l.SyncDescriptor(re.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):ce.set(i.IUpdateService,new l.SyncDescriptor($.LinuxUpdateService));break;case"darwin":ce.set(i.IUpdateService,new l.SyncDescriptor(_.DarwinUpdateService));break}ce.set(ie.IWindowsMainService,new l.SyncDescriptor(P.WindowsMainService,[ge,this.userEnv])),ce.set(He.IDialogMainService,new l.SyncDescriptor(He.DialogMainService)),ce.set(p.ILaunchMainService,new l.SyncDescriptor(p.LaunchMainService)),ce.set(Le.IDiagnosticsService,f.ProxyChannel.toService((0,f.getDelayedChannel)(Pe.then(ye=>ye.getChannel("diagnostics"))))),ce.set(k.IIssueMainService,new l.SyncDescriptor(k.IssueMainService,[ge,this.userEnv])),ce.set(te.IEncryptionMainService,new l.SyncDescriptor(te.EncryptionMainService,[ge])),ce.set(ae.IKeyboardLayoutMainService,new l.SyncDescriptor(ae.KeyboardLayoutMainService)),ce.set(Fe.INativeHostMainService,new l.SyncDescriptor(Fe.NativeHostMainService,[pe])),ce.set(Ke.IWebviewManagerService,new l.SyncDescriptor(nt.WebviewMainService)),ce.set(V.IWorkspacesService,new l.SyncDescriptor(N.WorkspacesMainService)),ce.set(ke.IWorkspacesManagementMainService,new l.SyncDescriptor(ke.WorkspacesManagementMainService)),ce.set(he.IWorkspacesHistoryMainService,new l.SyncDescriptor(he.WorkspacesHistoryMainService)),ce.set(z.IMenubarMainService,new l.SyncDescriptor(z.MenubarMainService)),ce.set(Re.IExtensionUrlTrustService,new l.SyncDescriptor(Oe.ExtensionUrlTrustService)),ce.set(ne.IStorageMainService,new l.SyncDescriptor(ne.StorageMainService));const Se=new ve.BackupMainService(this.environmentMainService,this.configurationService,this.logService);if(ce.set(de.IBackupMainService,Se),ce.set(r.IURLService,new l.SyncDescriptor(me.NativeURLService)),!this.environmentMainService.isExtensionDevelopment&&!this.environmentMainService.args["disable-telemetry"]&&!!this.productService.enableTelemetry){const ye=(0,f.getDelayedChannel)(Pe.then(Te=>Te.getChannel("telemetryAppender"))),Ie=new m.TelemetryAppenderClient(ye),Ee=(0,A.resolveCommonProperties)(this.fileService,(0,w.release)(),process.arch,this.productService.commit,this.productService.version,ge,this.productService.msftInternalDomains,this.environmentMainService.installSourcePath),De=[this.environmentMainService.appRoot,this.environmentMainService.extensionsPath],Me={appender:Ie,commonProperties:Ee,piiPaths:De,sendErrorTelemetry:!0};ce.set(d.ITelemetryService,new l.SyncDescriptor(I.TelemetryService,[Me]))}else ce.set(d.ITelemetryService,u.NullTelemetryService);return await Se.initialize(),this.mainInstantiationService.createChild(ce)}initChannels(ge,pe,Pe){const ce=f.ProxyChannel.fromService(ge.get(p.ILaunchMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("launch",ce);const Se=new L.UpdateChannel(ge.get(i.IUpdateService));pe.registerChannel("update",Se);const ye=f.ProxyChannel.fromService(ge.get(k.IIssueMainService));pe.registerChannel("issue",ye);const Ie=f.ProxyChannel.fromService(ge.get(te.IEncryptionMainService));pe.registerChannel("encryption",Ie);const Ee=f.ProxyChannel.fromService(ge.get(St.ISignService));pe.registerChannel("sign",Ee);const De=f.ProxyChannel.fromService(ge.get(ae.IKeyboardLayoutMainService));pe.registerChannel("keyboardLayout",De),this.nativeHostMainService=ge.get(Fe.INativeHostMainService);const Me=f.ProxyChannel.fromService(this.nativeHostMainService);pe.registerChannel("nativeHost",Me),Pe.then(Ge=>Ge.registerChannel("nativeHost",Me));const Te=f.ProxyChannel.fromService(ge.get(V.IWorkspacesService));pe.registerChannel("workspaces",Te);const Ne=f.ProxyChannel.fromService(ge.get(z.IMenubarMainService));pe.registerChannel("menubar",Ne);const qe=f.ProxyChannel.fromService(ge.get(r.IURLService));pe.registerChannel("url",qe);const Ve=f.ProxyChannel.fromService(ge.get(Re.IExtensionUrlTrustService));pe.registerChannel("extensionUrlTrust",Ve);const _e=f.ProxyChannel.fromService(ge.get(Ke.IWebviewManagerService));pe.registerChannel("webview",_e);const ze=this._register(new ue.StorageDatabaseChannel(this.logService,ge.get(ne.IStorageMainService)));pe.registerChannel("storage",ze),Pe.then(Ge=>Ge.registerChannel("storage",ze));const Qe=new M.LogLevelChannel(ge.get(c.ILogService));pe.registerChannel("logLevel",Qe),Pe.then(Ge=>Ge.registerChannel("logLevel",Qe));const xe=new M.LoggerChannel(ge.get(c.ILoggerService));pe.registerChannel("logger",xe);const tt=new je.ElectronExtensionHostDebugBroadcastChannel(ge.get(ie.IWindowsMainService));pe.registerChannel("extensionhostdebugservice",tt)}openFirstWindow(ge,pe,Pe){const ce=this.windowsMainService=ge.get(ie.IWindowsMainService),Se=ge.get(r.IURLService),ye=ge.get(Fe.INativeHostMainService);this.lifecycleMainService.phase=2,Pe.injectWindowsMainService(this.windowsMainService);const Ie=[],Ee=[...this.environmentMainService.args["open-url"]?this.environmentMainService.args._urls||[]:[],...global.getOpenUrls()||[]].map(Ue=>{try{return{uri:oe.URI.parse(Ue),url:Ue}}catch(Xe){return null}}).filter(Ue=>{if(!Ue||this.shouldBlockURI(Ue.uri))return!1;const Xe=this.getWindowOpenableFromProtocolLink(Ue.uri);return Xe?(Ie.push(Xe),!1):!0}),De=this,Me=this.environmentMainService;Se.registerHandler({async handleURL(Ue,Xe){if(De.shouldBlockURI(Ue))return!0;const wt=De.getWindowOpenableFromProtocolLink(Ue);if(wt){const[ct]=ce.open({context:5,cli:Object.assign({},Me.args),urisToOpen:[wt],gotoLineMode:!0});return ct.focus(),!0}if(b.isMacintosh&&ce.getWindowCount()===0){const[ct]=ce.open({context:5,cli:Object.assign({},Me.args),forceEmpty:!0,gotoLineMode:!0,remoteAuthority:(0,Be.getRemoteAuthority)(Ue)});return await ct.ready(),Se.open(Ue,Xe)}return!1}});const Te=this._register(new se.ActiveWindowManager({onDidOpenWindow:ye.onDidOpenWindow,onDidFocusWindow:ye.onDidFocusWindow,getActiveWindowId:()=>ye.getActiveWindowId(-1)})),Ne=new f.StaticRouter(Ue=>Te.getActiveClientId().then(Xe=>Ue===Xe)),qe=new o.URLHandlerRouter(Ne),Ve=pe.getChannel("urlHandler",qe);Se.registerHandler(new o.URLHandlerChannelClient(Ve)),this._register(new T.ElectronURLListener(Ee,Se,ce,this.environmentMainService,this.productService));const _e=this.environmentMainService.args,ze=global.macOpenFiles,Qe=(0,fe.isLaunchedFromCli)(process.env)?0:4,xe=_e._.length,tt=!!_e["folder-uri"],Ge=!!_e["file-uri"],at=_e["skip-add-to-recently-opened"]===!0,lt=_e.wait&&_e.waitMarkerFilePath?oe.URI.file(_e.waitMarkerFilePath):void 0,vt=_e.remote||void 0;return Ie.length>0?ce.open({context:Qe,cli:_e,urisToOpen:Ie,gotoLineMode:!0,initialStartup:!0}):_e["new-window"]&&!xe&&!tt&&!Ge?ce.open({context:Qe,cli:_e,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:at,waitMarkerFileURI:lt,initialStartup:!0,remoteAuthority:vt}):ze.length&&!xe&&!tt&&!Ge?ce.open({context:1,cli:_e,urisToOpen:ze.map(Ue=>this.getWindowOpenableFromPathSync(Ue)),noRecentEntry:at,waitMarkerFileURI:lt,initialStartup:!0}):ce.open({context:Qe,cli:_e,forceNewWindow:_e["new-window"]||!xe&&_e["unity-launch"],diffMode:_e.diff,noRecentEntry:at,waitMarkerFileURI:lt,gotoLineMode:_e.goto,initialStartup:!0,remoteAuthority:vt})}shouldBlockURI(ge){return!!(ge.authority===ee.Schemas.file&&b.isWindows&&D.dialog.showMessageBoxSync({title:this.productService.nameLong,type:"question",buttons:[(0,Ye.mnemonicButtonLabel)((0,Y.localize)(0,null)),(0,Ye.mnemonicButtonLabel)((0,Y.localize)(1,null))],cancelId:1,message:(0,Y.localize)(2,null,(0,Ye.getPathLabel)(ge.fsPath,this.environmentMainService),this.productService.nameShort),detail:(0,Y.localize)(3,null),noLink:!0})===1)}getWindowOpenableFromProtocolLink(ge){if(!!ge.path){if(ge.authority===ee.Schemas.file)return{fileUri:oe.URI.file(ge.fsPath)};if(ge.authority===ee.Schemas.vscodeRemote){const pe=ge.path.indexOf(X.posix.sep,1);if(pe!==-1){const Pe=ge.path.substring(1,pe),ce=ge.path.substring(pe),Se=oe.URI.from({scheme:ee.Schemas.vscodeRemote,authority:Pe,path:ce,query:ge.query,fragment:ge.fragment});return(0,V.hasWorkspaceFileExtension)(ce)?{workspaceUri:Se}:{folderUri:Se}}}}}getWindowOpenableFromPathSync(ge){try{if((0,R.statSync)(ge).isDirectory())return{folderUri:oe.URI.file(ge)};if((0,V.hasWorkspaceFileExtension)(ge))return{workspaceUri:oe.URI.file(ge)}}catch(pe){}return{fileUri:oe.URI.file(ge)}}async afterWindowOpen(ge,pe){var Pe;this.lifecycleMainService.phase=3;const ce=ge.get(d.ITelemetryService);this._register(pe.onDidError(({type:Ie,details:Ee})=>{let De;typeof Ee=="string"?De=Ee:De=`SharedProcess: crashed (detail: ${Ee.reason})`,(0,O.onUnexpectedError)(new Error(De)),ce.publicLog2("sharedprocesserror",{type:Ie,reason:typeof Ee!="string"?Ee.reason:void 0})}));const Se=this.productService.win32MutexName;if(b.isWindows&&Se)try{const Ie=H.__$__nodeRequire("windows-mutex").Mutex,Ee=new Ie(Se);(0,We.once)(this.lifecycleMainService.onWillShutdown)(()=>Ee.release())}catch(Ie){this.logService.error(Ie)}D.protocol.registerHttpProtocol(ee.Schemas.vscodeRemoteResource,(Ie,Ee)=>{Ee({url:Ie.url.replace(/^vscode-remote-resource:/,"http:"),method:Ie.method})});const ye=ge.get(i.IUpdateService);(ye instanceof U.Win32UpdateService||ye instanceof $.LinuxUpdateService||ye instanceof _.DarwinUpdateService)&&ye.initialize(),(0,y.resolveShellEnv)(this.logService,this.environmentMainService.args,process.env);try{const Ee=(await this.fileService.readFile(this.environmentMainService.argvResource)).value.toString();if(JSON.parse((0,Ce.stripComments)(Ee))["enable-crash-reporter"]===void 0){const Me=(Pe=this.configurationService.getValue("telemetry.enableCrashReporter"))!==null&&Pe!==void 0?Pe:!0,Te=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${Me},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${(0,st.generateUuid)()}"`,"}"],Ne=Ee.substring(0,Ee.length-2).concat(`,
`,Te.join(`
`));await this.fileService.writeFile(this.environmentMainService.argvResource,q.VSBuffer.fromString(Ne))}}catch(Ie){this.logService.error(Ie)}}stopTracingEventually(ge,pe){this.logService.info("Tracing: waiting for windows to get ready...");const Pe=ge.get(He.IDialogMainService);let ce=!1;const Se=async Ie=>{if(!ce){ce=!0;const Ee=await D.contentTracing.stopRecording((0,Z.joinPath)(this.environmentMainService.userHome,`${this.productService.applicationName}-${Math.random().toString(16).slice(-4)}.trace.txt`).fsPath);Ie?this.logService.info(`Tracing: data recorded (after 30s timeout) to ${Ee}`):Pe.showMessageBox({type:"info",message:(0,Y.localize)(4,null),detail:(0,Y.localize)(5,null,Ee),buttons:[(0,Y.localize)(6,null)]},(0,Ze.withNullAsUndefined)(D.BrowserWindow.getFocusedWindow()))}},ye=setTimeout(()=>Se(!0),3e4);Promise.all(pe.map(Ie=>Ie.ready())).then(()=>{clearTimeout(ye),Se(!1)})}};ot=le([x(2,S.IInstantiationService),x(3,c.ILogService),x(4,s.IEnvironmentMainService),x(5,n.ILifecycleMainService),x(6,t.IConfigurationService),x(7,a.IStateService),x(8,rt.IFileService),x(9,F.IProductService)],ot),e.CodeApplication=ot}),define(Q[239],J([0,1,11,22,12,3,92,53,154,18,33,55,166,69,67,6,189,38,24,181,40,221,233,39,91,90,19,72,43,71,187,191,171,173,9,16,54,219,17,29,20,8,34,26,66,94,176,35,197]),function(H,e,w,R,D,b,P,n,y,i,L,f,E,g,h,p,S,v,l,c,a,s,t,r,o,d,u,m,I,A,F,C,j,G,ie,oe,V,N,B,U,$,_,k,M,O,T,W,z){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class K{main(){try{this.startup()}catch(Y){console.error(Y.message),w.app.exit(1)}}async startup(){(0,u.setUnexpectedErrorHandler)(me=>console.error(me));const Y=this.resolveArgs(),[ee,re,ne,ue,ve,de,he]=this.createServices(Y);try{try{await this.initServices(ne,ue,ve)}catch(me){throw this.handleStartupDataDirError(ne,he.nameLong,me),me}await ee.invokeFunction(async me=>{const ke=me.get(p.ILogService),Le=me.get(i.ILifecycleMainService),je=me.get(oe.IFileService),Fe=await this.doStartup(Y,ke,ne,Le,ee,he,!0);return de.logger=new o.SpdLogLogger("main",(0,_.join)(ne.logsPath,"main.log"),!0,de.getLevel()),(0,I.once)(Le.onWillShutdown)(()=>{je.dispose(),ue.dispose()}),ee.createInstance(t.CodeApplication,Fe,re).startup()})}catch(me){ee.invokeFunction(this.quit,me)}}createServices(Y){const ee=new g.ServiceCollection,re=Object.assign({_serviceBrand:void 0},P.default);ee.set(B.IProductService,re);const ne=new M.EnvironmentMainService(Y,re),ue=this.patchEnvironment(ne);ee.set(M.IEnvironmentMainService,ne);const ve=new d.BufferLogService,de=new p.MultiplexLogService([new p.ConsoleMainLogger((0,p.getLogLevel)(ne)),ve]);process.once("exit",()=>de.dispose()),ee.set(p.ILogService,de);const he=new j.FileService(de);ee.set(oe.IFileService,he);const me=new G.DiskFileSystemProvider(de);he.registerProvider(ie.Schemas.file,me),ee.set(p.ILoggerService,new W.LoggerService(de,he));const ke=new c.ConfigurationService(ne.settingsResource,he);ee.set(l.IConfigurationService,ke),ee.set(i.ILifecycleMainService,new h.SyncDescriptor(i.LifecycleMainService));const Le=new S.StateService(ne,de);return ee.set(v.IStateService,Le),ee.set(a.IRequestService,new h.SyncDescriptor(s.RequestMainService)),ee.set(m.IThemeMainService,new h.SyncDescriptor(m.ThemeMainService)),ee.set(A.ISignService,new h.SyncDescriptor(F.SignService)),ee.set(V.ITunnelService,new h.SyncDescriptor(N.TunnelService)),[new E.InstantiationService(ee,!0),ue,ne,ke,Le,ve,re]}patchEnvironment(Y){const ee={VSCODE_IPC_HOOK:Y.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(re=>{const ne=process.env[re];typeof ne=="string"&&(ee[re]=ne)}),Object.assign(process.env,ee),ee}initServices(Y,ee,re){const ne=Promise.all([Y.extensionsPath,Y.nodeCachedDataDir,Y.logsPath,Y.globalStorageHome.fsPath,Y.workspaceStorageHome.fsPath,Y.backupHome].map(de=>de?R.promises.mkdir(de,{recursive:!0}):void 0)),ue=ee.initialize(),ve=re.init();return Promise.all([ne,ue,ve])}async doStartup(Y,ee,re,ne,ue,ve,de){let he;try{he=await(0,f.serve)(re.mainIPCHandle),(0,I.once)(ne.onWillShutdown)(()=>he.dispose())}catch(me){if(me.code!=="EADDRINUSE")throw this.handleStartupDataDirError(re,ve.nameLong,me),me;let ke;try{ke=await(0,f.connect)(re.mainIPCHandle,"main")}catch(Fe){if(!de||b.isWindows||Fe.code!=="ECONNREFUSED")throw Fe.code==="EPERM"&&this.showStartupWarningDialog((0,D.localize)(0,null,ve.nameShort),(0,D.localize)(1,null),ve.nameLong),Fe;try{(0,R.unlinkSync)(re.mainIPCHandle)}catch(He){throw ee.warn("Could not delete obsolete instance handle",He),He}return this.doStartup(Y,ee,re,ne,ue,ve,!1)}if(re.extensionTestsLocationURI&&!re.debugExtensionHost.break){const Fe="Running extension tests from the command line is currently only supported if no other instance of Code is running.";throw ee.error(Fe),ke.dispose(),new Error(Fe)}let Le;!Y.wait&&!Y.status&&(Le=setTimeout(()=>{this.showStartupWarningDialog((0,D.localize)(2,null,ve.nameShort),(0,D.localize)(3,null),ve.nameLong)},1e4));const je=L.ProxyChannel.toService(ke.getChannel("launch"),{disableMarshalling:!0});if(Y.status)return ue.invokeFunction(async()=>{const Fe=new C.DiagnosticsService(T.NullTelemetryService,ve),He=await je.getMainProcessInfo(),Ze=await je.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),Ye=await Fe.getDiagnostics(He,Ze);throw console.log(Ye),new u.ExpectedError});throw b.isWindows&&await this.windowsAllowSetForegroundWindow(je,ee),ee.trace("Sending env to running instance..."),await je.start(Y,process.env),ke.dispose(),Le&&clearTimeout(Le),new u.ExpectedError("Sent env to running instance. Terminating...")}if(Y.status)throw ee.warn("Warning: The --status argument can only be used if Code is already running. Please run it again after Code has started."),new u.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),he}handleStartupDataDirError(Y,ee,re){if(re.code==="EACCES"||re.code==="EPERM"){const ne=(0,k.coalesce)([Y.userDataPath,Y.extensionsPath,f.XDG_RUNTIME_DIR]).map(ue=>(0,r.getPathLabel)(ue,Y));this.showStartupWarningDialog((0,D.localize)(4,null),(0,D.localize)(5,null,(0,O.toErrorMessage)(re),ne.join(`
`)),ee)}}showStartupWarningDialog(Y,ee,re){w.dialog.showMessageBoxSync({title:re,type:"warning",buttons:[(0,r.mnemonicButtonLabel)((0,D.localize)(6,null))],message:Y,detail:ee,noLink:!0})}async windowsAllowSetForegroundWindow(Y,ee){if(b.isWindows){const re=await Y.getMainProcessId();ee.trace("Sending some foreground love to the running instance:",re);try{(await new Promise((ne,ue)=>{H(["windows-foreground-love"],ne,ue)})).allowSetForegroundWindow(re)}catch(ne){ee.error(ne)}}}quit(Y,ee){const re=Y.get(p.ILogService),ne=Y.get(i.ILifecycleMainService);let ue=0;ee&&(ee.isExpected?ee.message&&re.trace(ee.message):(ue=1,ee.stack?re.error(ee.stack):re.error(`Startup error: ${ee.toString()}`))),ne.kill(ue)}resolveArgs(){const Y=this.validatePaths((0,n.parseMainProcessArgv)(process.argv));if(Y.wait&&!Y.waitMarkerFilePath){const ee=(0,y.createWaitMarkerFile)(Y.verbose);ee&&((0,n.addArg)(process.argv,"--waitMarkerFilePath",ee),Y.waitMarkerFilePath=ee)}return Y}validatePaths(Y){if(Y["open-url"]&&(Y._urls=Y._,Y._=[]),!Y.remote){const ee=this.doValidatePaths(Y._,Y.goto);Y._=ee}return Y}doValidatePaths(Y,ee){const re=(0,z.cwd)(),ne=Y.map(de=>{let he=String(de),me;ee&&(me=(0,U.parseLineAndColumnAware)(he),he=me.path),he&&(he=this.preparePath(re,he));const ke=(0,U.sanitizeFilePath)(he,re),Le=(0,_.basename)(ke);return Le&&!(0,U.isValidBasename)(Le)?null:ee&&me?(me.path=ke,this.toPath(me)):ke}),ue=b.isWindows||b.isMacintosh,ve=(0,k.distinct)(ne,de=>de&&ue?de.toLowerCase():de||"");return(0,k.coalesce)(ve)}preparePath(Y,ee){return b.isWindows&&(ee=(0,$.rtrim)(ee,'"')),ee=(0,$.trim)((0,$.trim)(ee," "),"	"),b.isWindows&&(ee=(0,_.resolve)(Y,ee),ee=(0,$.rtrim)(ee,".")),ee}toPath(Y){const ee=[Y.path];return typeof Y.line=="number"&&ee.push(String(Y.line)),typeof Y.column=="number"&&ee.push(String(Y.column)),ee.join(":")}}new K().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/892a1083cb2b9b3987ff7edc85376b5d9764433d/core/vs/code/electron-main/main.js.map
