/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Y=["require","exports","vs/base/common/lifecycle","vs/base/common/path","vs/base/common/async","vs/nls","vs/nls!vs/code/node/cliProcessMain","vs/platform/instantiation/common/instantiation","vs/base/common/types","vs/base/common/network","vs/base/common/uri","vs/base/common/event","vs/base/node/pfs","vs/platform/log/common/log","fs","vs/base/common/errors","vs/base/common/buffer","vs/base/common/platform","vs/base/common/strings","vs/base/common/objects","vs/base/common/resources","vs/base/common/arrays","vs/platform/environment/common/environment","vs/platform/files/common/files","vs/platform/extensionManagement/common/extensionManagement","vs/platform/registry/common/platform","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/configuration/common/configuration","vs/base/common/cancellation","vs/platform/configuration/common/configurationRegistry","vs/base/common/errorMessage","vs/base/common/stream","vs/base/common/extpath","vs/base/parts/ipc/common/ipc","child_process","vs/base/common/process","vs/platform/extensions/common/extensions","vs/platform/localizations/common/localizations","vs/base/common/semver/semver","vs/base/common/uuid","vs/platform/product/common/productService","vs/platform/telemetry/common/telemetry","vs/base/node/zip","vs/base/common/map","vs/base/node/decoder","vs/base/parts/ipc/node/ipc.cp","os","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/descriptors","vs/platform/files/common/io","vs/platform/files/node/watcher/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/request/common/request","vs/platform/product/common/product","vs/platform/telemetry/common/telemetryUtils","vs/base/common/assert","vs/base/common/decorators","vs/base/common/json","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/labels","vs/base/node/extpath","util","vs/base/node/watcher","vs/base/parts/storage/common/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/processes","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/extensionNls","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/graph","vs/platform/download/common/download","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProvider","vs/platform/localizations/node/localizations","vs/platform/log/node/spdlogLog","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/state/node/state","vs/platform/state/node/stateService","vs/platform/storage/common/storage","vs/platform/telemetry/common/commonProperties","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/telemetry","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","string_decoder","vs/base/common/normalization","path","vs/base/common/performance","vs/base/common/iterator","crypto","yauzl","yazl","zlib","vs/code/node/cliProcessMain","graceful-fs"],Z=function(x){for(var t=[],v=0,k=x.length;v<k;v++)t[v]=Y[x[v]];return t};define(Y[55],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=void 0;function v(k,P){if(!k)throw new Error(P?`Assertion failed (${P})`:"Assertion Failed")}t.ok=v}),define(Y[56],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.throttle=t.debounce=t.memoize=t.createMemoizer=t.createDecorator=void 0;function v(f){return(u,C,h)=>{let R=null,y=null;if(typeof h.value=="function"?(R="value",y=h.value):typeof h.get=="function"&&(R="get",y=h.get),!y)throw new Error("not supported");h[R]=f(y,C)}}t.createDecorator=v;let k=0;function P(){const f=`$memoize${k++}`;let u;const C=function(R,y,l){let I=null,p=null;if(typeof l.value=="function"?(I="value",p=l.value,p.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof l.get=="function"&&(I="get",p=l.get),!p)throw new Error("not supported");const m=`${f}:${y}`;l[I]=function(...D){return u=this,this.hasOwnProperty(m)||Object.defineProperty(this,m,{configurable:!0,enumerable:!1,writable:!0,value:p.apply(this,D)}),this[m]}};return C.clear=()=>{typeof u!="undefined"&&Object.getOwnPropertyNames(u).forEach(h=>{h.indexOf(f)===0&&delete u[h]})},C}t.createMemoizer=P;function E(f,u,C){return P()(f,u,C)}t.memoize=E;function M(f,u,C){return v((h,R)=>{const y=`$debounce$${R}`,l=`$debounce$result$${R}`;return function(...I){this[l]||(this[l]=C?C():void 0),clearTimeout(this[y]),u&&(this[l]=u(this[l],...I),I=[this[l]]),this[y]=setTimeout(()=>{h.apply(this,I),this[l]=C?C():void 0},f)}})}t.debounce=M;function F(f,u,C){return v((h,R)=>{const y=`$throttle$timer$${R}`,l=`$throttle$result$${R}`,I=`$throttle$lastRun$${R}`,p=`$throttle$pending$${R}`;return function(...m){if(this[l]||(this[l]=C?C():void 0),(this[I]===null||this[I]===void 0)&&(this[I]=-Number.MAX_VALUE),u&&(this[l]=u(this[l],...m)),!this[p]){const D=this[I]+f;D<=Date.now()?(this[I]=Date.now(),h.apply(this,[this[l]]),this[l]=C?C():void 0):(this[p]=!0,this[y]=setTimeout(()=>{this[p]=!1,this[I]=Date.now(),h.apply(this,[this[l]]),this[l]=C?C():void 0},D-Date.now()))}}})}t.throttle=F}),define(Y[21],Z([0,1,15]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.mapFind=t.getRandomElement=t.asArray=t.mapArrayOrNot=t.pushToEnd=t.pushToStart=t.shuffle=t.arrayInsert=t.remove=t.insert=t.index=t.range=t.flatten=t.commonPrefixLength=t.firstOrDefault=t.lastIndex=t.uniqueFilter=t.distinctES6=t.distinct=t.isNonEmptyArray=t.isFalsyOrEmpty=t.move=t.coalesceInPlace=t.coalesce=t.topAsync=t.top=t.delta=t.sortedDiff=t.groupBy=t.quickSelect=t.findFirstInSorted=t.binarySearch=t.equals=t.tail2=t.tail=void 0;function k($,O=0){return $[$.length-(1+O)]}t.tail=k;function P($){if($.length===0)throw new Error("Invalid tail call");return[$.slice(0,$.length-1),$[$.length-1]]}t.tail2=P;function E($,O,w=(d,c)=>d===c){if($===O)return!0;if(!$||!O||$.length!==O.length)return!1;for(let d=0,c=$.length;d<c;d++)if(!w($[d],O[d]))return!1;return!0}t.equals=E;function M($,O,w){let d=0,c=$.length-1;for(;d<=c;){const S=(d+c)/2|0,L=w($[S],O);if(L<0)d=S+1;else if(L>0)c=S-1;else return S}return-(d+1)}t.binarySearch=M;function F($,O){let w=0,d=$.length;if(d===0)return 0;for(;w<d;){const c=Math.floor((w+d)/2);O($[c])?d=c:w=c+1}return w}t.findFirstInSorted=F;function f($,O,w){if($=$|0,$>=O.length)throw new TypeError("invalid index");let d=O[Math.floor(O.length*Math.random())],c=[],S=[],L=[];for(let j of O){const U=w(j,d);U<0?c.push(j):U>0?S.push(j):L.push(j)}return $<c.length?f($,c,w):$<c.length+L.length?L[0]:f($-(c.length+L.length),S,w)}t.quickSelect=f;function u($,O){const w=[];let d;for(const c of $.slice(0).sort(O))!d||O(d[0],c)!==0?(d=[c],w.push(d)):d.push(c);return w}t.groupBy=u;function C($,O,w){const d=[];function c(j,U,_){if(!(U===0&&_.length===0)){const W=d[d.length-1];W&&W.start+W.deleteCount===j?(W.deleteCount+=U,W.toInsert.push(..._)):d.push({start:j,deleteCount:U,toInsert:_})}}let S=0,L=0;for(;;){if(S===$.length){c(S,0,O.slice(L));break}if(L===O.length){c(S,$.length-S,[]);break}const j=$[S],U=O[L],_=w(j,U);_===0?(S+=1,L+=1):_<0?(c(S,1,[]),S+=1):_>0&&(c(S,0,[U]),L+=1)}return d}t.sortedDiff=C;function h($,O,w){const d=C($,O,w),c=[],S=[];for(const L of d)c.push(...$.slice(L.start,L.start+L.deleteCount)),S.push(...L.toInsert);return{removed:c,added:S}}t.delta=h;function R($,O,w){if(w===0)return[];const d=$.slice(0,w).sort(O);return l($,O,d,w,$.length),d}t.top=R;function y($,O,w,d,c){return w===0?Promise.resolve([]):new Promise((S,L)=>{(async()=>{const j=$.length,U=$.slice(0,w).sort(O);for(let _=w,W=Math.min(w+d,j);_<j;_=W,W=Math.min(W+d,j)){if(_>w&&await new Promise(q=>setTimeout(q)),c&&c.isCancellationRequested)throw(0,v.canceled)();l($,O,U,_,W)}return U})().then(S,L)})}t.topAsync=y;function l($,O,w,d,c){for(const S=w.length;d<c;d++){const L=$[d];if(O(L,w[S-1])<0){w.pop();const j=F(w,U=>O(L,U)<0);w.splice(j,0,L)}}}function I($){return $.filter(O=>!!O)}t.coalesce=I;function p($){let O=0;for(let w=0;w<$.length;w++)$[w]&&($[O]=$[w],O+=1);$.length=O}t.coalesceInPlace=p;function m($,O,w){$.splice(w,0,$.splice(O,1)[0])}t.move=m;function D($){return!Array.isArray($)||$.length===0}t.isFalsyOrEmpty=D;function b($){return Array.isArray($)&&$.length>0}t.isNonEmptyArray=b;function o($,O){if(!O)return $.filter((d,c)=>$.indexOf(d)===c);const w=Object.create(null);return $.filter(d=>{const c=O(d);return w[c]?!1:(w[c]=!0,!0)})}t.distinct=o;function i($){const O=new Set;return $.filter(w=>O.has(w)?!1:(O.add(w),!0))}t.distinctES6=i;function e($){const O=Object.create(null);return w=>{const d=$(w);return O[d]?!1:(O[d]=!0,!0)}}t.uniqueFilter=e;function n($,O){for(let w=$.length-1;w>=0;w--){const d=$[w];if(O(d))return w}return-1}t.lastIndex=n;function s($,O){return $.length>0?$[0]:O}t.firstOrDefault=s;function a($,O,w=(d,c)=>d===c){let d=0;for(let c=0,S=Math.min($.length,O.length);c<S&&w($[c],O[c]);c++)d++;return d}t.commonPrefixLength=a;function r($){return[].concat(...$)}t.flatten=r;function g($,O){let w=typeof O=="number"?$:0;typeof O=="number"?w=$:(w=0,O=$);const d=[];if(w<=O)for(let c=w;c<O;c++)d.push(c);else for(let c=w;c>O;c--)d.push(c);return d}t.range=g;function N($,O,w){return $.reduce((d,c)=>(d[O(c)]=w?w(c):c,d),Object.create(null))}t.index=N;function A($,O){return $.push(O),()=>T($,O)}t.insert=A;function T($,O){const w=$.indexOf(O);if(w>-1)return $.splice(w,1),O}t.remove=T;function z($,O,w){const d=$.slice(0,O),c=$.slice(O);return d.concat(w,c)}t.arrayInsert=z;function B($,O){let w;if(typeof O=="number"){let d=O;w=()=>{const c=Math.sin(d++)*179426549;return c-Math.floor(c)}}else w=Math.random;for(let d=$.length-1;d>0;d-=1){const c=Math.floor(w()*(d+1)),S=$[d];$[d]=$[c],$[c]=S}}t.shuffle=B;function H($,O){const w=$.indexOf(O);w>-1&&($.splice(w,1),$.unshift(O))}t.pushToStart=H;function X($,O){const w=$.indexOf(O);w>-1&&($.splice(w,1),$.push(O))}t.pushToEnd=X;function se($,O){return Array.isArray($)?$.map(O):O($)}t.mapArrayOrNot=se;function re($){return Array.isArray($)?$:[$]}t.asArray=re;function ee($){return $[Math.floor(Math.random()*$.length)]}t.getRandomElement=ee;function le($,O){for(const w of $){const d=O(w);if(d!==void 0)return d}}t.mapFind=le}),define(Y[57],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getNodeType=t.stripComments=t.visit=t.findNodeAtOffset=t.contains=t.getNodeValue=t.getNodePath=t.findNodeAtLocation=t.parseTree=t.parse=t.getLocation=t.createScanner=t.ParseOptions=t.ParseErrorCode=t.SyntaxKind=t.ScanError=void 0;var v;(function(e){e[e.None=0]="None",e[e.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=2]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",e[e.InvalidUnicode=4]="InvalidUnicode",e[e.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",e[e.InvalidCharacter=6]="InvalidCharacter"})(v=t.ScanError||(t.ScanError={}));var k;(function(e){e[e.OpenBraceToken=1]="OpenBraceToken",e[e.CloseBraceToken=2]="CloseBraceToken",e[e.OpenBracketToken=3]="OpenBracketToken",e[e.CloseBracketToken=4]="CloseBracketToken",e[e.CommaToken=5]="CommaToken",e[e.ColonToken=6]="ColonToken",e[e.NullKeyword=7]="NullKeyword",e[e.TrueKeyword=8]="TrueKeyword",e[e.FalseKeyword=9]="FalseKeyword",e[e.StringLiteral=10]="StringLiteral",e[e.NumericLiteral=11]="NumericLiteral",e[e.LineCommentTrivia=12]="LineCommentTrivia",e[e.BlockCommentTrivia=13]="BlockCommentTrivia",e[e.LineBreakTrivia=14]="LineBreakTrivia",e[e.Trivia=15]="Trivia",e[e.Unknown=16]="Unknown",e[e.EOF=17]="EOF"})(k=t.SyntaxKind||(t.SyntaxKind={}));var P;(function(e){e[e.InvalidSymbol=1]="InvalidSymbol",e[e.InvalidNumberFormat=2]="InvalidNumberFormat",e[e.PropertyNameExpected=3]="PropertyNameExpected",e[e.ValueExpected=4]="ValueExpected",e[e.ColonExpected=5]="ColonExpected",e[e.CommaExpected=6]="CommaExpected",e[e.CloseBraceExpected=7]="CloseBraceExpected",e[e.CloseBracketExpected=8]="CloseBracketExpected",e[e.EndOfFileExpected=9]="EndOfFileExpected",e[e.InvalidCommentToken=10]="InvalidCommentToken",e[e.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=12]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",e[e.InvalidUnicode=14]="InvalidUnicode",e[e.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",e[e.InvalidCharacter=16]="InvalidCharacter"})(P=t.ParseErrorCode||(t.ParseErrorCode={}));var E;(function(e){e.DEFAULT={allowTrailingComma:!0}})(E=t.ParseOptions||(t.ParseOptions={}));function M(e,n=!1){let s=0,a=e.length,r="",g=0,N=16,A=0;function T(ee){let le=0,$=0;for(;le<ee;){const O=e.charCodeAt(s);if(O>=48&&O<=57)$=$*16+O-48;else if(O>=65&&O<=70)$=$*16+O-65+10;else if(O>=97&&O<=102)$=$*16+O-97+10;else break;s++,le++}return le<ee&&($=-1),$}function z(ee){s=ee,r="",g=0,N=16,A=0}function B(){const ee=s;if(e.charCodeAt(s)===48)s++;else for(s++;s<e.length&&u(e.charCodeAt(s));)s++;if(s<e.length&&e.charCodeAt(s)===46)if(s++,s<e.length&&u(e.charCodeAt(s)))for(s++;s<e.length&&u(e.charCodeAt(s));)s++;else return A=3,e.substring(ee,s);let le=s;if(s<e.length&&(e.charCodeAt(s)===69||e.charCodeAt(s)===101))if(s++,(s<e.length&&e.charCodeAt(s)===43||e.charCodeAt(s)===45)&&s++,s<e.length&&u(e.charCodeAt(s))){for(s++;s<e.length&&u(e.charCodeAt(s));)s++;le=s}else A=3;return e.substring(ee,le)}function H(){let ee="",le=s;for(;;){if(s>=a){ee+=e.substring(le,s),A=2;break}const $=e.charCodeAt(s);if($===34){ee+=e.substring(le,s),s++;break}if($===92){if(ee+=e.substring(le,s),s++,s>=a){A=2;break}switch(e.charCodeAt(s++)){case 34:ee+='"';break;case 92:ee+="\\";break;case 47:ee+="/";break;case 98:ee+="\b";break;case 102:ee+="\f";break;case 110:ee+=`
`;break;case 114:ee+="\r";break;case 116:ee+="	";break;case 117:const w=T(4);w>=0?ee+=String.fromCharCode(w):A=4;break;default:A=5}le=s;continue}if($>=0&&$<=31)if(f($)){ee+=e.substring(le,s),A=2;break}else A=6;s++}return ee}function X(){if(r="",A=0,g=s,s>=a)return g=a,N=17;let ee=e.charCodeAt(s);if(F(ee)){do s++,r+=String.fromCharCode(ee),ee=e.charCodeAt(s);while(F(ee));return N=15}if(f(ee))return s++,r+=String.fromCharCode(ee),ee===13&&e.charCodeAt(s)===10&&(s++,r+=`
`),N=14;switch(ee){case 123:return s++,N=1;case 125:return s++,N=2;case 91:return s++,N=3;case 93:return s++,N=4;case 58:return s++,N=6;case 44:return s++,N=5;case 34:return s++,r=H(),N=10;case 47:const le=s-1;if(e.charCodeAt(s+1)===47){for(s+=2;s<a&&!f(e.charCodeAt(s));)s++;return r=e.substring(le,s),N=12}if(e.charCodeAt(s+1)===42){s+=2;const $=a-1;let O=!1;for(;s<$;){if(e.charCodeAt(s)===42&&e.charCodeAt(s+1)===47){s+=2,O=!0;break}s++}return O||(s++,A=1),r=e.substring(le,s),N=13}return r+=String.fromCharCode(ee),s++,N=16;case 45:if(r+=String.fromCharCode(ee),s++,s===a||!u(e.charCodeAt(s)))return N=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=B(),N=11;default:for(;s<a&&se(ee);)s++,ee=e.charCodeAt(s);if(g!==s){switch(r=e.substring(g,s),r){case"true":return N=8;case"false":return N=9;case"null":return N=7}return N=16}return r+=String.fromCharCode(ee),s++,N=16}}function se(ee){if(F(ee)||f(ee))return!1;switch(ee){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function re(){let ee;do ee=X();while(ee>=12&&ee<=15);return ee}return{setPosition:z,getPosition:()=>s,scan:n?re:X,getToken:()=>N,getTokenValue:()=>r,getTokenOffset:()=>g,getTokenLength:()=>s-g,getTokenError:()=>A}}t.createScanner=M;function F(e){return e===32||e===9||e===11||e===12||e===160||e===5760||e>=8192&&e<=8203||e===8239||e===8287||e===12288||e===65279}function f(e){return e===10||e===13||e===8232||e===8233}function u(e){return e>=48&&e<=57}var C;(function(e){e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab"})(C||(C={}));function h(e,n){const s=[],a=new Object;let r;const g={value:{},offset:0,length:0,type:"object",parent:void 0};let N=!1;function A(T,z,B,H){g.value=T,g.offset=z,g.length=B,g.type=H,g.colonOffset=void 0,r=g}try{b(e,{onObjectBegin:(T,z)=>{if(n<=T)throw a;r=void 0,N=n>T,s.push("")},onObjectProperty:(T,z,B)=>{if(n<z||(A(T,z,B,"property"),s[s.length-1]=T,n<=z+B))throw a},onObjectEnd:(T,z)=>{if(n<=T)throw a;r=void 0,s.pop()},onArrayBegin:(T,z)=>{if(n<=T)throw a;r=void 0,s.push(0)},onArrayEnd:(T,z)=>{if(n<=T)throw a;r=void 0,s.pop()},onLiteralValue:(T,z,B)=>{if(n<z||(A(T,z,B,i(T)),n<=z+B))throw a},onSeparator:(T,z,B)=>{if(n<=z)throw a;if(T===":"&&r&&r.type==="property")r.colonOffset=z,N=!1,r=void 0;else if(T===","){const H=s[s.length-1];typeof H=="number"?s[s.length-1]=H+1:(N=!0,s[s.length-1]=""),r=void 0}}})}catch(T){if(T!==a)throw T}return{path:s,previousNode:r,isAtPropertyKey:N,matches:T=>{let z=0;for(let B=0;z<T.length&&B<s.length;B++)if(T[z]===s[B]||T[z]==="*")z++;else if(T[z]!=="**")return!1;return z===T.length}}}t.getLocation=h;function R(e,n=[],s=E.DEFAULT){let a=null,r=[];const g=[];function N(T){Array.isArray(r)?r.push(T):a!==null&&(r[a]=T)}return b(e,{onObjectBegin:()=>{const T={};N(T),g.push(r),r=T,a=null},onObjectProperty:T=>{a=T},onObjectEnd:()=>{r=g.pop()},onArrayBegin:()=>{const T=[];N(T),g.push(r),r=T,a=null},onArrayEnd:()=>{r=g.pop()},onLiteralValue:N,onError:(T,z,B)=>{n.push({error:T,offset:z,length:B})}},s),r[0]}t.parse=R;function y(e,n=[],s=E.DEFAULT){let a={type:"array",offset:-1,length:-1,children:[],parent:void 0};function r(T){a.type==="property"&&(a.length=T-a.offset,a=a.parent)}function g(T){return a.children.push(T),T}b(e,{onObjectBegin:T=>{a=g({type:"object",offset:T,length:-1,parent:a,children:[]})},onObjectProperty:(T,z,B)=>{a=g({type:"property",offset:z,length:-1,parent:a,children:[]}),a.children.push({type:"string",value:T,offset:z,length:B,parent:a})},onObjectEnd:(T,z)=>{a.length=T+z-a.offset,a=a.parent,r(T+z)},onArrayBegin:(T,z)=>{a=g({type:"array",offset:T,length:-1,parent:a,children:[]})},onArrayEnd:(T,z)=>{a.length=T+z-a.offset,a=a.parent,r(T+z)},onLiteralValue:(T,z,B)=>{g({type:i(T),offset:z,length:B,parent:a,value:T}),r(z+B)},onSeparator:(T,z,B)=>{a.type==="property"&&(T===":"?a.colonOffset=z:T===","&&r(z))},onError:(T,z,B)=>{n.push({error:T,offset:z,length:B})}},s);const A=a.children[0];return A&&delete A.parent,A}t.parseTree=y;function l(e,n){if(!!e){let s=e;for(let a of n)if(typeof a=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let r=!1;for(const g of s.children)if(Array.isArray(g.children)&&g.children[0].value===a){s=g.children[1],r=!0;break}if(!r)return}else{const r=a;if(s.type!=="array"||r<0||!Array.isArray(s.children)||r>=s.children.length)return;s=s.children[r]}return s}}t.findNodeAtLocation=l;function I(e){if(!e.parent||!e.parent.children)return[];const n=I(e.parent);if(e.parent.type==="property"){const s=e.parent.children[0].value;n.push(s)}else if(e.parent.type==="array"){const s=e.parent.children.indexOf(e);s!==-1&&n.push(s)}return n}t.getNodePath=I;function p(e){switch(e.type){case"array":return e.children.map(p);case"object":const n=Object.create(null);for(let s of e.children){const a=s.children[1];a&&(n[s.children[0].value]=p(a))}return n;case"null":case"string":case"number":case"boolean":return e.value;default:return}}t.getNodeValue=p;function m(e,n,s=!1){return n>=e.offset&&n<e.offset+e.length||s&&n===e.offset+e.length}t.contains=m;function D(e,n,s=!1){if(m(e,n,s)){const a=e.children;if(Array.isArray(a))for(let r=0;r<a.length&&a[r].offset<=n;r++){const g=D(a[r],n,s);if(g)return g}return e}}t.findNodeAtOffset=D;function b(e,n,s=E.DEFAULT){const a=M(e,!1);function r(U){return U?()=>U(a.getTokenOffset(),a.getTokenLength()):()=>!0}function g(U){return U?_=>U(_,a.getTokenOffset(),a.getTokenLength()):()=>!0}const N=r(n.onObjectBegin),A=g(n.onObjectProperty),T=r(n.onObjectEnd),z=r(n.onArrayBegin),B=r(n.onArrayEnd),H=g(n.onLiteralValue),X=g(n.onSeparator),se=r(n.onComment),re=g(n.onError),ee=s&&s.disallowComments,le=s&&s.allowTrailingComma;function $(){for(;;){const U=a.scan();switch(a.getTokenError()){case 4:O(14);break;case 5:O(15);break;case 3:O(13);break;case 1:ee||O(11);break;case 2:O(12);break;case 6:O(16);break}switch(U){case 12:case 13:ee?O(10):se();break;case 16:O(1);break;case 15:case 14:break;default:return U}}}function O(U,_=[],W=[]){if(re(U),_.length+W.length>0){let q=a.getToken();for(;q!==17;){if(_.indexOf(q)!==-1){$();break}else if(W.indexOf(q)!==-1)break;q=$()}}}function w(U){const _=a.getTokenValue();return U?H(_):A(_),$(),!0}function d(){switch(a.getToken()){case 11:let U=0;try{U=JSON.parse(a.getTokenValue()),typeof U!="number"&&(O(2),U=0)}catch(_){O(2)}H(U);break;case 7:H(null);break;case 8:H(!0);break;case 9:H(!1);break;default:return!1}return $(),!0}function c(){return a.getToken()!==10?(O(3,[],[2,5]),!1):(w(!1),a.getToken()===6?(X(":"),$(),j()||O(4,[],[2,5])):O(5,[],[2,5]),!0)}function S(){N(),$();let U=!1;for(;a.getToken()!==2&&a.getToken()!==17;){if(a.getToken()===5){if(U||O(4,[],[]),X(","),$(),a.getToken()===2&&le)break}else U&&O(6,[],[]);c()||O(4,[],[2,5]),U=!0}return T(),a.getToken()!==2?O(7,[2],[]):$(),!0}function L(){z(),$();let U=!1;for(;a.getToken()!==4&&a.getToken()!==17;){if(a.getToken()===5){if(U||O(4,[],[]),X(","),$(),a.getToken()===4&&le)break}else U&&O(6,[],[]);j()||O(4,[],[4,5]),U=!0}return B(),a.getToken()!==4?O(8,[4],[]):$(),!0}function j(){switch(a.getToken()){case 3:return L();case 1:return S();case 10:return w(!0);default:return d()}}return $(),a.getToken()===17?s.allowEmptyContent?!0:(O(4,[],[]),!1):j()?(a.getToken()!==17&&O(9,[],[]),!0):(O(4,[],[]),!1)}t.visit=b;function o(e,n){let s=M(e),a=[],r,g=0,N;do switch(N=s.getPosition(),r=s.scan(),r){case 12:case 13:case 17:g!==N&&a.push(e.substring(g,N)),n!==void 0&&a.push(s.getTokenValue().replace(/[^\r\n]/g,n)),g=s.getPosition();break}while(r!==17);return a.join("")}t.stripComments=o;function i(e){switch(typeof e){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(e){if(Array.isArray(e))return"array"}else return"null";return"object"}default:return"null"}}t.getNodeType=i});"use strict";(function(){function x(P){const E=[];typeof P=="number"&&E.push("code/timeOrigin",P);function M(f){E.push(f,Date.now())}function F(){const f=[];for(let u=0;u<E.length;u+=2)f.push({name:E[u],startTime:E[u+1]});return f}return{mark:M,getMarks:F}}function t(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?x():{mark(P){performance.mark(P)},getMarks(){let P=performance.timeOrigin;typeof P!="number"&&(P=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const E=[{name:"code/timeOrigin",startTime:Math.round(P)}];for(const M of performance.getEntriesByType("mark"))E.push({name:M.name,startTime:Math.round(P+M.startTime)});return E}};if(typeof process=="object"){const P=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return x(P)}else return console.trace("perf-util loaded in UNKNOWN environment"),x()}function v(P){return P.MonacoPerformanceMarks||(P.MonacoPerformanceMarks=t()),P.MonacoPerformanceMarks}var k;typeof global=="object"?k=global:typeof self=="object"?k=self:k={},typeof define=="function"?define("vs/base/common/performance",[],function(){return v(k)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=v(k):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),k.perf=v(k))})(),function(x,t){if(typeof exports=="object"&&typeof module=="object")module.exports=t();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],t);else{var v=t();for(var k in v)(typeof exports=="object"?exports:x)[k]=v[k]}}(typeof self!="undefined"?self:this,function(){return function(x){var t={};function v(k){if(t[k])return t[k].exports;var P=t[k]={i:k,l:!1,exports:{}};return x[k].call(P.exports,P,P.exports,v),P.l=!0,P.exports}return v.m=x,v.c=t,v.d=function(k,P,E){v.o(k,P)||Object.defineProperty(k,P,{enumerable:!0,get:E})},v.r=function(k){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(k,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(k,"__esModule",{value:!0})},v.t=function(k,P){if(1&P&&(k=v(k)),8&P||4&P&&typeof k=="object"&&k&&k.__esModule)return k;var E=Object.create(null);if(v.r(E),Object.defineProperty(E,"default",{enumerable:!0,value:k}),2&P&&typeof k!="string")for(var M in k)v.d(E,M,function(F){return k[F]}.bind(null,M));return E},v.n=function(k){var P=k&&k.__esModule?function(){return k.default}:function(){return k};return v.d(P,"a",P),P},v.o=function(k,P){return Object.prototype.hasOwnProperty.call(k,P)},v.p="",v(v.s=0)}([function(x,t,v){(function(k){var P;t=x.exports=W,P=typeof k=="object"&&k.env&&k.env.NODE_DEBUG&&/\bsemver\b/i.test(k.env.NODE_DEBUG)?function(){var V=Array.prototype.slice.call(arguments,0);V.unshift("SEMVER"),console.log.apply(console,V)}:function(){},t.SEMVER_SPEC_VERSION="2.0.0";var E=256,M=Number.MAX_SAFE_INTEGER||9007199254740991,F=t.re=[],f=t.src=[],u=0,C=u++;f[C]="0|[1-9]\\d*";var h=u++;f[h]="[0-9]+";var R=u++;f[R]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var y=u++;f[y]="("+f[C]+")\\.("+f[C]+")\\.("+f[C]+")";var l=u++;f[l]="("+f[h]+")\\.("+f[h]+")\\.("+f[h]+")";var I=u++;f[I]="(?:"+f[C]+"|"+f[R]+")";var p=u++;f[p]="(?:"+f[h]+"|"+f[R]+")";var m=u++;f[m]="(?:-("+f[I]+"(?:\\."+f[I]+")*))";var D=u++;f[D]="(?:-?("+f[p]+"(?:\\."+f[p]+")*))";var b=u++;f[b]="[0-9A-Za-z-]+";var o=u++;f[o]="(?:\\+("+f[b]+"(?:\\."+f[b]+")*))";var i=u++,e="v?"+f[y]+f[m]+"?"+f[o]+"?";f[i]="^"+e+"$";var n="[v=\\s]*"+f[l]+f[D]+"?"+f[o]+"?",s=u++;f[s]="^"+n+"$";var a=u++;f[a]="((?:<|>)?=?)";var r=u++;f[r]=f[h]+"|x|X|\\*";var g=u++;f[g]=f[C]+"|x|X|\\*";var N=u++;f[N]="[v=\\s]*("+f[g]+")(?:\\.("+f[g]+")(?:\\.("+f[g]+")(?:"+f[m]+")?"+f[o]+"?)?)?";var A=u++;f[A]="[v=\\s]*("+f[r]+")(?:\\.("+f[r]+")(?:\\.("+f[r]+")(?:"+f[D]+")?"+f[o]+"?)?)?";var T=u++;f[T]="^"+f[a]+"\\s*"+f[N]+"$";var z=u++;f[z]="^"+f[a]+"\\s*"+f[A]+"$";var B=u++;f[B]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var H=u++;f[H]="(?:~>?)";var X=u++;f[X]="(\\s*)"+f[H]+"\\s+",F[X]=new RegExp(f[X],"g");var se=u++;f[se]="^"+f[H]+f[N]+"$";var re=u++;f[re]="^"+f[H]+f[A]+"$";var ee=u++;f[ee]="(?:\\^)";var le=u++;f[le]="(\\s*)"+f[ee]+"\\s+",F[le]=new RegExp(f[le],"g");var $=u++;f[$]="^"+f[ee]+f[N]+"$";var O=u++;f[O]="^"+f[ee]+f[A]+"$";var w=u++;f[w]="^"+f[a]+"\\s*("+n+")$|^$";var d=u++;f[d]="^"+f[a]+"\\s*("+e+")$|^$";var c=u++;f[c]="(\\s*)"+f[a]+"\\s*("+n+"|"+f[N]+")",F[c]=new RegExp(f[c],"g");var S=u++;f[S]="^\\s*("+f[N]+")\\s+-\\s+("+f[N]+")\\s*$";var L=u++;f[L]="^\\s*("+f[A]+")\\s+-\\s+("+f[A]+")\\s*$";var j=u++;f[j]="(<|>)?=?\\s*\\*";for(var U=0;U<35;U++)P(U,f[U]),F[U]||(F[U]=new RegExp(f[U]));function _(V,G){if(V instanceof W)return V;if(typeof V!="string"||V.length>E||!(G?F[s]:F[i]).test(V))return null;try{return new W(V,G)}catch(K){return null}}function W(V,G){if(V instanceof W){if(V.loose===G)return V;V=V.version}else if(typeof V!="string")throw new TypeError("Invalid Version: "+V);if(V.length>E)throw new TypeError("version is longer than "+E+" characters");if(!(this instanceof W))return new W(V,G);P("SemVer",V,G),this.loose=G;var K=V.trim().match(G?F[s]:F[i]);if(!K)throw new TypeError("Invalid Version: "+V);if(this.raw=V,this.major=+K[1],this.minor=+K[2],this.patch=+K[3],this.major>M||this.major<0)throw new TypeError("Invalid major version");if(this.minor>M||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>M||this.patch<0)throw new TypeError("Invalid patch version");K[4]?this.prerelease=K[4].split(".").map(function(ie){if(/^[0-9]+$/.test(ie)){var oe=+ie;if(oe>=0&&oe<M)return oe}return ie}):this.prerelease=[],this.build=K[5]?K[5].split("."):[],this.format()}t.parse=_,t.valid=function(V,G){var K=_(V,G);return K?K.version:null},t.clean=function(V,G){var K=_(V.trim().replace(/^[=v]+/,""),G);return K?K.version:null},t.SemVer=W,W.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},W.prototype.toString=function(){return this.version},W.prototype.compare=function(V){return P("SemVer.compare",this.version,this.loose,V),V instanceof W||(V=new W(V,this.loose)),this.compareMain(V)||this.comparePre(V)},W.prototype.compareMain=function(V){return V instanceof W||(V=new W(V,this.loose)),Q(this.major,V.major)||Q(this.minor,V.minor)||Q(this.patch,V.patch)},W.prototype.comparePre=function(V){if(V instanceof W||(V=new W(V,this.loose)),this.prerelease.length&&!V.prerelease.length)return-1;if(!this.prerelease.length&&V.prerelease.length)return 1;if(!this.prerelease.length&&!V.prerelease.length)return 0;var G=0;do{var K=this.prerelease[G],ie=V.prerelease[G];if(P("prerelease compare",G,K,ie),K===void 0&&ie===void 0)return 0;if(ie===void 0)return 1;if(K===void 0)return-1;if(K!==ie)return Q(K,ie)}while(++G)},W.prototype.inc=function(V,G){switch(V){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",G);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",G);break;case"prepatch":this.prerelease.length=0,this.inc("patch",G),this.inc("pre",G);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",G),this.inc("pre",G);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var K=this.prerelease.length;--K>=0;)typeof this.prerelease[K]=="number"&&(this.prerelease[K]++,K=-2);K===-1&&this.prerelease.push(0)}G&&(this.prerelease[0]===G?isNaN(this.prerelease[1])&&(this.prerelease=[G,0]):this.prerelease=[G,0]);break;default:throw new Error("invalid increment argument: "+V)}return this.format(),this.raw=this.version,this},t.inc=function(V,G,K,ie){typeof K=="string"&&(ie=K,K=void 0);try{return new W(V,K).inc(G,ie).version}catch(oe){return null}},t.diff=function(V,G){if(he(V,G))return null;var K=_(V),ie=_(G);if(K.prerelease.length||ie.prerelease.length){for(var oe in K)if((oe==="major"||oe==="minor"||oe==="patch")&&K[oe]!==ie[oe])return"pre"+oe;return"prerelease"}for(var oe in K)if((oe==="major"||oe==="minor"||oe==="patch")&&K[oe]!==ie[oe])return oe},t.compareIdentifiers=Q;var q=/^[0-9]+$/;function Q(V,G){var K=q.test(V),ie=q.test(G);return K&&ie&&(V=+V,G=+G),K&&!ie?-1:ie&&!K?1:V<G?-1:V>G?1:0}function J(V,G,K){return new W(V,K).compare(new W(G,K))}function te(V,G,K){return J(V,G,K)>0}function ne(V,G,K){return J(V,G,K)<0}function he(V,G,K){return J(V,G,K)===0}function ge(V,G,K){return J(V,G,K)!==0}function Pe(V,G,K){return J(V,G,K)>=0}function Le(V,G,K){return J(V,G,K)<=0}function Fe(V,G,K,ie){var oe;switch(G){case"===":typeof V=="object"&&(V=V.version),typeof K=="object"&&(K=K.version),oe=V===K;break;case"!==":typeof V=="object"&&(V=V.version),typeof K=="object"&&(K=K.version),oe=V!==K;break;case"":case"=":case"==":oe=he(V,K,ie);break;case"!=":oe=ge(V,K,ie);break;case">":oe=te(V,K,ie);break;case">=":oe=Pe(V,K,ie);break;case"<":oe=ne(V,K,ie);break;case"<=":oe=Le(V,K,ie);break;default:throw new TypeError("Invalid operator: "+G)}return oe}function Oe(V,G){if(V instanceof Oe){if(V.loose===G)return V;V=V.value}if(!(this instanceof Oe))return new Oe(V,G);P("comparator",V,G),this.loose=G,this.parse(V),this.semver===ke?this.value="":this.value=this.operator+this.semver.version,P("comp",this)}t.rcompareIdentifiers=function(V,G){return Q(G,V)},t.major=function(V,G){return new W(V,G).major},t.minor=function(V,G){return new W(V,G).minor},t.patch=function(V,G){return new W(V,G).patch},t.compare=J,t.compareLoose=function(V,G){return J(V,G,!0)},t.rcompare=function(V,G,K){return J(G,V,K)},t.sort=function(V,G){return V.sort(function(K,ie){return t.compare(K,ie,G)})},t.rsort=function(V,G){return V.sort(function(K,ie){return t.rcompare(K,ie,G)})},t.gt=te,t.lt=ne,t.eq=he,t.neq=ge,t.gte=Pe,t.lte=Le,t.cmp=Fe,t.Comparator=Oe;var ke={};function ve(V,G){if(V instanceof ve)return V.loose===G?V:new ve(V.raw,G);if(V instanceof Oe)return new ve(V.value,G);if(!(this instanceof ve))return new ve(V,G);if(this.loose=G,this.raw=V,this.set=V.split(/\s*\|\|\s*/).map(function(K){return this.parseRange(K.trim())},this).filter(function(K){return K.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+V);this.format()}function we(V){return!V||V.toLowerCase()==="x"||V==="*"}function Be(V,G,K,ie,oe,Se,de,Re,ye,De,Ae,Ee,be){return((G=we(K)?"":we(ie)?">="+K+".0.0":we(oe)?">="+K+"."+ie+".0":">="+G)+" "+(Re=we(ye)?"":we(De)?"<"+(+ye+1)+".0.0":we(Ae)?"<"+ye+"."+(+De+1)+".0":Ee?"<="+ye+"."+De+"."+Ae+"-"+Ee:"<="+Re)).trim()}function We(V,G){for(var K=0;K<V.length;K++)if(!V[K].test(G))return!1;if(G.prerelease.length){for(K=0;K<V.length;K++)if(P(V[K].semver),V[K].semver!==ke&&V[K].semver.prerelease.length>0){var ie=V[K].semver;if(ie.major===G.major&&ie.minor===G.minor&&ie.patch===G.patch)return!0}return!1}return!0}function je(V,G,K){try{G=new ve(G,K)}catch(ie){return!1}return G.test(V)}function ze(V,G,K,ie){var oe,Se,de,Re,ye;switch(V=new W(V,ie),G=new ve(G,ie),K){case">":oe=te,Se=Le,de=ne,Re=">",ye=">=";break;case"<":oe=ne,Se=Pe,de=te,Re="<",ye="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(je(V,G,ie))return!1;for(var De=0;De<G.set.length;++De){var Ae=G.set[De],Ee=null,be=null;if(Ae.forEach(function(Ce){Ce.semver===ke&&(Ce=new Oe(">=0.0.0")),Ee=Ee||Ce,be=be||Ce,oe(Ce.semver,Ee.semver,ie)?Ee=Ce:de(Ce.semver,be.semver,ie)&&(be=Ce)}),Ee.operator===Re||Ee.operator===ye||(!be.operator||be.operator===Re)&&Se(V,be.semver)||be.operator===ye&&de(V,be.semver))return!1}return!0}Oe.prototype.parse=function(V){var G=this.loose?F[w]:F[d],K=V.match(G);if(!K)throw new TypeError("Invalid comparator: "+V);this.operator=K[1],this.operator==="="&&(this.operator=""),K[2]?this.semver=new W(K[2],this.loose):this.semver=ke},Oe.prototype.toString=function(){return this.value},Oe.prototype.test=function(V){return P("Comparator.test",V,this.loose),this.semver===ke||(typeof V=="string"&&(V=new W(V,this.loose)),Fe(V,this.operator,this.semver,this.loose))},Oe.prototype.intersects=function(V,G){if(!(V instanceof Oe))throw new TypeError("a Comparator is required");var K;if(this.operator==="")return K=new ve(V.value,G),je(this.value,K,G);if(V.operator==="")return K=new ve(this.value,G),je(V.semver,K,G);var ie=!(this.operator!==">="&&this.operator!==">"||V.operator!==">="&&V.operator!==">"),oe=!(this.operator!=="<="&&this.operator!=="<"||V.operator!=="<="&&V.operator!=="<"),Se=this.semver.version===V.semver.version,de=!(this.operator!==">="&&this.operator!=="<="||V.operator!==">="&&V.operator!=="<="),Re=Fe(this.semver,"<",V.semver,G)&&(this.operator===">="||this.operator===">")&&(V.operator==="<="||V.operator==="<"),ye=Fe(this.semver,">",V.semver,G)&&(this.operator==="<="||this.operator==="<")&&(V.operator===">="||V.operator===">");return ie||oe||Se&&de||Re||ye},t.Range=ve,ve.prototype.format=function(){return this.range=this.set.map(function(V){return V.join(" ").trim()}).join("||").trim(),this.range},ve.prototype.toString=function(){return this.range},ve.prototype.parseRange=function(V){var G=this.loose;V=V.trim(),P("range",V,G);var K=G?F[L]:F[S];V=V.replace(K,Be),P("hyphen replace",V),V=V.replace(F[c],"$1$2$3"),P("comparator trim",V,F[c]),V=(V=(V=V.replace(F[X],"$1~")).replace(F[le],"$1^")).split(/\s+/).join(" ");var ie=G?F[w]:F[d],oe=V.split(" ").map(function(Se){return function(de,Re){return P("comp",de),de=function(ye,De){return ye.trim().split(/\s+/).map(function(Ae){return function(Ee,be){P("caret",Ee,be);var Ce=be?F[O]:F[$];return Ee.replace(Ce,function(Te,ae,ue,me,pe){var Ie;return P("caret",Ee,Te,ae,ue,me,pe),we(ae)?Ie="":we(ue)?Ie=">="+ae+".0.0 <"+(+ae+1)+".0.0":we(me)?Ie=ae==="0"?">="+ae+"."+ue+".0 <"+ae+"."+(+ue+1)+".0":">="+ae+"."+ue+".0 <"+(+ae+1)+".0.0":pe?(P("replaceCaret pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),Ie=ae==="0"?ue==="0"?">="+ae+"."+ue+"."+me+pe+" <"+ae+"."+ue+"."+(+me+1):">="+ae+"."+ue+"."+me+pe+" <"+ae+"."+(+ue+1)+".0":">="+ae+"."+ue+"."+me+pe+" <"+(+ae+1)+".0.0"):(P("no pr"),Ie=ae==="0"?ue==="0"?">="+ae+"."+ue+"."+me+" <"+ae+"."+ue+"."+(+me+1):">="+ae+"."+ue+"."+me+" <"+ae+"."+(+ue+1)+".0":">="+ae+"."+ue+"."+me+" <"+(+ae+1)+".0.0"),P("caret return",Ie),Ie})}(Ae,De)}).join(" ")}(de,Re),P("caret",de),de=function(ye,De){return ye.trim().split(/\s+/).map(function(Ae){return function(Ee,be){var Ce=be?F[re]:F[se];return Ee.replace(Ce,function(Te,ae,ue,me,pe){var Ie;return P("tilde",Ee,Te,ae,ue,me,pe),we(ae)?Ie="":we(ue)?Ie=">="+ae+".0.0 <"+(+ae+1)+".0.0":we(me)?Ie=">="+ae+"."+ue+".0 <"+ae+"."+(+ue+1)+".0":pe?(P("replaceTilde pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),Ie=">="+ae+"."+ue+"."+me+pe+" <"+ae+"."+(+ue+1)+".0"):Ie=">="+ae+"."+ue+"."+me+" <"+ae+"."+(+ue+1)+".0",P("tilde return",Ie),Ie})}(Ae,De)}).join(" ")}(de,Re),P("tildes",de),de=function(ye,De){return P("replaceXRanges",ye,De),ye.split(/\s+/).map(function(Ae){return function(Ee,be){Ee=Ee.trim();var Ce=be?F[z]:F[T];return Ee.replace(Ce,function(Te,ae,ue,me,pe,Ie){P("xRange",Ee,Te,ae,ue,me,pe,Ie);var Ue=we(ue),Me=Ue||we(me),Ne=Me||we(pe);return ae==="="&&Ne&&(ae=""),Ue?Te=ae===">"||ae==="<"?"<0.0.0":"*":ae&&Ne?(Me&&(me=0),Ne&&(pe=0),ae===">"?(ae=">=",Me?(ue=+ue+1,me=0,pe=0):Ne&&(me=+me+1,pe=0)):ae==="<="&&(ae="<",Me?ue=+ue+1:me=+me+1),Te=ae+ue+"."+me+"."+pe):Me?Te=">="+ue+".0.0 <"+(+ue+1)+".0.0":Ne&&(Te=">="+ue+"."+me+".0 <"+ue+"."+(+me+1)+".0"),P("xRange return",Te),Te})}(Ae,De)}).join(" ")}(de,Re),P("xrange",de),de=function(ye,De){return P("replaceStars",ye,De),ye.trim().replace(F[j],"")}(de,Re),P("stars",de),de}(Se,G)}).join(" ").split(/\s+/);return this.loose&&(oe=oe.filter(function(Se){return!!Se.match(ie)})),oe=oe.map(function(Se){return new Oe(Se,G)})},ve.prototype.intersects=function(V,G){if(!(V instanceof ve))throw new TypeError("a Range is required");return this.set.some(function(K){return K.every(function(ie){return V.set.some(function(oe){return oe.every(function(Se){return ie.intersects(Se,G)})})})})},t.toComparators=function(V,G){return new ve(V,G).set.map(function(K){return K.map(function(ie){return ie.value}).join(" ").trim().split(" ")})},ve.prototype.test=function(V){if(!V)return!1;typeof V=="string"&&(V=new W(V,this.loose));for(var G=0;G<this.set.length;G++)if(We(this.set[G],V))return!0;return!1},t.satisfies=je,t.maxSatisfying=function(V,G,K){var ie=null,oe=null;try{var Se=new ve(G,K)}catch(de){return null}return V.forEach(function(de){Se.test(de)&&(ie&&oe.compare(de)!==-1||(oe=new W(ie=de,K)))}),ie},t.minSatisfying=function(V,G,K){var ie=null,oe=null;try{var Se=new ve(G,K)}catch(de){return null}return V.forEach(function(de){Se.test(de)&&(ie&&oe.compare(de)!==1||(oe=new W(ie=de,K)))}),ie},t.validRange=function(V,G){try{return new ve(V,G).range||"*"}catch(K){return null}},t.ltr=function(V,G,K){return ze(V,G,"<",K)},t.gtr=function(V,G,K){return ze(V,G,">",K)},t.outside=ze,t.prerelease=function(V,G){var K=_(V,G);return K&&K.prerelease.length?K.prerelease:null},t.intersects=function(V,G,K){return V=new ve(V,K),G=new ve(G,K),V.intersects(G)},t.coerce=function(V){if(V instanceof W)return V;if(typeof V!="string")return null;var G=V.match(F[B]);return G==null?null:_((G[1]||"0")+"."+(G[2]||"0")+"."+(G[3]||"0"))}}).call(this,v(1))},function(x,t){var v,k,P=x.exports={};function E(){throw new Error("setTimeout has not been defined")}function M(){throw new Error("clearTimeout has not been defined")}function F(p){if(v===setTimeout)return setTimeout(p,0);if((v===E||!v)&&setTimeout)return v=setTimeout,setTimeout(p,0);try{return v(p,0)}catch(m){try{return v.call(null,p,0)}catch(D){return v.call(this,p,0)}}}(function(){try{v=typeof setTimeout=="function"?setTimeout:E}catch(p){v=E}try{k=typeof clearTimeout=="function"?clearTimeout:M}catch(p){k=M}})();var f,u=[],C=!1,h=-1;function R(){C&&f&&(C=!1,f.length?u=f.concat(u):h=-1,u.length&&y())}function y(){if(!C){var p=F(R);C=!0;for(var m=u.length;m;){for(f=u,u=[];++h<m;)f&&f[h].run();h=-1,m=u.length}f=null,C=!1,function(D){if(k===clearTimeout)return clearTimeout(D);if((k===M||!k)&&clearTimeout)return k=clearTimeout,clearTimeout(D);try{k(D)}catch(b){try{return k.call(null,D)}catch(o){return k.call(this,D)}}}(p)}}function l(p,m){this.fun=p,this.array=m}function I(){}P.nextTick=function(p){var m=new Array(arguments.length-1);if(arguments.length>1)for(var D=1;D<arguments.length;D++)m[D-1]=arguments[D];u.push(new l(p,m)),u.length!==1||C||F(y)},l.prototype.run=function(){this.fun.apply(null,this.array)},P.title="browser",P.browser=!0,P.env={},P.argv=[],P.version="",P.versions={},P.on=I,P.addListener=I,P.once=I,P.off=I,P.removeListener=I,P.removeAllListeners=I,P.emit=I,P.prependListener=I,P.prependOnceListener=I,P.listeners=function(p){return[]},P.binding=function(p){throw new Error("process.binding is not supported")},P.cwd=function(){return"/"},P.chdir=function(p){throw new Error("process.chdir is not supported")},P.umask=function(){return 0}}])}),define(Y[31],Z([0,1,15,2]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.transform=t.toReadable=t.toStream=t.peekStream=t.listenStream=t.consumeStream=t.peekReadable=t.consumeReadable=t.newWriteableStream=t.isReadableBufferedStream=t.isReadableStream=void 0;function P(p){const m=p;return m&&[m.on,m.pause,m.resume,m.destroy].every(D=>typeof D=="function")}t.isReadableStream=P;function E(p){const m=p;return m&&P(m.stream)&&Array.isArray(m.buffer)&&typeof m.ended=="boolean"}t.isReadableBufferedStream=E;function M(p,m){return new F(p,m)}t.newWriteableStream=M;class F{constructor(m,D){this.reducer=m,this.options=D,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(m){var D;if(!this.state.destroyed){if(this.state.flowing)this.emitData(m);else if(this.buffer.data.push(m),typeof((D=this.options)===null||D===void 0?void 0:D.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(b=>this.pendingWritePromises.push(b))}}error(m){this.state.destroyed||(this.state.flowing?this.emitError(m):this.buffer.error.push(m))}end(m){this.state.destroyed||(typeof m!="undefined"&&this.write(m),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(m){this.listeners.data.slice(0).forEach(D=>D(m))}emitError(m){this.listeners.error.length===0?(0,v.onUnexpectedError)(m):this.listeners.error.slice(0).forEach(D=>D(m))}emitEnd(){this.listeners.end.slice(0).forEach(m=>m())}on(m,D){if(!this.state.destroyed)switch(m){case"data":this.listeners.data.push(D),this.resume();break;case"end":this.listeners.end.push(D),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(D),this.state.flowing&&this.flowErrors();break}}removeListener(m,D){if(!this.state.destroyed){let b;switch(m){case"data":b=this.listeners.data;break;case"end":b=this.listeners.end;break;case"error":b=this.listeners.error;break}if(b){const o=b.indexOf(D);o>=0&&b.splice(o,1)}}}flowData(){if(this.buffer.data.length>0){const m=this.reducer(this.buffer.data);this.emitData(m),this.buffer.data.length=0;const D=[...this.pendingWritePromises];this.pendingWritePromises.length=0,D.forEach(b=>b())}}flowErrors(){if(this.listeners.error.length>0){for(const m of this.buffer.error)this.emitError(m);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function f(p,m){const D=[];let b;for(;(b=p.read())!==null;)D.push(b);return m(D)}t.consumeReadable=f;function u(p,m,D){const b=[];let o;for(;(o=p.read())!==null&&b.length<D;)b.push(o);return o===null&&b.length>0?m(b):{read:()=>{if(b.length>0)return b.shift();if(typeof o!="undefined"){const i=o;return o=void 0,i}return p.read()}}}t.peekReadable=u;function C(p,m){return new Promise((D,b)=>{const o=[];h(p,{onData:i=>{m&&o.push(i)},onError:i=>{m?b(i):D(void 0)},onEnd:()=>{D(m?m(o):void 0)}})})}t.consumeStream=C;function h(p,m){p.on("error",D=>m.onError(D)),p.on("end",()=>m.onEnd()),p.on("data",D=>m.onData(D))}t.listenStream=h;function R(p,m){return new Promise((D,b)=>{const o=new k.DisposableStore,i=[],e=a=>{if(i.push(a),i.length>m)return o.dispose(),p.pause(),D({stream:p,buffer:i,ended:!1})},n=a=>b(a),s=()=>D({stream:p,buffer:i,ended:!0});o.add((0,k.toDisposable)(()=>p.removeListener("error",n))),p.on("error",n),o.add((0,k.toDisposable)(()=>p.removeListener("end",s))),p.on("end",s),o.add((0,k.toDisposable)(()=>p.removeListener("data",e))),p.on("data",e)})}t.peekStream=R;function y(p,m){const D=M(m);return D.end(p),D}t.toStream=y;function l(p){let m=!1;return{read:()=>m?null:(m=!0,p)}}t.toReadable=l;function I(p,m,D){const b=M(D);return h(p,{onData:o=>b.write(m.data(o)),onError:o=>b.error(m.error?m.error(o):o),onEnd:()=>b.end()}),b}t.transform=I}),define(Y[16],Z([0,1,18,31]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.newWriteableBufferStream=t.streamToBufferReadableStream=t.bufferToStream=t.bufferedStreamToBuffer=t.streamToBuffer=t.bufferToReadable=t.readableToBuffer=t.writeUInt8=t.readUInt8=t.writeUInt32LE=t.readUInt32LE=t.writeUInt32BE=t.readUInt32BE=t.writeUInt16LE=t.readUInt16LE=t.VSBuffer=void 0;const P=typeof Buffer!="undefined",E=typeof TextEncoder!="undefined",M=typeof TextDecoder!="undefined";let F,f;class u{constructor(r){this.buffer=r,this.byteLength=this.buffer.byteLength}static alloc(r){return P?new u(Buffer.allocUnsafe(r)):new u(new Uint8Array(r))}static wrap(r){return P&&!Buffer.isBuffer(r)&&(r=Buffer.from(r.buffer,r.byteOffset,r.byteLength)),new u(r)}static fromString(r,g){return!((g==null?void 0:g.dontUseNodeBuffer)||!1)&&P?new u(Buffer.from(r)):E?(F||(F=new TextEncoder),new u(F.encode(r))):new u(v.encodeUTF8(r))}static concat(r,g){if(typeof g=="undefined"){g=0;for(let T=0,z=r.length;T<z;T++)g+=r[T].byteLength}const N=u.alloc(g);let A=0;for(let T=0,z=r.length;T<z;T++){const B=r[T];N.set(B,A),A+=B.byteLength}return N}toString(){return P?this.buffer.toString():M?(f||(f=new TextDecoder),f.decode(this.buffer)):v.decodeUTF8(this.buffer)}slice(r,g){return new u(this.buffer.subarray(r,g))}set(r,g){r instanceof u?this.buffer.set(r.buffer,g):this.buffer.set(r,g)}readUInt32BE(r){return R(this.buffer,r)}writeUInt32BE(r,g){y(this.buffer,r,g)}readUInt32LE(r){return l(this.buffer,r)}writeUInt32LE(r,g){I(this.buffer,r,g)}readUInt8(r){return p(this.buffer,r)}writeUInt8(r,g){m(this.buffer,r,g)}}t.VSBuffer=u;function C(a,r){return a[r+0]<<0>>>0|a[r+1]<<8>>>0}t.readUInt16LE=C;function h(a,r,g){a[g+0]=r&255,r=r>>>8,a[g+1]=r&255}t.writeUInt16LE=h;function R(a,r){return a[r]*2**24+a[r+1]*2**16+a[r+2]*2**8+a[r+3]}t.readUInt32BE=R;function y(a,r,g){a[g+3]=r,r=r>>>8,a[g+2]=r,r=r>>>8,a[g+1]=r,r=r>>>8,a[g]=r}t.writeUInt32BE=y;function l(a,r){return a[r+0]<<0>>>0|a[r+1]<<8>>>0|a[r+2]<<16>>>0|a[r+3]<<24>>>0}t.readUInt32LE=l;function I(a,r,g){a[g+0]=r&255,r=r>>>8,a[g+1]=r&255,r=r>>>8,a[g+2]=r&255,r=r>>>8,a[g+3]=r&255}t.writeUInt32LE=I;function p(a,r){return a[r]}t.readUInt8=p;function m(a,r,g){a[g]=r}t.writeUInt8=m;function D(a){return k.consumeReadable(a,r=>u.concat(r))}t.readableToBuffer=D;function b(a){return k.toReadable(a)}t.bufferToReadable=b;function o(a){return k.consumeStream(a,r=>u.concat(r))}t.streamToBuffer=o;async function i(a){return a.ended?u.concat(a.buffer):u.concat([...a.buffer,await o(a.stream)])}t.bufferedStreamToBuffer=i;function e(a){return k.toStream(a,r=>u.concat(r))}t.bufferToStream=e;function n(a){return k.transform(a,{data:r=>typeof r=="string"?u.fromString(r):u.wrap(r)},r=>u.concat(r))}t.streamToBufferReadableStream=n;function s(a){return k.newWriteableStream(r=>u.concat(r),a)}t.newWriteableBufferStream=s}),define(Y[19],Z([0,1,8]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getCaseInsensitive=t.distinct=t.getOrDefault=t.safeStringify=t.equals=t.mixin=t.cloneAndChange=t.deepFreeze=t.deepClone=void 0;function k(l){if(!l||typeof l!="object"||l instanceof RegExp)return l;const I=Array.isArray(l)?[]:{};return Object.keys(l).forEach(p=>{l[p]&&typeof l[p]=="object"?I[p]=k(l[p]):I[p]=l[p]}),I}t.deepClone=k;function P(l){if(!l||typeof l!="object")return l;const I=[l];for(;I.length>0;){const p=I.shift();Object.freeze(p);for(const m in p)if(E.call(p,m)){const D=p[m];typeof D=="object"&&!Object.isFrozen(D)&&I.push(D)}}return l}t.deepFreeze=P;const E=Object.prototype.hasOwnProperty;function M(l,I){return F(l,I,new Set)}t.cloneAndChange=M;function F(l,I,p){if((0,v.isUndefinedOrNull)(l))return l;const m=I(l);if(typeof m!="undefined")return m;if((0,v.isArray)(l)){const D=[];for(const b of l)D.push(F(b,I,p));return D}if((0,v.isObject)(l)){if(p.has(l))throw new Error("Cannot clone recursive data-structure");p.add(l);const D={};for(let b in l)E.call(l,b)&&(D[b]=F(l[b],I,p));return p.delete(l),D}return l}function f(l,I,p=!0){return(0,v.isObject)(l)?((0,v.isObject)(I)&&Object.keys(I).forEach(m=>{m in l?p&&((0,v.isObject)(l[m])&&(0,v.isObject)(I[m])?f(l[m],I[m],p):l[m]=I[m]):l[m]=I[m]}),l):I}t.mixin=f;function u(l,I){if(l===I)return!0;if(l==null||I===null||I===void 0||typeof l!=typeof I||typeof l!="object"||Array.isArray(l)!==Array.isArray(I))return!1;let p,m;if(Array.isArray(l)){if(l.length!==I.length)return!1;for(p=0;p<l.length;p++)if(!u(l[p],I[p]))return!1}else{const D=[];for(m in l)D.push(m);D.sort();const b=[];for(m in I)b.push(m);if(b.sort(),!u(D,b))return!1;for(p=0;p<D.length;p++)if(!u(l[D[p]],I[D[p]]))return!1}return!0}t.equals=u;function C(l){const I=new Set;return JSON.stringify(l,(p,m)=>{if((0,v.isObject)(m)||Array.isArray(m)){if(I.has(m))return"[Circular]";I.add(m)}return m})}t.safeStringify=C;function h(l,I,p){const m=I(l);return typeof m=="undefined"?p:m}t.getOrDefault=h;function R(l,I){const p=Object.create(null);return!l||!I||Object.keys(I).forEach(D=>{const b=l[D],o=I[D];u(b,o)||(p[D]=o)}),p}t.distinct=R;function y(l,I){const p=I.toLowerCase(),m=Object.keys(l).find(D=>D.toLowerCase()===p);return m?l[m]:l[I]}t.getCaseInsensitive=y}),define(Y[58],Z([0,1,10]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.log=t.getFirstFrame=t.parse=t.isRemoteConsoleLog=void 0;function k(u){const C=u;return C&&typeof C.type=="string"&&typeof C.severity=="string"}t.isRemoteConsoleLog=k;function P(u){const C=[];let h;try{const R=JSON.parse(u.arguments),y=R[R.length-1];y&&y.__$stack&&(R.pop(),h=y.__$stack),C.push(...R)}catch(R){C.push("Unable to log remote console arguments",u.arguments)}return{args:C,stack:h}}t.parse=P;function E(u){if(typeof u!="string")return E(P(u).stack);const C=u;if(C){const h=M(C),R=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(h||"");if(R&&R.length===4)return{uri:v.URI.file(R[1]),line:Number(R[2]),column:Number(R[3])}}}t.getFirstFrame=E;function M(u){if(!u)return u;const C=u.indexOf(`
`);return C===-1?u:u.substring(0,C)}function F(u,C){const{args:h,stack:R}=P(u),y=typeof h[0]=="string"&&h.length===1;let l=M(R);l&&(l=`(${l.trim()})`);let I=[];if(typeof h[0]=="string"?l&&y?I=[`%c[${C}] %c${h[0]} %c${l}`,f("blue"),f(""),f("grey")]:I=[`%c[${C}] %c${h[0]}`,f("blue"),f(""),...h.slice(1)]:I=[`%c[${C}]%`,f("blue"),...h],l&&!y&&I.push(l),typeof console[u.severity]!="function")throw new Error("Unknown console method");console[u.severity].apply(console,I)}t.log=F;function f(u){return`color: ${u}`}}),define(Y[59],Z([0,1,16,18,10]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.revive=t.parse=t.stringify=void 0;function E(u){return JSON.stringify(u,F)}t.stringify=E;function M(u){let C=JSON.parse(u);return C=f(C),C}t.parse=M;function F(u,C){return C instanceof RegExp?{$mid:2,source:C.source,flags:(0,k.regExpFlags)(C)}:C}function f(u,C=0){if(!u||C>200)return u;if(typeof u=="object"){switch(u.$mid){case 1:return P.URI.revive(u);case 2:return new RegExp(u.source,u.flags)}if(u instanceof v.VSBuffer||u instanceof Uint8Array)return u;if(Array.isArray(u))for(let h=0;h<u.length;++h)u[h]=f(u[h],C+1);else for(const h in u)Object.hasOwnProperty.call(u,h)&&(u[h]=f(u[h],C+1))}return u}t.revive=f}),define(Y[60],Z([0,1,18,32,3,43,4]),function(x,t,v,k,P,E,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getPathTerms=t.getBasenameTerms=t.isRelativePattern=t.hasSiblingFn=t.hasSiblingPromiseFn=t.parse=t.match=t.splitGlobAware=t.getEmptyExpression=void 0;function F(){return Object.create(null)}t.getEmptyExpression=F;const f="**",u="/",C="[/\\\\]",h="[^/\\\\]",R=/\//g;function y(c){switch(c){case 0:return"";case 1:return`${h}*?`;default:return`(?:${C}|${h}+${C}|${C}${h}+)*?`}}function l(c,S){if(!c)return[];const L=[];let j=!1,U=!1,_="";for(const W of c){switch(W){case S:if(!j&&!U){L.push(_),_="";continue}break;case"{":j=!0;break;case"}":j=!1;break;case"[":U=!0;break;case"]":U=!1;break}_+=W}return _&&L.push(_),L}t.splitGlobAware=l;function I(c){if(!c)return"";let S="";const L=l(c,u);if(L.every(j=>j===f))S=".*";else{let j=!1;L.forEach((U,_)=>{if(U===f){j||(S+=y(2),j=!0);return}let W=!1,q="",Q=!1,J="";for(const te of U){if(te!=="}"&&W){q+=te;continue}if(Q&&(te!=="]"||!J)){let ne;te==="-"?ne=te:(te==="^"||te==="!")&&!J?ne="^":te===u?ne="":ne=v.escapeRegExpCharacters(te),J+=ne;continue}switch(te){case"{":W=!0;continue;case"[":Q=!0;continue;case"}":S+=`(?:${l(q,",").map(ge=>I(ge)).join("|")})`,W=!1,q="";break;case"]":S+="["+J+"]",Q=!1,J="";break;case"?":S+=h;continue;case"*":S+=y(1);continue;default:S+=v.escapeRegExpCharacters(te)}}_<L.length-1&&(L[_+1]!==f||_+2<L.length)&&(S+=C),j=!1})}return S}const p=/^\*\*\/\*\.[\w\.-]+$/,m=/^\*\*\/([\w\.-]+)\/?$/,D=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,b=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,o=/^\*\*((\/[\w\.-]+)+)\/?$/,i=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,e=new E.LRUCache(1e4),n=function(){return!1},s=function(){return null};function a(c,S){if(!c)return s;let L;typeof c!="string"?L=c.pattern:L=c,L=L.trim();const j=`${L}_${!!S.trimForExclusions}`;let U=e.get(j);if(U)return r(U,c);let _;if(p.test(L)){const W=L.substr(4);U=function(q,Q){return typeof q=="string"&&q.endsWith(W)?L:null}}else(_=m.exec(g(L,S)))?U=N(_[1],L):(S.trimForExclusions?b:D).test(L)?U=A(L,S):(_=o.exec(g(L,S)))?U=T(_[1].substr(1),L,!0):(_=i.exec(g(L,S)))?U=T(_[1],L,!1):U=z(L);return e.set(j,U),r(U,c)}function r(c,S){return typeof S=="string"?c:function(L,j){return k.isEqualOrParent(L,S.base)?c(P.relative(S.base,L),j):null}}function g(c,S){return S.trimForExclusions&&c.endsWith("/**")?c.substr(0,c.length-2):c}function N(c,S){const L=`/${c}`,j=`\\${c}`,U=function(W,q){return typeof W!="string"?null:q?q===c?S:null:W===c||W.endsWith(L)||W.endsWith(j)?S:null},_=[c];return U.basenames=_,U.patterns=[S],U.allBasenames=_,U}function A(c,S){const L=d(c.slice(1,-1).split(",").map(q=>a(q,S)).filter(q=>q!==s),c),j=L.length;if(!j)return s;if(j===1)return L[0];const U=function(q,Q){for(let J=0,te=L.length;J<te;J++)if(L[J](q,Q))return c;return null},_=L.find(q=>!!q.allBasenames);_&&(U.allBasenames=_.allBasenames);const W=L.reduce((q,Q)=>Q.allPaths?q.concat(Q.allPaths):q,[]);return W.length&&(U.allPaths=W),U}function T(c,S,L){const j=P.sep===P.posix.sep,U=j?c:c.replace(R,P.sep),_=P.sep+U,W=P.posix.sep+c,q=L?function(Q,J){return typeof Q=="string"&&(Q===U||Q.endsWith(_)||!j&&(Q===c||Q.endsWith(W)))?S:null}:function(Q,J){return typeof Q=="string"&&(Q===U||!j&&Q===c)?S:null};return q.allPaths=[(L?"*/":"./")+c],q}function z(c){try{const S=new RegExp(`^${I(c)}$`);return function(L){return S.lastIndex=0,typeof L=="string"&&S.test(L)?c:null}}catch(S){return s}}function B(c,S,L){return!c||typeof S!="string"?!1:H(c)(S,void 0,L)}t.match=B;function H(c,S={}){if(!c)return n;if(typeof c=="string"||ee(c)){const L=a(c,S);if(L===s)return n;const j=function(U,_){return!!L(U,_)};return L.allBasenames&&(j.allBasenames=L.allBasenames),L.allPaths&&(j.allPaths=L.allPaths),j}return O(c,S)}t.parse=H;function X(c){if(!!c){let S;return L=>(S||(S=(c()||Promise.resolve([])).then(j=>j?re(j):{})),S.then(j=>!!j[L]))}}t.hasSiblingPromiseFn=X;function se(c){if(!!c){let S;return L=>{if(!S){const j=c();S=j?re(j):{}}return!!S[L]}}}t.hasSiblingFn=se;function re(c){const S={};for(const L of c)S[L]=!0;return S}function ee(c){const S=c;return S&&typeof S.base=="string"&&typeof S.pattern=="string"}t.isRelativePattern=ee;function le(c){return c.allBasenames||[]}t.getBasenameTerms=le;function $(c){return c.allPaths||[]}t.getPathTerms=$;function O(c,S){const L=d(Object.getOwnPropertyNames(c).map(q=>w(q,c[q],S)).filter(q=>q!==s)),j=L.length;if(!j)return s;if(!L.some(q=>!!q.requiresSiblings)){if(j===1)return L[0];const q=function(te,ne){for(let he=0,ge=L.length;he<ge;he++){const Pe=L[he](te,ne);if(Pe)return Pe}return null},Q=L.find(te=>!!te.allBasenames);Q&&(q.allBasenames=Q.allBasenames);const J=L.reduce((te,ne)=>ne.allPaths?te.concat(ne.allPaths):te,[]);return J.length&&(q.allPaths=J),q}const U=function(q,Q,J){let te;for(let ne=0,he=L.length;ne<he;ne++){const ge=L[ne];ge.requiresSiblings&&J&&(Q||(Q=P.basename(q)),te||(te=Q.substr(0,Q.length-P.extname(q).length)));const Pe=ge(q,Q,te,J);if(Pe)return Pe}return null},_=L.find(q=>!!q.allBasenames);_&&(U.allBasenames=_.allBasenames);const W=L.reduce((q,Q)=>Q.allPaths?q.concat(Q.allPaths):q,[]);return W.length&&(U.allPaths=W),U}function w(c,S,L){if(S===!1)return s;const j=a(c,L);if(j===s)return s;if(typeof S=="boolean")return j;if(S){const U=S.when;if(typeof U=="string"){const _=(W,q,Q,J)=>{if(!J||!j(W,q))return null;const te=U.replace("$(basename)",Q),ne=J(te);return(0,M.isThenable)(ne)?ne.then(he=>he?c:null):ne?c:null};return _.requiresSiblings=!0,_}}return j}function d(c,S){const L=c.filter(q=>!!q.basenames);if(L.length<2)return c;const j=L.reduce((q,Q)=>{const J=Q.basenames;return J?q.concat(J):q},[]);let U;if(S){U=[];for(let q=0,Q=j.length;q<Q;q++)U.push(S)}else U=L.reduce((q,Q)=>{const J=Q.patterns;return J?q.concat(J):q},[]);const _=function(q,Q){if(typeof q!="string")return null;if(!Q){let te;for(te=q.length;te>0;te--){const ne=q.charCodeAt(te-1);if(ne===47||ne===92)break}Q=q.substr(te)}const J=j.indexOf(Q);return J!==-1?U[J]:null};_.basenames=j,_.patterns=U,_.allBasenames=j;const W=c.filter(q=>!q.basenames);return W.push(_),W}}),define(Y[61],Z([0,1,10,3,18,9,17,20,32]),function(x,t,v,k,P,E,M,F,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.splitName=t.unmnemonicLabel=t.mnemonicButtonLabel=t.mnemonicMenuLabel=t.template=t.shorten=t.untildify=t.tildify=t.normalizeDriveLetter=t.getBaseLabel=t.getPathLabel=void 0;function u(a,r,g){if(typeof a=="string"&&(a=v.URI.file(a)),g){const A=g.getWorkspaceFolder(a);if(A){const T=g.getWorkspace().folders.length>1;let z;if((0,F.isEqual)(A.uri,a)?z="":z=(0,F.relativePath)(A.uri,a),T){const B=A.name?A.name:(0,F.basename)(A.uri);z=z?B+" \u2022 "+z:B}return z}}if(a.scheme!==E.Schemas.file&&a.scheme!==E.Schemas.untitled)return a.with({query:null,fragment:null}).toString(!0);if((0,f.hasDriveLetter)(a.fsPath))return(0,k.normalize)(h(a.fsPath));let N=(0,k.normalize)(a.fsPath);return!M.isWindows&&(r==null?void 0:r.userHome)&&(N=y(N,r.userHome.fsPath)),N}t.getPathLabel=u;function C(a){if(!!a){typeof a=="string"&&(a=v.URI.file(a));const r=(0,F.basename)(a)||(a.scheme===E.Schemas.file?a.fsPath:a.path);return M.isWindows&&(0,f.isRootOrDriveLetter)(r)?h(r):r}}t.getBaseLabel=C;function h(a){return(0,f.hasDriveLetter)(a)?a.charAt(0).toUpperCase()+a.slice(1):a}t.normalizeDriveLetter=h;let R=Object.create(null);function y(a,r){if(M.isWindows||!a||!r)return a;let g=R.original===r?R.normalized:void 0;return g||(g=`${(0,P.rtrim)(r,k.posix.sep)}${k.posix.sep}`,R={original:r,normalized:g}),(M.isLinux?a.startsWith(g):(0,P.startsWithIgnoreCase)(a,g))&&(a=`~/${a.substr(g.length)}`),a}t.tildify=y;function l(a,r){return a.replace(/^~($|\/|\\)/,`${r}$1`)}t.untildify=l;const I="\u2026",p="\\\\",m="~";function D(a,r=k.sep){const g=new Array(a.length);let N=!1;for(let A=0;A<a.length;A++){let T=a[A];if(T===""){g[A]=`.${r}`;continue}if(!T){g[A]=T;continue}N=!0;let z="";T.indexOf(p)===0?(z=T.substr(0,T.indexOf(p)+p.length),T=T.substr(T.indexOf(p)+p.length)):T.indexOf(r)===0?(z=T.substr(0,T.indexOf(r)+r.length),T=T.substr(T.indexOf(r)+r.length)):T.indexOf(m)===0&&(z=T.substr(0,T.indexOf(m)+m.length),T=T.substr(T.indexOf(m)+m.length));const B=T.split(r);for(let H=1;N&&H<=B.length;H++)for(let X=B.length-H;N&&X>=0;X--){N=!1;let se=B.slice(X,X+H).join(r);for(let re=0;!N&&re<a.length;re++)if(re!==A&&a[re]&&a[re].indexOf(se)>-1){const ee=X+H===B.length,le=X>0&&a[re].indexOf(r)>-1?r+se:se,$=a[re].endsWith(le);N=!ee||$}if(!N){let re="";(B[0].endsWith(":")||z!=="")&&(X===1&&(X=0,H++,se=B[0]+r+se),X>0&&(re=B[0]+r),re=z+re),X>0&&(re=re+I+r),re=re+se,X+H<B.length&&(re=re+r+I),g[A]=re}}N&&(g[A]=T)}return g}t.shorten=D;var b;(function(a){a[a.TEXT=0]="TEXT",a[a.VARIABLE=1]="VARIABLE",a[a.SEPARATOR=2]="SEPARATOR"})(b||(b={}));function o(a,r=Object.create(null)){const g=[];let N=!1,A="";for(const T of a)if(T==="$"||N&&T==="{")A&&g.push({value:A,type:b.TEXT}),A="",N=!0;else if(T==="}"&&N){const z=r[A];if(typeof z=="string")z.length&&g.push({value:z,type:b.VARIABLE});else if(z){const B=g[g.length-1];(!B||B.type!==b.SEPARATOR)&&g.push({value:z.label,type:b.SEPARATOR})}A="",N=!1}else A+=T;return A&&!N&&g.push({value:A,type:b.TEXT}),g.filter((T,z)=>{if(T.type===b.SEPARATOR){const B=g[z-1],H=g[z+1];return[B,H].every(X=>X&&(X.type===b.VARIABLE||X.type===b.TEXT)&&X.value.length>0)}return!0}).map(T=>T.value).join("")}t.template=o;function i(a,r){return M.isMacintosh||r?a.replace(/\(&&\w\)|&&/g,"").replace(/&/g,M.isMacintosh?"&":"&&"):a.replace(/&&|&/g,g=>g==="&"?"&&":"&")}t.mnemonicMenuLabel=i;function e(a,r){return M.isMacintosh||r?a.replace(/\(&&\w\)|&&/g,""):M.isWindows?a.replace(/&&|&/g,g=>g==="&"?"&&":"&"):a.replace(/&&/g,"_")}t.mnemonicButtonLabel=e;function n(a){return a.replace(/&/g,"&&")}t.unmnemonicLabel=n;function s(a){const r=a.indexOf("/")!==-1?k.posix:k.win32,g=r.basename(a),N=r.dirname(a);return g.length?{name:g,parentPath:N}:{name:N,parentPath:""}}t.splitName=s}),define(Y[44],Z([0,1,122]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LineDecoder=void 0;class k{constructor(E="utf8"){this.stringDecoder=new v.StringDecoder(E),this.remaining=null}write(E){const M=[],F=this.remaining?this.remaining+this.stringDecoder.write(E):this.stringDecoder.write(E);if(F.length<1)return M;let f=0,u,C=f;for(;C<F.length;)if(u=F.charCodeAt(C),u===13||u===10){if(M.push(F.substring(f,C)),C++,C<F.length){const h=u;u=F.charCodeAt(C),(h===13&&u===10||h===10&&u===13)&&C++}f=C}else C++;return this.remaining=f<F.length?F.substr(f):null,M}end(){return this.remaining}}t.LineDecoder=k}),define(Y[62],Z([0,1,14,63,18,3,12]),function(x,t,v,k,P,E,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.realpathSync=t.realpath=t.realcaseSync=void 0;function F(h){const R=(0,E.dirname)(h);if(h===R)return h;const y=((0,E.basename)(h)||h).toLowerCase();try{const I=(0,M.readdirSync)(R).filter(p=>p.toLowerCase()===y);if(I.length===1){const p=F(R);if(p)return(0,E.join)(p,I[0])}else if(I.length>1){const p=I.indexOf(y);if(p>=0){const m=F(R);if(m)return(0,E.join)(m,I[p])}}}catch(l){}return null}t.realcaseSync=F;async function f(h){try{return await(0,k.promisify)(v.realpath)(h)}catch(R){const y=C(h);return await v.promises.access(y,v.constants.R_OK),y}}t.realpath=f;function u(h){try{return v.realpathSync(h)}catch(R){const y=C(h);return v.accessSync(y,v.constants.R_OK),y}}t.realpathSync=u;function C(h){return(0,P.rtrim)((0,E.normalize)(h),E.sep)}}),define(Y[64],Z([0,1,3,14,17,123,2,12]),function(x,t,v,k,P,E,M,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CHANGE_BUFFER_DELAY=t.watchFolder=t.watchFile=void 0;function f(h,R,y){return C({path:h,isDirectory:!1},R,y)}t.watchFile=f;function u(h,R,y){return C({path:h,isDirectory:!0},R,y)}t.watchFolder=u,t.CHANGE_BUFFER_DELAY=100;function C(h,R,y){const l=(0,v.basename)(h.path),I=new Map;let p=!1,m=[(0,M.toDisposable)(()=>{I.forEach(D=>(0,M.dispose)(D)),I.clear()})];try{const D=(0,k.watch)(h.path);m.push((0,M.toDisposable)(()=>{D.removeAllListeners(),D.close()}));const b=new Set;h.isDirectory&&(0,F.readdir)(h.path).then(o=>o.forEach(i=>b.add(i))),D.on("error",(o,i)=>{p||y(`Failed to watch ${h.path} for changes using fs.watch() (${o}, ${i})`)}),D.on("change",(o,i)=>{if(!p){let e="";if(i&&(e=i.toString(),P.isMacintosh&&(e=(0,E.normalizeNFC)(e))),!(!e||o!=="change"&&o!=="rename")){const n=h.isDirectory?(0,v.join)(h.path,e):h.path;if(h.isDirectory)if(o==="rename"){const s=I.get(n);s&&(0,M.dispose)(s);const a=setTimeout(async()=>{I.delete(n);const r=await(0,F.exists)(n);if(!p){let g;r?b.has(e)?g="changed":(g="added",b.add(e)):(b.delete(e),g="deleted"),R(g,n)}},t.CHANGE_BUFFER_DELAY);I.set(n,(0,M.toDisposable)(()=>clearTimeout(a)))}else{let s;b.has(e)?s="changed":(s="added",b.add(e)),R(s,n)}else if(o==="rename"||e!==l){const s=setTimeout(async()=>{const a=await(0,F.exists)(n);p||(a?(R("changed",n),m=[C(h,R,y)]):R("deleted",n))},t.CHANGE_BUFFER_DELAY);(0,M.dispose)(m),m=[(0,M.toDisposable)(()=>clearTimeout(s))]}else R("changed",n)}}})}catch(D){(0,F.exists)(h.path).then(b=>{b&&!p&&y(`Failed to watch ${h.path} for changes using fs.watch() (${D.toString()})`)})}return(0,M.toDisposable)(()=>{p=!0,m=(0,M.dispose)(m)})}}),define(Y[33],Z([0,1,11,2,4,28,15,16,21,8,59,18]),function(x,t,v,k,P,E,M,F,f,u,C,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IPCLogger=t.logWithColors=t.ProxyChannel=t.StaticRouter=t.getNextTickChannel=t.getDelayedChannel=t.IPCClient=t.IPCServer=t.ChannelClient=t.RequestInitiator=t.ChannelServer=t.ResponseType=t.RequestType=void 0;var R;(function(w){w[w.Promise=100]="Promise",w[w.PromiseCancel=101]="PromiseCancel",w[w.EventListen=102]="EventListen",w[w.EventDispose=103]="EventDispose"})(R=t.RequestType||(t.RequestType={}));function y(w){switch(w){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var l;(function(w){w[w.Initialize=200]="Initialize",w[w.PromiseSuccess=201]="PromiseSuccess",w[w.PromiseError=202]="PromiseError",w[w.PromiseErrorObj=203]="PromiseErrorObj",w[w.EventFire=204]="EventFire"})(l=t.ResponseType||(t.ResponseType={}));function I(w){switch(w){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var p;(function(w){w[w.Uninitialized=0]="Uninitialized",w[w.Idle=1]="Idle"})(p||(p={}));class m{constructor(d){this.buffer=d,this.pos=0}read(d){const c=this.buffer.slice(this.pos,this.pos+d);return this.pos+=c.byteLength,c}}class D{constructor(){this.buffers=[]}get buffer(){return F.VSBuffer.concat(this.buffers)}write(d){this.buffers.push(d)}}var b;(function(w){w[w.Undefined=0]="Undefined",w[w.String=1]="String",w[w.Buffer=2]="Buffer",w[w.VSBuffer=3]="VSBuffer",w[w.Array=4]="Array",w[w.Object=5]="Object"})(b||(b={}));function o(w){const d=F.VSBuffer.alloc(4);return d.writeUInt32BE(w,0),d}function i(w){return w.read(4).readUInt32BE(0)}function e(w){const d=F.VSBuffer.alloc(1);return d.writeUInt8(w,0),d}const n={Undefined:e(b.Undefined),String:e(b.String),Buffer:e(b.Buffer),VSBuffer:e(b.VSBuffer),Array:e(b.Array),Object:e(b.Object)},s=typeof Buffer!="undefined";function a(w,d){if(typeof d=="undefined")w.write(n.Undefined);else if(typeof d=="string"){const c=F.VSBuffer.fromString(d);w.write(n.String),w.write(o(c.byteLength)),w.write(c)}else if(s&&Buffer.isBuffer(d)){const c=F.VSBuffer.wrap(d);w.write(n.Buffer),w.write(o(c.byteLength)),w.write(c)}else if(d instanceof F.VSBuffer)w.write(n.VSBuffer),w.write(o(d.byteLength)),w.write(d);else if(Array.isArray(d)){w.write(n.Array),w.write(o(d.length));for(const c of d)a(w,c)}else{const c=F.VSBuffer.fromString(JSON.stringify(d));w.write(n.Object),w.write(o(c.byteLength)),w.write(c)}}function r(w){switch(w.read(1).readUInt8(0)){case b.Undefined:return;case b.String:return w.read(i(w)).toString();case b.Buffer:return w.read(i(w)).buffer;case b.VSBuffer:return w.read(i(w));case b.Array:{const c=i(w),S=[];for(let L=0;L<c;L++)S.push(r(w));return S}case b.Object:return JSON.parse(w.read(i(w)).toString())}}class g{constructor(d,c,S=null,L=1e3){this.protocol=d,this.ctx=c,this.logger=S,this.timeoutDelay=L,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(j=>this.onRawMessage(j)),this.sendResponse({type:200})}registerChannel(d,c){this.channels.set(d,c),setTimeout(()=>this.flushPendingRequests(d),0)}sendResponse(d){switch(d.type){case 200:{const c=this.send([d.type]);this.logger&&this.logger.logOutgoing(c,0,1,I(d.type));return}case 201:case 202:case 204:case 203:{const c=this.send([d.type,d.id],d.data);this.logger&&this.logger.logOutgoing(c,d.id,1,I(d.type),d.data);return}}}send(d,c=void 0){const S=new D;return a(S,d),a(S,c),this.sendBuffer(S.buffer)}sendBuffer(d){try{return this.protocol.send(d),d.byteLength}catch(c){return 0}}onRawMessage(d){const c=new m(d),S=r(c),L=r(c),j=S[0];switch(j){case 100:return this.logger&&this.logger.logIncoming(d.byteLength,S[1],1,`${y(j)}: ${S[2]}.${S[3]}`,L),this.onPromise({type:j,id:S[1],channelName:S[2],name:S[3],arg:L});case 102:return this.logger&&this.logger.logIncoming(d.byteLength,S[1],1,`${y(j)}: ${S[2]}.${S[3]}`,L),this.onEventListen({type:j,id:S[1],channelName:S[2],name:S[3],arg:L});case 101:return this.logger&&this.logger.logIncoming(d.byteLength,S[1],1,`${y(j)}`),this.disposeActiveRequest({type:j,id:S[1]});case 103:return this.logger&&this.logger.logIncoming(d.byteLength,S[1],1,`${y(j)}`),this.disposeActiveRequest({type:j,id:S[1]})}}onPromise(d){const c=this.channels.get(d.channelName);if(!c){this.collectPendingRequest(d);return}const S=new E.CancellationTokenSource;let L;try{L=c.call(this.ctx,d.name,d.arg,S.token)}catch(_){L=Promise.reject(_)}const j=d.id;L.then(_=>{this.sendResponse({id:j,data:_,type:201}),this.activeRequests.delete(d.id)},_=>{_ instanceof Error?this.sendResponse({id:j,data:{message:_.message,name:_.name,stack:_.stack?_.stack.split?_.stack.split(`
`):_.stack:void 0},type:202}):this.sendResponse({id:j,data:_,type:203}),this.activeRequests.delete(d.id)});const U=(0,k.toDisposable)(()=>S.cancel());this.activeRequests.set(d.id,U)}onEventListen(d){const c=this.channels.get(d.channelName);if(!c){this.collectPendingRequest(d);return}const S=d.id,j=c.listen(this.ctx,d.name,d.arg)(U=>this.sendResponse({id:S,data:U,type:204}));this.activeRequests.set(d.id,j)}disposeActiveRequest(d){const c=this.activeRequests.get(d.id);c&&(c.dispose(),this.activeRequests.delete(d.id))}collectPendingRequest(d){let c=this.pendingRequests.get(d.channelName);c||(c=[],this.pendingRequests.set(d.channelName,c));const S=setTimeout(()=>{console.error(`Unknown channel: ${d.channelName}`),d.type===100&&this.sendResponse({id:d.id,data:{name:"Unknown channel",message:`Channel name '${d.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);c.push({request:d,timeoutTimer:S})}flushPendingRequests(d){const c=this.pendingRequests.get(d);if(c){for(const S of c)switch(clearTimeout(S.timeoutTimer),S.request.type){case 100:this.onPromise(S.request);break;case 102:this.onEventListen(S.request);break}this.pendingRequests.delete(d)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(d=>d.dispose()),this.activeRequests.clear()}}t.ChannelServer=g;var N;(function(w){w[w.LocalSide=0]="LocalSide",w[w.OtherSide=1]="OtherSide"})(N=t.RequestInitiator||(t.RequestInitiator={}));class A{constructor(d,c=null){this.protocol=d,this.isDisposed=!1,this.state=p.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(S=>this.onBuffer(S)),this.logger=c}getChannel(d){const c=this;return{call(S,L,j){return c.isDisposed?Promise.reject(M.canceled()):c.requestPromise(d,S,L,j)},listen(S,L){return c.isDisposed?Promise.reject(M.canceled()):c.requestEvent(d,S,L)}}}requestPromise(d,c,S,L=E.CancellationToken.None){const j=this.lastRequestId++,_={id:j,type:100,channelName:d,name:c,arg:S};if(L.isCancellationRequested)return Promise.reject(M.canceled());let W;return new Promise((Q,J)=>{if(L.isCancellationRequested)return J(M.canceled());const te=()=>{const Pe=Le=>{switch(Le.type){case 201:this.handlers.delete(j),Q(Le.data);break;case 202:this.handlers.delete(j);const Fe=new Error(Le.data.message);Fe.stack=Le.data.stack,Fe.name=Le.data.name,J(Fe);break;case 203:this.handlers.delete(j),J(Le.data);break}};this.handlers.set(j,Pe),this.sendRequest(_)};let ne=null;this.state===p.Idle?te():(ne=(0,P.createCancelablePromise)(Pe=>this.whenInitialized()),ne.then(()=>{ne=null,te()}));const he=()=>{ne?(ne.cancel(),ne=null):this.sendRequest({id:j,type:101}),J(M.canceled())},ge=L.onCancellationRequested(he);W=(0,k.combinedDisposable)((0,k.toDisposable)(he),ge),this.activeRequests.add(W)}).finally(()=>{this.activeRequests.delete(W)})}requestEvent(d,c,S){const L=this.lastRequestId++,U={id:L,type:102,channelName:d,name:c,arg:S};let _=null;const W=new v.Emitter({onFirstListenerAdd:()=>{_=(0,P.createCancelablePromise)(Q=>this.whenInitialized()),_.then(()=>{_=null,this.activeRequests.add(W),this.sendRequest(U)})},onLastListenerRemove:()=>{_?(_.cancel(),_=null):(this.activeRequests.delete(W),this.sendRequest({id:L,type:103}))}}),q=Q=>W.fire(Q.data);return this.handlers.set(L,q),W.event}sendRequest(d){switch(d.type){case 100:case 102:{const c=this.send([d.type,d.id,d.channelName,d.name],d.arg);this.logger&&this.logger.logOutgoing(c,d.id,0,`${y(d.type)}: ${d.channelName}.${d.name}`,d.arg);return}case 101:case 103:{const c=this.send([d.type,d.id]);this.logger&&this.logger.logOutgoing(c,d.id,0,y(d.type));return}}}send(d,c=void 0){const S=new D;return a(S,d),a(S,c),this.sendBuffer(S.buffer)}sendBuffer(d){try{return this.protocol.send(d),d.byteLength}catch(c){return 0}}onBuffer(d){const c=new m(d),S=r(c),L=r(c),j=S[0];switch(j){case 200:return this.logger&&this.logger.logIncoming(d.byteLength,0,0,I(j)),this.onResponse({type:S[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(d.byteLength,S[1],0,I(j),L),this.onResponse({type:S[0],id:S[1],data:L})}}onResponse(d){if(d.type===200){this.state=p.Idle,this._onDidInitialize.fire();return}const c=this.handlers.get(d.id);c&&c(d)}whenInitialized(){return this.state===p.Idle?Promise.resolve():v.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(d=>d.dispose()),this.activeRequests.clear()}}t.ChannelClient=A;class T{constructor(d){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,d(({protocol:c,onDidClientDisconnect:S})=>{v.Event.once(c.onMessage)(j=>{const U=new m(j),_=r(U),W=new g(c,_),q=new A(c);this.channels.forEach((J,te)=>W.registerChannel(te,J));const Q={channelServer:W,channelClient:q,ctx:_};this._connections.add(Q),this._onDidAddConnection.fire(Q),S(()=>{W.dispose(),q.dispose(),this._connections.delete(Q),this._onDidRemoveConnection.fire(Q)})})})}get connections(){const d=[];return this._connections.forEach(c=>d.push(c)),d}getChannel(d,c){const S=this;return{call(L,j,U){let _;if((0,u.isFunction)(c)){let q=(0,f.getRandomElement)(S.connections.filter(c));_=q?Promise.resolve(q):v.Event.toPromise(v.Event.filter(S.onDidAddConnection,c))}else _=c.routeCall(S,L,j);const W=_.then(q=>q.channelClient.getChannel(d));return B(W).call(L,j,U)},listen(L,j){if((0,u.isFunction)(c))return S.getMulticastEvent(d,c,L,j);const U=c.routeEvent(S,L,j).then(_=>_.channelClient.getChannel(d));return B(U).listen(L,j)}}}getMulticastEvent(d,c,S,L){const j=this;let U=new k.DisposableStore;const _=new v.Emitter({onFirstListenerAdd:()=>{U=new k.DisposableStore;const W=new v.EventMultiplexer,q=new Map,Q=te=>{const he=te.channelClient.getChannel(d).listen(S,L),ge=W.add(he);q.set(te,ge)},J=te=>{const ne=q.get(te);!ne||(ne.dispose(),q.delete(te))};j.connections.filter(c).forEach(Q),v.Event.filter(j.onDidAddConnection,c)(Q,void 0,U),j.onDidRemoveConnection(J,void 0,U),W.event(_.fire,_,U),U.add(W)},onLastListenerRemove:()=>{U.dispose()}});return _.event}registerChannel(d,c){this.channels.set(d,c),this._connections.forEach(S=>{S.channelServer.registerChannel(d,c)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}t.IPCServer=T;class z{constructor(d,c,S=null){const L=new D;a(L,c),d.send(L.buffer),this.channelClient=new A(d,S),this.channelServer=new g(d,c,S)}getChannel(d){return this.channelClient.getChannel(d)}registerChannel(d,c){this.channelServer.registerChannel(d,c)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}t.IPCClient=z;function B(w){return{call(d,c,S){return w.then(L=>L.call(d,c,S))},listen(d,c){const S=new v.Relay;return w.then(L=>S.input=L.listen(d,c)),S.event}}}t.getDelayedChannel=B;function H(w){let d=!1;return{call(c,S,L){return d?w.call(c,S,L):(0,P.timeout)(0).then(()=>d=!0).then(()=>w.call(c,S,L))},listen(c,S){if(d)return w.listen(c,S);const L=new v.Relay;return(0,P.timeout)(0).then(()=>d=!0).then(()=>L.input=w.listen(c,S)),L.event}}}t.getNextTickChannel=H;class X{constructor(d){this.fn=d}routeCall(d){return this.route(d)}routeEvent(d){return this.route(d)}async route(d){for(const c of d.connections)if(await Promise.resolve(this.fn(c.ctx)))return Promise.resolve(c);return await v.Event.toPromise(d.onDidAddConnection),await this.route(d)}}t.StaticRouter=X;var se;(function(w){function d(L,j){const U=L,_=j&&j.disableMarshalling,W=new Map;for(const q in U)S(q)&&W.set(q,v.Event.buffer(U[q],!0));return new class{listen(q,Q){const J=W.get(Q);if(J)return J;throw new Error(`Event not found: ${Q}`)}call(q,Q,J){const te=U[Q];if(typeof te=="function"){if(!_&&Array.isArray(J))for(let ne=0;ne<J.length;ne++)J[ne]=(0,C.revive)(J[ne]);return te.apply(U,J)}throw new Error(`Method not found: ${Q}`)}}}w.fromService=d;function c(L,j){const U=j&&j.disableMarshalling;return new Proxy({},{get(_,W){var q;if(typeof W=="string")return((q=j==null?void 0:j.properties)===null||q===void 0?void 0:q.has(W))?j.properties.get(W):S(W)?L.listen(W):async function(...Q){let J;j&&!(0,u.isUndefinedOrNull)(j.context)?J=[j.context,...Q]:J=Q;const te=await L.call(W,J);return U?te:(0,C.revive)(te)};throw new Error(`Property not found: ${String(W)}`)}})}w.toService=c;function S(L){return L[0]==="o"&&L[1]==="n"&&h.isUpperAsciiLetter(L.charCodeAt(2))}})(se=t.ProxyChannel||(t.ProxyChannel={}));const re=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ee(w){if(Array.isArray(w))return w;if(w&&typeof w=="object"&&typeof w.toString=="function"){let d=w.toString();if(d!=="[object Object]")return d}return w}function le(w){return Array.isArray(w)?w.map(ee):ee(w)}function $(w,d,c,S,L,j,U){U=le(U);const _=re[L],W=_[S%_.length];let q=[`%c[${w}]%c[${String(d).padStart(7," ")}]%c[len: ${String(c).padStart(5," ")}]%c${String(S).padStart(5," ")} - ${j}`,"color: darkgreen","color: grey","color: grey",`color: ${W}`];/\($/.test(j)?(q=q.concat(U),q.push(")")):q.push(U),console.log.apply(console,q)}t.logWithColors=$;class O{constructor(d,c){this._outgoingPrefix=d,this._incomingPrefix=c,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(d,c,S,L,j){this._totalOutgoing+=d,$(this._outgoingPrefix,this._totalOutgoing,d,c,S,L,j)}logIncoming(d,c,S,L,j){this._totalIncoming+=d,$(this._incomingPrefix,this._totalIncoming,d,c,S,L,j)}}t.IPCLogger=O}),define(Y[65],Z([0,1,2,11,4,8]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InMemoryStorageDatabase=t.Storage=t.StorageHint=void 0;var M;(function(C){C[C.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(M=t.StorageHint||(t.StorageHint={}));var F;(function(C){C[C.None=0]="None",C[C.Initialized=1]="Initialized",C[C.Closed=2]="Closed"})(F||(F={}));class f extends v.Disposable{constructor(h,R=Object.create(null)){super();this.database=h,this.options=R,this._onDidChangeStorage=this._register(new k.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=F.None,this.cache=new Map,this.flushDelayer=new P.ThrottledDelayer(f.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(h=>this.onDidChangeItemsExternal(h)))}onDidChangeItemsExternal(h){var R,y;(R=h.changed)===null||R===void 0||R.forEach((l,I)=>this.accept(I,l)),(y=h.deleted)===null||y===void 0||y.forEach(l=>this.accept(l,void 0))}accept(h,R){if(this.state!==F.Closed){let y=!1;(0,E.isUndefinedOrNull)(R)?y=this.cache.delete(h):this.cache.get(h)!==R&&(this.cache.set(h,R),y=!0),y&&this._onDidChangeStorage.fire(h)}}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===F.None&&(this.state=F.Initialized,this.options.hint!==M.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(h,R){const y=this.cache.get(h);return(0,E.isUndefinedOrNull)(y)?R:y}getBoolean(h,R){const y=this.get(h);return(0,E.isUndefinedOrNull)(y)?R:y==="true"}getNumber(h,R){const y=this.get(h);return(0,E.isUndefinedOrNull)(y)?R:parseInt(y,10)}async set(h,R){if(this.state!==F.Closed){if((0,E.isUndefinedOrNull)(R))return this.delete(h);const y=String(R);if(this.cache.get(h)!==y)return this.cache.set(h,y),this.pendingInserts.set(h,y),this.pendingDeletes.delete(h),this._onDidChangeStorage.fire(h),this.flushDelayer.trigger(()=>this.flushPending())}}async delete(h){if(this.state!==F.Closed&&!!this.cache.delete(h))return this.pendingDeletes.has(h)||this.pendingDeletes.add(h),this.pendingInserts.delete(h),this._onDidChangeStorage.fire(h),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=F.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(h){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!!this.hasPending){const h={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(h).finally(()=>{var R;if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)(R=this.whenFlushedCallbacks.pop())===null||R===void 0||R()})}}async whenFlushed(){if(!!this.hasPending)return new Promise(h=>this.whenFlushedCallbacks.push(h))}dispose(){this.flushDelayer.cancel(),this.flushDelayer.dispose(),super.dispose()}}t.Storage=f,f.DEFAULT_FLUSH_DELAY=100;class u{constructor(){this.onDidChangeItemsExternal=k.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(h){h.insert&&h.insert.forEach((R,y)=>this.items.set(y,R)),h.delete&&h.delete.forEach(R=>this.items.delete(R))}async close(){}}t.InMemoryStorageDatabase=u}),define(Y[66],Z([5,6]),function(x,t){return x.create("vs/base/common/date",t)}),define(Y[67],Z([0,1,66]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toLocalISOString=t.fromNow=void 0;const k=60,P=k*60,E=P*24,M=E*7,F=E*30,f=E*365;function u(h,R){typeof h!="number"&&(h=h.getTime());const y=Math.round((new Date().getTime()-h)/1e3);if(y<-30)return(0,v.localize)(0,null,u(new Date().getTime()+y*1e3,!1));if(y<30)return(0,v.localize)(1,null);let l;return y<k?(l=y,R?l===1?(0,v.localize)(2,null,l):(0,v.localize)(3,null,l):l===1?(0,v.localize)(4,null,l):(0,v.localize)(5,null,l)):y<P?(l=Math.floor(y/k),R?l===1?(0,v.localize)(6,null,l):(0,v.localize)(7,null,l):l===1?(0,v.localize)(8,null,l):(0,v.localize)(9,null,l)):y<E?(l=Math.floor(y/P),R?l===1?(0,v.localize)(10,null,l):(0,v.localize)(11,null,l):l===1?(0,v.localize)(12,null,l):(0,v.localize)(13,null,l)):y<M?(l=Math.floor(y/E),R?l===1?(0,v.localize)(14,null,l):(0,v.localize)(15,null,l):l===1?(0,v.localize)(16,null,l):(0,v.localize)(17,null,l)):y<F?(l=Math.floor(y/M),R?l===1?(0,v.localize)(18,null,l):(0,v.localize)(19,null,l):l===1?(0,v.localize)(20,null,l):(0,v.localize)(21,null,l)):y<f?(l=Math.floor(y/F),R?l===1?(0,v.localize)(22,null,l):(0,v.localize)(23,null,l):l===1?(0,v.localize)(24,null,l):(0,v.localize)(25,null,l)):(l=Math.floor(y/f),R?l===1?(0,v.localize)(26,null,l):(0,v.localize)(27,null,l):l===1?(0,v.localize)(28,null,l):(0,v.localize)(29,null,l))}t.fromNow=u;function C(h){return h.getFullYear()+"-"+String(h.getMonth()+1).padStart(2,"0")+"-"+String(h.getDate()).padStart(2,"0")+"T"+String(h.getHours()).padStart(2,"0")+":"+String(h.getMinutes()).padStart(2,"0")+":"+String(h.getSeconds()).padStart(2,"0")+"."+(h.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}t.toLocalISOString=C}),define(Y[68],Z([5,6]),function(x,t){return x.create("vs/base/common/errorMessage",t)}),define(Y[30],Z([0,1,68,8,21]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toErrorMessage=void 0;function E(u,C){return C&&(u.stack||u.stacktrace)?v.localize(0,null,F(u),M(u.stack)||M(u.stacktrace)):F(u)}function M(u){return Array.isArray(u)?u.join(`
`):u}function F(u){return typeof u.code=="string"&&typeof u.errno=="number"&&typeof u.syscall=="string"?v.localize(1,null,u.message):u.message||v.localize(2,null)}function f(u=null,C=!1){if(!u)return v.localize(3,null);if(Array.isArray(u)){const h=P.coalesce(u),R=f(h[0],C);return h.length>1?v.localize(4,null,R,h.length):R}if(k.isString(u))return u;if(u.detail){const h=u.detail;if(h.error)return E(h.error,C);if(h.exception)return E(h.exception,C)}return u.stack?E(u,C):u.message?u.message:v.localize(5,null)}t.toErrorMessage=f}),define(Y[69],Z([5,6]),function(x,t){return x.create("vs/base/node/processes",t)}),define(Y[70],Z([0,1,3,14,12,34,69,35,8,19,32,17,44,9]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.win32=t.createQueuedSender=t.LineProcess=t.AbstractProcess=t.getWindowsShell=t.TerminateResponseCode=t.Source=void 0;function l(i){switch(i){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function I(i,e){if(h.isWindows)try{const n={stdio:["pipe","pipe","ignore"]};e&&(n.cwd=e);const s=E.execFile("taskkill",["/T","/F","/PID",i.pid.toString()],n);return new Promise(a=>{s.once("error",r=>{a({success:!1,error:r})}),s.once("exit",(r,g)=>{a(r===0?{success:!0}:{success:!1,code:r!==null?r:1})})})}catch(n){return Promise.resolve({success:!1,error:n,code:n.status?l(n.status):1})}else if(h.isLinux||h.isMacintosh)try{const n=y.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",x).fsPath;return new Promise(s=>{E.execFile(n,[i.pid.toString()],{encoding:"utf8",shell:!0},(a,r,g)=>{s(a?{success:!1,error:a}:{success:!0})})})}catch(n){return Promise.resolve({success:!1,error:n})}else i.kill("SIGKILL");return Promise.resolve({success:!0})}function p(i=F.env){return i.comspec||"cmd.exe"}t.getWindowsShell=p;class m{constructor(e,n,s,a){if(n!==void 0&&s!==void 0&&a!==void 0)this.cmd=e,this.args=n,this.shell=s,this.options=a;else{const r=e;this.cmd=r.command,this.shell=r.isShellCommand,this.args=r.args.slice(0),this.options=r.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const r=Object.create(null);Object.keys(F.env).forEach(g=>{r[g]=F.env[g]}),Object.keys(this.options.env).forEach(g=>{r[g]=this.options.env[g]}),this.options.env=r}}getSanitizedCommand(){let e=this.cmd.toLowerCase();const n=e.lastIndexOf(v.sep);return n!==-1&&(e=e.substring(n+1)),m.WellKnowCommands[e]?e:"other"}start(e){return h.isWindows&&(this.options&&this.options.cwd&&C.isUNC(this.options.cwd)||!this.options&&C.isUNC(F.cwd()))?Promise.reject(new Error(M.localize(0,null))):this.useExec().then(n=>{let s,a;const r=new Promise((g,N)=>{s=g,a=N});if(n){let g=this.cmd;this.args&&(g=g+" "+this.args.join(" ")),this.childProcess=E.exec(g,this.options,(N,A,T)=>{this.childProcess=null;const z=N;z&&z.killed?a({killed:this.terminateRequested,stdout:A.toString(),stderr:T.toString()}):this.handleExec(s,e,N,A,T)})}else{let g=null;const N=A=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(A,s,e,a);const T={terminated:this.terminateRequested};f.isNumber(A)&&(T.cmdCode=A),s(T)};if(this.shell&&h.isWindows){const A=u.deepClone(this.options);A.windowsVerbatimArguments=!0,A.detached=!1;let T=!1,z=!1;const B=[];let H=this.ensureQuotes(this.cmd);B.push(H.value),T=H.quoted,this.args&&this.args.forEach(se=>{H=this.ensureQuotes(se),B.push(H.value),z=z&&H.quoted});const X=["/s","/c"];T?z?X.push('"'+B.join(" ")+'"'):B.length>1?X.push('"'+B[0]+'" '+B.slice(1).join(" ")):X.push('"'+B[0]+'"'):X.push(B.join(" ")),g=E.spawn(p(),X,A)}else this.cmd&&(g=E.spawn(this.cmd,this.args,this.options));g&&(this.childProcess=g,this.childProcessPromise=Promise.resolve(g),this.pidResolve&&(this.pidResolve(f.isNumber(g.pid)?g.pid:-1),this.pidResolve=void 0),g.on("error",A=>{this.childProcess=null,a({terminated:this.terminateRequested,error:A})}),g.pid&&(this.childProcess.on("close",N),this.handleSpawn(g,s,e,a,!0)))}return r})}handleClose(e,n,s,a){}ensureQuotes(e){return m.regexp.test(e)?{value:'"'+e+'"',quoted:!0}:{value:e,quoted:e.length>0&&e[0]==='"'&&e[e.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(e=>e.pid,e=>-1):new Promise(e=>{this.pidResolve=e})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(e=>(this.terminateRequested=!0,I(e,this.options.cwd).then(n=>(n.success&&(this.childProcess=null),n))),e=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(e=>{if(!this.shell||!h.isWindows)return e(!1);const n=E.spawn(p(),["/s","/c"]);n.on("error",s=>e(!0)),n.on("exit",s=>e(!1))})}}t.AbstractProcess=m,m.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},m.regexp=/^[^"].* .*[^"]/;class D extends m{constructor(e,n,s,a){super(e,n,s,a);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(e,n,s,a,r){[a,r].forEach((g,N)=>{const A=new R.LineDecoder;A.write(g).forEach(B=>{n({line:B,source:N===0?0:1})});const z=A.end();z&&n({line:z,source:N===0?0:1})}),e({terminated:this.terminateRequested,error:s})}handleSpawn(e,n,s,a,r){const g=new R.LineDecoder,N=new R.LineDecoder;e.stdout.on("data",A=>{g.write(A).forEach(z=>s({line:z,source:0}))}),e.stderr.on("data",A=>{N.write(A).forEach(z=>s({line:z,source:1}))}),this.stdoutLineDecoder=g,this.stderrLineDecoder=N}handleClose(e,n,s,a){const r=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;r&&s({line:r,source:0});const g=this.stderrLineDecoder?this.stderrLineDecoder.end():null;g&&s({line:g,source:1})}}t.LineProcess=D;function b(i){let e=[],n=!1;const s=function(a){if(n){e.push(a);return}(!i.send(a,g=>{if(g&&console.error(g),n=!1,e.length>0){const N=e.slice(0);e=[],N.forEach(A=>s(A))}})||h.isWindows)&&(n=!0)};return{send:s}}t.createQueuedSender=b;var o;(function(i){async function e(n,s,a){if(v.isAbsolute(n))return n;if(s===void 0&&(s=F.cwd()),v.dirname(n)!=="."||(a===void 0&&f.isString(F.env.PATH)&&(a=F.env.PATH.split(v.delimiter)),a===void 0||a.length===0))return v.join(s,n);async function g(N){return await P.exists(N)?!(await k.promises.stat(N)).isDirectory():!1}for(let N of a){let A;if(v.isAbsolute(N)?A=v.join(N,n):A=v.join(s,N,n),await g(A))return A;let T=A+".com";if(await g(T)||(T=A+".exe",await g(T)))return T}return v.join(s,n)}i.findExecutable=e})(o=t.win32||(t.win32={}))}),define(Y[45],Z([0,1,34,2,4,19,11,70,33,58,28,15,16,17]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Client=t.Server=void 0;class l extends f.ChannelServer{constructor(m){super({send:D=>{try{process.send&&process.send(D.buffer.toString("base64"))}catch(b){}},onMessage:M.Event.fromNodeEventEmitter(process,"message",D=>R.VSBuffer.wrap(Buffer.from(D,"base64")))},m);process.once("disconnect",()=>this.dispose())}}t.Server=l;class I{constructor(m,D){this.modulePath=m,this.options=D,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new M.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const b=D&&D.timeout?D.timeout:6e4;this.disposeDelayer=new P.Delayer(b),this.child=null,this._client=null}getChannel(m){const D=this;return{call(b,o,i){return D.requestPromise(m,b,o,i)},listen(b,o){return D.requestEvent(m,b,o)}}}requestPromise(m,D,b,o=C.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(o.isCancellationRequested)return Promise.reject(h.canceled());this.disposeDelayer.cancel();const i=this.getCachedChannel(m),e=(0,P.createCancelablePromise)(a=>i.call(D,b,a)),n=o.onCancellationRequested(()=>e.cancel()),s=(0,k.toDisposable)(()=>e.cancel());return this.activeRequests.add(s),e.finally(()=>{n.dispose(),this.activeRequests.delete(s),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),e}requestEvent(m,D,b){if(!this.disposeDelayer)return M.Event.None;this.disposeDelayer.cancel();let o;const i=new M.Emitter({onFirstListenerAdd:()=>{o=this.getCachedChannel(m).listen(D,b)(i.fire,i),this.activeRequests.add(o)},onLastListenerRemove:()=>{this.activeRequests.delete(o),o.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return i.event}get client(){if(!this._client){const m=this.options&&this.options.args?this.options.args:[],D=Object.create(null);D.env=Object.assign(Object.assign({},(0,E.deepClone)(process.env)),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(D.env=Object.assign(Object.assign({},D.env),this.options.env)),this.options&&this.options.freshExecArgv&&(D.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(D.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(D.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),D.execArgv===void 0&&(D.execArgv=process.execArgv.filter(r=>!/^--inspect(-brk)?=/.test(r))),y.isMacintosh&&D.env&&delete D.env.DYLD_LIBRARY_PATH,this.child=(0,v.fork)(this.modulePath,m,D);const b=new M.Emitter;M.Event.fromNodeEventEmitter(this.child,"message",r=>r)(r=>{if((0,u.isRemoteConsoleLog)(r)){(0,u.log)(r,`IPC Library: ${this.options.serverName}`);return}b.fire(R.VSBuffer.wrap(Buffer.from(r,"base64")))});const i=this.options.useQueue?(0,F.createQueuedSender)(this.child):this.child,e=r=>this.child&&this.child.connected&&i.send(r.buffer.toString("base64")),n=b.event,s={send:e,onMessage:n};this._client=new f.ChannelClient(s);const a=()=>this.disposeClient();process.once("exit",a),this.child.on("error",r=>console.warn('IPC "'+this.options.serverName+'" errored with '+r)),this.child.on("exit",(r,g)=>{process.removeListener("exit",a),this.activeRequests.forEach(N=>(0,k.dispose)(N)),this.activeRequests.clear(),r!==0&&g!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+r+" and signal "+g),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:r,signal:g})})}return this._client}getCachedChannel(m){let D=this.channels.get(m);return D||(D=this.client.getChannel(m),this.channels.set(m,D)),D}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}t.Client=I}),define(Y[71],Z([5,6]),function(x,t){return x.create("vs/base/node/zip",t)}),define(Y[72],Z([5,6]),function(x,t){return x.create("vs/platform/configuration/common/configurationRegistry",t)}),define(Y[73],Z([5,6]),function(x,t){return x.create("vs/platform/extensionManagement/common/extensionManagement",t)}),define(Y[74],Z([5,6]),function(x,t){return x.create("vs/platform/extensionManagement/common/extensionManagementCLIService",t)}),define(Y[75],Z([5,6]),function(x,t){return x.create("vs/platform/extensionManagement/node/extensionManagementService",t)}),define(Y[76],Z([5,6]),function(x,t){return x.create("vs/platform/extensionManagement/node/extensionManagementUtil",t)}),define(Y[77],Z([5,6]),function(x,t){return x.create("vs/platform/extensionManagement/node/extensionsScanner",t)}),define(Y[78],Z([5,6]),function(x,t){return x.create("vs/platform/extensions/common/extensionValidator",t)}),define(Y[79],Z([5,6]),function(x,t){return x.create("vs/platform/files/common/fileService",t)}),define(Y[80],Z([5,6]),function(x,t){return x.create("vs/platform/files/common/io",t)}),define(Y[81],Z([5,6]),function(x,t){return x.create("vs/platform/files/node/diskFileSystemProvider",t)}),define(Y[82],Z([5,6]),function(x,t){return x.create("vs/platform/request/common/request",t)}),define(Y[83],Z([5,6]),function(x,t){return x.create("vs/platform/telemetry/common/telemetryService",t)});var ce=this&&this.__decorate||function(x,t,v,k){var P=arguments.length,E=P<3?t:k===null?k=Object.getOwnPropertyDescriptor(t,v):k,M;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")E=Reflect.decorate(x,t,v,k);else for(var F=x.length-1;F>=0;F--)(M=x[F])&&(E=(P<3?M(E):P>3?M(t,v,E):M(t,v))||E);return P>3&&E&&Object.defineProperty(t,v,E),E};define(Y[84],Z([0,1,3,20,56,67,9,10,35]),function(x,t,v,k,P,E,M,F,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.parseSearchPort=t.parseExtensionHostPort=t.AbstractNativeEnvironmentService=void 0;class u{constructor(l,I,p){this._args=l,this.paths=I,this.productService=p}get appRoot(){return(0,v.dirname)(M.FileAccess.asFileUri("",x).fsPath)}get userHome(){return F.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return F.URI.file((0,v.join)(this.userDataPath,"User"))}get tmpDir(){return F.URI.file(this.paths.tmpDir)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,k.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,k.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const l=(0,E.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,v.join)(this.userDataPath,"logs",l)}return this.args.logsPath}get userDataSyncLogResource(){return F.URI.file((0,v.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,k.joinPath)(F.URI.file((0,v.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return F.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return F.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,k.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,k.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const l=f.env.VSCODE_PORTABLE;return l?F.URI.file((0,v.join)(l,"argv.json")):(0,k.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,k.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return F.URI.file((0,v.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,v.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const l=this.args["builtin-extensions-dir"];return l?(0,v.resolve)(l):(0,v.normalize)((0,v.join)(M.FileAccess.asFileUri("",x).fsPath,"..","extensions"))}get extensionsDownloadPath(){const l=this.args["extensions-download-dir"];return l?(0,v.resolve)(l):(0,v.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const l=this.args["extensions-dir"];if(l)return(0,v.resolve)(l);const I=f.env.VSCODE_EXTENSIONS;if(I)return I;const p=f.env.VSCODE_PORTABLE;return p?(0,v.join)(p,"extensions"):(0,k.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const l=this.args.extensionDevelopmentPath;if(Array.isArray(l))return l.map(I=>/^[^:/?#]+?:\/\//.test(I)?F.URI.parse(I):F.URI.file((0,v.normalize)(I)))}get extensionDevelopmentKind(){var l;return(l=this.args.extensionDevelopmentKind)===null||l===void 0?void 0:l.map(I=>I==="ui"||I==="workspace"||I==="web"?I:"workspace")}get extensionTestsLocationURI(){const l=this.args.extensionTestsPath;if(l)return/^[^:/?#]+?:\/\//.test(l)?F.URI.parse(l):F.URI.file((0,v.normalize)(l))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const l=this.args["disable-extension"];if(l){if(typeof l=="string")return[l];if(Array.isArray(l)&&l.length>0)return l}return!1}get debugExtensionHost(){return C(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!f.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,k.joinPath)(F.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return F.URI.file((0,v.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get args(){return this._args}}ce([P.memoize],u.prototype,"appRoot",null),ce([P.memoize],u.prototype,"userHome",null),ce([P.memoize],u.prototype,"userDataPath",null),ce([P.memoize],u.prototype,"appSettingsHome",null),ce([P.memoize],u.prototype,"tmpDir",null),ce([P.memoize],u.prototype,"userRoamingDataHome",null),ce([P.memoize],u.prototype,"settingsResource",null),ce([P.memoize],u.prototype,"userDataSyncHome",null),ce([P.memoize],u.prototype,"userDataSyncLogResource",null),ce([P.memoize],u.prototype,"sync",null),ce([P.memoize],u.prototype,"machineSettingsResource",null),ce([P.memoize],u.prototype,"globalStorageHome",null),ce([P.memoize],u.prototype,"workspaceStorageHome",null),ce([P.memoize],u.prototype,"keybindingsResource",null),ce([P.memoize],u.prototype,"keyboardLayoutResource",null),ce([P.memoize],u.prototype,"argvResource",null),ce([P.memoize],u.prototype,"snippetsHome",null),ce([P.memoize],u.prototype,"isExtensionDevelopment",null),ce([P.memoize],u.prototype,"untitledWorkspacesHome",null),ce([P.memoize],u.prototype,"installSourcePath",null),ce([P.memoize],u.prototype,"builtinExtensionsPath",null),ce([P.memoize],u.prototype,"extensionsPath",null),ce([P.memoize],u.prototype,"extensionDevelopmentLocationURI",null),ce([P.memoize],u.prototype,"extensionDevelopmentKind",null),ce([P.memoize],u.prototype,"extensionTestsLocationURI",null),ce([P.memoize],u.prototype,"debugExtensionHost",null),ce([P.memoize],u.prototype,"serviceMachineIdResource",null),ce([P.memoize],u.prototype,"telemetryLogResource",null),t.AbstractNativeEnvironmentService=u;function C(y,l){return R(y["inspect-extensions"],y["inspect-brk-extensions"],5870,l,y.debugId)}t.parseExtensionHostPort=C;function h(y,l){return R(y["inspect-search"],y["inspect-brk-search"],5876,l)}t.parseSearchPort=h;function R(y,l,I,p,m){const b=Number(l||y)||(p?null:I),o=b?Boolean(!!l):!1;return{port:b,break:o,debugId:m}}}),function(){"use strict";function x(t,v,k){function P(M){return t.resolve(E(M))}function E(M){const F=process.env.VSCODE_PORTABLE;if(F)return t.join(F,"user-data");const f=M["user-data-dir"];if(f)return f;let u=process.env.VSCODE_APPDATA;if(!u)switch(process.platform){case"win32":if(u=process.env.APPDATA,!u){const C=process.env.USERPROFILE;if(typeof C!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");u=t.join(C,"AppData","Roaming")}break;case"darwin":u=t.join(v.homedir(),"Library","Application Support");break;case"linux":u=process.env.XDG_CONFIG_HOME||t.join(v.homedir(),".config");break;default:throw new Error("Platform not supported")}return t.join(u,k)}return{getUserDataPath:P}}if(typeof define=="function")define(Y[85],Z([0,124,46,9,20]),function(t,v,k,P,E){const M=E.dirname(P.FileAccess.asFileUri("",t)),F=t.__$__nodeRequire(E.joinPath(M,"package.json").fsPath);return x(v,k,F.name)});else if(typeof module=="object"&&typeof module.exports=="object"){const t=require("../../../../../package.json"),v=require("path"),k=require("os");module.exports=x(v,k,t.name)}else throw new Error("Unknown context")}(),define(Y[86],Z([0,1,46,85,84]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NativeEnvironmentService=void 0;class E extends P.AbstractNativeEnvironmentService{constructor(F,f){super(F,{homeDir:(0,v.homedir)(),tmpDir:(0,v.tmpdir)(),userDataDir:(0,k.getUserDataPath)(F)},f)}}t.NativeEnvironmentService=E}),define(Y[87],Z([0,1,19]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.localizeManifest=void 0;const k=/^%([\w\d.-]+)%$/i;function P(E,M){const F=f=>{if(typeof f=="string"){const u=k.exec(f);if(!!u)return M[u[1]]||f}};return(0,v.cloneAndChange)(E,F)}t.localizeManifest=P}),define(Y[47],Z([0,1,78]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isVersionValid=t.isEngineValid=t.isValidExtensionVersion=t.isValidVersion=t.normalizeVersion=t.parseVersion=t.isValidVersionStr=void 0;const k=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/;function P(h){return h=h.trim(),h==="*"||k.test(h)}t.isValidVersionStr=P;function E(h){if(!P(h))return null;if(h=h.trim(),h==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let R=h.match(k);return R?{hasCaret:R[1]==="^",hasGreaterEquals:R[1]===">=",majorBase:R[2]==="x"?0:parseInt(R[2],10),majorMustEqual:R[2]!=="x",minorBase:R[4]==="x"?0:parseInt(R[4],10),minorMustEqual:R[4]!=="x",patchBase:R[6]==="x"?0:parseInt(R[6],10),patchMustEqual:R[6]!=="x",preRelease:R[8]||null}:null}t.parseVersion=E;function M(h){if(!h)return null;let R=h.majorBase,y=h.majorMustEqual,l=h.minorBase,I=h.minorMustEqual,p=h.patchBase,m=h.patchMustEqual;return h.hasCaret&&(R===0||(I=!1),m=!1),{majorBase:R,majorMustEqual:y,minorBase:l,minorMustEqual:I,patchBase:p,patchMustEqual:m,isMinimum:h.hasGreaterEquals}}t.normalizeVersion=M;function F(h,R){let y;typeof h=="string"?y=M(E(h)):y=h;let l;if(typeof R=="string"?l=M(E(R)):l=R,!y||!l)return!1;let I=y.majorBase,p=y.minorBase,m=y.patchBase,D=l.majorBase,b=l.minorBase,o=l.patchBase,i=l.majorMustEqual,e=l.minorMustEqual,n=l.patchMustEqual;return l.isMinimum?I>D?!0:I<D?!1:p>b?!0:p<b?!1:m>=o:(I===1&&D===0&&(!i||!e||!n)&&(D=1,b=0,o=0,i=!0,e=!1,n=!1),I<D?!1:I>D?!i:p<b?!1:p>b?!e:m<o?!1:m>o?!n:!0)}t.isValidVersion=F;function f(h,R,y){return R.isBuiltin||typeof R.main=="undefined"?!0:C(h,R.engines.vscode,y)}t.isValidExtensionVersion=f;function u(h,R){return h==="*"||C(R,h)}t.isEngineValid=u;function C(h,R,y=[]){let l=M(E(R));if(!l)return y.push(v.localize(0,null,R)),!1;if(l.majorBase===0){if(!l.majorMustEqual||!l.minorMustEqual)return y.push(v.localize(1,null,R)),!1}else if(!l.majorMustEqual)return y.push(v.localize(2,null,R)),!1;return F(h,l)?!0:(y.push(v.localize(3,null,h,R)),!1)}t.isVersionValid=C}),define(Y[88],Z([0,1,33,45,2,9]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class M extends P.Disposable{constructor(f,u,C,h){super();this.folders=f,this.onDidFilesChange=u,this.onLogMessage=C,this.verboseLogging=h,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const f=this._register(new k.Client(E.FileAccess.asFileUri("bootstrap-fork",x).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(f.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=M.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService((0,v.getNextTickChannel)(f.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(u=>!this.isDisposed&&this.onDidFilesChange(u))),this._register(this.service.onDidLogMessage(u=>this.onLogMessage(u))),this.setFolders(this.folders)}setVerboseLogging(f){this.verboseLogging=f,!this.isDisposed&&this.service&&this.service.setVerboseLogging(f)}error(f){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${f}`})}setFolders(f){this.folders=f,this.service&&this.service.setRoots(f)}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=M,M.MAX_RESTARTS=5}),define(Y[89],Z([0,1,33,45,2,9]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class M extends P.Disposable{constructor(f,u,C,h,R={}){super();this.folders=f,this.onDidFilesChange=u,this.onLogMessage=C,this.verboseLogging=h,this.watcherOptions=R,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const f=this._register(new k.Client(E.FileAccess.asFileUri("bootstrap-fork",x).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(f.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=M.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService((0,v.getNextTickChannel)(f.getChannel("watcher"))),this.service.init(Object.assign(Object.assign({},this.watcherOptions),{verboseLogging:this.verboseLogging})),this._register(this.service.onDidChangeFile(u=>!this.isDisposed&&this.onDidFilesChange(u))),this._register(this.service.onDidLogMessage(u=>this.onLogMessage(u))),this.service.setRoots(this.folders)}error(f){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${f}`})}setVerboseLogging(f){this.verboseLogging=f,this.service&&this.service.setVerboseLogging(f)}setFolders(f){this.folders=f,this.service&&this.service.setRoots(f)}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=M,M.MAX_RESTARTS=5}),define(Y[90],Z([0,1,34,44,60,9]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OutOfProcessWin32FolderWatcher=void 0;class M{constructor(f,u,C,h,R){this.watchedFolder=f,this.eventCallback=C,this.logCallback=h,this.verboseLogging=R,this.restartCounter=0,Array.isArray(u)?this.ignored=u.map(y=>P.parse(y)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${f}`),this.startWatcher()}startWatcher(){const f=[this.watchedFolder];this.verboseLogging&&f.push("-verbose"),this.handle=v.spawn(E.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",x).fsPath,f);const u=new k.LineDecoder;this.handle.stdout.on("data",C=>{const h=[];u.write(C).forEach(R=>{const y=R.split("|");if(y.length===2){const l=Number(y[0]),I=y[1];if(l>=0&&l<3){if(this.ignored&&this.ignored.some(p=>p(I))){this.verboseLogging&&this.log(I);return}h.push({type:M.changeTypeMap[l],path:I})}else this.log(y[1])}}),h.length>0&&this.eventCallback(h)}),this.handle.on("error",C=>this.onError(C)),this.handle.stderr.on("data",C=>this.onError(C)),this.handle.on("exit",(C,h)=>this.onExit(C,h))}onError(f){this.error("process error: "+f.toString())}onExit(f,u){this.handle&&(this.error(`terminated unexpectedly (code: ${f}, signal: ${u})`),this.restartCounter<=M.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(f){this.logCallback({type:"error",message:`[File Watcher (C#)] ${f}`})}log(f){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${f}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}t.OutOfProcessWin32FolderWatcher=M,M.MAX_RESTARTS=5,M.changeTypeMap=[0,1,2]}),define(Y[91],Z([0,1,90,3,18]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class E{constructor(F,f,u,C){this.onDidFilesChange=f,this.onLogMessage=u,this.verboseLogging=C,this.service=void 0,this.folder=F[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(k.posix.sep)&&(this.folder.path=(0,P.rtrim)(this.folder.path,k.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new v.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,F=>this.onFileEvents(F),F=>this.onLogMessage(F),this.verboseLogging)}setVerboseLogging(F){this.verboseLogging=F,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(F){this.isDisposed||F.length>0&&this.onDidFilesChange(F)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}t.FileWatcher=E}),define(Y[48],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createSyncDescriptor=t.SyncDescriptor=void 0;class v{constructor(E,M=[],F=!1){this.ctor=E,this.staticArguments=M,this.supportsDelayedInstantiation=F}}t.SyncDescriptor=v;const k=(P,...E)=>new v(P,E);t.createSyncDescriptor=k}),define(Y[92],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Graph=t.Node=void 0;class v{constructor(E){this.incoming=new Map,this.outgoing=new Map,this.data=E}}t.Node=v;class k{constructor(E){this._hashFn=E,this._nodes=new Map}roots(){const E=[];for(let M of this._nodes.values())M.outgoing.size===0&&E.push(M);return E}insertEdge(E,M){const F=this.lookupOrInsertNode(E),f=this.lookupOrInsertNode(M);F.outgoing.set(this._hashFn(M),f),f.incoming.set(this._hashFn(E),F)}removeNode(E){const M=this._hashFn(E);this._nodes.delete(M);for(let F of this._nodes.values())F.outgoing.delete(M),F.incoming.delete(M)}lookupOrInsertNode(E){const M=this._hashFn(E);let F=this._nodes.get(M);return F||(F=new v(E),this._nodes.set(M,F)),F}lookup(E){return this._nodes.get(this._hashFn(E))}isEmpty(){return this._nodes.size===0}toString(){let E=[];for(let[M,F]of this._nodes)E.push(`${M}, (incoming)[${[...F.incoming.keys()].join(", ")}], (outgoing)[${[...F.outgoing.keys()].join(",")}]`);return E.join(`
`)}}t.Graph=k}),define(Y[93],Z([0,1,7]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IDownloadService=void 0,t.IDownloadService=(0,v.createDecorator)("downloadService")}),define(Y[22],Z([0,1,7]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.INativeEnvironmentService=t.IEnvironmentService=void 0,t.IEnvironmentService=(0,v.createDecorator)("environmentService"),t.INativeEnvironmentService=(0,v.refineServiceDecorator)(t.IEnvironmentService)}),define(Y[24],Z([0,1,73,7,9]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtensionManagementCLIService=t.PreferencesLocalizedLabel=t.PreferencesLabel=t.ExtensionsChannelId=t.ExtensionsLocalizedLabel=t.ExtensionsLabel=t.DefaultIconPath=t.IExtensionTipsService=t.IGlobalExtensionEnablementService=t.ENABLED_EXTENSIONS_STORAGE_PATH=t.DISABLED_EXTENSIONS_STORAGE_PATH=t.IExtensionManagementService=t.ExtensionManagementError=t.INSTALL_ERROR_INCOMPATIBLE=t.INSTALL_ERROR_MALICIOUS=t.INSTALL_ERROR_NOT_SUPPORTED=t.IExtensionGalleryService=t.InstallOperation=t.StatisticType=t.SortOrder=t.SortBy=t.isIExtensionIdentifier=t.EXTENSION_IDENTIFIER_REGEX=t.EXTENSION_IDENTIFIER_PATTERN=void 0,t.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",t.EXTENSION_IDENTIFIER_REGEX=new RegExp(t.EXTENSION_IDENTIFIER_PATTERN);function E(h){return h&&typeof h=="object"&&typeof h.id=="string"&&(!h.uuid||typeof h.uuid=="string")}t.isIExtensionIdentifier=E;var M;(function(h){h[h.NoneOrRelevance=0]="NoneOrRelevance",h[h.LastUpdatedDate=1]="LastUpdatedDate",h[h.Title=2]="Title",h[h.PublisherName=3]="PublisherName",h[h.InstallCount=4]="InstallCount",h[h.PublishedDate=5]="PublishedDate",h[h.AverageRating=6]="AverageRating",h[h.WeightedRating=12]="WeightedRating"})(M=t.SortBy||(t.SortBy={}));var F;(function(h){h[h.Default=0]="Default",h[h.Ascending=1]="Ascending",h[h.Descending=2]="Descending"})(F=t.SortOrder||(t.SortOrder={}));var f;(function(h){h.Uninstall="uninstall"})(f=t.StatisticType||(t.StatisticType={}));var u;(function(h){h[h.None=0]="None",h[h.Install=1]="Install",h[h.Update=2]="Update"})(u=t.InstallOperation||(t.InstallOperation={})),t.IExtensionGalleryService=(0,k.createDecorator)("extensionGalleryService"),t.INSTALL_ERROR_NOT_SUPPORTED="notsupported",t.INSTALL_ERROR_MALICIOUS="malicious",t.INSTALL_ERROR_INCOMPATIBLE="incompatible";class C extends Error{constructor(R,y){super(R);this.code=y}}t.ExtensionManagementError=C,t.IExtensionManagementService=(0,k.createDecorator)("extensionManagementService"),t.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",t.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",t.IGlobalExtensionEnablementService=(0,k.createDecorator)("IGlobalExtensionEnablementService"),t.IExtensionTipsService=(0,k.createDecorator)("IExtensionTipsService"),t.DefaultIconPath=P.FileAccess.asBrowserUri("./media/defaultIcon.png",x).toString(!0),t.ExtensionsLabel=(0,v.localize)(0,null),t.ExtensionsLocalizedLabel={value:t.ExtensionsLabel,original:"Extensions"},t.ExtensionsChannelId="extensions",t.PreferencesLabel=(0,v.localize)(1,null),t.PreferencesLocalizedLabel={value:t.PreferencesLabel,original:"Preferences"},t.IExtensionManagementCLIService=(0,k.createDecorator)("IExtensionManagementCLIService")}),define(Y[36],Z([0,1,18,7]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IBuiltinExtensionsScannerService=t.isAuthenticaionProviderExtension=t.isLanguagePackExtension=t.ExtensionIdentifier=t.ExtensionType=t.EXTENSION_CATEGORIES=t.isIExtensionIdentifier=t.BUILTIN_MANIFEST_CACHE_FILE=t.USER_MANIFEST_CACHE_FILE=t.MANIFEST_CACHE_FOLDER=void 0,t.MANIFEST_CACHE_FOLDER="CachedExtensions",t.USER_MANIFEST_CACHE_FILE="user",t.BUILTIN_MANIFEST_CACHE_FILE="builtin";function P(u){return u&&typeof u=="object"&&typeof u.id=="string"&&(!u.uuid||typeof u.uuid=="string")}t.isIExtensionIdentifier=P,t.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var E;(function(u){u[u.System=0]="System",u[u.User=1]="User"})(E=t.ExtensionType||(t.ExtensionType={}));class M{constructor(C){this.value=C,this._lower=C.toLowerCase()}static equals(C,h){if(typeof C=="undefined"||C===null)return typeof h=="undefined"||h===null;if(typeof h=="undefined"||h===null)return!1;if(typeof C=="string"||typeof h=="string"){let R=typeof C=="string"?C:C.value,y=typeof h=="string"?h:h.value;return v.equalsIgnoreCase(R,y)}return C._lower===h._lower}static toKey(C){return typeof C=="string"?C.toLowerCase():C._lower}}t.ExtensionIdentifier=M;function F(u){return u.contributes&&u.contributes.localizations?u.contributes.localizations.length>0:!1}t.isLanguagePackExtension=F;function f(u){return u.contributes&&u.contributes.authentication?u.contributes.authentication.length>0:!1}t.isAuthenticaionProviderExtension=f,t.IBuiltinExtensionsScannerService=(0,k.createDecorator)("IBuiltinExtensionsScannerService")}),define(Y[26],Z([0,1,18,36]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getMaliciousExtensionsSet=t.BetterMergeId=t.getGalleryExtensionTelemetryData=t.getLocalExtensionTelemetryData=t.groupByExtension=t.getGalleryExtensionId=t.adoptToGalleryExtensionId=t.getExtensionId=t.ExtensionIdentifierWithVersion=t.areSameExtensions=void 0;function P(y,l){return y.uuid&&l.uuid?y.uuid===l.uuid:y.id===l.id?!0:(0,v.compareIgnoreCase)(y.id,l.id)===0}t.areSameExtensions=P;class E{constructor(l,I){this.version=I,this.id=l.id,this.uuid=l.uuid}key(){return`${this.id}-${this.version}`}equals(l){return l instanceof E?P(this,l)&&this.version===l.version:!1}}t.ExtensionIdentifierWithVersion=E;function M(y,l){return`${y}.${l}`}t.getExtensionId=M;function F(y){return y.toLocaleLowerCase()}t.adoptToGalleryExtensionId=F;function f(y,l){return F(M(y,l))}t.getGalleryExtensionId=f;function u(y,l){const I=[],p=m=>{for(const D of I)if(D.some(b=>P(l(b),l(m))))return D;return null};for(const m of y){const D=p(m);D?D.push(m):I.push([m])}return I}t.groupByExtension=u;function C(y){return{id:y.identifier.id,name:y.manifest.name,galleryId:null,publisherId:y.publisherId,publisherName:y.manifest.publisher,publisherDisplayName:y.publisherDisplayName,dependencies:y.manifest.extensionDependencies&&y.manifest.extensionDependencies.length>0}}t.getLocalExtensionTelemetryData=C;function h(y){return Object.assign({id:y.identifier.id,name:y.name,galleryId:y.identifier.uuid,publisherId:y.publisherId,publisherName:y.publisher,publisherDisplayName:y.publisherDisplayName,dependencies:!!(y.properties.dependencies&&y.properties.dependencies.length>0)},y.telemetryData)}t.getGalleryExtensionTelemetryData=h,t.BetterMergeId=new k.ExtensionIdentifier("pprice.better-merge");function R(y){const l=new Set;for(const I of y)I.malicious&&l.add(I.id.id);return l}t.getMaliciousExtensionsSet=R}),define(Y[94],Z([0,1,2,3,36,12]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsManifestCache=void 0;class M extends v.Disposable{constructor(f,u){super();this.environmentService=f,this.extensionsManifestCache=(0,k.join)(this.environmentService.userDataPath,P.MANIFEST_CACHE_FOLDER,P.USER_MANIFEST_CACHE_FILE),this._register(u.onDidInstallExtension(C=>this.onDidInstallExtension(C))),this._register(u.onDidUninstallExtension(C=>this.onDidUnInstallExtension(C)))}onDidInstallExtension(f){f.error||this.invalidate()}onDidUnInstallExtension(f){f.error||this.invalidate()}invalidate(){E.rimraf(this.extensionsManifestCache,E.RimRafMode.MOVE).then(()=>{},()=>{})}}t.ExtensionsManifestCache=M}),define(Y[49],Z([0,1,80,16,23,15]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.readFileIntoStream=void 0;async function M(C,h,R,y,l,I){let p;try{await F(C,h,R,y,l,I)}catch(m){p=m}finally{p&&l.errorTransformer&&(p=l.errorTransformer(p)),typeof p!="undefined"&&R.error(p),R.end()}}t.readFileIntoStream=M;async function F(C,h,R,y,l,I){f(I);const p=await C.open(h,{create:!1});try{f(I);let m=0,D=0,b=l&&typeof l.length=="number"?l.length:void 0,o=k.VSBuffer.alloc(Math.min(l.bufferSize,typeof b=="number"?b:l.bufferSize)),i=l&&typeof l.position=="number"?l.position:0,e=0;do D=await C.read(p,i,o.buffer,e,o.byteLength-e),i+=D,e+=D,m+=D,typeof b=="number"&&(b-=D),e===o.byteLength&&(await R.write(y(o)),o=k.VSBuffer.alloc(Math.min(l.bufferSize,typeof b=="number"?b:l.bufferSize)),e=0);while(D>0&&(typeof b!="number"||b>0)&&f(I)&&u(m,l));if(e>0){let n=e;typeof b=="number"&&(n=Math.min(e,b)),R.write(y(o.slice(0,n)))}}catch(m){throw(0,P.ensureFileSystemProviderError)(m)}finally{await C.close(p)}}function f(C){if(C.isCancellationRequested)throw(0,E.canceled)();return!0}function u(C,h){if(h==null?void 0:h.limits){if(typeof h.limits.memory=="number"&&C>h.limits.memory)throw(0,P.createFileSystemProviderError)((0,v.localize)(0,null),P.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof h.limits.size=="number"&&C>h.limits.size)throw(0,P.createFileSystemProviderError)((0,v.localize)(1,null),P.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Y[50],Z([0,1,10,23,17]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.normalizeFileChanges=t.toFileChanges=void 0;function E(f){return f.map(u=>({type:u.type,resource:v.URI.file(u.path)}))}t.toFileChanges=E;function M(f){const u=new F;for(const C of f)u.processEvent(C);return u.normalize()}t.normalizeFileChanges=M;class F{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(u){const C=this.mapPathToChange.get(u.path);if(C){const h=C.type,R=u.type;h===1&&R===2?(this.mapPathToChange.delete(u.path),this.normalized.splice(this.normalized.indexOf(C),1)):h===2&&R===1?C.type=0:h===1&&R===0||(C.type=R)}else this.normalized.push(u),this.mapPathToChange.set(u.path,u)}normalize(){const u=[],C=[];return this.normalized.filter(h=>h.type!==2?(u.push(h),!1):!0).sort((h,R)=>h.path.length-R.path.length).filter(h=>C.some(R=>(0,k.isParent)(h.path,R,!P.isLinux))?!1:(C.push(h.path),!0)).concat(u)}}}),define(Y[95],Z([0,1,50,2,12,62,64,4,3]),function(x,t,v,k,P,E,M,F,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileWatcher=void 0;class u extends k.Disposable{constructor(h,R,y,l){super();this.path=h,this.onDidFilesChange=R,this.onLogMessage=y,this.verboseLogging=l,this.fileChangesDelayer=this._register(new F.ThrottledDelayer(M.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(h){this.verboseLogging=h}async startWatching(){try{const{stat:h,symbolicLink:R}=await P.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let y=this.path;if(R)try{y=await(0,E.realpath)(y)}catch(l){if(this.onError(l),R.dangling)return}h.isDirectory()?this._register((0,M.watchFolder)(y,(l,I)=>{this.onFileChange({type:l==="changed"?0:l==="added"?1:2,path:(0,f.join)(this.path,(0,f.basename)(I))})},l=>this.onError(l))):this._register((0,M.watchFile)(y,l=>{this.onFileChange({type:l==="changed"?0:2,path:this.path})},l=>this.onError(l)))}catch(h){h.code!=="ENOENT"&&this.onError(h)}}onFileChange(h){this.fileChangesBuffer.push(h),this.verboseLogging&&this.onVerbose(`${h.type===1?"[ADDED]":h.type===2?"[DELETED]":"[CHANGED]"} ${h.path}`),this.fileChangesDelayer.trigger(async()=>{const R=this.fileChangesBuffer;this.fileChangesBuffer=[];const y=(0,v.normalizeFileChanges)(R);this.verboseLogging&&y.forEach(l=>{this.onVerbose(`>> normalized ${l.type===1?"[ADDED]":l.type===2?"[DELETED]":"[CHANGED]"} ${l.path}`)}),y.length>0&&this.onDidFilesChange(y)})}onError(h){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${h}`})}onVerbose(h){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${h}`})}dispose(){this.isDisposed=!0,super.dispose()}}t.FileWatcher=u}),define(Y[51],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ServiceCollection=void 0;class v{constructor(...P){this._entries=new Map;for(let[E,M]of P)this.set(E,M)}set(P,E){const M=this._entries.get(P);return this._entries.set(P,E),M}has(P){return this._entries.has(P)}get(P){return this._entries.get(P)}}t.ServiceCollection=v}),define(Y[96],Z([0,1,15,92,48,7,51,4]),function(x,t,v,k,P,E,M,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InstantiationService=void 0;const f=!1;class u extends Error{constructor(l){super("cyclic dependency between services");this.message=l.toString()}}class C{constructor(l=new M.ServiceCollection,I=!1,p){this._activeInstantiations=new Set,this._services=l,this._strict=I,this._parent=p,this._services.set(E.IInstantiationService,this)}createChild(l){return new C(l,this._strict,this)}invokeFunction(l,...I){let p=R.traceInvocation(l),m=!1;try{return l({get:(b,o)=>{if(m)throw(0,v.illegalState)("service accessor is only valid during the invocation of its target method");const i=this._getOrCreateServiceInstance(b,p);if(!i&&o!==E.optional)throw new Error(`[invokeFunction] unknown service '${b}'`);return i}},...I)}finally{m=!0,p.stop()}}createInstance(l,...I){let p,m;return l instanceof P.SyncDescriptor?(p=R.traceCreation(l.ctor),m=this._createInstance(l.ctor,l.staticArguments.concat(I),p)):(p=R.traceCreation(l),m=this._createInstance(l,I,p)),p.stop(),m}_createInstance(l,I=[],p){let m=E._util.getServiceDependencies(l).sort((o,i)=>o.index-i.index),D=[];for(const o of m){let i=this._getOrCreateServiceInstance(o.id,p);if(!i&&this._strict&&!o.optional)throw new Error(`[createInstance] ${l.name} depends on UNKNOWN service ${o.id}.`);D.push(i)}let b=m.length>0?m[0].index:I.length;if(I.length!==b){console.warn(`[createInstance] First service dependency of ${l.name} at position ${b+1} conflicts with ${I.length} static arguments`);let o=b-I.length;o>0?I=I.concat(new Array(o)):I=I.slice(0,b)}return new l(...[...I,...D])}_setServiceInstance(l,I){if(this._services.get(l)instanceof P.SyncDescriptor)this._services.set(l,I);else if(this._parent)this._parent._setServiceInstance(l,I);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(l){let I=this._services.get(l);return!I&&this._parent?this._parent._getServiceInstanceOrDescriptor(l):I}_getOrCreateServiceInstance(l,I){let p=this._getServiceInstanceOrDescriptor(l);return p instanceof P.SyncDescriptor?this._safeCreateAndCacheServiceInstance(l,p,I.branch(l,!0)):(I.branch(l,!1),p)}_safeCreateAndCacheServiceInstance(l,I,p){if(this._activeInstantiations.has(l))throw new Error(`illegal state - RECURSIVELY instantiating service '${l}'`);this._activeInstantiations.add(l);try{return this._createAndCacheServiceInstance(l,I,p)}finally{this._activeInstantiations.delete(l)}}_createAndCacheServiceInstance(l,I,p){const m=new k.Graph(o=>o.id.toString());let D=0;const b=[{id:l,desc:I,_trace:p}];for(;b.length;){const o=b.pop();if(m.lookupOrInsertNode(o),D++>1e3)throw new u(m);for(let i of E._util.getServiceDependencies(o.desc.ctor)){let e=this._getServiceInstanceOrDescriptor(i.id);if(!e&&!i.optional&&console.warn(`[createInstance] ${l} depends on ${i.id} which is NOT registered.`),e instanceof P.SyncDescriptor){const n={id:i.id,desc:e,_trace:o._trace.branch(i.id,!0)};m.insertEdge(o,n),b.push(n)}}}for(;;){const o=m.roots();if(o.length===0){if(!m.isEmpty())throw new u(m);break}for(const{data:i}of o){if(this._getServiceInstanceOrDescriptor(i.id)instanceof P.SyncDescriptor){const n=this._createServiceInstanceWithOwner(i.id,i.desc.ctor,i.desc.staticArguments,i.desc.supportsDelayedInstantiation,i._trace);this._setServiceInstance(i.id,n)}m.removeNode(i)}}return this._getServiceInstanceOrDescriptor(l)}_createServiceInstanceWithOwner(l,I,p=[],m,D){if(this._services.get(l)instanceof P.SyncDescriptor)return this._createServiceInstance(I,p,m,D);if(this._parent)return this._parent._createServiceInstanceWithOwner(l,I,p,m,D);throw new Error(`illegalState - creating UNKNOWN service instance ${I.name}`)}_createServiceInstance(l,I=[],p,m){if(p){const D=new F.IdleValue(()=>this._createInstance(l,I,m));return new Proxy(Object.create(null),{get(b,o){if(o in b)return b[o];let i=D.value,e=i[o];return typeof e!="function"||(e=e.bind(i),b[o]=e),e},set(b,o,i){return D.value[o]=i,!0}})}else return this._createInstance(l,I,m)}}t.InstantiationService=C;var h;(function(y){y[y.Creation=0]="Creation",y[y.Invocation=1]="Invocation",y[y.Branch=2]="Branch"})(h||(h={}));class R{constructor(l,I){this.type=l,this.name=I,this._start=Date.now(),this._dep=[]}static traceInvocation(l){return f?new R(1,l.name||l.toString().substring(0,42).replace(/\n/g,"")):R._None}static traceCreation(l){return f?new R(0,l.name):R._None}branch(l,I){let p=new R(2,l.toString());return this._dep.push([l,I,p]),p}stop(){let l=Date.now()-this._start;R._totals+=l;let I=!1;function p(D,b){let o=[],i=new Array(D+1).join("	");for(const[e,n,s]of b._dep)if(n&&s){I=!0,o.push(`${i}CREATES -> ${e}`);let a=p(D+1,s);a&&o.push(a)}else o.push(`${i}uses -> ${e}`);return o.join(`
`)}let m=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${p(1,this)}`,`DONE, took ${l.toFixed(2)}ms (grand total ${R._totals.toFixed(2)}ms)`];(l>2||I)&&console.log(m.join(`
`))}}R._None=new class extends R{constructor(){super(-1,null)}stop(){}branch(){return this}},R._totals=0}),define(Y[37],Z([0,1,7]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isValidLocalization=t.ILocalizationsService=void 0,t.ILocalizationsService=(0,v.createDecorator)("localizationsService");function k(P){if(typeof P.languageId!="string"||!Array.isArray(P.translations)||P.translations.length===0)return!1;for(const E of P.translations)if(typeof E.id!="string"||typeof E.path!="string")return!1;return!(P.languageName&&typeof P.languageName!="string"||P.localizedLanguageName&&typeof P.localizedLanguageName!="string")}t.isValidLocalization=k});var fe=this&&this.__param||function(x,t){return function(v,k){t(v,k,x)}};define(Y[97],Z([0,1,74,15,10,38,24,26,36,61,28,9,37]),function(x,t,v,k,P,E,M,F,f,u,C,h,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementCLIService=t.getIdAndVersion=void 0;const y=b=>(0,v.localize)(0,null,b),l=(0,v.localize)(1,null,"ms-dotnettools.csharp");function I(b,o){return o?`${b.publisher}.${b.name}@${b.version}`:`${b.publisher}.${b.name}`}const p=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function m(b){const o=p.exec(b);return o&&o[1]?[(0,F.adoptToGalleryExtensionId)(o[1]),o[2]]:[(0,F.adoptToGalleryExtensionId)(b),void 0]}t.getIdAndVersion=m;let D=class{constructor(o,i,e){this.extensionManagementService=o,this.extensionGalleryService=i,this.localizationsService=e}get location(){}async listExtensions(o,i,e=console){let n=await this.extensionManagementService.getInstalled(1);const s=f.EXTENSION_CATEGORIES.map(r=>r.toLowerCase());if(i&&i!==""){if(s.indexOf(i.toLowerCase())<0){e.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}n=n.filter(r=>r.manifest.categories?r.manifest.categories.map(N=>N.toLowerCase()).indexOf(i.toLowerCase())>-1:!1)}else if(i===""){e.log("Possible Categories: "),s.forEach(r=>{e.log(r)});return}this.location&&e.log((0,v.localize)(2,null,this.location)),n=n.sort((r,g)=>r.identifier.id.localeCompare(g.identifier.id));let a;for(let r of n)a!==r.identifier.id&&(a=r.identifier.id,e.log(I(r.manifest,o)))}async installExtensions(o,i,e,n,s=console){const a=[],r=[];o.length&&s.log(this.location?(0,v.localize)(3,null,this.location):(0,v.localize)(4,null));const g=await this.extensionManagementService.getInstalled(1),N=(z,B)=>{const H=g.find(X=>(0,F.areSameExtensions)(X.identifier,{id:z}));if(H){if(!B&&!n)return s.log((0,v.localize)(5,null,z,H.manifest.version,z)),!1;if(B&&H.manifest.version===B)return s.log((0,v.localize)(6,null,`${z}@${B}`)),!1}return!0},A=[],T=[];for(const z of o)if(z instanceof P.URI)A.push(z);else{const[B,H]=m(z);N(B,H)&&T.push({id:B,version:H,installOptions:{isBuiltin:!1,isMachineScoped:e}})}for(const z of i){const[B,H]=m(z);N(B,H)&&T.push({id:B,version:H,installOptions:{isBuiltin:!0,isMachineScoped:!1}})}if(A.length&&await Promise.all(A.map(async z=>{try{const B=await this.installVSIX(z,n,s);B&&r.push(B)}catch(B){s.error(B.message||B.stack||B),a.push(z.toString())}})),T.length){const z=await this.getGalleryExtensions(T);await Promise.all(T.map(async B=>{const H=z.get(B.id.toLowerCase());if(H)try{const X=await this.installFromGallery(B,H,g,n,s);X&&r.push(X)}catch(X){s.error(X.message||X.stack||X),a.push(B.id)}else s.error(`${y(B.version?`${B.id}@${B.version}`:B.id)}
${l}`),a.push(B.id)}))}if(r.some(z=>(0,f.isLanguagePackExtension)(z))&&await this.updateLocalizationsCache(),a.length)throw new Error((0,v.localize)(7,null,a.join(", ")))}async installVSIX(o,i,e){const n=await this.extensionManagementService.getManifest(o);if(!n)throw new Error("Invalid vsix");if(await this.validateVSIX(n,i,e))try{return await this.extensionManagementService.install(o),e.log((0,v.localize)(8,null,(0,u.getBaseLabel)(o))),n}catch(a){if((0,k.isPromiseCanceledError)(a))return e.log((0,v.localize)(9,null,(0,u.getBaseLabel)(o))),null;throw a}return null}async getGalleryExtensions(o){const i=o.filter(({version:s})=>s===void 0).map(({id:s})=>s),e=o.filter(({version:s})=>s!==void 0),n=new Map;return await Promise.all([(async()=>{(await this.extensionGalleryService.getExtensions(i,C.CancellationToken.None)).forEach(a=>n.set(a.identifier.id.toLowerCase(),a))})(),Promise.all(e.map(async({id:s,version:a})=>{const r=await this.extensionGalleryService.getCompatibleExtension({id:s},a);r&&n.set(r.identifier.id.toLowerCase(),r)}))]),n}async installFromGallery({id:o,version:i,installOptions:e},n,s,a,r){const g=await this.extensionGalleryService.getManifest(n,C.CancellationToken.None);if(g&&!this.validateExtensionKind(g,r))return null;const N=s.find(A=>(0,F.areSameExtensions)(A.identifier,n.identifier));if(N){if(n.version===N.manifest.version)return r.log((0,v.localize)(10,null,i?`${o}@${i}`:o)),null;r.log((0,v.localize)(11,null,o,n.version))}try{return e.isBuiltin?r.log((0,v.localize)(12,null,o,n.version)):r.log((0,v.localize)(13,null,o,n.version)),await this.extensionManagementService.installFromGallery(n,e),r.log((0,v.localize)(14,null,o,n.version)),g}catch(A){if((0,k.isPromiseCanceledError)(A))return r.log((0,v.localize)(15,null,o)),null;throw A}}validateExtensionKind(o,i){return!0}async validateVSIX(o,i,e){const n={id:(0,F.getGalleryExtensionId)(o.publisher,o.name)},a=(await this.extensionManagementService.getInstalled(1)).find(r=>(0,F.areSameExtensions)(n,r.identifier)&&(0,E.gt)(r.manifest.version,o.version));return a&&!i?(e.log((0,v.localize)(16,null,a.identifier.id,a.manifest.version,o.version)),!1):this.validateExtensionKind(o,e)}async uninstallExtensions(o,i,e=console){const n=async a=>{if(a instanceof P.URI){const r=await this.extensionManagementService.getManifest(a);return I(r)}return a},s=[];for(const a of o){const r=await n(a),N=(await this.extensionManagementService.getInstalled()).filter(A=>(0,F.areSameExtensions)(A.identifier,{id:r}));if(!N.length)throw new Error(`${this.notInstalled(r)}
${l}`);if(N.some(A=>A.type===0)){e.log((0,v.localize)(17,null,r));return}if(!i&&N.some(A=>A.isBuiltin)){e.log((0,v.localize)(18,null,r));return}e.log((0,v.localize)(19,null,r));for(const A of N)await this.extensionManagementService.uninstall(A),s.push(A);this.location?e.log((0,v.localize)(20,null,r,this.location)):e.log((0,v.localize)(21,null,r))}s.some(a=>(0,f.isLanguagePackExtension)(a.manifest))&&await this.updateLocalizationsCache()}async locateExtension(o,i=console){const e=await this.extensionManagementService.getInstalled();o.forEach(n=>{e.forEach(s=>{if(s.identifier.id===n&&s.location.scheme===h.Schemas.file){i.log(s.location.fsPath);return}})})}updateLocalizationsCache(){return this.localizationsService.update()}notInstalled(o){return this.location?(0,v.localize)(22,null,o,this.location):(0,v.localize)(23,null,o)}};D=ce([fe(0,M.IExtensionManagementService),fe(1,M.IExtensionGalleryService),fe(2,R.ILocalizationsService)],D),t.ExtensionManagementCLIService=D}),define(Y[13],Z([0,1,7,2,17,11,30]),function(x,t,v,k,P,E,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LogLevelToString=t.parseLogLevel=t.getLogLevel=t.NullLogService=t.LogService=t.MultiplexLogService=t.AdapterLogger=t.ConsoleLogger=t.ConsoleMainLogger=t.AbstractMessageLogger=t.AbstractLogger=t.DEFAULT_LOG_LEVEL=t.LogLevel=t.ILoggerService=t.ILogService=void 0,t.ILogService=(0,v.createDecorator)("logService"),t.ILoggerService=(0,v.createDecorator)("loggerService");function F(){return new Date().toISOString()}var f;(function(o){o[o.Trace=0]="Trace",o[o.Debug=1]="Debug",o[o.Info=2]="Info",o[o.Warning=3]="Warning",o[o.Error=4]="Error",o[o.Critical=5]="Critical",o[o.Off=6]="Off"})(f=t.LogLevel||(t.LogLevel={})),t.DEFAULT_LOG_LEVEL=f.Info;class u extends k.Disposable{constructor(){super(...arguments);this.level=t.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new E.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}t.AbstractLogger=u;class C extends u{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...e){this.checkLogLevel(f.Trace)&&this.log(f.Trace,this.format([i,...e]))}debug(i,...e){this.checkLogLevel(f.Debug)&&this.log(f.Debug,this.format([i,...e]))}info(i,...e){this.checkLogLevel(f.Info)&&this.log(f.Info,this.format([i,...e]))}warn(i,...e){this.checkLogLevel(f.Warning)&&this.log(f.Warning,this.format([i,...e]))}error(i,...e){if(this.checkLogLevel(f.Error))if(i instanceof Error){const n=Array.prototype.slice.call(arguments);n[0]=i.stack,this.log(f.Error,this.format(n))}else this.log(f.Error,this.format([i,...e]))}critical(i,...e){this.checkLogLevel(f.Critical)&&this.log(f.Critical,this.format([i,...e]))}flush(){}format(i){let e="";for(let n=0;n<i.length;n++){let s=i[n];if(typeof s=="object")try{s=JSON.stringify(s)}catch(a){}e+=(n>0?" ":"")+s}return e}}t.AbstractMessageLogger=C;class h extends u{constructor(i=t.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!P.isWindows}trace(i,...e){this.getLevel()<=f.Trace&&(this.useColors?console.log(`[90m[main ${F()}][0m`,i,...e):console.log(`[main ${F()}]`,i,...e))}debug(i,...e){this.getLevel()<=f.Debug&&(this.useColors?console.log(`[90m[main ${F()}][0m`,i,...e):console.log(`[main ${F()}]`,i,...e))}info(i,...e){this.getLevel()<=f.Info&&(this.useColors?console.log(`[90m[main ${F()}][0m`,i,...e):console.log(`[main ${F()}]`,i,...e))}warn(i,...e){this.getLevel()<=f.Warning&&(this.useColors?console.warn(`[93m[main ${F()}][0m`,i,...e):console.warn(`[main ${F()}]`,i,...e))}error(i,...e){this.getLevel()<=f.Error&&(this.useColors?console.error(`[91m[main ${F()}][0m`,i,...e):console.error(`[main ${F()}]`,i,...e))}critical(i,...e){this.getLevel()<=f.Critical&&(this.useColors?console.error(`[90m[main ${F()}][0m`,i,...e):console.error(`[main ${F()}]`,i,...e))}dispose(){}flush(){}}t.ConsoleMainLogger=h;class R extends u{constructor(i=t.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...e){this.getLevel()<=f.Trace&&console.log("%cTRACE","color: #888",i,...e)}debug(i,...e){this.getLevel()<=f.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...e)}info(i,...e){this.getLevel()<=f.Info&&console.log("%c INFO","color: #33f",i,...e)}warn(i,...e){this.getLevel()<=f.Warning&&console.log("%c WARN","color: #993",i,...e)}error(i,...e){this.getLevel()<=f.Error&&console.log("%c  ERR","color: #f33",i,...e)}critical(i,...e){this.getLevel()<=f.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...e)}dispose(){}flush(){}}t.ConsoleLogger=R;class y extends u{constructor(i,e=t.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(e)}trace(i,...e){this.getLevel()<=f.Trace&&this.adapter.log(f.Trace,[this.extractMessage(i),...e])}debug(i,...e){this.getLevel()<=f.Debug&&this.adapter.log(f.Debug,[this.extractMessage(i),...e])}info(i,...e){this.getLevel()<=f.Info&&this.adapter.log(f.Info,[this.extractMessage(i),...e])}warn(i,...e){this.getLevel()<=f.Warning&&this.adapter.log(f.Warning,[this.extractMessage(i),...e])}error(i,...e){this.getLevel()<=f.Error&&this.adapter.log(f.Error,[this.extractMessage(i),...e])}critical(i,...e){this.getLevel()<=f.Critical&&this.adapter.log(f.Critical,[this.extractMessage(i),...e])}extractMessage(i){return typeof i=="string"?i:(0,M.toErrorMessage)(i,this.getLevel()<=f.Trace)}dispose(){}flush(){}}t.AdapterLogger=y;class l extends u{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const e of this.logServices)e.setLevel(i);super.setLevel(i)}trace(i,...e){for(const n of this.logServices)n.trace(i,...e)}debug(i,...e){for(const n of this.logServices)n.debug(i,...e)}info(i,...e){for(const n of this.logServices)n.info(i,...e)}warn(i,...e){for(const n of this.logServices)n.warn(i,...e)}error(i,...e){for(const n of this.logServices)n.error(i,...e)}critical(i,...e){for(const n of this.logServices)n.critical(i,...e)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}t.MultiplexLogService=l;class I extends k.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...e){this.logger.trace(i,...e)}debug(i,...e){this.logger.debug(i,...e)}info(i,...e){this.logger.info(i,...e)}warn(i,...e){this.logger.warn(i,...e)}error(i,...e){this.logger.error(i,...e)}critical(i,...e){this.logger.critical(i,...e)}flush(){this.logger.flush()}}t.LogService=I;class p{constructor(){this.onDidChangeLogLevel=new E.Emitter().event}setLevel(i){}getLevel(){return f.Info}trace(i,...e){}debug(i,...e){}info(i,...e){}warn(i,...e){}error(i,...e){}critical(i,...e){}dispose(){}flush(){}}t.NullLogService=p;function m(o){if(o.verbose)return f.Trace;if(typeof o.logLevel=="string"){const i=D(o.logLevel.toLowerCase());if(i!==void 0)return i}return t.DEFAULT_LOG_LEVEL}t.getLogLevel=m;function D(o){switch(o){case"trace":return f.Trace;case"debug":return f.Debug;case"info":return f.Info;case"warn":return f.Warning;case"error":return f.Error;case"critical":return f.Critical;case"off":return f.Off}}t.parseLogLevel=D;function b(o){switch(o){case f.Trace:return"trace";case f.Debug:return"debug";case f.Info:return"info";case f.Warning:return"warn";case f.Error:return"error";case f.Critical:return"critical";case f.Off:return"off"}}t.LogLevelToString=b}),define(Y[98],Z([0,1,14,2,23,24,22,10,20,26,13,39,38,17,4]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsDownloader=void 0;const I=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let p=class extends k.Disposable{constructor(D,b,o,i){super();this.fileService=b,this.extensionGalleryService=o,this.logService=i,this.extensionsDownloadDir=F.URI.file(D.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(D,b){await this.cleanUpPromise;const o=this.getName(D),i=(0,f.joinPath)(this.extensionsDownloadDir,o);if(!await this.fileService.exists(i)){const e=(0,f.joinPath)(this.extensionsDownloadDir,`.${o}`);await this.fileService.exists(e)||await this.extensionGalleryService.download(D,e,b),await this.rename(e,i,Date.now()+2*60*1e3)}return i}async delete(D){}async rename(D,b,o){try{await v.promises.rename(D.fsPath,b.fsPath)}catch(i){if(y.isWindows&&i&&i.code==="EPERM"&&Date.now()<o)return this.logService.info(`Failed renaming ${D} to ${b} with 'EPERM' error. Trying again...`),this.rename(D,b,o);throw i}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const D=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(D.children){const b=[],o=[];for(const n of D.children){const s=this.parse(n.name);s&&o.push([s,n])}const i=(0,u.groupByExtension)(o,([n])=>n),e=[];for(const n of i)n.sort((s,a)=>R.rcompare(s[0].version,a[0].version)),b.push(...n.slice(1).map(s=>s[1].resource)),e.push(n[0][1]);e.sort((n,s)=>n.mtime-s.mtime),b.push(...e.slice(0,Math.max(0,e.length-this.cache)).map(n=>n.resource)),await l.Promises.settled(b.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(D){this.logService.error(D)}}getName(D){return this.cache?new u.ExtensionIdentifierWithVersion(D.identifier,D.version).key().toLowerCase():(0,h.generateUuid)()}parse(D){const b=I.exec(D);return b&&b[1]&&b[2]?new u.ExtensionIdentifierWithVersion({id:b[1]},b[2]):null}};p=ce([fe(0,M.INativeEnvironmentService),fe(1,P.IFileService),fe(2,E.IExtensionGalleryService),fe(3,C.ILogService)],p),t.ExtensionsDownloader=p}),define(Y[99],Z([0,1,2,13,34,30,3,4,11,9,12,22]),function(x,t,v,k,P,E,M,F,f,u,C,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsLifecycle=void 0;let R=class extends v.Disposable{constructor(l,I){super();this.environmentService=l,this.logService=I,this.processesLimiter=new F.Limiter(5)}async postUninstall(l){const I=this.parseScript(l,"uninstall");return I&&(this.logService.info(l.identifier.id,l.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(I.script,"uninstall",I.args,!0,l).then(()=>this.logService.info(l.identifier.id,l.manifest.version,"Finished running post uninstall script"),p=>this.logService.error(l.identifier.id,l.manifest.version,`Failed to run post uninstall script: ${p}`)))),(0,C.rimraf)(this.getExtensionStoragePath(l)).then(void 0,p=>this.logService.error("Error while removing extension storage path",p))}parseScript(l,I){const p=`vscode:${I}`;if(l.location.scheme===u.Schemas.file&&l.manifest&&l.manifest.scripts&&typeof l.manifest.scripts[p]=="string"){const m=l.manifest.scripts[p].split(" ");return m.length<2||m[0]!=="node"||!m[1]?(this.logService.warn(l.identifier.id,l.manifest.version,`${p} should be a node script`),null):{script:(0,M.join)(l.location.fsPath,m[1]),args:m.slice(2)||[]}}return null}runLifecycleHook(l,I,p,m,D){return new Promise((b,o)=>{const i=this.start(l,I,p,D);let e;const n=s=>{e&&(clearTimeout(e),e=null),s?o(s):b(void 0)};i.on("error",s=>{n((0,E.toErrorMessage)(s)||"Unknown")}),i.on("exit",(s,a)=>{n(s?`post-${I} process exited with code ${s}`:void 0)}),m&&(e=setTimeout(()=>{e=null,i.kill(),o("timed out")},5e3))})}start(l,I,p,m){const D={silent:!0,execArgv:void 0},b=(0,P.fork)(l,[`--type=extension-post-${I}`,...p],D);b.stdout.setEncoding("utf8"),b.stderr.setEncoding("utf8");const o=f.Event.fromNodeEventEmitter(b.stdout,"data"),i=f.Event.fromNodeEventEmitter(b.stderr,"data");o(s=>this.logService.info(m.identifier.id,m.manifest.version,`post-${I}`,s)),i(s=>this.logService.error(m.identifier.id,m.manifest.version,`post-${I}`,s));const e=f.Event.any(f.Event.map(o,s=>({data:`%c${s}`,format:[""]})),f.Event.map(i,s=>({data:`%c${s}`,format:["color: red"]})));return f.Event.debounce(e,(s,a)=>s?{data:s.data+a.data,format:[...s.format,...a.format]}:{data:a.data,format:a.format},100)(s=>{console.group(m.identifier.id),console.log(s.data,...s.format),console.groupEnd()}),b}getExtensionStoragePath(l){return(0,M.join)(this.environmentService.globalStorageHome.fsPath,l.identifier.id.toLowerCase())}};R=ce([fe(0,h.IEnvironmentService),fe(1,k.ILogService)],R),t.ExtensionsLifecycle=R}),define(Y[100],Z([0,1,79,125,2,23,11,20,43,21,13,16,31,4,28,9,49,126]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l,I,p,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileService=void 0;let D=class extends P.Disposable{constructor(o){super();this.logService=o,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new M.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new M.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new M.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new M.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new M.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new M.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this.activeWatchers=new Map,this.writeQueue=this._register(new y.ResourceQueue)}registerProvider(o,i){if(this.provider.has(o))throw new Error(`A filesystem provider for the scheme '${o}' is already registered.`);(0,k.mark)(`code/registerFilesystem/${o}`),this.provider.set(o,i),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:o,provider:i});const e=new P.DisposableStore;return e.add(i.onDidChangeFile(n=>this._onDidFilesChange.fire(new E.FileChangesEvent(n,!this.isPathCaseSensitive(i))))),e.add(i.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:i,scheme:o}))),typeof i.onDidErrorOccur=="function"&&e.add(i.onDidErrorOccur(n=>this._onError.fire(new Error(n)))),(0,P.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:o,provider:i}),this.provider.delete(o),(0,P.dispose)(e)})}async activateProvider(o){const i=[];this._onWillActivateFileSystemProvider.fire({scheme:o,join(e){i.push(e)}}),!this.provider.has(o)&&await y.Promises.settled(i)}canHandleResource(o){return this.provider.has(o.scheme)}hasCapability(o,i){const e=this.provider.get(o.scheme);return!!(e&&e.capabilities&i)}listCapabilities(){return m.Iterable.map(this.provider,([o,i])=>({scheme:o,capabilities:i.capabilities}))}async withProvider(o){if(!(0,F.isAbsolutePath)(o))throw new E.FileOperationError((0,v.localize)(0,null,this.resourceForError(o)),8);await this.activateProvider(o.scheme);const i=this.provider.get(o.scheme);if(!i){const e=new Error;throw e.name="ENOPRO",e.message=(0,v.localize)(1,null,o.toString()),e}return i}async withReadProvider(o){const i=await this.withProvider(o);if((0,E.hasOpenReadWriteCloseCapability)(i)||(0,E.hasReadWriteCapability)(i)||(0,E.hasFileReadStreamCapability)(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(o){const i=await this.withProvider(o);if((0,E.hasOpenReadWriteCloseCapability)(i)||(0,E.hasReadWriteCapability)(i))return i;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(o,i){try{return await this.doResolveFile(o,i)}catch(e){throw(0,E.toFileSystemProviderErrorCode)(e)===E.FileSystemProviderErrorCode.FileNotFound?new E.FileOperationError((0,v.localize)(2,null,this.resourceForError(o)),1):(0,E.ensureFileSystemProviderError)(e)}}async doResolveFile(o,i){const e=await this.withProvider(o),n=this.isPathCaseSensitive(e),s=i==null?void 0:i.resolveTo,a=i==null?void 0:i.resolveSingleChildDescendants,r=i==null?void 0:i.resolveMetadata,g=await e.stat(o);let N;return this.toFileStat(e,o,g,void 0,!!r,(A,T)=>(N||(N=f.TernarySearchTree.forUris(()=>!n),N.set(o,!0),(0,u.isNonEmptyArray)(s)&&s.forEach(z=>N.set(z,!0))),Boolean(N.findSuperstr(A.resource)||N.get(A.resource))?!0:A.isDirectory&&a?T===1:!1))}async toFileStat(o,i,e,n,s,a){const{providerExtUri:r}=this.getExtUri(o),g={resource:i,name:r.basename(i),isFile:(e.type&E.FileType.File)!=0,isDirectory:(e.type&E.FileType.Directory)!=0,isSymbolicLink:(e.type&E.FileType.SymbolicLink)!=0,mtime:e.mtime,ctime:e.ctime,size:e.size,etag:(0,E.etag)({mtime:e.mtime,size:e.size})};if(g.isDirectory&&a(g,n)){try{const N=await o.readdir(i),A=await y.Promises.settled(N.map(async([T,z])=>{try{const B=r.joinPath(i,T),H=s?await o.stat(B):{type:z};return await this.toFileStat(o,B,H,N.length,s,a)}catch(B){return this.logService.trace(B),null}}));g.children=(0,u.coalesce)(A)}catch(N){this.logService.trace(N),g.children=[]}return g}return g}async resolveAll(o){return y.Promises.settled(o.map(async i=>{try{return{stat:await this.doResolveFile(i.resource,i.options),success:!0}}catch(e){return this.logService.trace(e),{stat:void 0,success:!1}}}))}async exists(o){const i=await this.withProvider(o);try{return!!await i.stat(o)}catch(e){return!1}}async canCreateFile(o,i){try{await this.doValidateCreateFile(o,i)}catch(e){return e}return!0}async doValidateCreateFile(o,i){if(!(i==null?void 0:i.overwrite)&&await this.exists(o))throw new E.FileOperationError((0,v.localize)(3,null,this.resourceForError(o)),3,i)}async createFile(o,i=h.VSBuffer.fromString(""),e){await this.doValidateCreateFile(o,e);const n=await this.writeFile(o,i);return this._onDidRunOperation.fire(new E.FileOperationEvent(o,0,n)),n}async writeFile(o,i,e){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),{providerExtUri:s}=this.getExtUri(n);try{await this.validateWriteFile(n,o,e)||await this.mkdirp(n,s.dirname(o));let r;if((0,E.hasReadWriteCapability)(n)&&!(i instanceof h.VSBuffer))if((0,R.isReadableStream)(i)){const g=await(0,R.peekStream)(i,3);g.ended?r=h.VSBuffer.concat(g.buffer):r=g}else r=(0,R.peekReadable)(i,g=>h.VSBuffer.concat(g),3);else r=i;!(0,E.hasOpenReadWriteCloseCapability)(n)||(0,E.hasReadWriteCapability)(n)&&r instanceof h.VSBuffer?await this.doWriteUnbuffered(n,o,e,r):await this.doWriteBuffered(n,o,e,r instanceof h.VSBuffer?(0,h.bufferToReadable)(r):r)}catch(a){throw new E.FileOperationError((0,v.localize)(4,null,this.resourceForError(o),(0,E.ensureFileSystemProviderError)(a).toString()),(0,E.toFileOperationResult)(a),e)}return this.resolve(o,{resolveMetadata:!0})}async validateWriteFile(o,i,e){if(!!(e==null?void 0:e.unlock)&&!(o.capabilities&8192))throw new Error((0,v.localize)(5,null,this.resourceForError(i)));let s;try{s=await o.stat(i)}catch(a){return}if((s.type&E.FileType.Directory)!=0)throw new E.FileOperationError((0,v.localize)(6,null,this.resourceForError(i)),0,e);if(e&&typeof e.mtime=="number"&&typeof e.etag=="string"&&e.etag!==E.ETAG_DISABLED&&typeof s.mtime=="number"&&typeof s.size=="number"&&e.mtime<s.mtime&&e.etag!==(0,E.etag)({mtime:e.mtime,size:s.size}))throw new E.FileOperationError((0,v.localize)(7,null),3,e);return s}async readFile(o,i){const e=await this.withReadProvider(o);return(i==null?void 0:i.atomic)?this.doReadFileAtomic(e,o,i):this.doReadFile(e,o,i)}async doReadFileAtomic(o,i,e){return new Promise((n,s)=>{this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(async()=>{try{const a=await this.doReadFile(o,i,e);n(a)}catch(a){s(a)}})})}async doReadFile(o,i,e){const n=await this.doReadFileStream(o,i,Object.assign(Object.assign({},e),{preferUnbuffered:!0}));return Object.assign(Object.assign({},n),{value:await(0,h.streamToBuffer)(n.value)})}async readFileStream(o,i){const e=await this.withReadProvider(o);return this.doReadFileStream(e,o,i)}async doReadFileStream(o,i,e){const n=new l.CancellationTokenSource,s=this.validateReadFile(i,e).then(r=>r,r=>{throw n.cancel(),r});let a;try{e&&typeof e.etag=="string"&&e.etag!==E.ETAG_DISABLED&&await s,!((0,E.hasOpenReadWriteCloseCapability)(o)||(0,E.hasFileReadStreamCapability)(o))||(0,E.hasReadWriteCapability)(o)&&(e==null?void 0:e.preferUnbuffered)?a=this.readFileUnbuffered(o,i,e):(0,E.hasFileReadStreamCapability)(o)?a=this.readFileStreamed(o,i,n.token,e):a=this.readFileBuffered(o,i,n.token,e);const r=await s;return Object.assign(Object.assign({},r),{value:a})}catch(r){throw a&&await(0,R.consumeStream)(a),new E.FileOperationError((0,v.localize)(8,null,this.resourceForError(i),(0,E.ensureFileSystemProviderError)(r).toString()),(0,E.toFileOperationResult)(r),e)}}readFileStreamed(o,i,e,n=Object.create(null)){const s=o.readFileStream(i,n,e);return(0,R.transform)(s,{data:a=>a instanceof h.VSBuffer?a:h.VSBuffer.wrap(a),error:a=>new E.FileOperationError((0,v.localize)(9,null,this.resourceForError(i),(0,E.ensureFileSystemProviderError)(a).toString()),(0,E.toFileOperationResult)(a),n)},a=>h.VSBuffer.concat(a))}readFileBuffered(o,i,e,n=Object.create(null)){const s=(0,h.newWriteableBufferStream)();return(0,p.readFileIntoStream)(o,i,s,a=>a,Object.assign(Object.assign({},n),{bufferSize:this.BUFFER_SIZE,errorTransformer:a=>new E.FileOperationError((0,v.localize)(10,null,this.resourceForError(i),(0,E.ensureFileSystemProviderError)(a).toString()),(0,E.toFileOperationResult)(a),n)}),e),s}readFileUnbuffered(o,i,e){const n=(0,R.newWriteableStream)(s=>h.VSBuffer.concat(s));return(async()=>{try{let s=await o.readFile(i);e&&typeof e.position=="number"&&(s=s.slice(e.position)),e&&typeof e.length=="number"&&(s=s.slice(0,e.length)),this.validateReadFileLimits(i,s.byteLength,e),n.end(h.VSBuffer.wrap(s))}catch(s){n.error(s),n.end()}})(),n}async validateReadFile(o,i){const e=await this.resolve(o,{resolveMetadata:!0});if(e.isDirectory)throw new E.FileOperationError((0,v.localize)(11,null,this.resourceForError(o)),0,i);if(i&&typeof i.etag=="string"&&i.etag!==E.ETAG_DISABLED&&i.etag===e.etag)throw new E.FileOperationError((0,v.localize)(12,null),2,i);return this.validateReadFileLimits(o,e.size,i),e}validateReadFileLimits(o,i,e){if(e==null?void 0:e.limits){let n;if(typeof e.limits.memory=="number"&&i>e.limits.memory&&(n=9),typeof e.limits.size=="number"&&i>e.limits.size&&(n=7),typeof n=="number")throw new E.FileOperationError((0,v.localize)(13,null,this.resourceForError(o)),n)}}async canMove(o,i,e){return this.doCanMoveCopy(o,i,"move",e)}async canCopy(o,i,e){return this.doCanMoveCopy(o,i,"copy",e)}async doCanMoveCopy(o,i,e,n){if(o.toString()!==i.toString())try{const s=e==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o):await this.withReadProvider(o),a=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i);await this.doValidateMoveCopy(s,o,a,i,e,n)}catch(s){return s}return!0}async move(o,i,e){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),a=await this.doMoveCopy(n,o,s,i,"move",!!e),r=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new E.FileOperationEvent(o,a==="move"?2:3,r)),r}async copy(o,i,e){const n=await this.withReadProvider(o),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),a=await this.doMoveCopy(n,o,s,i,"copy",!!e),r=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new E.FileOperationEvent(o,a==="copy"?3:2,r)),r}async doMoveCopy(o,i,e,n,s,a){if(i.toString()===n.toString())return s;const{exists:r,isSameResourceWithDifferentPathCase:g}=await this.doValidateMoveCopy(o,i,e,n,s,a);if(r&&!g&&a&&await this.del(n,{recursive:!0}),await this.mkdirp(e,this.getExtUri(e).providerExtUri.dirname(n)),s==="copy"){if(o===e&&(0,E.hasFileFolderCopyCapability)(o))await o.copy(i,n,{overwrite:a});else{const N=await this.resolve(i);N.isDirectory?await this.doCopyFolder(o,N,e,n):await this.doCopyFile(o,i,e,n)}return s}else return o===e?(await o.rename(i,n,{overwrite:a}),s):(await this.doMoveCopy(o,i,e,n,"copy",a),await this.del(i,{recursive:!0}),"copy")}async doCopyFile(o,i,e,n){if((0,E.hasOpenReadWriteCloseCapability)(o)&&(0,E.hasOpenReadWriteCloseCapability)(e))return this.doPipeBuffered(o,i,e,n);if((0,E.hasOpenReadWriteCloseCapability)(o)&&(0,E.hasReadWriteCapability)(e))return this.doPipeBufferedToUnbuffered(o,i,e,n);if((0,E.hasReadWriteCapability)(o)&&(0,E.hasOpenReadWriteCloseCapability)(e))return this.doPipeUnbufferedToBuffered(o,i,e,n);if((0,E.hasReadWriteCapability)(o)&&(0,E.hasReadWriteCapability)(e))return this.doPipeUnbuffered(o,i,e,n)}async doCopyFolder(o,i,e,n){await e.mkdir(n),Array.isArray(i.children)&&await y.Promises.settled(i.children.map(async s=>{const a=this.getExtUri(e).providerExtUri.joinPath(n,s.name);return s.isDirectory?this.doCopyFolder(o,await this.resolve(s.resource),e,a):this.doCopyFile(o,s.resource,e,a)}))}async doValidateMoveCopy(o,i,e,n,s,a){let r=!1;if(o===e){const{providerExtUri:N,isPathCaseSensitive:A}=this.getExtUri(o);if(A||(r=N.isEqual(i,n)),r&&s==="copy")throw new Error((0,v.localize)(14,null,this.resourceForError(i),this.resourceForError(n)));if(!r&&N.isEqualOrParent(n,i))throw new Error((0,v.localize)(15,null,this.resourceForError(i),this.resourceForError(n)))}const g=await this.exists(n);if(g&&!r){if(!a)throw new E.FileOperationError((0,v.localize)(16,null,this.resourceForError(i),this.resourceForError(n)),4);if(o===e){const{providerExtUri:N}=this.getExtUri(o);if(N.isEqualOrParent(i,n))throw new Error((0,v.localize)(17,null,this.resourceForError(i),this.resourceForError(n)))}}return{exists:g,isSameResourceWithDifferentPathCase:r}}getExtUri(o){const i=this.isPathCaseSensitive(o);return{providerExtUri:i?F.extUri:F.extUriIgnorePathCase,isPathCaseSensitive:i}}isPathCaseSensitive(o){return!!(o.capabilities&1024)}async createFolder(o){const i=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);await this.mkdirp(i,o);const e=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new E.FileOperationEvent(o,0,e)),e}async mkdirp(o,i){const e=[],{providerExtUri:n}=this.getExtUri(o);for(;!n.isEqual(i,n.dirname(i));)try{if(((await o.stat(i)).type&E.FileType.Directory)==0)throw new Error((0,v.localize)(18,null,this.resourceForError(i)));break}catch(s){if((0,E.toFileSystemProviderErrorCode)(s)!==E.FileSystemProviderErrorCode.FileNotFound)throw s;e.push(n.basename(i)),i=n.dirname(i)}for(let s=e.length-1;s>=0;s--){i=n.joinPath(i,e[s]);try{await o.mkdir(i)}catch(a){if((0,E.toFileSystemProviderErrorCode)(a)!==E.FileSystemProviderErrorCode.FileExists)throw a}}}async canDelete(o,i){try{await this.doValidateDelete(o,i)}catch(e){return e}return!0}async doValidateDelete(o,i){const e=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);if(!!(i==null?void 0:i.useTrash)&&!(e.capabilities&4096))throw new Error((0,v.localize)(19,null,this.resourceForError(o)));const s=await this.exists(o);if(!s)throw new E.FileOperationError((0,v.localize)(20,null,this.resourceForError(o)),1);if(!!!(i==null?void 0:i.recursive)&&s){const r=await this.resolve(o);if(r.isDirectory&&Array.isArray(r.children)&&r.children.length>0)throw new Error((0,v.localize)(21,null,this.resourceForError(o)))}return e}async del(o,i){const e=await this.doValidateDelete(o,i),n=!!(i==null?void 0:i.useTrash),s=!!(i==null?void 0:i.recursive);await e.delete(o,{recursive:s,useTrash:n}),this._onDidRunOperation.fire(new E.FileOperationEvent(o,1))}watch(o,i={recursive:!1,excludes:[]}){let e=!1,n=()=>{e=!0};return this.doWatch(o,i).then(s=>{e?(0,P.dispose)(s):n=()=>(0,P.dispose)(s)},s=>this.logService.error(s)),(0,P.toDisposable)(()=>n())}async doWatch(o,i){const e=await this.withProvider(o),n=this.toWatchKey(e,o,i),s=this.activeWatchers.get(n)||{count:0,disposable:e.watch(o,i)};return this.activeWatchers.has(n)||this.activeWatchers.set(n,s),s.count+=1,(0,P.toDisposable)(()=>{s.count--,s.count===0&&((0,P.dispose)(s.disposable),this.activeWatchers.delete(n))})}toWatchKey(o,i,e){const{providerExtUri:n}=this.getExtUri(o);return[n.getComparisonKey(i),String(e.recursive),e.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(o=>(0,P.dispose)(o.disposable)),this.activeWatchers.clear()}async doWriteBuffered(o,i,e,n){return this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(async()=>{var s;const a=await o.open(i,{create:!0,unlock:(s=e==null?void 0:e.unlock)!==null&&s!==void 0?s:!1});try{(0,R.isReadableStream)(n)||(0,R.isReadableBufferedStream)(n)?await this.doWriteStreamBufferedQueued(o,a,n):await this.doWriteReadableBufferedQueued(o,a,n)}catch(r){throw(0,E.ensureFileSystemProviderError)(r)}finally{await o.close(a)}})}async doWriteStreamBufferedQueued(o,i,e){let n=0,s;if((0,R.isReadableBufferedStream)(e)){if(e.buffer.length>0){const a=h.VSBuffer.concat(e.buffer);await this.doWriteBuffer(o,i,a,a.byteLength,n,0),n+=a.byteLength}if(e.ended)return;s=e.stream}else s=e;return new Promise(async(a,r)=>{(0,R.listenStream)(s,{onData:async g=>{s.pause();try{await this.doWriteBuffer(o,i,g,g.byteLength,n,0)}catch(N){return r(N)}n+=g.byteLength,setTimeout(()=>s.resume())},onError:g=>r(g),onEnd:()=>a()})})}async doWriteReadableBufferedQueued(o,i,e){let n=0,s;for(;(s=e.read())!==null;)await this.doWriteBuffer(o,i,s,s.byteLength,n,0),n+=s.byteLength}async doWriteBuffer(o,i,e,n,s,a){let r=0;for(;r<n;)r+=await o.write(i,s+r,e.buffer,a+r,n-r)}async doWriteUnbuffered(o,i,e,n){return this.writeQueue.queueFor(i,this.getExtUri(o).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(o,i,e,n))}async doWriteUnbufferedQueued(o,i,e,n){var s;let a;n instanceof h.VSBuffer?a=n:(0,R.isReadableStream)(n)?a=await(0,h.streamToBuffer)(n):(0,R.isReadableBufferedStream)(n)?a=await(0,h.bufferedStreamToBuffer)(n):a=(0,h.readableToBuffer)(n),await o.writeFile(i,a.buffer,{create:!0,overwrite:!0,unlock:(s=e==null?void 0:e.unlock)!==null&&s!==void 0?s:!1})}async doPipeBuffered(o,i,e,n){return this.writeQueue.queueFor(n,this.getExtUri(e).providerExtUri).queue(()=>this.doPipeBufferedQueued(o,i,e,n))}async doPipeBufferedQueued(o,i,e,n){let s,a;try{s=await o.open(i,{create:!1}),a=await e.open(n,{create:!0,unlock:!1});const r=h.VSBuffer.alloc(this.BUFFER_SIZE);let g=0,N=0,A=0;do A=await o.read(s,g,r.buffer,N,r.byteLength-N),await this.doWriteBuffer(e,a,r,A,g,N),g+=A,N+=A,N===r.byteLength&&(N=0);while(A>0)}catch(r){throw(0,E.ensureFileSystemProviderError)(r)}finally{await y.Promises.settled([typeof s=="number"?o.close(s):Promise.resolve(),typeof a=="number"?e.close(a):Promise.resolve()])}}async doPipeUnbuffered(o,i,e,n){return this.writeQueue.queueFor(n,this.getExtUri(e).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(o,i,e,n))}async doPipeUnbufferedQueued(o,i,e,n){return e.writeFile(n,await o.readFile(i),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(o,i,e,n){return this.writeQueue.queueFor(n,this.getExtUri(e).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(o,i,e,n))}async doPipeUnbufferedToBufferedQueued(o,i,e,n){const s=await e.open(n,{create:!0,unlock:!1});try{const a=await o.readFile(i);await this.doWriteBuffer(e,s,h.VSBuffer.wrap(a),a.byteLength,0,0)}catch(a){throw(0,E.ensureFileSystemProviderError)(a)}finally{await e.close(s)}}async doPipeBufferedToUnbuffered(o,i,e,n){const s=await(0,h.streamToBuffer)(this.readFileBuffered(o,i,l.CancellationToken.None));await this.doWriteUnbuffered(e,n,void 0,s)}throwIfFileSystemIsReadonly(o,i){if(o.capabilities&2048)throw new E.FileOperationError((0,v.localize)(22,null,this.resourceForError(i)),6);return o}resourceForError(o){return o.scheme===I.Schemas.file?o.fsPath:o.toString(!0)}};D=ce([fe(0,C.ILogService)],D),t.FileService=D}),define(Y[101],Z([0,1,14,63,2,23,11,17,12,3,20,32,4,13,81,50,89,91,88,95,31,49,21,16]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l,I,p,m,D,b,o,i,e,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiskFileSystemProvider=void 0;class s extends P.Disposable{constructor(r,g){var N;super();this.logService=r,this.options=g,this.BUFFER_SIZE=((N=this.options)===null||N===void 0?void 0:N.bufferSize)||64*1024,this.onDidChangeCapabilities=M.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Map,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new M.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new M.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new R.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192,F.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(r){try{const{stat:g,symbolicLink:N}=await f.SymlinkSupport.stat(this.toFilePath(r));return{type:this.toType(g,N),ctime:g.birthtime.getTime(),mtime:g.mtime.getTime(),size:g.size}}catch(g){throw this.toFileSystemProviderError(g)}}async readdir(r){try{const g=await(0,f.readdir)(this.toFilePath(r),{withFileTypes:!0}),N=[];return await Promise.all(g.map(async A=>{try{let T;A.isSymbolicLink()?T=(await this.stat((0,C.joinPath)(r,A.name))).type:T=this.toType(A),N.push([A.name,T])}catch(T){this.logService.trace(T)}})),N}catch(g){throw this.toFileSystemProviderError(g)}}toType(r,g){let N;return(g==null?void 0:g.dangling)?N=E.FileType.Unknown:r.isFile()?N=E.FileType.File:r.isDirectory()?N=E.FileType.Directory:N=E.FileType.Unknown,g&&(N|=E.FileType.SymbolicLink),N}async readFile(r){try{const g=this.toFilePath(r);return await v.promises.readFile(g)}catch(g){throw this.toFileSystemProviderError(g)}}readFileStream(r,g,N){const A=(0,o.newWriteableStream)(T=>n.VSBuffer.concat(T.map(z=>n.VSBuffer.wrap(z))).buffer);return(0,i.readFileIntoStream)(this,r,A,T=>T.buffer,Object.assign(Object.assign({},g),{bufferSize:this.BUFFER_SIZE}),N),A}async writeFile(r,g,N){let A;try{const T=this.toFilePath(r);if(!N.create||!N.overwrite){if(await(0,f.exists)(T)){if(!N.overwrite)throw(0,E.createFileSystemProviderError)((0,l.localize)(0,null),E.FileSystemProviderErrorCode.FileExists)}else if(!N.create)throw(0,E.createFileSystemProviderError)((0,l.localize)(1,null),E.FileSystemProviderErrorCode.FileNotFound)}A=await this.open(r,{create:!0,unlock:N.unlock}),await this.write(A,0,g,0,g.byteLength)}catch(T){throw await this.toFileSystemProviderWriteError(r,T)}finally{typeof A=="number"&&await this.close(A)}}async open(r,g){try{const N=this.toFilePath(r);if((0,E.isFileOpenForWriteOptions)(g)&&g.unlock)try{const{stat:z}=await f.SymlinkSupport.stat(N);z.mode&128||await v.promises.chmod(N,z.mode|128)}catch(z){this.logService.trace(z)}let A;if((0,E.isFileOpenForWriteOptions)(g)){if(F.isWindows)try{await v.promises.truncate(N,0),A="r+"}catch(z){z.code!=="ENOENT"&&this.logService.trace(z)}A||(A="w")}else A="r";const T=await(0,k.promisify)(v.open)(N,A);return this.mapHandleToPos.set(T,0),(0,E.isFileOpenForWriteOptions)(g)&&this.writeHandles.set(T,r),T}catch(N){throw(0,E.isFileOpenForWriteOptions)(g)?await this.toFileSystemProviderWriteError(r,N):this.toFileSystemProviderError(N)}}async close(r){try{if(this.mapHandleToPos.delete(r),this.writeHandles.delete(r)&&this.canFlush)try{await(0,k.promisify)(v.fdatasync)(r)}catch(g){this.canFlush=!1,this.logService.error(g)}return await(0,k.promisify)(v.close)(r)}catch(g){throw this.toFileSystemProviderError(g)}}async read(r,g,N,A,T){const z=this.normalizePos(r,g);let B=null;try{const H=await(0,k.promisify)(v.read)(r,N,A,T,z);return typeof H=="number"?B=H:B=H.bytesRead,B}catch(H){throw this.toFileSystemProviderError(H)}finally{this.updatePos(r,z,B)}}normalizePos(r,g){return g===this.mapHandleToPos.get(r)?null:g}updatePos(r,g,N){const A=this.mapHandleToPos.get(r);typeof A=="number"&&(typeof g=="number"||(typeof N=="number"?this.mapHandleToPos.set(r,A+N):this.mapHandleToPos.delete(r)))}async write(r,g,N,A,T){return(0,R.retry)(()=>this.doWrite(r,g,N,A,T),100,3)}async doWrite(r,g,N,A,T){const z=this.normalizePos(r,g);let B=null;try{const H=await(0,k.promisify)(v.write)(r,N,A,T,z);return typeof H=="number"?B=H:B=H.bytesWritten,B}catch(H){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(r),H)}finally{this.updatePos(r,z,B)}}async mkdir(r){try{await v.promises.mkdir(this.toFilePath(r))}catch(g){throw this.toFileSystemProviderError(g)}}async delete(r,g){try{const N=this.toFilePath(r);await this.doDelete(N,g)}catch(N){throw this.toFileSystemProviderError(N)}}async doDelete(r,g){g.recursive?await(0,f.rimraf)(r,f.RimRafMode.MOVE):await v.promises.unlink(r)}async rename(r,g,N){const A=this.toFilePath(r),T=this.toFilePath(g);if(A!==T)try{await this.validateTargetDeleted(r,g,"move",N.overwrite),await(0,f.move)(A,T)}catch(z){throw(z.code==="EINVAL"||z.code==="EBUSY"||z.code==="ENAMETOOLONG")&&(z=new Error((0,l.localize)(2,null,(0,u.basename)(A),(0,u.basename)((0,u.dirname)(T)),z.toString()))),this.toFileSystemProviderError(z)}}async copy(r,g,N){const A=this.toFilePath(r),T=this.toFilePath(g);if(A!==T)try{await this.validateTargetDeleted(r,g,"copy",N.overwrite),await(0,f.copy)(A,T,{preserveSymlinks:!0})}catch(z){throw(z.code==="EINVAL"||z.code==="EBUSY"||z.code==="ENAMETOOLONG")&&(z=new Error((0,l.localize)(3,null,(0,u.basename)(A),(0,u.basename)((0,u.dirname)(T)),z.toString()))),this.toFileSystemProviderError(z)}}async validateTargetDeleted(r,g,N,A){const T=this.toFilePath(r),z=this.toFilePath(g);let B=!1;if(!!(this.capabilities&1024)||(B=(0,h.isEqual)(T,z,!0)),B&&N==="copy")throw(0,E.createFileSystemProviderError)((0,l.localize)(4,null),E.FileSystemProviderErrorCode.FileExists);if(!B&&await(0,f.exists)(z)){if(!A)throw(0,E.createFileSystemProviderError)((0,l.localize)(5,null),E.FileSystemProviderErrorCode.FileExists);await this.delete(g,{recursive:!0,useTrash:!1})}}watch(r,g){return g.recursive?this.watchRecursive(r,g.excludes):this.watchNonRecursive(r)}watchRecursive(r,g){const N={path:this.toFilePath(r),excludes:g},A=(0,e.insert)(this.recursiveFoldersToWatch,N);return this.refreshRecursiveWatchers(),(0,P.toDisposable)(()=>{A(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){var r,g,N;if(this.recursiveWatcher instanceof D.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if((0,P.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let A,T;((g=(r=this.options)===null||r===void 0?void 0:r.watcher)===null||g===void 0?void 0:g.usePolling)?(A=p.FileWatcher,T=(N=this.options)===null||N===void 0?void 0:N.watcher):this.recursiveFoldersToWatch.length===1?F.isWindows?A=m.FileWatcher:A=p.FileWatcher:A=D.FileWatcher,this.recursiveWatcher=new A(this.recursiveFoldersToWatch,z=>this._onDidChangeFile.fire((0,I.toFileChanges)(z)),z=>{z.type==="error"&&this._onDidWatchErrorOccur.fire(z.message),this.logService[z.type](z.message)},this.logService.getLevel()===y.LogLevel.Trace,T),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===y.LogLevel.Trace)}))}}watchNonRecursive(r){const g=new b.FileWatcher(this.toFilePath(r),A=>this._onDidChangeFile.fire((0,I.toFileChanges)(A)),A=>{A.type==="error"&&this._onDidWatchErrorOccur.fire(A.message),this.logService[A.type](A.message)},this.logService.getLevel()===y.LogLevel.Trace),N=this.logService.onDidChangeLogLevel(()=>{g.setVerboseLogging(this.logService.getLevel()===y.LogLevel.Trace)});return(0,P.combinedDisposable)(g,N)}toFilePath(r){return(0,u.normalize)(r.fsPath)}toFileSystemProviderError(r){if(r instanceof E.FileSystemProviderError)return r;let g;switch(r.code){case"ENOENT":g=E.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":g=E.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":g=E.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":g=E.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":g=E.FileSystemProviderErrorCode.NoPermissions;break;default:g=E.FileSystemProviderErrorCode.Unknown}return(0,E.createFileSystemProviderError)(r,g)}async toFileSystemProviderWriteError(r,g){let N=this.toFileSystemProviderError(g);if(r&&N.code===E.FileSystemProviderErrorCode.NoPermissions)try{const{stat:A}=await f.SymlinkSupport.stat(this.toFilePath(r));A.mode&128||(N=(0,E.createFileSystemProviderError)(g,E.FileSystemProviderErrorCode.FileWriteLocked))}catch(A){this.logService.trace(A)}return N}dispose(){super.dispose(),(0,P.dispose)(this.recursiveWatcher),this.recursiveWatcher=void 0,(0,P.dispose)(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}t.DiskFileSystemProvider=s}),define(Y[102],Z([0,1,12,14,127,24,2,22,4,26,13,37,21,11,9,3]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l,I){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LocalizationsService=void 0;let p=class extends M.Disposable{constructor(b,o,i){super();this.extensionManagementService=b,this.logService=i,this._onDidLanguagesChange=this._register(new y.Emitter),this.onDidLanguagesChange=this._onDidLanguagesChange.event,this.cache=this._register(new m(o,i)),this._register(b.onDidInstallExtension(({local:e})=>this.onDidInstallExtension(e))),this._register(b.onDidUninstallExtension(({identifier:e})=>this.onDidUninstallExtension(e)))}getLanguageIds(){return this.cache.getLanguagePacks().then(b=>{const o=["en",...Object.keys(b)];return(0,R.distinct)(o)})}onDidInstallExtension(b){b&&b.manifest&&b.manifest.contributes&&b.manifest.contributes.localizations&&b.manifest.contributes.localizations.length&&(this.logService.debug("Adding language packs from the extension",b.identifier.id),this.update().then(o=>{o&&this._onDidLanguagesChange.fire()}))}onDidUninstallExtension(b){this.cache.getLanguagePacks().then(o=>{Object.keys(o).some(i=>o[i]&&o[i].extensions.some(e=>(0,u.areSameExtensions)(e.extensionIdentifier,b)))&&(this.logService.debug("Removing language packs from the extension",b.id),this.update().then(i=>{i&&this._onDidLanguagesChange.fire()}))})}async update(){const[b,o]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),i=await this.cache.update(o);return!(0,R.equals)(Object.keys(b),Object.keys(i))}};p=ce([fe(0,E.IExtensionManagementService),fe(1,F.INativeEnvironmentService),fe(2,C.ILogService)],p),t.LocalizationsService=p;let m=class extends M.Disposable{constructor(b,o){super();this.logService=o,this.languagePacks={},this.languagePacksFilePath=(0,I.join)(b.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new f.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(b){return this.withLanguagePacks(o=>{Object.keys(o).forEach(i=>delete o[i]),this.createLanguagePacksFromExtensions(o,...b)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(b,...o){for(const i of o)i&&i.manifest&&i.manifest.contributes&&i.manifest.contributes.localizations&&i.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(b,i);Object.keys(b).forEach(i=>this.updateHash(b[i]))}createLanguagePacksFromExtension(b,o){const i=o.identifier,e=o.manifest.contributes&&o.manifest.contributes.localizations?o.manifest.contributes.localizations:[];for(const n of e)if(o.location.scheme===l.Schemas.file&&(0,h.isValidLocalization)(n)){let s=b[n.languageId];s||(s={hash:"",extensions:[],translations:{}},b[n.languageId]=s);let a=s.extensions.filter(r=>(0,u.areSameExtensions)(r.extensionIdentifier,i))[0];a?a.version=o.manifest.version:s.extensions.push({extensionIdentifier:i,version:o.manifest.version});for(const r of n.translations)s.translations[r.id]=(0,I.join)(o.location.fsPath,r.path)}}updateHash(b){if(b){const o=(0,P.createHash)("md5");for(const i of b.extensions)o.update(i.extensionIdentifier.uuid||i.extensionIdentifier.id).update(i.version);b.hash=o.digest("hex")}}withLanguagePacks(b=()=>null){return this.languagePacksFileLimiter.queue(()=>{let o=null;return k.promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,i=>i.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(i)).then(i=>{try{return JSON.parse(i)}catch(e){return{}}}).then(i=>(o=b(i),i)).then(i=>{for(const n of Object.keys(i))i[n]||delete i[n];this.languagePacks=i,this.initializedCache=!0;const e=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",e),(0,v.writeFile)(this.languagePacksFilePath,e)}).then(()=>o,i=>this.logService.error(i))})}};m=ce([fe(0,F.INativeEnvironmentService),fe(1,C.ILogService)],m)}),define(Y[103],Z([0,1,13,23]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpdLogLogger=t.createRotatingLogger=void 0;async function P(f,u,C,h){try{const R=await new Promise((y,l)=>{x(["spdlog"],y,l)});return R.setAsyncMode(8192,500),R.createRotatingLoggerAsync(f,u,C,h)}catch(R){console.error(R)}return null}function E(f,u,C,h){return x.__$__nodeRequire("spdlog").createRotatingLogger(f,u,C,h)}t.createRotatingLogger=E;function M(f,u,C){switch(u){case v.LogLevel.Trace:f.trace(C);break;case v.LogLevel.Debug:f.debug(C);break;case v.LogLevel.Info:f.info(C);break;case v.LogLevel.Warning:f.warn(C);break;case v.LogLevel.Error:f.error(C);break;case v.LogLevel.Critical:f.critical(C);break;default:throw new Error("Invalid log level")}}class F extends v.AbstractMessageLogger{constructor(u,C,h,R){super();this.name=u,this.filepath=C,this.rotating=h,this.buffer=[],this.setLevel(R),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(y=>{this._logger&&this._logger.setLevel(y)}))}_createSpdLogLogger(){const u=this.rotating?6:1,C=30/u*k.ByteSize.MB;return P(this.name,this.filepath,C,u).then(h=>{if(h){this._logger=h,this._logger.setLevel(this.getLevel());for(const{level:R,message:y}of this.buffer)M(this._logger,R,y);this.buffer=[]}})}log(u,C){this._logger?M(this._logger,u,C):this.getLevel()<=u&&this.buffer.push({level:u,message:C})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}t.SpdLogLogger=F}),define(Y[40],Z([0,1,7]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IProductService=void 0,t.IProductService=(0,v.createDecorator)("productService")}),define(Y[25],Z([0,1,8,55]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Registry=void 0;class P{constructor(){this.data=new Map}add(M,F){k.ok(v.isString(M)),k.ok(v.isObject(F)),k.ok(!this.data.has(M),"There is already an extension with this id"),this.data.set(M,F)}knows(M){return this.data.has(M)}as(M){return this.data.get(M)||null}}t.Registry=new P}),define(Y[104],Z([0,1,25,11]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions=void 0,t.Extensions={JSONContribution:"base.contributions.json"};function P(F){return F.length>0&&F.charAt(F.length-1)==="#"?F.substring(0,F.length-1):F}class E{constructor(){this._onDidChangeSchema=new k.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(f,u){this.schemasById[P(f)]=u,this._onDidChangeSchema.fire(f)}notifySchemaChanged(f){this._onDidChangeSchema.fire(f)}getSchemaContributions(){return{schemas:this.schemasById}}}const M=new E;v.Registry.add(t.Extensions.JSONContribution,M)}),define(Y[29],Z([0,1,72,11,25,8,104]),function(x,t,v,k,P,E,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getScopes=t.validateProperty=t.getDefaultValue=t.overrideIdentifierFromKey=t.OVERRIDE_PROPERTY_PATTERN=t.resourceLanguageSettingsSchemaId=t.resourceSettings=t.windowSettings=t.machineOverridableSettings=t.machineSettings=t.applicationSettings=t.allSettings=t.ConfigurationScope=t.Extensions=void 0,t.Extensions={Configuration:"base.contributions.configuration"};var F;(function(p){p[p.APPLICATION=1]="APPLICATION",p[p.MACHINE=2]="MACHINE",p[p.WINDOW=3]="WINDOW",p[p.RESOURCE=4]="RESOURCE",p[p.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",p[p.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(F=t.ConfigurationScope||(t.ConfigurationScope={})),t.allSettings={properties:{},patternProperties:{}},t.applicationSettings={properties:{},patternProperties:{}},t.machineSettings={properties:{},patternProperties:{}},t.machineOverridableSettings={properties:{},patternProperties:{}},t.windowSettings={properties:{},patternProperties:{}},t.resourceSettings={properties:{},patternProperties:{}},t.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const f=P.Registry.as(M.Extensions.JSONContribution);class u{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new k.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new k.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:v.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},f.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(m,D=!0){this.registerConfigurations([m],D)}registerConfigurations(m,D=!0){const b=[];m.forEach(o=>{b.push(...this.validateAndRegisterProperties(o,D)),this.configurationContributors.push(o),this.registerJSONConfiguration(o)}),f.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(b)}deregisterConfigurations(m){const D=[],b=o=>{if(o.properties)for(const i in o.properties)D.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,o.properties[i]);o.allOf&&o.allOf.forEach(i=>b(i))};for(const o of m){b(o);const i=this.configurationContributors.indexOf(o);i!==-1&&this.configurationContributors.splice(i,1)}f.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(D)}registerDefaultConfigurations(m){const D=[],b=[];for(const o of m)for(const i in o)if(D.push(i),t.OVERRIDE_PROPERTY_PATTERN.test(i)){this.defaultValues[i]=Object.assign(Object.assign({},this.defaultValues[i]||{}),o[i]);const e={type:"object",default:this.defaultValues[i],description:v.localize(1,null,i),$ref:t.resourceLanguageSettingsSchemaId};b.push(h(i)),this.configurationProperties[i]=e,this.defaultLanguageConfigurationOverridesNode.properties[i]=e}else{this.defaultValues[i]=o[i];const e=this.configurationProperties[i];e&&(this.updatePropertyDefaultValue(i,e),this.updateSchema(i,e))}this.registerOverrideIdentifiers(b),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(D)}deregisterDefaultConfigurations(m){const D=[];for(const b of m)for(const o in b)if(D.push(o),delete this.defaultValues[o],t.OVERRIDE_PROPERTY_PATTERN.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const i=this.configurationProperties[o];i&&(this.updatePropertyDefaultValue(o,i),this.updateSchema(o,i))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(D)}notifyConfigurationSchemaUpdated(...m){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(m){for(const D of m)this.overrideIdentifiers.add(D);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(m,D=!0,b=3){b=E.isUndefinedOrNull(m.scope)?b:m.scope;let o=[],i=m.properties;if(i)for(let n in i){if(D&&l(n)){delete i[n];continue}const s=i[n];if(this.updatePropertyDefaultValue(n,s),t.OVERRIDE_PROPERTY_PATTERN.test(n)?s.scope=void 0:s.scope=E.isUndefinedOrNull(s.scope)?b:s.scope,i[n].hasOwnProperty("included")&&!i[n].included){this.excludedConfigurationProperties[n]=i[n],delete i[n];continue}else this.configurationProperties[n]=i[n];!i[n].deprecationMessage&&i[n].markdownDeprecationMessage&&(i[n].deprecationMessage=i[n].markdownDeprecationMessage),o.push(n)}let e=m.allOf;if(e)for(let n of e)o.push(...this.validateAndRegisterProperties(n,D,b));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(m){const D=b=>{let o=b.properties;if(o)for(const e in o)this.updateSchema(e,o[e]);let i=b.allOf;i&&i.forEach(D)};D(m)}updateSchema(m,D){switch(t.allSettings.properties[m]=D,D.scope){case 1:t.applicationSettings.properties[m]=D;break;case 2:t.machineSettings.properties[m]=D;break;case 6:t.machineOverridableSettings.properties[m]=D;break;case 3:t.windowSettings.properties[m]=D;break;case 4:t.resourceSettings.properties[m]=D;break;case 5:t.resourceSettings.properties[m]=D,this.resourceLanguageSettingsSchema.properties[m]=D;break}}removeFromSchema(m,D){switch(delete t.allSettings.properties[m],D.scope){case 1:delete t.applicationSettings.properties[m];break;case 2:delete t.machineSettings.properties[m];break;case 6:delete t.machineOverridableSettings.properties[m];break;case 3:delete t.windowSettings.properties[m];break;case 4:case 5:delete t.resourceSettings.properties[m];break}}updateOverridePropertyPatternKey(){for(const m of this.overrideIdentifiers.values()){const D=`[${m}]`,b={type:"object",description:v.localize(2,null),errorMessage:v.localize(3,null),$ref:t.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(D,b),t.allSettings.properties[D]=b,t.applicationSettings.properties[D]=b,t.machineSettings.properties[D]=b,t.machineOverridableSettings.properties[D]=b,t.windowSettings.properties[D]=b,t.resourceSettings.properties[D]=b}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(m,D){let b=this.defaultValues[m];E.isUndefined(b)&&(b=D.default),E.isUndefined(b)&&(b=R(D.type)),D.default=b}}const C="\\[.*\\]$";t.OVERRIDE_PROPERTY_PATTERN=new RegExp(C);function h(p){return p.substring(1,p.length-1)}t.overrideIdentifierFromKey=h;function R(p){switch(Array.isArray(p)?p[0]:p){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}t.getDefaultValue=R;const y=new u;P.Registry.add(t.Extensions.Configuration,y);function l(p){return p.trim()?t.OVERRIDE_PROPERTY_PATTERN.test(p)?v.localize(5,null,p):y.getConfigurationProperties()[p]!==void 0?v.localize(6,null,p):null:v.localize(4,null)}t.validateProperty=l;function I(){const p=[],m=y.getConfigurationProperties();for(const D of Object.keys(m))p.push([D,m[D].scope]);return p.push(["launch",4]),p.push(["task",4]),p}t.getScopes=I}),define(Y[27],Z([0,1,19,8,10,25,7,29]),function(x,t,v,k,P,E,M,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getMigratedSettingValue=t.keyFromOverrideIdentifier=t.getDefaultValues=t.getConfigurationKeys=t.merge=t.getConfigurationValue=t.removeFromValueTree=t.addToValueTree=t.toValuesTree=t.toOverrides=t.compare=t.ConfigurationTargetToString=t.ConfigurationTarget=t.isConfigurationOverrides=t.IConfigurationService=void 0,t.IConfigurationService=(0,M.createDecorator)("configurationService");function f(n){return n&&typeof n=="object"&&(!n.overrideIdentifier||typeof n.overrideIdentifier=="string")&&(!n.resource||n.resource instanceof P.URI)}t.isConfigurationOverrides=f;var u;(function(n){n[n.USER=1]="USER",n[n.USER_LOCAL=2]="USER_LOCAL",n[n.USER_REMOTE=3]="USER_REMOTE",n[n.WORKSPACE=4]="WORKSPACE",n[n.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",n[n.DEFAULT=6]="DEFAULT",n[n.MEMORY=7]="MEMORY"})(u=t.ConfigurationTarget||(t.ConfigurationTarget={}));function C(n){switch(n){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}t.ConfigurationTargetToString=C;function h(n,s){const a=s?n?s.keys.filter(B=>n.keys.indexOf(B)===-1):[...s.keys]:[],r=n?s?n.keys.filter(B=>s.keys.indexOf(B)===-1):[...n.keys]:[],g=[];if(s&&n){for(const B of n.keys)if(s.keys.indexOf(B)!==-1){const H=m(n.contents,B),X=m(s.contents,B);v.equals(H,X)||g.push(B)}}const N=[],A=B=>{const H={};for(const X of B)for(const se of X.identifiers)H[i(se)]=X;return H},T=s?A(s.overrides):{},z=n?A(n.overrides):{};if(Object.keys(T).length)for(const B of a){const H=T[B];H&&N.push([(0,F.overrideIdentifierFromKey)(B),H.keys])}if(Object.keys(z).length)for(const B of r){const H=z[B];H&&N.push([(0,F.overrideIdentifierFromKey)(B),H.keys])}if(Object.keys(T).length&&Object.keys(z).length)for(const B of g){const H=z[B],X=T[B];if(H&&X){const se=h({contents:H.contents,keys:H.keys,overrides:[]},{contents:X.contents,keys:X.keys,overrides:[]});N.push([(0,F.overrideIdentifierFromKey)(B),[...se.added,...se.removed,...se.updated]])}}return{added:a,removed:r,updated:g,overrides:N}}t.compare=h;function R(n,s){const a=[];for(const r of Object.keys(n))if(F.OVERRIDE_PROPERTY_PATTERN.test(r)){const g={};for(const N in n[r])g[N]=n[r][N];a.push({identifiers:[(0,F.overrideIdentifierFromKey)(r).trim()],keys:Object.keys(g),contents:y(g,s)})}return a}t.toOverrides=R;function y(n,s){const a=Object.create(null);for(let r in n)l(a,r,n[r],s);return a}t.toValuesTree=y;function l(n,s,a,r){const g=s.split("."),N=g.pop();let A=n;for(let T=0;T<g.length;T++){let z=g[T],B=A[z];switch(typeof B){case"undefined":B=A[z]=Object.create(null);break;case"object":break;default:r(`Ignoring ${s} as ${g.slice(0,T+1).join(".")} is ${JSON.stringify(B)}`);return}A=B}if(typeof A=="object"&&A!==null)try{A[N]=a}catch(T){r(`Ignoring ${s} as ${g.join(".")} is ${JSON.stringify(A)}`)}else r(`Ignoring ${s} as ${g.join(".")} is ${JSON.stringify(A)}`)}t.addToValueTree=l;function I(n,s){const a=s.split(".");p(n,a)}t.removeFromValueTree=I;function p(n,s){const a=s.shift();if(s.length===0){delete n[a];return}if(Object.keys(n).indexOf(a)!==-1){const r=n[a];typeof r=="object"&&!Array.isArray(r)&&(p(r,s),Object.keys(r).length===0&&delete n[a])}}function m(n,s,a){function r(A,T){let z=A;for(const B of T){if(typeof z!="object"||z===null)return;z=z[B]}return z}const g=s.split("."),N=r(n,g);return typeof N=="undefined"?a:N}t.getConfigurationValue=m;function D(n,s,a){Object.keys(s).forEach(r=>{r!=="__proto__"&&(r in n?k.isObject(n[r])&&k.isObject(s[r])?D(n[r],s[r],a):a&&(n[r]=s[r]):n[r]=s[r])})}t.merge=D;function b(){const n=E.Registry.as(F.Extensions.Configuration).getConfigurationProperties();return Object.keys(n)}t.getConfigurationKeys=b;function o(){const n=Object.create(null),s=E.Registry.as(F.Extensions.Configuration).getConfigurationProperties();for(let a in s){let r=s[a].default;l(n,a,r,g=>console.error(`Conflict in default settings: ${g}`))}return n}t.getDefaultValues=o;function i(n){return`[${n}]`}t.keyFromOverrideIdentifier=i;function e(n,s,a){const r=n.inspect(s),g=n.inspect(a);return typeof r.userValue!="undefined"||typeof r.workspaceValue!="undefined"||typeof r.workspaceFolderValue!="undefined"?r.value:typeof g.userValue!="undefined"||typeof g.workspaceValue!="undefined"||typeof g.workspaceFolderValue!="undefined"?g.value:r.defaultValue}t.getMigratedSettingValue=e}),define(Y[105],Z([0,1,57,43,21,8,19,10,29,27,25,2,11]),function(x,t,v,k,P,E,M,F,f,u,C,h,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AllKeysConfigurationChangeEvent=t.ConfigurationChangeEvent=t.mergeChanges=t.Configuration=t.UserSettings=t.ConfigurationModelParser=t.DefaultConfigurationModel=t.ConfigurationModel=void 0;class y{constructor(e={},n=[],s=[]){this._contents=e,this._keys=n,this._overrides=s,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(e){return e?(0,u.getConfigurationValue)(this.contents,e):this.contents}getOverrideValue(e,n){const s=this.getContentsForOverrideIdentifer(n);return s?e?(0,u.getConfigurationValue)(s,e):s:void 0}getKeysForOverrideIdentifier(e){for(const n of this.overrides)if(n.identifiers.indexOf(e)!==-1)return n.keys;return[]}override(e){const n=this.getContentsForOverrideIdentifer(e);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let s={};for(const a of P.distinct([...Object.keys(this.contents),...Object.keys(n)])){let r=this.contents[a],g=n[a];g&&(typeof r=="object"&&typeof g=="object"?(r=M.deepClone(r),this.mergeContents(r,g)):r=g),s[a]=r}return new y(s,this.keys,this.overrides)}merge(...e){const n=M.deepClone(this.contents),s=M.deepClone(this.overrides),a=[...this.keys];for(const r of e){this.mergeContents(n,r.contents);for(const g of r.overrides){const[N]=s.filter(A=>P.equals(A.identifiers,g.identifiers));N?this.mergeContents(N.contents,g.contents):s.push(M.deepClone(g))}for(const g of r.keys)a.indexOf(g)===-1&&a.push(g)}return new y(n,a,s)}freeze(){return this.isFrozen=!0,this}mergeContents(e,n){for(const s of Object.keys(n)){if(s in e&&E.isObject(e[s])&&E.isObject(n[s])){this.mergeContents(e[s],n[s]);continue}e[s]=M.deepClone(n[s])}}checkAndFreeze(e){return this.isFrozen&&!Object.isFrozen(e)?M.deepFreeze(e):e}getContentsForOverrideIdentifer(e){for(const n of this.overrides)if(n.identifiers.indexOf(e)!==-1)return n.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(e,n){this.addKey(e),(0,u.addToValueTree)(this.contents,e,n,s=>{throw new Error(s)})}removeValue(e){this.removeKey(e)&&(0,u.removeFromValueTree)(this.contents,e)}addKey(e){let n=this.keys.length;for(let s=0;s<n;s++)e.indexOf(this.keys[s])===0&&(n=s);this.keys.splice(n,1,e)}removeKey(e){let n=this.keys.indexOf(e);return n!==-1?(this.keys.splice(n,1),!0):!1}}t.ConfigurationModel=y;class l extends y{constructor(){const e=(0,u.getDefaultValues)(),n=(0,u.getConfigurationKeys)(),s=[];for(const a of Object.keys(e))f.OVERRIDE_PROPERTY_PATTERN.test(a)&&s.push({identifiers:[(0,f.overrideIdentifierFromKey)(a).trim()],keys:Object.keys(e[a]),contents:(0,u.toValuesTree)(e[a],r=>console.error(`Conflict in default settings file: ${r}`))});super(e,n,s)}}t.DefaultConfigurationModel=l;class I{constructor(e,n){this._name=e,this._scopes=n,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new y}get errors(){return this._parseErrors}parseContent(e){if(!E.isUndefinedOrNull(e)){const n=this.doParseContent(e);this.parseRaw(n)}}parseRaw(e){this._raw=e;const n=this.doParseRaw(e);this._configurationModel=new y(n.contents,n.keys,n.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(e){let n={},s=null,a=[],r=[],g=[];function N(T){Array.isArray(a)?a.push(T):s&&(a[s]=T)}let A={onObjectBegin:()=>{let T={};N(T),r.push(a),a=T,s=null},onObjectProperty:T=>{s=T},onObjectEnd:()=>{a=r.pop()},onArrayBegin:()=>{let T=[];N(T),r.push(a),a=T,s=null},onArrayEnd:()=>{a=r.pop()},onLiteralValue:N,onError:(T,z,B)=>{g.push({error:T,offset:z,length:B})}};if(e)try{v.visit(e,A),n=a[0]||{}}catch(T){console.error(`Error while parsing settings file ${this._name}: ${T}`),this._parseErrors=[T]}return n}doParseRaw(e){if(this._scopes){const r=C.Registry.as(f.Extensions.Configuration).getConfigurationProperties();e=this.filterByScope(e,r,!0,this._scopes)}const n=(0,u.toValuesTree)(e,r=>console.error(`Conflict in settings file ${this._name}: ${r}`)),s=Object.keys(e),a=(0,u.toOverrides)(e,r=>console.error(`Conflict in settings file ${this._name}: ${r}`));return{contents:n,keys:s,overrides:a}}filterByScope(e,n,s,a){const r={};for(let g in e)if(f.OVERRIDE_PROPERTY_PATTERN.test(g)&&s)r[g]=this.filterByScope(e[g],n,!1,a);else{const N=this.getScope(g,n);(N===void 0||a.indexOf(N)!==-1)&&(r[g]=e[g])}return r}getScope(e,n){const s=n[e];return s?typeof s.scope!="undefined"?s.scope:3:void 0}}t.ConfigurationModelParser=I;class p extends h.Disposable{constructor(e,n,s,a){super();this.userSettingsResource=e,this.scopes=n,this.fileService=a,this._onDidChange=this._register(new R.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new I(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(R.Event.filter(this.fileService.onDidFilesChange,r=>r.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const e=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(e.value.toString()||"{}"),this.parser.configurationModel}catch(e){return new y}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}t.UserSettings=p;class m{constructor(e,n,s=new y,a=new y,r=new k.ResourceMap,g=new y,N=new k.ResourceMap,A=!0){this._defaultConfiguration=e,this._localUserConfiguration=n,this._remoteUserConfiguration=s,this._workspaceConfiguration=a,this._folderConfigurations=r,this._memoryConfiguration=g,this._memoryConfigurationByResource=N,this._freeze=A,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new k.ResourceMap,this._userConfiguration=null}getValue(e,n,s){return this.getConsolidateConfigurationModel(n,s).getValue(e)}updateValue(e,n,s={}){let a;s.resource?(a=this._memoryConfigurationByResource.get(s.resource),a||(a=new y,this._memoryConfigurationByResource.set(s.resource,a))):a=this._memoryConfiguration,n===void 0?a.removeValue(e):a.setValue(e,n),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(e,n,s){const a=this.getConsolidateConfigurationModel(n,s),r=this.getFolderConfigurationModelForResource(n.resource,s),g=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,N=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this._defaultConfiguration.freeze().getValue(e),A=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.userConfiguration.freeze().getValue(e),T=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.localUserConfiguration.freeze().getValue(e),z=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.remoteUserConfiguration.freeze().getValue(e),B=s?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this._workspaceConfiguration.freeze().getValue(e):void 0,H=r?n.overrideIdentifier?r.freeze().override(n.overrideIdentifier).getValue(e):r.freeze().getValue(e):void 0,X=n.overrideIdentifier?g.override(n.overrideIdentifier).getValue(e):g.getValue(e),se=a.getValue(e),re=P.distinct(P.flatten(a.overrides.map(ee=>ee.identifiers))).filter(ee=>a.getOverrideValue(e,ee)!==void 0);return{defaultValue:N,userValue:A,userLocalValue:T,userRemoteValue:z,workspaceValue:B,workspaceFolderValue:H,memoryValue:X,value:se,default:N!==void 0?{value:this._defaultConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,user:A!==void 0?{value:this.userConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,userLocal:T!==void 0?{value:this.localUserConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,userRemote:z!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,workspace:B!==void 0?{value:this._workspaceConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,workspaceFolder:H!==void 0?{value:r==null?void 0:r.freeze().getValue(e),override:n.overrideIdentifier?r==null?void 0:r.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,memory:X!==void 0?{value:g.getValue(e),override:n.overrideIdentifier?g.getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:re.length?re:void 0}}keys(e){const n=this.getFolderConfigurationModelForResource(void 0,e);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(e){this._defaultConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(e){this._localUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(e){this._remoteUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(e){this._workspaceConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(e,n){this._folderConfigurations.set(e,n),this._foldersConsolidatedConfigurations.delete(e)}deleteFolderConfiguration(e){this.folderConfigurations.delete(e),this._foldersConsolidatedConfigurations.delete(e)}compareAndUpdateDefaultConfiguration(e,n){const s=n.filter(a=>f.OVERRIDE_PROPERTY_PATTERN.test(a)).map(a=>{const r=(0,f.overrideIdentifierFromKey)(a),g=this._defaultConfiguration.getKeysForOverrideIdentifier(r),N=e.getKeysForOverrideIdentifier(r),A=[...N.filter(T=>g.indexOf(T)===-1),...g.filter(T=>N.indexOf(T)===-1),...g.filter(T=>!M.equals(this._defaultConfiguration.override(r).getValue(T),e.override(r).getValue(T)))];return[r,A]});return this.updateDefaultConfiguration(e),{keys:n,overrides:s}}compareAndUpdateLocalUserConfiguration(e){const{added:n,updated:s,removed:a,overrides:r}=(0,u.compare)(this.localUserConfiguration,e),g=[...n,...s,...a];return g.length&&this.updateLocalUserConfiguration(e),{keys:g,overrides:r}}compareAndUpdateRemoteUserConfiguration(e){const{added:n,updated:s,removed:a,overrides:r}=(0,u.compare)(this.remoteUserConfiguration,e);let g=[...n,...s,...a];return g.length&&this.updateRemoteUserConfiguration(e),{keys:g,overrides:r}}compareAndUpdateWorkspaceConfiguration(e){const{added:n,updated:s,removed:a,overrides:r}=(0,u.compare)(this.workspaceConfiguration,e);let g=[...n,...s,...a];return g.length&&this.updateWorkspaceConfiguration(e),{keys:g,overrides:r}}compareAndUpdateFolderConfiguration(e,n){const s=this.folderConfigurations.get(e),{added:a,updated:r,removed:g,overrides:N}=(0,u.compare)(s,n);let A=[...a,...r,...g];return(A.length||!s)&&this.updateFolderConfiguration(e,n),{keys:A,overrides:N}}compareAndDeleteFolderConfiguration(e){const n=this.folderConfigurations.get(e);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(e);const{added:s,updated:a,removed:r,overrides:g}=(0,u.compare)(n,void 0);return{keys:[...s,...a,...r],overrides:g}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(e,n){let s=this.getConsolidatedConfigurationModelForResource(e,n);return e.overrideIdentifier?s.override(e.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:e},n){let s=this.getWorkspaceConsolidatedConfiguration();if(n&&e){const a=n.getFolder(e);a&&(s=this.getFolderConsolidatedConfiguration(a.uri)||s);const r=this._memoryConfigurationByResource.get(e);r&&(s=s.merge(r))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(e){let n=this._foldersConsolidatedConfigurations.get(e);if(!n){const s=this.getWorkspaceConsolidatedConfiguration(),a=this._folderConfigurations.get(e);a?(n=s.merge(a),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(e,n)):n=s}return n}getFolderConfigurationModelForResource(e,n){if(n&&e){const s=n.getFolder(e);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((e,n)=>{const{contents:s,overrides:a,keys:r}=this._folderConfigurations.get(n);return e.push([n,{contents:s,overrides:a,keys:r}]),e},[])}}allKeys(){const e=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>e.add(n)),this.userConfiguration.freeze().keys.forEach(n=>e.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>e.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(s=>e.add(s))),[...e.values()]}getAllKeysForOverrideIdentifier(e){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(e).forEach(a=>n.add(a))),[...n.values()]}static parse(e){const n=this.parseConfigurationModel(e.defaults),s=this.parseConfigurationModel(e.user),a=this.parseConfigurationModel(e.workspace),r=e.folders.reduce((g,N)=>(g.set(F.URI.revive(N[0]),this.parseConfigurationModel(N[1])),g),new k.ResourceMap);return new m(n,s,new y,a,r,new y,new k.ResourceMap,!1)}static parseConfigurationModel(e){return new y(e.contents,e.keys,e.overrides).freeze()}}t.Configuration=m;function D(...i){if(i.length===0)return{keys:[],overrides:[]};if(i.length===1)return i[0];const e=new Set,n=new Map;for(const a of i)a.keys.forEach(r=>e.add(r)),a.overrides.forEach(([r,g])=>{const N=(0,k.getOrSet)(n,r,new Set);g.forEach(A=>N.add(A))});const s=[];return n.forEach((a,r)=>s.push([r,[...a.values()]])),{keys:[...e.values()],overrides:s}}t.mergeChanges=D;class b{constructor(e,n,s,a){this.change=e,this.previous=n,this.currentConfiguraiton=s,this.currentWorkspace=a,this._previousConfiguration=void 0;const r=new Set;e.keys.forEach(N=>r.add(N)),e.overrides.forEach(([,N])=>N.forEach(A=>r.add(A))),this.affectedKeys=[...r.values()];const g=new y;this.affectedKeys.forEach(N=>g.setValue(N,{})),this.affectedKeysTree=g.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=m.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(e,n){var s;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,e)){if(n){const a=this.previousConfiguration?this.previousConfiguration.getValue(e,n,(s=this.previous)===null||s===void 0?void 0:s.workspace):void 0,r=this.currentConfiguraiton.getValue(e,n,this.currentWorkspace);return!M.equals(a,r)}return!0}return!1}doesAffectedKeysTreeContains(e,n){let s=(0,u.toValuesTree)({[n]:!0},()=>{}),a;for(;typeof s=="object"&&(a=Object.keys(s)[0]);){if(e=e[a],!e)return!1;s=s[a]}return!0}}t.ConfigurationChangeEvent=b;class o extends b{constructor(e,n,s,a){super({keys:e.allKeys(),overrides:[]},void 0,e,n);this.source=s,this.sourceConfig=a}}t.AllKeysConfigurationChangeEvent=o}),define(Y[106],Z([0,1,25,29,2,27,105,11,4,20]),function(x,t,v,k,P,E,M,F,f,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ConfigurationService=void 0;class C extends P.Disposable{constructor(R,y){super();this.settingsResource=R,this._onDidChangeConfiguration=this._register(new F.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new M.UserSettings(this.settingsResource,void 0,u.extUriBiasedIgnorePathCase,y)),this.configuration=new M.Configuration(new M.DefaultConfigurationModel,new M.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new f.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(v.Registry.as(k.Extensions.Configuration).onDidUpdateConfiguration(l=>this.onDidDefaultConfigurationChange(l))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const R=await this.userConfiguration.loadConfiguration();this.configuration=new M.Configuration(new M.DefaultConfigurationModel,R)}getConfigurationData(){return this.configuration.toData()}getValue(R,y){const l=typeof R=="string"?R:void 0,I=(0,E.isConfigurationOverrides)(R)?R:(0,E.isConfigurationOverrides)(y)?y:{};return this.configuration.getValue(l,I,void 0)}updateValue(R,y,l,I){return Promise.reject(new Error("not supported"))}inspect(R){return this.configuration.inspect(R,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const R=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(R)}onDidChangeUserConfiguration(R){const y=this.configuration.toData(),l=this.configuration.compareAndUpdateLocalUserConfiguration(R);this.trigger(l,y,1)}onDidDefaultConfigurationChange(R){const y=this.configuration.toData(),l=this.configuration.compareAndUpdateDefaultConfiguration(new M.DefaultConfigurationModel,R);this.trigger(l,y,6)}trigger(R,y,l){const I=new M.ConfigurationChangeEvent(R,{data:y},this.configuration);I.source=l,I.sourceConfig=this.getTargetConfiguration(l),this._onDidChangeConfiguration.fire(I)}getTargetConfiguration(R){switch(R){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}t.ConfigurationService=C}),define(Y[52],Z([0,1,82,7,29,25,16]),function(x,t,v,k,P,E,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.asJson=t.asText=t.isSuccess=t.IRequestService=void 0,t.IRequestService=(0,k.createDecorator)("requestService");function F(h){return h.res.statusCode&&h.res.statusCode>=200&&h.res.statusCode<300||h.res.statusCode===1223}t.isSuccess=F;function f(h){return h.res.statusCode===204}async function u(h){if(!F(h))throw new Error("Server returned "+h.res.statusCode);return f(h)?null:(await(0,M.streamToBuffer)(h.stream)).toString()}t.asText=u;async function C(h){if(!F(h))throw new Error("Server returned "+h.res.statusCode);if(f(h))return null;const y=(await(0,M.streamToBuffer)(h.stream)).toString();try{return JSON.parse(y)}catch(l){throw l.message+=`:
`+y,l}}t.asJson=C,E.Registry.as(P.Extensions.Configuration).registerConfiguration({id:"http",order:15,title:(0,v.localize)(0,null),type:"object",properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,v.localize)(1,null)},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,v.localize)(2,null)},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,v.localize)(3,null)},"http.proxySupport":{type:"string",enum:["off","on","override"],enumDescriptions:[(0,v.localize)(4,null),(0,v.localize)(5,null),(0,v.localize)(6,null)],default:"override",description:(0,v.localize)(7,null)},"http.systemCertificates":{type:"boolean",default:!0,description:(0,v.localize)(8,null)}}})}),define(Y[107],Z([0,1,108,8]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getProxyAgent=void 0;function P(M){return M.protocol==="http:"?process.env.HTTP_PROXY||process.env.http_proxy||null:M.protocol==="https:"&&(process.env.HTTPS_PROXY||process.env.https_proxy||process.env.HTTP_PROXY||process.env.http_proxy)||null}async function E(M,F={}){const f=(0,v.parse)(M),u=F.proxyUrl||P(f);if(!u)return null;const C=(0,v.parse)(u);if(!/^https?:$/.test(C.protocol||""))return null;const h={host:C.hostname||"",port:C.port||(C.protocol==="https"?"443":"80"),auth:C.auth,rejectUnauthorized:(0,k.isBoolean)(F.strictSSL)?F.strictSSL:!0};return f.protocol==="http:"?new(await new Promise((R,y)=>{x(["http-proxy-agent"],R,y)}))(h):new(await new Promise((R,y)=>{x(["https-proxy-agent"],R,y)}))(h)}t.getProxyAgent=E}),define(Y[109],Z([0,1,39,16]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getServiceMachineId=void 0;async function P(E,M,F){let f=F&&F.get("storage.serviceMachineId",0)||null;if(f)return f;try{const C=(await M.readFile(E.serviceMachineIdResource)).value.toString();f=(0,v.isUUID)(C)?C:null}catch(u){f=null}if(!f){f=(0,v.generateUuid)();try{await M.writeFile(E.serviceMachineIdResource,k.VSBuffer.fromString(f))}catch(u){}}return F&&F.store("storage.serviceMachineId",f,0,1),f}t.getServiceMachineId=P}),define(Y[110],Z([0,1,7]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IStateService=void 0,t.IStateService=(0,v.createDecorator)("stateService")}),define(Y[111],Z([0,1,3,14,22,12,8,13]),function(x,t,v,k,P,E,M,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StateService=t.FileStorage=void 0;class f{constructor(h,R){this.dbPath=h,this.onError=R,this._database=null,this.lastFlushedSerializedDatabase=null}get database(){return this._database||(this._database=this.loadSync()),this._database}async init(){if(!this._database){const h=await this.loadAsync();this._database||(this._database=h)}}loadSync(){try{return this.lastFlushedSerializedDatabase=k.readFileSync(this.dbPath).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(h){return h.code!=="ENOENT"&&this.onError(h),{}}}async loadAsync(){try{return this.lastFlushedSerializedDatabase=(await k.promises.readFile(this.dbPath)).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(h){return h.code!=="ENOENT"&&this.onError(h),{}}}getItem(h,R){const y=this.database[h];return(0,M.isUndefinedOrNull)(y)?R:y}setItem(h,R){if((0,M.isUndefinedOrNull)(R))return this.removeItem(h);(typeof R=="string"||typeof R=="number"||typeof R=="boolean")&&this.database[h]===R||(this.database[h]=R,this.saveSync())}removeItem(h){(0,M.isUndefined)(this.database[h])||(this.database[h]=void 0,this.saveSync())}saveSync(){const h=JSON.stringify(this.database,null,4);if(h!==this.lastFlushedSerializedDatabase)try{(0,E.writeFileSync)(this.dbPath,h),this.lastFlushedSerializedDatabase=h}catch(R){this.onError(R)}}}t.FileStorage=f;let u=class Ve{constructor(h,R){this.fileStorage=new f(v.join(h.userDataPath,Ve.STATE_FILE),y=>R.error(y))}init(){return this.fileStorage.init()}getItem(h,R){return this.fileStorage.getItem(h,R)}setItem(h,R){this.fileStorage.setItem(h,R)}removeItem(h){this.fileStorage.removeItem(h)}};u.STATE_FILE="storage.json",u=ce([fe(0,P.INativeEnvironmentService),fe(1,F.ILogService)],u),t.StateService=u}),define(Y[112],Z([0,1,7,11,2,8,65,4]),function(x,t,v,k,P,E,M,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.logStorage=t.InMemoryStorageService=t.AbstractStorageService=t.StorageTarget=t.StorageScope=t.WillSaveStateReason=t.IStorageService=t.IS_NEW_KEY=void 0,t.IS_NEW_KEY="__$__isNewStorageMarker";const f="__$__targetStorageMarker";t.IStorageService=(0,v.createDecorator)("storageService");var u;(function(I){I[I.NONE=0]="NONE",I[I.SHUTDOWN=1]="SHUTDOWN"})(u=t.WillSaveStateReason||(t.WillSaveStateReason={}));var C;(function(I){I[I.GLOBAL=0]="GLOBAL",I[I.WORKSPACE=1]="WORKSPACE"})(C=t.StorageScope||(t.StorageScope={}));var h;(function(I){I[I.USER=0]="USER",I[I.MACHINE=1]="MACHINE"})(h=t.StorageTarget||(t.StorageTarget={}));class R extends P.Disposable{constructor(p={flushInterval:R.DEFAULT_FLUSH_INTERVAL}){super();this.options=p,this._onDidChangeValue=this._register(new k.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new k.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new k.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new F.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new P.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,F.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,P.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(p,m){m===f?(p===0?this._globalKeyTargets=void 0:p===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:p})):this._onDidChangeValue.fire({scope:p,key:m,target:this.getKeyTargets(p)[m]})}emitWillSaveState(p){this._onWillSaveState.fire({reason:p})}get(p,m,D){var b;return(b=this.getStorage(m))===null||b===void 0?void 0:b.get(p,D)}getBoolean(p,m,D){var b;return(b=this.getStorage(m))===null||b===void 0?void 0:b.getBoolean(p,D)}getNumber(p,m,D){var b;return(b=this.getStorage(m))===null||b===void 0?void 0:b.getNumber(p,D)}store(p,m,D,b){if((0,E.isUndefinedOrNull)(m)){this.remove(p,D);return}this.withPausedEmitters(()=>{var o;this.updateKeyTarget(p,D,b),(o=this.getStorage(D))===null||o===void 0||o.set(p,m)})}remove(p,m){this.withPausedEmitters(()=>{var D;this.updateKeyTarget(p,m,void 0),(D=this.getStorage(m))===null||D===void 0||D.delete(p)})}withPausedEmitters(p){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{p()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(p,m){const D=[],b=this.getKeyTargets(p);for(const o of Object.keys(b))b[o]===m&&D.push(o);return D}updateKeyTarget(p,m,D){var b,o;const i=this.getKeyTargets(m);typeof D=="number"?i[p]!==D&&(i[p]=D,(b=this.getStorage(m))===null||b===void 0||b.set(f,JSON.stringify(i))):typeof i[p]=="number"&&(delete i[p],(o=this.getStorage(m))===null||o===void 0||o.set(f,JSON.stringify(i)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(p){return p===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(p){const m=this.get(f,p);if(m)try{return JSON.parse(m)}catch(D){}return Object.create(null)}isNew(p){return this.getBoolean(t.IS_NEW_KEY,p)===!0}async flush(){var p,m,D,b;this._onWillSaveState.fire({reason:u.NONE}),await F.Promises.settled([(m=(p=this.getStorage(0))===null||p===void 0?void 0:p.whenFlushed())!==null&&m!==void 0?m:Promise.resolve(),(b=(D=this.getStorage(1))===null||D===void 0?void 0:D.whenFlushed())!==null&&b!==void 0?b:Promise.resolve()])}async logStorage(){var p,m,D,b,o,i;const e=(m=(p=this.getStorage(0))===null||p===void 0?void 0:p.items)!==null&&m!==void 0?m:new Map,n=(b=(D=this.getStorage(1))===null||D===void 0?void 0:D.items)!==null&&b!==void 0?b:new Map;return l(e,n,(o=this.getLogDetails(0))!==null&&o!==void 0?o:"",(i=this.getLogDetails(1))!==null&&i!==void 0?i:"")}}t.AbstractStorageService=R,R.DEFAULT_FLUSH_INTERVAL=60*1e3;class y extends R{constructor(){super();this.globalStorage=new M.Storage(new M.InMemoryStorageDatabase),this.workspaceStorage=new M.Storage(new M.InMemoryStorageDatabase),this._register(this.workspaceStorage.onDidChangeStorage(p=>this.emitDidChangeValue(1,p))),this._register(this.globalStorage.onDidChangeStorage(p=>this.emitDidChangeValue(0,p)))}getStorage(p){return p===0?this.globalStorage:this.workspaceStorage}getLogDetails(p){return p===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(p){}}t.InMemoryStorageService=y;async function l(I,p,m,D){const b=r=>{try{return JSON.parse(r)}catch(g){return r}},o=new Map,i=new Map;I.forEach((r,g)=>{o.set(g,r),i.set(g,b(r))});const e=new Map,n=new Map;p.forEach((r,g)=>{e.set(g,r),n.set(g,b(r))}),console.group(`Storage: Global (path: ${m})`);let s=[];o.forEach((r,g)=>{s.push({key:g,value:r})}),console.table(s),console.groupEnd(),console.log(i),console.group(`Storage: Workspace (path: ${D})`);let a=[];e.forEach((r,g)=>{a.push({key:g,value:r})}),console.table(a),console.groupEnd(),console.log(n)}t.logStorage=l}),define(Y[113],Z([0,1,17,35,39,10]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resolveCommonProperties=void 0;async function M(f,u,C,h,R,y,l,I,p){const m=Object.create(null);m["common.machineId"]=y,m.sessionID=(0,P.generateUuid)()+Date.now(),m.commitHash=h,m.version=R,m["common.platformVersion"]=(u||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),m["common.platform"]=(0,v.PlatformToString)(v.platform),m["common.nodePlatform"]=k.platform,m["common.nodeArch"]=C,m["common.product"]=p||"desktop";const D=F(l||[]);D&&(m["common.msftInternal"]=D);let b=0;const o=Date.now();Object.defineProperties(m,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-o,enumerable:!0},"common.sequence":{get:()=>b++,enumerable:!0}}),v.isLinuxSnap&&(m["common.snap"]="true");try{const i=await f.readFile(E.URI.file(I));m["common.source"]=i.value.toString().slice(0,30)}catch(i){}return m}t.resolveCommonProperties=M;function F(f){const u=k.env.USERDNSDOMAIN;if(!u)return!1;const C=u.toLowerCase();return f.some(h=>C===h)}}),define(Y[41],Z([0,1,7]),function(x,t,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.machineIdKey=t.lastSessionDateStorageKey=t.firstSessionDateStorageKey=t.currentSessionDateStorageKey=t.instanceStorageKey=t.ICustomEndpointTelemetryService=t.ITelemetryService=void 0,t.ITelemetryService=(0,v.createDecorator)("telemetryService"),t.ICustomEndpointTelemetryService=(0,v.createDecorator)("customEndpointTelemetryService"),t.instanceStorageKey="telemetry.instanceId",t.currentSessionDateStorageKey="telemetry.currentSessionDate",t.firstSessionDateStorageKey="telemetry.firstSessionDate",t.lastSessionDateStorageKey="telemetry.lastSessionDate",t.machineIdKey="telemetry.machineId"}),define(Y[114],Z([0,1,15,24,26,19,41,52,47,22,28,13,23,10,40,112,109,7,20]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l,I,p,m,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resolveMarketplaceHeaders=t.ExtensionGalleryService=void 0;var b;(function(d){d[d.None=0]="None",d[d.IncludeVersions=1]="IncludeVersions",d[d.IncludeFiles=2]="IncludeFiles",d[d.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",d[d.IncludeSharedAccounts=8]="IncludeSharedAccounts",d[d.IncludeVersionProperties=16]="IncludeVersionProperties",d[d.ExcludeNonValidated=32]="ExcludeNonValidated",d[d.IncludeInstallationTargets=64]="IncludeInstallationTargets",d[d.IncludeAssetUri=128]="IncludeAssetUri",d[d.IncludeStatistics=256]="IncludeStatistics",d[d.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",d[d.Unpublished=4096]="Unpublished"})(b||(b={}));function o(...d){return String(d.reduce((c,S)=>c|S,0))}var i;(function(d){d[d.Tag=1]="Tag",d[d.ExtensionId=4]="ExtensionId",d[d.Category=5]="Category",d[d.ExtensionName=7]="ExtensionName",d[d.Target=8]="Target",d[d.Featured=9]="Featured",d[d.SearchText=10]="SearchText",d[d.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const e={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},n={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},a={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:b.None,criteria:[],assetTypes:[]};class r{constructor(c=a){this.state=c}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(c,S=this.state.pageSize){return new r(Object.assign(Object.assign({},this.state),{pageNumber:c,pageSize:S}))}withFilter(c,...S){const L=[...this.state.criteria,...S.length?S.map(j=>({filterType:c,value:j})):[{filterType:c}]];return new r(Object.assign(Object.assign({},this.state),{criteria:L}))}withSortBy(c){return new r(Object.assign(Object.assign({},this.state),{sortBy:c}))}withSortOrder(c){return new r(Object.assign(Object.assign({},this.state),{sortOrder:c}))}withFlags(...c){return new r(Object.assign(Object.assign({},this.state),{flags:c.reduce((S,L)=>S|L,0)}))}withAssetTypes(...c){return new r(Object.assign(Object.assign({},this.state),{assetTypes:c}))}get raw(){const{criteria:c,pageNumber:S,pageSize:L,sortBy:j,sortOrder:U,flags:_,assetTypes:W}=this.state;return{filters:[{criteria:c,pageNumber:S,pageSize:L,sortBy:j,sortOrder:U}],assetTypes:W,flags:_}}get searchText(){const c=this.state.criteria.filter(S=>S.filterType===i.SearchText)[0];return c&&c.value?c.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(c=>String(c.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function g(d,c){const S=(d||[]).filter(L=>L.statisticName===c)[0];return S?S.value:0}function N(d){const c="Microsoft.VisualStudio.Code.Translation.";return d.files.filter(L=>L.assetType.indexOf(c)===0).reduce((L,j)=>{const U=B(d,j.assetType);return U&&L.push([j.assetType.substring(c.length),U]),L},[])}function A(d){if(d.properties){const c=d.properties.filter(j=>j.key===e.Repository),S=new RegExp("((git|ssh|http(s)?)|(git@[w.]+))(:(//)?)([w.@:/-~]+)(.git)(/)?"),L=c.filter(j=>S.test(j.value))[0];return L?{uri:L.value,fallbackUri:L.value}:null}return B(d,e.Repository)}function T(d){return{uri:`${d.fallbackAssetUri}/${e.VSIX}?redirect=true`,fallbackUri:`${d.fallbackAssetUri}/${e.VSIX}`}}function z(d){const c=B(d,e.Icon);if(c)return c;const S=k.DefaultIconPath;return{uri:S,fallbackUri:S}}function B(d,c){return d.files.filter(L=>L.assetType===c)[0]?{uri:`${d.assetUri}/${c}`,fallbackUri:`${d.fallbackAssetUri}/${c}`}:null}function H(d,c){const S=d.properties?d.properties.filter(j=>j.key===c):[],L=S.length>0&&S[0].value;return L?L.split(",").map(j=>(0,P.adoptToGalleryExtensionId)(j)):[]}function X(d){const c=d.properties?d.properties.filter(S=>S.key===n.Engine):[];return c.length>0&&c[0].value||""}function se(d){const c=d.properties?d.properties.filter(L=>L.key===n.LocalizedLanguages):[],S=c.length>0&&c[0].value||"";return S?S.split(","):[]}function re(d){return d.indexOf("preview")!==-1}function ee(d){const c=d.properties?d.properties.find(S=>S.key===n.WebExtension):void 0;return!!c&&c.value==="true"}function le(d){return d.files.some(c=>c.assetType.startsWith("Microsoft.VisualStudio.Code.WebResources"))?(0,D.joinPath)(y.URI.parse(d.assetUri),"Microsoft.VisualStudio.Code.WebResources","extension"):void 0}function $(d,c,S,L,j){const U={manifest:B(c,e.Manifest),readme:B(c,e.Details),changelog:B(c,e.Changelog),license:B(c,e.License),repository:A(c),download:T(c),icon:z(c),coreTranslations:N(c)};return{identifier:{id:(0,P.getGalleryExtensionId)(d.publisher.publisherName,d.extensionName),uuid:d.extensionId},name:d.extensionName,version:c.version,date:c.lastUpdated,displayName:d.displayName,publisherId:d.publisher.publisherId,publisher:d.publisher.publisherName,publisherDisplayName:d.publisher.displayName,description:d.shortDescription||"",installCount:g(d.statistics,"install"),rating:g(d.statistics,"averagerating"),ratingCount:g(d.statistics,"ratingcount"),assetUri:y.URI.parse(c.assetUri),webResource:le(c),assetTypes:c.files.map(({assetType:_})=>_),assets:U,properties:{dependencies:H(c,n.Dependency),extensionPack:H(c,n.ExtensionPack),engine:X(c),localizedLanguages:se(c),webExtension:ee(c)},telemetryData:{index:(L.pageNumber-1)*L.pageSize+S,searchText:L.searchText,querySource:j},preview:re(d.flags)}}let O=class{constructor(c,S,L,j,U,_,W){this.requestService=c,this.logService=S,this.environmentService=L,this.telemetryService=j,this.fileService=U,this.productService=_;const q=_.extensionsGallery;this.extensionsGalleryUrl=q&&q.serviceUrl,this.extensionsControlUrl=q&&q.controlUrl,this.commonHeadersPromise=w(_.version,this.environmentService,this.fileService,W)}api(c=""){return`${this.extensionsGalleryUrl}${c}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(c,S){const L=[];let{total:j,firstPage:U,getPage:_}=await this.query({names:c,pageSize:c.length},S);L.push(...U);for(let W=1;L.length<j&&(U=await _(W,S),U.length);W++)L.push(...U);return L}async getCompatibleExtension(c,S){const L=await this.getCompatibleExtensionByEngine(c,S);return(L==null?void 0:L.properties.webExtension)?L.webResource?L:null:L}async getCompatibleExtensionByEngine(c,S){const L=(0,k.isIExtensionIdentifier)(c)?null:c;if(L&&L.properties.engine&&(0,f.isEngineValid)(L.properties.engine,this.productService.version))return L;const{id:j,uuid:U}=L?L.identifier:c;let _=new r().withFlags(b.IncludeAssetUri,b.IncludeStatistics,b.IncludeFiles,b.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");U?_=_.withFilter(i.ExtensionId,U):_=_.withFilter(i.ExtensionName,j);const{galleryExtensions:W}=await this.queryGallery(_,C.CancellationToken.None),[q]=W;if(!q||!q.versions.length)return null;if(S){const J=q.versions.filter(te=>te.version===S)[0];if(J){const te=$(q,J,0,_);if(te.properties.engine&&(0,f.isEngineValid)(te.properties.engine,this.productService.version))return te}return null}const Q=await this.getLastValidExtensionVersion(q,q.versions);return Q?$(q,Q,0,_):null}async query(c,S){const L=C.CancellationToken.isCancellationToken(c)?{}:c,j=C.CancellationToken.isCancellationToken(c)?c:S;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let U=L.text||"";const _=(0,E.getOrDefault)(L,ne=>ne.pageSize,50);let W=new r().withFlags(b.IncludeLatestVersionOnly,b.IncludeAssetUri,b.IncludeStatistics,b.IncludeFiles,b.IncludeVersionProperties).withPage(1,_).withFilter(i.Target,"Microsoft.VisualStudio.Code");U?(U=U.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ne,he,ge)=>(W=W.withFilter(i.Category,ge||he),"")),U=U.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ne,he,ge)=>(W=W.withFilter(i.Tag,ge||he),"")),U=U.replace(/\bfeatured(\s+|\b|$)/g,()=>(W=W.withFilter(i.Featured),"")),U=U.trim(),U&&(U=U.length<200?U:U.substring(0,200),W=W.withFilter(i.SearchText,U)),W=W.withSortBy(0)):L.ids?W=W.withFilter(i.ExtensionId,...L.ids):L.names?W=W.withFilter(i.ExtensionName,...L.names):W=W.withSortBy(4),typeof L.sortBy=="number"&&(W=W.withSortBy(L.sortBy)),typeof L.sortOrder=="number"&&(W=W.withSortOrder(L.sortOrder));const{galleryExtensions:q,total:Q}=await this.queryGallery(W,j),J=q.map((ne,he)=>$(ne,ne.versions[0],he,W,L.source)),te=async(ne,he)=>{if(he.isCancellationRequested)throw(0,v.canceled)();const ge=W.withPage(ne+1),{galleryExtensions:Pe}=await this.queryGallery(ge,he);return Pe.map((Le,Fe)=>$(Le,Le.versions[0],Fe,ge,L.source))};return{firstPage:J,total:Q,pageSize:W.pageSize,getPage:te}}async queryGallery(c,S){if(!this.isEnabled())throw new Error("No extension gallery service configured.");c=c.withFlags(c.flags,b.ExcludeNonValidated).withFilter(i.ExcludeWithFlags,o(b.Unpublished));const L=await this.commonHeadersPromise,j=JSON.stringify(c.raw),U=Object.assign(Object.assign({},L),{"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(j.length)}),_=new Date().getTime();let W,q,Q=0;try{if(W=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:j,headers:U},S),W.res.statusCode&&W.res.statusCode>=400&&W.res.statusCode<500)return{galleryExtensions:[],total:Q};const J=await(0,F.asJson)(W);if(J){const te=J.results[0],ne=te.extensions,he=te.resultMetadata&&te.resultMetadata.filter(ge=>ge.metadataType==="ResultCount")[0];return Q=he&&he.metadataItems.filter(ge=>ge.name==="TotalCount")[0].count||0,{galleryExtensions:ne,total:Q}}return{galleryExtensions:[],total:Q}}catch(J){throw q=J,J}finally{this.telemetryService.publicLog2("galleryService:query",Object.assign(Object.assign({},c.telemetryData),{requestBodySize:String(j.length),duration:new Date().getTime()-_,success:!!W&&(0,F.isSuccess)(W),responseBodySize:W==null?void 0:W.res.headers["Content-Length"],statusCode:W?String(W.res.statusCode):void 0,errorCode:q?(0,v.isPromiseCanceledError)(q)?"canceled":(0,v.getErrorMessage)(q).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(Q)}))}}async reportStatistic(c,S,L,j){if(!!this.isEnabled()){const U=await this.commonHeadersPromise,_=Object.assign(Object.assign({},U),{Accept:"*/*;api-version=4.0-preview.1"});try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${c}/extensions/${S}/${L}/stats?statType=${j}`),headers:_},C.CancellationToken.None)}catch(W){}}}async download(c,S,L){this.logService.trace("ExtensionGalleryService#download",c.identifier.id);const j=(0,P.getGalleryExtensionTelemetryData)(c),U=new Date().getTime(),_=J=>this.telemetryService.publicLog("galleryService:downloadVSIX",Object.assign(Object.assign({},j),{duration:J})),W=L===1?"install":L===2?"update":"",q=W?{uri:`${c.assets.download.uri}&${W}=true`,fallbackUri:`${c.assets.download.fallbackUri}?${W}=true`}:c.assets.download,Q=await this.getAsset(q);await this.fileService.writeFile(S,Q.stream),_(new Date().getTime()-U)}async getReadme(c,S){if(c.assets.readme){const L=await this.getAsset(c.assets.readme,{},S);return await(0,F.asText)(L)||""}return""}async getManifest(c,S){if(c.assets.manifest){const L=await this.getAsset(c.assets.manifest,{},S),j=await(0,F.asText)(L);return j?JSON.parse(j):null}return null}async getCoreTranslation(c,S){const L=c.assets.coreTranslations.filter(j=>j[0]===S.toUpperCase())[0];if(L){const j=await this.getAsset(L[1]),U=await(0,F.asText)(j);return U?JSON.parse(U):null}return null}async getChangelog(c,S){if(c.assets.changelog){const L=await this.getAsset(c.assets.changelog,{},S);return await(0,F.asText)(L)||""}return""}async getAllVersions(c,S){let L=new r().withFlags(b.IncludeVersions,b.IncludeFiles,b.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");c.identifier.uuid?L=L.withFilter(i.ExtensionId,c.identifier.uuid):L=L.withFilter(i.ExtensionName,c.identifier.id);const j=[],{galleryExtensions:U}=await this.queryGallery(L,C.CancellationToken.None);return U.length&&(S?await Promise.all(U[0].versions.map(async _=>{let W;try{W=await this.getEngine(_)}catch(q){}W&&(0,f.isEngineValid)(W,this.productService.version)&&j.push({version:_.version,date:_.lastUpdated})})):j.push(...U[0].versions.map(_=>({version:_.version,date:_.lastUpdated})))),j}async getAsset(c,S={},L=C.CancellationToken.None){const j=await this.commonHeadersPromise,U={type:"GET"},_=Object.assign(Object.assign({},j),S.headers||{});S=Object.assign(Object.assign(Object.assign({},S),U),{headers:_});const W=c.uri,q=c.fallbackUri,Q=Object.assign(Object.assign({},S),{url:W});try{const J=await this.requestService.request(Q,L);if(J.res.statusCode===200)return J;const te=await(0,F.asText)(J);throw new Error(`Expected 200, got back ${J.res.statusCode} instead.

${te}`)}catch(J){if((0,v.isPromiseCanceledError)(J))throw J;const te=(0,v.getErrorMessage)(J);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:W,message:te});const ne=Object.assign(Object.assign({},S),{url:q});return this.requestService.request(ne,L)}}async getLastValidExtensionVersion(c,S){const L=this.getLastValidExtensionVersionFromProperties(c,S);return L||this.getLastValidExtensionVersionRecursively(c,S)}getLastValidExtensionVersionFromProperties(c,S){for(const L of S){const j=X(L);if(!j)return null;if((0,f.isEngineValid)(j,this.productService.version))return L}return null}async getEngine(c){const S=X(c);if(S)return S;const L=B(c,e.Manifest);if(!L)throw new Error("Manifest was not found");const j={"Accept-Encoding":"gzip"},U=await this.getAsset(L,{headers:j}),_=await(0,F.asJson)(U);if(_)return _.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(c,S){if(!S.length)return null;const L=S[0],j=await this.getEngine(L);return(0,f.isEngineValid)(j,this.productService.version)?(L.properties=L.properties||[],L.properties.push({key:n.Engine,value:j}),L):this.getLastValidExtensionVersionRecursively(c,S.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const c=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},C.CancellationToken.None);if(c.res.statusCode!==200)throw new Error("Could not get extensions report.");const S=await(0,F.asJson)(c),L=new Map;if(S)for(const j of S.malicious){const U=L.get(j)||{id:{id:j},malicious:!0,slow:!1};U.malicious=!0,L.set(j,U)}return[...L.values()]}};O=ce([fe(0,F.IRequestService),fe(1,h.ILogService),fe(2,u.IEnvironmentService),fe(3,M.ITelemetryService),fe(4,R.IFileService),fe(5,l.IProductService),fe(6,(0,m.optional)(I.IStorageService))],O),t.ExtensionGalleryService=O;async function w(d,c,S,L){const j={"X-Market-Client-Id":`VSCode ${d}`,"User-Agent":`VSCode ${d}`},U=await(0,p.getServiceMachineId)(c,S,L);return j["X-Market-User-Id"]=U,j}t.resolveMarketplaceHeaders=w}),define(Y[115],Z([0,1,53,83,18,7,27,29,2,19,25]),function(x,t,v,k,P,E,M,F,f,u,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TelemetryService=void 0;let h=class{constructor(l,I){this._configurationService=I,this._experimentProperties={},this._disposables=new f.DisposableStore,this._cleanupPatterns=[],this._appender=l.appender,this._commonProperties=l.commonProperties||Promise.resolve({}),this._piiPaths=l.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!l.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let p of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,P.escapeRegExpCharacters)(p),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(p=>{const m=/^[a-f0-9]+$/i.test(p["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!m})}))}setExperimentProperty(l,I){this._experimentProperties[l]=I}setEnabled(l){this._enabled=l}_updateUserOptIn(){var l;const I=(l=this._configurationService)===null||l===void 0?void 0:l.getValue(R);this._userOptIn=I?I.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const l=await this._commonProperties;let I=l.sessionID,p=l["common.instanceId"],m=l["common.machineId"],D=l["common.firstSessionDate"],b=l["common.msftInternal"];return{sessionId:I,instanceId:p,machineId:m,firstSessionDate:D,msftInternal:b}}dispose(){this._disposables.dispose()}publicLog(l,I,p){return this.isOptedIn?this._commonProperties.then(m=>{I=(0,u.mixin)(I,m),I=(0,u.mixin)(I,this._experimentProperties),I=(0,u.cloneAndChange)(I,D=>{if(typeof D=="string")return this._cleanupInfo(D,p)}),this._appender.log(l,I)},m=>{console.error(m)}):Promise.resolve(void 0)}publicLog2(l,I,p){return this.publicLog(l,I,p)}publicLogError(l,I){return this.sendErrorTelemetry?this.publicLog(l,I,!0):Promise.resolve(void 0)}publicLogError2(l,I){return this.publicLogError(l,I)}_cleanupInfo(l,I){let p=l;if(I){const m=[];for(let i of this._cleanupPatterns)for(;;){const e=i.exec(l);if(!e)break;m.push([e.index,i.lastIndex])}const D=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,b=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let o=0;for(p="";;){const i=b.exec(l);if(!i)break;!D.test(i[0])&&m.every(([e,n])=>i.index<e||i.index>=n)&&(p+=l.substring(o,i.index)+"<REDACTED: user-file-path>",o=b.lastIndex)}o<l.length&&(p+=l.substr(o))}for(let m of this._cleanupPatterns)p=p.replace(m,"");return p}};h.IDLE_START_EVENT_NAME="UserIdleStart",h.IDLE_STOP_EVENT_NAME="UserIdleStop",h=ce([fe(1,(0,E.optional)(M.IConfigurationService))],h),t.TelemetryService=h;const R="telemetry";C.Registry.as(F.Extensions.Configuration).registerConfiguration({id:R,order:110,type:"object",title:(0,k.localize)(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:v.default.privacyStatementUrl?(0,k.localize)(2,null,v.default.privacyStatementUrl):(0,k.localize)(1,null),default:!0,tags:["usesOnlineServices"]}}})}),define(Y[54],Z([0,1,27,19,8,4]),function(x,t,v,k,P,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.cleanRemoteAuthority=t.validateTelemetryData=t.configurationTelemetry=t.NullAppender=t.combinedAppender=t.NullEndpointTelemetryService=t.NullTelemetryService=void 0,t.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(l,I){return Promise.resolve(void 0)}publicLog2(l,I){return this.publicLog(l,I)}publicLogError(l,I){return Promise.resolve(void 0)}publicLogError2(l,I){return this.publicLogError(l,I)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};class M{async publicLog(I,p,m){}async publicLogError(I,p,m){}}t.NullEndpointTelemetryService=M;function F(...l){return{log:(I,p)=>l.forEach(m=>m.log(I,p)),flush:()=>E.Promises.settled(l.map(I=>I.flush()))}}t.combinedAppender=F,t.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function f(l,I){return I.onDidChangeConfiguration(p=>{p.source!==6&&l.publicLog2("updateConfiguration",{configurationSource:(0,v.ConfigurationTargetToString)(p.source),configurationKeys:R(p.sourceConfig)})})}t.configurationTelemetry=f;function u(l){const I=Object.create(null),p=Object.create(null),m=Object.create(null);h(l,m);for(let D in m){D=D.length>150?D.substr(D.length-149):D;const b=m[D];typeof b=="number"?p[D]=b:typeof b=="boolean"?p[D]=b?1:0:typeof b=="string"?I[D]=b.substring(0,1023):typeof b!="undefined"&&b!==null&&(I[D]=b)}return{properties:I,measurements:p}}t.validateTelemetryData=u;function C(l){if(!l)return"none";let I="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(m=>{l.indexOf(`${m}+`)===0&&(I=m)}),I}t.cleanRemoteAuthority=C;function h(l,I,p=0,m){if(!!l)for(let D of Object.getOwnPropertyNames(l)){const b=l[D],o=m?m+D:D;Array.isArray(b)?I[o]=(0,k.safeStringify)(b):b instanceof Date?I[o]=b.toISOString():(0,P.isObject)(b)?p<2?h(b,I,p+1,o+"."):I[o]=(0,k.safeStringify)(b):I[o]=b}}function R(l){if(!l)return[];const I=[];return y(I,"",l),I}function y(l,I,p){p&&typeof p=="object"&&!Array.isArray(p)?Object.keys(p).forEach(m=>y(l,I?`${I}.${m}`:m,p[m])):l.push(I)}}),define(Y[116],Z([0,1,15,19,54]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AppInsightsAppender=void 0;async function E(F){const f=await new Promise((C,h)=>{x(["applicationinsights"],C,h)});let u;return f.defaultClient?(u=new f.TelemetryClient(F),u.channel.setUseDiskRetryCaching(!0)):(f.setup(F).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),u=f.defaultClient),F.indexOf("AIF-")===0&&(u.config.endpointUrl="https://vortex.data.microsoft.com/collect/v1"),u}class M{constructor(f,u,C){this._eventPrefix=f,this._defaultData=u,this._defaultData||(this._defaultData=Object.create(null)),typeof C=="function"?this._aiClient=C():this._aiClient=C,this._asyncAIClient=null}_withAIClient(f){if(!!this._aiClient){if(typeof this._aiClient!="string"){f(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=E(this._aiClient)),this._asyncAIClient.then(u=>{f(u)},u=>{(0,v.onUnexpectedError)(u),console.error(u)})}}log(f,u){!this._aiClient||(u=(0,k.mixin)(u,this._defaultData),u=(0,P.validateTelemetryData)(u),this._withAIClient(C=>C.trackEvent({name:this._eventPrefix+"/"+f,properties:u.properties,measurements:u.measurements})))}flush(){return this._aiClient?new Promise(f=>{this._withAIClient(u=>{u.flush({callback:()=>{this._aiClient=void 0,f(void 0)}})})}):Promise.resolve(void 0)}}t.AppInsightsAppender=M}),define(Y[117],Z([0,1,12,14,3]),function(x,t,v,k,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buildTelemetryMessage=void 0;function E(M,F){const f=Object.create(null),u=(h,R)=>{const y=JSON.parse(h);f[R]=y};if(F){const h=(0,v.readdirSync)(F).filter(y=>{try{return(0,k.statSync)((0,P.join)(F,y)).isDirectory()}catch(l){return!1}}),R=[];h.forEach(y=>{(0,v.readdirSync)((0,P.join)(F,y)).filter(I=>I==="telemetry.json").length===1&&R.push(y)}),R.forEach(y=>{const l=(0,k.readFileSync)((0,P.join)(F,y,"telemetry.json")).toString();u(l,y)})}let C=(0,k.readFileSync)((0,P.join)(M,"telemetry-core.json")).toString();return u(C,"vscode-core"),C=(0,k.readFileSync)((0,P.join)(M,"telemetry-extensions.json")).toString(),u(C,"vscode-extensions"),JSON.stringify(f,null,4)}t.buildTelemetryMessage=E}),define(Y[42],Z([0,1,71,3,14,4,12,128,129,8]),function(x,t,v,k,P,E,M,F,f,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buffer=t.extract=t.zip=t.ExtractError=void 0;class C extends Error{constructor(e,n){let s=n.message;switch(e){case"CorruptZip":s=`Corrupt ZIP: ${s}`;break}super(s);this.type=e,this.cause=n}}t.ExtractError=C;function h(i){const e=i.externalFileAttributes>>16||33188;return[448,56,7].map(n=>e&n).reduce((n,s)=>n+s,e&61440)}function R(i){if(i instanceof C)return i;let e;return/end of central directory record signature not found/.test(i.message)&&(e="CorruptZip"),new C(e,i)}function y(i,e,n,s,a,r){const g=k.dirname(e),N=k.join(s,g);if(!N.startsWith(s))return Promise.reject(new Error(v.localize(0,null,e)));const A=k.join(s,e);let T;return r.onCancellationRequested(()=>{T&&T.destroy()}),Promise.resolve(P.promises.mkdir(N,{recursive:!0})).then(()=>new Promise((z,B)=>{if(!r.isCancellationRequested)try{T=(0,P.createWriteStream)(A,{mode:n}),T.once("close",()=>z()),T.once("error",B),i.once("error",B),i.pipe(T)}catch(H){B(H)}}))}function l(i,e,n,s){let a=(0,E.createCancelablePromise)(()=>Promise.resolve()),r=0;return s.onCancellationRequested(()=>{a.cancel(),i.close()}),new Promise((g,N)=>{const A=new E.Sequencer,T=z=>{z.isCancellationRequested||(r++,i.readEntry())};i.once("error",N),i.once("close",()=>a.then(()=>{s.isCancellationRequested||i.entryCount===r?g():N(new C("Incomplete",new Error(v.localize(1,null,r,i.entryCount))))},N)),i.readEntry(),i.on("entry",z=>{if(!s.isCancellationRequested){if(!n.sourcePathRegex.test(z.fileName)){T(s);return}const B=z.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(B)){const se=k.join(e,B);a=(0,E.createCancelablePromise)(re=>P.promises.mkdir(se,{recursive:!0}).then(()=>T(re)).then(void 0,N));return}const H=p(i,z),X=h(z);a=(0,E.createCancelablePromise)(se=>A.queue(()=>H.then(re=>y(re,B,X,e,n,se).then(()=>T(se)))).then(null,N))}})})}function I(i,e=!1){return new Promise((n,s)=>{(0,F.open)(i,e?{lazyEntries:!0}:void 0,(a,r)=>{a?s(R(a)):n((0,u.assertIsDefined)(r))})})}function p(i,e){return new Promise((n,s)=>{i.openReadStream(e,(a,r)=>{a?s(R(a)):n((0,u.assertIsDefined)(r))})})}function m(i,e){return new Promise((n,s)=>{const a=new f.ZipFile;e.forEach(g=>{g.contents?a.addBuffer(typeof g.contents=="string"?Buffer.from(g.contents,"utf8"):g.contents,g.path):g.localPath&&a.addFile(g.localPath,g.path)}),a.end();const r=(0,P.createWriteStream)(i);a.outputStream.pipe(r),a.outputStream.once("error",s),r.once("error",s),r.once("finish",()=>n(i))})}t.zip=m;function D(i,e,n={},s){const a=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let r=I(i,!0);return n.overwrite&&(r=r.then(g=>(0,M.rimraf)(e).then(()=>g))),r.then(g=>l(g,e,{sourcePathRegex:a},s))}t.extract=D;function b(i,e){return I(i).then(n=>new Promise((s,a)=>{n.on("entry",r=>{r.fileName===e&&p(n,r).then(g=>s(g),g=>a(g))}),n.once("close",()=>a(new Error(v.localize(2,null,e))))}))}function o(i,e){return b(i,e).then(n=>new Promise((s,a)=>{const r=[];n.once("error",a),n.on("data",g=>r.push(g)),n.on("end",()=>s(Buffer.concat(r)))}))}t.buffer=o}),define(Y[118],Z([0,1,42,76]),function(x,t,v,k){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getManifest=void 0;function P(E){return(0,v.buffer)(E,"extension/package.json").then(M=>{try{return JSON.parse(M.toString("utf8"))}catch(F){throw new Error((0,k.localize)(0,null))}})}t.getManifest=P}),define(Y[119],Z([0,1,14,38,2,12,3,13,24,26,4,10,22,87,77,40,42,17,21,9,23,20]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l,I,p,m,D,b,o,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsScanner=void 0;const e="scanningSystem",n="scanningUser",s="extracting",a="deleting",r="renaming";let g=class extends P.Disposable{constructor(A,T,z,B,H){super();this.beforeRemovingExtension=A,this.fileService=T,this.logService=z,this.environmentService=B,this.productService=H,this._devSystemExtensionsPath=null,this.systemExtensionsPath=B.builtinExtensionsPath,this.extensionsPath=B.extensionsPath,this.uninstalledPath=M.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new C.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(A){const T=[];(A===null||A===0)&&T.push(this.scanSystemExtensions().then(null,z=>Promise.reject(new f.ExtensionManagementError(this.joinErrors(z).message,e)))),(A===null||A===1)&&T.push(this.scanUserExtensions(!0).then(null,z=>Promise.reject(new f.ExtensionManagementError(this.joinErrors(z).message,n))));try{const z=await Promise.all(T);return(0,D.flatten)(z)}catch(z){throw this.joinErrors(z)}}async scanUserExtensions(A){this.logService.trace("Started scanning user extensions");let[T,z]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return z=z.filter(B=>!T[new u.ExtensionIdentifierWithVersion(B.identifier,B.manifest.version).key()]),A&&(z=(0,u.groupByExtension)(z,H=>H.identifier).map(H=>H.sort((X,se)=>k.rcompare(X.manifest.version,se.manifest.version))[0])),this.logService.trace("Scanned user extensions:",z.length),z}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(A,T,z){const B=A.key(),H=M.join(this.extensionsPath,`.${B}`),X=M.join(this.extensionsPath,B);try{await E.rimraf(X)}catch(re){try{await E.rimraf(X)}catch(ee){}throw new f.ExtensionManagementError((0,l.localize)(0,null,X,A.id),a)}await this.extractAtLocation(A,T,H,z);try{await this.rename(A,H,X,Date.now()+2*60*1e3),this.logService.info("Renamed to",X)}catch(re){this.logService.info("Rename failed. Deleting from extracted location",H);try{E.rimraf(H)}catch(ee){}throw re}let se=null;try{se=await this.scanExtension(h.URI.file(M.join(this.extensionsPath,B)),1)}catch(re){}if(se)return se;throw new Error((0,l.localize)(1,null,this.extensionsPath))}async saveMetadataForLocalExtension(A,T){this.setMetadata(A,T),T.isMachineScoped=T.isMachineScoped||void 0,T.isBuiltin=T.isBuiltin||void 0;const z=M.join(A.location.fsPath,"package.json"),B=await v.promises.readFile(z,"utf8"),{manifest:H}=await this.parseManifest(B);return H.__metadata=T,await E.writeFile(z,JSON.stringify(H,null,"	")),A}getUninstalledExtensions(){return this.withUninstalledExtensions(A=>A)}async withUninstalledExtensions(A){return this.uninstalledFileLimiter.queue(async()=>{let T;try{T=await v.promises.readFile(this.uninstalledPath,"utf8")}catch(H){if(H.code!=="ENOENT")throw H}let z={};if(T)try{z=JSON.parse(T)}catch(H){}const B=A(z);return Object.keys(z).length?await E.writeFile(this.uninstalledPath,JSON.stringify(z)):await E.rimraf(this.uninstalledPath),B})}async removeExtension(A,T){this.logService.trace(`Deleting ${T} extension from disk`,A.identifier.id,A.location.fsPath),await E.rimraf(A.location.fsPath),this.logService.info("Deleted from disk",A.identifier.id,A.location.fsPath)}async removeUninstalledExtension(A){await this.removeExtension(A,"uninstalled"),await this.withUninstalledExtensions(T=>delete T[new u.ExtensionIdentifierWithVersion(A.identifier,A.manifest.version).key()])}async extractAtLocation(A,T,z,B){this.logService.trace(`Started extracting the extension from ${T} to ${z}`);try{await E.rimraf(z)}catch(H){throw new f.ExtensionManagementError(this.joinErrors(H).message,a)}try{await(0,p.extract)(T,z,{sourcePath:"extension",overwrite:!0},B),this.logService.info(`Extracted extension to ${z}:`,A.id)}catch(H){try{await E.rimraf(z)}catch(X){}throw new f.ExtensionManagementError(H.message,H instanceof p.ExtractError&&H.type?H.type:s)}}async rename(A,T,z,B){try{await v.promises.rename(T,z)}catch(H){if(m.isWindows&&H&&H.code==="EPERM"&&Date.now()<B)return this.logService.info(`Failed renaming ${T} to ${z} with 'EPERM' error. Trying again...`,A.id),this.rename(A,T,z,B);throw new f.ExtensionManagementError(H.message||(0,l.localize)(2,null,T,z),H.code||r)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const A=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return A;const T=this.scanDevSystemExtensions(),[z,B]=await Promise.all([A,T]);return[...z,...B]}async scanExtensionsInDir(A,T){const z=new C.Limiter(10),B=await this.fileService.resolve(h.URI.file(A));return B.children?(await Promise.all(B.children.filter(X=>X.isDirectory).map(X=>z.queue(()=>this.scanExtension(X.resource,T))))).filter(X=>X&&X.identifier):[]}async scanExtension(A,T){var z,B;if(T===1&&(0,i.basename)(A).indexOf(".")===0)return null;try{const H=await this.fileService.resolve(A);if(H.children){const{manifest:X,metadata:se}=await this.readManifest(A.fsPath),re=(z=H.children.find(({name:O})=>/^readme(\.txt|\.md|)$/i.test(O)))===null||z===void 0?void 0:z.resource,ee=(B=H.children.find(({name:O})=>/^changelog(\.txt|\.md|)$/i.test(O)))===null||B===void 0?void 0:B.resource,le={id:(0,u.getGalleryExtensionId)(X.publisher,X.name)},$={type:T,identifier:le,manifest:X,location:A,readmeUrl:re,changelogUrl:ee,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:T===0};return se&&this.setMetadata($,se),$}}catch(H){T!==0&&this.logService.trace(H)}return null}async scanDefaultSystemExtensions(){const A=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",A.length),A}async scanDevSystemExtensions(){const A=this.getDevSystemExtensionsList();if(A.length){const T=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",T.length),T.filter(z=>A.some(B=>(0,u.areSameExtensions)(z.identifier,{id:B})))}else return[]}setMetadata(A,T){A.publisherDisplayName=T.publisherDisplayName||null,A.publisherId=T.publisherId||null,A.identifier.uuid=T.id,A.isMachineScoped=!!T.isMachineScoped,A.isBuiltin=A.type===0||!!T.isBuiltin}async removeUninstalledExtensions(){const A=await this.getUninstalledExtensions(),T=await this.scanAllUserExtensions(),z=new Set;for(const X of T)A[new u.ExtensionIdentifierWithVersion(X.identifier,X.manifest.version).key()]||z.add(X.identifier.id.toLowerCase());const B=(0,u.groupByExtension)(T,X=>X.identifier);await C.Promises.settled(B.map(async X=>{const se=X.sort((re,ee)=>k.rcompare(re.manifest.version,ee.manifest.version))[0];z.has(se.identifier.id.toLowerCase())||await this.beforeRemovingExtension(se)}));const H=T.filter(X=>A[new u.ExtensionIdentifierWithVersion(X.identifier,X.manifest.version).key()]);await C.Promises.settled(H.map(X=>this.removeUninstalledExtension(X)))}async removeOutdatedExtensions(){const A=await this.scanAllUserExtensions(),T=[],z=(0,u.groupByExtension)(A,B=>B.identifier);T.push(...(0,D.flatten)(z.map(B=>B.sort((H,X)=>k.rcompare(H.manifest.version,X.manifest.version)).slice(1)))),await C.Promises.settled(T.map(B=>this.removeExtension(B,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(A=>A.name)}joinErrors(A){const T=Array.isArray(A)?A:[A];return T.length===1?T[0]instanceof Error?T[0]:new Error(T[0]):T.reduce((z,B)=>new Error(`${z.message}${z.message?",":""}${B instanceof Error?B.message:B}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=M.normalize(M.join(b.FileAccess.asFileUri("",x).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(A){const T=[v.promises.readFile(M.join(A,"package.json"),"utf8").then(X=>this.parseManifest(X)),v.promises.readFile(M.join(A,"package.nls.json"),"utf8").then(void 0,X=>X.code!=="ENOENT"?Promise.reject(X):"{}").then(X=>JSON.parse(X))],[{manifest:z,metadata:B},H]=await Promise.all(T);return{manifest:(0,y.localizeManifest)(z,H),metadata:B}}parseManifest(A){return new Promise((T,z)=>{try{const B=JSON.parse(A),H=B.__metadata||null;T({manifest:B,metadata:H})}catch(B){z(new Error((0,l.localize)(3,null)))}})}};g=ce([fe(1,o.IFileService),fe(2,F.ILogService),fe(3,R.INativeEnvironmentService),fe(4,I.IProductService)],g),t.ExtensionsScanner=g}),define(Y[120],Z([0,1,14,75,3,12,2,21,42,24,26,22,4,11,38,10,53,17,13,94,30,41,47,20,39,93,7,9,28,118,98,119,99]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l,I,p,m,D,b,o,i,e,n,s,a,r,g,N,A,T,z,B){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementService=void 0;const H="unsetUninstalled",X="downloading",se="validating",re="local",ee="unknown";let le=class extends M.Disposable{constructor(O,w,d,c,S,L){super();this.environmentService=O,this.galleryService=w,this.logService=d,this.downloadService=c,this.telemetryService=S,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new y.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new y.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new y.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new y.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event;const j=this._register(L.createInstance(B.ExtensionsLifecycle));this.extensionsScanner=this._register(L.createInstance(z.ExtensionsScanner,U=>j.postUninstall(U))),this.manifestCache=this._register(new b.ExtensionsManifestCache(O,this)),this.extensionsDownloader=this._register(L.createInstance(T.ExtensionsDownloader)),this._register((0,M.toDisposable)(()=>{this.installingExtensions.forEach(U=>U.cancel()),this.uninstallingExtensions.forEach(U=>U.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async zip(O){this.logService.trace("ExtensionManagementService#zip",O.identifier.id);const w=await this.collectFiles(O),d=await(0,f.zip)((0,n.joinPath)(this.environmentService.tmpDir,(0,s.generateUuid)()).fsPath,w);return I.URI.file(d)}async unzip(O){return this.logService.trace("ExtensionManagementService#unzip",O.toString()),(await this.install(O)).identifier}async getManifest(O){const w=await this.downloadVsix(O),d=P.resolve(w.fsPath);return(0,A.getManifest)(d)}async collectFiles(O){const w=async c=>{let S=await E.readdir(c);S=S.map(U=>P.join(c,U));const L=await Promise.all(S.map(U=>v.promises.stat(U)));let j=Promise.resolve([]);return L.forEach((U,_)=>{const W=S[_];U.isFile()&&(j=j.then(q=>[...q,W])),U.isDirectory()&&(j=j.then(q=>w(W).then(Q=>[...q,...Q])))}),j};return(await w(O.location.fsPath)).map(c=>({path:`extension/${P.relative(O.location.fsPath,c)}`,localPath:c}))}async install(O,w={}){return this.logService.trace("ExtensionManagementService#install",O.toString()),(0,R.createCancelablePromise)(async d=>{const c=await this.downloadVsix(O),S=P.resolve(c.fsPath),L=await(0,A.getManifest)(S),j={id:(0,C.getGalleryExtensionId)(L.publisher,L.name)};let U=1;if(L.engines&&L.engines.vscode&&!(0,e.isEngineValid)(L.engines.vscode,p.default.version))throw new Error(k.localize(0,null,j.id,p.default.version));const _=new C.ExtensionIdentifierWithVersion(j,L.version),q=(await this.getInstalled(1)).find(J=>(0,C.areSameExtensions)(j,J.identifier));if(q)if(w.isMachineScoped=w.isMachineScoped||q.isMachineScoped,w.isBuiltin=w.isBuiltin||q.isBuiltin,U=2,_.equals(new C.ExtensionIdentifierWithVersion(q.identifier,q.manifest.version)))try{await this.extensionsScanner.removeExtension(q,"existing")}catch(J){throw new Error(k.localize(1,null,L.displayName||L.name))}else l.gt(q.manifest.version,L.version)&&await this.uninstallExtension(q);else{const J=await this.unsetUninstalledAndGetLocal(_);if(J)try{await this.extensionsScanner.removeExtension(J,"existing")}catch(te){throw new Error(k.localize(2,null,L.displayName||L.name))}}this.logService.info("Installing the extension:",j.id),this._onInstallExtension.fire({identifier:j,zipPath:S});let Q;try{Q=await this.getGalleryMetadata((0,C.getGalleryExtensionId)(L.publisher,L.name))}catch(J){}try{const J=await this.installFromZipPath(_,S,Object.assign(Object.assign({},Q||{}),w),w,U,d);return this.logService.info("Successfully installed the extension:",j.id),J}catch(J){throw this.logService.error("Failed to install the extension:",j.id,J.message),J}})}async downloadVsix(O){if(O.scheme===g.Schemas.file)return O;if(!this.downloadService)throw new Error("Download service is not available");const w=(0,n.joinPath)(this.environmentService.tmpDir,(0,s.generateUuid)());return await this.downloadService.download(O,w),w}async installFromZipPath(O,w,d,c,S,L){try{const j=await this.installExtension({zipPath:w,identifierWithVersion:O,metadata:d},L);try{await this.installDependenciesAndPackExtensions(j,void 0,c)}catch(U){(0,F.isNonEmptyArray)(j.manifest.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",j.identifier.id,U.message),(0,F.isNonEmptyArray)(j.manifest.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",j.identifier.id,U.message)}return this._onDidInstallExtension.fire({identifier:O,zipPath:w,local:j,operation:S}),j}catch(j){throw this._onDidInstallExtension.fire({identifier:O,zipPath:w,operation:S,error:j}),j}}async canInstall(O){return!0}async installFromGallery(O,w={}){if(!this.galleryService.isEnabled())throw new Error(k.localize(3,null));try{O=await this.checkAndGetCompatibleVersion(O)}catch(S){const L=S&&S.code?S.code:ee;throw this.logService.error("Failed to install extension:",O.identifier.id,S?S.message:L),this.reportTelemetry(this.getTelemetryEvent(1),(0,C.getGalleryExtensionTelemetryData)(O),void 0,S),S instanceof Error&&(S.name=L),S}const d=new C.ExtensionIdentifierWithVersion(O.identifier,O.version).key();let c=this.installingExtensions.get(d);return c||(c=(0,R.createCancelablePromise)(S=>this.doInstallFromGallery(O,w,S)),this.installingExtensions.set(d,c),c.finally(()=>this.installingExtensions.delete(d))),c}async doInstallFromGallery(O,w,d){const c=new Date().getTime();let S=1;this.logService.info("Installing extension:",O.identifier.id),this._onInstallExtension.fire({identifier:O.identifier,gallery:O});try{const j=(await this.getInstalled(1)).find(W=>(0,C.areSameExtensions)(W.identifier,O.identifier));j&&(S=2);const U=await this.downloadInstallableExtension(O,S);U.metadata.isMachineScoped=w.isMachineScoped||(j==null?void 0:j.isMachineScoped),U.metadata.isBuiltin=w.isBuiltin||(j==null?void 0:j.isBuiltin);const _=await this.installExtension(U,d);try{await this.extensionsDownloader.delete(I.URI.file(U.zipPath))}catch(W){}if(!w.donotIncludePackAndDependencies)try{await this.installDependenciesAndPackExtensions(_,j,w)}catch(W){try{await this.uninstall(_)}catch(q){}throw W}return j&&l.neq(j.manifest.version,O.version)&&await this.setUninstalled(j),this.logService.info("Extensions installed successfully:",O.identifier.id),this._onDidInstallExtension.fire({identifier:O.identifier,gallery:O,local:_,operation:S}),this.reportTelemetry(this.getTelemetryEvent(S),(0,C.getGalleryExtensionTelemetryData)(O),new Date().getTime()-c,void 0),_}catch(L){const j=L&&L.code?L.code:ee;throw this.logService.error("Failed to install extension:",O.identifier.id,L?L.message:j),this._onDidInstallExtension.fire({identifier:O.identifier,gallery:O,operation:S,error:j}),this.reportTelemetry(this.getTelemetryEvent(S),(0,C.getGalleryExtensionTelemetryData)(O),new Date().getTime()-c,L),L instanceof Error&&(L.name=j),L}}async checkAndGetCompatibleVersion(O){if(await this.isMalicious(O))throw new u.ExtensionManagementError(k.localize(4,null),u.INSTALL_ERROR_MALICIOUS);const w=await this.galleryService.getCompatibleExtension(O);if(!w)throw new u.ExtensionManagementError(k.localize(5,null,O.identifier.id,p.default.version),u.INSTALL_ERROR_INCOMPATIBLE);return w}async reinstallFromGallery(O){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",O.identifier.id),!this.galleryService.isEnabled())throw new Error(k.localize(6,null));const w=await this.findGalleryExtension(O);if(!w)throw new Error(k.localize(7,null));await this.setUninstalled(O);try{await this.extensionsScanner.removeUninstalledExtension(O)}catch(d){throw new Error(k.localize(8,null,(0,o.toErrorMessage)(d)))}await this.installFromGallery(w)}getTelemetryEvent(O){return O===2?"extensionGallery:update":"extensionGallery:install"}async isMalicious(O){const w=await this.getExtensionsReport();return(0,C.getMaliciousExtensionsSet)(w).has(O.identifier.id)}async downloadInstallableExtension(O,w){const d={id:O.identifier.uuid,publisherId:O.publisherId,publisherDisplayName:O.publisherDisplayName};let c;try{this.logService.trace("Started downloading extension:",O.identifier.id);const S=await this.extensionsDownloader.downloadExtension(O,w);this.logService.info("Downloaded extension:",O.identifier.id,c),c=S.fsPath}catch(S){throw new u.ExtensionManagementError(this.joinErrors(S).message,X)}try{const S=await(0,A.getManifest)(c);return{zipPath:c,identifierWithVersion:new C.ExtensionIdentifierWithVersion(O.identifier,S.version),metadata:d}}catch(S){throw new u.ExtensionManagementError(this.joinErrors(S).message,se)}}async installExtension(O,w){try{const d=await this.unsetUninstalledAndGetLocal(O.identifierWithVersion);if(d)return O.metadata?this.extensionsScanner.saveMetadataForLocalExtension(d,O.metadata):d}catch(d){throw m.isMacintosh?new u.ExtensionManagementError(k.localize(9,null),H):new u.ExtensionManagementError(k.localize(10,null),H)}return this.extractAndInstall(O,w)}async unsetUninstalledAndGetLocal(O){return await this.isUninstalled(O)?(this.logService.trace("Removing the extension from uninstalled list:",O.id),await this.unsetUninstalled(O),this.logService.info("Removed the extension from uninstalled list:",O.id),(await this.getInstalled(1)).find(c=>new C.ExtensionIdentifierWithVersion(c.identifier,c.manifest.version).equals(O))||null):null}async extractAndInstall({zipPath:O,identifierWithVersion:w,metadata:d},c){let S=await this.extensionsScanner.extractUserExtension(w,O,c);return this.logService.info("Installation completed.",w.id),d&&(S=await this.extensionsScanner.saveMetadataForLocalExtension(S,d)),S}async installDependenciesAndPackExtensions(O,w,d){if(!!this.galleryService.isEnabled()){const c=O.manifest.extensionDependencies||[];if(O.manifest.extensionPack)for(const S of O.manifest.extensionPack)w&&w.manifest.extensionPack&&w.manifest.extensionPack.some(L=>(0,C.areSameExtensions)({id:L},{id:S}))||c.every(L=>!(0,C.areSameExtensions)({id:L},{id:S}))&&c.push(S);if(c.length){const S=await this.getInstalled(),L=c.filter(j=>S.every(({identifier:U})=>!(0,C.areSameExtensions)(U,{id:j})));if(L.length){const U=(await this.galleryService.query({names:L,pageSize:c.length},N.CancellationToken.None)).firstPage;try{await R.Promises.settled(U.map(_=>this.installFromGallery(_,d)))}catch(_){try{await this.rollback(U)}catch(W){}throw _}}}}}async rollback(O){const d=(await this.getInstalled(1)).filter(c=>O.some(S=>new C.ExtensionIdentifierWithVersion(c.identifier,c.manifest.version).equals(new C.ExtensionIdentifierWithVersion(S.identifier,S.version))));await R.Promises.settled(d.map(c=>this.uninstall(c)))}async uninstall(O,w={}){this.logService.trace("ExtensionManagementService#uninstall",O.identifier.id);const d=await this.getInstalled(1),c=d.find(S=>(0,C.areSameExtensions)(S.identifier,O.identifier));if(!c)throw new Error(k.localize(11,null,O.manifest.displayName||O.manifest.name));try{await this.checkForDependenciesAndUninstall(c,d,w)}catch(S){throw this.joinErrors(S)}}async updateMetadata(O,w){return this.logService.trace("ExtensionManagementService#updateMetadata",O.identifier.id),O=await this.extensionsScanner.saveMetadataForLocalExtension(O,Object.assign(Object.assign({},O.manifest.__metadata||{}),w)),this.manifestCache.invalidate(),O}async updateExtensionScope(O,w){return this.logService.trace("ExtensionManagementService#updateExtensionScope",O.identifier.id),O=await this.extensionsScanner.saveMetadataForLocalExtension(O,Object.assign(Object.assign({},O.manifest.__metadata||{}),{isMachineScoped:w})),this.manifestCache.invalidate(),O}async getGalleryMetadata(O){const w=await this.findGalleryExtensionByName(O);return w?{id:w.identifier.uuid,publisherDisplayName:w.publisherDisplayName,publisherId:w.publisherId}:void 0}async findGalleryExtension(O){if(O.identifier.uuid){const w=await this.findGalleryExtensionById(O.identifier.uuid);return w||this.findGalleryExtensionByName(O.identifier.id)}return this.findGalleryExtensionByName(O.identifier.id)}async findGalleryExtensionById(O){return(await this.galleryService.query({ids:[O],pageSize:1},N.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName(O){return(await this.galleryService.query({names:[O],pageSize:1},N.CancellationToken.None)).firstPage[0]}joinErrors(O){const w=Array.isArray(O)?O:[O];return w.length===1?w[0]instanceof Error?w[0]:new Error(w[0]):w.reduce((d,c)=>new Error(`${d.message}${d.message?",":""}${c instanceof Error?c.message:c}`),new Error(""))}async checkForDependenciesAndUninstall(O,w,d){try{await this.preUninstallExtension(O);const c=d.donotIncludePack?[]:this.getAllPackExtensionsToUninstall(O,w);await this.uninstallExtensions(O,c,w,d)}catch(c){throw await this.postUninstallExtension(O,new u.ExtensionManagementError(c instanceof Error?c.message:c,re)),c}await this.postUninstallExtension(O)}async uninstallExtensions(O,w,d,c){const S=[O,...w];if(!c.donotCheckDependents)for(const L of S)this.checkForDependents(L,S,d,O);await R.Promises.settled([this.uninstallExtension(O),...w.map(L=>this.doUninstall(L))])}checkForDependents(O,w,d,c){const S=this.getDependents(O,d);if(S.length){const L=S.filter(j=>w.indexOf(j)===-1);if(L.length)throw new Error(this.getDependentsErrorMessage(O,L,c))}}getDependentsErrorMessage(O,w,d){return d===O?w.length===1?k.localize(12,null,d.manifest.displayName||d.manifest.name,w[0].manifest.displayName||w[0].manifest.name):w.length===2?k.localize(13,null,d.manifest.displayName||d.manifest.name,w[0].manifest.displayName||w[0].manifest.name,w[1].manifest.displayName||w[1].manifest.name):k.localize(14,null,d.manifest.displayName||d.manifest.name,w[0].manifest.displayName||w[0].manifest.name,w[1].manifest.displayName||w[1].manifest.name):w.length===1?k.localize(15,null,d.manifest.displayName||d.manifest.name,O.manifest.displayName||O.manifest.name,w[0].manifest.displayName||w[0].manifest.name):w.length===2?k.localize(16,null,d.manifest.displayName||d.manifest.name,O.manifest.displayName||O.manifest.name,w[0].manifest.displayName||w[0].manifest.name,w[1].manifest.displayName||w[1].manifest.name):k.localize(17,null,d.manifest.displayName||d.manifest.name,O.manifest.displayName||O.manifest.name,w[0].manifest.displayName||w[0].manifest.name,w[1].manifest.displayName||w[1].manifest.name)}getAllPackExtensionsToUninstall(O,w,d=[]){if(d.indexOf(O)!==-1)return[];d.push(O);const c=O.manifest.extensionPack?O.manifest.extensionPack:[];if(c.length){const S=w.filter(j=>!j.isBuiltin&&c.some(U=>(0,C.areSameExtensions)({id:U},j.identifier))),L=[];for(const j of S)L.push(...this.getAllPackExtensionsToUninstall(j,w,d));return[...S,...L]}return[]}getDependents(O,w){return w.filter(d=>d.manifest.extensionDependencies&&d.manifest.extensionDependencies.some(c=>(0,C.areSameExtensions)({id:c},O.identifier)))}async doUninstall(O){try{await this.preUninstallExtension(O),await this.uninstallExtension(O)}catch(w){throw await this.postUninstallExtension(O,new u.ExtensionManagementError(w instanceof Error?w.message:w,re)),w}await this.postUninstallExtension(O)}async preUninstallExtension(O){if(!await E.exists(O.location.fsPath))throw new Error(k.localize(18,null));this.logService.info("Uninstalling extension:",O.identifier.id),this._onUninstallExtension.fire(O.identifier)}async uninstallExtension(O){let w=this.uninstallingExtensions.get(O.identifier.id);return w||(w=(0,R.createCancelablePromise)(async()=>{const d=await this.extensionsScanner.scanUserExtensions(!1);await this.setUninstalled(...d.filter(c=>(0,C.areSameExtensions)(c.identifier,O.identifier)))}),this.uninstallingExtensions.set(O.identifier.id,w),w.finally(()=>this.uninstallingExtensions.delete(O.identifier.id))),w}async postUninstallExtension(O,w){if(w)this.logService.error("Failed to uninstall extension:",O.identifier.id,w.message);else if(this.logService.info("Successfully uninstalled extension:",O.identifier.id),O.identifier.uuid)try{await this.galleryService.reportStatistic(O.manifest.publisher,O.manifest.name,O.manifest.version,"uninstall")}catch(c){}this.reportTelemetry("extensionGallery:uninstall",(0,C.getLocalExtensionTelemetryData)(O),void 0,w);const d=w?w instanceof u.ExtensionManagementError?w.code:ee:void 0;this._onDidUninstallExtension.fire({identifier:O.identifier,error:d})}getInstalled(O=null){return this.extensionsScanner.scanExtensions(O)}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async isUninstalled(O){return(await this.filterUninstalled(O)).length===1}filterUninstalled(...O){return this.extensionsScanner.withUninstalledExtensions(w=>{const d=[];for(const c of O)w[c.key()]&&d.push(c.key());return d})}setUninstalled(...O){const w=O.map(d=>new C.ExtensionIdentifierWithVersion(d.identifier,d.manifest.version));return this.extensionsScanner.withUninstalledExtensions(d=>(w.forEach(c=>d[c.key()]=!0),d))}unsetUninstalled(O){return this.extensionsScanner.withUninstalledExtensions(w=>delete w[O.key()])}getExtensionsReport(){const O=new Date().getTime();return(!this.reportedExtensions||O-this.lastReportTimestamp>1e3*60*5)&&(this.reportedExtensions=this.updateReportCache(),this.lastReportTimestamp=O),this.reportedExtensions}async updateReportCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const O=await this.galleryService.getExtensionsReport();return this.logService.trace(`ExtensionManagementService.refreshReportedCache - got ${O.length} reported extensions from service`),O}catch(O){return this.logService.trace("ExtensionManagementService.refreshReportedCache - failed to get extension report"),[]}}reportTelemetry(O,w,d,c){const S=c?c instanceof u.ExtensionManagementError?c.code:ee:void 0;this.telemetryService.publicLogError(O,Object.assign(Object.assign({},w),{success:!c,duration:d,errorcode:S}))}};le=ce([fe(0,h.INativeEnvironmentService),fe(1,u.IExtensionGalleryService),fe(2,D.ILogService),fe(3,(0,r.optional)(a.IDownloadService)),fe(4,i.ITelemetryService),fe(5,r.IInstantiationService)],le),t.ExtensionManagementService=le}),define(Y[121],Z([0,1,130,108,2,8,15,107,27,13,16]),function(x,t,v,k,P,E,M,F,f,u,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RequestService=void 0;let h=class extends P.Disposable{constructor(y,l){super();this.logService=l,this.configure(y.getValue()),this._register(y.onDidChangeConfiguration(()=>this.configure(y.getValue()),this))}configure(y){this.proxyUrl=y.http&&y.http.proxy,this.strictSSL=!!(y.http&&y.http.proxyStrictSSL),this.authorization=y.http&&y.http.proxyAuthorization}async request(y,l){this.logService.trace("RequestService#request",y.url);const{proxyUrl:I,strictSSL:p}=this,m=y.agent?y.agent:await(0,F.getProxyAgent)(y.url||"",{proxyUrl:I,strictSSL:p});return y.agent=m,y.strictSSL=p,this.authorization&&(y.headers=Object.assign(Object.assign({},y.headers||{}),{"Proxy-Authorization":this.authorization})),this._request(y,l)}async getNodeRequest(y){return((0,k.parse)(y.url).protocol==="https:"?await new Promise((p,m)=>{x(["https"],p,m)}):await new Promise((p,m)=>{x(["http"],p,m)})).request}_request(y,l){return new Promise(async(I,p)=>{let m;const D=(0,k.parse)(y.url),b=y.getRawRequest?y.getRawRequest(y):await this.getNodeRequest(y),o={hostname:D.hostname,port:D.port?parseInt(D.port):D.protocol==="https:"?443:80,protocol:D.protocol,path:D.path,method:y.type||"GET",headers:y.headers,agent:y.agent,rejectUnauthorized:(0,E.isBoolean)(y.strictSSL)?y.strictSSL:!0};y.user&&y.password&&(o.auth=y.user+":"+y.password),m=b(o,i=>{const e=(0,E.isNumber)(y.followRedirects)?y.followRedirects:3;if(i.statusCode&&i.statusCode>=300&&i.statusCode<400&&e>0&&i.headers.location)this._request(Object.assign(Object.assign({},y),{url:i.headers.location,followRedirects:e-1}),l).then(I,p);else{let n=i;i.headers["content-encoding"]==="gzip"&&(n=i.pipe((0,v.createGunzip)())),I({res:i,stream:(0,C.streamToBufferReadableStream)(n)})}}),m.on("error",p),y.timeout&&m.setTimeout(y.timeout),y.data&&typeof y.data=="string"&&m.write(y.data),m.end(),l.onCancellationRequested(()=>{m.abort(),p((0,M.canceled)())})})}async resolveProxy(y){}};h=ce([fe(0,f.IConfigurationService),fe(1,u.ILogService)],h),t.RequestService=h}),define(Y[131],Z([0,1,46,14,132,3,4,53,51,48,96,22,86,24,120,114,41,54,115,113,52,121,27,106,116,110,111,13,9,103,117,100,23,101,2,40,97,10,102,37,15,30,16,35]),function(x,t,v,k,P,E,M,F,f,u,C,h,R,y,l,I,p,m,D,b,o,i,e,n,s,a,r,g,N,A,T,z,B,H,X,se,re,ee,le,$,O,w,d,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.main=void 0;class S extends X.Disposable{constructor(U){super();this.argv=U,(0,P.gracefulify)(k),this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){const[U,_]=await this.initServices();return U.invokeFunction(async W=>{const q=W.get(g.ILogService),Q=W.get(B.IFileService),J=W.get(h.INativeEnvironmentService),te=W.get(y.IExtensionManagementCLIService);return q.info("CLI main",this.argv),this.registerErrorHandler(q),await this.doRun(J,te,Q),(0,M.raceTimeout)((0,m.combinedAppender)(..._).flush(),1e3)})}async initServices(){const U=new f.ServiceCollection,_=Object.assign({_serviceBrand:void 0},F.default);U.set(se.IProductService,_);const W=new R.NativeEnvironmentService(this.argv,_);U.set(h.INativeEnvironmentService,W),await Promise.all([W.appSettingsHome.fsPath,W.extensionsPath].map(we=>we?k.promises.mkdir(we,{recursive:!0}):void 0));const q=(0,g.getLogLevel)(W),Q=[];Q.push(new A.SpdLogLogger("cli",(0,E.join)(W.logsPath,"cli.log"),!0,q)),q===g.LogLevel.Trace&&Q.push(new g.ConsoleLogger(q));const J=this._register(new g.MultiplexLogService(Q));U.set(g.ILogService,J);const te=this._register(new z.FileService(J));U.set(B.IFileService,te);const ne=this._register(new H.DiskFileSystemProvider(J));te.registerProvider(N.Schemas.file,ne);const he=this._register(new n.ConfigurationService(W.settingsResource,te));U.set(e.IConfigurationService,he),await he.initialize();const ge=new r.StateService(W,J);U.set(a.IStateService,ge);const{appRoot:Pe,extensionsPath:Le,extensionDevelopmentLocationURI:Fe,isBuilt:Oe,installSourcePath:ke}=W;U.set(o.IRequestService,new u.SyncDescriptor(i.RequestService)),U.set(y.IExtensionManagementService,new u.SyncDescriptor(l.ExtensionManagementService)),U.set(y.IExtensionGalleryService,new u.SyncDescriptor(I.ExtensionGalleryService)),U.set(y.IExtensionManagementCLIService,new u.SyncDescriptor(re.ExtensionManagementCLIService)),U.set($.ILocalizationsService,new u.SyncDescriptor(le.LocalizationsService));const ve=[];if(Oe&&!Fe&&!W.disableTelemetry&&_.enableTelemetry){_.aiConfig&&_.aiConfig.asimovKey&&ve.push(new s.AppInsightsAppender("monacoworkbench",null,_.aiConfig.asimovKey));const we={appender:(0,m.combinedAppender)(...ve),sendErrorTelemetry:!1,commonProperties:(0,b.resolveCommonProperties)(te,(0,v.release)(),process.arch,_.commit,_.version,ge.getItem("telemetry.machineId"),_.msftInternalDomains,ke),piiPaths:[Pe,Le]};U.set(p.ITelemetryService,new u.SyncDescriptor(D.TelemetryService,[we]))}else U.set(p.ITelemetryService,m.NullTelemetryService);return[new C.InstantiationService(U),ve]}registerErrorHandler(U){(0,O.setUnexpectedErrorHandler)(_=>{const W=(0,w.toErrorMessage)(_,!0);!W||U.error(`[uncaught exception in CLI]: ${W}`)})}async doRun(U,_,W){if(this.argv["install-source"])return this.setInstallSource(U,W,this.argv["install-source"]);if(this.argv["list-extensions"])return _.listExtensions(!!this.argv["show-versions"],this.argv.category);if(this.argv["install-extension"]||this.argv["install-builtin-extension"])return _.installExtensions(this.asExtensionIdOrVSIX(this.argv["install-extension"]||[]),this.argv["install-builtin-extension"]||[],!!this.argv["do-not-sync"],!!this.argv.force);if(this.argv["uninstall-extension"])return _.uninstallExtensions(this.asExtensionIdOrVSIX(this.argv["uninstall-extension"]),!!this.argv.force);if(this.argv["locate-extension"])return _.locateExtension(this.argv["locate-extension"]);this.argv.telemetry&&console.log((0,T.buildTelemetryMessage)(U.appRoot,U.extensionsPath))}asExtensionIdOrVSIX(U){return U.map(_=>/\.vsix$/i.test(_)?ee.URI.file((0,E.isAbsolute)(_)?_:(0,E.join)((0,c.cwd)(),_)):_)}async setInstallSource(U,_,W){await _.writeFile(ee.URI.file(U.installSourcePath),d.VSBuffer.fromString(W.slice(0,30)))}}async function L(j){const U=new S(j);try{await U.run()}finally{U.dispose()}}t.main=L})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/892a1083cb2b9b3987ff7edc85376b5d9764433d/core/vs/code/node/cliProcessMain.js.map
