/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ge=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/base/common/path","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/base/common/platform","vs/base/common/network","vs/base/common/arrays","vs/platform/log/common/log","vs/workbench/api/common/extHostRpcService","vs/base/common/types","vs/nls","vs/nls!vs/workbench/services/extensions/node/extensionHostProcess","vs/base/common/errors","vs/base/common/async","vs/workbench/api/common/extHostTypeConverters","vs/base/common/cancellation","vs/base/common/objects","vs/base/common/map","vs/base/common/resources","vs/base/node/pfs","vs/base/common/buffer","vs/workbench/api/common/extHostInitDataService","vs/base/common/uuid","vs/platform/extensions/common/extensions","vs/base/common/process","vs/base/common/extpath","vs/workbench/services/search/common/search","vs/workbench/api/common/extHostWorkspace","vs/base/common/glob","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostConfiguration","fs","vs/workbench/api/common/extHostDocumentsAndEditors","child_process","vs/platform/registry/common/platform","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostExtensionService","vs/editor/common/core/range","vs/platform/files/common/files","vs/workbench/api/common/extHostDebugService","vs/base/common/stopwatch","vs/base/common/codicons","os","vs/editor/common/core/position","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostCommands","vs/base/common/assert","vs/base/common/collections","vs/base/common/decorators","vs/base/common/json","vs/base/common/linkedList","vs/base/common/marshalling","vs/base/common/errorMessage","vs/platform/contextkey/common/contextkey","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWebview","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostSearch","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/numbers","vs/base/common/hash","vs/base/common/severity","vs/base/common/normalization","vs/base/common/labels","vs/editor/common/modes/languageSelector","vs/base/node/processes","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/platform/configuration/common/configuration","vs/workbench/api/common/shared/webview","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/stream","vs/base/common/uint","vs/base/common/filters","vs/base/common/htmlContent","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/uriIpc","string_decoder","vs/base/node/extpath","vs/base/node/powershell","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/platform/instantiation/common/descriptors","vs/platform/log/node/spdlogLog","vs/platform/markers/common/markers","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/cache","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/debug/common/abstractDebugAdapter","net","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/searchExtTypes","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/parts/ipc/node/ipc.net","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/processes","vs/base/common/iconLabels","vs/base/node/decoder","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHost.api.impl","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionActivator","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/contrib/terminal/common/terminal","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/commands/common/commands","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/configuration/common/configurationModels","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/terminal/node/terminalEnvironment","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/theme/common/iconRegistry","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/views","vs/workbench/api/common/apiCommands","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/externalTerminal/node/externalTerminal","vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/contrib/terminal/common/terminal","vs/workbench/contrib/terminal/common/terminalEnvironment","vs/workbench/contrib/terminal/node/terminal","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/node/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostOutputService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/api/common/extHostTesting","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostTerminalService","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/services/textfile/common/encoding","vs/workbench/services/extensions/node/proxyResolver","http","vs/workbench/services/search/node/ripgrepFileSearch","vscode-ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHost.node.services","vs/workbench/services/extensions/node/extensionHostProcessSetup","util","vs/base/common/marked/marked","https","tls","vscode-proxy-agent","events","vscode-regexpp","graceful-fs","crypto","zlib","minimist","vs/workbench/services/extensions/node/extensionHostProcess"],pe=function(J){for(var e=[],_=0,y=J.length;_<y;_++)e[_]=ge[J[_]];return e};define(ge[52],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function _(y,R){if(!y)throw new Error(R?`Assertion failed (${R})`:"Assertion Failed")}e.ok=_}),define(ge[53],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const _=Object.prototype.hasOwnProperty;function y(A){const k=[];for(let b in A)_.call(A,b)&&k.push(A[b]);return k}e.values=y;function R(A,k){for(let b in A)if(_.call(A,b)&&k({key:b,value:A[b]},function(){delete A[b]})===!1)return}e.forEach=R;function I(A,k){const b=Object.create(null);for(const h of A){const l=k(h);let g=b[l];g||(g=b[l]=[]),g.push(h)}return b}e.groupBy=I;function D(A){const k=Object.create(null);return A&&A.forEach((b,h)=>{k[h]=b}),k}e.fromMap=D;function P(A,k){const b=[],h=[];for(let l of A)k.has(l)||b.push(l);for(let l of k)A.has(l)||h.push(l);return{removed:b,added:h}}e.diffSets=P;function E(A,k){const b=[],h=[];for(let[l,g]of A)k.has(l)||b.push(g);for(let[l,g]of k)A.has(l)||h.push(g);return{removed:b,added:h}}e.diffMaps=E;class n{constructor(){this.map=new Map}add(k,b){let h=this.map.get(k);h||(h=new Set,this.map.set(k,h)),h.add(b)}delete(k,b){const h=this.map.get(k);!h||(h.delete(b),h.size===0&&this.map.delete(k))}forEach(k,b){const h=this.map.get(k);!h||h.forEach(b)}}e.SetMap=n}),define(ge[54],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function _(E){return(n,A,k)=>{let b=null,h=null;if(typeof k.value=="function"?(b="value",h=k.value):typeof k.get=="function"&&(b="get",h=k.get),!h)throw new Error("not supported");k[b]=E(h,A)}}e.createDecorator=_;let y=0;function R(){const E=`$memoize${y++}`;let n;const A=function(b,h,l){let g=null,S=null;if(typeof l.value=="function"?(g="value",S=l.value,S.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof l.get=="function"&&(g="get",S=l.get),!S)throw new Error("not supported");const p=`${E}:${h}`;l[g]=function(...w){return n=this,this.hasOwnProperty(p)||Object.defineProperty(this,p,{configurable:!0,enumerable:!1,writable:!0,value:S.apply(this,w)}),this[p]}};return A.clear=()=>{typeof n!="undefined"&&Object.getOwnPropertyNames(n).forEach(k=>{k.indexOf(E)===0&&delete n[k]})},A}e.createMemoizer=R;function I(E,n,A){return R()(E,n,A)}e.memoize=I;function D(E,n,A){return _((k,b)=>{const h=`$debounce$${b}`,l=`$debounce$result$${b}`;return function(...g){this[l]||(this[l]=A?A():void 0),clearTimeout(this[h]),n&&(this[l]=n(this[l],...g),g=[this[l]]),this[h]=setTimeout(()=>{k.apply(this,g),this[l]=A?A():void 0},E)}})}e.debounce=D;function P(E,n,A){return _((k,b)=>{const h=`$throttle$timer$${b}`,l=`$throttle$result$${b}`,g=`$throttle$lastRun$${b}`,S=`$throttle$pending$${b}`;return function(...p){if(this[l]||(this[l]=A?A():void 0),(this[g]===null||this[g]===void 0)&&(this[g]=-Number.MAX_VALUE),n&&(this[l]=n(this[l],...p)),!this[S]){const w=this[g]+E;w<=Date.now()?(this[g]=Date.now(),k.apply(this,[this[l]]),this[l]=A?A():void 0):(this[S]=!0,this[h]=setTimeout(()=>{this[S]=!1,this[g]=Date.now(),k.apply(this,[this[l]]),this[l]=A?A():void 0},w-Date.now()))}}})}e.throttle=P}),define(ge[18],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class _{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(i=>{i(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=_,e.errorHandler=new _;function y(a){e.errorHandler.setUnexpectedErrorHandler(a)}e.setUnexpectedErrorHandler=y;function R(a){E(a)||e.errorHandler.onUnexpectedError(a)}e.onUnexpectedError=R;function I(a){E(a)||e.errorHandler.onUnexpectedExternalError(a)}e.onUnexpectedExternalError=I;function D(a){if(a instanceof Error){let{name:t,message:i}=a;const s=a.stacktrace||a.stack;return{$isError:!0,name:t,message:i,stack:s}}return a}e.transformErrorForSerialization=D;const P="Canceled";function E(a){return a instanceof Error&&a.name===P&&a.message===P}e.isPromiseCanceledError=E;class n extends Error{constructor(){super(P);this.name=this.message}}e.CancellationError=n;function A(){const a=new Error(P);return a.name=a.message,a}e.canceled=A;function k(a){return a?new Error(`Illegal argument: ${a}`):new Error("Illegal argument")}e.illegalArgument=k;function b(a){return a?new Error(`Illegal state: ${a}`):new Error("Illegal state")}e.illegalState=b;function h(a){return a?new Error(`readonly property '${a} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=h;function l(a){const t=new Error(`${a} has been disposed`);return t.name="DISPOSED",t}e.disposed=l;function g(a){return a?a.message?a.message:a.stack?a.stack.split(`
`)[0]:String(a):"Error"}e.getErrorMessage=g;class S extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=S;class p extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=p;class w extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=w;function d(a){const t=a;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=d;function u(a,t=Object.create(null)){const i=new Error(a);return t.actions&&(i.actions=t.actions),i}e.createErrorWithActions=u}),define(ge[12],pe([0,1,18]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function y(O,U=0){return O[O.length-(1+U)]}e.tail=y;function R(O){if(O.length===0)throw new Error("Invalid tail call");return[O.slice(0,O.length-1),O[O.length-1]]}e.tail2=R;function I(O,U,F=(N,M)=>N===M){if(O===U)return!0;if(!O||!U||O.length!==U.length)return!1;for(let N=0,M=O.length;N<M;N++)if(!F(O[N],U[N]))return!1;return!0}e.equals=I;function D(O,U,F){let N=0,M=O.length-1;for(;N<=M;){const V=(N+M)/2|0,q=F(O[V],U);if(q<0)N=V+1;else if(q>0)M=V-1;else return V}return-(N+1)}e.binarySearch=D;function P(O,U){let F=0,N=O.length;if(N===0)return 0;for(;F<N;){const M=Math.floor((F+N)/2);U(O[M])?N=M:F=M+1}return F}e.findFirstInSorted=P;function E(O,U,F){if(O=O|0,O>=U.length)throw new TypeError("invalid index");let N=U[Math.floor(U.length*Math.random())],M=[],V=[],q=[];for(let X of U){const fe=F(X,N);fe<0?M.push(X):fe>0?V.push(X):q.push(X)}return O<M.length?E(O,M,F):O<M.length+q.length?q[0]:E(O-(M.length+q.length),V,F)}e.quickSelect=E;function n(O,U){const F=[];let N;for(const M of O.slice(0).sort(U))!N||U(N[0],M)!==0?(N=[M],F.push(N)):N.push(M);return F}e.groupBy=n;function A(O,U,F){const N=[];function M(X,fe,_e){if(!(fe===0&&_e.length===0)){const Le=N[N.length-1];Le&&Le.start+Le.deleteCount===X?(Le.deleteCount+=fe,Le.toInsert.push(..._e)):N.push({start:X,deleteCount:fe,toInsert:_e})}}let V=0,q=0;for(;;){if(V===O.length){M(V,0,U.slice(q));break}if(q===U.length){M(V,O.length-V,[]);break}const X=O[V],fe=U[q],_e=F(X,fe);_e===0?(V+=1,q+=1):_e<0?(M(V,1,[]),V+=1):_e>0&&(M(V,0,[fe]),q+=1)}return N}e.sortedDiff=A;function k(O,U,F){const N=A(O,U,F),M=[],V=[];for(const q of N)M.push(...O.slice(q.start,q.start+q.deleteCount)),V.push(...q.toInsert);return{removed:M,added:V}}e.delta=k;function b(O,U,F){if(F===0)return[];const N=O.slice(0,F).sort(U);return l(O,U,N,F,O.length),N}e.top=b;function h(O,U,F,N,M){return F===0?Promise.resolve([]):new Promise((V,q)=>{(async()=>{const X=O.length,fe=O.slice(0,F).sort(U);for(let _e=F,Le=Math.min(F+N,X);_e<X;_e=Le,Le=Math.min(Le+N,X)){if(_e>F&&await new Promise(Ie=>setTimeout(Ie)),M&&M.isCancellationRequested)throw(0,_.canceled)();l(O,U,fe,_e,Le)}return fe})().then(V,q)})}e.topAsync=h;function l(O,U,F,N,M){for(const V=F.length;N<M;N++){const q=O[N];if(U(q,F[V-1])<0){F.pop();const X=P(F,fe=>U(q,fe)<0);F.splice(X,0,q)}}}function g(O){return O.filter(U=>!!U)}e.coalesce=g;function S(O){let U=0;for(let F=0;F<O.length;F++)O[F]&&(O[U]=O[F],U+=1);O.length=U}e.coalesceInPlace=S;function p(O,U,F){O.splice(F,0,O.splice(U,1)[0])}e.move=p;function w(O){return!Array.isArray(O)||O.length===0}e.isFalsyOrEmpty=w;function d(O){return Array.isArray(O)&&O.length>0}e.isNonEmptyArray=d;function u(O,U){if(!U)return O.filter((N,M)=>O.indexOf(N)===M);const F=Object.create(null);return O.filter(N=>{const M=U(N);return F[M]?!1:(F[M]=!0,!0)})}e.distinct=u;function a(O){const U=new Set;return O.filter(F=>U.has(F)?!1:(U.add(F),!0))}e.distinctES6=a;function t(O){const U=Object.create(null);return F=>{const N=O(F);return U[N]?!1:(U[N]=!0,!0)}}e.uniqueFilter=t;function i(O,U){for(let F=O.length-1;F>=0;F--){const N=O[F];if(U(N))return F}return-1}e.lastIndex=i;function s(O,U){return O.length>0?O[0]:U}e.firstOrDefault=s;function o(O,U,F=(N,M)=>N===M){let N=0;for(let M=0,V=Math.min(O.length,U.length);M<V&&F(O[M],U[M]);M++)N++;return N}e.commonPrefixLength=o;function r(O){return[].concat(...O)}e.flatten=r;function c(O,U){let F=typeof U=="number"?O:0;typeof U=="number"?F=O:(F=0,U=O);const N=[];if(F<=U)for(let M=F;M<U;M++)N.push(M);else for(let M=F;M>U;M--)N.push(M);return N}e.range=c;function v(O,U,F){return O.reduce((N,M)=>(N[U(M)]=F?F(M):M,N),Object.create(null))}e.index=v;function C(O,U){return O.push(U),()=>m(O,U)}e.insert=C;function m(O,U){const F=O.indexOf(U);if(F>-1)return O.splice(F,1),U}e.remove=m;function f(O,U,F){const N=O.slice(0,U),M=O.slice(U);return N.concat(F,M)}e.arrayInsert=f;function T(O,U){let F;if(typeof U=="number"){let N=U;F=()=>{const M=Math.sin(N++)*179426549;return M-Math.floor(M)}}else F=Math.random;for(let N=O.length-1;N>0;N-=1){const M=Math.floor(F()*(N+1)),V=O[N];O[N]=O[M],O[M]=V}}e.shuffle=T;function L(O,U){const F=O.indexOf(U);F>-1&&(O.splice(F,1),O.unshift(U))}e.pushToStart=L;function B(O,U){const F=O.indexOf(U);F>-1&&(O.splice(F,1),O.push(U))}e.pushToEnd=B;function te(O,U){return Array.isArray(O)?O.map(U):U(O)}e.mapArrayOrNot=te;function j(O){return Array.isArray(O)?O:[O]}e.asArray=j;function W(O){return O[Math.floor(Math.random()*O.length)]}e.getRandomElement=W;function $(O,U){for(const F of O){const N=U(F);if(N!==void 0)return N}}e.mapFind=$}),define(ge[69],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function _(y){const R=this;let I=!1,D;return function(){return I||(I=!0,D=y.apply(R,arguments)),D}}e.once=_}),define(ge[70],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class _{constructor(R){this._prefix=R,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=_,e.defaultGenerator=new _("id#")}),define(ge[71],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var _;(function(y){function R(a){return a&&typeof a=="object"&&typeof a[Symbol.iterator]=="function"}y.is=R;const I=Object.freeze([]);function D(){return I}y.empty=D;function*P(a){yield a}y.single=P;function E(a){return a||I}y.from=E;function n(a){return!a||a[Symbol.iterator]().next().done===!0}y.isEmpty=n;function A(a){return a[Symbol.iterator]().next().value}y.first=A;function k(a,t){for(const i of a)if(t(i))return!0;return!1}y.some=k;function b(a,t){for(const i of a)if(t(i))return i}y.find=b;function*h(a,t){for(const i of a)t(i)&&(yield i)}y.filter=h;function*l(a,t){for(const i of a)yield t(i)}y.map=l;function*g(...a){for(const t of a)for(const i of t)yield i}y.concat=g;function*S(a){for(const t of a)for(const i of t)yield i}y.concatNested=S;function p(a,t,i){let s=i;for(const o of a)s=t(s,o);return s}y.reduce=p;function*w(a,t,i=a.length){for(t<0&&(t+=a.length),i<0?i+=a.length:i>a.length&&(i=a.length);t<i;t++)yield a[t]}y.slice=w;function d(a,t=Number.POSITIVE_INFINITY){const i=[];if(t===0)return[i,a];const s=a[Symbol.iterator]();for(let o=0;o<t;o++){const r=s.next();if(r.done)return[i,y.empty()];i.push(r.value)}return[i,{[Symbol.iterator](){return s}}]}y.consume=d;function u(a,t,i=(s,o)=>s===o){const s=a[Symbol.iterator](),o=t[Symbol.iterator]();for(;;){const r=s.next(),c=o.next();if(r.done!==c.done)return!1;if(r.done)return!0;if(!i(r.value,c.value))return!1}}y.equals=u})(_=e.Iterable||(e.Iterable={}))}),define(ge[55],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var _;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(_=e.ScanError||(e.ScanError={}));var y;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(y=e.SyntaxKind||(e.SyntaxKind={}));var R;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(R=e.ParseErrorCode||(e.ParseErrorCode={}));var I;(function(t){t.DEFAULT={allowTrailingComma:!0}})(I=e.ParseOptions||(e.ParseOptions={}));function D(t,i=!1){let s=0,o=t.length,r="",c=0,v=16,C=0;function m(W){let $=0,O=0;for(;$<W;){const U=t.charCodeAt(s);if(U>=48&&U<=57)O=O*16+U-48;else if(U>=65&&U<=70)O=O*16+U-65+10;else if(U>=97&&U<=102)O=O*16+U-97+10;else break;s++,$++}return $<W&&(O=-1),O}function f(W){s=W,r="",c=0,v=16,C=0}function T(){const W=s;if(t.charCodeAt(s)===48)s++;else for(s++;s<t.length&&n(t.charCodeAt(s));)s++;if(s<t.length&&t.charCodeAt(s)===46)if(s++,s<t.length&&n(t.charCodeAt(s)))for(s++;s<t.length&&n(t.charCodeAt(s));)s++;else return C=3,t.substring(W,s);let $=s;if(s<t.length&&(t.charCodeAt(s)===69||t.charCodeAt(s)===101))if(s++,(s<t.length&&t.charCodeAt(s)===43||t.charCodeAt(s)===45)&&s++,s<t.length&&n(t.charCodeAt(s))){for(s++;s<t.length&&n(t.charCodeAt(s));)s++;$=s}else C=3;return t.substring(W,$)}function L(){let W="",$=s;for(;;){if(s>=o){W+=t.substring($,s),C=2;break}const O=t.charCodeAt(s);if(O===34){W+=t.substring($,s),s++;break}if(O===92){if(W+=t.substring($,s),s++,s>=o){C=2;break}switch(t.charCodeAt(s++)){case 34:W+='"';break;case 92:W+="\\";break;case 47:W+="/";break;case 98:W+="\b";break;case 102:W+="\f";break;case 110:W+=`
`;break;case 114:W+="\r";break;case 116:W+="	";break;case 117:const F=m(4);F>=0?W+=String.fromCharCode(F):C=4;break;default:C=5}$=s;continue}if(O>=0&&O<=31)if(E(O)){W+=t.substring($,s),C=2;break}else C=6;s++}return W}function B(){if(r="",C=0,c=s,s>=o)return c=o,v=17;let W=t.charCodeAt(s);if(P(W)){do s++,r+=String.fromCharCode(W),W=t.charCodeAt(s);while(P(W));return v=15}if(E(W))return s++,r+=String.fromCharCode(W),W===13&&t.charCodeAt(s)===10&&(s++,r+=`
`),v=14;switch(W){case 123:return s++,v=1;case 125:return s++,v=2;case 91:return s++,v=3;case 93:return s++,v=4;case 58:return s++,v=6;case 44:return s++,v=5;case 34:return s++,r=L(),v=10;case 47:const $=s-1;if(t.charCodeAt(s+1)===47){for(s+=2;s<o&&!E(t.charCodeAt(s));)s++;return r=t.substring($,s),v=12}if(t.charCodeAt(s+1)===42){s+=2;const O=o-1;let U=!1;for(;s<O;){if(t.charCodeAt(s)===42&&t.charCodeAt(s+1)===47){s+=2,U=!0;break}s++}return U||(s++,C=1),r=t.substring($,s),v=13}return r+=String.fromCharCode(W),s++,v=16;case 45:if(r+=String.fromCharCode(W),s++,s===o||!n(t.charCodeAt(s)))return v=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=T(),v=11;default:for(;s<o&&te(W);)s++,W=t.charCodeAt(s);if(c!==s){switch(r=t.substring(c,s),r){case"true":return v=8;case"false":return v=9;case"null":return v=7}return v=16}return r+=String.fromCharCode(W),s++,v=16}}function te(W){if(P(W)||E(W))return!1;switch(W){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function j(){let W;do W=B();while(W>=12&&W<=15);return W}return{setPosition:f,getPosition:()=>s,scan:i?j:B,getToken:()=>v,getTokenValue:()=>r,getTokenOffset:()=>c,getTokenLength:()=>s-c,getTokenError:()=>C}}e.createScanner=D;function P(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function E(t){return t===10||t===13||t===8232||t===8233}function n(t){return t>=48&&t<=57}var A;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(A||(A={}));function k(t,i){const s=[],o=new Object;let r;const c={value:{},offset:0,length:0,type:"object",parent:void 0};let v=!1;function C(m,f,T,L){c.value=m,c.offset=f,c.length=T,c.type=L,c.colonOffset=void 0,r=c}try{d(t,{onObjectBegin:(m,f)=>{if(i<=m)throw o;r=void 0,v=i>m,s.push("")},onObjectProperty:(m,f,T)=>{if(i<f||(C(m,f,T,"property"),s[s.length-1]=m,i<=f+T))throw o},onObjectEnd:(m,f)=>{if(i<=m)throw o;r=void 0,s.pop()},onArrayBegin:(m,f)=>{if(i<=m)throw o;r=void 0,s.push(0)},onArrayEnd:(m,f)=>{if(i<=m)throw o;r=void 0,s.pop()},onLiteralValue:(m,f,T)=>{if(i<f||(C(m,f,T,a(m)),i<=f+T))throw o},onSeparator:(m,f,T)=>{if(i<=f)throw o;if(m===":"&&r&&r.type==="property")r.colonOffset=f,v=!1,r=void 0;else if(m===","){const L=s[s.length-1];typeof L=="number"?s[s.length-1]=L+1:(v=!0,s[s.length-1]=""),r=void 0}}})}catch(m){if(m!==o)throw m}return{path:s,previousNode:r,isAtPropertyKey:v,matches:m=>{let f=0;for(let T=0;f<m.length&&T<s.length;T++)if(m[f]===s[T]||m[f]==="*")f++;else if(m[f]!=="**")return!1;return f===m.length}}}e.getLocation=k;function b(t,i=[],s=I.DEFAULT){let o=null,r=[];const c=[];function v(m){Array.isArray(r)?r.push(m):o!==null&&(r[o]=m)}return d(t,{onObjectBegin:()=>{const m={};v(m),c.push(r),r=m,o=null},onObjectProperty:m=>{o=m},onObjectEnd:()=>{r=c.pop()},onArrayBegin:()=>{const m=[];v(m),c.push(r),r=m,o=null},onArrayEnd:()=>{r=c.pop()},onLiteralValue:v,onError:(m,f,T)=>{i.push({error:m,offset:f,length:T})}},s),r[0]}e.parse=b;function h(t,i=[],s=I.DEFAULT){let o={type:"array",offset:-1,length:-1,children:[],parent:void 0};function r(m){o.type==="property"&&(o.length=m-o.offset,o=o.parent)}function c(m){return o.children.push(m),m}d(t,{onObjectBegin:m=>{o=c({type:"object",offset:m,length:-1,parent:o,children:[]})},onObjectProperty:(m,f,T)=>{o=c({type:"property",offset:f,length:-1,parent:o,children:[]}),o.children.push({type:"string",value:m,offset:f,length:T,parent:o})},onObjectEnd:(m,f)=>{o.length=m+f-o.offset,o=o.parent,r(m+f)},onArrayBegin:(m,f)=>{o=c({type:"array",offset:m,length:-1,parent:o,children:[]})},onArrayEnd:(m,f)=>{o.length=m+f-o.offset,o=o.parent,r(m+f)},onLiteralValue:(m,f,T)=>{c({type:a(m),offset:f,length:T,parent:o,value:m}),r(f+T)},onSeparator:(m,f,T)=>{o.type==="property"&&(m===":"?o.colonOffset=f:m===","&&r(f))},onError:(m,f,T)=>{i.push({error:m,offset:f,length:T})}},s);const C=o.children[0];return C&&delete C.parent,C}e.parseTree=h;function l(t,i){if(!!t){let s=t;for(let o of i)if(typeof o=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let r=!1;for(const c of s.children)if(Array.isArray(c.children)&&c.children[0].value===o){s=c.children[1],r=!0;break}if(!r)return}else{const r=o;if(s.type!=="array"||r<0||!Array.isArray(s.children)||r>=s.children.length)return;s=s.children[r]}return s}}e.findNodeAtLocation=l;function g(t){if(!t.parent||!t.parent.children)return[];const i=g(t.parent);if(t.parent.type==="property"){const s=t.parent.children[0].value;i.push(s)}else if(t.parent.type==="array"){const s=t.parent.children.indexOf(t);s!==-1&&i.push(s)}return i}e.getNodePath=g;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":const i=Object.create(null);for(let s of t.children){const o=s.children[1];o&&(i[s.children[0].value]=S(o))}return i;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=S;function p(t,i,s=!1){return i>=t.offset&&i<t.offset+t.length||s&&i===t.offset+t.length}e.contains=p;function w(t,i,s=!1){if(p(t,i,s)){const o=t.children;if(Array.isArray(o))for(let r=0;r<o.length&&o[r].offset<=i;r++){const c=w(o[r],i,s);if(c)return c}return t}}e.findNodeAtOffset=w;function d(t,i,s=I.DEFAULT){const o=D(t,!1);function r(fe){return fe?()=>fe(o.getTokenOffset(),o.getTokenLength()):()=>!0}function c(fe){return fe?_e=>fe(_e,o.getTokenOffset(),o.getTokenLength()):()=>!0}const v=r(i.onObjectBegin),C=c(i.onObjectProperty),m=r(i.onObjectEnd),f=r(i.onArrayBegin),T=r(i.onArrayEnd),L=c(i.onLiteralValue),B=c(i.onSeparator),te=r(i.onComment),j=c(i.onError),W=s&&s.disallowComments,$=s&&s.allowTrailingComma;function O(){for(;;){const fe=o.scan();switch(o.getTokenError()){case 4:U(14);break;case 5:U(15);break;case 3:U(13);break;case 1:W||U(11);break;case 2:U(12);break;case 6:U(16);break}switch(fe){case 12:case 13:W?U(10):te();break;case 16:U(1);break;case 15:case 14:break;default:return fe}}}function U(fe,_e=[],Le=[]){if(j(fe),_e.length+Le.length>0){let Ie=o.getToken();for(;Ie!==17;){if(_e.indexOf(Ie)!==-1){O();break}else if(Le.indexOf(Ie)!==-1)break;Ie=O()}}}function F(fe){const _e=o.getTokenValue();return fe?L(_e):C(_e),O(),!0}function N(){switch(o.getToken()){case 11:let fe=0;try{fe=JSON.parse(o.getTokenValue()),typeof fe!="number"&&(U(2),fe=0)}catch(_e){U(2)}L(fe);break;case 7:L(null);break;case 8:L(!0);break;case 9:L(!1);break;default:return!1}return O(),!0}function M(){return o.getToken()!==10?(U(3,[],[2,5]),!1):(F(!1),o.getToken()===6?(B(":"),O(),X()||U(4,[],[2,5])):U(5,[],[2,5]),!0)}function V(){v(),O();let fe=!1;for(;o.getToken()!==2&&o.getToken()!==17;){if(o.getToken()===5){if(fe||U(4,[],[]),B(","),O(),o.getToken()===2&&$)break}else fe&&U(6,[],[]);M()||U(4,[],[2,5]),fe=!0}return m(),o.getToken()!==2?U(7,[2],[]):O(),!0}function q(){f(),O();let fe=!1;for(;o.getToken()!==4&&o.getToken()!==17;){if(o.getToken()===5){if(fe||U(4,[],[]),B(","),O(),o.getToken()===4&&$)break}else fe&&U(6,[],[]);X()||U(4,[],[4,5]),fe=!0}return T(),o.getToken()!==4?U(8,[4],[]):O(),!0}function X(){switch(o.getToken()){case 3:return q();case 1:return V();case 10:return F(!0);default:return N()}}return O(),o.getToken()===17?s.allowEmptyContent?!0:(U(4,[],[]),!1):X()?(o.getToken()!==17&&U(9,[],[]),!0):(U(4,[],[]),!1)}e.visit=d;function u(t,i){let s=D(t),o=[],r,c=0,v;do switch(v=s.getPosition(),r=s.scan(),r){case 12:case 13:case 17:c!==v&&o.push(t.substring(c,v)),i!==void 0&&o.push(s.getTokenValue().replace(/[^\r\n]/g,i)),c=s.getPosition();break}while(r!==17);return o.join("")}e.stripComments=u;function a(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=a}),define(ge[130],pe([0,1,55]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function y(E,n,A){let k,b,h,l,g;if(n){for(l=n.offset,g=l+n.length,h=l;h>0&&!P(E,h-1);)h--;let c=g;for(;c<E.length&&!P(E,c);)c++;b=E.substring(h,c),k=I(b,A)}else b=E,k=0,h=0,l=0,g=E.length;const S=D(A,E);let p=!1,w=0,d;A.insertSpaces?d=R(" ",A.tabSize||4):d="	";const u=(0,_.createScanner)(b,!1);let a=!1;function t(){return S+R(d,k+w)}function i(){let c=u.scan();for(p=!1;c===15||c===14;)p=p||c===14,c=u.scan();return a=c===16||u.getTokenError()!==0,c}const s=[];function o(c,v,C){!a&&v<g&&C>l&&E.substring(v,C)!==c&&s.push({offset:v,length:C-v,content:c})}let r=i();if(r!==17){const c=u.getTokenOffset()+h,v=R(d,k);o(v,h,c)}for(;r!==17;){let c=u.getTokenOffset()+u.getTokenLength()+h,v=i(),C="";for(;!p&&(v===12||v===13);){const f=u.getTokenOffset()+h;o(" ",c,f),c=u.getTokenOffset()+u.getTokenLength()+h,C=v===12?t():"",v=i()}if(v===2)r!==1&&(w--,C=t());else if(v===4)r!==3&&(w--,C=t());else{switch(r){case 3:case 1:w++,C=t();break;case 5:case 12:C=t();break;case 13:p?C=t():C=" ";break;case 6:C=" ";break;case 10:if(v===6){C="";break}case 7:case 8:case 9:case 11:case 2:case 4:v===12||v===13?C=" ":v!==5&&v!==17&&(a=!0);break;case 16:a=!0;break}p&&(v===12||v===13)&&(C=t())}const m=u.getTokenOffset()+h;o(C,c,m),r=v}return s}e.format=y;function R(E,n){let A="";for(let k=0;k<n;k++)A+=E;return A}function I(E,n){let A=0,k=0;const b=n.tabSize||4;for(;A<E.length;){const h=E.charAt(A);if(h===" ")k++;else if(h==="	")k+=b;else break;A++}return Math.floor(k/b)}function D(E,n){for(let A=0;A<n.length;A++){const k=n.charAt(A);if(k==="\r")return A+1<n.length&&n.charAt(A+1)===`
`?`\r
`:"\r";if(k===`
`)return`
`}return E&&E.eol||`
`}e.getEOL=D;function P(E,n){return`\r
`.indexOf(E.charAt(n))!==-1}e.isEOL=P}),define(ge[131],pe([0,1,55,130]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function R(n,A,k){return I(n,A,void 0,k)}e.removeProperty=R;function I(n,A,k,b,h){const l=A.slice(),g=[],S=(0,_.parseTree)(n,g);let p,w;for(;l.length>0&&(w=l.pop(),p=(0,_.findNodeAtLocation)(S,l),p===void 0&&k!==void 0);)typeof w=="string"?k={[w]:k}:k=[k];if(p)if(p.type==="object"&&typeof w=="string"&&Array.isArray(p.children)){const d=(0,_.findNodeAtLocation)(p,[w]);if(d!==void 0)if(k===void 0){if(!d.parent)throw new Error("Malformed AST");const u=p.children.indexOf(d.parent);let a,t=d.parent.offset+d.parent.length;if(u>0){const i=p.children[u-1];a=i.offset+i.length}else a=p.offset+1,p.children.length>1&&(t=p.children[1].offset);return D(n,{offset:a,length:t-a,content:""},b)}else return D(n,{offset:d.offset,length:d.length,content:JSON.stringify(k)},b);else{if(k===void 0)return[];const u=`${JSON.stringify(w)}: ${JSON.stringify(k)}`,a=h?h(p.children.map(i=>i.children[0].value)):p.children.length;let t;if(a>0){const i=p.children[a-1];t={offset:i.offset+i.length,length:0,content:","+u}}else p.children.length===0?t={offset:p.offset+1,length:0,content:u}:t={offset:p.offset+1,length:0,content:u+","};return D(n,t,b)}}else if(p.type==="array"&&typeof w=="number"&&Array.isArray(p.children))if(k!==void 0){const d=`${JSON.stringify(k)}`;let u;if(p.children.length===0||w===0)u={offset:p.offset+1,length:0,content:p.children.length===0?d:d+","};else{const a=w===-1||w>p.children.length?p.children.length:w,t=p.children[a-1];u={offset:t.offset+t.length,length:0,content:","+d}}return D(n,u,b)}else{const d=w,u=p.children[d];let a;if(p.children.length===1)a={offset:p.offset+1,length:p.length-2,content:""};else if(p.children.length-1===d){const t=p.children[d-1],i=t.offset+t.length,s=p.offset+p.length;a={offset:i,length:s-2-i,content:""}}else a={offset:u.offset,length:p.children[d+1].offset-u.offset,content:""};return D(n,a,b)}else throw new Error(`Can not add ${typeof w!="number"?"index":"property"} to parent of type ${p.type}`);else{if(k===void 0)throw new Error("Can not delete in empty document");return D(n,{offset:S?S.offset:0,length:S?S.length:0,content:JSON.stringify(k)},b)}}e.setProperty=I;function D(n,A,k){let b=P(n,A),h=A.offset,l=A.offset+A.content.length;if(A.length===0||A.content.length===0){for(;h>0&&!(0,y.isEOL)(b,h-1);)h--;for(;l<b.length&&!(0,y.isEOL)(b,l);)l++}const g=(0,y.format)(b,{offset:h,length:l-h},k);for(let p=g.length-1;p>=0;p--){const w=g[p];b=P(b,w),h=Math.min(h,w.offset),l=Math.max(l,w.offset+w.length),l+=w.content.length-w.length}const S=n.length-(b.length-l)-h;return[{offset:h,length:S,content:b.substring(h,l)}]}e.withFormatting=D;function P(n,A){return n.substring(0,A.offset)+A.content+n.substring(A.offset+A.length)}e.applyEdit=P;function E(n,A){let k=A.slice(0).sort((h,l)=>{const g=h.offset-l.offset;return g===0?h.length-l.length:g}),b=n.length;for(let h=k.length-1;h>=0;h--){let l=k[h];if(l.offset+l.length<=b)n=P(n,l);else throw new Error("Overlapping edit");b=l.offset}return n}e.applyEdits=E}),define(ge[132],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class _{constructor(R){this.executor=R,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(R){this._error=R}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(R){return new _(()=>R(this.getValue()))}}e.Lazy=_}),define(ge[6],pe([0,1,69,71]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const R=!1;let I=null;function D(d){I=d}if(e.setDisposableTracker=D,R){const d="__is_disposable_tracked__";I=new class{trackDisposable(u){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{u[d]||console.log(a)},3e3)}markTracked(u){if(u&&u!==g.None)try{u[d]=!0}catch(a){}}}}function P(d){!I||I.markTracked(d)}function E(d){return I&&I.trackDisposable(d),d}e.trackDisposable=E;class n extends Error{constructor(u){super(`Encountered errors while disposing of store. Errors: [${u.join(", ")}]`);this.errors=u}}e.MultiDisposeError=n;function A(d){return typeof d.dispose=="function"&&d.dispose.length===0}e.isDisposable=A;function k(d){if(y.Iterable.is(d)){let u=[];for(const a of d)if(a){P(a);try{a.dispose()}catch(t){u.push(t)}}if(u.length===1)throw u[0];if(u.length>1)throw new n(u);return Array.isArray(d)?[]:d}else if(d)return P(d),d.dispose(),d}e.dispose=k;function b(...d){return d.forEach(P),h(()=>k(d))}e.combinedDisposable=b;function h(d){const u=E({dispose:()=>{P(u),d()}});return u}e.toDisposable=h;class l{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(P(this),this._isDisposed=!0,this.clear())}clear(){try{k(this._toDispose.values())}finally{this._toDispose.clear()}}add(u){if(!u)return u;if(u===this)throw new Error("Cannot register a disposable on itself!");return P(u),this._isDisposed?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(u),u}}e.DisposableStore=l,l.DISABLE_DISPOSED_WARNING=!1;class g{constructor(){this._store=new l,E(this)}dispose(){P(this),this._store.dispose()}_register(u){if(u===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(u)}}e.Disposable=g,g.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,E(this)}get value(){return this._isDisposed?void 0:this._value}set value(u){var a;this._isDisposed||u===this._value||((a=this._value)===null||a===void 0||a.dispose(),u&&P(u),this._value=u)}clear(){this.value=void 0}dispose(){var u;this._isDisposed=!0,P(this),(u=this._value)===null||u===void 0||u.dispose(),this._value=void 0}}e.MutableDisposable=S;class p{constructor(){this.references=new Map}acquire(u,...a){let t=this.references.get(u);t||(t={counter:0,object:this.createReferencedObject(u,...a)},this.references.set(u,t));const{object:i}=t,s=(0,_.once)(()=>{--t.counter==0&&(this.destroyReferencedObject(u,t.object),this.references.delete(u))});return t.counter++,{object:i,dispose:s}}}e.ReferenceCollection=p;class w{constructor(u){this.object=u}dispose(){}}e.ImmortalReference=w}),define(ge[56],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class _{constructor(I){this.element=I,this.next=_.Undefined,this.prev=_.Undefined}}_.Undefined=new _(void 0);class y{constructor(){this._first=_.Undefined,this._last=_.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===_.Undefined}clear(){this._first=_.Undefined,this._last=_.Undefined,this._size=0}unshift(I){return this._insert(I,!1)}push(I){return this._insert(I,!0)}_insert(I,D){const P=new _(I);if(this._first===_.Undefined)this._first=P,this._last=P;else if(D){const n=this._last;this._last=P,P.prev=n,n.next=P}else{const n=this._first;this._first=P,P.next=n,n.prev=P}this._size+=1;let E=!1;return()=>{E||(E=!0,this._remove(P))}}shift(){if(this._first!==_.Undefined){const I=this._first.element;return this._remove(this._first),I}}pop(){if(this._last!==_.Undefined){const I=this._last.element;return this._remove(this._last),I}}_remove(I){if(I.prev!==_.Undefined&&I.next!==_.Undefined){const D=I.prev;D.next=I.next,I.next.prev=D}else I.prev===_.Undefined&&I.next===_.Undefined?(this._first=_.Undefined,this._last=_.Undefined):I.next===_.Undefined?(this._last=this._last.prev,this._last.next=_.Undefined):I.prev===_.Undefined&&(this._first=this._first.next,this._first.prev=_.Undefined);this._size-=1}*[Symbol.iterator](){let I=this._first;for(;I!==_.Undefined;)yield I.element,I=I.next}}e.LinkedList=y}),function(J,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(J=typeof globalThis!="undefined"?globalThis:J||self,J.marked=e())}(this,function(){"use strict";function J(G,oe){for(var ue=0;ue<oe.length;ue++){var Y=oe[ue];Y.enumerable=Y.enumerable||!1,Y.configurable=!0,"value"in Y&&(Y.writable=!0),Object.defineProperty(G,Y.key,Y)}}function e(G,oe,ue){return oe&&J(G.prototype,oe),ue&&J(G,ue),G}function _(G,oe){if(!!G){if(typeof G=="string")return y(G,oe);var ue=Object.prototype.toString.call(G).slice(8,-1);if(ue==="Object"&&G.constructor&&(ue=G.constructor.name),ue==="Map"||ue==="Set")return Array.from(G);if(ue==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ue))return y(G,oe)}}function y(G,oe){(oe==null||oe>G.length)&&(oe=G.length);for(var ue=0,Y=new Array(oe);ue<oe;ue++)Y[ue]=G[ue];return Y}function R(G,oe){var ue;if(typeof Symbol=="undefined"||G[Symbol.iterator]==null){if(Array.isArray(G)||(ue=_(G))||oe&&G&&typeof G.length=="number"){ue&&(G=ue);var Y=0;return function(){return Y>=G.length?{done:!0}:{done:!1,value:G[Y++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return ue=G[Symbol.iterator](),ue.next.bind(ue)}function I(G){var oe={exports:{}};return G(oe,oe.exports),oe.exports}var D=I(function(G){function oe(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function ue(Y){G.exports.defaults=Y}G.exports={defaults:oe(),getDefaults:oe,changeDefaults:ue}}),P=/[&<>"']/,E=/[&<>"']/g,n=/[<>"']|&(?!#?\w+;)/,A=/[<>"']|&(?!#?\w+;)/g,k={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},b=function(oe){return k[oe]};function h(G,oe){if(oe){if(P.test(G))return G.replace(E,b)}else if(n.test(G))return G.replace(A,b);return G}var l=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function g(G){return G.replace(l,function(oe,ue){return ue=ue.toLowerCase(),ue==="colon"?":":ue.charAt(0)==="#"?ue.charAt(1)==="x"?String.fromCharCode(parseInt(ue.substring(2),16)):String.fromCharCode(+ue.substring(1)):""})}var S=/(^|[^\[])\^/g;function p(G,oe){G=G.source||G,oe=oe||"";var ue={replace:function(ne,le){return le=le.source||le,le=le.replace(S,"$1"),G=G.replace(ne,le),ue},getRegex:function(){return new RegExp(G,oe)}};return ue}var w=/[^\w:]/g,d=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function u(G,oe,ue){if(G){var Y;try{Y=decodeURIComponent(g(ue)).replace(w,"").toLowerCase()}catch(ne){return null}if(Y.indexOf("javascript:")===0||Y.indexOf("vbscript:")===0||Y.indexOf("data:")===0)return null}oe&&!d.test(ue)&&(ue=o(oe,ue));try{ue=encodeURI(ue).replace(/%25/g,"%")}catch(ne){return null}return ue}var a={},t=/^[^:]+:\/*[^/]*$/,i=/^([^:]+:)[\s\S]*$/,s=/^([^:]+:\/*[^/]*)[\s\S]*$/;function o(G,oe){a[" "+G]||(t.test(G)?a[" "+G]=G+"/":a[" "+G]=C(G,"/",!0)),G=a[" "+G];var ue=G.indexOf(":")===-1;return oe.substring(0,2)==="//"?ue?oe:G.replace(i,"$1")+oe:oe.charAt(0)==="/"?ue?oe:G.replace(s,"$1")+oe:G+oe}var r={exec:function(){}};function c(G){for(var oe=1,ue,Y;oe<arguments.length;oe++){ue=arguments[oe];for(Y in ue)Object.prototype.hasOwnProperty.call(ue,Y)&&(G[Y]=ue[Y])}return G}function v(G,oe){var ue=G.replace(/\|/g,function(le,me,Ee){for(var He=!1,Be=me;--Be>=0&&Ee[Be]==="\\";)He=!He;return He?"|":" |"}),Y=ue.split(/ \|/),ne=0;if(Y.length>oe)Y.splice(oe);else for(;Y.length<oe;)Y.push("");for(;ne<Y.length;ne++)Y[ne]=Y[ne].trim().replace(/\\\|/g,"|");return Y}function C(G,oe,ue){var Y=G.length;if(Y===0)return"";for(var ne=0;ne<Y;){var le=G.charAt(Y-ne-1);if(le===oe&&!ue)ne++;else if(le!==oe&&ue)ne++;else break}return G.substr(0,Y-ne)}function m(G,oe){if(G.indexOf(oe[1])===-1)return-1;for(var ue=G.length,Y=0,ne=0;ne<ue;ne++)if(G[ne]==="\\")ne++;else if(G[ne]===oe[0])Y++;else if(G[ne]===oe[1]&&(Y--,Y<0))return ne;return-1}function f(G){G&&G.sanitize&&!G.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function T(G,oe){if(oe<1)return"";for(var ue="";oe>1;)oe&1&&(ue+=G),oe>>=1,G+=G;return ue+G}var L={escape:h,unescape:g,edit:p,cleanUrl:u,resolveUrl:o,noopTest:r,merge:c,splitCells:v,rtrim:C,findClosingBracket:m,checkSanitizeDeprecation:f,repeatString:T},B=D.defaults,te=L.rtrim,j=L.splitCells,W=L.escape,$=L.findClosingBracket;function O(G,oe,ue){var Y=oe.href,ne=oe.title?W(oe.title):null,le=G[1].replace(/\\([\[\]])/g,"$1");return G[0].charAt(0)!=="!"?{type:"link",raw:ue,href:Y,title:ne,text:le}:{type:"image",raw:ue,href:Y,title:ne,text:W(le)}}function U(G,oe){var ue=G.match(/^(\s+)(?:```)/);if(ue===null)return oe;var Y=ue[1];return oe.split(`
`).map(function(ne){var le=ne.match(/^\s+/);if(le===null)return ne;var me=le[0];return me.length>=Y.length?ne.slice(Y.length):ne}).join(`
`)}var F=function(){function G(ue){this.options=ue||B}var oe=G.prototype;return oe.space=function(Y){var ne=this.rules.block.newline.exec(Y);if(ne)return ne[0].length>1?{type:"space",raw:ne[0]}:{raw:`
`}},oe.code=function(Y){var ne=this.rules.block.code.exec(Y);if(ne){var le=ne[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:ne[0],codeBlockStyle:"indented",text:this.options.pedantic?le:te(le,`
`)}}},oe.fences=function(Y){var ne=this.rules.block.fences.exec(Y);if(ne){var le=ne[0],me=U(le,ne[3]||"");return{type:"code",raw:le,lang:ne[2]?ne[2].trim():ne[2],text:me}}},oe.heading=function(Y){var ne=this.rules.block.heading.exec(Y);if(ne){var le=ne[2].trim();if(/#$/.test(le)){var me=te(le,"#");(this.options.pedantic||!me||/ $/.test(me))&&(le=me.trim())}return{type:"heading",raw:ne[0],depth:ne[1].length,text:le}}},oe.nptable=function(Y){var ne=this.rules.block.nptable.exec(Y);if(ne){var le={type:"table",header:j(ne[1].replace(/^ *| *\| *$/g,"")),align:ne[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:ne[3]?ne[3].replace(/\n$/,"").split(`
`):[],raw:ne[0]};if(le.header.length===le.align.length){var me=le.align.length,Ee;for(Ee=0;Ee<me;Ee++)/^ *-+: *$/.test(le.align[Ee])?le.align[Ee]="right":/^ *:-+: *$/.test(le.align[Ee])?le.align[Ee]="center":/^ *:-+ *$/.test(le.align[Ee])?le.align[Ee]="left":le.align[Ee]=null;for(me=le.cells.length,Ee=0;Ee<me;Ee++)le.cells[Ee]=j(le.cells[Ee],le.header.length);return le}}},oe.hr=function(Y){var ne=this.rules.block.hr.exec(Y);if(ne)return{type:"hr",raw:ne[0]}},oe.blockquote=function(Y){var ne=this.rules.block.blockquote.exec(Y);if(ne){var le=ne[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:ne[0],text:le}}},oe.list=function(Y){var ne=this.rules.block.list.exec(Y);if(ne){var le=ne[0],me=ne[2],Ee=me.length>1,He={type:"list",raw:le,ordered:Ee,start:Ee?+me.slice(0,-1):"",loose:!1,items:[]},Be=ne[0].match(this.rules.block.item),qe=!1,Xe,Ze,ut,st,be,he,ce,Z,Te=Be.length;ut=this.rules.block.listItemStart.exec(Be[0]);for(var Re=0;Re<Te;Re++){if(Xe=Be[Re],le=Xe,Re!==Te-1){if(st=this.rules.block.listItemStart.exec(Be[Re+1]),this.options.pedantic?st[1].length>ut[1].length:st[1].length>ut[0].length||st[1].length>3){Be.splice(Re,2,Be[Re]+`
`+Be[Re+1]),Re--,Te--;continue}else(!this.options.pedantic||this.options.smartLists?st[2][st[2].length-1]!==me[me.length-1]:Ee===(st[2].length===1))&&(be=Be.slice(Re+1).join(`
`),He.raw=He.raw.substring(0,He.raw.length-be.length),Re=Te-1);ut=st}Ze=Xe.length,Xe=Xe.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Xe.indexOf(`
 `)&&(Ze-=Xe.length,Xe=this.options.pedantic?Xe.replace(/^ {1,4}/gm,""):Xe.replace(new RegExp("^ {1,"+Ze+"}","gm"),"")),he=qe||/\n\n(?!\s*$)/.test(Xe),Re!==Te-1&&(qe=Xe.charAt(Xe.length-1)===`
`,he||(he=qe)),he&&(He.loose=!0),this.options.gfm&&(ce=/^\[[ xX]\] /.test(Xe),Z=void 0,ce&&(Z=Xe[1]!==" ",Xe=Xe.replace(/^\[[ xX]\] +/,""))),He.items.push({type:"list_item",raw:le,task:ce,checked:Z,loose:he,text:Xe})}return He}},oe.html=function(Y){var ne=this.rules.block.html.exec(Y);if(ne)return{type:this.options.sanitize?"paragraph":"html",raw:ne[0],pre:!this.options.sanitizer&&(ne[1]==="pre"||ne[1]==="script"||ne[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ne[0]):W(ne[0]):ne[0]}},oe.def=function(Y){var ne=this.rules.block.def.exec(Y);if(ne){ne[3]&&(ne[3]=ne[3].substring(1,ne[3].length-1));var le=ne[1].toLowerCase().replace(/\s+/g," ");return{tag:le,raw:ne[0],href:ne[2],title:ne[3]}}},oe.table=function(Y){var ne=this.rules.block.table.exec(Y);if(ne){var le={type:"table",header:j(ne[1].replace(/^ *| *\| *$/g,"")),align:ne[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:ne[3]?ne[3].replace(/\n$/,"").split(`
`):[]};if(le.header.length===le.align.length){le.raw=ne[0];var me=le.align.length,Ee;for(Ee=0;Ee<me;Ee++)/^ *-+: *$/.test(le.align[Ee])?le.align[Ee]="right":/^ *:-+: *$/.test(le.align[Ee])?le.align[Ee]="center":/^ *:-+ *$/.test(le.align[Ee])?le.align[Ee]="left":le.align[Ee]=null;for(me=le.cells.length,Ee=0;Ee<me;Ee++)le.cells[Ee]=j(le.cells[Ee].replace(/^ *\| *| *\| *$/g,""),le.header.length);return le}}},oe.lheading=function(Y){var ne=this.rules.block.lheading.exec(Y);if(ne)return{type:"heading",raw:ne[0],depth:ne[2].charAt(0)==="="?1:2,text:ne[1]}},oe.paragraph=function(Y){var ne=this.rules.block.paragraph.exec(Y);if(ne)return{type:"paragraph",raw:ne[0],text:ne[1].charAt(ne[1].length-1)===`
`?ne[1].slice(0,-1):ne[1]}},oe.text=function(Y){var ne=this.rules.block.text.exec(Y);if(ne)return{type:"text",raw:ne[0],text:ne[0]}},oe.escape=function(Y){var ne=this.rules.inline.escape.exec(Y);if(ne)return{type:"escape",raw:ne[0],text:W(ne[1])}},oe.tag=function(Y,ne,le){var me=this.rules.inline.tag.exec(Y);if(me)return!ne&&/^<a /i.test(me[0])?ne=!0:ne&&/^<\/a>/i.test(me[0])&&(ne=!1),!le&&/^<(pre|code|kbd|script)(\s|>)/i.test(me[0])?le=!0:le&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(me[0])&&(le=!1),{type:this.options.sanitize?"text":"html",raw:me[0],inLink:ne,inRawBlock:le,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(me[0]):W(me[0]):me[0]}},oe.link=function(Y){var ne=this.rules.inline.link.exec(Y);if(ne){var le=ne[2].trim();if(!this.options.pedantic&&/^</.test(le)){if(!/>$/.test(le))return;var me=te(le.slice(0,-1),"\\");if((le.length-me.length)%2==0)return}else{var Ee=$(ne[2],"()");if(Ee>-1){var He=ne[0].indexOf("!")===0?5:4,Be=He+ne[1].length+Ee;ne[2]=ne[2].substring(0,Ee),ne[0]=ne[0].substring(0,Be).trim(),ne[3]=""}}var qe=ne[2],Xe="";if(this.options.pedantic){var Ze=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(qe);Ze&&(qe=Ze[1],Xe=Ze[3])}else Xe=ne[3]?ne[3].slice(1,-1):"";return qe=qe.trim(),/^</.test(qe)&&(this.options.pedantic&&!/>$/.test(le)?qe=qe.slice(1):qe=qe.slice(1,-1)),O(ne,{href:qe&&qe.replace(this.rules.inline._escapes,"$1"),title:Xe&&Xe.replace(this.rules.inline._escapes,"$1")},ne[0])}},oe.reflink=function(Y,ne){var le;if((le=this.rules.inline.reflink.exec(Y))||(le=this.rules.inline.nolink.exec(Y))){var me=(le[2]||le[1]).replace(/\s+/g," ");if(me=ne[me.toLowerCase()],!me||!me.href){var Ee=le[0].charAt(0);return{type:"text",raw:Ee,text:Ee}}return O(le,me,le[0])}},oe.emStrong=function(Y,ne,le){le===void 0&&(le="");var me=this.rules.inline.emStrong.lDelim.exec(Y);if(!!me&&!(me[3]&&le.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var Ee=me[1]||me[2]||"";if(!Ee||Ee&&(le===""||this.rules.inline.punctuation.exec(le))){var He=me[0].length-1,Be,qe,Xe=He,Ze=0,ut=me[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(ut.lastIndex=0,ne=ne.slice(-1*Y.length+He);(me=ut.exec(ne))!=null;)if(Be=me[1]||me[2]||me[3]||me[4]||me[5]||me[6],!!Be){if(qe=Be.length,me[3]||me[4]){Xe+=qe;continue}else if((me[5]||me[6])&&He%3&&!((He+qe)%3)){Ze+=qe;continue}if(Xe-=qe,!(Xe>0)){if(Xe+Ze-qe<=0&&!ne.slice(ut.lastIndex).match(ut)&&(qe=Math.min(qe,qe+Xe+Ze)),Math.min(He,qe)%2)return{type:"em",raw:Y.slice(0,He+me.index+qe+1),text:Y.slice(1,He+me.index+qe)};if(Math.min(He,qe)%2==0)return{type:"strong",raw:Y.slice(0,He+me.index+qe+1),text:Y.slice(2,He+me.index+qe-1)}}}}}},oe.codespan=function(Y){var ne=this.rules.inline.code.exec(Y);if(ne){var le=ne[2].replace(/\n/g," "),me=/[^ ]/.test(le),Ee=/^ /.test(le)&&/ $/.test(le);return me&&Ee&&(le=le.substring(1,le.length-1)),le=W(le,!0),{type:"codespan",raw:ne[0],text:le}}},oe.br=function(Y){var ne=this.rules.inline.br.exec(Y);if(ne)return{type:"br",raw:ne[0]}},oe.del=function(Y){var ne=this.rules.inline.del.exec(Y);if(ne)return{type:"del",raw:ne[0],text:ne[2]}},oe.autolink=function(Y,ne){var le=this.rules.inline.autolink.exec(Y);if(le){var me,Ee;return le[2]==="@"?(me=W(this.options.mangle?ne(le[1]):le[1]),Ee="mailto:"+me):(me=W(le[1]),Ee=me),{type:"link",raw:le[0],text:me,href:Ee,tokens:[{type:"text",raw:me,text:me}]}}},oe.url=function(Y,ne){var le;if(le=this.rules.inline.url.exec(Y)){var me,Ee;if(le[2]==="@")me=W(this.options.mangle?ne(le[0]):le[0]),Ee="mailto:"+me;else{var He;do He=le[0],le[0]=this.rules.inline._backpedal.exec(le[0])[0];while(He!==le[0]);me=W(le[0]),le[1]==="www."?Ee="http://"+me:Ee=me}return{type:"link",raw:le[0],text:me,href:Ee,tokens:[{type:"text",raw:me,text:me}]}}},oe.inlineText=function(Y,ne,le){var me=this.rules.inline.text.exec(Y);if(me){var Ee;return ne?Ee=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(me[0]):W(me[0]):me[0]:Ee=W(this.options.smartypants?le(me[0]):me[0]),{type:"text",raw:me[0],text:Ee}}},G}(),N=L.noopTest,M=L.edit,V=L.merge,q={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:N,table:N,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};q._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,q._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,q.def=M(q.def).replace("label",q._label).replace("title",q._title).getRegex(),q.bullet=/(?:[*+-]|\d{1,9}[.)])/,q.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,q.item=M(q.item,"gm").replace(/bull/g,q.bullet).getRegex(),q.listItemStart=M(/^( *)(bull)/).replace("bull",q.bullet).getRegex(),q.list=M(q.list).replace(/bull/g,q.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+q.def.source+")").getRegex(),q._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",q._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,q.html=M(q.html,"i").replace("comment",q._comment).replace("tag",q._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),q.paragraph=M(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",q._tag).getRegex(),q.blockquote=M(q.blockquote).replace("paragraph",q.paragraph).getRegex(),q.normal=V({},q),q.gfm=V({},q.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),q.gfm.nptable=M(q.gfm.nptable).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",q._tag).getRegex(),q.gfm.table=M(q.gfm.table).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",q._tag).getRegex(),q.pedantic=V({},q.normal,{html:M(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",q._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:N,paragraph:M(q.normal._paragraph).replace("hr",q.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",q.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var X={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:N,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:N,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};X._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",X.punctuation=M(X.punctuation).replace(/punctuation/g,X._punctuation).getRegex(),X.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,X.escapedEmSt=/\\\*|\\_/g,X._comment=M(q._comment).replace("(?:-->|$)","-->").getRegex(),X.emStrong.lDelim=M(X.emStrong.lDelim).replace(/punct/g,X._punctuation).getRegex(),X.emStrong.rDelimAst=M(X.emStrong.rDelimAst,"g").replace(/punct/g,X._punctuation).getRegex(),X.emStrong.rDelimUnd=M(X.emStrong.rDelimUnd,"g").replace(/punct/g,X._punctuation).getRegex(),X._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,X._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,X._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,X.autolink=M(X.autolink).replace("scheme",X._scheme).replace("email",X._email).getRegex(),X._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,X.tag=M(X.tag).replace("comment",X._comment).replace("attribute",X._attribute).getRegex(),X._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,X._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,X._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,X.link=M(X.link).replace("label",X._label).replace("href",X._href).replace("title",X._title).getRegex(),X.reflink=M(X.reflink).replace("label",X._label).getRegex(),X.reflinkSearch=M(X.reflinkSearch,"g").replace("reflink",X.reflink).replace("nolink",X.nolink).getRegex(),X.normal=V({},X),X.pedantic=V({},X.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:M(/^!?\[(label)\]\((.*?)\)/).replace("label",X._label).getRegex(),reflink:M(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",X._label).getRegex()}),X.gfm=V({},X.normal,{escape:M(X.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),X.gfm.url=M(X.gfm.url,"i").replace("email",X.gfm._extended_email).getRegex(),X.breaks=V({},X.gfm,{br:M(X.br).replace("{2,}","*").getRegex(),text:M(X.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var fe={block:q,inline:X},_e=D.defaults,Le=fe.block,Ie=fe.inline,Fe=L.repeatString;function z(G){return G.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function Q(G){var oe="",ue,Y,ne=G.length;for(ue=0;ue<ne;ue++)Y=G.charCodeAt(ue),Math.random()>.5&&(Y="x"+Y.toString(16)),oe+="&#"+Y+";";return oe}var ee=function(){function G(ue){this.tokens=[],this.tokens.links=Object.create(null),this.options=ue||_e,this.options.tokenizer=this.options.tokenizer||new F,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var Y={block:Le.normal,inline:Ie.normal};this.options.pedantic?(Y.block=Le.pedantic,Y.inline=Ie.pedantic):this.options.gfm&&(Y.block=Le.gfm,this.options.breaks?Y.inline=Ie.breaks:Y.inline=Ie.gfm),this.tokenizer.rules=Y}G.lex=function(Y,ne){var le=new G(ne);return le.lex(Y)},G.lexInline=function(Y,ne){var le=new G(ne);return le.inlineTokens(Y)};var oe=G.prototype;return oe.lex=function(Y){return Y=Y.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(Y,this.tokens,!0),this.inline(this.tokens),this.tokens},oe.blockTokens=function(Y,ne,le){ne===void 0&&(ne=[]),le===void 0&&(le=!0),this.options.pedantic&&(Y=Y.replace(/^ +$/gm,""));for(var me,Ee,He,Be;Y;){if(me=this.tokenizer.space(Y)){Y=Y.substring(me.raw.length),me.type&&ne.push(me);continue}if(me=this.tokenizer.code(Y)){Y=Y.substring(me.raw.length),Be=ne[ne.length-1],Be&&Be.type==="paragraph"?(Be.raw+=`
`+me.raw,Be.text+=`
`+me.text):ne.push(me);continue}if(me=this.tokenizer.fences(Y)){Y=Y.substring(me.raw.length),ne.push(me);continue}if(me=this.tokenizer.heading(Y)){Y=Y.substring(me.raw.length),ne.push(me);continue}if(me=this.tokenizer.nptable(Y)){Y=Y.substring(me.raw.length),ne.push(me);continue}if(me=this.tokenizer.hr(Y)){Y=Y.substring(me.raw.length),ne.push(me);continue}if(me=this.tokenizer.blockquote(Y)){Y=Y.substring(me.raw.length),me.tokens=this.blockTokens(me.text,[],le),ne.push(me);continue}if(me=this.tokenizer.list(Y)){for(Y=Y.substring(me.raw.length),He=me.items.length,Ee=0;Ee<He;Ee++)me.items[Ee].tokens=this.blockTokens(me.items[Ee].text,[],!1);ne.push(me);continue}if(me=this.tokenizer.html(Y)){Y=Y.substring(me.raw.length),ne.push(me);continue}if(le&&(me=this.tokenizer.def(Y))){Y=Y.substring(me.raw.length),this.tokens.links[me.tag]||(this.tokens.links[me.tag]={href:me.href,title:me.title});continue}if(me=this.tokenizer.table(Y)){Y=Y.substring(me.raw.length),ne.push(me);continue}if(me=this.tokenizer.lheading(Y)){Y=Y.substring(me.raw.length),ne.push(me);continue}if(le&&(me=this.tokenizer.paragraph(Y))){Y=Y.substring(me.raw.length),ne.push(me);continue}if(me=this.tokenizer.text(Y)){Y=Y.substring(me.raw.length),Be=ne[ne.length-1],Be&&Be.type==="text"?(Be.raw+=`
`+me.raw,Be.text+=`
`+me.text):ne.push(me);continue}if(Y){var qe="Infinite loop on byte: "+Y.charCodeAt(0);if(this.options.silent){console.error(qe);break}else throw new Error(qe)}}return ne},oe.inline=function(Y){var ne,le,me,Ee,He,Be,qe=Y.length;for(ne=0;ne<qe;ne++)switch(Be=Y[ne],Be.type){case"paragraph":case"text":case"heading":{Be.tokens=[],this.inlineTokens(Be.text,Be.tokens);break}case"table":{for(Be.tokens={header:[],cells:[]},Ee=Be.header.length,le=0;le<Ee;le++)Be.tokens.header[le]=[],this.inlineTokens(Be.header[le],Be.tokens.header[le]);for(Ee=Be.cells.length,le=0;le<Ee;le++)for(He=Be.cells[le],Be.tokens.cells[le]=[],me=0;me<He.length;me++)Be.tokens.cells[le][me]=[],this.inlineTokens(He[me],Be.tokens.cells[le][me]);break}case"blockquote":{this.inline(Be.tokens);break}case"list":{for(Ee=Be.items.length,le=0;le<Ee;le++)this.inline(Be.items[le].tokens);break}}return Y},oe.inlineTokens=function(Y,ne,le,me){ne===void 0&&(ne=[]),le===void 0&&(le=!1),me===void 0&&(me=!1);var Ee,He,Be=Y,qe,Xe,Ze;if(this.tokens.links){var ut=Object.keys(this.tokens.links);if(ut.length>0)for(;(qe=this.tokenizer.rules.inline.reflinkSearch.exec(Be))!=null;)ut.includes(qe[0].slice(qe[0].lastIndexOf("[")+1,-1))&&(Be=Be.slice(0,qe.index)+"["+Fe("a",qe[0].length-2)+"]"+Be.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(qe=this.tokenizer.rules.inline.blockSkip.exec(Be))!=null;)Be=Be.slice(0,qe.index)+"["+Fe("a",qe[0].length-2)+"]"+Be.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(qe=this.tokenizer.rules.inline.escapedEmSt.exec(Be))!=null;)Be=Be.slice(0,qe.index)+"++"+Be.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;Y;){if(Xe||(Ze=""),Xe=!1,Ee=this.tokenizer.escape(Y)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.tag(Y,le,me)){Y=Y.substring(Ee.raw.length),le=Ee.inLink,me=Ee.inRawBlock;var st=ne[ne.length-1];st&&Ee.type==="text"&&st.type==="text"?(st.raw+=Ee.raw,st.text+=Ee.text):ne.push(Ee);continue}if(Ee=this.tokenizer.link(Y)){Y=Y.substring(Ee.raw.length),Ee.type==="link"&&(Ee.tokens=this.inlineTokens(Ee.text,[],!0,me)),ne.push(Ee);continue}if(Ee=this.tokenizer.reflink(Y,this.tokens.links)){Y=Y.substring(Ee.raw.length);var be=ne[ne.length-1];Ee.type==="link"?(Ee.tokens=this.inlineTokens(Ee.text,[],!0,me),ne.push(Ee)):be&&Ee.type==="text"&&be.type==="text"?(be.raw+=Ee.raw,be.text+=Ee.text):ne.push(Ee);continue}if(Ee=this.tokenizer.emStrong(Y,Be,Ze)){Y=Y.substring(Ee.raw.length),Ee.tokens=this.inlineTokens(Ee.text,[],le,me),ne.push(Ee);continue}if(Ee=this.tokenizer.codespan(Y)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.br(Y)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.del(Y)){Y=Y.substring(Ee.raw.length),Ee.tokens=this.inlineTokens(Ee.text,[],le,me),ne.push(Ee);continue}if(Ee=this.tokenizer.autolink(Y,Q)){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(!le&&(Ee=this.tokenizer.url(Y,Q))){Y=Y.substring(Ee.raw.length),ne.push(Ee);continue}if(Ee=this.tokenizer.inlineText(Y,me,z)){Y=Y.substring(Ee.raw.length),Ee.raw.slice(-1)!=="_"&&(Ze=Ee.raw.slice(-1)),Xe=!0,He=ne[ne.length-1],He&&He.type==="text"?(He.raw+=Ee.raw,He.text+=Ee.text):ne.push(Ee);continue}if(Y){var he="Infinite loop on byte: "+Y.charCodeAt(0);if(this.options.silent){console.error(he);break}else throw new Error(he)}}return ne},e(G,null,[{key:"rules",get:function(){return{block:Le,inline:Ie}}}]),G}(),ae=D.defaults,ve=L.cleanUrl,De=L.escape,Me=function(){function G(ue){this.options=ue||ae}var oe=G.prototype;return oe.code=function(Y,ne,le){var me=(ne||"").match(/\S*/)[0];if(this.options.highlight){var Ee=this.options.highlight(Y,me);Ee!=null&&Ee!==Y&&(le=!0,Y=Ee)}return Y=Y.replace(/\n$/,"")+`
`,me?'<pre><code class="'+this.options.langPrefix+De(me,!0)+'">'+(le?Y:De(Y,!0))+`</code></pre>
`:"<pre><code>"+(le?Y:De(Y,!0))+`</code></pre>
`},oe.blockquote=function(Y){return`<blockquote>
`+Y+`</blockquote>
`},oe.html=function(Y){return Y},oe.heading=function(Y,ne,le,me){return this.options.headerIds?"<h"+ne+' id="'+this.options.headerPrefix+me.slug(le)+'">'+Y+"</h"+ne+`>
`:"<h"+ne+">"+Y+"</h"+ne+`>
`},oe.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},oe.list=function(Y,ne,le){var me=ne?"ol":"ul",Ee=ne&&le!==1?' start="'+le+'"':"";return"<"+me+Ee+`>
`+Y+"</"+me+`>
`},oe.listitem=function(Y){return"<li>"+Y+`</li>
`},oe.checkbox=function(Y){return"<input "+(Y?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},oe.paragraph=function(Y){return"<p>"+Y+`</p>
`},oe.table=function(Y,ne){return ne&&(ne="<tbody>"+ne+"</tbody>"),`<table>
<thead>
`+Y+`</thead>
`+ne+`</table>
`},oe.tablerow=function(Y){return`<tr>
`+Y+`</tr>
`},oe.tablecell=function(Y,ne){var le=ne.header?"th":"td",me=ne.align?"<"+le+' align="'+ne.align+'">':"<"+le+">";return me+Y+"</"+le+`>
`},oe.strong=function(Y){return"<strong>"+Y+"</strong>"},oe.em=function(Y){return"<em>"+Y+"</em>"},oe.codespan=function(Y){return"<code>"+Y+"</code>"},oe.br=function(){return this.options.xhtml?"<br/>":"<br>"},oe.del=function(Y){return"<del>"+Y+"</del>"},oe.link=function(Y,ne,le){if(Y=ve(this.options.sanitize,this.options.baseUrl,Y),Y===null)return le;var me='<a href="'+De(Y)+'"';return ne&&(me+=' title="'+ne+'"'),me+=">"+le+"</a>",me},oe.image=function(Y,ne,le){if(Y=ve(this.options.sanitize,this.options.baseUrl,Y),Y===null)return le;var me='<img src="'+Y+'" alt="'+le+'"';return ne&&(me+=' title="'+ne+'"'),me+=this.options.xhtml?"/>":">",me},oe.text=function(Y){return Y},G}(),we=function(){function G(){}var oe=G.prototype;return oe.strong=function(Y){return Y},oe.em=function(Y){return Y},oe.codespan=function(Y){return Y},oe.del=function(Y){return Y},oe.html=function(Y){return Y},oe.text=function(Y){return Y},oe.link=function(Y,ne,le){return""+le},oe.image=function(Y,ne,le){return""+le},oe.br=function(){return""},G}(),ke=function(){function G(){this.seen={}}var oe=G.prototype;return oe.serialize=function(Y){return Y.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},oe.getNextSafeSlug=function(Y,ne){var le=Y,me=0;if(this.seen.hasOwnProperty(le)){me=this.seen[Y];do me++,le=Y+"-"+me;while(this.seen.hasOwnProperty(le))}return ne||(this.seen[Y]=me,this.seen[le]=0),le},oe.slug=function(Y,ne){ne===void 0&&(ne={});var le=this.serialize(Y);return this.getNextSafeSlug(le,ne.dryrun)},G}(),Ae=D.defaults,We=L.unescape,ye=function(){function G(ue){this.options=ue||Ae,this.options.renderer=this.options.renderer||new Me,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new we,this.slugger=new ke}G.parse=function(Y,ne){var le=new G(ne);return le.parse(Y)},G.parseInline=function(Y,ne){var le=new G(ne);return le.parseInline(Y)};var oe=G.prototype;return oe.parse=function(Y,ne){ne===void 0&&(ne=!0);var le="",me,Ee,He,Be,qe,Xe,Ze,ut,st,be,he,ce,Z,Te,Re,et,Ke,rt,lt=Y.length;for(me=0;me<lt;me++)switch(be=Y[me],be.type){case"space":continue;case"hr":{le+=this.renderer.hr();continue}case"heading":{le+=this.renderer.heading(this.parseInline(be.tokens),be.depth,We(this.parseInline(be.tokens,this.textRenderer)),this.slugger);continue}case"code":{le+=this.renderer.code(be.text,be.lang,be.escaped);continue}case"table":{for(ut="",Ze="",Be=be.header.length,Ee=0;Ee<Be;Ee++)Ze+=this.renderer.tablecell(this.parseInline(be.tokens.header[Ee]),{header:!0,align:be.align[Ee]});for(ut+=this.renderer.tablerow(Ze),st="",Be=be.cells.length,Ee=0;Ee<Be;Ee++){for(Xe=be.tokens.cells[Ee],Ze="",qe=Xe.length,He=0;He<qe;He++)Ze+=this.renderer.tablecell(this.parseInline(Xe[He]),{header:!1,align:be.align[He]});st+=this.renderer.tablerow(Ze)}le+=this.renderer.table(ut,st);continue}case"blockquote":{st=this.parse(be.tokens),le+=this.renderer.blockquote(st);continue}case"list":{for(he=be.ordered,ce=be.start,Z=be.loose,Be=be.items.length,st="",Ee=0;Ee<Be;Ee++)Re=be.items[Ee],et=Re.checked,Ke=Re.task,Te="",Re.task&&(rt=this.renderer.checkbox(et),Z?Re.tokens.length>0&&Re.tokens[0].type==="text"?(Re.tokens[0].text=rt+" "+Re.tokens[0].text,Re.tokens[0].tokens&&Re.tokens[0].tokens.length>0&&Re.tokens[0].tokens[0].type==="text"&&(Re.tokens[0].tokens[0].text=rt+" "+Re.tokens[0].tokens[0].text)):Re.tokens.unshift({type:"text",text:rt}):Te+=rt),Te+=this.parse(Re.tokens,Z),st+=this.renderer.listitem(Te,Ke,et);le+=this.renderer.list(st,he,ce);continue}case"html":{le+=this.renderer.html(be.text);continue}case"paragraph":{le+=this.renderer.paragraph(this.parseInline(be.tokens));continue}case"text":{for(st=be.tokens?this.parseInline(be.tokens):be.text;me+1<lt&&Y[me+1].type==="text";)be=Y[++me],st+=`
`+(be.tokens?this.parseInline(be.tokens):be.text);le+=ne?this.renderer.paragraph(st):st;continue}default:{var Qe='Token with "'+be.type+'" type was not found.';if(this.options.silent){console.error(Qe);return}else throw new Error(Qe)}}return le},oe.parseInline=function(Y,ne){ne=ne||this.renderer;var le="",me,Ee,He=Y.length;for(me=0;me<He;me++)switch(Ee=Y[me],Ee.type){case"escape":{le+=ne.text(Ee.text);break}case"html":{le+=ne.html(Ee.text);break}case"link":{le+=ne.link(Ee.href,Ee.title,this.parseInline(Ee.tokens,ne));break}case"image":{le+=ne.image(Ee.href,Ee.title,Ee.text);break}case"strong":{le+=ne.strong(this.parseInline(Ee.tokens,ne));break}case"em":{le+=ne.em(this.parseInline(Ee.tokens,ne));break}case"codespan":{le+=ne.codespan(Ee.text);break}case"br":{le+=ne.br();break}case"del":{le+=ne.del(this.parseInline(Ee.tokens,ne));break}case"text":{le+=ne.text(Ee.text);break}default:{var Be='Token with "'+Ee.type+'" type was not found.';if(this.options.silent){console.error(Be);return}else throw new Error(Be)}}return le},G}(),Ge=L.merge,K=L.checkSanitizeDeprecation,ie=L.escape,Se=D.getDefaults,Ne=D.changeDefaults,ze=D.defaults;function xe(G,oe,ue){if(typeof G=="undefined"||G===null)throw new Error("marked(): input parameter is undefined or null");if(typeof G!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(G)+", string expected");if(typeof oe=="function"&&(ue=oe,oe=null),oe=Ge({},xe.defaults,oe||{}),K(oe),ue){var Y=oe.highlight,ne;try{ne=ee.lex(G,oe)}catch(He){return ue(He)}var le=function(Be){var qe;if(!Be)try{qe=ye.parse(ne,oe)}catch(Xe){Be=Xe}return oe.highlight=Y,Be?ue(Be):ue(null,qe)};if(!Y||Y.length<3||(delete oe.highlight,!ne.length))return le();var me=0;xe.walkTokens(ne,function(He){He.type==="code"&&(me++,setTimeout(function(){Y(He.text,He.lang,function(Be,qe){if(Be)return le(Be);qe!=null&&qe!==He.text&&(He.text=qe,He.escaped=!0),me--,me===0&&le()})},0))}),me===0&&le();return}try{var Ee=ee.lex(G,oe);return oe.walkTokens&&xe.walkTokens(Ee,oe.walkTokens),ye.parse(Ee,oe)}catch(He){if(He.message+=`
Please report this to https://github.com/markedjs/marked.`,oe.silent)return"<p>An error occurred:</p><pre>"+ie(He.message+"",!0)+"</pre>";throw He}}xe.options=xe.setOptions=function(G){return Ge(xe.defaults,G),Ne(xe.defaults),xe},xe.getDefaults=Se,xe.defaults=ze,xe.use=function(G){var oe=Ge({},G);if(G.renderer&&function(){var Y=xe.defaults.renderer||new Me,ne=function(Ee){var He=Y[Ee];Y[Ee]=function(){for(var Be=arguments.length,qe=new Array(Be),Xe=0;Xe<Be;Xe++)qe[Xe]=arguments[Xe];var Ze=G.renderer[Ee].apply(Y,qe);return Ze===!1&&(Ze=He.apply(Y,qe)),Ze}};for(var le in G.renderer)ne(le);oe.renderer=Y}(),G.tokenizer&&function(){var Y=xe.defaults.tokenizer||new F,ne=function(Ee){var He=Y[Ee];Y[Ee]=function(){for(var Be=arguments.length,qe=new Array(Be),Xe=0;Xe<Be;Xe++)qe[Xe]=arguments[Xe];var Ze=G.tokenizer[Ee].apply(Y,qe);return Ze===!1&&(Ze=He.apply(Y,qe)),Ze}};for(var le in G.tokenizer)ne(le);oe.tokenizer=Y}(),G.walkTokens){var ue=xe.defaults.walkTokens;oe.walkTokens=function(Y){G.walkTokens(Y),ue&&ue(Y)}}xe.setOptions(oe)},xe.walkTokens=function(G,oe){for(var ue=R(G),Y;!(Y=ue()).done;){var ne=Y.value;switch(oe(ne),ne.type){case"table":{for(var le=R(ne.tokens.header),me;!(me=le()).done;){var Ee=me.value;xe.walkTokens(Ee,oe)}for(var He=R(ne.tokens.cells),Be;!(Be=He()).done;)for(var qe=Be.value,Xe=R(qe),Ze;!(Ze=Xe()).done;){var ut=Ze.value;xe.walkTokens(ut,oe)}break}case"list":{xe.walkTokens(ne.items,oe);break}default:ne.tokens&&xe.walkTokens(ne.tokens,oe)}}},xe.parseInline=function(G,oe){if(typeof G=="undefined"||G===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof G!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(G)+", string expected");oe=Ge({},xe.defaults,oe||{}),K(oe);try{var ue=ee.lexInline(G,oe);return oe.walkTokens&&xe.walkTokens(ue,oe.walkTokens),ye.parseInline(ue,oe)}catch(Y){if(Y.message+=`
Please report this to https://github.com/markedjs/marked.`,oe.silent)return"<p>An error occurred:</p><pre>"+ie(Y.message+"",!0)+"</pre>";throw Y}},xe.Parser=ye,xe.parser=ye.parse,xe.Renderer=Me,xe.TextRenderer=we,xe.Lexer=ee,xe.lexer=ee.lex,xe.Tokenizer=F,xe.Slugger=ke,xe.parse=xe;var Je=xe;return Je}),define(ge[72],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function _(D,P,E){return Math.min(Math.max(D,P),E)}e.clamp=_;function y(D,P){return(P+D%P)%P}e.rot=y;class R{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=R;class I{constructor(){this._n=1,this._val=0}update(P){return this._val=this._val+(P-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=I});"use strict";(function(){function J(R){const I=[];typeof R=="number"&&I.push("code/timeOrigin",R);function D(E){I.push(E,Date.now())}function P(){const E=[];for(let n=0;n<I.length;n+=2)E.push({name:I[n],startTime:I[n+1]});return E}return{mark:D,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?J():{mark(R){performance.mark(R)},getMarks(){let R=performance.timeOrigin;typeof R!="number"&&(R=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const I=[{name:"code/timeOrigin",startTime:Math.round(R)}];for(const D of performance.getEntriesByType("mark"))I.push({name:D.name,startTime:Math.round(R+D.startTime)});return I}};if(typeof process=="object"){const R=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return J(R)}else return console.trace("perf-util loaded in UNKNOWN environment"),J()}function _(R){return R.MonacoPerformanceMarks||(R.MonacoPerformanceMarks=e()),R.MonacoPerformanceMarks}var y;typeof global=="object"?y=global:typeof self=="object"?y=self:y={},typeof define=="function"?define("vs/base/common/performance",[],function(){return _(y)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=_(y):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),y.perf=_(y))})(),define(ge[10],pe([0,1]),function(J,e){"use strict";var _;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const y="en";let R=!1,I=!1,D=!1,P=!1,E=!1,n=!1,A=!1,k,b=y,h,l;const g=typeof self=="object"?self:typeof global=="object"?global:{};let S;typeof process!="undefined"?S=process:typeof g.vscode!="undefined"&&(S=g.vscode.process);const p=typeof((_=S==null?void 0:S.versions)===null||_===void 0?void 0:_.electron)=="string"&&S.type==="renderer";if(e.isElectronSandboxed=p&&(S==null?void 0:S.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const r=S==null?void 0:S.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof r=="string")return r==="none"||r==="code"||r==="bypassHeatCheck"||r==="bypassHeatCheckAndEagerCompile"?r:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!p)l=navigator.userAgent,R=l.indexOf("Windows")>=0,I=l.indexOf("Macintosh")>=0,A=(l.indexOf("Macintosh")>=0||l.indexOf("iPad")>=0||l.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,D=l.indexOf("Linux")>=0,n=!0,k=navigator.language,b=k;else if(typeof S=="object"){R=S.platform==="win32",I=S.platform==="darwin",D=S.platform==="linux",P=D&&!!S.env.SNAP&&!!S.env.SNAP_REVISION,k=y,b=y;const r=S.env.VSCODE_NLS_CONFIG;if(r)try{const c=JSON.parse(r),v=c.availableLanguages["*"];k=c.locale,b=v||y,h=c._translationsConfigFile}catch(c){}E=!0}else console.error("Unable to resolve platform.");var w;(function(r){r[r.Web=0]="Web",r[r.Mac=1]="Mac",r[r.Linux=2]="Linux",r[r.Windows=3]="Windows"})(w=e.Platform||(e.Platform={}));function d(r){switch(r){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=d;let u=0;I?u=1:R?u=3:D&&(u=2),e.isWindows=R,e.isMacintosh=I,e.isLinux=D,e.isLinuxSnap=P,e.isNative=E,e.isWeb=n,e.isIOS=A,e.platform=u,e.userAgent=l,e.language=b;var a;(function(r){function c(){return e.language}r.value=c;function v(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}r.isDefaultVariant=v;function C(){return e.language==="en"}r.isDefault=C})(a=e.Language||(e.Language={})),e.locale=k,e.translationsConfigFile=h,e.globals=g,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let v=[];e.globals.addEventListener("message",m=>{if(m.data&&m.data.vscodeSetImmediateId)for(let f=0,T=v.length;f<T;f++){const L=v[f];if(L.id===m.data.vscodeSetImmediateId){v.splice(f,1),L.callback();return}}});let C=0;return m=>{const f=++C;v.push({id:f,callback:m}),e.globals.postMessage({vscodeSetImmediateId:f},"*")}}if(typeof(S==null?void 0:S.nextTick)=="function")return S.nextTick.bind(S);const c=Promise.resolve();return v=>c.then(v)}();var t;(function(r){r[r.Windows=1]="Windows",r[r.Macintosh=2]="Macintosh",r[r.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=I||A?2:R?1:3;let i=!0,s=!1;function o(){if(!s){s=!0;const r=new Uint8Array(2);r[0]=1,r[1]=2,i=new Uint16Array(r.buffer)[0]===(2<<8)+1}return i}e.isLittleEndian=o}),define(ge[30],pe([0,1,10]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let y;if(typeof process!="undefined")y={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(R){return process.nextTick(R)}};else if(typeof _.globals.vscode!="undefined"){const R=_.globals.vscode.process;y={get platform(){return R.platform},get env(){return R.env},cwd(){return R.cwd()},nextTick(I){return(0,_.setImmediate)(I)}}}else y={get platform(){return _.isWindows?"win32":_.isMacintosh?"darwin":"linux"},nextTick(R){return(0,_.setImmediate)(R)},get env(){return Object.create(null)},cwd(){return"/"}};e.cwd=y.cwd,e.env=y.env,e.platform=y.platform,e.nextTick=y.nextTick}),define(ge[7],pe([0,1,30]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const y=65,R=97,I=90,D=122,P=46,E=47,n=92,A=58,k=63;class b extends Error{constructor(u,a,t){let i;typeof a=="string"&&a.indexOf("not ")===0?(i="must not be",a=a.replace(/^not /,"")):i="must be";const s=u.indexOf(".")!==-1?"property":"argument";let o=`The "${u}" ${s} ${i} of type ${a}`;o+=`. Received type ${typeof t}`,super(o),this.code="ERR_INVALID_ARG_TYPE"}}function h(d,u){if(typeof d!="string")throw new b(u,"string",d)}function l(d){return d===E||d===n}function g(d){return d===E}function S(d){return d>=y&&d<=I||d>=R&&d<=D}function p(d,u,a,t){let i="",s=0,o=-1,r=0,c=0;for(let v=0;v<=d.length;++v){if(v<d.length)c=d.charCodeAt(v);else{if(t(c))break;c=E}if(t(c)){if(!(o===v-1||r===1))if(r===2){if(i.length<2||s!==2||i.charCodeAt(i.length-1)!==P||i.charCodeAt(i.length-2)!==P){if(i.length>2){const C=i.lastIndexOf(a);C===-1?(i="",s=0):(i=i.slice(0,C),s=i.length-1-i.lastIndexOf(a)),o=v,r=0;continue}else if(i.length!==0){i="",s=0,o=v,r=0;continue}}u&&(i+=i.length>0?`${a}..`:"..",s=2)}else i.length>0?i+=`${a}${d.slice(o+1,v)}`:i=d.slice(o+1,v),s=v-o-1;o=v,r=0}else c===P&&r!==-1?++r:r=-1}return i}function w(d,u){if(u===null||typeof u!="object")throw new b("pathObject","Object",u);const a=u.dir||u.root,t=u.base||`${u.name||""}${u.ext||""}`;return a?a===u.root?`${a}${t}`:`${a}${d}${t}`:t}e.win32={resolve(...d){let u="",a="",t=!1;for(let i=d.length-1;i>=-1;i--){let s;if(i>=0){if(s=d[i],h(s,"path"),s.length===0)continue}else u.length===0?s=_.cwd():(s=_.env[`=${u}`]||_.cwd(),(s===void 0||s.slice(0,2).toLowerCase()!==u.toLowerCase()&&s.charCodeAt(2)===n)&&(s=`${u}\\`));const o=s.length;let r=0,c="",v=!1;const C=s.charCodeAt(0);if(o===1)l(C)&&(r=1,v=!0);else if(l(C))if(v=!0,l(s.charCodeAt(1))){let m=2,f=m;for(;m<o&&!l(s.charCodeAt(m));)m++;if(m<o&&m!==f){const T=s.slice(f,m);for(f=m;m<o&&l(s.charCodeAt(m));)m++;if(m<o&&m!==f){for(f=m;m<o&&!l(s.charCodeAt(m));)m++;(m===o||m!==f)&&(c=`\\\\${T}\\${s.slice(f,m)}`,r=m)}}}else r=1;else S(C)&&s.charCodeAt(1)===A&&(c=s.slice(0,2),r=2,o>2&&l(s.charCodeAt(2))&&(v=!0,r=3));if(c.length>0)if(u.length>0){if(c.toLowerCase()!==u.toLowerCase())continue}else u=c;if(t){if(u.length>0)break}else if(a=`${s.slice(r)}\\${a}`,t=v,v&&u.length>0)break}return a=p(a,!t,"\\",l),t?`${u}\\${a}`:`${u}${a}`||"."},normalize(d){h(d,"path");const u=d.length;if(u===0)return".";let a=0,t,i=!1;const s=d.charCodeAt(0);if(u===1)return g(s)?"\\":d;if(l(s))if(i=!0,l(d.charCodeAt(1))){let r=2,c=r;for(;r<u&&!l(d.charCodeAt(r));)r++;if(r<u&&r!==c){const v=d.slice(c,r);for(c=r;r<u&&l(d.charCodeAt(r));)r++;if(r<u&&r!==c){for(c=r;r<u&&!l(d.charCodeAt(r));)r++;if(r===u)return`\\\\${v}\\${d.slice(c)}\\`;r!==c&&(t=`\\\\${v}\\${d.slice(c,r)}`,a=r)}}}else a=1;else S(s)&&d.charCodeAt(1)===A&&(t=d.slice(0,2),a=2,u>2&&l(d.charCodeAt(2))&&(i=!0,a=3));let o=a<u?p(d.slice(a),!i,"\\",l):"";return o.length===0&&!i&&(o="."),o.length>0&&l(d.charCodeAt(u-1))&&(o+="\\"),t===void 0?i?`\\${o}`:o:i?`${t}\\${o}`:`${t}${o}`},isAbsolute(d){h(d,"path");const u=d.length;if(u===0)return!1;const a=d.charCodeAt(0);return l(a)||u>2&&S(a)&&d.charCodeAt(1)===A&&l(d.charCodeAt(2))},join(...d){if(d.length===0)return".";let u,a;for(let s=0;s<d.length;++s){const o=d[s];h(o,"path"),o.length>0&&(u===void 0?u=a=o:u+=`\\${o}`)}if(u===void 0)return".";let t=!0,i=0;if(typeof a=="string"&&l(a.charCodeAt(0))){++i;const s=a.length;s>1&&l(a.charCodeAt(1))&&(++i,s>2&&(l(a.charCodeAt(2))?++i:t=!1))}if(t){for(;i<u.length&&l(u.charCodeAt(i));)i++;i>=2&&(u=`\\${u.slice(i)}`)}return e.win32.normalize(u)},relative(d,u){if(h(d,"from"),h(u,"to"),d===u)return"";const a=e.win32.resolve(d),t=e.win32.resolve(u);if(a===t||(d=a.toLowerCase(),u=t.toLowerCase(),d===u))return"";let i=0;for(;i<d.length&&d.charCodeAt(i)===n;)i++;let s=d.length;for(;s-1>i&&d.charCodeAt(s-1)===n;)s--;const o=s-i;let r=0;for(;r<u.length&&u.charCodeAt(r)===n;)r++;let c=u.length;for(;c-1>r&&u.charCodeAt(c-1)===n;)c--;const v=c-r,C=o<v?o:v;let m=-1,f=0;for(;f<C;f++){const L=d.charCodeAt(i+f);if(L!==u.charCodeAt(r+f))break;L===n&&(m=f)}if(f!==C){if(m===-1)return t}else{if(v>C){if(u.charCodeAt(r+f)===n)return t.slice(r+f+1);if(f===2)return t.slice(r+f)}o>C&&(d.charCodeAt(i+f)===n?m=f:f===2&&(m=3)),m===-1&&(m=0)}let T="";for(f=i+m+1;f<=s;++f)(f===s||d.charCodeAt(f)===n)&&(T+=T.length===0?"..":"\\..");return r+=m,T.length>0?`${T}${t.slice(r,c)}`:(t.charCodeAt(r)===n&&++r,t.slice(r,c))},toNamespacedPath(d){if(typeof d!="string")return d;if(d.length===0)return"";const u=e.win32.resolve(d);if(u.length<=2)return d;if(u.charCodeAt(0)===n){if(u.charCodeAt(1)===n){const a=u.charCodeAt(2);if(a!==k&&a!==P)return`\\\\?\\UNC\\${u.slice(2)}`}}else if(S(u.charCodeAt(0))&&u.charCodeAt(1)===A&&u.charCodeAt(2)===n)return`\\\\?\\${u}`;return d},dirname(d){h(d,"path");const u=d.length;if(u===0)return".";let a=-1,t=0;const i=d.charCodeAt(0);if(u===1)return l(i)?d:".";if(l(i)){if(a=t=1,l(d.charCodeAt(1))){let r=2,c=r;for(;r<u&&!l(d.charCodeAt(r));)r++;if(r<u&&r!==c){for(c=r;r<u&&l(d.charCodeAt(r));)r++;if(r<u&&r!==c){for(c=r;r<u&&!l(d.charCodeAt(r));)r++;if(r===u)return d;r!==c&&(a=t=r+1)}}}}else S(i)&&d.charCodeAt(1)===A&&(a=u>2&&l(d.charCodeAt(2))?3:2,t=a);let s=-1,o=!0;for(let r=u-1;r>=t;--r)if(l(d.charCodeAt(r))){if(!o){s=r;break}}else o=!1;if(s===-1){if(a===-1)return".";s=a}return d.slice(0,s)},basename(d,u){u!==void 0&&h(u,"ext"),h(d,"path");let a=0,t=-1,i=!0,s;if(d.length>=2&&S(d.charCodeAt(0))&&d.charCodeAt(1)===A&&(a=2),u!==void 0&&u.length>0&&u.length<=d.length){if(u===d)return"";let o=u.length-1,r=-1;for(s=d.length-1;s>=a;--s){const c=d.charCodeAt(s);if(l(c)){if(!i){a=s+1;break}}else r===-1&&(i=!1,r=s+1),o>=0&&(c===u.charCodeAt(o)?--o==-1&&(t=s):(o=-1,t=r))}return a===t?t=r:t===-1&&(t=d.length),d.slice(a,t)}for(s=d.length-1;s>=a;--s)if(l(d.charCodeAt(s))){if(!i){a=s+1;break}}else t===-1&&(i=!1,t=s+1);return t===-1?"":d.slice(a,t)},extname(d){h(d,"path");let u=0,a=-1,t=0,i=-1,s=!0,o=0;d.length>=2&&d.charCodeAt(1)===A&&S(d.charCodeAt(0))&&(u=t=2);for(let r=d.length-1;r>=u;--r){const c=d.charCodeAt(r);if(l(c)){if(!s){t=r+1;break}continue}i===-1&&(s=!1,i=r+1),c===P?a===-1?a=r:o!==1&&(o=1):a!==-1&&(o=-1)}return a===-1||i===-1||o===0||o===1&&a===i-1&&a===t+1?"":d.slice(a,i)},format:w.bind(null,"\\"),parse(d){h(d,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(d.length===0)return u;const a=d.length;let t=0,i=d.charCodeAt(0);if(a===1)return l(i)?(u.root=u.dir=d,u):(u.base=u.name=d,u);if(l(i)){if(t=1,l(d.charCodeAt(1))){let m=2,f=m;for(;m<a&&!l(d.charCodeAt(m));)m++;if(m<a&&m!==f){for(f=m;m<a&&l(d.charCodeAt(m));)m++;if(m<a&&m!==f){for(f=m;m<a&&!l(d.charCodeAt(m));)m++;m===a?t=m:m!==f&&(t=m+1)}}}}else if(S(i)&&d.charCodeAt(1)===A){if(a<=2)return u.root=u.dir=d,u;if(t=2,l(d.charCodeAt(2))){if(a===3)return u.root=u.dir=d,u;t=3}}t>0&&(u.root=d.slice(0,t));let s=-1,o=t,r=-1,c=!0,v=d.length-1,C=0;for(;v>=t;--v){if(i=d.charCodeAt(v),l(i)){if(!c){o=v+1;break}continue}r===-1&&(c=!1,r=v+1),i===P?s===-1?s=v:C!==1&&(C=1):s!==-1&&(C=-1)}return r!==-1&&(s===-1||C===0||C===1&&s===r-1&&s===o+1?u.base=u.name=d.slice(o,r):(u.name=d.slice(o,s),u.base=d.slice(o,r),u.ext=d.slice(s,r))),o>0&&o!==t?u.dir=d.slice(0,o-1):u.dir=u.root,u},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...d){let u="",a=!1;for(let t=d.length-1;t>=-1&&!a;t--){const i=t>=0?d[t]:_.cwd();h(i,"path"),i.length!==0&&(u=`${i}/${u}`,a=i.charCodeAt(0)===E)}return u=p(u,!a,"/",g),a?`/${u}`:u.length>0?u:"."},normalize(d){if(h(d,"path"),d.length===0)return".";const u=d.charCodeAt(0)===E,a=d.charCodeAt(d.length-1)===E;return d=p(d,!u,"/",g),d.length===0?u?"/":a?"./":".":(a&&(d+="/"),u?`/${d}`:d)},isAbsolute(d){return h(d,"path"),d.length>0&&d.charCodeAt(0)===E},join(...d){if(d.length===0)return".";let u;for(let a=0;a<d.length;++a){const t=d[a];h(t,"path"),t.length>0&&(u===void 0?u=t:u+=`/${t}`)}return u===void 0?".":e.posix.normalize(u)},relative(d,u){if(h(d,"from"),h(u,"to"),d===u||(d=e.posix.resolve(d),u=e.posix.resolve(u),d===u))return"";const a=1,t=d.length,i=t-a,s=1,o=u.length-s,r=i<o?i:o;let c=-1,v=0;for(;v<r;v++){const m=d.charCodeAt(a+v);if(m!==u.charCodeAt(s+v))break;m===E&&(c=v)}if(v===r)if(o>r){if(u.charCodeAt(s+v)===E)return u.slice(s+v+1);if(v===0)return u.slice(s+v)}else i>r&&(d.charCodeAt(a+v)===E?c=v:v===0&&(c=0));let C="";for(v=a+c+1;v<=t;++v)(v===t||d.charCodeAt(v)===E)&&(C+=C.length===0?"..":"/..");return`${C}${u.slice(s+c)}`},toNamespacedPath(d){return d},dirname(d){if(h(d,"path"),d.length===0)return".";const u=d.charCodeAt(0)===E;let a=-1,t=!0;for(let i=d.length-1;i>=1;--i)if(d.charCodeAt(i)===E){if(!t){a=i;break}}else t=!1;return a===-1?u?"/":".":u&&a===1?"//":d.slice(0,a)},basename(d,u){u!==void 0&&h(u,"ext"),h(d,"path");let a=0,t=-1,i=!0,s;if(u!==void 0&&u.length>0&&u.length<=d.length){if(u===d)return"";let o=u.length-1,r=-1;for(s=d.length-1;s>=0;--s){const c=d.charCodeAt(s);if(c===E){if(!i){a=s+1;break}}else r===-1&&(i=!1,r=s+1),o>=0&&(c===u.charCodeAt(o)?--o==-1&&(t=s):(o=-1,t=r))}return a===t?t=r:t===-1&&(t=d.length),d.slice(a,t)}for(s=d.length-1;s>=0;--s)if(d.charCodeAt(s)===E){if(!i){a=s+1;break}}else t===-1&&(i=!1,t=s+1);return t===-1?"":d.slice(a,t)},extname(d){h(d,"path");let u=-1,a=0,t=-1,i=!0,s=0;for(let o=d.length-1;o>=0;--o){const r=d.charCodeAt(o);if(r===E){if(!i){a=o+1;break}continue}t===-1&&(i=!1,t=o+1),r===P?u===-1?u=o:s!==1&&(s=1):u!==-1&&(s=-1)}return u===-1||t===-1||s===0||s===1&&u===t-1&&u===a+1?"":d.slice(u,t)},format:w.bind(null,"/"),parse(d){h(d,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(d.length===0)return u;const a=d.charCodeAt(0)===E;let t;a?(u.root="/",t=1):t=0;let i=-1,s=0,o=-1,r=!0,c=d.length-1,v=0;for(;c>=t;--c){const C=d.charCodeAt(c);if(C===E){if(!r){s=c+1;break}continue}o===-1&&(r=!1,o=c+1),C===P?i===-1?i=c:v!==1&&(v=1):i!==-1&&(v=-1)}if(o!==-1){const C=s===0&&a?1:s;i===-1||v===0||v===1&&i===o-1&&i===s+1?u.base=u.name=d.slice(C,o):(u.name=d.slice(C,i),u.base=d.slice(C,o),u.ext=d.slice(i,o))}return s>0?u.dir=d.slice(0,s-1):a&&(u.dir="/"),u},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=_.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=_.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=_.platform==="win32"?e.win32.join:e.posix.join,e.resolve=_.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=_.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=_.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=_.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=_.platform==="win32"?e.win32.extname:e.posix.extname,e.format=_.platform==="win32"?e.win32.format:e.posix.format,e.parse=_.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=_.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=_.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=_.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(ge[133],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var _;(function(I){I[I.stdout=0]="stdout",I[I.stderr=1]="stderr"})(_=e.Source||(e.Source={}));var y;(function(I){I[I.Success=0]="Success",I[I.Unknown=1]="Unknown",I[I.AccessDenied=2]="AccessDenied",I[I.ProcessNotFound=3]="ProcessNotFound"})(y=e.TerminateResponseCode||(e.TerminateResponseCode={}));function R(I,...D){const P=D.reduce((A,k)=>(A[k]=!0,A),{}),E=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(I).filter(A=>!P[A]).forEach(A=>{for(let k=0;k<E.length;k++)if(A.search(E[k])!==-1){delete I[A];break}})}e.sanitizeProcessEnvironment=R}),define(ge[46],pe([0,1,10]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const y=_.globals.performance&&typeof _.globals.performance.now=="function";class R{constructor(D){this._highResolution=y&&D,this._startTime=this._now(),this._stopTime=-1}static create(D=!0){return new R(D)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?_.globals.performance.now():Date.now()}}e.StopWatch=R}),define(ge[3],pe([0,1,18,69,6,56,46]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var P;(function(p){p.None=()=>R.Disposable.None;function w(j){return(W,$=null,O)=>{let U=!1,F;return F=j(N=>{if(!U)return F?F.dispose():U=!0,W.call($,N)},null,O),U&&F.dispose(),F}}p.once=w;function d(j,W){return o(($,O=null,U)=>j(F=>$.call(O,W(F)),null,U))}p.map=d;function u(j,W){return o(($,O=null,U)=>j(F=>{W(F),$.call(O,F)},null,U))}p.forEach=u;function a(j,W){return o(($,O=null,U)=>j(F=>W(F)&&$.call(O,F),null,U))}p.filter=a;function t(j){return j}p.signal=t;function i(...j){return(W,$=null,O)=>(0,R.combinedDisposable)(...j.map(U=>U(F=>W.call($,F),null,O)))}p.any=i;function s(j,W,$){let O=$;return d(j,U=>(O=W(O,U),O))}p.reduce=s;function o(j){let W;const $=new b({onFirstListenerAdd(){W=j($.fire,$)},onLastListenerRemove(){W.dispose()}});return $.event}p.snapshot=o;function r(j,W,$=100,O=!1,U){let F,N,M,V=0;const q=new b({leakWarningThreshold:U,onFirstListenerAdd(){F=j(X=>{V++,N=W(N,X),O&&!M&&(q.fire(N),N=void 0),clearTimeout(M),M=setTimeout(()=>{const fe=N;N=void 0,M=void 0,(!O||V>1)&&q.fire(fe),V=0},$)})},onLastListenerRemove(){F.dispose()}});return q.event}p.debounce=r;function c(j){const W=new Date().getTime();return d(w(j),$=>new Date().getTime()-W)}p.stopwatch=c;function v(j){let W=!0,$;return a(j,O=>{const U=W||O!==$;return W=!1,$=O,U})}p.latch=v;function C(j,W=!1,$=[]){let O=$.slice(),U=j(M=>{O?O.push(M):N.fire(M)});const F=()=>{O&&O.forEach(M=>N.fire(M)),O=null},N=new b({onFirstListenerAdd(){U||(U=j(M=>N.fire(M)))},onFirstListenerDidAdd(){O&&(W?setTimeout(F):F())},onLastListenerRemove(){U&&U.dispose(),U=null}});return N.event}p.buffer=C;class m{constructor(W){this.event=W}map(W){return new m(d(this.event,W))}forEach(W){return new m(u(this.event,W))}filter(W){return new m(a(this.event,W))}reduce(W,$){return new m(s(this.event,W,$))}latch(){return new m(v(this.event))}debounce(W,$=100,O=!1,U){return new m(r(this.event,W,$,O,U))}on(W,$,O){return this.event(W,$,O)}once(W,$,O){return w(this.event)(W,$,O)}}function f(j){return new m(j)}p.chain=f;function T(j,W,$=O=>O){const O=(...M)=>N.fire($(...M)),U=()=>j.on(W,O),F=()=>j.removeListener(W,O),N=new b({onFirstListenerAdd:U,onLastListenerRemove:F});return N.event}p.fromNodeEventEmitter=T;function L(j,W,$=O=>O){const O=(...M)=>N.fire($(...M)),U=()=>j.addEventListener(W,O),F=()=>j.removeEventListener(W,O),N=new b({onFirstListenerAdd:U,onLastListenerRemove:F});return N.event}p.fromDOMEventEmitter=L;function B(j){const W=new b;let $=!1;return j.then(void 0,()=>null).then(()=>{$?W.fire(void 0):setTimeout(()=>W.fire(void 0),0)}),$=!0,W.event}p.fromPromise=B;function te(j){return new Promise(W=>w(j)(W))}p.toPromise=te})(P=e.Event||(e.Event={}));class E{constructor(w){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${w}_${E._idPool++}`}start(w){this._stopWatch=new D.StopWatch(!0),this._listenerCount=w}stop(){if(this._stopWatch){const w=this._stopWatch.elapsed();this._elapsedOverall+=w,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${w.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}E._idPool=0;let n=-1;function A(p){const w=n;return n=p,{dispose(){n=w}}}e.setGlobalLeakWarningThreshold=A;class k{constructor(w,d=Math.random().toString(18).slice(2,5)){this.customThreshold=w,this.name=d,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(w){let d=n;if(typeof this.customThreshold=="number"&&(d=this.customThreshold),!(d<=0||w<d)){this._stacks||(this._stacks=new Map);const u=new Error().stack.split(`
`).slice(3).join(`
`),a=this._stacks.get(u)||0;if(this._stacks.set(u,a+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=d*.5;let t,i=0;for(const[s,o]of this._stacks)(!t||i<o)&&(t=s,i=o);console.warn(`[${this.name}] potential listener LEAK detected, having ${w} listeners already. MOST frequent listener (${i}):`),console.warn(t)}return()=>{const t=this._stacks.get(u)||0;this._stacks.set(u,t-1)}}}}class b{constructor(w){var d;this._disposed=!1,this._options=w,this._leakageMon=n>0?new k(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((d=this._options)===null||d===void 0?void 0:d._profName)?new E(this._options._profName):void 0}get event(){return this._event||(this._event=(w,d,u)=>{var a;this._listeners||(this._listeners=new I.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const i=this._listeners.push(d?[w,d]:w);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,w,d);const s=(a=this._leakageMon)===null||a===void 0?void 0:a.check(this._listeners.size);let o;return o={dispose:()=>{s&&s(),o.dispose=b._noop,this._disposed||(i(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},u instanceof R.DisposableStore?u.add(o):Array.isArray(u)&&u.push(o),o}),this._event}fire(w){var d,u;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new I.LinkedList);for(let a of this._listeners)this._deliveryQueue.push([a,w]);for((d=this._perfMon)===null||d===void 0||d.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[a,t]=this._deliveryQueue.shift();try{typeof a=="function"?a.call(void 0,t):a[0].call(a[1],t)}catch(i){(0,_.onUnexpectedError)(i)}}(u=this._perfMon)===null||u===void 0||u.stop()}}dispose(){var w,d,u;(w=this._listeners)===null||w===void 0||w.clear(),(d=this._deliveryQueue)===null||d===void 0||d.clear(),(u=this._leakageMon)===null||u===void 0||u.dispose(),this._disposed=!0}}e.Emitter=b,b._noop=function(){};class h extends b{constructor(w){super(w);this._isPaused=0,this._eventQueue=new I.LinkedList,this._mergeFn=w==null?void 0:w.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const w=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(w))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(w){this._listeners&&(this._isPaused!==0?this._eventQueue.push(w):super.fire(w))}}e.PauseableEmitter=h;class l{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new b({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(w){const d={event:w,listener:null};this.events.push(d),this.hasListeners&&this.hook(d);const u=()=>{this.hasListeners&&this.unhook(d);const a=this.events.indexOf(d);this.events.splice(a,1)};return(0,R.toDisposable)((0,y.once)(u))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(w=>this.hook(w))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(w=>this.unhook(w))}hook(w){w.listener=w.event(d=>this.emitter.fire(d))}unhook(w){w.listener&&w.listener.dispose(),w.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=l;class g{constructor(){this.buffers=[]}wrapEvent(w){return(d,u,a)=>w(t=>{const i=this.buffers[this.buffers.length-1];i?i.push(()=>d.call(u,t)):d.call(u,t)},void 0,a)}bufferEvents(w){const d=[];this.buffers.push(d);const u=w();return this.buffers.pop(),d.forEach(a=>a()),u}}e.EventBufferer=g;class S{constructor(){this.listening=!1,this.inputEvent=P.None,this.inputEventListener=R.Disposable.None,this.emitter=new b({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(w){this.inputEvent=w,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=w(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=S}),define(ge[21],pe([0,1,3]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const y=Object.freeze(function(P,E){const n=setTimeout(P.bind(E),0);return{dispose(){clearTimeout(n)}}});var R;(function(P){function E(n){return n===P.None||n===P.Cancelled||n instanceof I?!0:!n||typeof n!="object"?!1:typeof n.isCancellationRequested=="boolean"&&typeof n.onCancellationRequested=="function"}P.isCancellationToken=E,P.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:_.Event.None}),P.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:y})})(R=e.CancellationToken||(e.CancellationToken={}));class I{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?y:(this._emitter||(this._emitter=new _.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class D{constructor(E){this._token=void 0,this._parentListener=void 0,this._parentListener=E&&E.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new I),this._token}cancel(){this._token?this._token instanceof I&&this._token.cancel():this._token=R.Cancelled}dispose(E=!1){E&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof I&&this._token.dispose():this._token=R.None}}e.CancellationTokenSource=D}),define(ge[47],pe([0,1,3]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class y{constructor(){this._icons=new Map,this._onDidRegister=new _.Emitter}add(A){const k=this._icons.get(A.id);k?A.description?k.description=A.description:console.error(`Duplicate registration of codicon ${A.id}`):(this._icons.set(A.id,A),this._onDidRegister.fire(A))}get(A){return this._icons.get(A)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const R=new y;e.iconRegistry=R;function I(n,A){return new D(n,A)}e.registerCodicon=I;class D{constructor(A,k,b){this.id=A,this.definition=k,this.description=b,R.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=D;function P(n,A){const k=["codicon","codicon-"+n];return A&&k.push("codicon-modifier-"+A),k}e.getClassNamesArray=P;var E;(function(n){n.iconNameSegment="[A-Za-z0-9]+",n.iconNameExpression="[A-Za-z0-9\\-]+",n.iconModifierExpression="~[A-Za-z]+";const A=new RegExp(`^(${n.iconNameExpression})(${n.iconModifierExpression})?$`);function k(l){if(l instanceof D)return["codicon","codicon-"+l.id];const g=A.exec(l.id);if(!g)return k(D.error);let[,S,p]=g;const w=["codicon","codicon-"+S];return p&&w.push("codicon-modifier-"+p.substr(1)),w}n.asClassNameArray=k;function b(l){return k(l).join(" ")}n.asClassName=b;function h(l){return"."+k(l).join(".")}n.asCSSSelector=h})(E=e.CSSIcon||(e.CSSIcon={})),function(n){n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",{fontCharacter:"\\ea60"}),n.gistNew=new n("gist-new",{fontCharacter:"\\ea60"}),n.repoCreate=new n("repo-create",{fontCharacter:"\\ea60"}),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personAdd=new n("person-add",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eb0a"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnknown=new n("workspace-unknown",{fontCharacter:"\\ebc3"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition)}(D=e.Codicon||(e.Codicon={}))}),define(ge[91],pe([0,1,18,6]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function R(S){const p=S;return p&&[p.on,p.pause,p.resume,p.destroy].every(w=>typeof w=="function")}e.isReadableStream=R;function I(S){const p=S;return p&&R(p.stream)&&Array.isArray(p.buffer)&&typeof p.ended=="boolean"}e.isReadableBufferedStream=I;function D(S,p){return new P(S,p)}e.newWriteableStream=D;class P{constructor(p,w){this.reducer=p,this.options=w,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(p){var w;if(!this.state.destroyed){if(this.state.flowing)this.emitData(p);else if(this.buffer.data.push(p),typeof((w=this.options)===null||w===void 0?void 0:w.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(d=>this.pendingWritePromises.push(d))}}error(p){this.state.destroyed||(this.state.flowing?this.emitError(p):this.buffer.error.push(p))}end(p){this.state.destroyed||(typeof p!="undefined"&&this.write(p),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(p){this.listeners.data.slice(0).forEach(w=>w(p))}emitError(p){this.listeners.error.length===0?(0,_.onUnexpectedError)(p):this.listeners.error.slice(0).forEach(w=>w(p))}emitEnd(){this.listeners.end.slice(0).forEach(p=>p())}on(p,w){if(!this.state.destroyed)switch(p){case"data":this.listeners.data.push(w),this.resume();break;case"end":this.listeners.end.push(w),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(w),this.state.flowing&&this.flowErrors();break}}removeListener(p,w){if(!this.state.destroyed){let d;switch(p){case"data":d=this.listeners.data;break;case"end":d=this.listeners.end;break;case"error":d=this.listeners.error;break}if(d){const u=d.indexOf(w);u>=0&&d.splice(u,1)}}}flowData(){if(this.buffer.data.length>0){const p=this.reducer(this.buffer.data);this.emitData(p),this.buffer.data.length=0;const w=[...this.pendingWritePromises];this.pendingWritePromises.length=0,w.forEach(d=>d())}}flowErrors(){if(this.listeners.error.length>0){for(const p of this.buffer.error)this.emitError(p);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function E(S,p){const w=[];let d;for(;(d=S.read())!==null;)w.push(d);return p(w)}e.consumeReadable=E;function n(S,p,w){const d=[];let u;for(;(u=S.read())!==null&&d.length<w;)d.push(u);return u===null&&d.length>0?p(d):{read:()=>{if(d.length>0)return d.shift();if(typeof u!="undefined"){const a=u;return u=void 0,a}return S.read()}}}e.peekReadable=n;function A(S,p){return new Promise((w,d)=>{const u=[];k(S,{onData:a=>{p&&u.push(a)},onError:a=>{p?d(a):w(void 0)},onEnd:()=>{w(p?p(u):void 0)}})})}e.consumeStream=A;function k(S,p){S.on("error",w=>p.onError(w)),S.on("end",()=>p.onEnd()),S.on("data",w=>p.onData(w))}e.listenStream=k;function b(S,p){return new Promise((w,d)=>{const u=new y.DisposableStore,a=[],t=o=>{if(a.push(o),a.length>p)return u.dispose(),S.pause(),w({stream:S,buffer:a,ended:!1})},i=o=>d(o),s=()=>w({stream:S,buffer:a,ended:!0});u.add((0,y.toDisposable)(()=>S.removeListener("error",i))),S.on("error",i),u.add((0,y.toDisposable)(()=>S.removeListener("end",s))),S.on("end",s),u.add((0,y.toDisposable)(()=>S.removeListener("data",t))),S.on("data",t)})}e.peekStream=b;function h(S,p){const w=D(p);return w.end(S),w}e.toStream=h;function l(S){let p=!1;return{read:()=>p?null:(p=!0,S)}}e.toReadable=l;function g(S,p,w){const d=D(w);return k(S,{onData:u=>d.write(p.data(u)),onError:u=>d.error(p.error?p.error(u):u),onEnd:()=>d.end()}),d}e.transform=g}),define(ge[9],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function _(G){return!G||typeof G!="string"?!0:G.trim().length===0}e.isFalsyOrWhitespace=_;const y=/{(\d+)}/g;function R(G,...oe){return oe.length===0?G:G.replace(y,function(ue,Y){const ne=parseInt(Y,10);return isNaN(ne)||ne<0||ne>=oe.length?ue:oe[ne]})}e.format=R;function I(G){return G.replace(/[<>&]/g,function(oe){switch(oe){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return oe}})}e.escape=I;function D(G){return G.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=D;function P(G,oe){let ue=0;const Y=oe.charCodeAt(0);for(let ne=G.length-1;ne>=0;ne--)G.charCodeAt(ne)===Y&&ue++;return ue}e.count=P;function E(G,oe,ue="\u2026"){return G.length<=oe?G:`${G.substr(0,oe)}${ue}`}e.truncate=E;function n(G,oe=" "){const ue=A(G,oe);return k(ue,oe)}e.trim=n;function A(G,oe){if(!G||!oe)return G;const ue=oe.length;if(ue===0||G.length===0)return G;let Y=0;for(;G.indexOf(oe,Y)===Y;)Y=Y+ue;return G.substring(Y)}e.ltrim=A;function k(G,oe){if(!G||!oe)return G;const ue=oe.length,Y=G.length;if(ue===0||Y===0)return G;let ne=Y,le=-1;for(;le=G.lastIndexOf(oe,ne-1),!(le===-1||le+ue!==ne);){if(le===0)return"";ne=le}return G.substring(0,ne)}e.rtrim=k;function b(G){return G.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=b;function h(G){return G.replace(/\*/g,"")}e.stripWildcards=h;function l(G,oe,ue={}){if(!G)throw new Error("Cannot create regex from empty string");oe||(G=D(G)),ue.wholeWord&&(/\B/.test(G.charAt(0))||(G="\\b"+G),/\B/.test(G.charAt(G.length-1))||(G=G+"\\b"));let Y="";return ue.global&&(Y+="g"),ue.matchCase||(Y+="i"),ue.multiline&&(Y+="m"),ue.unicode&&(Y+="u"),new RegExp(G,Y)}e.createRegExp=l;function g(G){return G.source==="^"||G.source==="^$"||G.source==="$"||G.source==="^\\s*$"?!1:!!(G.exec("")&&G.lastIndex===0)}e.regExpLeadsToEndlessLoop=g;function S(G){return!!G.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=S;function p(G){return(G.global?"g":"")+(G.ignoreCase?"i":"")+(G.multiline?"m":"")+(G.unicode?"u":"")}e.regExpFlags=p;function w(G){return G.split(/\r\n|\r|\n/)}e.splitLines=w;function d(G){for(let oe=0,ue=G.length;oe<ue;oe++){const Y=G.charCodeAt(oe);if(Y!==32&&Y!==9)return oe}return-1}e.firstNonWhitespaceIndex=d;function u(G,oe=0,ue=G.length){for(let Y=oe;Y<ue;Y++){const ne=G.charCodeAt(Y);if(ne!==32&&ne!==9)return G.substring(oe,Y)}return G.substring(oe,ue)}e.getLeadingWhitespace=u;function a(G,oe=G.length-1){for(let ue=oe;ue>=0;ue--){const Y=G.charCodeAt(ue);if(Y!==32&&Y!==9)return ue}return-1}e.lastNonWhitespaceIndex=a;function t(G,oe){return G<oe?-1:G>oe?1:0}e.compare=t;function i(G,oe,ue=0,Y=G.length,ne=0,le=oe.length){for(;ue<Y&&ne<le;ue++,ne++){let He=G.charCodeAt(ue),Be=oe.charCodeAt(ne);if(He<Be)return-1;if(He>Be)return 1}const me=Y-ue,Ee=le-ne;return me<Ee?-1:me>Ee?1:0}e.compareSubstring=i;function s(G,oe){return o(G,oe,0,G.length,0,oe.length)}e.compareIgnoreCase=s;function o(G,oe,ue=0,Y=G.length,ne=0,le=oe.length){for(;ue<Y&&ne<le;ue++,ne++){let He=G.charCodeAt(ue),Be=oe.charCodeAt(ne);if(He!==Be){const qe=He-Be;if(!(qe===32&&c(Be))&&!(qe===-32&&c(He)))return r(He)&&r(Be)?qe:i(G.toLowerCase(),oe.toLowerCase(),ue,Y,ne,le)}}const me=Y-ue,Ee=le-ne;return me<Ee?-1:me>Ee?1:0}e.compareSubstringIgnoreCase=o;function r(G){return G>=97&&G<=122}e.isLowerAsciiLetter=r;function c(G){return G>=65&&G<=90}e.isUpperAsciiLetter=c;function v(G){return r(G)||c(G)}function C(G,oe){return G.length===oe.length&&m(G,oe)}e.equalsIgnoreCase=C;function m(G,oe,ue=G.length){for(let Y=0;Y<ue;Y++){const ne=G.charCodeAt(Y),le=oe.charCodeAt(Y);if(ne!==le){if(v(ne)&&v(le)){const me=Math.abs(ne-le);if(me!==0&&me!==32)return!1}else if(String.fromCharCode(ne).toLowerCase()!==String.fromCharCode(le).toLowerCase())return!1}}return!0}function f(G,oe){const ue=oe.length;return oe.length>G.length?!1:m(G,oe,ue)}e.startsWithIgnoreCase=f;function T(G,oe){let ue,Y=Math.min(G.length,oe.length);for(ue=0;ue<Y;ue++)if(G.charCodeAt(ue)!==oe.charCodeAt(ue))return ue;return Y}e.commonPrefixLength=T;function L(G,oe){let ue,Y=Math.min(G.length,oe.length);const ne=G.length-1,le=oe.length-1;for(ue=0;ue<Y;ue++)if(G.charCodeAt(ne-ue)!==oe.charCodeAt(le-ue))return ue;return Y}e.commonSuffixLength=L;function B(G){return 55296<=G&&G<=56319}e.isHighSurrogate=B;function te(G){return 56320<=G&&G<=57343}e.isLowSurrogate=te;function j(G,oe){return(G-55296<<10)+(oe-56320)+65536}e.computeCodePoint=j;function W(G,oe,ue){const Y=G.charCodeAt(ue);if(B(Y)&&ue+1<oe){const ne=G.charCodeAt(ue+1);if(te(ne))return j(Y,ne)}return Y}e.getNextCodePoint=W;function $(G,oe){const ue=G.charCodeAt(oe-1);if(te(ue)&&oe>1){const Y=G.charCodeAt(oe-2);if(B(Y))return j(Y,ue)}return ue}function O(G,oe){const ue=xe.getInstance(),Y=oe,ne=G.length,le=W(G,ne,oe);oe+=le>=65536?2:1;let me=ue.getGraphemeBreakType(le);for(;oe<ne;){const Ee=W(G,ne,oe),He=ue.getGraphemeBreakType(Ee);if(Ne(me,He))break;oe+=Ee>=65536?2:1,me=He}return oe-Y}e.nextCharLength=O;function U(G,oe){const ue=xe.getInstance(),Y=oe,ne=$(G,oe);oe-=ne>=65536?2:1;let le=ue.getGraphemeBreakType(ne);for(;oe>0;){const me=$(G,oe),Ee=ue.getGraphemeBreakType(me);if(Ne(Ee,le))break;oe-=me>=65536?2:1,le=Ee}return Y-oe}e.prevCharLength=U;function F(G,oe){const ue=xe.getInstance(),Y=G.length,ne=oe,le=W(G,Y,oe),me=ue.getGraphemeBreakType(le);oe+=le>=65536?2:1;let Ee=me;for(;oe<Y;){const Be=W(G,Y,oe),qe=ue.getGraphemeBreakType(Be);if(Ne(Ee,qe))break;oe+=Be>=65536?2:1,Ee=qe}const He=oe;for(oe=ne,Ee=me;oe>0;){const Be=$(G,oe),qe=ue.getGraphemeBreakType(Be);if(Ne(qe,Ee))break;oe-=Be>=65536?2:1,Ee=qe}return[oe,He]}function N(G,oe){return oe>0&&te(G.charCodeAt(oe))?F(G,oe-1):F(G,oe)}e.getCharContainingOffset=N;function M(G){const oe=G.length;let ue=0,Y=0;for(;Y<oe;){const me=W(G,oe,Y);Y+=me>=65536?2:1,me<128?ue+=1:me<2048?ue+=2:me<65536?ue+=3:ue+=4}const ne=new Uint8Array(ue);Y=0;let le=0;for(;Y<oe;){const me=W(G,oe,Y);Y+=me>=65536?2:1,me<128?ne[le++]=me:me<2048?(ne[le++]=192|(me&1984)>>>6,ne[le++]=128|(me&63)>>>0):me<65536?(ne[le++]=224|(me&61440)>>>12,ne[le++]=128|(me&4032)>>>6,ne[le++]=128|(me&63)>>>0):(ne[le++]=240|(me&1835008)>>>18,ne[le++]=128|(me&258048)>>>12,ne[le++]=128|(me&4032)>>>6,ne[le++]=128|(me&63)>>>0)}return ne}e.encodeUTF8=M;function V(G){const oe=G.byteLength,ue=[];let Y=0;for(;Y<oe;){const ne=G[Y];let le;if(ne>=240&&Y+3<oe?le=(G[Y++]&7)<<18>>>0|(G[Y++]&63)<<12>>>0|(G[Y++]&63)<<6>>>0|(G[Y++]&63)<<0>>>0:ne>=224&&Y+2<oe?le=(G[Y++]&15)<<12>>>0|(G[Y++]&63)<<6>>>0|(G[Y++]&63)<<0>>>0:ne>=192&&Y+1<oe?le=(G[Y++]&31)<<6>>>0|(G[Y++]&63)<<0>>>0:le=G[Y++],le>=0&&le<=55295||le>=57344&&le<=65535)ue.push(String.fromCharCode(le));else if(le>=65536&&le<=1114111){const me=le-65536,Ee=55296+((me&1047552)>>>10),He=56320+((me&1023)>>>0);ue.push(String.fromCharCode(Ee)),ue.push(String.fromCharCode(He))}else ue.push(String.fromCharCode(65533))}return ue.join("")}e.decodeUTF8=V;const q=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function X(G){return q.test(G)}e.containsRTL=X;const fe=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function _e(G){return fe.test(G)}e.containsEmoji=_e;const Le=/^[\t\n\r\x20-\x7E]*$/;function Ie(G){return Le.test(G)}e.isBasicASCII=Ie,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Fe(G){return e.UNUSUAL_LINE_TERMINATORS.test(G)}e.containsUnusualLineTerminators=Fe;function z(G){for(let oe=0,ue=G.length;oe<ue;oe++)if(Q(G.charCodeAt(oe)))return!0;return!1}e.containsFullWidthCharacter=z;function Q(G){return G=+G,G>=11904&&G<=55215||G>=63744&&G<=64255||G>=65281&&G<=65374}e.isFullWidthCharacter=Q;function ee(G){return G>=127462&&G<=127487||G===8986||G===8987||G===9200||G===9203||G>=9728&&G<=10175||G===11088||G===11093||G>=127744&&G<=128591||G>=128640&&G<=128764||G>=128992&&G<=129003||G>=129280&&G<=129535||G>=129648&&G<=129750}e.isEmojiImprecise=ee;function ae(G,oe){if(G.length<oe)return G;const ue=/\b/g;let Y=0;for(;ue.test(G)&&!(G.length-ue.lastIndex<oe);)Y=ue.lastIndex,ue.lastIndex+=1;return G.substring(Y).replace(/^\s/,"")}e.lcut=ae;const ve=/\x1B\x5B[12]?K/g,De=/\x1b\[\d+m/g,Me=/\x1b\[0?m/g;function we(G){return G&&(G=G.replace(ve,""),G=G.replace(De,""),G=G.replace(Me,"")),G}e.removeAnsiEscapeCodes=we,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ke(G){return!!(G&&G.length>0&&G.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ke;function Ae(G){return ke(G)?G.substr(1):G}e.stripUTF8BOM=Ae;function We(G,oe){if(!G||!oe||G.length<oe.length)return!1;const ue=oe.length,Y=G.toLowerCase();let ne=0,le=-1;for(;ne<ue;){const me=Y.indexOf(oe[ne],le+1);if(me<0)return!1;le=me,ne++}return!0}e.fuzzyContains=We;function ye(G,oe=!1){return G?(oe&&(G=G.replace(/\\./g,"")),G.toLowerCase()!==G):!1}e.containsUppercaseCharacter=ye;function Ge(G){return G.charAt(0).toUpperCase()+G.slice(1)}e.uppercaseFirstLetter=Ge;function K(G,oe=1){if(oe===0)return"";let ue=-1;do ue=G.indexOf(`
`,ue+1),oe--;while(oe>0&&ue>=0);return ue===-1?G:(G[ue-1]==="\r"&&ue--,G.substr(0,ue))}e.getNLines=K;function ie(G){const oe=90-65+1;return G=G%(2*oe),G<oe?String.fromCharCode(97+G):String.fromCharCode(65+G-oe)}e.singleLetterHash=ie;function Se(G){return xe.getInstance().getGraphemeBreakType(G)}e.getGraphemeBreakType=Se;function Ne(G,oe){return G===0?oe!==5&&oe!==7:G===2&&oe===3?!1:G===4||G===2||G===3||oe===4||oe===2||oe===3?!0:!(G===8&&(oe===8||oe===9||oe===11||oe===12)||(G===11||G===9)&&(oe===9||oe===10)||(G===12||G===10)&&oe===10||oe===5||oe===13||oe===7||G===1||G===13&&oe===14||G===6&&oe===6)}e.breakBetweenGraphemeBreakType=Ne;var ze;(function(G){G[G.Other=0]="Other",G[G.Prepend=1]="Prepend",G[G.CR=2]="CR",G[G.LF=3]="LF",G[G.Control=4]="Control",G[G.Extend=5]="Extend",G[G.Regional_Indicator=6]="Regional_Indicator",G[G.SpacingMark=7]="SpacingMark",G[G.L=8]="L",G[G.V=9]="V",G[G.T=10]="T",G[G.LV=11]="LV",G[G.LVT=12]="LVT",G[G.ZWJ=13]="ZWJ",G[G.Extended_Pictographic=14]="Extended_Pictographic"})(ze=e.GraphemeBreakType||(e.GraphemeBreakType={}));class xe{constructor(){this._data=Je()}static getInstance(){return xe._INSTANCE||(xe._INSTANCE=new xe),xe._INSTANCE}getGraphemeBreakType(oe){if(oe<32)return oe===10?3:oe===13?2:4;if(oe<127)return 0;const ue=this._data,Y=ue.length/3;let ne=1;for(;ne<=Y;)if(oe<ue[3*ne])ne=2*ne;else if(oe>ue[3*ne+1])ne=2*ne+1;else return ue[3*ne+2];return 0}}xe._INSTANCE=null;function Je(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(ge[26],pe([0,1,9,91]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const R=typeof Buffer!="undefined",I=typeof TextEncoder!="undefined",D=typeof TextDecoder!="undefined";let P,E;class n{constructor(r){this.buffer=r,this.byteLength=this.buffer.byteLength}static alloc(r){return R?new n(Buffer.allocUnsafe(r)):new n(new Uint8Array(r))}static wrap(r){return R&&!Buffer.isBuffer(r)&&(r=Buffer.from(r.buffer,r.byteOffset,r.byteLength)),new n(r)}static fromString(r,c){return!((c==null?void 0:c.dontUseNodeBuffer)||!1)&&R?new n(Buffer.from(r)):I?(P||(P=new TextEncoder),new n(P.encode(r))):new n(_.encodeUTF8(r))}static concat(r,c){if(typeof c=="undefined"){c=0;for(let m=0,f=r.length;m<f;m++)c+=r[m].byteLength}const v=n.alloc(c);let C=0;for(let m=0,f=r.length;m<f;m++){const T=r[m];v.set(T,C),C+=T.byteLength}return v}toString(){return R?this.buffer.toString():D?(E||(E=new TextDecoder),E.decode(this.buffer)):_.decodeUTF8(this.buffer)}slice(r,c){return new n(this.buffer.subarray(r,c))}set(r,c){r instanceof n?this.buffer.set(r.buffer,c):this.buffer.set(r,c)}readUInt32BE(r){return b(this.buffer,r)}writeUInt32BE(r,c){h(this.buffer,r,c)}readUInt32LE(r){return l(this.buffer,r)}writeUInt32LE(r,c){g(this.buffer,r,c)}readUInt8(r){return S(this.buffer,r)}writeUInt8(r,c){p(this.buffer,r,c)}}e.VSBuffer=n;function A(o,r){return o[r+0]<<0>>>0|o[r+1]<<8>>>0}e.readUInt16LE=A;function k(o,r,c){o[c+0]=r&255,r=r>>>8,o[c+1]=r&255}e.writeUInt16LE=k;function b(o,r){return o[r]*2**24+o[r+1]*2**16+o[r+2]*2**8+o[r+3]}e.readUInt32BE=b;function h(o,r,c){o[c+3]=r,r=r>>>8,o[c+2]=r,r=r>>>8,o[c+1]=r,r=r>>>8,o[c]=r}e.writeUInt32BE=h;function l(o,r){return o[r+0]<<0>>>0|o[r+1]<<8>>>0|o[r+2]<<16>>>0|o[r+3]<<24>>>0}e.readUInt32LE=l;function g(o,r,c){o[c+0]=r&255,r=r>>>8,o[c+1]=r&255,r=r>>>8,o[c+2]=r&255,r=r>>>8,o[c+3]=r&255}e.writeUInt32LE=g;function S(o,r){return o[r]}e.readUInt8=S;function p(o,r,c){o[c]=r}e.writeUInt8=p;function w(o){return y.consumeReadable(o,r=>n.concat(r))}e.readableToBuffer=w;function d(o){return y.toReadable(o)}e.bufferToReadable=d;function u(o){return y.consumeStream(o,r=>n.concat(r))}e.streamToBuffer=u;async function a(o){return o.ended?n.concat(o.buffer):n.concat([...o.buffer,await u(o.stream)])}e.bufferedStreamToBuffer=a;function t(o){return y.toStream(o,r=>n.concat(r))}e.bufferToStream=t;function i(o){return y.transform(o,{data:r=>typeof r=="string"?n.fromString(r):n.wrap(r)},r=>n.concat(r))}e.streamToBufferReadableStream=i;function s(o){return y.newWriteableStream(r=>n.concat(r),o)}e.newWriteableBufferStream=s}),define(ge[73],pe([0,1,9]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function y(p){return R(p,0)}e.hash=y;function R(p,w){switch(typeof p){case"object":return p===null?I(349,w):Array.isArray(p)?E(p,w):n(p,w);case"string":return P(p,w);case"boolean":return D(p,w);case"number":return I(p,w);case"undefined":return I(937,w);default:return I(617,w)}}e.doHash=R;function I(p,w){return(w<<5)-w+p|0}function D(p,w){return I(p?433:863,w)}function P(p,w){w=I(149417,w);for(let d=0,u=p.length;d<u;d++)w=I(p.charCodeAt(d),w);return w}e.stringHash=P;function E(p,w){return w=I(104579,w),p.reduce((d,u)=>R(u,d),w)}function n(p,w){return w=I(181387,w),Object.keys(p).sort().reduce((d,u)=>(d=P(u,d),R(p[u],d)),w)}class A{constructor(){this._value=0}get value(){return this._value}hash(w){return this._value=R(w,this._value),this._value}}e.Hasher=A;var k;(function(p){p[p.BLOCK_SIZE=64]="BLOCK_SIZE",p[p.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function b(p,w,d=32){const u=d-w,a=~((1<<u)-1);return(p<<w|(a&p)>>>u)>>>0}function h(p,w=0,d=p.byteLength,u=0){for(let a=0;a<d;a++)p[w+a]=u}function l(p,w,d="0"){for(;p.length<w;)p=d+p;return p}function g(p,w=32){return p instanceof ArrayBuffer?Array.from(new Uint8Array(p)).map(d=>d.toString(16).padStart(2,"0")).join(""):l((p>>>0).toString(16),w/4)}e.toHexString=g;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(w){const d=w.length;if(d!==0){const u=this._buff;let a=this._buffLen,t=this._leftoverHighSurrogate,i,s;for(t!==0?(i=t,s=-1,t=0):(i=w.charCodeAt(0),s=0);;){let o=i;if(_.isHighSurrogate(i))if(s+1<d){const r=w.charCodeAt(s+1);_.isLowSurrogate(r)?(s++,o=_.computeCodePoint(i,r)):o=65533}else{t=i;break}else _.isLowSurrogate(i)&&(o=65533);if(a=this._push(u,a,o),s++,s<d)i=w.charCodeAt(s);else break}this._buffLen=a,this._leftoverHighSurrogate=t}}_push(w,d,u){return u<128?w[d++]=u:u<2048?(w[d++]=192|(u&1984)>>>6,w[d++]=128|(u&63)>>>0):u<65536?(w[d++]=224|(u&61440)>>>12,w[d++]=128|(u&4032)>>>6,w[d++]=128|(u&63)>>>0):(w[d++]=240|(u&1835008)>>>18,w[d++]=128|(u&258048)>>>12,w[d++]=128|(u&4032)>>>6,w[d++]=128|(u&63)>>>0),d>=64&&(this._step(),d-=64,this._totalLen+=64,w[0]=w[64+0],w[1]=w[64+1],w[2]=w[64+2]),d}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),g(this._h0)+g(this._h1)+g(this._h2)+g(this._h3)+g(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,h(this._buff,this._buffLen),this._buffLen>56&&(this._step(),h(this._buff));const w=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(w/4294967296),!1),this._buffDV.setUint32(60,w%4294967296,!1),this._step()}_step(){const w=S._bigBlock32,d=this._buffDV;for(let v=0;v<64;v+=4)w.setUint32(v,d.getUint32(v,!1),!1);for(let v=64;v<320;v+=4)w.setUint32(v,b(w.getUint32(v-12,!1)^w.getUint32(v-32,!1)^w.getUint32(v-56,!1)^w.getUint32(v-64,!1),1),!1);let u=this._h0,a=this._h1,t=this._h2,i=this._h3,s=this._h4,o,r,c;for(let v=0;v<80;v++)v<20?(o=a&t|~a&i,r=1518500249):v<40?(o=a^t^i,r=1859775393):v<60?(o=a&t|a&i|t&i,r=2400959708):(o=a^t^i,r=3395469782),c=b(u,5)+o+s+r+w.getUint32(v*4,!1)&4294967295,s=i,i=t,t=b(a,30),a=u,u=c;this._h0=this._h0+u&4294967295,this._h1=this._h1+a&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+i&4294967295,this._h4=this._h4+s&4294967295}}e.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),define(ge[74],pe([0,1,9]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var y;(function(R){R[R.Ignore=0]="Ignore",R[R.Info=1]="Info",R[R.Warning=2]="Warning",R[R.Error=3]="Error"})(y||(y={})),function(R){const I="error",D="warning",P="warn",E="info";function n(A){return A?_.equalsIgnoreCase(I,A)?R.Error:_.equalsIgnoreCase(D,A)||_.equalsIgnoreCase(P,A)?R.Warning:_.equalsIgnoreCase(E,A)?R.Info:R.Ignore:R.Ignore}R.fromValue=n}(y||(y={})),e.default=y}),define(ge[15],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function _(r){return Array.isArray(r)}e.isArray=_;function y(r){return typeof r=="string"}e.isString=y;function R(r){return Array.isArray(r)&&r.every(c=>y(c))}e.isStringArray=R;function I(r){return typeof r=="object"&&r!==null&&!Array.isArray(r)&&!(r instanceof RegExp)&&!(r instanceof Date)}e.isObject=I;function D(r){return typeof r=="number"&&!isNaN(r)}e.isNumber=D;function P(r){return r===!0||r===!1}e.isBoolean=P;function E(r){return typeof r=="undefined"}e.isUndefined=E;function n(r){return!A(r)}e.isDefined=n;function A(r){return E(r)||r===null}e.isUndefinedOrNull=A;function k(r,c){if(!r)throw new Error(c?`Unexpected type, expected '${c}'`:"Unexpected type")}e.assertType=k;function b(r){if(A(r))throw new Error("Assertion Failed: argument is undefined or null");return r}e.assertIsDefined=b;function h(...r){const c=[];for(let v=0;v<r.length;v++){const C=r[v];if(A(C))throw new Error(`Assertion Failed: argument at index ${v} is undefined or null`);c.push(C)}return c}e.assertAllDefined=h;const l=Object.prototype.hasOwnProperty;function g(r){if(!I(r))return!1;for(let c in r)if(l.call(r,c))return!1;return!0}e.isEmptyObject=g;function S(r){return typeof r=="function"}e.isFunction=S;function p(...r){return r.length>0&&r.every(S)}e.areFunctions=p;function w(r,c){const v=Math.min(r.length,c.length);for(let C=0;C<v;C++)d(r[C],c[C])}e.validateConstraints=w;function d(r,c){if(y(c)){if(typeof r!==c)throw new Error(`argument does not match constraint: typeof ${c}`)}else if(S(c)){try{if(r instanceof c)return}catch(v){}if(!A(r)&&r.constructor===c||c.length===1&&c.call(void 0,r)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=d;function u(r){let c=[],v=Object.getPrototypeOf(r);for(;Object.prototype!==v;)c=c.concat(Object.getOwnPropertyNames(v)),v=Object.getPrototypeOf(v);return c}e.getAllPropertyNames=u;function a(r){const c=[];for(const v of u(r))typeof r[v]=="function"&&c.push(v);return c}e.getAllMethodNames=a;function t(r,c){const v=m=>function(){const f=Array.prototype.slice.call(arguments,0);return c(m,f)};let C={};for(const m of r)C[m]=v(m);return C}e.createProxyObject=t;function i(r){return r===null?void 0:r}e.withNullAsUndefined=i;function s(r){return typeof r=="undefined"?null:r}e.withUndefinedAsNull=s;function o(r){return class{constructor(){return new Proxy({},{get(c,v){if(c[v])return c[v];throw new Error(`Not Implemented: ${r}->${String(v)}`)}})}}}e.NotImplementedProxy=o}),define(ge[31],pe([0,1,10,9,7,15]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function D(i){return i===47||i===92}e.isPathSeparator=D;function P(i){return i.replace(/[\\/]/g,R.posix.sep)}e.toSlashes=P;function E(i,s=R.posix.sep){if(!i)return"";const o=i.length,r=i.charCodeAt(0);if(D(r)){if(D(i.charCodeAt(1))&&!D(i.charCodeAt(2))){let v=3;const C=v;for(;v<o&&!D(i.charCodeAt(v));v++);if(C!==v&&!D(i.charCodeAt(v+1))){for(v+=1;v<o;v++)if(D(i.charCodeAt(v)))return i.slice(0,v+1).replace(/[\\/]/g,s)}}return s}else if(S(r)&&i.charCodeAt(1)===58)return D(i.charCodeAt(2))?i.slice(0,2)+s:i.slice(0,2);let c=i.indexOf("://");if(c!==-1){for(c+=3;c<o;c++)if(D(i.charCodeAt(c)))return i.slice(0,c+1)}return""}e.getRoot=E;function n(i){if(!_.isWindows||!i||i.length<5)return!1;let s=i.charCodeAt(0);if(s!==92||(s=i.charCodeAt(1),s!==92))return!1;let o=2;const r=o;for(;o<i.length&&(s=i.charCodeAt(o),s!==92);o++);return!(r===o||(s=i.charCodeAt(o+1),isNaN(s)||s===92))}e.isUNC=n;const A=/[\\/:\*\?"<>\|]/g,k=/[\\/]/g,b=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function h(i,s=_.isWindows){const o=s?A:k;return!(!i||i.length===0||/^\s+$/.test(i)||(o.lastIndex=0,o.test(i))||s&&b.test(i)||i==="."||i===".."||s&&i[i.length-1]==="."||s&&i.length!==i.trim().length||i.length>255)}e.isValidBasename=h;function l(i,s,o){const r=i===s;return!o||r?r:!i||!s?!1:(0,y.equalsIgnoreCase)(i,s)}e.isEqual=l;function g(i,s,o,r=R.sep){if(i===s)return!0;if(!i||!s||s.length>i.length)return!1;if(o){if(!(0,y.startsWithIgnoreCase)(i,s))return!1;if(s.length===i.length)return!0;let v=s.length;return s.charAt(s.length-1)===r&&v--,i.charAt(v)===r}return s.charAt(s.length-1)!==r&&(s+=r),i.indexOf(s)===0}e.isEqualOrParent=g;function S(i){return i>=65&&i<=90||i>=97&&i<=122}e.isWindowsDriveLetter=S;function p(i,s){return _.isWindows&&i.endsWith(":")&&(i+=R.sep),(0,R.isAbsolute)(i)||(i=(0,R.join)(s,i)),i=(0,R.normalize)(i),_.isWindows?(i=(0,y.rtrim)(i,R.sep),i.endsWith(":")&&(i+=R.sep)):(i=(0,y.rtrim)(i,R.sep),i||(i=R.sep)),i}e.sanitizeFilePath=p;function w(i){const s=(0,R.normalize)(i);return _.isWindows?i.length>3?!1:d(s)&&(i.length===2||s.charCodeAt(2)===92):s===R.posix.sep}e.isRootOrDriveLetter=w;function d(i){return _.isWindows?S(i.charCodeAt(0))&&i.charCodeAt(1)===58:!1}e.hasDriveLetter=d;function u(i){return d(i)?i[0]:void 0}e.getDriveLetter=u;function a(i,s,o){return s.length>i.length?-1:i===s?0:(o&&(i=i.toLowerCase(),s=s.toLowerCase()),i.indexOf(s))}e.indexOfPath=a;function t(i){const s=i.split(":");let o,r,c;if(s.forEach(v=>{const C=Number(v);(0,I.isNumber)(C)?r===void 0?r=C:c===void 0&&(c=C):o=o?[o,v].join(":"):v}),!o)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:o,line:r!==void 0?r:void 0,column:c!==void 0?c:r!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(ge[22],pe([0,1,15]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function y(l){if(!l||typeof l!="object"||l instanceof RegExp)return l;const g=Array.isArray(l)?[]:{};return Object.keys(l).forEach(S=>{l[S]&&typeof l[S]=="object"?g[S]=y(l[S]):g[S]=l[S]}),g}e.deepClone=y;function R(l){if(!l||typeof l!="object")return l;const g=[l];for(;g.length>0;){const S=g.shift();Object.freeze(S);for(const p in S)if(I.call(S,p)){const w=S[p];typeof w=="object"&&!Object.isFrozen(w)&&g.push(w)}}return l}e.deepFreeze=R;const I=Object.prototype.hasOwnProperty;function D(l,g){return P(l,g,new Set)}e.cloneAndChange=D;function P(l,g,S){if((0,_.isUndefinedOrNull)(l))return l;const p=g(l);if(typeof p!="undefined")return p;if((0,_.isArray)(l)){const w=[];for(const d of l)w.push(P(d,g,S));return w}if((0,_.isObject)(l)){if(S.has(l))throw new Error("Cannot clone recursive data-structure");S.add(l);const w={};for(let d in l)I.call(l,d)&&(w[d]=P(l[d],g,S));return S.delete(l),w}return l}function E(l,g,S=!0){return(0,_.isObject)(l)?((0,_.isObject)(g)&&Object.keys(g).forEach(p=>{p in l?S&&((0,_.isObject)(l[p])&&(0,_.isObject)(g[p])?E(l[p],g[p],S):l[p]=g[p]):l[p]=g[p]}),l):g}e.mixin=E;function n(l,g){if(l===g)return!0;if(l==null||g===null||g===void 0||typeof l!=typeof g||typeof l!="object"||Array.isArray(l)!==Array.isArray(g))return!1;let S,p;if(Array.isArray(l)){if(l.length!==g.length)return!1;for(S=0;S<l.length;S++)if(!n(l[S],g[S]))return!1}else{const w=[];for(p in l)w.push(p);w.sort();const d=[];for(p in g)d.push(p);if(d.sort(),!n(w,d))return!1;for(S=0;S<w.length;S++)if(!n(l[w[S]],g[w[S]]))return!1}return!0}e.equals=n;function A(l){const g=new Set;return JSON.stringify(l,(S,p)=>{if((0,_.isObject)(p)||Array.isArray(p)){if(g.has(p))return"[Circular]";g.add(p)}return p})}e.safeStringify=A;function k(l,g,S){const p=g(l);return typeof p=="undefined"?S:p}e.getOrDefault=k;function b(l,g){const S=Object.create(null);return!l||!g||Object.keys(g).forEach(w=>{const d=l[w],u=g[w];n(d,u)||(S[w]=u)}),S}e.distinct=b;function h(l,g){const S=g.toLowerCase(),p=Object.keys(l).find(w=>w.toLowerCase()===S);return p?l[p]:l[g]}e.getCaseInsensitive=h}),define(ge[92],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var _;(function(I){I[I.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",I[I.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",I[I.MAX_UINT_8=255]="MAX_UINT_8",I[I.MAX_UINT_16=65535]="MAX_UINT_16",I[I.MAX_UINT_32=4294967295]="MAX_UINT_32",I[I.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(_=e.Constants||(e.Constants={}));function y(I){return I<0?0:I>255?255:I|0}e.toUint8=y;function R(I){return I<0?0:I>4294967295?4294967295:I|0}e.toUint32=R}),define(ge[2],pe([0,1,10,7]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const R=/^\w[\w\d+.-]*$/,I=/^\//,D=/^\/\//;function P(s,o){if(!s.scheme&&o)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!R.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!I.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(D.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function E(s,o){return!s&&!o?"file":s}function n(s,o){switch(s){case"https":case"http":case"file":o?o[0]!==k&&(o=k+o):o=k;break}return o}const A="",k="/",b=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class h{constructor(o,r,c,v,C,m=!1){typeof o=="object"?(this.scheme=o.scheme||A,this.authority=o.authority||A,this.path=o.path||A,this.query=o.query||A,this.fragment=o.fragment||A):(this.scheme=E(o,m),this.authority=r||A,this.path=n(this.scheme,c||A),this.query=v||A,this.fragment=C||A,P(this,m))}static isUri(o){return o instanceof h?!0:o?typeof o.authority=="string"&&typeof o.fragment=="string"&&typeof o.path=="string"&&typeof o.query=="string"&&typeof o.scheme=="string"&&typeof o.fsPath=="string"&&typeof o.with=="function"&&typeof o.toString=="function":!1}get fsPath(){return d(this,!1)}with(o){if(!o)return this;let{scheme:r,authority:c,path:v,query:C,fragment:m}=o;return r===void 0?r=this.scheme:r===null&&(r=A),c===void 0?c=this.authority:c===null&&(c=A),v===void 0?v=this.path:v===null&&(v=A),C===void 0?C=this.query:C===null&&(C=A),m===void 0?m=this.fragment:m===null&&(m=A),r===this.scheme&&c===this.authority&&v===this.path&&C===this.query&&m===this.fragment?this:new g(r,c,v,C,m)}static parse(o,r=!1){const c=b.exec(o);return c?new g(c[2]||A,i(c[4]||A),i(c[5]||A),i(c[7]||A),i(c[9]||A),r):new g(A,A,A,A,A)}static file(o){let r=A;if(_.isWindows&&(o=o.replace(/\\/g,k)),o[0]===k&&o[1]===k){const c=o.indexOf(k,2);c===-1?(r=o.substring(2),o=k):(r=o.substring(2,c),o=o.substring(c)||k)}return new g("file",r,o,A,A)}static from(o){return new g(o.scheme,o.authority,o.path,o.query,o.fragment)}static joinPath(o,...r){if(!o.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let c;return _.isWindows&&o.scheme==="file"?c=h.file(y.win32.join(d(o,!0),...r)).path:c=y.posix.join(o.path,...r),o.with({path:c})}toString(o=!1){return u(this,o)}toJSON(){return this}static revive(o){if(o){if(o instanceof h)return o;{const r=new g(o);return r._formatted=o.external,r._fsPath=o._sep===l?o.fsPath:null,r}}else return o}}e.URI=h;const l=_.isWindows?1:void 0;class g extends h{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=d(this,!1)),this._fsPath}toString(o=!1){return o?u(this,!0):(this._formatted||(this._formatted=u(this,!1)),this._formatted)}toJSON(){const o={$mid:1};return this._fsPath&&(o.fsPath=this._fsPath,o._sep=l),this._formatted&&(o.external=this._formatted),this.path&&(o.path=this.path),this.scheme&&(o.scheme=this.scheme),this.authority&&(o.authority=this.authority),this.query&&(o.query=this.query),this.fragment&&(o.fragment=this.fragment),o}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function p(s,o){let r,c=-1;for(let v=0;v<s.length;v++){const C=s.charCodeAt(v);if(C>=97&&C<=122||C>=65&&C<=90||C>=48&&C<=57||C===45||C===46||C===95||C===126||o&&C===47)c!==-1&&(r+=encodeURIComponent(s.substring(c,v)),c=-1),r!==void 0&&(r+=s.charAt(v));else{r===void 0&&(r=s.substr(0,v));const m=S[C];m!==void 0?(c!==-1&&(r+=encodeURIComponent(s.substring(c,v)),c=-1),r+=m):c===-1&&(c=v)}}return c!==-1&&(r+=encodeURIComponent(s.substring(c))),r!==void 0?r:s}function w(s){let o;for(let r=0;r<s.length;r++){const c=s.charCodeAt(r);c===35||c===63?(o===void 0&&(o=s.substr(0,r)),o+=S[c]):o!==void 0&&(o+=s[r])}return o!==void 0?o:s}function d(s,o){let r;return s.authority&&s.path.length>1&&s.scheme==="file"?r=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?o?r=s.path.substr(1):r=s.path[1].toLowerCase()+s.path.substr(2):r=s.path,_.isWindows&&(r=r.replace(/\//g,"\\")),r}e.uriToFsPath=d;function u(s,o){const r=o?w:p;let c="",{scheme:v,authority:C,path:m,query:f,fragment:T}=s;if(v&&(c+=v,c+=":"),(C||v==="file")&&(c+=k,c+=k),C){let L=C.indexOf("@");if(L!==-1){const B=C.substr(0,L);C=C.substr(L+1),L=B.indexOf(":"),L===-1?c+=r(B,!1):(c+=r(B.substr(0,L),!1),c+=":",c+=r(B.substr(L+1),!1)),c+="@"}C=C.toLowerCase(),L=C.indexOf(":"),L===-1?c+=r(C,!1):(c+=r(C.substr(0,L),!1),c+=C.substr(L))}if(m){if(m.length>=3&&m.charCodeAt(0)===47&&m.charCodeAt(2)===58){const L=m.charCodeAt(1);L>=65&&L<=90&&(m=`/${String.fromCharCode(L+32)}:${m.substr(3)}`)}else if(m.length>=2&&m.charCodeAt(1)===58){const L=m.charCodeAt(0);L>=65&&L<=90&&(m=`${String.fromCharCode(L+32)}:${m.substr(2)}`)}c+=r(m,!0)}return f&&(c+="?",c+=r(f,!1)),T&&(c+="#",c+=o?T:p(T,!1)),c}function a(s){try{return decodeURIComponent(s)}catch(o){return s.length>3?s.substr(0,3)+a(s.substr(3)):s}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function i(s){return s.match(t)?s.replace(t,o=>a(o)):s}}),define(ge[23],pe([0,1,2,9]),function(J,e,_,y){"use strict";var R,I;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function D(u,a,t){let i=u.get(a);return i===void 0&&(i=t,u.set(a,i)),i}e.getOrSet=D;function P(u){const a=[];return u.forEach((t,i)=>{a.push(`${i} => ${t}`)}),`Map(${u.size}) {${a.join(", ")}}`}e.mapToString=P;function E(u){const a=[];return u.forEach(t=>{a.push(t)}),`Set(${u.size}) {${a.join(", ")}}`}e.setToString=E;class n{constructor(){this._value="",this._pos=0}reset(a){return this._value=a,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(a){const t=a.charCodeAt(0),i=this._value.charCodeAt(this._pos);return t-i}value(){return this._value[this._pos]}}e.StringIterator=n;class A{constructor(a=!0){this._caseSensitive=a}reset(a){return this._value=a,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(a)this._from++;else break;else a=!1;return this}cmp(a){return this._caseSensitive?(0,y.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,y.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=A;class k{constructor(a=!0,t=!0){this._splitOnBackslash=a,this._caseSensitive=t}reset(a){return this._value=a.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(t===47||this._splitOnBackslash&&t===92)if(a)this._from++;else break;else a=!1}return this}cmp(a){return this._caseSensitive?(0,y.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,y.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=k;var b;(function(u){u[u.Scheme=1]="Scheme",u[u.Authority=2]="Authority",u[u.Path=3]="Path",u[u.Query=4]="Query",u[u.Fragment=5]="Fragment"})(b||(b={}));class h{constructor(a){this._ignorePathCasing=a,this._states=[],this._stateIdx=0}reset(a){return this._value=a,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new k(!1,!this._ignorePathCasing(a)),this._pathIterator.reset(a.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(a){if(this._states[this._stateIdx]===1)return(0,y.compareIgnoreCase)(a,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,y.compareIgnoreCase)(a,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(a);if(this._states[this._stateIdx]===4)return(0,y.compare)(a,this._value.query);if(this._states[this._stateIdx]===5)return(0,y.compare)(a,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=h;class l{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class g{constructor(a){this._iter=a}static forUris(a=()=>!1){return new g(new h(a))}static forPaths(){return new g(new k)}static forStrings(){return new g(new n)}static forConfigKeys(){return new g(new A)}clear(){this._root=void 0}set(a,t){const i=this._iter.reset(a);let s;for(this._root||(this._root=new l,this._root.segment=i.value()),s=this._root;;){const r=i.cmp(s.segment);if(r>0)s.left||(s.left=new l,s.left.segment=i.value()),s=s.left;else if(r<0)s.right||(s.right=new l,s.right.segment=i.value()),s=s.right;else if(i.hasNext())i.next(),s.mid||(s.mid=new l,s.mid.segment=i.value()),s=s.mid;else break}const o=s.value;return s.value=t,s.key=a,o}get(a){var t;return(t=this._getNode(a))===null||t===void 0?void 0:t.value}_getNode(a){const t=this._iter.reset(a);let i=this._root;for(;i;){const s=t.cmp(i.segment);if(s>0)i=i.left;else if(s<0)i=i.right;else if(t.hasNext())t.next(),i=i.mid;else break}return i}has(a){const t=this._getNode(a);return!((t==null?void 0:t.value)===void 0&&(t==null?void 0:t.mid)===void 0)}delete(a){return this._delete(a,!1)}deleteSuperstr(a){return this._delete(a,!0)}_delete(a,t){const i=this._iter.reset(a),s=[];let o=this._root;for(;o;){const r=i.cmp(o.segment);if(r>0)s.push([1,o]),o=o.left;else if(r<0)s.push([-1,o]),o=o.right;else if(i.hasNext())i.next(),s.push([0,o]),o=o.mid;else{for(t?(o.left=void 0,o.mid=void 0,o.right=void 0):o.value=void 0;s.length>0&&o.isEmpty();){let[c,v]=s.pop();switch(c){case 1:v.left=void 0;break;case 0:v.mid=void 0;break;case-1:v.right=void 0;break}o=v}break}}}findSubstr(a){const t=this._iter.reset(a);let i=this._root,s;for(;i;){const o=t.cmp(i.segment);if(o>0)i=i.left;else if(o<0)i=i.right;else if(t.hasNext())t.next(),s=i.value||s,i=i.mid;else break}return i&&i.value||s}findSuperstr(a){const t=this._iter.reset(a);let i=this._root;for(;i;){const s=t.cmp(i.segment);if(s>0)i=i.left;else if(s<0)i=i.right;else if(t.hasNext())t.next(),i=i.mid;else return i.mid?this._entries(i.mid):void 0}}forEach(a){for(const[t,i]of this)a(i,t)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(a){a&&(yield*this._entries(a.left),a.value&&(yield[a.key,a.value]),yield*this._entries(a.mid),yield*this._entries(a.right))}}e.TernarySearchTree=g;class S{constructor(a,t){this[R]="ResourceMap",a instanceof S?(this.map=new Map(a.map),this.toKey=t!=null?t:S.defaultToKey):(this.map=new Map,this.toKey=a!=null?a:S.defaultToKey)}set(a,t){return this.map.set(this.toKey(a),t),this}get(a){return this.map.get(this.toKey(a))}has(a){return this.map.has(this.toKey(a))}get size(){return this.map.size}clear(){this.map.clear()}delete(a){return this.map.delete(this.toKey(a))}forEach(a,t){typeof t!="undefined"&&(a=a.bind(t));for(let[i,s]of this.map)a(s,_.URI.parse(i),this)}values(){return this.map.values()}*keys(){for(let a of this.map.keys())yield _.URI.parse(a)}*entries(){for(let a of this.map.entries())yield[_.URI.parse(a[0]),a[1]]}*[(R=Symbol.toStringTag,Symbol.iterator)](){for(let a of this.map)yield[_.URI.parse(a[0]),a[1]]}}e.ResourceMap=S,S.defaultToKey=u=>u.toString();var p;(function(u){u[u.None=0]="None",u[u.AsOld=1]="AsOld",u[u.AsNew=2]="AsNew"})(p=e.Touch||(e.Touch={}));class w{constructor(){this[I]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var a;return(a=this._head)===null||a===void 0?void 0:a.value}get last(){var a;return(a=this._tail)===null||a===void 0?void 0:a.value}has(a){return this._map.has(a)}get(a,t=0){const i=this._map.get(a);if(!!i)return t!==0&&this.touch(i,t),i.value}set(a,t,i=0){let s=this._map.get(a);if(s)s.value=t,i!==0&&this.touch(s,i);else{switch(s={key:a,value:t,next:void 0,previous:void 0},i){case 0:this.addItemLast(s);break;case 1:this.addItemFirst(s);break;case 2:this.addItemLast(s);break;default:this.addItemLast(s);break}this._map.set(a,s),this._size++}return this}delete(a){return!!this.remove(a)}remove(a){const t=this._map.get(a);if(!!t)return this._map.delete(a),this.removeItem(t),this._size--,t.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const a=this._head;return this._map.delete(a.key),this.removeItem(a),this._size--,a.value}}forEach(a,t){const i=this._state;let s=this._head;for(;s;){if(t?a.bind(t)(s.value,s.key,this):a(s.value,s.key,this),this._state!==i)throw new Error("LinkedMap got modified during iteration.");s=s.next}}keys(){const a=this,t=this._state;let i=this._head;const s={[Symbol.iterator](){return s},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(i){const o={value:i.key,done:!1};return i=i.next,o}else return{value:void 0,done:!0}}};return s}values(){const a=this,t=this._state;let i=this._head;const s={[Symbol.iterator](){return s},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(i){const o={value:i.value,done:!1};return i=i.next,o}else return{value:void 0,done:!0}}};return s}entries(){const a=this,t=this._state;let i=this._head;const s={[Symbol.iterator](){return s},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(i){const o={value:[i.key,i.value],done:!1};return i=i.next,o}else return{value:void 0,done:!0}}};return s}[(I=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(a){if(!(a>=this.size)){if(a===0){this.clear();return}let t=this._head,i=this.size;for(;t&&i>a;)this._map.delete(t.key),t=t.next,i--;this._head=t,this._size=i,t&&(t.previous=void 0),this._state++}}addItemFirst(a){if(!this._head&&!this._tail)this._tail=a;else if(this._head)a.next=this._head,this._head.previous=a;else throw new Error("Invalid list");this._head=a,this._state++}addItemLast(a){if(!this._head&&!this._tail)this._head=a;else if(this._tail)a.previous=this._tail,this._tail.next=a;else throw new Error("Invalid list");this._tail=a,this._state++}removeItem(a){if(a===this._head&&a===this._tail)this._head=void 0,this._tail=void 0;else if(a===this._head){if(!a.next)throw new Error("Invalid list");a.next.previous=void 0,this._head=a.next}else if(a===this._tail){if(!a.previous)throw new Error("Invalid list");a.previous.next=void 0,this._tail=a.previous}else{const t=a.next,i=a.previous;if(!t||!i)throw new Error("Invalid list");t.previous=i,i.next=t}a.next=void 0,a.previous=void 0,this._state++}touch(a,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(t!==1&&t!==2)){if(t===1){if(a===this._head)return;const i=a.next,s=a.previous;a===this._tail?(s.next=void 0,this._tail=s):(i.previous=s,s.next=i),a.previous=void 0,a.next=this._head,this._head.previous=a,this._head=a,this._state++}else if(t===2){if(a===this._tail)return;const i=a.next,s=a.previous;a===this._head?(i.previous=void 0,this._head=i):(i.previous=s,s.next=i),a.next=void 0,a.previous=this._tail,this._tail.next=a,this._tail=a,this._state++}}}toJSON(){const a=[];return this.forEach((t,i)=>{a.push([i,t])}),a}fromJSON(a){this.clear();for(const[t,i]of a)this.set(t,i)}}e.LinkedMap=w;class d extends w{constructor(a,t=1){super();this._limit=a,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(a){this._limit=a,this.checkTrim()}get ratio(){return this._ratio}set ratio(a){this._ratio=Math.min(Math.max(0,a),1),this.checkTrim()}get(a,t=2){return super.get(a,t)}peek(a){return super.get(a,0)}set(a,t){return super.set(a,t,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=d}),define(ge[93],pe([0,1,23,9]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function R(...we){return function(ke,Ae){for(let We=0,ye=we.length;We<ye;We++){const Ge=we[We](ke,Ae);if(Ge)return Ge}return null}}e.or=R,e.matchesStrictPrefix=I.bind(void 0,!1),e.matchesPrefix=I.bind(void 0,!0);function I(we,ke,Ae){if(!Ae||Ae.length<ke.length)return null;let We;return we?We=y.startsWithIgnoreCase(Ae,ke):We=Ae.indexOf(ke)===0,We?ke.length>0?[{start:0,end:ke.length}]:[]:null}function D(we,ke){const Ae=ke.toLowerCase().indexOf(we.toLowerCase());return Ae===-1?null:[{start:Ae,end:Ae+we.length}]}e.matchesContiguousSubString=D;function P(we,ke){return E(we.toLowerCase(),ke.toLowerCase(),0,0)}e.matchesSubString=P;function E(we,ke,Ae,We){if(Ae===we.length)return[];if(We===ke.length)return null;if(we[Ae]===ke[We]){let ye=null;return(ye=E(we,ke,Ae+1,We+1))?p({start:We,end:We+1},ye):null}return E(we,ke,Ae,We+1)}function n(we){return 97<=we&&we<=122}function A(we){return 65<=we&&we<=90}e.isUpper=A;function k(we){return 48<=we&&we<=57}function b(we){return we===32||we===9||we===10||we===13}const h=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(we=>h.add(we.charCodeAt(0)));function l(we){return b(we)||h.has(we)}function g(we,ke){return we===ke||l(we)&&l(ke)}function S(we){return n(we)||A(we)||k(we)}function p(we,ke){return ke.length===0?ke=[we]:we.end===ke[0].start?ke[0].start=we.start:ke.unshift(we),ke}function w(we,ke){for(let Ae=ke;Ae<we.length;Ae++){const We=we.charCodeAt(Ae);if(A(We)||k(We)||Ae>0&&!S(we.charCodeAt(Ae-1)))return Ae}return we.length}function d(we,ke,Ae,We){if(Ae===we.length)return[];if(We===ke.length)return null;if(we[Ae]!==ke[We].toLowerCase())return null;{let ye=null,Ge=We+1;for(ye=d(we,ke,Ae+1,We+1);!ye&&(Ge=w(ke,Ge))<ke.length;)ye=d(we,ke,Ae+1,Ge),Ge++;return ye===null?null:p({start:We,end:We+1},ye)}}function u(we){let ke=0,Ae=0,We=0,ye=0,Ge=0;for(let ze=0;ze<we.length;ze++)Ge=we.charCodeAt(ze),A(Ge)&&ke++,n(Ge)&&Ae++,S(Ge)&&We++,k(Ge)&&ye++;const K=ke/we.length,ie=Ae/we.length,Se=We/we.length,Ne=ye/we.length;return{upperPercent:K,lowerPercent:ie,alphaPercent:Se,numericPercent:Ne}}function a(we){const{upperPercent:ke,lowerPercent:Ae}=we;return Ae===0&&ke>.6}function t(we){const{upperPercent:ke,lowerPercent:Ae,alphaPercent:We,numericPercent:ye}=we;return Ae>.2&&ke<.8&&We>.6&&ye<.2}function i(we){let ke=0,Ae=0,We=0,ye=0;for(let Ge=0;Ge<we.length;Ge++)We=we.charCodeAt(Ge),A(We)&&ke++,n(We)&&Ae++,b(We)&&ye++;return(ke===0||Ae===0)&&ye===0?we.length<=30:ke<=5}function s(we,ke){if(!ke||(ke=ke.trim(),ke.length===0)||!i(we)||ke.length>60)return null;const Ae=u(ke);if(!t(Ae)){if(!a(Ae))return null;ke=ke.toLowerCase()}let We=null,ye=0;for(we=we.toLowerCase();ye<ke.length&&(We=d(we,ke,0,ye))===null;)ye=w(ke,ye+1);return We}e.matchesCamelCase=s;function o(we,ke,Ae=!1){if(!ke||ke.length===0)return null;let We=null,ye=0;for(we=we.toLowerCase(),ke=ke.toLowerCase();ye<ke.length&&(We=r(we,ke,0,ye,Ae))===null;)ye=c(ke,ye+1);return We}e.matchesWords=o;function r(we,ke,Ae,We,ye){if(Ae===we.length)return[];if(We===ke.length)return null;if(g(we.charCodeAt(Ae),ke.charCodeAt(We))){let Ge=null,K=We+1;if(Ge=r(we,ke,Ae+1,We+1,ye),!ye)for(;!Ge&&(K=c(ke,K))<ke.length;)Ge=r(we,ke,Ae+1,K,ye),K++;return Ge===null?null:p({start:We,end:We+1},Ge)}else return null}function c(we,ke){for(let Ae=ke;Ae<we.length;Ae++)if(l(we.charCodeAt(Ae))||Ae>0&&l(we.charCodeAt(Ae-1)))return Ae;return we.length}const v=R(e.matchesPrefix,s,D),C=R(e.matchesPrefix,s,P),m=new _.LRUCache(1e4);function f(we,ke,Ae=!1){if(typeof we!="string"||typeof ke!="string")return null;let We=m.get(we);We||(We=new RegExp(y.convertSimple2RegExpPattern(we),"i"),m.set(we,We));const ye=We.exec(ke);return ye?[{start:ye.index,end:ye.index+ye[0].length}]:Ae?C(we,ke):v(we,ke)}e.matchesFuzzy=f;function T(we,ke){const Ae=z(we,we.toLowerCase(),0,ke,ke.toLowerCase(),0,!0);return Ae?B(Ae):null}e.matchesFuzzy2=T;function L(we,ke,Ae,We,ye,Ge){const K=Math.min(13,we.length);for(;Ae<K;Ae++){const ie=z(we,ke,Ae,We,ye,Ge,!1);if(ie)return ie}return[0,Ge]}e.anyScore=L;function B(we){if(typeof we=="undefined")return[];const ke=[],Ae=we[1];for(let We=we.length-1;We>1;We--){const ye=we[We]+Ae,Ge=ke[ke.length-1];Ge&&Ge.end===ye?Ge.end=ye+1:ke.push({start:ye,end:ye+1})}return ke}e.createMatches=B;const te=128;function j(){const we=[],ke=[];for(let Ae=0;Ae<=te;Ae++)ke[Ae]=0;for(let Ae=0;Ae<=te;Ae++)we.push(ke.slice(0));return we}function W(we){const ke=[];for(let Ae=0;Ae<=we;Ae++)ke[Ae]=0;return ke}const $=W(2*te),O=W(2*te),U=j(),F=j(),N=j(),M=!1;function V(we,ke,Ae,We,ye){function Ge(ie,Se,Ne=" "){for(;ie.length<Se;)ie=Ne+ie;return ie}let K=` |   |${We.split("").map(ie=>Ge(ie,3)).join("|")}
`;for(let ie=0;ie<=Ae;ie++)ie===0?K+=" |":K+=`${ke[ie-1]}|`,K+=we[ie].slice(0,ye+1).map(Se=>Ge(Se.toString(),3)).join("|")+`
`;return K}function q(we,ke,Ae,We){we=we.substr(ke),Ae=Ae.substr(We),console.log(V(F,we,we.length,Ae,Ae.length)),console.log(V(N,we,we.length,Ae,Ae.length)),console.log(V(U,we,we.length,Ae,Ae.length))}function X(we,ke){if(ke<0||ke>=we.length)return!1;const Ae=we.codePointAt(ke);switch(Ae){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!y.isEmojiImprecise(Ae)}}function fe(we,ke){if(ke<0||ke>=we.length)return!1;switch(we.charCodeAt(ke)){case 32:case 9:return!0;default:return!1}}function _e(we,ke,Ae){return ke[we]!==Ae[we]}function Le(we,ke,Ae,We,ye,Ge,K=!1){for(;ke<Ae&&ye<Ge;)we[ke]===We[ye]&&(K&&($[ke]=ye),ke+=1),ye+=1;return ke===Ae}e.isPatternInWord=Le;var Ie;(function(we){we[we.Diag=1]="Diag",we[we.Left=2]="Left",we[we.LeftLeft=3]="LeftLeft"})(Ie||(Ie={}));var Fe;(function(we){we.Default=[-100,0];function ke(Ae){return!Ae||Ae.length===2&&Ae[0]===-100&&Ae[1]===0}we.isDefault=ke})(Fe=e.FuzzyScore||(e.FuzzyScore={}));function z(we,ke,Ae,We,ye,Ge,K){const ie=we.length>te?te:we.length,Se=We.length>te?te:We.length;if(!(Ae>=ie||Ge>=Se||ie-Ae>Se-Ge)&&!!Le(ke,Ae,ie,ye,Ge,Se,!0)){Q(ie,Se,Ae,Ge,ke,ye);let Ne=1,ze=1,xe=Ae,Je=Ge;const G=[!1];for(Ne=1,xe=Ae;xe<ie;Ne++,xe++){const le=$[xe],me=O[xe],Ee=xe+1<ie?O[xe+1]:Se;for(ze=le-Ge+1,Je=le;Je<Ee;ze++,Je++){let He=Number.MIN_SAFE_INTEGER,Be=!1;Je<=me&&(He=ee(we,ke,xe,Ae,We,ye,Je,Se,Ge,U[Ne-1][ze-1]===0,G));let qe=0;He!==Number.MAX_SAFE_INTEGER&&(Be=!0,qe=He+F[Ne-1][ze-1]);const Xe=Je>le,Ze=Xe?F[Ne][ze-1]+(U[Ne][ze-1]>0?-5:0):0,ut=Je>le+1&&U[Ne][ze-1]>0,st=ut?F[Ne][ze-2]+(U[Ne][ze-2]>0?-5:0):0;if(ut&&(!Xe||st>=Ze)&&(!Be||st>=qe))F[Ne][ze]=st,N[Ne][ze]=3,U[Ne][ze]=0;else if(Xe&&(!Be||Ze>=qe))F[Ne][ze]=Ze,N[Ne][ze]=2,U[Ne][ze]=0;else if(Be)F[Ne][ze]=qe,N[Ne][ze]=1,U[Ne][ze]=U[Ne-1][ze-1]+1;else throw new Error("not possible")}}if(M&&q(we,Ae,We,Ge),!(!G[0]&&!K)){Ne--,ze--;const oe=[F[Ne][ze],Ge];let ue=0,Y=0;for(;Ne>=1;){let le=ze;do{const me=N[Ne][le];if(me===3)le=le-2;else if(me===2)le=le-1;else break}while(le>=1);ue>1&&ke[Ae+Ne-1]===ye[Ge+ze-1]&&!_e(le+Ge-1,We,ye)&&ue+1>U[Ne][le]&&(le=ze),le===ze?ue++:ue=1,Y||(Y=le),Ne--,ze=le-1,oe.push(ze)}Se===ie&&(oe[0]+=2);const ne=Y-ie;return oe[0]-=ne,oe}}}e.fuzzyScore=z;function Q(we,ke,Ae,We,ye,Ge){let K=we-1,ie=ke-1;for(;K>=Ae&&ie>=We;)ye[K]===Ge[ie]&&(O[K]=ie,K--),ie--}function ee(we,ke,Ae,We,ye,Ge,K,ie,Se,Ne,ze){if(ke[Ae]!==Ge[K])return Number.MIN_SAFE_INTEGER;let xe=1,Je=!1;return K===Ae-We?xe=we[Ae]===ye[K]?7:5:_e(K,ye,Ge)&&(K===0||!_e(K-1,ye,Ge))?(xe=we[Ae]===ye[K]?7:5,Je=!0):X(Ge,K)&&(K===0||!X(Ge,K-1))?xe=5:(X(Ge,K-1)||fe(Ge,K-1))&&(xe=5,Je=!0),xe>1&&Ae===We&&(ze[0]=!0),Je||(Je=_e(K,ye,Ge)||X(Ge,K-1)||fe(Ge,K-1)),Ae===We?K>Se&&(xe-=Je?3:5):Ne?xe+=Je?2:0:xe+=Je?0:1,K+1===ie&&(xe-=Je?3:5),xe}function ae(we,ke,Ae,We,ye,Ge,K){return De(we,ke,Ae,We,ye,Ge,!0,K)}e.fuzzyScoreGracefulAggressive=ae;function ve(we,ke,Ae,We,ye,Ge,K){return De(we,ke,Ae,We,ye,Ge,!1,K)}e.fuzzyScoreGraceful=ve;function De(we,ke,Ae,We,ye,Ge,K,ie){let Se=z(we,ke,Ae,We,ye,Ge,ie);if(Se&&!K)return Se;if(we.length>=3){const Ne=Math.min(7,we.length-1);for(let ze=Ae+1;ze<Ne;ze++){const xe=Me(we,ze);if(xe){const Je=z(xe,xe.toLowerCase(),Ae,We,ye,Ge,ie);Je&&(Je[0]-=3,(!Se||Je[0]>Se[0])&&(Se=Je))}}}return Se}function Me(we,ke){if(!(ke+1>=we.length)){const Ae=we[ke],We=we[ke+1];if(Ae!==We)return we.slice(0,ke)+We+Ae+we.slice(ke+2)}}}),define(ge[134],pe([0,1,47,93,9]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const I=new RegExp(`\\$\\(${_.CSSIcon.iconNameExpression}(?:${_.CSSIcon.iconModifierExpression})?\\)`,"g"),D=new RegExp(`(\\\\)?${I.source}`,"g");function P(g){return g.replace(D,(S,p)=>p?S:`\\${S}`)}e.escapeIcons=P;const E=new RegExp(`\\\\${I.source}`,"g");function n(g){return g.replace(E,S=>`\\${S}`)}e.markdownEscapeEscapedIcons=n;const A=new RegExp(`(\\s)?(\\\\)?${I.source}(\\s)?`,"g");function k(g){return g.indexOf(e.iconStartMarker)===-1?g:g.replace(A,(S,p,w,d)=>w?S:p||d||"")}e.stripIcons=k;function b(g){const S=g.indexOf(e.iconStartMarker);return S===-1?{text:g}:h(g,S)}e.parseLabelWithIcons=b;function h(g,S){const p=[];let w="";function d(c){if(c){w+=c;for(const v of c)p.push(t)}}let u=-1,a="",t=0,i,s,o=S;const r=g.length;for(d(g.substr(0,S));o<r;)i=g[o],s=g[o+1],i===e.iconStartMarker[0]&&s===e.iconStartMarker[1]?(u=o,d(a),a=e.iconStartMarker,o++):i===")"&&u!==-1?(t+=o-u+1,u=-1,a=""):u!==-1?/^[a-z0-9\-]$/i.test(i)?a+=i:(d(a),u=-1,a=""):d(i),o++;return d(a),{text:w,iconOffsets:p}}function l(g,S,p=!1){const{text:w,iconOffsets:d}=S;if(!d||d.length===0)return(0,y.matchesFuzzy)(g,w,p);const u=(0,R.ltrim)(w," "),a=w.length-u.length,t=(0,y.matchesFuzzy)(g,u,p);if(t)for(const i of t){const s=d[i.start+a]+a;i.start+=s,i.end+=s}return t}e.matchesFuzzyIconAware=l}),define(ge[94],pe([0,1,12,134,18]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markedStringsEquals=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var I;(function(l){l[l.Paragraph=0]="Paragraph",l[l.Break=1]="Break"})(I=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class D{constructor(g="",S=!1){var p,w;if(this.value=g,typeof this.value!="string")throw(0,R.illegalArgument)("value");typeof S=="boolean"?(this.isTrusted=S,this.supportThemeIcons=!1):(this.isTrusted=(p=S.isTrusted)!==null&&p!==void 0?p:void 0,this.supportThemeIcons=(w=S.supportThemeIcons)!==null&&w!==void 0?w:!1)}appendText(g,S=0){return this.value+=k(this.supportThemeIcons?(0,y.escapeIcons)(g):g).replace(/([ \t]+)/g,(p,w)=>"&nbsp;".repeat(w.length)).replace(/^>/gm,"\\>").replace(/\n/g,S===1?`\\
`:`

`),this}appendMarkdown(g){return this.value+=g,this}appendCodeblock(g,S){return this.value+="\n```",this.value+=g,this.value+=`
`,this.value+=S,this.value+="\n```\n",this}}e.MarkdownString=D;function P(l){return E(l)?!l.value:Array.isArray(l)?l.every(P):!0}e.isEmptyMarkdownString=P;function E(l){return l instanceof D?!0:l&&typeof l=="object"?typeof l.value=="string"&&(typeof l.isTrusted=="boolean"||l.isTrusted===void 0)&&(typeof l.supportThemeIcons=="boolean"||l.supportThemeIcons===void 0):!1}e.isMarkdownString=E;function n(l,g){return!l&&!g?!0:!l||!g?!1:Array.isArray(l)&&Array.isArray(g)?(0,_.equals)(l,g,A):E(l)&&E(g)?A(l,g):!1}e.markedStringsEquals=n;function A(l,g){return l===g?!0:!l||!g?!1:l.value===g.value&&l.isTrusted===g.isTrusted&&l.supportThemeIcons===g.supportThemeIcons}function k(l){return l.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=k;function b(l){return l&&l.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=b;function h(l){const g=[],S=l.split("|").map(w=>w.trim());l=S[0];const p=S[1];if(p){const w=/height=(\d+)/.exec(p),d=/width=(\d+)/.exec(p),u=w?w[1]:"",a=d?d[1]:"",t=isFinite(parseInt(a)),i=isFinite(parseInt(u));t&&g.push(`width="${a}"`),i&&g.push(`height="${u}"`)}return{href:l,dimensions:g}}e.parseHrefAndDimensions=h}),define(ge[57],pe([0,1,26,9,2]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function I(n){return JSON.stringify(n,P)}e.stringify=I;function D(n){let A=JSON.parse(n);return A=E(A),A}e.parse=D;function P(n,A){return A instanceof RegExp?{$mid:2,source:A.source,flags:(0,y.regExpFlags)(A)}:A}function E(n,A=0){if(!n||A>200)return n;if(typeof n=="object"){switch(n.$mid){case 1:return R.URI.revive(n);case 2:return new RegExp(n.source,n.flags)}if(n instanceof _.VSBuffer||n instanceof Uint8Array)return n;if(Array.isArray(n))for(let k=0;k<n.length;++k)n[k]=E(n[k],A+1);else for(const k in n)Object.hasOwnProperty.call(n,k)&&(n[k]=E(n[k],A+1))}return n}e.revive=E}),define(ge[11],pe([0,1,2,10]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var R;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.userData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.vscodeWebviewResource="vscode-webview-resource",P.extension="extension",P.vscodeFileResource="vscode-file"})(R=e.Schemas||(e.Schemas={}));class I{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(E){this._preferredWebSchema=E}setDelegate(E){this._delegate=E}set(E,n,A){this._hosts[E]=n,this._ports[E]=A}setConnectionToken(E,n){this._connectionTokens[E]=n}rewrite(E){if(this._delegate)return this._delegate(E);const n=E.authority;let A=this._hosts[n];A&&A.indexOf(":")!==-1&&(A=`[${A}]`);const k=this._ports[n],b=this._connectionTokens[n];let h=`path=${encodeURIComponent(E.path)}`;return typeof b=="string"&&(h+=`&tkn=${encodeURIComponent(b)}`),_.URI.from({scheme:y.isWeb?this._preferredWebSchema:R.vscodeRemoteResource,authority:`${A}:${k}`,path:"/vscode-remote-resource",query:h})}}e.RemoteAuthorities=new I;class D{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(E,n,A){const k=this.toUri(E,n);return k.scheme===R.vscodeRemote?e.RemoteAuthorities.rewrite(k):y.isNative&&(A||y.isPreferringBrowserCodeLoad)&&k.scheme===R.file?k.with({scheme:R.vscodeFileResource,authority:k.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):k}asFileUri(E,n){const A=this.toUri(E,n);return A.scheme===R.vscodeFileResource?A.with({scheme:R.file,authority:A.authority!==this.FALLBACK_AUTHORITY?A.authority:null,query:null,fragment:null}):A}toUri(E,n){return _.URI.isUri(E)?E:_.URI.parse(n.toUrl(E))}}e.FileAccess=new D}),define(ge[75],pe([0,1,23]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const y=new _.LRUCache(1e4);function R(n){return E(n,"NFC",y)}e.normalizeNFC=R;const I=new _.LRUCache(1e4);function D(n){return E(n,"NFD",I)}e.normalizeNFD=D;const P=/[^\u0000-\u0080]/;function E(n,A,k){if(!e.canNormalize||!n)return n;const b=k.get(n);if(b)return b;let h;return P.test(n)?h=n.normalize(A):h=n,k.set(n,h),h}e.removeAccents=function(){if(e.canNormalize){const n=/[\u0300-\u036f]/g;return function(A){return D(A).replace(n,"")}}else return function(n){return n}}()}),define(ge[24],pe([0,1,31,7,2,9,11,10]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function E(h){return(0,R.uriToFsPath)(h,!0)}e.originalFSPath=E;class n{constructor(l){this._ignorePathCasing=l}compare(l,g,S=!1){return l===g?0:(0,I.compare)(this.getComparisonKey(l,S),this.getComparisonKey(g,S))}isEqual(l,g,S=!1){return l===g?!0:!l||!g?!1:this.getComparisonKey(l,S)===this.getComparisonKey(g,S)}getComparisonKey(l,g=!1){return l.with({path:this._ignorePathCasing(l)?l.path.toLowerCase():void 0,fragment:g?null:void 0}).toString()}ignorePathCasing(l){return this._ignorePathCasing(l)}isEqualOrParent(l,g,S=!1){if(l.scheme===g.scheme){if(l.scheme===D.Schemas.file)return _.isEqualOrParent(E(l),E(g),this._ignorePathCasing(l))&&l.query===g.query&&(S||l.fragment===g.fragment);if((0,e.isEqualAuthority)(l.authority,g.authority))return _.isEqualOrParent(l.path,g.path,this._ignorePathCasing(l),"/")&&l.query===g.query&&(S||l.fragment===g.fragment)}return!1}joinPath(l,...g){return R.URI.joinPath(l,...g)}basenameOrAuthority(l){return(0,e.basename)(l)||l.authority}basename(l){return y.posix.basename(l.path)}extname(l){return y.posix.extname(l.path)}dirname(l){if(l.path.length===0)return l;let g;return l.scheme===D.Schemas.file?g=R.URI.file(y.dirname(E(l))).path:(g=y.posix.dirname(l.path),l.authority&&g.length&&g.charCodeAt(0)!==47&&(console.error(`dirname("${l.toString})) resulted in a relative path`),g="/")),l.with({path:g})}normalizePath(l){if(!l.path.length)return l;let g;return l.scheme===D.Schemas.file?g=R.URI.file(y.normalize(E(l))).path:g=y.posix.normalize(l.path),l.with({path:g})}relativePath(l,g){if(!(l.scheme!==g.scheme||!(0,e.isEqualAuthority)(l.authority,g.authority))){if(l.scheme===D.Schemas.file){const w=y.relative(E(l),E(g));return P.isWindows?_.toSlashes(w):w}let S=l.path||"/",p=g.path||"/";if(this._ignorePathCasing(l)){let w=0;for(const d=Math.min(S.length,p.length);w<d&&!(S.charCodeAt(w)!==p.charCodeAt(w)&&S.charAt(w).toLowerCase()!==p.charAt(w).toLowerCase());w++);S=p.substr(0,w)+S.substr(w)}return y.posix.relative(S,p)}}resolvePath(l,g){if(l.scheme===D.Schemas.file){const S=R.URI.file(y.resolve(E(l),g));return l.with({authority:S.authority,path:S.path})}return g.indexOf("/")===-1&&(g=_.toSlashes(g),/^[a-zA-Z]:(\/|$)/.test(g)&&(g="/"+g)),l.with({path:y.posix.resolve(l.path,g)})}isAbsolutePath(l){return!!l.path&&l.path[0]==="/"}isEqualAuthority(l,g){return l===g||(0,I.equalsIgnoreCase)(l,g)}hasTrailingPathSeparator(l,g=y.sep){if(l.scheme===D.Schemas.file){const S=E(l);return S.length>_.getRoot(S).length&&S[S.length-1]===g}else{const S=l.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(l.fsPath)}}removeTrailingPathSeparator(l,g=y.sep){return(0,e.hasTrailingPathSeparator)(l,g)?l.with({path:l.path.substr(0,l.path.length-1)}):l}addTrailingPathSeparator(l,g=y.sep){let S=!1;if(l.scheme===D.Schemas.file){const p=E(l);S=p!==void 0&&p.length===_.getRoot(p).length&&p[p.length-1]===g}else{g="/";const p=l.path;S=p.length===1&&p.charCodeAt(p.length-1)===47}return!S&&!(0,e.hasTrailingPathSeparator)(l,g)?l.with({path:l.path+"/"}):l}}e.ExtUri=n,e.extUri=new n(()=>!1),e.extUriBiasedIgnorePathCase=new n(h=>h.scheme===D.Schemas.file?!P.isLinux:!0),e.extUriIgnorePathCase=new n(h=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function A(h,l){const g=[];for(let S=0;S<h.length;S++){const p=l(h[S]);h.some((w,d)=>d===S?!1:(0,e.isEqualOrParent)(p,l(w)))||g.push(h[S])}return g}e.distinctParents=A;var k;(function(h){h.META_DATA_LABEL="label",h.META_DATA_DESCRIPTION="description",h.META_DATA_SIZE="size",h.META_DATA_MIME="mime";function l(g){const S=new Map;g.path.substring(g.path.indexOf(";")+1,g.path.lastIndexOf(";")).split(";").forEach(d=>{const[u,a]=d.split(":");u&&a&&S.set(u,a)});const w=g.path.substring(0,g.path.indexOf(";"));return w&&S.set(h.META_DATA_MIME,w),S}h.parseMetaData=l})(k=e.DataUri||(e.DataUri={}));function b(h,l,g){if(l){let S=h.path;return S&&S[0]!==y.posix.sep&&(S=y.posix.sep+S),h.with({scheme:g,authority:l,path:S})}return h.with({scheme:g})}e.toLocalResource=b}),define(ge[19],pe([0,1,21,18,3,6,56,24]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function E(F){return!!F&&typeof F.then=="function"}e.isThenable=E;function n(F){const N=new _.CancellationTokenSource,M=F(N.token),V=new Promise((q,X)=>{N.token.onCancellationRequested(()=>{X((0,y.canceled)())}),Promise.resolve(M).then(fe=>{N.dispose(),q(fe)},fe=>{N.dispose(),X(fe)})});return new class{cancel(){N.cancel()}then(q,X){return V.then(q,X)}catch(q){return this.then(void 0,q)}finally(q){return V.finally(q)}}}e.createCancelablePromise=n;function A(F,N,M){return Promise.race([F,new Promise(V=>N.onCancellationRequested(()=>V(M)))])}e.raceCancellation=A;async function k(F){let N=-1;const M=F.map((q,X)=>q.then(fe=>(N=X,fe))),V=await Promise.race(M);return F.forEach((q,X)=>{X!==N&&q.cancel()}),V}e.raceCancellablePromises=k;function b(F,N,M){let V;const q=setTimeout(()=>{V==null||V(void 0),M==null||M()},N);return Promise.race([F.finally(()=>clearTimeout(q)),new Promise(X=>V=X)])}e.raceTimeout=b;function h(F){return new Promise((N,M)=>{const V=F();E(V)?V.then(N,M):N(V)})}e.asPromise=h;class l{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(N){if(this.activePromise){if(this.queuedPromiseFactory=N,!this.queuedPromise){const M=()=>{this.queuedPromise=null;const V=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,V};this.queuedPromise=new Promise(V=>{this.activePromise.then(M,M).then(V)})}return new Promise((M,V)=>{this.queuedPromise.then(M,V)})}return this.activePromise=N(),new Promise((M,V)=>{this.activePromise.then(q=>{this.activePromise=null,M(q)},q=>{this.activePromise=null,V(q)})})}}e.Throttler=l;class g{constructor(){this.current=Promise.resolve(null)}queue(N){return this.current=this.current.then(()=>N(),()=>N())}}e.Sequencer=g;class S{constructor(){this.promiseMap=new Map}queue(N,M){var V;const X=((V=this.promiseMap.get(N))!==null&&V!==void 0?V:Promise.resolve()).catch(()=>{}).then(M).finally(()=>{this.promiseMap.get(N)===X&&this.promiseMap.delete(N)});return this.promiseMap.set(N,X),X}}e.SequencerByKey=S;class p{constructor(N){this.defaultDelay=N,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(N,M=this.defaultDelay){return this.task=N,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((V,q)=>{this.doResolve=V,this.doReject=q}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const V=this.task;return this.task=null,V()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},M),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,y.canceled)()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=p;class w{constructor(N){this.delayer=new p(N),this.throttler=new l}trigger(N,M){return this.delayer.trigger(()=>this.throttler.queue(N),M)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=w;class d{constructor(){this._isOpen=!1,this._promise=new Promise((N,M)=>{this._completePromise=N})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=d;class u extends d{constructor(N){super();this._timeout=setTimeout(()=>this.open(),N)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=u;function a(F,N){return N?new Promise((M,V)=>{const q=setTimeout(M,F);N.onCancellationRequested(()=>{clearTimeout(q),V((0,y.canceled)())})}):n(M=>a(F,M))}e.timeout=a;function t(F,N=0){const M=setTimeout(F,N);return(0,I.toDisposable)(()=>clearTimeout(M))}e.disposableTimeout=t;function i(F){return F.then(void 0,N=>{})}e.ignoreErrors=i;function s(F){const N=[];let M=0;const V=F.length;function q(){return M<V?F[M++]():null}function X(fe){fe!=null&&N.push(fe);const _e=q();return _e?_e.then(X):Promise.resolve(N)}return Promise.resolve(null).then(X)}e.sequence=s;function o(F,N=V=>!!V,M=null){let V=0;const q=F.length,X=()=>{if(V>=q)return Promise.resolve(M);const fe=F[V++];return Promise.resolve(fe()).then(Le=>N(Le)?Promise.resolve(Le):X())};return X()}e.first=o;function r(F,N=V=>!!V,M=null){if(F.length===0)return Promise.resolve(M);let V=F.length;const q=()=>{var X,fe;V=-1;for(const _e of F)(fe=(X=_e).cancel)===null||fe===void 0||fe.call(X)};return new Promise((X,fe)=>{for(const _e of F)_e.then(Le=>{--V>=0&&N(Le)?(q(),X(Le)):V===0&&X(M)}).catch(Le=>{--V>=0&&(q(),fe(Le))})})}e.firstParallel=r;class c{constructor(N){this._size=0,this.maxDegreeOfParalellism=N,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new R.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(N){return this._size++,new Promise((M,V)=>{this.outstandingPromises.push({factory:N,c:M,e:V}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const N=this.outstandingPromises.shift();this.runningPromises++;const M=N.factory();M.then(N.c,N.e),M.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=c;class v extends c{constructor(){super(1)}}e.Queue=v;class C{constructor(){this.queues=new Map}queueFor(N,M=P.extUri){const V=M.getComparisonKey(N);let q=this.queues.get(V);return q||(q=new v,R.Event.once(q.onFinished)(()=>{q==null||q.dispose(),this.queues.delete(V)}),this.queues.set(V,q)),q}dispose(){this.queues.forEach(N=>N.dispose()),this.queues.clear()}}e.ResourceQueue=C;class m{constructor(N,M){this._token=-1,typeof N=="function"&&typeof M=="number"&&this.setIfNotSet(N,M)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(N,M){this.cancel(),this._token=setTimeout(()=>{this._token=-1,N()},M)}setIfNotSet(N,M){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,N()},M))}}e.TimeoutTimer=m;class f{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(N,M){this.cancel(),this._token=setInterval(()=>{N()},M)}}e.IntervalTimer=f;class T{constructor(N,M){this.timeoutToken=-1,this.runner=N,this.timeout=M,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(N=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,N)}get delay(){return this.timeout}set delay(N){this.timeout=N}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=T;class L extends T{constructor(N,M){super(N,M);this.units=[]}work(N){this.units.push(N),this.isScheduled()||this.schedule()}doRun(){const N=this.units;this.units=[],this.runner&&this.runner(N)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=L,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const F=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=N=>{const M=setTimeout(()=>N(F));let V=!1;return{dispose(){V||(V=!0,clearTimeout(M))}}}}else e.runWhenIdle=(F,N)=>{const M=requestIdleCallback(F,typeof N=="number"?{timeout:N}:void 0);let V=!1;return{dispose(){V||(V=!0,cancelIdleCallback(M))}}}}();class B{constructor(N){this._didRun=!1,this._executor=()=>{try{this._value=N()}catch(M){this._error=M}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=B;async function te(F,N,M){let V;for(let q=0;q<M;q++)try{return await F()}catch(X){V=X,await a(N)}throw V}e.retry=te;class j{hasPending(N){return this._pending?typeof N=="number"?this._pending.taskId===N:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var N;(N=this._pending)===null||N===void 0||N.cancel()}setPending(N,M,V){return this._pending={taskId:N,cancel:()=>V==null?void 0:V(),promise:M},M.then(()=>this.donePending(N),()=>this.donePending(N)),M}donePending(N){this._pending&&N===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const N=this._next;this._next=void 0,N.run().then(N.promiseResolve,N.promiseReject)}}setNext(N){if(this._next)this._next.run=N;else{let M,V;const q=new Promise((X,fe)=>{M=X,V=fe});this._next={run:N,promise:q,promiseResolve:M,promiseReject:V}}return this._next.promise}}e.TaskSequentializer=j;class W{constructor(N){this.interval=N,this.lastIncrementTime=0,this.value=0}increment(){const N=Date.now();return N-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=N,this.value=0),this.value++,this.value}}e.IntervalCounter=W;class ${constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((N,M)=>{this.completeCallback=N,this.errorCallback=M})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(N){return new Promise(M=>{this.completeCallback(N),this.resolved=!0,M()})}error(N){return new Promise(M=>{this.errorCallback(N),this.rejected=!0,M()})}cancel(){new Promise(N=>{this.errorCallback((0,y.canceled)()),this.rejected=!0,N()})}}e.DeferredPromise=$;class O extends R.Emitter{async fireAsync(N,M,V){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new D.LinkedList);for(const q of this._listeners)this._asyncDeliveryQueue.push([q,N]);for(;this._asyncDeliveryQueue.size>0&&!M.isCancellationRequested;){const[q,X]=this._asyncDeliveryQueue.shift(),fe=[],_e=Object.assign(Object.assign({},X),{waitUntil:Le=>{if(Object.isFrozen(fe))throw new Error("waitUntil can NOT be called asynchronous");V&&(Le=V(Le,typeof q=="function"?q:q[0])),fe.push(Le)}});try{typeof q=="function"?q.call(void 0,_e):q[0].call(q[1],_e)}catch(Le){(0,y.onUnexpectedError)(Le);continue}Object.freeze(fe),await U.settled(fe).catch(Le=>(0,y.onUnexpectedError)(Le))}}}}e.AsyncEmitter=O;var U;(function(F){async function N(X){return typeof Promise.allSettled=="function"?M(X):V(X)}F.allSettled=N;async function M(X){return Promise.allSettled(X)}async function V(X){return Promise.all(X.map(fe=>fe.then(_e=>({status:"fulfilled",value:_e}),_e=>({status:"rejected",reason:_e}))))}async function q(X){let fe;const _e=await Promise.all(X.map(Le=>Le.then(Ie=>Ie,Ie=>{fe||(fe=Ie)})));if(typeof fe!="undefined")throw fe;return _e}F.settled=q})(U=e.Promises||(e.Promises={}))}),define(ge[95],pe([0,1,7,19]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesDefault=e.compareFileNames=void 0;const R=new y.IdleValue(()=>{const u=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:u,collatorIsNumeric:u.resolvedOptions().numeric}}),I=new y.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),D=new y.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function P(u,a,t=!1){const i=u||"",s=a||"",o=R.value.collator.compare(i,s);return R.value.collatorIsNumeric&&o===0&&i!==s?i<s?-1:1:o}e.compareFileNames=P;function E(u,a){const t=I.value.collator;return u=u||"",a=a||"",g(t,u,a)}e.compareFileNamesDefault=E;function n(u,a,t=!1){t||(u=u&&u.toLowerCase(),a=a&&a.toLowerCase());const[i,s]=h(u),[o,r]=h(a);return i!==o?i<o?-1:1:s===r?0:s<r?-1:1}e.noIntlCompareFileNames=n;function A(u,a){const[t,i]=h(u),[s,o]=h(a);let r=R.value.collator.compare(i,o);if(r===0){if(R.value.collatorIsNumeric&&i!==o)return i<o?-1:1;if(r=R.value.collator.compare(t,s),R.value.collatorIsNumeric&&r===0&&t!==s)return t<s?-1:1}return r}e.compareFileExtensions=A;function k(u,a){u=u||"",a=a||"";const t=l(u),i=l(a),s=I.value.collator,o=D.value.collator;let r;return r=g(o,t,i),r!==0?r:g(s,u,a)}e.compareFileExtensionsDefault=k;const b=/^(.*?)(\.([^.]*))?$/;function h(u,a=!1){const t=u?b.exec(u):[];let i=[t&&t[1]||"",t&&t[3]||""];return a&&(!i[0]&&i[1]||i[0]&&i[0].charAt(0)===".")&&(i=[i[0]+"."+i[1],""]),i}function l(u){const a=u?b.exec(u):[];return a&&a[1]&&a[1].charAt(0)!=="."&&a[3]||""}function g(u,a,t){let i=u.compare(a,t);return i!==0?i:a.length!==t.length?a.length<t.length?-1:1:0}function S(u,a,t=!1){return t||(u=u&&u.toLowerCase(),a=a&&a.toLowerCase()),u===a?0:u<a?-1:1}function p(u,a,t=!1){const i=u.split(_.sep),s=a.split(_.sep),o=i.length-1,r=s.length-1;let c,v;for(let C=0;;C++){if(c=o===C,v=r===C,c&&v)return P(i[C],s[C],t);if(c)return-1;if(v)return 1;const m=S(i[C],s[C],t);if(m!==0)return m}}e.comparePaths=p;function w(u,a,t){const i=u.toLowerCase(),s=a.toLowerCase(),o=d(u,a,t);if(o)return o;const r=i.endsWith(t),c=s.endsWith(t);if(r!==c)return r?-1:1;const v=P(i,s);return v!==0?v:i.localeCompare(s)}e.compareAnything=w;function d(u,a,t){const i=u.toLowerCase(),s=a.toLowerCase(),o=i.startsWith(t),r=s.startsWith(t);if(o!==r)return o?-1:1;if(o&&r){if(i.length<s.length)return-1;if(i.length>s.length)return 1}return 0}e.compareByPrefix=d}),define(ge[96],pe([0,1,95,93,7,10,9]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const P=0,E=[P,[]];function n(W,$,O,U){if(!W||!$)return E;const F=W.length,N=$.length;if(F<N)return E;const M=W.toLowerCase();return!U&&!M.includes(O)?E:A($,O,N,W,M,F)}e.scoreFuzzy=n;function A(W,$,O,U,F,N){const M=[],V=[];for(let _e=0;_e<O;_e++){const Le=_e*N,Ie=Le-N,Fe=_e>0,z=W[_e],Q=$[_e];for(let ee=0;ee<N;ee++){const ae=ee>0,ve=Le+ee,De=ve-1,Me=Ie+ee-1,we=ae?M[De]:0,ke=Fe&&ae?M[Me]:0,Ae=Fe&&ae?V[Me]:0;let We;!ke&&Fe?We=0:We=k(z,Q,U,F,ee,Ae),We&&ke+We>=we?(V[ve]=Ae+1,M[ve]=ke+We):(V[ve]=P,M[ve]=we)}}const q=[];let X=O-1,fe=N-1;for(;X>=0&&fe>=0;){const _e=X*N+fe;V[_e]===P||(q.push(fe),X--),fe--}return[M[O*N-1],q.reverse()]}function k(W,$,O,U,F,N){let M=0;if(!b($,U[F]))return M;if(M+=1,N>0&&(M+=N*5),W===O[F]&&(M+=1),F===0)M+=8;else{const V=h(O.charCodeAt(F-1));V?M+=V:(0,y.isUpper)(O.charCodeAt(F))&&(M+=2)}return M}function b(W,$){return W===$?!0:W==="/"||W==="\\"?$==="/"||$==="\\":!1}function h(W){switch(W){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const l=[void 0,[]];function g(W,$,O=0,U=0){const F=$;return F.values&&F.values.length>1?S(W,F.values,O,U):p(W,$,O,U)}e.scoreFuzzy2=g;function S(W,$,O,U){let F=0;const N=[];for(const M of $){const[V,q]=p(W,M,O,U);if(typeof V!="number")return l;F+=V,N.push(...q)}return[F,c(N)]}function p(W,$,O,U){const F=(0,y.fuzzyScore)($.original,$.originalLowercase,O,W,W.toLowerCase(),U,!0);return F?[F[0],(0,y.createMatches)(F)]:l}const w=Object.freeze({score:0}),d=1<<18,u=1<<17,a=1<<16;function t(W,$,O,U,F){if(!W||!$.normalized)return w;const N=U.getItemLabel(W);if(!N)return w;const M=U.getItemDescription(W);let V;M?V=`${N}${M}${$.normalized}${Array.isArray($.values)?$.values.length:""}${O}`:V=`${N}${$.normalized}${Array.isArray($.values)?$.values.length:""}${O}`;const q=F[V];if(q)return q;const X=i(N,M,U.getItemPath(W),$,O);return F[V]=X,X}e.scoreItemFuzzy=t;function i(W,$,O,U,F){const N=!O||!U.containsPathSeparator;return O&&(I.isLinux?U.pathNormalized===O:(0,D.equalsIgnoreCase)(U.pathNormalized,O))?{score:d,labelMatch:[{start:0,end:W.length}],descriptionMatch:$?[{start:0,end:$.length}]:void 0}:U.values&&U.values.length>1?s(W,$,O,U.values,N,F):o(W,$,O,U,N,F)}function s(W,$,O,U,F,N){let M=0;const V=[],q=[];for(const X of U){const{score:fe,labelMatch:_e,descriptionMatch:Le}=o(W,$,O,X,F,N);if(fe===P)return w;M+=fe,_e&&V.push(..._e),Le&&q.push(...Le)}return{score:M,labelMatch:c(V),descriptionMatch:c(q)}}function o(W,$,O,U,F,N){if(F||!$){const[M,V]=n(W,U.normalized,U.normalizedLowercase,N);if(M){const q=(0,y.matchesPrefix)(U.normalized,W);let X;return q?(X=u,X+=Math.round(U.normalized.length/W.length*100)):X=a,{score:X+M,labelMatch:q||r(V)}}}if($){let M=$;O&&(M=`${$}${R.sep}`);const V=M.length,q=`${M}${W}`,[X,fe]=n(q,U.normalized,U.normalizedLowercase,N);if(X){const _e=r(fe),Le=[],Ie=[];return _e.forEach(Fe=>{Fe.start<V&&Fe.end>V?(Le.push({start:0,end:Fe.end-V}),Ie.push({start:Fe.start,end:V})):Fe.start>=V?Le.push({start:Fe.start-V,end:Fe.end-V}):Ie.push(Fe)}),{score:X,labelMatch:Le,descriptionMatch:Ie}}}return w}function r(W){const $=[];if(!W)return $;let O;for(const U of W)O&&O.end===U?O.end+=1:(O={start:U,end:U+1},$.push(O));return $}function c(W){const $=W.sort((F,N)=>F.start-N.start),O=[];let U;for(const F of $)!U||!v(U,F)?(U=F,O.push(F)):(U.start=Math.min(U.start,F.start),U.end=Math.max(U.end,F.end));return O}function v(W,$){return!(W.end<$.start||$.end<W.start)}function C(W,$,O,U,F,N){const M=t(W,O,U,F,N),V=t($,O,U,F,N),q=M.score,X=V.score;if((q===d||X===d)&&q!==X)return q===d?-1:1;if(q>a||X>a){if(q!==X)return q>X?-1:1;if(q<u&&X<u){const Q=f(M.labelMatch,V.labelMatch);if(Q!==0)return Q}const Fe=F.getItemLabel(W)||"",z=F.getItemLabel($)||"";if(Fe.length!==z.length)return Fe.length-z.length}if(q!==X)return q>X?-1:1;const fe=Array.isArray(M.labelMatch)&&M.labelMatch.length>0,_e=Array.isArray(V.labelMatch)&&V.labelMatch.length>0;if(fe&&!_e)return-1;if(_e&&!fe)return 1;const Le=m(W,M,F),Ie=m($,V,F);return Le&&Ie&&Le!==Ie?Ie>Le?-1:1:T(W,$,O,F)}e.compareItemsByFuzzyScore=C;function m(W,$,O){let U=-1,F=-1;if($.descriptionMatch&&$.descriptionMatch.length?U=$.descriptionMatch[0].start:$.labelMatch&&$.labelMatch.length&&(U=$.labelMatch[0].start),$.labelMatch&&$.labelMatch.length){if(F=$.labelMatch[$.labelMatch.length-1].end,$.descriptionMatch&&$.descriptionMatch.length){const N=O.getItemDescription(W);N&&(F+=N.length)}}else $.descriptionMatch&&$.descriptionMatch.length&&(F=$.descriptionMatch[$.descriptionMatch.length-1].end);return F-U}function f(W,$){if(!W&&!$||(!W||!W.length)&&(!$||!$.length))return 0;if(!$||!$.length)return-1;if(!W||!W.length)return 1;const O=W[0].start,F=W[W.length-1].end-O,N=$[0].start,V=$[$.length-1].end-N;return F===V?0:V<F?1:-1}function T(W,$,O,U){const F=U.getItemLabel(W)||"",N=U.getItemLabel($)||"",M=U.getItemDescription(W),V=U.getItemDescription($),q=F.length+(M?M.length:0),X=N.length+(V?V.length:0);if(q!==X)return q-X;const fe=U.getItemPath(W),_e=U.getItemPath($);return fe&&_e&&fe.length!==_e.length?fe.length-_e.length:F!==N?(0,_.compareAnything)(F,N,O.normalized):M&&V&&M!==V?(0,_.compareAnything)(M,V,O.normalized):fe&&_e&&fe!==_e?(0,_.compareAnything)(fe,_e,O.normalized):0}const L=" ";function B(W){typeof W!="string"&&(W="");const $=W.toLowerCase(),{pathNormalized:O,normalized:U,normalizedLowercase:F}=te(W),N=O.indexOf(R.sep)>=0;let M;const V=W.split(L);if(V.length>1)for(const q of V){const{pathNormalized:X,normalized:fe,normalizedLowercase:_e}=te(q);fe&&(M||(M=[]),M.push({original:q,originalLowercase:q.toLowerCase(),pathNormalized:X,normalized:fe,normalizedLowercase:_e}))}return{original:W,originalLowercase:$,pathNormalized:O,normalized:U,normalizedLowercase:F,values:M,containsPathSeparator:N}}e.prepareQuery=B;function te(W){let $;I.isWindows?$=W.replace(/\//g,R.sep):$=W.replace(/\\/g,R.sep);const O=(0,D.stripWildcards)($).replace(/\s/g,"");return{pathNormalized:$,normalized:O,normalizedLowercase:O.toLowerCase()}}function j(W){return Array.isArray(W)?B(W.map($=>$.original).join(L)):B(W.original)}e.pieceToQuery=j}),define(ge[34],pe([0,1,9,31,7,23,19]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function P(){return Object.create(null)}e.getEmptyExpression=P;const E="**",n="/",A="[/\\\\]",k="[^/\\\\]",b=/\//g;function h(M){switch(M){case 0:return"";case 1:return`${k}*?`;default:return`(?:${A}|${k}+${A}|${A}${k}+)*?`}}function l(M,V){if(!M)return[];const q=[];let X=!1,fe=!1,_e="";for(const Le of M){switch(Le){case V:if(!X&&!fe){q.push(_e),_e="";continue}break;case"{":X=!0;break;case"}":X=!1;break;case"[":fe=!0;break;case"]":fe=!1;break}_e+=Le}return _e&&q.push(_e),q}e.splitGlobAware=l;function g(M){if(!M)return"";let V="";const q=l(M,n);if(q.every(X=>X===E))V=".*";else{let X=!1;q.forEach((fe,_e)=>{if(fe===E){X||(V+=h(2),X=!0);return}let Le=!1,Ie="",Fe=!1,z="";for(const Q of fe){if(Q!=="}"&&Le){Ie+=Q;continue}if(Fe&&(Q!=="]"||!z)){let ee;Q==="-"?ee=Q:(Q==="^"||Q==="!")&&!z?ee="^":Q===n?ee="":ee=_.escapeRegExpCharacters(Q),z+=ee;continue}switch(Q){case"{":Le=!0;continue;case"[":Fe=!0;continue;case"}":V+=`(?:${l(Ie,",").map(ve=>g(ve)).join("|")})`,Le=!1,Ie="";break;case"]":V+="["+z+"]",Fe=!1,z="";break;case"?":V+=k;continue;case"*":V+=h(1);continue;default:V+=_.escapeRegExpCharacters(Q)}}_e<q.length-1&&(q[_e+1]!==E||_e+2<q.length)&&(V+=A),X=!1})}return V}const S=/^\*\*\/\*\.[\w\.-]+$/,p=/^\*\*\/([\w\.-]+)\/?$/,w=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,d=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,u=/^\*\*((\/[\w\.-]+)+)\/?$/,a=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new I.LRUCache(1e4),i=function(){return!1},s=function(){return null};function o(M,V){if(!M)return s;let q;typeof M!="string"?q=M.pattern:q=M,q=q.trim();const X=`${q}_${!!V.trimForExclusions}`;let fe=t.get(X);if(fe)return r(fe,M);let _e;if(S.test(q)){const Le=q.substr(4);fe=function(Ie,Fe){return typeof Ie=="string"&&Ie.endsWith(Le)?q:null}}else(_e=p.exec(c(q,V)))?fe=v(_e[1],q):(V.trimForExclusions?d:w).test(q)?fe=C(q,V):(_e=u.exec(c(q,V)))?fe=m(_e[1].substr(1),q,!0):(_e=a.exec(c(q,V)))?fe=m(_e[1],q,!1):fe=f(q);return t.set(X,fe),r(fe,M)}function r(M,V){return typeof V=="string"?M:function(q,X){return y.isEqualOrParent(q,V.base)?M(R.relative(V.base,q),X):null}}function c(M,V){return V.trimForExclusions&&M.endsWith("/**")?M.substr(0,M.length-2):M}function v(M,V){const q=`/${M}`,X=`\\${M}`,fe=function(Le,Ie){return typeof Le!="string"?null:Ie?Ie===M?V:null:Le===M||Le.endsWith(q)||Le.endsWith(X)?V:null},_e=[M];return fe.basenames=_e,fe.patterns=[V],fe.allBasenames=_e,fe}function C(M,V){const q=N(M.slice(1,-1).split(",").map(Ie=>o(Ie,V)).filter(Ie=>Ie!==s),M),X=q.length;if(!X)return s;if(X===1)return q[0];const fe=function(Ie,Fe){for(let z=0,Q=q.length;z<Q;z++)if(q[z](Ie,Fe))return M;return null},_e=q.find(Ie=>!!Ie.allBasenames);_e&&(fe.allBasenames=_e.allBasenames);const Le=q.reduce((Ie,Fe)=>Fe.allPaths?Ie.concat(Fe.allPaths):Ie,[]);return Le.length&&(fe.allPaths=Le),fe}function m(M,V,q){const X=R.sep===R.posix.sep,fe=X?M:M.replace(b,R.sep),_e=R.sep+fe,Le=R.posix.sep+M,Ie=q?function(Fe,z){return typeof Fe=="string"&&(Fe===fe||Fe.endsWith(_e)||!X&&(Fe===M||Fe.endsWith(Le)))?V:null}:function(Fe,z){return typeof Fe=="string"&&(Fe===fe||!X&&Fe===M)?V:null};return Ie.allPaths=[(q?"*/":"./")+M],Ie}function f(M){try{const V=new RegExp(`^${g(M)}$`);return function(q){return V.lastIndex=0,typeof q=="string"&&V.test(q)?M:null}}catch(V){return s}}function T(M,V,q){return!M||typeof V!="string"?!1:L(M)(V,void 0,q)}e.match=T;function L(M,V={}){if(!M)return i;if(typeof M=="string"||W(M)){const q=o(M,V);if(q===s)return i;const X=function(fe,_e){return!!q(fe,_e)};return q.allBasenames&&(X.allBasenames=q.allBasenames),q.allPaths&&(X.allPaths=q.allPaths),X}return U(M,V)}e.parse=L;function B(M){if(!!M){let V;return q=>(V||(V=(M()||Promise.resolve([])).then(X=>X?j(X):{})),V.then(X=>!!X[q]))}}e.hasSiblingPromiseFn=B;function te(M){if(!!M){let V;return q=>{if(!V){const X=M();V=X?j(X):{}}return!!V[q]}}}e.hasSiblingFn=te;function j(M){const V={};for(const q of M)V[q]=!0;return V}function W(M){const V=M;return V&&typeof V.base=="string"&&typeof V.pattern=="string"}e.isRelativePattern=W;function $(M){return M.allBasenames||[]}e.getBasenameTerms=$;function O(M){return M.allPaths||[]}e.getPathTerms=O;function U(M,V){const q=N(Object.getOwnPropertyNames(M).map(Ie=>F(Ie,M[Ie],V)).filter(Ie=>Ie!==s)),X=q.length;if(!X)return s;if(!q.some(Ie=>!!Ie.requiresSiblings)){if(X===1)return q[0];const Ie=function(Q,ee){for(let ae=0,ve=q.length;ae<ve;ae++){const De=q[ae](Q,ee);if(De)return De}return null},Fe=q.find(Q=>!!Q.allBasenames);Fe&&(Ie.allBasenames=Fe.allBasenames);const z=q.reduce((Q,ee)=>ee.allPaths?Q.concat(ee.allPaths):Q,[]);return z.length&&(Ie.allPaths=z),Ie}const fe=function(Ie,Fe,z){let Q;for(let ee=0,ae=q.length;ee<ae;ee++){const ve=q[ee];ve.requiresSiblings&&z&&(Fe||(Fe=R.basename(Ie)),Q||(Q=Fe.substr(0,Fe.length-R.extname(Ie).length)));const De=ve(Ie,Fe,Q,z);if(De)return De}return null},_e=q.find(Ie=>!!Ie.allBasenames);_e&&(fe.allBasenames=_e.allBasenames);const Le=q.reduce((Ie,Fe)=>Fe.allPaths?Ie.concat(Fe.allPaths):Ie,[]);return Le.length&&(fe.allPaths=Le),fe}function F(M,V,q){if(V===!1)return s;const X=o(M,q);if(X===s)return s;if(typeof V=="boolean")return X;if(V){const fe=V.when;if(typeof fe=="string"){const _e=(Le,Ie,Fe,z)=>{if(!z||!X(Le,Ie))return null;const Q=fe.replace("$(basename)",Fe),ee=z(Q);return(0,D.isThenable)(ee)?ee.then(ae=>ae?M:null):ee?M:null};return _e.requiresSiblings=!0,_e}}return X}function N(M,V){const q=M.filter(Ie=>!!Ie.basenames);if(q.length<2)return M;const X=q.reduce((Ie,Fe)=>{const z=Fe.basenames;return z?Ie.concat(z):Ie},[]);let fe;if(V){fe=[];for(let Ie=0,Fe=X.length;Ie<Fe;Ie++)fe.push(V)}else fe=q.reduce((Ie,Fe)=>{const z=Fe.patterns;return z?Ie.concat(z):Ie},[]);const _e=function(Ie,Fe){if(typeof Ie!="string")return null;if(!Fe){let Q;for(Q=Ie.length;Q>0;Q--){const ee=Ie.charCodeAt(Q-1);if(ee===47||ee===92)break}Fe=Ie.substr(Q)}const z=X.indexOf(Fe);return z!==-1?fe[z]:null};_e.basenames=X,_e.patterns=fe,_e.allBasenames=X;const Le=M.filter(Ie=>!Ie.basenames);return Le.push(_e),Le}}),define(ge[76],pe([0,1,2,7,9,11,10,24,31]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function n(o,r,c){if(typeof o=="string"&&(o=_.URI.file(o)),c){const C=c.getWorkspaceFolder(o);if(C){const m=c.getWorkspace().folders.length>1;let f;if((0,P.isEqual)(C.uri,o)?f="":f=(0,P.relativePath)(C.uri,o),m){const T=C.name?C.name:(0,P.basename)(C.uri);f=f?T+" \u2022 "+f:T}return f}}if(o.scheme!==I.Schemas.file&&o.scheme!==I.Schemas.untitled)return o.with({query:null,fragment:null}).toString(!0);if((0,E.hasDriveLetter)(o.fsPath))return(0,y.normalize)(k(o.fsPath));let v=(0,y.normalize)(o.fsPath);return!D.isWindows&&(r==null?void 0:r.userHome)&&(v=h(v,r.userHome.fsPath)),v}e.getPathLabel=n;function A(o){if(!!o){typeof o=="string"&&(o=_.URI.file(o));const r=(0,P.basename)(o)||(o.scheme===I.Schemas.file?o.fsPath:o.path);return D.isWindows&&(0,E.isRootOrDriveLetter)(r)?k(r):r}}e.getBaseLabel=A;function k(o){return(0,E.hasDriveLetter)(o)?o.charAt(0).toUpperCase()+o.slice(1):o}e.normalizeDriveLetter=k;let b=Object.create(null);function h(o,r){if(D.isWindows||!o||!r)return o;let c=b.original===r?b.normalized:void 0;return c||(c=`${(0,R.rtrim)(r,y.posix.sep)}${y.posix.sep}`,b={original:r,normalized:c}),(D.isLinux?o.startsWith(c):(0,R.startsWithIgnoreCase)(o,c))&&(o=`~/${o.substr(c.length)}`),o}e.tildify=h;function l(o,r){return o.replace(/^~($|\/|\\)/,`${r}$1`)}e.untildify=l;const g="\u2026",S="\\\\",p="~";function w(o,r=y.sep){const c=new Array(o.length);let v=!1;for(let C=0;C<o.length;C++){let m=o[C];if(m===""){c[C]=`.${r}`;continue}if(!m){c[C]=m;continue}v=!0;let f="";m.indexOf(S)===0?(f=m.substr(0,m.indexOf(S)+S.length),m=m.substr(m.indexOf(S)+S.length)):m.indexOf(r)===0?(f=m.substr(0,m.indexOf(r)+r.length),m=m.substr(m.indexOf(r)+r.length)):m.indexOf(p)===0&&(f=m.substr(0,m.indexOf(p)+p.length),m=m.substr(m.indexOf(p)+p.length));const T=m.split(r);for(let L=1;v&&L<=T.length;L++)for(let B=T.length-L;v&&B>=0;B--){v=!1;let te=T.slice(B,B+L).join(r);for(let j=0;!v&&j<o.length;j++)if(j!==C&&o[j]&&o[j].indexOf(te)>-1){const W=B+L===T.length,$=B>0&&o[j].indexOf(r)>-1?r+te:te,O=o[j].endsWith($);v=!W||O}if(!v){let j="";(T[0].endsWith(":")||f!=="")&&(B===1&&(B=0,L++,te=T[0]+r+te),B>0&&(j=T[0]+r),j=f+j),B>0&&(j=j+g+r),j=j+te,B+L<T.length&&(j=j+r+g),c[C]=j}}v&&(c[C]=m)}return c}e.shorten=w;var d;(function(o){o[o.TEXT=0]="TEXT",o[o.VARIABLE=1]="VARIABLE",o[o.SEPARATOR=2]="SEPARATOR"})(d||(d={}));function u(o,r=Object.create(null)){const c=[];let v=!1,C="";for(const m of o)if(m==="$"||v&&m==="{")C&&c.push({value:C,type:d.TEXT}),C="",v=!0;else if(m==="}"&&v){const f=r[C];if(typeof f=="string")f.length&&c.push({value:f,type:d.VARIABLE});else if(f){const T=c[c.length-1];(!T||T.type!==d.SEPARATOR)&&c.push({value:f.label,type:d.SEPARATOR})}C="",v=!1}else C+=m;return C&&!v&&c.push({value:C,type:d.TEXT}),c.filter((m,f)=>{if(m.type===d.SEPARATOR){const T=c[f-1],L=c[f+1];return[T,L].every(B=>B&&(B.type===d.VARIABLE||B.type===d.TEXT)&&B.value.length>0)}return!0}).map(m=>m.value).join("")}e.template=u;function a(o,r){return D.isMacintosh||r?o.replace(/\(&&\w\)|&&/g,"").replace(/&/g,D.isMacintosh?"&":"&&"):o.replace(/&&|&/g,c=>c==="&"?"&&":"&")}e.mnemonicMenuLabel=a;function t(o,r){return D.isMacintosh||r?o.replace(/\(&&\w\)|&&/g,""):D.isWindows?o.replace(/&&|&/g,c=>c==="&"?"&&":"&"):o.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function i(o){return o.replace(/&/g,"&&")}e.unmnemonicLabel=i;function s(o){const r=o.indexOf("/")!==-1?y.posix:y.win32,c=r.basename(o),v=r.dirname(o);return c.length?{name:c,parentPath:v}:{name:v,parentPath:""}}e.splitName=s}),define(ge[97],pe([0,1,2]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function y(A){return A.toJSON()}class R{constructor(k){this._uriTransformer=k}transformIncoming(k){const b=this._uriTransformer.transformIncoming(k);return b===k?k:y(_.URI.from(b))}transformOutgoing(k){const b=this._uriTransformer.transformOutgoing(k);return b===k?k:y(_.URI.from(b))}transformOutgoingURI(k){const b=this._uriTransformer.transformOutgoing(k);return b===k?k:_.URI.from(b)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=R,e.DefaultURITransformer=new class{transformIncoming(A){return A}transformOutgoing(A){return A}transformOutgoingURI(A){return A}transformOutgoingScheme(A){return A}};function I(A,k,b){if(!A||b>200)return null;if(typeof A=="object"){if(A instanceof _.URI)return k.transformOutgoing(A);for(let h in A)if(Object.hasOwnProperty.call(A,h)){const l=I(A[h],k,b+1);l!==null&&(A[h]=l)}}return null}function D(A,k){const b=I(A,k,0);return b===null?A:b}e.transformOutgoingURIs=D;function P(A,k,b,h){if(!A||h>200)return null;if(typeof A=="object"){if(A.$mid===1)return b?_.URI.revive(k.transformIncoming(A)):k.transformIncoming(A);for(let l in A)if(Object.hasOwnProperty.call(A,l)){const g=P(A[l],k,b,h+1);g!==null&&(A[l]=g)}}return null}function E(A,k){const b=P(A,k,!1,0);return b===null?A:b}e.transformIncomingURIs=E;function n(A,k){const b=P(A,k,!0,0);return b===null?A:b}e.transformAndReviveIncomingURIs=n}),define(ge[28],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const _=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function y(E){return _.test(E)}e.isUUID=y;const R=new Uint8Array(16),I=[];for(let E=0;E<256;E++)I.push(E.toString(16).padStart(2,"0"));let D;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?D=crypto.getRandomValues.bind(crypto):D=function(E){for(let n=0;n<E.length;n++)E[n]=Math.floor(Math.random()*256);return E};function P(){D(R),R[6]=R[6]&15|64,R[8]=R[8]&63|128;let E=0,n="";return n+=I[R[E++]],n+=I[R[E++]],n+=I[R[E++]],n+=I[R[E++]],n+="-",n+=I[R[E++]],n+=I[R[E++]],n+="-",n+=I[R[E++]],n+=I[R[E++]],n+="-",n+=I[R[E++]],n+=I[R[E++]],n+="-",n+=I[R[E++]],n+=I[R[E++]],n+=I[R[E++]],n+=I[R[E++]],n+=I[R[E++]],n+=I[R[E++]],n}e.generateUuid=P}),define(ge[135],pe([0,1,98]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class y{constructor(I="utf8"){this.stringDecoder=new _.StringDecoder(I),this.remaining=null}write(I){const D=[],P=this.remaining?this.remaining+this.stringDecoder.write(I):this.stringDecoder.write(I);if(P.length<1)return D;let E=0,n,A=E;for(;A<P.length;)if(n=P.charCodeAt(A),n===13||n===10){if(D.push(P.substring(E,A)),A++,A<P.length){const k=n;n=P.charCodeAt(A),(k===13&&n===10||k===10&&n===13)&&A++}E=A}else A++;return this.remaining=E<P.length?P.substr(E):null,D}end(){return this.remaining}}e.LineDecoder=y}),define(ge[25],pe([0,1,37,48,7,19,10,31,28,75,24,2]),function(J,e,_,y,R,I,D,P,E,n,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=void 0;var b;(function($){$[$.UNLINK=0]="UNLINK",$[$.MOVE=1]="MOVE"})(b=e.RimRafMode||(e.RimRafMode={}));async function h($,O=b.UNLINK){if((0,P.isRootOrDriveLetter)($))throw new Error("rimraf - will refuse to recursively delete root");return O===b.UNLINK?g($):l($)}e.rimraf=h;async function l($){try{const O=(0,R.join)((0,y.tmpdir)(),(0,E.generateUuid)());try{await _.promises.rename($,O)}catch(U){return g($)}g(O).catch(U=>{})}catch(O){if(O.code!=="ENOENT")throw O}}async function g($){return _.promises.rmdir($,{recursive:!0,maxRetries:3})}function S($){if((0,P.isRootOrDriveLetter)($))throw new Error("rimraf - will refuse to recursively delete root");_.rmdirSync($,{recursive:!0})}e.rimrafSync=S;async function p($,O){return u(await(O?w($):_.promises.readdir($)))}e.readdir=p;async function w($){try{return await _.promises.readdir($,{withFileTypes:!0})}catch(F){console.warn("[node.js fs] readdir with filetypes failed with error: ",F)}const O=[],U=await p($);for(const F of U){let N=!1,M=!1,V=!1;try{const q=await _.promises.lstat((0,R.join)($,F));N=q.isFile(),M=q.isDirectory(),V=q.isSymbolicLink()}catch(q){console.warn("[node.js fs] unexpected error from lstat after readdir: ",q)}O.push({name:F,isFile:()=>N,isDirectory:()=>M,isSymbolicLink:()=>V})}return O}function d($){return u(_.readdirSync($))}e.readdirSync=d;function u($){return $.map(O=>typeof O=="string"?D.isMacintosh?(0,n.normalizeNFC)(O):O:(O.name=D.isMacintosh?(0,n.normalizeNFC)(O.name):O.name,O))}async function a($){const O=await p($),U=[];for(const F of O)await i.existsDirectory((0,R.join)($,F))&&U.push(F);return U}e.readDirsInDir=a;function t($,O=1e3){return new Promise(U=>{let F=!1;const N=setInterval(()=>{F||(F=!0,_.access($,M=>{F=!1,M&&(clearInterval(N),U(void 0))}))},O)})}e.whenDeleted=t;var i;(function($){async function O(N){let M;try{if(M=await _.promises.lstat(N),!M.isSymbolicLink())return{stat:M}}catch(V){}try{return{stat:await _.promises.stat(N),symbolicLink:(M==null?void 0:M.isSymbolicLink())?{dangling:!1}:void 0}}catch(V){if(V.code==="ENOENT"&&M)return{stat:M,symbolicLink:{dangling:!0}};if(D.isWindows&&V.code==="EACCES")try{return{stat:await _.promises.stat(await _.promises.readlink(N)),symbolicLink:{dangling:!1}}}catch(q){if(q.code==="ENOENT"&&M)return{stat:M,symbolicLink:{dangling:!0}};throw q}throw V}}$.stat=O;async function U(N){try{const{stat:M,symbolicLink:V}=await $.stat(N);return M.isFile()&&(V==null?void 0:V.dangling)!==!0}catch(M){}return!1}$.existsFile=U;async function F(N){try{const{stat:M,symbolicLink:V}=await $.stat(N);return M.isDirectory()&&(V==null?void 0:V.dangling)!==!0}catch(M){}return!1}$.existsDirectory=F})(i=e.SymlinkSupport||(e.SymlinkSupport={}));const s=new I.ResourceQueue;function o($,O,U){return s.queueFor(k.URI.file($),A.extUriBiasedIgnorePathCase).queue(()=>{const F=C(U);return new Promise((N,M)=>c($,O,F,V=>V?M(V):N()))})}e.writeFile=o;let r=!0;function c($,O,U,F){if(!r)return _.writeFile($,O,{mode:U.mode,flag:U.flag},F);_.open($,U.flag,U.mode,(N,M)=>{if(N)return F(N);_.writeFile(M,O,V=>{if(V)return _.close(M,()=>F(V));_.fdatasync(M,q=>(q&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",q),r=!1),_.close(M,X=>F(X))))})})}function v($,O,U){const F=C(U);if(!r)return _.writeFileSync($,O,{mode:F.mode,flag:F.flag});const N=_.openSync($,F.flag,F.mode);try{_.writeFileSync(N,O);try{_.fdatasyncSync(N)}catch(M){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",M),r=!1}}finally{_.closeSync(N)}}e.writeFileSync=v;function C($){return $?{mode:typeof $.mode=="number"?$.mode:438,flag:typeof $.flag=="string"?$.flag:"w"}:{mode:438,flag:"w"}}async function m($,O){if($!==O){async function U(F){try{const N=await _.promises.lstat(F);if(N.isDirectory()||N.isSymbolicLink())return;const M=await _.promises.open(F,"a");try{await M.utimes(N.atime,new Date)}finally{await M.close()}}catch(N){}}try{await _.promises.rename($,O),await U(O)}catch(F){if($.toLowerCase()!==O.toLowerCase()&&F.code==="EXDEV"||$.endsWith("."))await f($,O,{preserveSymlinks:!1}),await h($,b.MOVE),await U(O);else throw F}}}e.move=m;async function f($,O,U){return L($,O,{root:{source:$,target:O},options:U,handledSourcePaths:new Set})}e.copy=f;const T=511;async function L($,O,U){if(!U.handledSourcePaths.has($)){U.handledSourcePaths.add($);const{stat:F,symbolicLink:N}=await i.stat($);if(N){if(U.options.preserveSymlinks)try{return await j($,O,U)}catch(M){console.warn("[node.js fs] copy of symlink failed: ",M)}if(N.dangling)return}return F.isDirectory()?B($,O,F.mode&T,U):te($,O,F.mode&T)}}async function B($,O,U,F){await _.promises.mkdir(O,{recursive:!0,mode:U});const N=await p($);for(const M of N)await L((0,R.join)($,M),(0,R.join)(O,M),F)}async function te($,O,U){await _.promises.copyFile($,O),await _.promises.chmod(O,U)}async function j($,O,U){let F=await _.promises.readlink($);(0,P.isEqualOrParent)(F,U.root.source,!D.isLinux)&&(F=(0,R.join)(U.root.target,F.substr(U.root.source.length+1))),await _.promises.symlink(F,O)}async function W($){try{return await _.promises.access($),!0}catch(O){return!1}}e.exists=W}),define(ge[99],pe([0,1,37,282,9,7,25]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function P(k){const b=(0,I.dirname)(k);if(k===b)return k;const h=((0,I.basename)(k)||k).toLowerCase();try{const g=(0,D.readdirSync)(b).filter(S=>S.toLowerCase()===h);if(g.length===1){const S=P(b);if(S)return(0,I.join)(S,g[0])}else if(g.length>1){const S=g.indexOf(h);if(S>=0){const p=P(b);if(p)return(0,I.join)(p,g[S])}}}catch(l){}return null}e.realcaseSync=P;async function E(k){try{return await(0,y.promisify)(_.realpath)(k)}catch(b){const h=A(k);return await _.promises.access(h,_.constants.R_OK),h}}e.realpath=E;function n(k){try{return _.realpathSync(k)}catch(b){const h=A(k);return _.accessSync(h,_.constants.R_OK),h}}e.realpathSync=n;function A(k){return(0,R.rtrim)((0,I.normalize)(k),I.sep)}});var vt=this&&this.__await||function(J){return this instanceof vt?(this.v=J,this):new vt(J)},In=this&&this.__asyncGenerator||function(J,e,_){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var y=_.apply(J,e||[]),R,I=[];return R={},D("next"),D("throw"),D("return"),R[Symbol.asyncIterator]=function(){return this},R;function D(b){y[b]&&(R[b]=function(h){return new Promise(function(l,g){I.push([b,h,l,g])>1||P(b,h)})})}function P(b,h){try{E(y[b](h))}catch(l){k(I[0][3],l)}}function E(b){b.value instanceof vt?Promise.resolve(b.value.v).then(n,A):k(I[0][2],b)}function n(b){P("next",b)}function A(b){P("throw",b)}function k(b,h){b(h),I.shift(),I.length&&P(I[0][0],I[0][1])}},en=this&&this.__asyncValues||function(J){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=J[Symbol.asyncIterator],_;return e?e.call(J):(J=typeof __values=="function"?__values(J):J[Symbol.iterator](),_={},y("next"),y("throw"),y("return"),_[Symbol.asyncIterator]=function(){return this},_);function y(I){_[I]=J[I]&&function(D){return new Promise(function(P,E){D=J[I](D),R(P,E,D.done,D.value)})}}function R(I,D,P,E){Promise.resolve(E).then(function(n){I({value:n,done:P})},D)}};define(ge[100],pe([0,1,25,48,7]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const I=/^\d+$/,D=/^Microsoft.PowerShell_.*/,P=/^Microsoft.PowerShellPreview_.*/;var E;(function(u){u[u.x64=0]="x64",u[u.x86=1]="x86",u[u.ARM=2]="ARM"})(E||(E={}));let n;switch(process.arch){case"ia32":case"x32":n=1;break;case"arm":case"arm64":n=2;break;default:n=0;break}let A;process.env.PROCESSOR_ARCHITEW6432?A=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?A=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?A=1:A=0;class k{constructor(a,t,i){this.exePath=a,this.displayName=t,this.knownToExist=i}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await _.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function b({useAlternateBitness:u=!1}={}){return u?n===0?process.env["ProgramFiles(x86)"]||null:A===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function h({useAlternateBitness:u=!1,findPreview:a=!1}={}){const t=b({useAlternateBitness:u});if(!t)return null;const i=R.join(t,"PowerShell");if(!await _.SymlinkSupport.existsDirectory(i))return null;let s=-1,o=null;for(const v of await _.readdir(i)){let C=-1;if(a){const f=v.indexOf("-");if(f<0)continue;const T=v.substring(0,f);if(!I.test(T)||v.substring(f+1)!=="preview")continue;C=parseInt(T,10)}else{if(!I.test(v))continue;C=parseInt(v,10)}if(!(C<=s)){const m=R.join(i,v,"pwsh.exe");!await _.SymlinkSupport.existsFile(m)||(o=m,s=C)}}if(!o)return null;const r=t.includes("x86")?" (x86)":"",c=a?" Preview":"";return new k(o,`PowerShell${c}${r}`,!0)}async function l({findPreview:u}={}){if(!process.env.LOCALAPPDATA)return null;const a=R.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await _.SymlinkSupport.existsDirectory(a))return null;const{pwshMsixDirRegex:t,pwshMsixName:i}=u?{pwshMsixDirRegex:P,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:D,pwshMsixName:"PowerShell (Store)"};for(const s of await _.readdir(a))if(t.test(s)){const o=R.join(a,s,"pwsh.exe");return new k(o,i)}return null}function g(){const u=R.join(y.homedir(),".dotnet","tools","pwsh.exe");return new k(u,".NET Core PowerShell Global Tool")}function S(){const u=R.join(process.env.windir,n===1&&A!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new k(u,"Windows PowerShell",!0)}function p(){return In(this,arguments,function*(){let a=yield vt(h());a&&(yield yield vt(a)),a=yield vt(h({useAlternateBitness:!0})),a&&(yield yield vt(a)),a=yield vt(l()),a&&(yield yield vt(a)),a=g(),a&&(yield yield vt(a)),a=yield vt(h({findPreview:!0})),a&&(yield yield vt(a)),a=yield vt(l({findPreview:!0})),a&&(yield yield vt(a)),a=yield vt(h({useAlternateBitness:!0,findPreview:!0})),a&&(yield yield vt(a)),a=S(),a&&(yield yield vt(a))})}function w(){return In(this,arguments,function*(){var a,t;try{for(var i=en(p()),s;s=yield vt(i.next()),!s.done;){const o=s.value;(yield vt(o.exists()))&&(yield yield vt(o))}}catch(o){a={error:o}}finally{try{s&&!s.done&&(t=i.return)&&(yield vt(t.call(i)))}finally{if(a)throw a.error}}})}e.enumeratePowerShellInstallations=w;async function d(){var u,a;try{for(var t=en(w()),i;i=await t.next(),!i.done;)return i.value}catch(s){u={error:s}}finally{try{i&&!i.done&&(a=t.return)&&await a.call(t)}finally{if(u)throw u.error}}return null}e.getFirstAvailablePowerShellInstallation=d}),define(ge[101],pe([0,1,3,6,19,21,18,26,12,15,57,9]),function(J,e,_,y,R,I,D,P,E,n,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var b;(function(F){F[F.Promise=100]="Promise",F[F.PromiseCancel=101]="PromiseCancel",F[F.EventListen=102]="EventListen",F[F.EventDispose=103]="EventDispose"})(b=e.RequestType||(e.RequestType={}));function h(F){switch(F){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var l;(function(F){F[F.Initialize=200]="Initialize",F[F.PromiseSuccess=201]="PromiseSuccess",F[F.PromiseError=202]="PromiseError",F[F.PromiseErrorObj=203]="PromiseErrorObj",F[F.EventFire=204]="EventFire"})(l=e.ResponseType||(e.ResponseType={}));function g(F){switch(F){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var S;(function(F){F[F.Uninitialized=0]="Uninitialized",F[F.Idle=1]="Idle"})(S||(S={}));class p{constructor(N){this.buffer=N,this.pos=0}read(N){const M=this.buffer.slice(this.pos,this.pos+N);return this.pos+=M.byteLength,M}}class w{constructor(){this.buffers=[]}get buffer(){return P.VSBuffer.concat(this.buffers)}write(N){this.buffers.push(N)}}var d;(function(F){F[F.Undefined=0]="Undefined",F[F.String=1]="String",F[F.Buffer=2]="Buffer",F[F.VSBuffer=3]="VSBuffer",F[F.Array=4]="Array",F[F.Object=5]="Object"})(d||(d={}));function u(F){const N=P.VSBuffer.alloc(4);return N.writeUInt32BE(F,0),N}function a(F){return F.read(4).readUInt32BE(0)}function t(F){const N=P.VSBuffer.alloc(1);return N.writeUInt8(F,0),N}const i={Undefined:t(d.Undefined),String:t(d.String),Buffer:t(d.Buffer),VSBuffer:t(d.VSBuffer),Array:t(d.Array),Object:t(d.Object)},s=typeof Buffer!="undefined";function o(F,N){if(typeof N=="undefined")F.write(i.Undefined);else if(typeof N=="string"){const M=P.VSBuffer.fromString(N);F.write(i.String),F.write(u(M.byteLength)),F.write(M)}else if(s&&Buffer.isBuffer(N)){const M=P.VSBuffer.wrap(N);F.write(i.Buffer),F.write(u(M.byteLength)),F.write(M)}else if(N instanceof P.VSBuffer)F.write(i.VSBuffer),F.write(u(N.byteLength)),F.write(N);else if(Array.isArray(N)){F.write(i.Array),F.write(u(N.length));for(const M of N)o(F,M)}else{const M=P.VSBuffer.fromString(JSON.stringify(N));F.write(i.Object),F.write(u(M.byteLength)),F.write(M)}}function r(F){switch(F.read(1).readUInt8(0)){case d.Undefined:return;case d.String:return F.read(a(F)).toString();case d.Buffer:return F.read(a(F)).buffer;case d.VSBuffer:return F.read(a(F));case d.Array:{const M=a(F),V=[];for(let q=0;q<M;q++)V.push(r(F));return V}case d.Object:return JSON.parse(F.read(a(F)).toString())}}class c{constructor(N,M,V=null,q=1e3){this.protocol=N,this.ctx=M,this.logger=V,this.timeoutDelay=q,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(X=>this.onRawMessage(X)),this.sendResponse({type:200})}registerChannel(N,M){this.channels.set(N,M),setTimeout(()=>this.flushPendingRequests(N),0)}sendResponse(N){switch(N.type){case 200:{const M=this.send([N.type]);this.logger&&this.logger.logOutgoing(M,0,1,g(N.type));return}case 201:case 202:case 204:case 203:{const M=this.send([N.type,N.id],N.data);this.logger&&this.logger.logOutgoing(M,N.id,1,g(N.type),N.data);return}}}send(N,M=void 0){const V=new w;return o(V,N),o(V,M),this.sendBuffer(V.buffer)}sendBuffer(N){try{return this.protocol.send(N),N.byteLength}catch(M){return 0}}onRawMessage(N){const M=new p(N),V=r(M),q=r(M),X=V[0];switch(X){case 100:return this.logger&&this.logger.logIncoming(N.byteLength,V[1],1,`${h(X)}: ${V[2]}.${V[3]}`,q),this.onPromise({type:X,id:V[1],channelName:V[2],name:V[3],arg:q});case 102:return this.logger&&this.logger.logIncoming(N.byteLength,V[1],1,`${h(X)}: ${V[2]}.${V[3]}`,q),this.onEventListen({type:X,id:V[1],channelName:V[2],name:V[3],arg:q});case 101:return this.logger&&this.logger.logIncoming(N.byteLength,V[1],1,`${h(X)}`),this.disposeActiveRequest({type:X,id:V[1]});case 103:return this.logger&&this.logger.logIncoming(N.byteLength,V[1],1,`${h(X)}`),this.disposeActiveRequest({type:X,id:V[1]})}}onPromise(N){const M=this.channels.get(N.channelName);if(!M){this.collectPendingRequest(N);return}const V=new I.CancellationTokenSource;let q;try{q=M.call(this.ctx,N.name,N.arg,V.token)}catch(_e){q=Promise.reject(_e)}const X=N.id;q.then(_e=>{this.sendResponse({id:X,data:_e,type:201}),this.activeRequests.delete(N.id)},_e=>{_e instanceof Error?this.sendResponse({id:X,data:{message:_e.message,name:_e.name,stack:_e.stack?_e.stack.split?_e.stack.split(`
`):_e.stack:void 0},type:202}):this.sendResponse({id:X,data:_e,type:203}),this.activeRequests.delete(N.id)});const fe=(0,y.toDisposable)(()=>V.cancel());this.activeRequests.set(N.id,fe)}onEventListen(N){const M=this.channels.get(N.channelName);if(!M){this.collectPendingRequest(N);return}const V=N.id,X=M.listen(this.ctx,N.name,N.arg)(fe=>this.sendResponse({id:V,data:fe,type:204}));this.activeRequests.set(N.id,X)}disposeActiveRequest(N){const M=this.activeRequests.get(N.id);M&&(M.dispose(),this.activeRequests.delete(N.id))}collectPendingRequest(N){let M=this.pendingRequests.get(N.channelName);M||(M=[],this.pendingRequests.set(N.channelName,M));const V=setTimeout(()=>{console.error(`Unknown channel: ${N.channelName}`),N.type===100&&this.sendResponse({id:N.id,data:{name:"Unknown channel",message:`Channel name '${N.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);M.push({request:N,timeoutTimer:V})}flushPendingRequests(N){const M=this.pendingRequests.get(N);if(M){for(const V of M)switch(clearTimeout(V.timeoutTimer),V.request.type){case 100:this.onPromise(V.request);break;case 102:this.onEventListen(V.request);break}this.pendingRequests.delete(N)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(N=>N.dispose()),this.activeRequests.clear()}}e.ChannelServer=c;var v;(function(F){F[F.LocalSide=0]="LocalSide",F[F.OtherSide=1]="OtherSide"})(v=e.RequestInitiator||(e.RequestInitiator={}));class C{constructor(N,M=null){this.protocol=N,this.isDisposed=!1,this.state=S.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new _.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(V=>this.onBuffer(V)),this.logger=M}getChannel(N){const M=this;return{call(V,q,X){return M.isDisposed?Promise.reject(D.canceled()):M.requestPromise(N,V,q,X)},listen(V,q){return M.isDisposed?Promise.reject(D.canceled()):M.requestEvent(N,V,q)}}}requestPromise(N,M,V,q=I.CancellationToken.None){const X=this.lastRequestId++,_e={id:X,type:100,channelName:N,name:M,arg:V};if(q.isCancellationRequested)return Promise.reject(D.canceled());let Le;return new Promise((Fe,z)=>{if(q.isCancellationRequested)return z(D.canceled());const Q=()=>{const De=Me=>{switch(Me.type){case 201:this.handlers.delete(X),Fe(Me.data);break;case 202:this.handlers.delete(X);const we=new Error(Me.data.message);we.stack=Me.data.stack,we.name=Me.data.name,z(we);break;case 203:this.handlers.delete(X),z(Me.data);break}};this.handlers.set(X,De),this.sendRequest(_e)};let ee=null;this.state===S.Idle?Q():(ee=(0,R.createCancelablePromise)(De=>this.whenInitialized()),ee.then(()=>{ee=null,Q()}));const ae=()=>{ee?(ee.cancel(),ee=null):this.sendRequest({id:X,type:101}),z(D.canceled())},ve=q.onCancellationRequested(ae);Le=(0,y.combinedDisposable)((0,y.toDisposable)(ae),ve),this.activeRequests.add(Le)}).finally(()=>{this.activeRequests.delete(Le)})}requestEvent(N,M,V){const q=this.lastRequestId++,fe={id:q,type:102,channelName:N,name:M,arg:V};let _e=null;const Le=new _.Emitter({onFirstListenerAdd:()=>{_e=(0,R.createCancelablePromise)(Fe=>this.whenInitialized()),_e.then(()=>{_e=null,this.activeRequests.add(Le),this.sendRequest(fe)})},onLastListenerRemove:()=>{_e?(_e.cancel(),_e=null):(this.activeRequests.delete(Le),this.sendRequest({id:q,type:103}))}}),Ie=Fe=>Le.fire(Fe.data);return this.handlers.set(q,Ie),Le.event}sendRequest(N){switch(N.type){case 100:case 102:{const M=this.send([N.type,N.id,N.channelName,N.name],N.arg);this.logger&&this.logger.logOutgoing(M,N.id,0,`${h(N.type)}: ${N.channelName}.${N.name}`,N.arg);return}case 101:case 103:{const M=this.send([N.type,N.id]);this.logger&&this.logger.logOutgoing(M,N.id,0,h(N.type));return}}}send(N,M=void 0){const V=new w;return o(V,N),o(V,M),this.sendBuffer(V.buffer)}sendBuffer(N){try{return this.protocol.send(N),N.byteLength}catch(M){return 0}}onBuffer(N){const M=new p(N),V=r(M),q=r(M),X=V[0];switch(X){case 200:return this.logger&&this.logger.logIncoming(N.byteLength,0,0,g(X)),this.onResponse({type:V[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(N.byteLength,V[1],0,g(X),q),this.onResponse({type:V[0],id:V[1],data:q})}}onResponse(N){if(N.type===200){this.state=S.Idle,this._onDidInitialize.fire();return}const M=this.handlers.get(N.id);M&&M(N)}whenInitialized(){return this.state===S.Idle?Promise.resolve():_.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(N=>N.dispose()),this.activeRequests.clear()}}e.ChannelClient=C;class m{constructor(N){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new _.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new _.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,N(({protocol:M,onDidClientDisconnect:V})=>{_.Event.once(M.onMessage)(X=>{const fe=new p(X),_e=r(fe),Le=new c(M,_e),Ie=new C(M);this.channels.forEach((z,Q)=>Le.registerChannel(Q,z));const Fe={channelServer:Le,channelClient:Ie,ctx:_e};this._connections.add(Fe),this._onDidAddConnection.fire(Fe),V(()=>{Le.dispose(),Ie.dispose(),this._connections.delete(Fe),this._onDidRemoveConnection.fire(Fe)})})})}get connections(){const N=[];return this._connections.forEach(M=>N.push(M)),N}getChannel(N,M){const V=this;return{call(q,X,fe){let _e;if((0,n.isFunction)(M)){let Ie=(0,E.getRandomElement)(V.connections.filter(M));_e=Ie?Promise.resolve(Ie):_.Event.toPromise(_.Event.filter(V.onDidAddConnection,M))}else _e=M.routeCall(V,q,X);const Le=_e.then(Ie=>Ie.channelClient.getChannel(N));return T(Le).call(q,X,fe)},listen(q,X){if((0,n.isFunction)(M))return V.getMulticastEvent(N,M,q,X);const fe=M.routeEvent(V,q,X).then(_e=>_e.channelClient.getChannel(N));return T(fe).listen(q,X)}}}getMulticastEvent(N,M,V,q){const X=this;let fe=new y.DisposableStore;const _e=new _.Emitter({onFirstListenerAdd:()=>{fe=new y.DisposableStore;const Le=new _.EventMultiplexer,Ie=new Map,Fe=Q=>{const ae=Q.channelClient.getChannel(N).listen(V,q),ve=Le.add(ae);Ie.set(Q,ve)},z=Q=>{const ee=Ie.get(Q);!ee||(ee.dispose(),Ie.delete(Q))};X.connections.filter(M).forEach(Fe),_.Event.filter(X.onDidAddConnection,M)(Fe,void 0,fe),X.onDidRemoveConnection(z,void 0,fe),Le.event(_e.fire,_e,fe),fe.add(Le)},onLastListenerRemove:()=>{fe.dispose()}});return _e.event}registerChannel(N,M){this.channels.set(N,M),this._connections.forEach(V=>{V.channelServer.registerChannel(N,M)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=m;class f{constructor(N,M,V=null){const q=new w;o(q,M),N.send(q.buffer),this.channelClient=new C(N,V),this.channelServer=new c(N,M,V)}getChannel(N){return this.channelClient.getChannel(N)}registerChannel(N,M){this.channelServer.registerChannel(N,M)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=f;function T(F){return{call(N,M,V){return F.then(q=>q.call(N,M,V))},listen(N,M){const V=new _.Relay;return F.then(q=>V.input=q.listen(N,M)),V.event}}}e.getDelayedChannel=T;function L(F){let N=!1;return{call(M,V,q){return N?F.call(M,V,q):(0,R.timeout)(0).then(()=>N=!0).then(()=>F.call(M,V,q))},listen(M,V){if(N)return F.listen(M,V);const q=new _.Relay;return(0,R.timeout)(0).then(()=>N=!0).then(()=>q.input=F.listen(M,V)),q.event}}}e.getNextTickChannel=L;class B{constructor(N){this.fn=N}routeCall(N){return this.route(N)}routeEvent(N){return this.route(N)}async route(N){for(const M of N.connections)if(await Promise.resolve(this.fn(M.ctx)))return Promise.resolve(M);return await _.Event.toPromise(N.onDidAddConnection),await this.route(N)}}e.StaticRouter=B;var te;(function(F){function N(q,X){const fe=q,_e=X&&X.disableMarshalling,Le=new Map;for(const Ie in fe)V(Ie)&&Le.set(Ie,_.Event.buffer(fe[Ie],!0));return new class{listen(Ie,Fe){const z=Le.get(Fe);if(z)return z;throw new Error(`Event not found: ${Fe}`)}call(Ie,Fe,z){const Q=fe[Fe];if(typeof Q=="function"){if(!_e&&Array.isArray(z))for(let ee=0;ee<z.length;ee++)z[ee]=(0,A.revive)(z[ee]);return Q.apply(fe,z)}throw new Error(`Method not found: ${Fe}`)}}}F.fromService=N;function M(q,X){const fe=X&&X.disableMarshalling;return new Proxy({},{get(_e,Le){var Ie;if(typeof Le=="string")return((Ie=X==null?void 0:X.properties)===null||Ie===void 0?void 0:Ie.has(Le))?X.properties.get(Le):V(Le)?q.listen(Le):async function(...Fe){let z;X&&!(0,n.isUndefinedOrNull)(X.context)?z=[X.context,...Fe]:z=Fe;const Q=await q.call(Le,z);return fe?Q:(0,A.revive)(Q)};throw new Error(`Property not found: ${String(Le)}`)}})}F.toService=M;function V(q){return q[0]==="o"&&q[1]==="n"&&k.isUpperAsciiLetter(q.charCodeAt(2))}})(te=e.ProxyChannel||(e.ProxyChannel={}));const j=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function W(F){if(Array.isArray(F))return F;if(F&&typeof F=="object"&&typeof F.toString=="function"){let N=F.toString();if(N!=="[object Object]")return N}return F}function $(F){return Array.isArray(F)?F.map(W):W(F)}function O(F,N,M,V,q,X,fe){fe=$(fe);const _e=j[q],Le=_e[V%_e.length];let Ie=[`%c[${F}]%c[${String(N).padStart(7," ")}]%c[len: ${String(M).padStart(5," ")}]%c${String(V).padStart(5," ")} - ${X}`,"color: darkgreen","color: grey","color: grey",`color: ${Le}`];/\($/.test(X)?(Ie=Ie.concat(fe),Ie.push(")")):Ie.push(fe),console.log.apply(console,Ie)}e.logWithColors=O;class U{constructor(N,M){this._outgoingPrefix=N,this._incomingPrefix=M,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(N,M,V,q,X){this._totalOutgoing+=N,O(this._outgoingPrefix,this._totalOutgoing,N,M,V,q,X)}logIncoming(N,M,V,q,X){this._totalIncoming+=N,O(this._incomingPrefix,this._totalIncoming,N,M,V,q,X)}}e.IPCLogger=U}),define(ge[102],pe([0,1,3,101,6,26,10,30]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=void 0;let E=null;function n(){return E||(E=I.VSBuffer.alloc(0)),E}class A{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(s){this._chunks.push(s),this._totalLength+=s.byteLength}read(s){return this._read(s,!0)}peek(s){return this._read(s,!1)}_read(s,o){if(s===0)return n();if(s>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===s){const C=this._chunks[0];return o&&(this._chunks.shift(),this._totalLength-=s),C}if(this._chunks[0].byteLength>s){const C=this._chunks[0].slice(0,s);return o&&(this._chunks[0]=this._chunks[0].slice(s),this._totalLength-=s),C}let r=I.VSBuffer.alloc(s),c=0,v=0;for(;s>0;){const C=this._chunks[v];if(C.byteLength>s){const m=C.slice(0,s);r.set(m,c),c+=s,o&&(this._chunks[v]=C.slice(s),this._totalLength-=s),s-=s}else r.set(C,c),c+=C.byteLength,o?(this._chunks.shift(),this._totalLength-=C.byteLength):v++,s-=C.byteLength}return r}}e.ChunkStream=A;var k;(function(i){i[i.None=0]="None",i[i.Regular=1]="Regular",i[i.Control=2]="Control",i[i.Ack=3]="Ack",i[i.KeepAlive=4]="KeepAlive",i[i.Disconnect=5]="Disconnect",i[i.ReplayRequest=6]="ReplayRequest"})(k||(k={}));var b;(function(i){i[i.HeaderLength=13]="HeaderLength",i[i.AcknowledgeTime=2e3]="AcknowledgeTime",i[i.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",i[i.KeepAliveTime=5e3]="KeepAliveTime",i[i.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",i[i.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",i[i.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(b=e.ProtocolConstants||(e.ProtocolConstants={}));class h{constructor(s,o,r,c){this.type=s,this.id=o,this.ack=r,this.data=c,this.writtenTime=0}get size(){return this.data.byteLength}}class l extends R.Disposable{constructor(s){super();this._onMessage=this._register(new _.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=s,this._isDisposed=!1,this._incomingData=new A,this._register(this._socket.onData(o=>this.acceptChunk(o))),this.lastReadTime=Date.now()}acceptChunk(s){if(!(!s||s.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;){const o=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=o.readUInt32BE(9),this._state.messageType=o.readUInt8(0),this._state.id=o.readUInt32BE(1),this._state.ack=o.readUInt32BE(5);else{const r=this._state.messageType,c=this._state.id,v=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new h(r,c,v,o)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class g{constructor(s){this._isDisposed=!1,this._socket=s,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(s){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(s){if(!this._isDisposed){s.writtenTime=Date.now(),this.lastWriteTime=Date.now();const o=I.VSBuffer.alloc(13);o.writeUInt8(s.type,0),o.writeUInt32BE(s.id,1),o.writeUInt32BE(s.ack,5),o.writeUInt32BE(s.data.byteLength,9),this._writeSoon(o,s.data)}}_bufferAdd(s,o){const r=this._totalLength===0;return this._data.push(s,o),this._totalLength+=s.byteLength+o.byteLength,r}_bufferTake(){const s=I.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,s}_writeSoon(s,o){this._bufferAdd(s,o)&&D.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class S extends R.Disposable{constructor(s){super();this._onMessage=new _.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new _.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=s,this._socketWriter=this._register(new g(this._socket)),this._socketReader=this._register(new l(this._socket)),this._register(this._socketReader.onMessage(o=>{o.type===1&&this._onMessage.fire(o.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(s){this._socketWriter.write(new h(1,0,0,s))}}e.Protocol=S;class p extends y.IPCClient{constructor(s,o,r=null){super(s,o,r);this.protocol=s}static fromSocket(s,o){return new p(new S(s),o)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const s=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),s.end()}}e.Client=p;class w{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new _.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,P.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(s){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(s):this._emitter.fire(s):this._bufferedMessages.push(s)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=w;class d{constructor(s){this.data=s,this.next=null}}class u{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let s=[],o=0,r=this._first;for(;r;)s[o++]=r.data,r=r.next;return s}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(s){const o=new d(s);if(!this._first){this._first=o,this._last=o;return}this._last.next=o,this._last=o}}class a{constructor(){this.lastRuns=[];const s=Date.now();for(let o=0;o<a._HISTORY_LENGTH;o++)this.lastRuns[o]=s-1e3*o;setInterval(()=>{for(let o=a._HISTORY_LENGTH;o>=1;o--)this.lastRuns[o]=this.lastRuns[o-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return a._INSTANCE||(a._INSTANCE=new a),a._INSTANCE}load(){const s=Date.now(),o=(1+a._HISTORY_LENGTH)*1e3;let r=0;for(let c=0;c<a._HISTORY_LENGTH;c++)s-this.lastRuns[c]<=o&&r++;return 1-r/a._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}a._HISTORY_LENGTH=10,a._INSTANCE=null;class t{constructor(s,o=null){this._loadEstimator=a.getInstance(),this._onControlMessage=new w,this.onControlMessage=this._onControlMessage.event,this._onMessage=new w,this.onMessage=this._onMessage.event,this._onDidDispose=new w,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new w,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new w,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new u,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=s,this._socketWriter=new g(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new l(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(r=>this._receiveMessage(r))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),o&&this._socketReader.acceptChunk(o),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=(0,R.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const s=new h(5,0,0,n());this._socketWriter.write(s),this._socketWriter.flush()}_sendKeepAliveCheck(){if(!this._outgoingKeepAliveTimeout){const s=Date.now()-this._socketWriter.lastWriteTime;if(s>=5e3){const o=new h(4,0,0,n());this._socketWriter.write(o),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-s+5)}}_recvKeepAliveCheck(){if(!this._incomingKeepAliveTimeout){const s=Date.now()-this._socketReader.lastReadTime;if(s>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-s,0)+5)}}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(s,o){this._isReconnecting=!0,this._socketDisposables=(0,R.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=s,this._socketWriter=new g(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new l(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(r=>this._receiveMessage(r))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),this._socketReader.acceptChunk(o)}endAcceptReconnection(){this._isReconnecting=!1;const s=this._outgoingUnackMsg.toArray();for(let o=0,r=s.length;o<r;o++)this._socketWriter.write(s[o]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(s){if(s.ack>this._outgoingAckId){this._outgoingAckId=s.ack;do{const o=this._outgoingUnackMsg.peek();if(o&&o.id<=s.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(s.type===1){if(s.id>this._incomingMsgId)if(s.id!==this._incomingMsgId+1){const o=Date.now();o-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=o,this._socketWriter.write(new h(6,0,0,n())))}else this._incomingMsgId=s.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(s.data)}else if(s.type===2)this._onControlMessage.fire(s.data);else if(s.type===5)this._onDidDispose.fire();else if(s.type===6){const o=this._outgoingUnackMsg.toArray();for(let r=0,c=o.length;r<c;r++)this._socketWriter.write(o[r]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(s){const o=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const r=new h(1,o,this._incomingAckId,s);this._outgoingUnackMsg.push(r),this._isReconnecting||(this._socketWriter.write(r),this._recvAckCheck())}sendControl(s){const o=new h(2,0,0,s);this._socketWriter.write(o)}_sendAckCheck(){if(!(this._incomingMsgId<=this._incomingAckId)&&!this._incomingAckTimeout){const s=Date.now()-this._incomingMsgLastTime;if(s>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-s+5)}}_recvAckCheck(){if(!(this._outgoingMsgId<=this._outgoingAckId)&&!this._outgoingAckTimeout){const s=this._outgoingUnackMsg.peek(),o=Date.now()-s.writtenTime;if(o>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-o,0)+5)}}_sendAck(){if(!(this._incomingMsgId<=this._incomingAckId)){this._incomingAckId=this._incomingMsgId;const s=new h(3,0,this._incomingAckId,n());this._socketWriter.write(s)}}}e.PersistentProtocol=t}),define(ge[103],pe([0,1,92]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class y{constructor(P){let E=(0,_.toUint8)(P);this._defaultValue=E,this._asciiMap=y._createAsciiMap(E),this._map=new Map}static _createAsciiMap(P){let E=new Uint8Array(256);for(let n=0;n<256;n++)E[n]=P;return E}set(P,E){let n=(0,_.toUint8)(E);P>=0&&P<256?this._asciiMap[P]=n:this._map.set(P,n)}get(P){return P>=0&&P<256?this._asciiMap[P]:this._map.get(P)||this._defaultValue}}e.CharacterClassifier=y;var R;(function(D){D[D.False=0]="False",D[D.True=1]="True"})(R||(R={}));class I{constructor(){this._actual=new y(0)}add(P){this._actual.set(P,1)}has(P){return this._actual.get(P)===1}}e.CharacterSet=I}),define(ge[136],pe([0,1,103]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var y;(function(D){D[D.Regular=0]="Regular",D[D.Whitespace=1]="Whitespace",D[D.WordSeparator=2]="WordSeparator"})(y=e.WordCharacterClass||(e.WordCharacterClass={}));class R extends _.CharacterClassifier{constructor(P){super(0);for(let E=0,n=P.length;E<n;E++)this.set(P.charCodeAt(E),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=R;function I(D){let P={};return E=>(P.hasOwnProperty(E)||(P[E]=D(E)),P[E])}e.getMapForWordSeparators=I(D=>new R(D))}),define(ge[49],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class _{constructor(R,I){this.lineNumber=R,this.column=I}with(R=this.lineNumber,I=this.column){return R===this.lineNumber&&I===this.column?this:new _(R,I)}delta(R=0,I=0){return this.with(this.lineNumber+R,this.column+I)}equals(R){return _.equals(this,R)}static equals(R,I){return!R&&!I?!0:!!R&&!!I&&R.lineNumber===I.lineNumber&&R.column===I.column}isBefore(R){return _.isBefore(this,R)}static isBefore(R,I){return R.lineNumber<I.lineNumber?!0:I.lineNumber<R.lineNumber?!1:R.column<I.column}isBeforeOrEqual(R){return _.isBeforeOrEqual(this,R)}static isBeforeOrEqual(R,I){return R.lineNumber<I.lineNumber?!0:I.lineNumber<R.lineNumber?!1:R.column<=I.column}static compare(R,I){let D=R.lineNumber|0,P=I.lineNumber|0;if(D===P){let E=R.column|0,n=I.column|0;return E-n}return D-P}clone(){return new _(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(R){return new _(R.lineNumber,R.column)}static isIPosition(R){return R&&typeof R.lineNumber=="number"&&typeof R.column=="number"}}e.Position=_}),define(ge[43],pe([0,1,49]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class y{constructor(I,D,P,E){I>P||I===P&&D>E?(this.startLineNumber=P,this.startColumn=E,this.endLineNumber=I,this.endColumn=D):(this.startLineNumber=I,this.startColumn=D,this.endLineNumber=P,this.endColumn=E)}isEmpty(){return y.isEmpty(this)}static isEmpty(I){return I.startLineNumber===I.endLineNumber&&I.startColumn===I.endColumn}containsPosition(I){return y.containsPosition(this,I)}static containsPosition(I,D){return!(D.lineNumber<I.startLineNumber||D.lineNumber>I.endLineNumber||D.lineNumber===I.startLineNumber&&D.column<I.startColumn||D.lineNumber===I.endLineNumber&&D.column>I.endColumn)}containsRange(I){return y.containsRange(this,I)}static containsRange(I,D){return!(D.startLineNumber<I.startLineNumber||D.endLineNumber<I.startLineNumber||D.startLineNumber>I.endLineNumber||D.endLineNumber>I.endLineNumber||D.startLineNumber===I.startLineNumber&&D.startColumn<I.startColumn||D.endLineNumber===I.endLineNumber&&D.endColumn>I.endColumn)}strictContainsRange(I){return y.strictContainsRange(this,I)}static strictContainsRange(I,D){return!(D.startLineNumber<I.startLineNumber||D.endLineNumber<I.startLineNumber||D.startLineNumber>I.endLineNumber||D.endLineNumber>I.endLineNumber||D.startLineNumber===I.startLineNumber&&D.startColumn<=I.startColumn||D.endLineNumber===I.endLineNumber&&D.endColumn>=I.endColumn)}plusRange(I){return y.plusRange(this,I)}static plusRange(I,D){let P,E,n,A;return D.startLineNumber<I.startLineNumber?(P=D.startLineNumber,E=D.startColumn):D.startLineNumber===I.startLineNumber?(P=D.startLineNumber,E=Math.min(D.startColumn,I.startColumn)):(P=I.startLineNumber,E=I.startColumn),D.endLineNumber>I.endLineNumber?(n=D.endLineNumber,A=D.endColumn):D.endLineNumber===I.endLineNumber?(n=D.endLineNumber,A=Math.max(D.endColumn,I.endColumn)):(n=I.endLineNumber,A=I.endColumn),new y(P,E,n,A)}intersectRanges(I){return y.intersectRanges(this,I)}static intersectRanges(I,D){let P=I.startLineNumber,E=I.startColumn,n=I.endLineNumber,A=I.endColumn,k=D.startLineNumber,b=D.startColumn,h=D.endLineNumber,l=D.endColumn;return P<k?(P=k,E=b):P===k&&(E=Math.max(E,b)),n>h?(n=h,A=l):n===h&&(A=Math.min(A,l)),P>n||P===n&&E>A?null:new y(P,E,n,A)}equalsRange(I){return y.equalsRange(this,I)}static equalsRange(I,D){return!!I&&!!D&&I.startLineNumber===D.startLineNumber&&I.startColumn===D.startColumn&&I.endLineNumber===D.endLineNumber&&I.endColumn===D.endColumn}getEndPosition(){return y.getEndPosition(this)}static getEndPosition(I){return new _.Position(I.endLineNumber,I.endColumn)}getStartPosition(){return y.getStartPosition(this)}static getStartPosition(I){return new _.Position(I.startLineNumber,I.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(I,D){return new y(this.startLineNumber,this.startColumn,I,D)}setStartPosition(I,D){return new y(I,D,this.endLineNumber,this.endColumn)}collapseToStart(){return y.collapseToStart(this)}static collapseToStart(I){return new y(I.startLineNumber,I.startColumn,I.startLineNumber,I.startColumn)}static fromPositions(I,D=I){return new y(I.lineNumber,I.column,D.lineNumber,D.column)}static lift(I){return I?new y(I.startLineNumber,I.startColumn,I.endLineNumber,I.endColumn):null}static isIRange(I){return I&&typeof I.startLineNumber=="number"&&typeof I.startColumn=="number"&&typeof I.endLineNumber=="number"&&typeof I.endColumn=="number"}static areIntersectingOrTouching(I,D){return!(I.endLineNumber<D.startLineNumber||I.endLineNumber===D.startLineNumber&&I.endColumn<D.startColumn||D.endLineNumber<I.startLineNumber||D.endLineNumber===I.startLineNumber&&D.endColumn<I.startColumn)}static areIntersecting(I,D){return!(I.endLineNumber<D.startLineNumber||I.endLineNumber===D.startLineNumber&&I.endColumn<=D.startColumn||D.endLineNumber<I.startLineNumber||D.endLineNumber===I.startLineNumber&&D.endColumn<=I.startColumn)}static compareRangesUsingStarts(I,D){if(I&&D){const n=I.startLineNumber|0,A=D.startLineNumber|0;if(n===A){const k=I.startColumn|0,b=D.startColumn|0;if(k===b){const h=I.endLineNumber|0,l=D.endLineNumber|0;if(h===l){const g=I.endColumn|0,S=D.endColumn|0;return g-S}return h-l}return k-b}return n-A}return(I?1:0)-(D?1:0)}static compareRangesUsingEnds(I,D){return I.endLineNumber===D.endLineNumber?I.endColumn===D.endColumn?I.startLineNumber===D.startLineNumber?I.startColumn-D.startColumn:I.startLineNumber-D.startLineNumber:I.endColumn-D.endColumn:I.endLineNumber-D.endLineNumber}static spansMultipleLines(I){return I.endLineNumber>I.startLineNumber}}e.Range=y}),define(ge[137],pe([0,1,49,43]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var R;(function(D){D[D.LTR=0]="LTR",D[D.RTL=1]="RTL"})(R=e.SelectionDirection||(e.SelectionDirection={}));class I extends y.Range{constructor(P,E,n,A){super(P,E,n,A);this.selectionStartLineNumber=P,this.selectionStartColumn=E,this.positionLineNumber=n,this.positionColumn=A}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(P){return I.selectionsEqual(this,P)}static selectionsEqual(P,E){return P.selectionStartLineNumber===E.selectionStartLineNumber&&P.selectionStartColumn===E.selectionStartColumn&&P.positionLineNumber===E.positionLineNumber&&P.positionColumn===E.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(P,E){return this.getDirection()===0?new I(this.startLineNumber,this.startColumn,P,E):new I(P,E,this.startLineNumber,this.startColumn)}getPosition(){return new _.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(P,E){return this.getDirection()===0?new I(P,E,this.endLineNumber,this.endColumn):new I(this.endLineNumber,this.endColumn,P,E)}static fromPositions(P,E=P){return new I(P.lineNumber,P.column,E.lineNumber,E.column)}static liftSelection(P){return new I(P.selectionStartLineNumber,P.selectionStartColumn,P.positionLineNumber,P.positionColumn)}static selectionsArrEqual(P,E){if(P&&!E||!P&&E)return!1;if(!P&&!E)return!0;if(P.length!==E.length)return!1;for(let n=0,A=P.length;n<A;n++)if(!this.selectionsEqual(P[n],E[n]))return!1;return!0}static isISelection(P){return P&&typeof P.selectionStartLineNumber=="number"&&typeof P.selectionStartColumn=="number"&&typeof P.positionLineNumber=="number"&&typeof P.positionColumn=="number"}static createWithDirection(P,E,n,A,k){return k===0?new I(P,E,n,A):new I(n,A,P,E)}}e.Selection=I}),define(ge[104],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var _;(function(h){h[h.Left=1]="Left",h[h.Center=2]="Center",h[h.Right=4]="Right",h[h.Full=7]="Full"})(_=e.OverviewRulerLane||(e.OverviewRulerLane={}));var y;(function(h){h[h.Inline=1]="Inline",h[h.Gutter=2]="Gutter"})(y=e.MinimapPosition||(e.MinimapPosition={}));var R;(function(h){h[h.TextDefined=0]="TextDefined",h[h.LF=1]="LF",h[h.CRLF=2]="CRLF"})(R=e.EndOfLinePreference||(e.EndOfLinePreference={}));var I;(function(h){h[h.LF=1]="LF",h[h.CRLF=2]="CRLF"})(I=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var D;(function(h){h[h.LF=0]="LF",h[h.CRLF=1]="CRLF"})(D=e.EndOfLineSequence||(e.EndOfLineSequence={}));class P{constructor(l){this.tabSize=Math.max(1,l.tabSize|0),this.indentSize=l.tabSize|0,this.insertSpaces=Boolean(l.insertSpaces),this.defaultEOL=l.defaultEOL|0,this.trimAutoWhitespace=Boolean(l.trimAutoWhitespace)}equals(l){return this.tabSize===l.tabSize&&this.indentSize===l.indentSize&&this.insertSpaces===l.insertSpaces&&this.defaultEOL===l.defaultEOL&&this.trimAutoWhitespace===l.trimAutoWhitespace}createChangeEvent(l){return{tabSize:this.tabSize!==l.tabSize,indentSize:this.indentSize!==l.indentSize,insertSpaces:this.insertSpaces!==l.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==l.trimAutoWhitespace}}}e.TextModelResolvedOptions=P;class E{constructor(l,g){this.range=l,this.matches=g}}e.FindMatch=E;var n;(function(h){h[h.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",h[h.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",h[h.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",h[h.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(n=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var A;(function(h){h[h.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(A=e.ModelConstants||(e.ModelConstants={}));class k{constructor(l,g,S,p,w,d){this.identifier=l,this.range=g,this.text=S,this.forceMoveMarkers=p,this.isAutoWhitespaceEdit=w,this._isTracked=d}}e.ValidAnnotatedEditOperation=k;class b{constructor(l,g,S){this.reverseEdits=l,this.changes=g,this.trimAutoWhitespaceLineNumbers=S}}e.ApplyEditsResult=b}),define(ge[138],pe([0,1,9,136,49,43,104]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const P=999;class E{constructor(d,u,a,t){this.searchString=d,this.isRegex=u,this.matchCase=a,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let d;this.isRegex?d=n(this.searchString):d=this.searchString.indexOf(`
`)>=0;let u=null;try{u=_.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:d,global:!0,unicode:!0})}catch(t){return null}if(!u)return null;let a=!this.isRegex&&!d;return a&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(a=this.matchCase),new A(u,this.wordSeparators?(0,y.getMapForWordSeparators)(this.wordSeparators):null,a?this.searchString:null)}}e.SearchParams=E;function n(w){if(!w||w.length===0)return!1;for(let d=0,u=w.length;d<u;d++)if(w.charCodeAt(d)===92){if(d++,d>=u)break;const t=w.charCodeAt(d);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=n;class A{constructor(d,u,a){this.regex=d,this.wordSeparators=u,this.simpleSearch=a}}e.SearchData=A;function k(w,d,u){if(!u)return new D.FindMatch(w,null);let a=[];for(let t=0,i=d.length;t<i;t++)a[t]=d[t];return new D.FindMatch(w,a)}e.createFindMatch=k;class b{constructor(d){let u=[],a=0;for(let t=0,i=d.length;t<i;t++)d.charCodeAt(t)===10&&(u[a++]=t);this._lineFeedsOffsets=u}findLineFeedCountBeforeOffset(d){const u=this._lineFeedsOffsets;let a=0,t=u.length-1;if(t===-1||d<=u[0])return 0;for(;a<t;){const i=a+((t-a)/2>>0);u[i]>=d?t=i-1:u[i+1]>=d?(a=i,t=i):a=i+1}return a+1}}class h{static findMatches(d,u,a,t,i){const s=u.parseSearchRequest();return s?s.regex.multiline?this._doFindMatchesMultiline(d,a,new p(s.wordSeparators,s.regex),t,i):this._doFindMatchesLineByLine(d,a,s,t,i):[]}static _getMultilineMatchRange(d,u,a,t,i,s){let o,r=0;t?(r=t.findLineFeedCountBeforeOffset(i),o=u+i+r):o=u+i;let c;if(t){let f=t.findLineFeedCountBeforeOffset(i+s.length)-r;c=o+s.length+f}else c=o+s.length;const v=d.getPositionAt(o),C=d.getPositionAt(c);return new I.Range(v.lineNumber,v.column,C.lineNumber,C.column)}static _doFindMatchesMultiline(d,u,a,t,i){const s=d.getOffsetAt(u.getStartPosition()),o=d.getValueInRange(u,1),r=d.getEOL()===`\r
`?new b(o):null,c=[];let v=0,C;for(a.reset(0);C=a.next(o);)if(c[v++]=k(this._getMultilineMatchRange(d,s,o,r,C.index,C[0]),C,t),v>=i)return c;return c}static _doFindMatchesLineByLine(d,u,a,t,i){const s=[];let o=0;if(u.startLineNumber===u.endLineNumber){const c=d.getLineContent(u.startLineNumber).substring(u.startColumn-1,u.endColumn-1);return o=this._findMatchesInLine(a,c,u.startLineNumber,u.startColumn-1,o,s,t,i),s}const r=d.getLineContent(u.startLineNumber).substring(u.startColumn-1);o=this._findMatchesInLine(a,r,u.startLineNumber,u.startColumn-1,o,s,t,i);for(let c=u.startLineNumber+1;c<u.endLineNumber&&o<i;c++)o=this._findMatchesInLine(a,d.getLineContent(c),c,0,o,s,t,i);if(o<i){const c=d.getLineContent(u.endLineNumber).substring(0,u.endColumn-1);o=this._findMatchesInLine(a,c,u.endLineNumber,0,o,s,t,i)}return s}static _findMatchesInLine(d,u,a,t,i,s,o,r){const c=d.wordSeparators;if(!o&&d.simpleSearch){const m=d.simpleSearch,f=m.length,T=u.length;let L=-f;for(;(L=u.indexOf(m,L+f))!==-1;)if((!c||S(c,u,T,L,f))&&(s[i++]=new D.FindMatch(new I.Range(a,L+1+t,a,L+1+f+t),null),i>=r))return i;return i}const v=new p(d.wordSeparators,d.regex);let C;v.reset(0);do if(C=v.next(u),C&&(s[i++]=k(new I.Range(a,C.index+1+t,a,C.index+1+C[0].length+t),C,o),i>=r))return i;while(C);return i}static findNextMatch(d,u,a,t){const i=u.parseSearchRequest();if(!i)return null;const s=new p(i.wordSeparators,i.regex);return i.regex.multiline?this._doFindNextMatchMultiline(d,a,s,t):this._doFindNextMatchLineByLine(d,a,s,t)}static _doFindNextMatchMultiline(d,u,a,t){const i=new R.Position(u.lineNumber,1),s=d.getOffsetAt(i),o=d.getLineCount(),r=d.getValueInRange(new I.Range(i.lineNumber,i.column,o,d.getLineMaxColumn(o)),1),c=d.getEOL()===`\r
`?new b(r):null;a.reset(u.column-1);let v=a.next(r);return v?k(this._getMultilineMatchRange(d,s,r,c,v.index,v[0]),v,t):u.lineNumber!==1||u.column!==1?this._doFindNextMatchMultiline(d,new R.Position(1,1),a,t):null}static _doFindNextMatchLineByLine(d,u,a,t){const i=d.getLineCount(),s=u.lineNumber,o=d.getLineContent(s),r=this._findFirstMatchInLine(a,o,s,u.column,t);if(r)return r;for(let c=1;c<=i;c++){const v=(s+c-1)%i,C=d.getLineContent(v+1),m=this._findFirstMatchInLine(a,C,v+1,1,t);if(m)return m}return null}static _findFirstMatchInLine(d,u,a,t,i){d.reset(t-1);const s=d.next(u);return s?k(new I.Range(a,s.index+1,a,s.index+1+s[0].length),s,i):null}static findPreviousMatch(d,u,a,t){const i=u.parseSearchRequest();if(!i)return null;const s=new p(i.wordSeparators,i.regex);return i.regex.multiline?this._doFindPreviousMatchMultiline(d,a,s,t):this._doFindPreviousMatchLineByLine(d,a,s,t)}static _doFindPreviousMatchMultiline(d,u,a,t){const i=this._doFindMatchesMultiline(d,new I.Range(1,1,u.lineNumber,u.column),a,t,10*P);if(i.length>0)return i[i.length-1];const s=d.getLineCount();return u.lineNumber!==s||u.column!==d.getLineMaxColumn(s)?this._doFindPreviousMatchMultiline(d,new R.Position(s,d.getLineMaxColumn(s)),a,t):null}static _doFindPreviousMatchLineByLine(d,u,a,t){const i=d.getLineCount(),s=u.lineNumber,o=d.getLineContent(s).substring(0,u.column-1),r=this._findLastMatchInLine(a,o,s,t);if(r)return r;for(let c=1;c<=i;c++){const v=(i+s-c-1)%i,C=d.getLineContent(v+1),m=this._findLastMatchInLine(a,C,v+1,t);if(m)return m}return null}static _findLastMatchInLine(d,u,a,t){let i=null,s;for(d.reset(0);s=d.next(u);)i=k(new I.Range(a,s.index+1,a,s.index+1+s[0].length),s,t);return i}}e.TextModelSearch=h;function l(w,d,u,a,t){if(a===0)return!0;const i=d.charCodeAt(a-1);if(w.get(i)!==0||i===13||i===10)return!0;if(t>0){const s=d.charCodeAt(a);if(w.get(s)!==0)return!0}return!1}function g(w,d,u,a,t){if(a+t===u)return!0;const i=d.charCodeAt(a+t);if(w.get(i)!==0||i===13||i===10)return!0;if(t>0){const s=d.charCodeAt(a+t-1);if(w.get(s)!==0)return!0}return!1}function S(w,d,u,a,t){return l(w,d,u,a,t)&&g(w,d,u,a,t)}e.isValidMatch=S;class p{constructor(d,u){this._wordSeparators=d,this._searchRegex=u,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(d){this._searchRegex.lastIndex=d,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(d){const u=d.length;let a;do{if(this._prevMatchStartIndex+this._prevMatchLength===u||(a=this._searchRegex.exec(d),!a))return null;const t=a.index,i=a[0].length;if(t===this._prevMatchStartIndex&&i===this._prevMatchLength){if(i===0){_.getNextCodePoint(d,u,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=i,!this._wordSeparators||S(this._wordSeparators,d,u,t,i))return a}while(a);return null}}e.Searcher=p}),define(ge[105],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function _(P=""){let E="(-?\\d*\\.\\d\\w*)|([^";for(const n of e.USUAL_WORD_SEPARATORS)P.indexOf(n)>=0||(E+="\\"+n);return E+="\\s]+)",new RegExp(E,"g")}e.DEFAULT_WORD_REGEXP=_();function y(P){let E=e.DEFAULT_WORD_REGEXP;if(P&&P instanceof RegExp)if(P.global)E=P;else{let n="g";P.ignoreCase&&(n+="i"),P.multiline&&(n+="m"),P.unicode&&(n+="u"),E=new RegExp(P.source,n)}return E.lastIndex=0,E}e.ensureValidWordDefinition=y;const R={maxLen:1e3,windowSize:15,timeBudget:150};function I(P,E,n,A,k=R){if(n.length>k.maxLen){let S=P-k.maxLen/2;return S<0?S=0:A+=S,n=n.substring(S,P+k.maxLen/2),I(P,E,n,A,k)}const b=Date.now(),h=P-1-A;let l=-1,g=null;for(let S=1;!(Date.now()-b>=k.timeBudget);S++){const p=h-k.windowSize*S;E.lastIndex=Math.max(0,p);const w=D(E,n,h,l);if(!w&&g||(g=w,p<=0))break;l=p}if(g){let S={word:g[0],startColumn:A+1+g.index,endColumn:A+1+g.index+g[0].length};return E.lastIndex=0,S}return null}e.getWordAtText=I;function D(P,E,n,A){let k;for(;k=P.exec(E);){const b=k.index||0;if(b<=n&&P.lastIndex>=n)return k;if(A>0&&b>A)return null}return null}}),define(ge[139],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var _;(function(D){D[D.None=0]="None",D[D.Indent=1]="Indent",D[D.IndentOutdent=2]="IndentOutdent",D[D.Outdent=3]="Outdent"})(_=e.IndentAction||(e.IndentAction={}));class y{constructor(P){if(this.open=P.open,this.close=P.close,this._standardTokenMask=0,Array.isArray(P.notIn))for(let E=0,n=P.notIn.length;E<n;E++)switch(P.notIn[E]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(P){return(this._standardTokenMask&P)==0}}e.StandardAutoClosingPairConditional=y;class R{constructor(P){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const E of P)I(this.autoClosingPairsOpenByStart,E.open.charAt(0),E),I(this.autoClosingPairsOpenByEnd,E.open.charAt(E.open.length-1),E),I(this.autoClosingPairsCloseByStart,E.close.charAt(0),E),I(this.autoClosingPairsCloseByEnd,E.close.charAt(E.close.length-1),E),E.close.length===1&&E.open.length===1&&I(this.autoClosingPairsCloseSingleChar,E.close,E)}}e.AutoClosingPairs=R;function I(D,P,E){D.has(P)?D.get(P).push(E):D.set(P,[E])}}),define(ge[77],pe([0,1,34,7]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function R(I,D,P,E){if(Array.isArray(I)){let n=0;for(const A of I){const k=R(A,D,P,E);if(k===10)return k;k>n&&(n=k)}return n}else{if(typeof I=="string")return E?I==="*"?5:I===P?10:0:0;if(I){const{language:n,pattern:A,scheme:k,hasAccessToAllModels:b}=I;if(!E&&!b)return 0;let h=0;if(k)if(k===D.scheme)h=10;else if(k==="*")h=5;else return 0;if(n)if(n===P)h=10;else if(n==="*")h=Math.max(h,5);else return 0;if(A){let l;if(typeof A=="string"?l=A:l=Object.assign(Object.assign({},A),{base:(0,y.normalize)(A.base)}),l===D.fsPath||(0,_.match)(l,D.fsPath))h=10;else return 0}return h}else return 0}}e.score=R}),define(ge[140],pe([0,1,103]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var y;(function(h){h[h.Invalid=0]="Invalid",h[h.Start=1]="Start",h[h.H=2]="H",h[h.HT=3]="HT",h[h.HTT=4]="HTT",h[h.HTTP=5]="HTTP",h[h.F=6]="F",h[h.FI=7]="FI",h[h.FIL=8]="FIL",h[h.BeforeColon=9]="BeforeColon",h[h.AfterColon=10]="AfterColon",h[h.AlmostThere=11]="AlmostThere",h[h.End=12]="End",h[h.Accept=13]="Accept",h[h.LastKnownState=14]="LastKnownState"})(y=e.State||(e.State={}));class R{constructor(l,g,S){const p=new Uint8Array(l*g);for(let w=0,d=l*g;w<d;w++)p[w]=S;this._data=p,this.rows=l,this.cols=g}get(l,g){return this._data[l*this.cols+g]}set(l,g,S){this._data[l*this.cols+g]=S}}e.Uint8Matrix=R;class I{constructor(l){let g=0,S=0;for(let w=0,d=l.length;w<d;w++){let[u,a,t]=l[w];a>g&&(g=a),u>S&&(S=u),t>S&&(S=t)}g++,S++;let p=new R(S,g,0);for(let w=0,d=l.length;w<d;w++){let[u,a,t]=l[w];p.set(u,a,t)}this._states=p,this._maxCharCode=g}nextState(l,g){return g<0||g>=this._maxCharCode?0:this._states.get(l,g)}}e.StateMachine=I;let D=null;function P(){return D===null&&(D=new I([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),D}var E;(function(h){h[h.None=0]="None",h[h.ForceTermination=1]="ForceTermination",h[h.CannotEndIn=2]="CannotEndIn"})(E||(E={}));let n=null;function A(){if(n===null){n=new _.CharacterClassifier(0);const h=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let g=0;g<h.length;g++)n.set(h.charCodeAt(g),1);const l=".,;";for(let g=0;g<l.length;g++)n.set(l.charCodeAt(g),2)}return n}class k{static _createLink(l,g,S,p,w){let d=w-1;do{const u=g.charCodeAt(d);if(l.get(u)!==2)break;d--}while(d>p);if(p>0){const u=g.charCodeAt(p-1),a=g.charCodeAt(d);(u===40&&a===41||u===91&&a===93||u===123&&a===125)&&d--}return{range:{startLineNumber:S,startColumn:p+1,endLineNumber:S,endColumn:d+2},url:g.substring(p,d+1)}}static computeLinks(l,g=P()){const S=A();let p=[];for(let w=1,d=l.getLineCount();w<=d;w++){const u=l.getLineContent(w),a=u.length;let t=0,i=0,s=0,o=1,r=!1,c=!1,v=!1,C=!1;for(;t<a;){let m=!1;const f=u.charCodeAt(t);if(o===13){let T;switch(f){case 40:r=!0,T=0;break;case 41:T=r?0:1;break;case 91:v=!0,c=!0,T=0;break;case 93:v=!1,T=c?0:1;break;case 123:C=!0,T=0;break;case 125:T=C?0:1;break;case 39:T=s===34||s===96?0:1;break;case 34:T=s===39||s===96?0:1;break;case 96:T=s===39||s===34?0:1;break;case 42:T=s===42?1:0;break;case 124:T=s===124?1:0;break;case 32:T=v?0:1;break;default:T=S.get(f)}T===1&&(p.push(k._createLink(S,u,w,i,t)),m=!0)}else if(o===12){let T;f===91?(c=!0,T=0):T=S.get(f),T===1?m=!0:o=13}else o=g.nextState(o,f),o===0&&(m=!0);m&&(o=1,r=!1,c=!1,C=!1,i=t+1,s=f),t++}o===13&&p.push(k._createLink(S,u,w,i,a))}return p}}e.LinkComputer=k;function b(h){return!h||typeof h.getLineCount!="function"||typeof h.getLineContent!="function"?[]:k.computeLinks(h)}e.computeLinks=b}),define(ge[141],pe([0,1,3,6]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class R{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new _.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(D){this._onDidChange.fire({changedLanguages:D,changedColorMap:!1})}register(D,P){return this._map.set(D,P),this.fire([D]),(0,y.toDisposable)(()=>{this._map.get(D)===P&&(this._map.delete(D),this.fire([D]))})}registerPromise(D,P){let E=null,n=!1;return this._promises.set(D,P.then(A=>{this._promises.delete(D),!(n||!A)&&(E=this.register(D,A))})),(0,y.toDisposable)(()=>{n=!0,E&&E.dispose()})}getPromise(D){const P=this.get(D);if(P)return Promise.resolve(P);const E=this._promises.get(D);return E?E.then(n=>this.get(D)):null}get(D){return this._map.get(D)||null}setColorMap(D){this._colorMap=D,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=R}),define(ge[106],pe([0,1,26,10]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var R;(function(k){k[k.Full=1]="Full",k[k.Delta=2]="Delta"})(R||(R={}));function I(k){for(let b=0,h=k.length;b<h;b+=4){const l=k[b+0],g=k[b+1],S=k[b+2],p=k[b+3];k[b+0]=p,k[b+1]=S,k[b+2]=g,k[b+3]=l}}function D(k){const b=new Uint8Array(k.buffer,k.byteOffset,k.length*4);return y.isLittleEndian()||I(b),_.VSBuffer.wrap(b)}function P(k){const b=k.buffer;if(y.isLittleEndian()||I(b),b.byteOffset%4==0)return new Uint32Array(b.buffer,b.byteOffset,b.length/4);{const h=new Uint8Array(b.byteLength);return h.set(b),new Uint32Array(h.buffer,h.byteOffset,h.length/4)}}function E(k){const b=new Uint32Array(n(k));let h=0;if(b[h++]=k.id,k.type==="full")b[h++]=1,b[h++]=k.data.length,b.set(k.data,h),h+=k.data.length;else{b[h++]=2,b[h++]=k.deltas.length;for(const l of k.deltas)b[h++]=l.start,b[h++]=l.deleteCount,l.data?(b[h++]=l.data.length,b.set(l.data,h),h+=l.data.length):b[h++]=0}return D(b)}e.encodeSemanticTokensDto=E;function n(k){let b=0;if(b+=1+1,k.type==="full")b+=1+k.data.length;else{b+=1,b+=(1+1+1)*k.deltas.length;for(const h of k.deltas)h.data&&(b+=h.data.length)}return b}function A(k){const b=P(k);let h=0;const l=b[h++];if(b[h++]===1){const w=b[h++],d=b.subarray(h,h+w);return h+=w,{id:l,type:"full",data:d}}const S=b[h++];let p=[];for(let w=0;w<S;w++){const d=b[h++],u=b[h++],a=b[h++];let t;a>0&&(t=b.subarray(h,h+a),h+=a),p[w]={start:d,deleteCount:u,data:t}}return{id:l,type:"delta",deltas:p}}e.decodeSemanticTokensDto=A}),define(ge[107],pe([0,1,92]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class y{constructor(D,P){this.index=D,this.remainder=P}}e.PrefixSumIndexOfResult=y;class R{constructor(D){this.values=D,this.prefixSum=new Uint32Array(D.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(D,P){D=(0,_.toUint32)(D);const E=this.values,n=this.prefixSum,A=P.length;return A===0?!1:(this.values=new Uint32Array(E.length+A),this.values.set(E.subarray(0,D),0),this.values.set(E.subarray(D),D+A),this.values.set(P,D),D-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=D-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(n.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(D,P){return D=(0,_.toUint32)(D),P=(0,_.toUint32)(P),this.values[D]===P?!1:(this.values[D]=P,D-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=D-1),!0)}removeValues(D,P){D=(0,_.toUint32)(D),P=(0,_.toUint32)(P);const E=this.values,n=this.prefixSum;if(D>=E.length)return!1;let A=E.length-D;return P>=A&&(P=A),P===0?!1:(this.values=new Uint32Array(E.length-P),this.values.set(E.subarray(0,D),0),this.values.set(E.subarray(D+P),D),this.prefixSum=new Uint32Array(this.values.length),D-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=D-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(n.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(D){return D<0?0:(D=(0,_.toUint32)(D),this._getAccumulatedValue(D))}_getAccumulatedValue(D){if(D<=this.prefixSumValidIndex[0])return this.prefixSum[D];let P=this.prefixSumValidIndex[0]+1;P===0&&(this.prefixSum[0]=this.values[0],P++),D>=this.values.length&&(D=this.values.length-1);for(let E=P;E<=D;E++)this.prefixSum[E]=this.prefixSum[E-1]+this.values[E];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],D),this.prefixSum[D]}getIndexOf(D){D=Math.floor(D),this.getTotalValue();let P=0,E=this.values.length-1,n=0,A=0,k=0;for(;P<=E;)if(n=P+(E-P)/2|0,A=this.prefixSum[n],k=A-this.values[n],D<k)E=n-1;else if(D>=A)P=n+1;else break;return new y(n,D-k)}}e.PrefixSumComputer=R}),define(ge[142],pe([0,1,9,49,107]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class I{constructor(P,E,n,A){this._uri=P,this._lines=E,this._eol=n,this._versionId=A,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(P){P.eol&&P.eol!==this._eol&&(this._eol=P.eol,this._lineStarts=null);const E=P.changes;for(const n of E)this._acceptDeleteRange(n.range),this._acceptInsertText(new y.Position(n.range.startLineNumber,n.range.startColumn),n.text);this._versionId=P.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const P=this._eol.length,E=this._lines.length,n=new Uint32Array(E);for(let A=0;A<E;A++)n[A]=this._lines[A].length+P;this._lineStarts=new R.PrefixSumComputer(n)}}_setLineText(P,E){this._lines[P]=E,this._lineStarts&&this._lineStarts.changeValue(P,this._lines[P].length+this._eol.length)}_acceptDeleteRange(P){if(P.startLineNumber===P.endLineNumber){if(P.startColumn===P.endColumn)return;this._setLineText(P.startLineNumber-1,this._lines[P.startLineNumber-1].substring(0,P.startColumn-1)+this._lines[P.startLineNumber-1].substring(P.endColumn-1));return}this._setLineText(P.startLineNumber-1,this._lines[P.startLineNumber-1].substring(0,P.startColumn-1)+this._lines[P.endLineNumber-1].substring(P.endColumn-1)),this._lines.splice(P.startLineNumber,P.endLineNumber-P.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(P.startLineNumber,P.endLineNumber-P.startLineNumber)}_acceptInsertText(P,E){if(E.length!==0){let n=(0,_.splitLines)(E);if(n.length===1){this._setLineText(P.lineNumber-1,this._lines[P.lineNumber-1].substring(0,P.column-1)+n[0]+this._lines[P.lineNumber-1].substring(P.column-1));return}n[n.length-1]+=this._lines[P.lineNumber-1].substring(P.column-1),this._setLineText(P.lineNumber-1,this._lines[P.lineNumber-1].substring(0,P.column-1)+n[0]);let A=new Uint32Array(n.length-1);for(let k=1;k<n.length;k++)this._lines.splice(P.lineNumber+k-1,0,n[k]),A[k-1]=n[k].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(P.lineNumber,A)}}}e.MirrorTextModel=I}),define(ge[143],pe([16,17]),function(J,e){return J.create("vs/base/common/date",e)}),define(ge[144],pe([0,1,143]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const y=60,R=y*60,I=R*24,D=I*7,P=I*30,E=I*365;function n(k,b){typeof k!="number"&&(k=k.getTime());const h=Math.round((new Date().getTime()-k)/1e3);if(h<-30)return(0,_.localize)(0,null,n(new Date().getTime()+h*1e3,!1));if(h<30)return(0,_.localize)(1,null);let l;return h<y?(l=h,b?l===1?(0,_.localize)(2,null,l):(0,_.localize)(3,null,l):l===1?(0,_.localize)(4,null,l):(0,_.localize)(5,null,l)):h<R?(l=Math.floor(h/y),b?l===1?(0,_.localize)(6,null,l):(0,_.localize)(7,null,l):l===1?(0,_.localize)(8,null,l):(0,_.localize)(9,null,l)):h<I?(l=Math.floor(h/R),b?l===1?(0,_.localize)(10,null,l):(0,_.localize)(11,null,l):l===1?(0,_.localize)(12,null,l):(0,_.localize)(13,null,l)):h<D?(l=Math.floor(h/I),b?l===1?(0,_.localize)(14,null,l):(0,_.localize)(15,null,l):l===1?(0,_.localize)(16,null,l):(0,_.localize)(17,null,l)):h<P?(l=Math.floor(h/D),b?l===1?(0,_.localize)(18,null,l):(0,_.localize)(19,null,l):l===1?(0,_.localize)(20,null,l):(0,_.localize)(21,null,l)):h<E?(l=Math.floor(h/P),b?l===1?(0,_.localize)(22,null,l):(0,_.localize)(23,null,l):l===1?(0,_.localize)(24,null,l):(0,_.localize)(25,null,l)):(l=Math.floor(h/E),b?l===1?(0,_.localize)(26,null,l):(0,_.localize)(27,null,l):l===1?(0,_.localize)(28,null,l):(0,_.localize)(29,null,l))}e.fromNow=n;function A(k){return k.getFullYear()+"-"+String(k.getMonth()+1).padStart(2,"0")+"-"+String(k.getDate()).padStart(2,"0")+"T"+String(k.getHours()).padStart(2,"0")+":"+String(k.getMinutes()).padStart(2,"0")+":"+String(k.getSeconds()).padStart(2,"0")+"."+(k.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=A}),define(ge[145],pe([16,17]),function(J,e){return J.create("vs/base/common/errorMessage",e)}),define(ge[58],pe([0,1,145,15,12]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function I(n,A){return A&&(n.stack||n.stacktrace)?_.localize(0,null,P(n),D(n.stack)||D(n.stacktrace)):P(n)}function D(n){return Array.isArray(n)?n.join(`
`):n}function P(n){return typeof n.code=="string"&&typeof n.errno=="number"&&typeof n.syscall=="string"?_.localize(1,null,n.message):n.message||_.localize(2,null)}function E(n=null,A=!1){if(!n)return _.localize(3,null);if(Array.isArray(n)){const k=R.coalesce(n),b=E(k[0],A);return k.length>1?_.localize(4,null,b,k.length):b}if(y.isString(n))return n;if(n.detail){const k=n.detail;if(k.error)return I(k.error,A);if(k.exception)return I(k.exception,A)}return n.stack?I(n,A):n.message?n.message:_.localize(5,null)}e.toErrorMessage=E}),define(ge[146],pe([16,17]),function(J,e){return J.create("vs/base/node/processes",e)}),define(ge[78],pe([0,1,7,37,25,39,146,30,15,22,31,10,135,11]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function l(a){switch(a){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function g(a,t){if(k.isWindows)try{const i={stdio:["pipe","pipe","ignore"]};t&&(i.cwd=t);const s=I.execFile("taskkill",["/T","/F","/PID",a.pid.toString()],i);return new Promise(o=>{s.once("error",r=>{o({success:!1,error:r})}),s.once("exit",(r,c)=>{o(r===0?{success:!0}:{success:!1,code:r!==null?r:1})})})}catch(i){return Promise.resolve({success:!1,error:i,code:i.status?l(i.status):1})}else if(k.isLinux||k.isMacintosh)try{const i=h.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",J).fsPath;return new Promise(s=>{I.execFile(i,[a.pid.toString()],{encoding:"utf8",shell:!0},(o,r,c)=>{s(o?{success:!1,error:o}:{success:!0})})})}catch(i){return Promise.resolve({success:!1,error:i})}else a.kill("SIGKILL");return Promise.resolve({success:!0})}function S(a=P.env){return a.comspec||"cmd.exe"}e.getWindowsShell=S;class p{constructor(t,i,s,o){if(i!==void 0&&s!==void 0&&o!==void 0)this.cmd=t,this.args=i,this.shell=s,this.options=o;else{const r=t;this.cmd=r.command,this.shell=r.isShellCommand,this.args=r.args.slice(0),this.options=r.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const r=Object.create(null);Object.keys(P.env).forEach(c=>{r[c]=P.env[c]}),Object.keys(this.options.env).forEach(c=>{r[c]=this.options.env[c]}),this.options.env=r}}getSanitizedCommand(){let t=this.cmd.toLowerCase();const i=t.lastIndexOf(_.sep);return i!==-1&&(t=t.substring(i+1)),p.WellKnowCommands[t]?t:"other"}start(t){return k.isWindows&&(this.options&&this.options.cwd&&A.isUNC(this.options.cwd)||!this.options&&A.isUNC(P.cwd()))?Promise.reject(new Error(D.localize(0,null))):this.useExec().then(i=>{let s,o;const r=new Promise((c,v)=>{s=c,o=v});if(i){let c=this.cmd;this.args&&(c=c+" "+this.args.join(" ")),this.childProcess=I.exec(c,this.options,(v,C,m)=>{this.childProcess=null;const f=v;f&&f.killed?o({killed:this.terminateRequested,stdout:C.toString(),stderr:m.toString()}):this.handleExec(s,t,v,C,m)})}else{let c=null;const v=C=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(C,s,t,o);const m={terminated:this.terminateRequested};E.isNumber(C)&&(m.cmdCode=C),s(m)};if(this.shell&&k.isWindows){const C=n.deepClone(this.options);C.windowsVerbatimArguments=!0,C.detached=!1;let m=!1,f=!1;const T=[];let L=this.ensureQuotes(this.cmd);T.push(L.value),m=L.quoted,this.args&&this.args.forEach(te=>{L=this.ensureQuotes(te),T.push(L.value),f=f&&L.quoted});const B=["/s","/c"];m?f?B.push('"'+T.join(" ")+'"'):T.length>1?B.push('"'+T[0]+'" '+T.slice(1).join(" ")):B.push('"'+T[0]+'"'):B.push(T.join(" ")),c=I.spawn(S(),B,C)}else this.cmd&&(c=I.spawn(this.cmd,this.args,this.options));c&&(this.childProcess=c,this.childProcessPromise=Promise.resolve(c),this.pidResolve&&(this.pidResolve(E.isNumber(c.pid)?c.pid:-1),this.pidResolve=void 0),c.on("error",C=>{this.childProcess=null,o({terminated:this.terminateRequested,error:C})}),c.pid&&(this.childProcess.on("close",v),this.handleSpawn(c,s,t,o,!0)))}return r})}handleClose(t,i,s,o){}ensureQuotes(t){return p.regexp.test(t)?{value:'"'+t+'"',quoted:!0}:{value:t,quoted:t.length>0&&t[0]==='"'&&t[t.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(t=>t.pid,t=>-1):new Promise(t=>{this.pidResolve=t})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(t=>(this.terminateRequested=!0,g(t,this.options.cwd).then(i=>(i.success&&(this.childProcess=null),i))),t=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(t=>{if(!this.shell||!k.isWindows)return t(!1);const i=I.spawn(S(),["/s","/c"]);i.on("error",s=>t(!0)),i.on("exit",s=>t(!1))})}}e.AbstractProcess=p,p.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},p.regexp=/^[^"].* .*[^"]/;class w extends p{constructor(t,i,s,o){super(t,i,s,o);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(t,i,s,o,r){[o,r].forEach((c,v)=>{const C=new b.LineDecoder;C.write(c).forEach(T=>{i({line:T,source:v===0?0:1})});const f=C.end();f&&i({line:f,source:v===0?0:1})}),t({terminated:this.terminateRequested,error:s})}handleSpawn(t,i,s,o,r){const c=new b.LineDecoder,v=new b.LineDecoder;t.stdout.on("data",C=>{c.write(C).forEach(f=>s({line:f,source:0}))}),t.stderr.on("data",C=>{v.write(C).forEach(f=>s({line:f,source:1}))}),this.stdoutLineDecoder=c,this.stderrLineDecoder=v}handleClose(t,i,s,o){const r=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;r&&s({line:r,source:0});const c=this.stderrLineDecoder?this.stderrLineDecoder.end():null;c&&s({line:c,source:1})}}e.LineProcess=w;function d(a){let t=[],i=!1;const s=function(o){if(i){t.push(o);return}(!a.send(o,c=>{if(c&&console.error(c),i=!1,t.length>0){const v=t.slice(0);t=[],v.forEach(C=>s(C))}})||k.isWindows)&&(i=!0)};return{send:s}}e.createQueuedSender=d;var u;(function(a){async function t(i,s,o){if(_.isAbsolute(i))return i;if(s===void 0&&(s=P.cwd()),_.dirname(i)!=="."||(o===void 0&&E.isString(P.env.PATH)&&(o=P.env.PATH.split(_.delimiter)),o===void 0||o.length===0))return _.join(s,i);async function c(v){return await R.exists(v)?!(await y.promises.stat(v)).isDirectory():!1}for(let v of o){let C;if(_.isAbsolute(v)?C=_.join(v,i):C=_.join(s,v,i),await c(C))return C;let m=C+".com";if(await c(m)||(m=C+".exe",await c(m)))return m}return _.join(s,i)}a.findExecutable=t})(u=e.win32||(e.win32={}))}),define(ge[147],pe([0,1,48,10,100,78]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function D(h,l){return h===3?y.isWindows?k():I.getWindowsShell(l):n(h,l)}e.getSystemShell=D;function P(h,l){return h===3?y.isWindows?b(l):I.getWindowsShell(l):n(h,l)}e.getSystemShellSync=P;let E=null;function n(h,l){if(y.isLinux&&h===1||y.isMacintosh&&h===2)return"/bin/bash";if(!E){let g;if(y.isWindows)g="/bin/bash";else{if(g=l.SHELL,!g)try{g=_.userInfo().shell}catch(S){}g||(g="sh"),g==="/bin/false"&&(g="/bin/bash")}E=g}return E}let A=null;async function k(){return A||(A=(await(0,R.getFirstAvailablePowerShellInstallation)()).exePath),A}function b(h){if(A)return A;const l=y.isWindows&&parseFloat(_.release())>=10,g=h.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${h.windir}\\${g?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return l?S:I.getWindowsShell(h)}}),define(ge[148],pe([16,17]),function(J,e){return J.create("vs/editor/common/config/editorOptions",e)}),define(ge[149],pe([0,1,148,10,105]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var I;(function(K){K[K.None=0]="None",K[K.Keep=1]="Keep",K[K.Brackets=2]="Brackets",K[K.Advanced=3]="Advanced",K[K.Full=4]="Full"})(I=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class D{constructor(ie){this._values=ie}hasChanged(ie){return this._values[ie]}}e.ConfigurationChangedEvent=D;class P{constructor(){this._values=[]}_read(ie){return this._values[ie]}get(ie){return this._values[ie]}_write(ie,Se){this._values[ie]=Se}}e.ValidatedEditorOptions=P;class E{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=E;class n{constructor(ie,Se,Ne,ze){this.id=ie,this.name=Se,this.defaultValue=Ne,this.schema=ze}compute(ie,Se,Ne){return Ne}}class A{constructor(ie,Se=null){this.schema=void 0,this.id=ie,this.name="_never_",this.defaultValue=void 0,this.deps=Se}validate(ie){return this.defaultValue}}class k{constructor(ie,Se,Ne,ze){this.id=ie,this.name=Se,this.defaultValue=Ne,this.schema=ze}validate(ie){return typeof ie=="undefined"?this.defaultValue:ie}compute(ie,Se,Ne){return Ne}}function b(K,ie){return typeof K=="undefined"?ie:K==="false"?!1:Boolean(K)}e.boolean=b;class h extends k{constructor(ie,Se,Ne,ze=void 0){typeof ze!="undefined"&&(ze.type="boolean",ze.default=Ne),super(ie,Se,Ne,ze)}validate(ie){return b(ie,this.defaultValue)}}class l extends k{constructor(ie,Se,Ne,ze,xe,Je=void 0){typeof Je!="undefined"&&(Je.type="integer",Je.default=Ne,Je.minimum=ze,Je.maximum=xe),super(ie,Se,Ne,Je),this.minimum=ze,this.maximum=xe}static clampedInt(ie,Se,Ne,ze){if(typeof ie=="undefined")return Se;let xe=parseInt(ie,10);return isNaN(xe)?Se:(xe=Math.max(Ne,xe),xe=Math.min(ze,xe),xe|0)}validate(ie){return l.clampedInt(ie,this.defaultValue,this.minimum,this.maximum)}}class g extends k{constructor(ie,Se,Ne,ze,xe){typeof xe!="undefined"&&(xe.type="number",xe.default=Ne),super(ie,Se,Ne,xe),this.validationFn=ze}static clamp(ie,Se,Ne){return ie<Se?Se:ie>Ne?Ne:ie}static float(ie,Se){if(typeof ie=="number")return ie;if(typeof ie=="undefined")return Se;const Ne=parseFloat(ie);return isNaN(Ne)?Se:Ne}validate(ie){return this.validationFn(g.float(ie,this.defaultValue))}}class S extends k{static string(ie,Se){return typeof ie!="string"?Se:ie}constructor(ie,Se,Ne,ze=void 0){typeof ze!="undefined"&&(ze.type="string",ze.default=Ne),super(ie,Se,Ne,ze)}validate(ie){return S.string(ie,this.defaultValue)}}function p(K,ie,Se){return typeof K!="string"||Se.indexOf(K)===-1?ie:K}e.stringSet=p;class w extends k{constructor(ie,Se,Ne,ze,xe=void 0){typeof xe!="undefined"&&(xe.type="string",xe.enum=ze,xe.default=Ne),super(ie,Se,Ne,xe),this._allowedValues=ze}validate(ie){return p(ie,this.defaultValue,this._allowedValues)}}class d extends n{constructor(ie,Se,Ne,ze,xe,Je,G=void 0){typeof G!="undefined"&&(G.type="string",G.enum=xe,G.default=ze),super(ie,Se,Ne,G),this._allowedValues=xe,this._convert=Je}validate(ie){return typeof ie!="string"?this.defaultValue:this._allowedValues.indexOf(ie)===-1?this.defaultValue:this._convert(ie)}}function u(K){switch(K){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class a extends n{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[_.localize(0,null),_.localize(1,null),_.localize(2,null)],default:"auto",description:_.localize(3,null)})}validate(ie){switch(ie){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(ie,Se,Ne){return Ne===0?ie.accessibilitySupport:Ne}}class t extends n{constructor(){const ie={insertSpace:!0,ignoreEmptyLines:!0};super(16,"comments",ie,{"editor.comments.insertSpace":{type:"boolean",default:ie.insertSpace,description:_.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:ie.ignoreEmptyLines,description:_.localize(5,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{insertSpace:b(Se.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:b(Se.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var i;(function(K){K[K.Hidden=0]="Hidden",K[K.Blink=1]="Blink",K[K.Smooth=2]="Smooth",K[K.Phase=3]="Phase",K[K.Expand=4]="Expand",K[K.Solid=5]="Solid"})(i=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function s(K){switch(K){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var o;(function(K){K[K.Line=1]="Line",K[K.Block=2]="Block",K[K.Underline=3]="Underline",K[K.LineThin=4]="LineThin",K[K.BlockOutline=5]="BlockOutline",K[K.UnderlineThin=6]="UnderlineThin"})(o=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function r(K){switch(K){case o.Line:return"line";case o.Block:return"block";case o.Underline:return"underline";case o.LineThin:return"line-thin";case o.BlockOutline:return"block-outline";case o.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=r;function c(K){switch(K){case"line":return o.Line;case"block":return o.Block;case"underline":return o.Underline;case"line-thin":return o.LineThin;case"block-outline":return o.BlockOutline;case"underline-thin":return o.UnderlineThin}}class v extends A{constructor(){super(121,[60,29])}compute(ie,Se,Ne){const ze=["monaco-editor"];return Se.get(29)&&ze.push(Se.get(29)),ie.extraEditorClassName&&ze.push(ie.extraEditorClassName),Se.get(60)==="default"?ze.push("mouse-default"):Se.get(60)==="copy"&&ze.push("mouse-copy"),Se.get(95)&&ze.push("showUnused"),Se.get(119)&&ze.push("showDeprecated"),ze.join(" ")}}class C extends h{constructor(){super(28,"emptySelectionClipboard",!0,{description:_.localize(6,null)})}compute(ie,Se,Ne){return Ne&&ie.emptySelectionClipboard}}class m extends n{constructor(){const ie={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(31,"find",ie,{"editor.find.cursorMoveOnType":{type:"boolean",default:ie.cursorMoveOnType,description:_.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:ie.seedSearchStringFromSelection,description:_.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:ie.autoFindInSelection,enumDescriptions:[_.localize(9,null),_.localize(10,null),_.localize(11,null)],description:_.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:ie.globalFindClipboard,description:_.localize(13,null),included:y.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:ie.addExtraSpaceOnTop,description:_.localize(14,null)},"editor.find.loop":{type:"boolean",default:ie.loop,description:_.localize(15,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{cursorMoveOnType:b(Se.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:b(Se.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof ie.autoFindInSelection=="boolean"?ie.autoFindInSelection?"always":"never":p(Se.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:b(Se.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:b(Se.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:b(Se.loop,this.defaultValue.loop)}}}class f extends n{constructor(){super(39,"fontLigatures",f.OFF,{anyOf:[{type:"boolean",description:_.localize(16,null)},{type:"string",description:_.localize(17,null)}],description:_.localize(18,null),default:!1})}validate(ie){return typeof ie=="undefined"?this.defaultValue:typeof ie=="string"?ie==="false"?f.OFF:ie==="true"?f.ON:ie:Boolean(ie)?f.ON:f.OFF}}e.EditorFontLigatures=f,f.OFF='"liga" off, "calt" off',f.ON='"liga" on, "calt" on';class T extends A{constructor(){super(38)}compute(ie,Se,Ne){return ie.fontInfo}}class L extends k{constructor(){super(40,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:_.localize(19,null)})}validate(ie){let Se=g.float(ie,this.defaultValue);return Se===0?e.EDITOR_FONT_DEFAULTS.fontSize:g.clamp(Se,6,100)}compute(ie,Se,Ne){return ie.fontInfo.fontSize}}class B extends n{constructor(){super(41,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:B.MINIMUM_VALUE,maximum:B.MAXIMUM_VALUE,errorMessage:_.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:B.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:_.localize(21,null)})}validate(ie){return ie==="normal"||ie==="bold"?ie:String(l.clampedInt(ie,e.EDITOR_FONT_DEFAULTS.fontWeight,B.MINIMUM_VALUE,B.MAXIMUM_VALUE))}}B.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],B.MINIMUM_VALUE=1,B.MAXIMUM_VALUE=1e3;class te extends n{constructor(){const ie={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},Se={type:"string",enum:["peek","gotoAndPeek","goto"],default:ie.multiple,enumDescriptions:[_.localize(22,null),_.localize(23,null),_.localize(24,null)]};super(45,"gotoLocation",ie,{"editor.gotoLocation.multiple":{deprecationMessage:_.localize(25,null)},"editor.gotoLocation.multipleDefinitions":Object.assign({description:_.localize(26,null)},Se),"editor.gotoLocation.multipleTypeDefinitions":Object.assign({description:_.localize(27,null)},Se),"editor.gotoLocation.multipleDeclarations":Object.assign({description:_.localize(28,null)},Se),"editor.gotoLocation.multipleImplementations":Object.assign({description:_.localize(29,null)},Se),"editor.gotoLocation.multipleReferences":Object.assign({description:_.localize(30,null)},Se),"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:ie.alternativeDefinitionCommand,description:_.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:ie.alternativeTypeDefinitionCommand,description:_.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:ie.alternativeDeclarationCommand,description:_.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:ie.alternativeImplementationCommand,description:_.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:ie.alternativeReferenceCommand,description:_.localize(35,null)}})}validate(ie){var Se,Ne,ze,xe,Je;if(!ie||typeof ie!="object")return this.defaultValue;const G=ie;return{multiple:p(G.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:(Se=G.multipleDefinitions)!==null&&Se!==void 0?Se:p(G.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:(Ne=G.multipleTypeDefinitions)!==null&&Ne!==void 0?Ne:p(G.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:(ze=G.multipleDeclarations)!==null&&ze!==void 0?ze:p(G.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:(xe=G.multipleImplementations)!==null&&xe!==void 0?xe:p(G.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:(Je=G.multipleReferences)!==null&&Je!==void 0?Je:p(G.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:S.string(G.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:S.string(G.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:S.string(G.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:S.string(G.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:S.string(G.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class j extends n{constructor(){const ie={enabled:!0,delay:300,sticky:!0};super(48,"hover",ie,{"editor.hover.enabled":{type:"boolean",default:ie.enabled,description:_.localize(36,null)},"editor.hover.delay":{type:"number",default:ie.delay,description:_.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:ie.sticky,description:_.localize(38,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),delay:l.clampedInt(Se.delay,this.defaultValue.delay,0,1e4),sticky:b(Se.sticky,this.defaultValue.sticky)}}}var W;(function(K){K[K.None=0]="None",K[K.Text=1]="Text",K[K.Blocks=2]="Blocks"})(W=e.RenderMinimap||(e.RenderMinimap={}));class $ extends A{constructor(){super(124,[44,52,33,59,87,54,55,89,111,114,115,116,2])}compute(ie,Se,Ne){return $.computeLayout(Se,{memory:ie.memory,outerWidth:ie.outerWidth,outerHeight:ie.outerHeight,isDominatedByLongLines:ie.isDominatedByLongLines,lineHeight:ie.fontInfo.lineHeight,viewLineCount:ie.viewLineCount,lineNumbersDigitCount:ie.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:ie.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:ie.fontInfo.maxDigitWidth,pixelRatio:ie.pixelRatio})}static computeContainedMinimapLineCount(ie){const Se=ie.height/ie.lineHeight,Ne=ie.scrollBeyondLastLine?Se-1:0,ze=(ie.viewLineCount+Ne)/(ie.pixelRatio*ie.height),xe=Math.floor(ie.viewLineCount/ze);return{typicalViewportLineCount:Se,extraLinesBeyondLastLine:Ne,desiredRatio:ze,minimapLineCount:xe}}static _computeMinimapLayout(ie,Se){const Ne=ie.outerWidth,ze=ie.outerHeight,xe=ie.pixelRatio;if(!ie.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(xe*ze),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:ze};const Je=Se.stableMinimapLayoutInput,G=Je&&ie.outerHeight===Je.outerHeight&&ie.lineHeight===Je.lineHeight&&ie.typicalHalfwidthCharacterWidth===Je.typicalHalfwidthCharacterWidth&&ie.pixelRatio===Je.pixelRatio&&ie.scrollBeyondLastLine===Je.scrollBeyondLastLine&&ie.minimap.enabled===Je.minimap.enabled&&ie.minimap.side===Je.minimap.side&&ie.minimap.size===Je.minimap.size&&ie.minimap.showSlider===Je.minimap.showSlider&&ie.minimap.renderCharacters===Je.minimap.renderCharacters&&ie.minimap.maxColumn===Je.minimap.maxColumn&&ie.minimap.scale===Je.minimap.scale&&ie.verticalScrollbarWidth===Je.verticalScrollbarWidth&&ie.isViewportWrapping===Je.isViewportWrapping,oe=ie.lineHeight,ue=ie.typicalHalfwidthCharacterWidth,Y=ie.scrollBeyondLastLine,ne=ie.minimap.renderCharacters;let le=xe>=2?Math.round(ie.minimap.scale*2):ie.minimap.scale;const me=ie.minimap.maxColumn,Ee=ie.minimap.size,He=ie.minimap.side,Be=ie.verticalScrollbarWidth,qe=ie.viewLineCount,Xe=ie.remainingWidth,Ze=ie.isViewportWrapping,ut=ne?2:3;let st=Math.floor(xe*ze);const be=st/xe;let he=!1,ce=!1,Z=ut*le,Te=le/xe,Re=1;if(Ee==="fill"||Ee==="fit"){const{typicalViewportLineCount:dt,extraLinesBeyondLastLine:at,desiredRatio:Ct,minimapLineCount:gt}=$.computeContainedMinimapLineCount({viewLineCount:qe,scrollBeyondLastLine:Y,height:ze,lineHeight:oe,pixelRatio:xe});if(qe/gt>1)he=!0,ce=!0,le=1,Z=1,Te=le/xe;else{let Et=!1,St=le+1;if(Ee==="fit"){const mt=Math.ceil((qe+at)*Z);Ze&&G&&Xe<=Se.stableFitRemainingWidth?(Et=!0,St=Se.stableFitMaxMinimapScale):(Et=mt>st,Ze&&Et?(Se.stableMinimapLayoutInput=ie,Se.stableFitRemainingWidth=Xe):(Se.stableMinimapLayoutInput=null,Se.stableFitRemainingWidth=0))}if(Ee==="fill"||Et){he=!0;const mt=le;Z=Math.min(oe*xe,Math.max(1,Math.floor(1/Ct))),le=Math.min(St,Math.max(1,Math.floor(Z/ut))),le>mt&&(Re=Math.min(2,le/mt)),Te=le/xe/Re,st=Math.ceil(Math.max(dt,qe+at)*Z),Ze&&Et&&(Se.stableFitMaxMinimapScale=le)}}}const et=Math.floor(me*Te),Ke=Math.min(et,Math.max(0,Math.floor((Xe-Be-2)*Te/(ue+Te)))+e.MINIMAP_GUTTER_WIDTH);let rt=Math.floor(xe*Ke);const lt=rt/xe;rt=Math.floor(rt*Re);const Qe=ne?1:2,it=He==="left"?0:Ne-Ke-Be;return{renderMinimap:Qe,minimapLeft:it,minimapWidth:Ke,minimapHeightIsEditorHeight:he,minimapIsSampling:ce,minimapScale:le,minimapLineHeight:Z,minimapCanvasInnerWidth:rt,minimapCanvasInnerHeight:st,minimapCanvasOuterWidth:lt,minimapCanvasOuterHeight:be}}static computeLayout(ie,Se){const Ne=Se.outerWidth|0,ze=Se.outerHeight|0,xe=Se.lineHeight|0,Je=Se.lineNumbersDigitCount|0,G=Se.typicalHalfwidthCharacterWidth,oe=Se.maxDigitWidth,ue=Se.pixelRatio,Y=Se.viewLineCount,ne=ie.get(116),le=ne==="inherit"?ie.get(115):ne,me=le==="inherit"?ie.get(111):le,Ee=ie.get(114),He=ie.get(2),Be=Se.isDominatedByLongLines,qe=ie.get(44),Xe=ie.get(54).renderType!==0,Ze=ie.get(55),ut=ie.get(89),st=ie.get(59),be=ie.get(87),he=be.verticalScrollbarSize,ce=be.verticalHasArrows,Z=be.arrowSize,Te=be.horizontalScrollbarSize,Re=ie.get(52),et=ie.get(33);let Ke;if(typeof Re=="string"&&/^\d+(\.\d+)?ch$/.test(Re)){const ht=parseFloat(Re.substr(0,Re.length-2));Ke=l.clampedInt(ht*G,0,0,1e3)}else Ke=l.clampedInt(Re,0,0,1e3);et&&(Ke+=16);let rt=0;if(Xe){const ht=Math.max(Je,Ze);rt=Math.round(ht*oe)}let lt=0;qe&&(lt=xe);let Qe=0,it=Qe+lt,dt=it+rt,at=dt+Ke;const Ct=Ne-lt-rt-Ke;let gt=!1,kt=!1,Et=-1;He!==2&&(le==="inherit"&&Be?(gt=!0,kt=!0):me==="on"||me==="bounded"?kt=!0:me==="wordWrapColumn"&&(Et=Ee));const St=$._computeMinimapLayout({outerWidth:Ne,outerHeight:ze,lineHeight:xe,typicalHalfwidthCharacterWidth:G,pixelRatio:ue,scrollBeyondLastLine:ut,minimap:st,verticalScrollbarWidth:he,viewLineCount:Y,remainingWidth:Ct,isViewportWrapping:kt},Se.memory||new E);St.renderMinimap!==0&&St.minimapLeft===0&&(Qe+=St.minimapWidth,it+=St.minimapWidth,dt+=St.minimapWidth,at+=St.minimapWidth);const mt=Ct-St.minimapWidth,Lt=Math.max(1,Math.floor((mt-he-2)/G)),Ft=ce?Z:0;return kt&&(Et=Math.max(1,Lt),me==="bounded"&&(Et=Math.min(Et,Ee))),{width:Ne,height:ze,glyphMarginLeft:Qe,glyphMarginWidth:lt,lineNumbersLeft:it,lineNumbersWidth:rt,decorationsLeft:dt,decorationsWidth:Ke,contentLeft:at,contentWidth:mt,minimap:St,viewportColumn:Lt,isWordWrapMinified:gt,isViewportWrapping:kt,wrappingColumn:Et,verticalScrollbarWidth:he,horizontalScrollbarHeight:Te,overviewRuler:{top:Ft,width:he,height:ze-2*Ft,right:0}}}}e.EditorLayoutInfoComputer=$;class O extends n{constructor(){const ie={enabled:!0};super(51,"lightbulb",ie,{"editor.lightbulb.enabled":{type:"boolean",default:ie.enabled,description:_.localize(39,null)}})}validate(ie){return!ie||typeof ie!="object"?this.defaultValue:{enabled:b(ie.enabled,this.defaultValue.enabled)}}}class U extends n{constructor(){const ie={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(120,"inlineHints",ie,{"editor.inlineHints.enabled":{type:"boolean",default:ie.enabled,description:_.localize(40,null)},"editor.inlineHints.fontSize":{type:"number",default:ie.fontSize,description:_.localize(41,null)},"editor.inlineHints.fontFamily":{type:"string",default:ie.fontFamily,description:_.localize(42,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),fontSize:l.clampedInt(Se.fontSize,this.defaultValue.fontSize,0,100),fontFamily:S.string(Se.fontFamily,this.defaultValue.fontFamily)}}}class F extends l{constructor(){super(53,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,0,150,{description:_.localize(43,null)})}compute(ie,Se,Ne){return ie.fontInfo.lineHeight}}class N extends n{constructor(){const ie={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(59,"minimap",ie,{"editor.minimap.enabled":{type:"boolean",default:ie.enabled,description:_.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[_.localize(45,null),_.localize(46,null),_.localize(47,null)],default:ie.size,description:_.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:ie.side,description:_.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:ie.showSlider,description:_.localize(50,null)},"editor.minimap.scale":{type:"number",default:ie.scale,minimum:1,maximum:3,enum:[1,2,3],description:_.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:ie.renderCharacters,description:_.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:ie.maxColumn,description:_.localize(53,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),size:p(Se.size,this.defaultValue.size,["proportional","fill","fit"]),side:p(Se.side,this.defaultValue.side,["right","left"]),showSlider:p(Se.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:b(Se.renderCharacters,this.defaultValue.renderCharacters),scale:l.clampedInt(Se.scale,1,1,3),maxColumn:l.clampedInt(Se.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function M(K){return K==="ctrlCmd"?y.isMacintosh?"metaKey":"ctrlKey":"altKey"}class V extends n{constructor(){super(69,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:_.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:_.localize(55,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{top:l.clampedInt(Se.top,0,0,1e3),bottom:l.clampedInt(Se.bottom,0,0,1e3)}}}class q extends n{constructor(){const ie={enabled:!0,cycle:!1};super(70,"parameterHints",ie,{"editor.parameterHints.enabled":{type:"boolean",default:ie.enabled,description:_.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:ie.cycle,description:_.localize(57,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{enabled:b(Se.enabled,this.defaultValue.enabled),cycle:b(Se.cycle,this.defaultValue.cycle)}}}class X extends A{constructor(){super(122)}compute(ie,Se,Ne){return ie.pixelRatio}}class fe extends n{constructor(){const ie={other:!0,comments:!1,strings:!1};super(73,"quickSuggestions",ie,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:ie.strings,description:_.localize(58,null)},comments:{type:"boolean",default:ie.comments,description:_.localize(59,null)},other:{type:"boolean",default:ie.other,description:_.localize(60,null)}}}],default:ie,description:_.localize(61,null)});this.defaultValue=ie}validate(ie){if(typeof ie=="boolean")return ie;if(ie&&typeof ie=="object"){const Se=ie,Ne={other:b(Se.other,this.defaultValue.other),comments:b(Se.comments,this.defaultValue.comments),strings:b(Se.strings,this.defaultValue.strings)};return Ne.other&&Ne.comments&&Ne.strings?!0:!Ne.other&&!Ne.comments&&!Ne.strings?!1:Ne}return this.defaultValue}}var _e;(function(K){K[K.Off=0]="Off",K[K.On=1]="On",K[K.Relative=2]="Relative",K[K.Interval=3]="Interval",K[K.Custom=4]="Custom"})(_e=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Le extends n{constructor(){super(54,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[_.localize(62,null),_.localize(63,null),_.localize(64,null),_.localize(65,null)],default:"on",description:_.localize(66,null)})}validate(ie){let Se=this.defaultValue.renderType,Ne=this.defaultValue.renderFn;return typeof ie!="undefined"&&(typeof ie=="function"?(Se=4,Ne=ie):ie==="interval"?Se=3:ie==="relative"?Se=2:ie==="on"?Se=1:Se=0),{renderType:Se,renderFn:Ne}}}function Ie(K){const ie=K.get(82);return ie==="editable"?K.get(75):ie!=="on"}e.filterValidationDecorations=Ie;class Fe extends n{constructor(){const ie=[],Se={type:"number",description:_.localize(67,null)};super(86,"rulers",ie,{type:"array",items:{anyOf:[Se,{type:["object"],properties:{column:Se,color:{type:"string",description:_.localize(68,null),format:"color-hex"}}}]},default:ie,description:_.localize(69,null)})}validate(ie){if(Array.isArray(ie)){let Se=[];for(let Ne of ie)if(typeof Ne=="number")Se.push({column:l.clampedInt(Ne,0,0,1e4),color:null});else if(Ne&&typeof Ne=="object"){const ze=Ne;Se.push({column:l.clampedInt(ze.column,0,0,1e4),color:ze.color})}return Se.sort((Ne,ze)=>Ne.column-ze.column),Se}return this.defaultValue}}function z(K,ie){if(typeof K!="string")return ie;switch(K){case"hidden":return 2;case"visible":return 3;default:return 1}}class Q extends n{constructor(){super(87,"scrollbar",{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie,Ne=l.clampedInt(Se.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),ze=l.clampedInt(Se.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:l.clampedInt(Se.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:z(Se.vertical,this.defaultValue.vertical),horizontal:z(Se.horizontal,this.defaultValue.horizontal),useShadows:b(Se.useShadows,this.defaultValue.useShadows),verticalHasArrows:b(Se.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:b(Se.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:b(Se.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:b(Se.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Ne,horizontalSliderSize:l.clampedInt(Se.horizontalSliderSize,Ne,0,1e3),verticalScrollbarSize:ze,verticalSliderSize:l.clampedInt(Se.verticalSliderSize,ze,0,1e3),scrollByPage:b(Se.scrollByPage,this.defaultValue.scrollByPage)}}}class ee extends n{constructor(){const ie={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(101,"suggest",ie,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[_.localize(70,null),_.localize(71,null)],default:ie.insertMode,description:_.localize(72,null)},"editor.suggest.filterGraceful":{type:"boolean",default:ie.filterGraceful,description:_.localize(73,null)},"editor.suggest.localityBonus":{type:"boolean",default:ie.localityBonus,description:_.localize(74,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:ie.shareSuggestSelections,markdownDescription:_.localize(75,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:ie.snippetsPreventQuickSuggestions,description:_.localize(76,null)},"editor.suggest.showIcons":{type:"boolean",default:ie.showIcons,description:_.localize(77,null)},"editor.suggest.showStatusBar":{type:"boolean",default:ie.showStatusBar,description:_.localize(78,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:ie.showInlineDetails,description:_.localize(79,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:_.localize(80,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:_.localize(81,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:_.localize(82,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:_.localize(83,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:_.localize(84,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:_.localize(85,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:_.localize(86,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:_.localize(87,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:_.localize(88,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:_.localize(89,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:_.localize(90,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:_.localize(91,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:_.localize(92,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:_.localize(93,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:_.localize(94,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:_.localize(95,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:_.localize(96,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:_.localize(97,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:_.localize(98,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:_.localize(99,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:_.localize(100,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:_.localize(101,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:_.localize(102,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:_.localize(103,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:_.localize(104,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:_.localize(105,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:_.localize(106,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:_.localize(107,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:_.localize(108,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:_.localize(109,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Se=ie;return{insertMode:p(Se.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:b(Se.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:b(Se.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:b(Se.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:b(Se.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:b(Se.showIcons,this.defaultValue.showIcons),showStatusBar:b(Se.showStatusBar,this.defaultValue.showStatusBar),showInlineDetails:b(Se.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:b(Se.showMethods,this.defaultValue.showMethods),showFunctions:b(Se.showFunctions,this.defaultValue.showFunctions),showConstructors:b(Se.showConstructors,this.defaultValue.showConstructors),showFields:b(Se.showFields,this.defaultValue.showFields),showVariables:b(Se.showVariables,this.defaultValue.showVariables),showClasses:b(Se.showClasses,this.defaultValue.showClasses),showStructs:b(Se.showStructs,this.defaultValue.showStructs),showInterfaces:b(Se.showInterfaces,this.defaultValue.showInterfaces),showModules:b(Se.showModules,this.defaultValue.showModules),showProperties:b(Se.showProperties,this.defaultValue.showProperties),showEvents:b(Se.showEvents,this.defaultValue.showEvents),showOperators:b(Se.showOperators,this.defaultValue.showOperators),showUnits:b(Se.showUnits,this.defaultValue.showUnits),showValues:b(Se.showValues,this.defaultValue.showValues),showConstants:b(Se.showConstants,this.defaultValue.showConstants),showEnums:b(Se.showEnums,this.defaultValue.showEnums),showEnumMembers:b(Se.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:b(Se.showKeywords,this.defaultValue.showKeywords),showWords:b(Se.showWords,this.defaultValue.showWords),showColors:b(Se.showColors,this.defaultValue.showColors),showFiles:b(Se.showFiles,this.defaultValue.showFiles),showReferences:b(Se.showReferences,this.defaultValue.showReferences),showFolders:b(Se.showFolders,this.defaultValue.showFolders),showTypeParameters:b(Se.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:b(Se.showSnippets,this.defaultValue.showSnippets),showUsers:b(Se.showUsers,this.defaultValue.showUsers),showIssues:b(Se.showIssues,this.defaultValue.showIssues)}}}class ae extends n{constructor(){super(97,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:_.localize(110,null),default:!0,type:"boolean"}})}validate(ie){return!ie||typeof ie!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:b(ie.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class ve extends A{constructor(){super(123,[75])}compute(ie,Se,Ne){return Se.get(75)?!0:ie.tabFocusMode}}var De;(function(K){K[K.None=0]="None",K[K.Same=1]="Same",K[K.Indent=2]="Indent",K[K.DeepIndent=3]="DeepIndent"})(De=e.WrappingIndent||(e.WrappingIndent={}));function Me(K){switch(K){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class we extends A{constructor(){super(125,[124])}compute(ie,Se,Ne){const ze=Se.get(124);return{isDominatedByLongLines:ie.isDominatedByLongLines,isWordWrapMinified:ze.isWordWrapMinified,isViewportWrapping:ze.isViewportWrapping,wrappingColumn:ze.wrappingColumn}}}const ke="Consolas, 'Courier New', monospace",Ae="Menlo, Monaco, 'Courier New', monospace",We="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:y.isMacintosh?Ae:y.isLinux?We:ke,fontWeight:"normal",fontSize:y.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function ye(K){return e.editorOptionsRegistry[K.id]=K,K}var Ge;(function(K){K[K.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",K[K.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",K[K.accessibilitySupport=2]="accessibilitySupport",K[K.accessibilityPageSize=3]="accessibilityPageSize",K[K.ariaLabel=4]="ariaLabel",K[K.autoClosingBrackets=5]="autoClosingBrackets",K[K.autoClosingOvertype=6]="autoClosingOvertype",K[K.autoClosingQuotes=7]="autoClosingQuotes",K[K.autoIndent=8]="autoIndent",K[K.automaticLayout=9]="automaticLayout",K[K.autoSurround=10]="autoSurround",K[K.codeLens=11]="codeLens",K[K.codeLensFontFamily=12]="codeLensFontFamily",K[K.codeLensFontSize=13]="codeLensFontSize",K[K.colorDecorators=14]="colorDecorators",K[K.columnSelection=15]="columnSelection",K[K.comments=16]="comments",K[K.contextmenu=17]="contextmenu",K[K.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",K[K.cursorBlinking=19]="cursorBlinking",K[K.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",K[K.cursorStyle=21]="cursorStyle",K[K.cursorSurroundingLines=22]="cursorSurroundingLines",K[K.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",K[K.cursorWidth=24]="cursorWidth",K[K.disableLayerHinting=25]="disableLayerHinting",K[K.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",K[K.dragAndDrop=27]="dragAndDrop",K[K.emptySelectionClipboard=28]="emptySelectionClipboard",K[K.extraEditorClassName=29]="extraEditorClassName",K[K.fastScrollSensitivity=30]="fastScrollSensitivity",K[K.find=31]="find",K[K.fixedOverflowWidgets=32]="fixedOverflowWidgets",K[K.folding=33]="folding",K[K.foldingStrategy=34]="foldingStrategy",K[K.foldingHighlight=35]="foldingHighlight",K[K.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",K[K.fontFamily=37]="fontFamily",K[K.fontInfo=38]="fontInfo",K[K.fontLigatures=39]="fontLigatures",K[K.fontSize=40]="fontSize",K[K.fontWeight=41]="fontWeight",K[K.formatOnPaste=42]="formatOnPaste",K[K.formatOnType=43]="formatOnType",K[K.glyphMargin=44]="glyphMargin",K[K.gotoLocation=45]="gotoLocation",K[K.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",K[K.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",K[K.hover=48]="hover",K[K.inDiffEditor=49]="inDiffEditor",K[K.letterSpacing=50]="letterSpacing",K[K.lightbulb=51]="lightbulb",K[K.lineDecorationsWidth=52]="lineDecorationsWidth",K[K.lineHeight=53]="lineHeight",K[K.lineNumbers=54]="lineNumbers",K[K.lineNumbersMinChars=55]="lineNumbersMinChars",K[K.linkedEditing=56]="linkedEditing",K[K.links=57]="links",K[K.matchBrackets=58]="matchBrackets",K[K.minimap=59]="minimap",K[K.mouseStyle=60]="mouseStyle",K[K.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",K[K.mouseWheelZoom=62]="mouseWheelZoom",K[K.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",K[K.multiCursorModifier=64]="multiCursorModifier",K[K.multiCursorPaste=65]="multiCursorPaste",K[K.occurrencesHighlight=66]="occurrencesHighlight",K[K.overviewRulerBorder=67]="overviewRulerBorder",K[K.overviewRulerLanes=68]="overviewRulerLanes",K[K.padding=69]="padding",K[K.parameterHints=70]="parameterHints",K[K.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",K[K.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",K[K.quickSuggestions=73]="quickSuggestions",K[K.quickSuggestionsDelay=74]="quickSuggestionsDelay",K[K.readOnly=75]="readOnly",K[K.renameOnType=76]="renameOnType",K[K.renderControlCharacters=77]="renderControlCharacters",K[K.renderIndentGuides=78]="renderIndentGuides",K[K.renderFinalNewline=79]="renderFinalNewline",K[K.renderLineHighlight=80]="renderLineHighlight",K[K.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",K[K.renderValidationDecorations=82]="renderValidationDecorations",K[K.renderWhitespace=83]="renderWhitespace",K[K.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",K[K.roundedSelection=85]="roundedSelection",K[K.rulers=86]="rulers",K[K.scrollbar=87]="scrollbar",K[K.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",K[K.scrollBeyondLastLine=89]="scrollBeyondLastLine",K[K.scrollPredominantAxis=90]="scrollPredominantAxis",K[K.selectionClipboard=91]="selectionClipboard",K[K.selectionHighlight=92]="selectionHighlight",K[K.selectOnLineNumbers=93]="selectOnLineNumbers",K[K.showFoldingControls=94]="showFoldingControls",K[K.showUnused=95]="showUnused",K[K.snippetSuggestions=96]="snippetSuggestions",K[K.smartSelect=97]="smartSelect",K[K.smoothScrolling=98]="smoothScrolling",K[K.stickyTabStops=99]="stickyTabStops",K[K.stopRenderingLineAfter=100]="stopRenderingLineAfter",K[K.suggest=101]="suggest",K[K.suggestFontSize=102]="suggestFontSize",K[K.suggestLineHeight=103]="suggestLineHeight",K[K.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",K[K.suggestSelection=105]="suggestSelection",K[K.tabCompletion=106]="tabCompletion",K[K.tabIndex=107]="tabIndex",K[K.unusualLineTerminators=108]="unusualLineTerminators",K[K.useTabStops=109]="useTabStops",K[K.wordSeparators=110]="wordSeparators",K[K.wordWrap=111]="wordWrap",K[K.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",K[K.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",K[K.wordWrapColumn=114]="wordWrapColumn",K[K.wordWrapOverride1=115]="wordWrapOverride1",K[K.wordWrapOverride2=116]="wordWrapOverride2",K[K.wrappingIndent=117]="wrappingIndent",K[K.wrappingStrategy=118]="wrappingStrategy",K[K.showDeprecated=119]="showDeprecated",K[K.inlineHints=120]="inlineHints",K[K.editorClassName=121]="editorClassName",K[K.pixelRatio=122]="pixelRatio",K[K.tabFocusMode=123]="tabFocusMode",K[K.layoutInfo=124]="layoutInfo",K[K.wrappingInfo=125]="wrappingInfo"})(Ge=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:ye(new h(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:_.localize(111,null)})),acceptSuggestionOnEnter:ye(new w(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",_.localize(112,null),""],markdownDescription:_.localize(113,null)})),accessibilitySupport:ye(new a),accessibilityPageSize:ye(new l(3,"accessibilityPageSize",10,1,1073741824,{description:_.localize(114,null),deprecationMessage:_.localize(115,null)})),ariaLabel:ye(new S(4,"ariaLabel",_.localize(116,null))),autoClosingBrackets:ye(new w(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",_.localize(117,null),_.localize(118,null),""],description:_.localize(119,null)})),autoClosingOvertype:ye(new w(6,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",_.localize(120,null),""],description:_.localize(121,null)})),autoClosingQuotes:ye(new w(7,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",_.localize(122,null),_.localize(123,null),""],description:_.localize(124,null)})),autoIndent:ye(new d(8,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],u,{enumDescriptions:[_.localize(125,null),_.localize(126,null),_.localize(127,null),_.localize(128,null),_.localize(129,null)],description:_.localize(130,null)})),automaticLayout:ye(new h(9,"automaticLayout",!1)),autoSurround:ye(new w(10,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[_.localize(131,null),_.localize(132,null),_.localize(133,null),""],description:_.localize(134,null)})),stickyTabStops:ye(new h(99,"stickyTabStops",!1,{description:_.localize(135,null)})),codeLens:ye(new h(11,"codeLens",!0,{description:_.localize(136,null)})),codeLensFontFamily:ye(new S(12,"codeLensFontFamily","",{description:_.localize(137,null)})),codeLensFontSize:ye(new l(13,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,description:_.localize(138,null)})),colorDecorators:ye(new h(14,"colorDecorators",!0,{description:_.localize(139,null)})),columnSelection:ye(new h(15,"columnSelection",!1,{description:_.localize(140,null)})),comments:ye(new t),contextmenu:ye(new h(17,"contextmenu",!0)),copyWithSyntaxHighlighting:ye(new h(18,"copyWithSyntaxHighlighting",!0,{description:_.localize(141,null)})),cursorBlinking:ye(new d(19,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],s,{description:_.localize(142,null)})),cursorSmoothCaretAnimation:ye(new h(20,"cursorSmoothCaretAnimation",!1,{description:_.localize(143,null)})),cursorStyle:ye(new d(21,"cursorStyle",o.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],c,{description:_.localize(144,null)})),cursorSurroundingLines:ye(new l(22,"cursorSurroundingLines",0,0,1073741824,{description:_.localize(145,null)})),cursorSurroundingLinesStyle:ye(new w(23,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[_.localize(146,null),_.localize(147,null)],description:_.localize(148,null)})),cursorWidth:ye(new l(24,"cursorWidth",0,0,1073741824,{markdownDescription:_.localize(149,null)})),disableLayerHinting:ye(new h(25,"disableLayerHinting",!1)),disableMonospaceOptimizations:ye(new h(26,"disableMonospaceOptimizations",!1)),dragAndDrop:ye(new h(27,"dragAndDrop",!0,{description:_.localize(150,null)})),emptySelectionClipboard:ye(new C),extraEditorClassName:ye(new S(29,"extraEditorClassName","")),fastScrollSensitivity:ye(new g(30,"fastScrollSensitivity",5,K=>K<=0?5:K,{markdownDescription:_.localize(151,null)})),find:ye(new m),fixedOverflowWidgets:ye(new h(32,"fixedOverflowWidgets",!1)),folding:ye(new h(33,"folding",!0,{description:_.localize(152,null)})),foldingStrategy:ye(new w(34,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[_.localize(153,null),_.localize(154,null)],description:_.localize(155,null)})),foldingHighlight:ye(new h(35,"foldingHighlight",!0,{description:_.localize(156,null)})),unfoldOnClickAfterEndOfLine:ye(new h(36,"unfoldOnClickAfterEndOfLine",!1,{description:_.localize(157,null)})),fontFamily:ye(new S(37,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:_.localize(158,null)})),fontInfo:ye(new T),fontLigatures2:ye(new f),fontSize:ye(new L),fontWeight:ye(new B),formatOnPaste:ye(new h(42,"formatOnPaste",!1,{description:_.localize(159,null)})),formatOnType:ye(new h(43,"formatOnType",!1,{description:_.localize(160,null)})),glyphMargin:ye(new h(44,"glyphMargin",!0,{description:_.localize(161,null)})),gotoLocation:ye(new te),hideCursorInOverviewRuler:ye(new h(46,"hideCursorInOverviewRuler",!1,{description:_.localize(162,null)})),highlightActiveIndentGuide:ye(new h(47,"highlightActiveIndentGuide",!0,{description:_.localize(163,null)})),hover:ye(new j),inDiffEditor:ye(new h(49,"inDiffEditor",!1)),letterSpacing:ye(new g(50,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,K=>g.clamp(K,-5,20),{description:_.localize(164,null)})),lightbulb:ye(new O),lineDecorationsWidth:ye(new k(52,"lineDecorationsWidth",10)),lineHeight:ye(new F),lineNumbers:ye(new Le),lineNumbersMinChars:ye(new l(55,"lineNumbersMinChars",5,1,300)),linkedEditing:ye(new h(56,"linkedEditing",!1,{description:_.localize(165,null)})),links:ye(new h(57,"links",!0,{description:_.localize(166,null)})),matchBrackets:ye(new w(58,"matchBrackets","always",["always","near","never"],{description:_.localize(167,null)})),minimap:ye(new N),mouseStyle:ye(new w(60,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:ye(new g(61,"mouseWheelScrollSensitivity",1,K=>K===0?1:K,{markdownDescription:_.localize(168,null)})),mouseWheelZoom:ye(new h(62,"mouseWheelZoom",!1,{markdownDescription:_.localize(169,null)})),multiCursorMergeOverlapping:ye(new h(63,"multiCursorMergeOverlapping",!0,{description:_.localize(170,null)})),multiCursorModifier:ye(new d(64,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],M,{markdownEnumDescriptions:[_.localize(171,null),_.localize(172,null)],markdownDescription:_.localize(173,null)})),multiCursorPaste:ye(new w(65,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[_.localize(174,null),_.localize(175,null)],markdownDescription:_.localize(176,null)})),occurrencesHighlight:ye(new h(66,"occurrencesHighlight",!0,{description:_.localize(177,null)})),overviewRulerBorder:ye(new h(67,"overviewRulerBorder",!0,{description:_.localize(178,null)})),overviewRulerLanes:ye(new l(68,"overviewRulerLanes",3,0,3)),padding:ye(new V),parameterHints:ye(new q),peekWidgetDefaultFocus:ye(new w(71,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[_.localize(179,null),_.localize(180,null)],description:_.localize(181,null)})),definitionLinkOpensInPeek:ye(new h(72,"definitionLinkOpensInPeek",!1,{description:_.localize(182,null)})),quickSuggestions:ye(new fe),quickSuggestionsDelay:ye(new l(74,"quickSuggestionsDelay",10,0,1073741824,{description:_.localize(183,null)})),readOnly:ye(new h(75,"readOnly",!1)),renameOnType:ye(new h(76,"renameOnType",!1,{description:_.localize(184,null),markdownDeprecationMessage:_.localize(185,null)})),renderControlCharacters:ye(new h(77,"renderControlCharacters",!1,{description:_.localize(186,null)})),renderIndentGuides:ye(new h(78,"renderIndentGuides",!0,{description:_.localize(187,null)})),renderFinalNewline:ye(new h(79,"renderFinalNewline",!0,{description:_.localize(188,null)})),renderLineHighlight:ye(new w(80,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",_.localize(189,null)],description:_.localize(190,null)})),renderLineHighlightOnlyWhenFocus:ye(new h(81,"renderLineHighlightOnlyWhenFocus",!1,{description:_.localize(191,null)})),renderValidationDecorations:ye(new w(82,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:ye(new w(83,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",_.localize(192,null),_.localize(193,null),_.localize(194,null),""],description:_.localize(195,null)})),revealHorizontalRightPadding:ye(new l(84,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:ye(new h(85,"roundedSelection",!0,{description:_.localize(196,null)})),rulers:ye(new Fe),scrollbar:ye(new Q),scrollBeyondLastColumn:ye(new l(88,"scrollBeyondLastColumn",5,0,1073741824,{description:_.localize(197,null)})),scrollBeyondLastLine:ye(new h(89,"scrollBeyondLastLine",!0,{description:_.localize(198,null)})),scrollPredominantAxis:ye(new h(90,"scrollPredominantAxis",!0,{description:_.localize(199,null)})),selectionClipboard:ye(new h(91,"selectionClipboard",!0,{description:_.localize(200,null),included:y.isLinux})),selectionHighlight:ye(new h(92,"selectionHighlight",!0,{description:_.localize(201,null)})),selectOnLineNumbers:ye(new h(93,"selectOnLineNumbers",!0)),showFoldingControls:ye(new w(94,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[_.localize(202,null),_.localize(203,null)],description:_.localize(204,null)})),showUnused:ye(new h(95,"showUnused",!0,{description:_.localize(205,null)})),showDeprecated:ye(new h(119,"showDeprecated",!0,{description:_.localize(206,null)})),inlineHints:ye(new U),snippetSuggestions:ye(new w(96,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[_.localize(207,null),_.localize(208,null),_.localize(209,null),_.localize(210,null)],description:_.localize(211,null)})),smartSelect:ye(new ae),smoothScrolling:ye(new h(98,"smoothScrolling",!1,{description:_.localize(212,null)})),stopRenderingLineAfter:ye(new l(100,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:ye(new ee),suggestFontSize:ye(new l(102,"suggestFontSize",0,0,1e3,{markdownDescription:_.localize(213,null)})),suggestLineHeight:ye(new l(103,"suggestLineHeight",0,0,1e3,{markdownDescription:_.localize(214,null)})),suggestOnTriggerCharacters:ye(new h(104,"suggestOnTriggerCharacters",!0,{description:_.localize(215,null)})),suggestSelection:ye(new w(105,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[_.localize(216,null),_.localize(217,null),_.localize(218,null)],description:_.localize(219,null)})),tabCompletion:ye(new w(106,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[_.localize(220,null),_.localize(221,null),_.localize(222,null)],description:_.localize(223,null)})),tabIndex:ye(new l(107,"tabIndex",0,-1,1073741824)),unusualLineTerminators:ye(new w(108,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[_.localize(224,null),_.localize(225,null),_.localize(226,null)],description:_.localize(227,null)})),useTabStops:ye(new h(109,"useTabStops",!0,{description:_.localize(228,null)})),wordSeparators:ye(new S(110,"wordSeparators",R.USUAL_WORD_SEPARATORS,{description:_.localize(229,null)})),wordWrap:ye(new w(111,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[_.localize(230,null),_.localize(231,null),_.localize(232,null),_.localize(233,null)],description:_.localize(234,null)})),wordWrapBreakAfterCharacters:ye(new S(112,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:ye(new S(113,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:ye(new l(114,"wordWrapColumn",80,1,1073741824,{markdownDescription:_.localize(235,null)})),wordWrapOverride1:ye(new w(115,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:ye(new w(116,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:ye(new d(117,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Me,{enumDescriptions:[_.localize(236,null),_.localize(237,null),_.localize(238,null),_.localize(239,null)],description:_.localize(240,null)})),wrappingStrategy:ye(new w(118,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[_.localize(241,null),_.localize(242,null)],description:_.localize(243,null)})),editorClassName:ye(new v),pixelRatio:ye(new X),tabFocusMode:ye(new ve),layoutInfo:ye(new $),wrappingInfo:ye(new we)}}),define(ge[150],pe([16,17]),function(J,e){return J.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ge[151],pe([16,17]),function(J,e){return J.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ge[152],pe([16,17]),function(J,e){return J.create("vs/platform/files/common/files",e)}),define(ge[153],pe([16,17]),function(J,e){return J.create("vs/platform/markers/common/markers",e)}),define(ge[154],pe([16,17]),function(J,e){return J.create("vs/platform/theme/common/iconRegistry",e)}),define(ge[155],pe([16,17]),function(J,e){return J.create("vs/platform/workspaces/common/workspaces",e)}),define(ge[156],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHost.api.impl",e)}),define(ge[157],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(ge[158],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostExtensionActivator",e)}),define(ge[159],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostExtensionService",e)}),define(ge[160],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostProgress",e)}),define(ge[161],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostStatusBar",e)}),define(ge[162],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostTerminalService",e)}),define(ge[163],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostTreeViews",e)}),define(ge[164],pe([16,17]),function(J,e){return J.create("vs/workbench/api/common/extHostWorkspace",e)}),define(ge[165],pe([16,17]),function(J,e){return J.create("vs/workbench/api/node/extHostDebugService",e)}),define(ge[166],pe([16,17]),function(J,e){return J.create("vs/workbench/common/views",e)}),define(ge[167],pe([16,17]),function(J,e){return J.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(ge[168],pe([16,17]),function(J,e){return J.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(ge[169],pe([16,17]),function(J,e){return J.create("vs/workbench/contrib/externalTerminal/node/externalTerminalService",e)}),define(ge[170],pe([16,17]),function(J,e){return J.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(ge[171],pe([16,17]),function(J,e){return J.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(ge[172],pe([16,17]),function(J,e){return J.create("vs/workbench/contrib/terminal/common/terminal",e)}),define(ge[173],pe([16,17]),function(J,e){return J.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(ge[174],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=void 0;var _;(function(D){D[D.ACTIVATE=0]="ACTIVATE",D[D.RESTORE=1]="RESTORE",D[D.PRESERVE=2]="PRESERVE"})(_=e.EditorActivation||(e.EditorActivation={}));var y;(function(D){D[D.PICK=1]="PICK",D[D.DISABLED=2]="DISABLED"})(y=e.EditorOverride||(e.EditorOverride={}));var R;(function(D){D[D.API=0]="API",D[D.USER=1]="USER"})(R=e.EditorOpenContext||(e.EditorOpenContext={}));var I;(function(D){D[D.Center=0]="Center",D[D.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",D[D.NearTop=2]="NearTop",D[D.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(I=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(ge[108],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class _{constructor(I,D=[],P=!1){this.ctor=I,this.staticArguments=D,this.supportsDelayedInstantiation=P}}e.SyncDescriptor=_;const y=(R,...I)=>new _(R,I);e.createSyncDescriptor=y}),define(ge[79],pe([0,1,108]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const y=[];function R(D,P,E){P instanceof _.SyncDescriptor||(P=new _.SyncDescriptor(P,[],E)),y.push([D,P])}e.registerSingleton=R;function I(){return y}e.getSingletonServiceDescriptors=I}),define(ge[175],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class _{constructor(I){this.incoming=new Map,this.outgoing=new Map,this.data=I}}e.Node=_;class y{constructor(I){this._hashFn=I,this._nodes=new Map}roots(){const I=[];for(let D of this._nodes.values())D.outgoing.size===0&&I.push(D);return I}insertEdge(I,D){const P=this.lookupOrInsertNode(I),E=this.lookupOrInsertNode(D);P.outgoing.set(this._hashFn(D),E),E.incoming.set(this._hashFn(I),P)}removeNode(I){const D=this._hashFn(I);this._nodes.delete(D);for(let P of this._nodes.values())P.outgoing.delete(D),P.incoming.delete(D)}lookupOrInsertNode(I){const D=this._hashFn(I);let P=this._nodes.get(D);return P||(P=new _(I),this._nodes.set(D,P)),P}lookup(I){return this._nodes.get(this._hashFn(I))}isEmpty(){return this._nodes.size===0}toString(){let I=[];for(let[D,P]of this._nodes)I.push(`${D}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return I.join(`
`)}}e.Graph=y}),define(ge[4],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var _;(function(P){P.serviceIds=new Map,P.DI_TARGET="$di$target",P.DI_DEPENDENCIES="$di$dependencies";function E(n){return n[P.DI_DEPENDENCIES]||[]}P.getServiceDependencies=E})(_=e._util||(e._util={})),e.IInstantiationService=R("instantiationService");function y(P,E,n,A){E[_.DI_TARGET]===E?E[_.DI_DEPENDENCIES].push({id:P,index:n,optional:A}):(E[_.DI_DEPENDENCIES]=[{id:P,index:n,optional:A}],E[_.DI_TARGET]=E)}function R(P){if(_.serviceIds.has(P))return _.serviceIds.get(P);const E=function(n,A,k){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");y(E,n,k,!1)};return E.toString=()=>P,_.serviceIds.set(P,E),E}e.createDecorator=R;function I(P){return P}e.refineServiceDecorator=I;function D(P){return function(E,n,A){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");y(P,E,A,!0)}}e.optional=D}),define(ge[176],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=(0,_.createDecorator)("modelService");function y(R){return!R.isTooLargeForSyncing()&&!R.isForSimpleWidget}e.shouldSynchronizeModel=y}),define(ge[177],pe([0,1,3,73,6,23,72,77,176]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function n(b){return typeof b=="string"?!1:Array.isArray(b)?b.every(n):!!b.exclusive}class A{constructor(){this._clock=0,this._entries=[],this._onDidChange=new _.Emitter}get onDidChange(){return this._onDidChange.event}register(h,l){let g={selector:h,provider:l,_score:-1,_time:this._clock++};return this._entries.push(g),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),(0,R.toDisposable)(()=>{if(g){let S=this._entries.indexOf(g);S>=0&&(this._entries.splice(S,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),g=void 0)}})}has(h){return this.all(h).length>0}all(h){if(!h)return[];this._updateScores(h);const l=[];for(let g of this._entries)g._score>0&&l.push(g.provider);return l}ordered(h){const l=[];return this._orderedForEach(h,g=>l.push(g.provider)),l}orderedGroups(h){const l=[];let g,S;return this._orderedForEach(h,p=>{g&&S===p._score?g.push(p.provider):(S=p._score,g=[p.provider],l.push(g))}),l}_orderedForEach(h,l){if(!!h){this._updateScores(h);for(const g of this._entries)g._score>0&&l(g)}}_updateScores(h){let l={uri:h.uri.toString(),language:h.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===l.language&&this._lastCandidate.uri===l.uri)){this._lastCandidate=l;for(let g of this._entries)if(g._score=(0,P.score)(g.selector,h.uri,h.getLanguageIdentifier().language,(0,E.shouldSynchronizeModel)(h)),n(g.selector)&&g._score>0){for(let S of this._entries)S._score=0;g._score=1e3;break}this._entries.sort(A._compareByScoreAndTime)}}static _compareByScoreAndTime(h,l){return h._score<l._score?1:h._score>l._score?-1:h._time<l._time?1:h._time>l._time?-1:0}}e.LanguageFeatureRegistry=A;class k{constructor(h,l,g=Number.MAX_SAFE_INTEGER){this._registry=h,this.min=l,this.max=g,this._cache=new I.LRUCache(50,.7)}_key(h){return h.id+(0,y.hash)(this._registry.all(h))}_clamp(h){return h===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(h*1.3)))}get(h){const l=this._key(h),g=this._cache.get(l);return this._clamp(g==null?void 0:g.value)}update(h,l){const g=this._key(h);let S=this._cache.get(g);return S||(S=new D.MovingAverage,this._cache.set(g,S)),S.update(l),this.get(h)}}e.LanguageFeatureRequestDelays=k}),define(ge[80],pe([0,1,2,43,177,141,47]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlineHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlineHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var P;(function(m){m[m.Null=0]="Null",m[m.PlainText=1]="PlainText"})(P=e.LanguageId||(e.LanguageId={}));class E{constructor(f,T){this.language=f,this.id=T}}e.LanguageIdentifier=E;var n;(function(m){m[m.NotSet=-1]="NotSet",m[m.None=0]="None",m[m.Italic=1]="Italic",m[m.Bold=2]="Bold",m[m.Underline=4]="Underline"})(n=e.FontStyle||(e.FontStyle={}));var A;(function(m){m[m.None=0]="None",m[m.DefaultForeground=1]="DefaultForeground",m[m.DefaultBackground=2]="DefaultBackground"})(A=e.ColorId||(e.ColorId={}));var k;(function(m){m[m.Other=0]="Other",m[m.Comment=1]="Comment",m[m.String=2]="String",m[m.RegEx=4]="RegEx"})(k=e.StandardTokenType||(e.StandardTokenType={}));var b;(function(m){m[m.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",m[m.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",m[m.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",m[m.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",m[m.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",m[m.ITALIC_MASK=2048]="ITALIC_MASK",m[m.BOLD_MASK=4096]="BOLD_MASK",m[m.UNDERLINE_MASK=8192]="UNDERLINE_MASK",m[m.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",m[m.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",m[m.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",m[m.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",m[m.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",m[m.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",m[m.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",m[m.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",m[m.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",m[m.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(b=e.MetadataConsts||(e.MetadataConsts={}));class h{static getLanguageId(f){return(f&255)>>>0}static getTokenType(f){return(f&1792)>>>8}static getFontStyle(f){return(f&14336)>>>11}static getForeground(f){return(f&8372224)>>>14}static getBackground(f){return(f&4286578688)>>>23}static getClassNameFromMetadata(f){let T=this.getForeground(f),L="mtk"+T,B=this.getFontStyle(f);return B&1&&(L+=" mtki"),B&2&&(L+=" mtkb"),B&4&&(L+=" mtku"),L}static getInlineStyleFromMetadata(f,T){const L=this.getForeground(f),B=this.getFontStyle(f);let te=`color: ${T[L]};`;return B&1&&(te+="font-style: italic;"),B&2&&(te+="font-weight: bold;"),B&4&&(te+="text-decoration: underline;"),te}}e.TokenMetadata=h;var l;(function(m){m[m.Method=0]="Method",m[m.Function=1]="Function",m[m.Constructor=2]="Constructor",m[m.Field=3]="Field",m[m.Variable=4]="Variable",m[m.Class=5]="Class",m[m.Struct=6]="Struct",m[m.Interface=7]="Interface",m[m.Module=8]="Module",m[m.Property=9]="Property",m[m.Event=10]="Event",m[m.Operator=11]="Operator",m[m.Unit=12]="Unit",m[m.Value=13]="Value",m[m.Constant=14]="Constant",m[m.Enum=15]="Enum",m[m.EnumMember=16]="EnumMember",m[m.Keyword=17]="Keyword",m[m.Text=18]="Text",m[m.Color=19]="Color",m[m.File=20]="File",m[m.Reference=21]="Reference",m[m.Customcolor=22]="Customcolor",m[m.Folder=23]="Folder",m[m.TypeParameter=24]="TypeParameter",m[m.User=25]="User",m[m.Issue=26]="Issue",m[m.Snippet=27]="Snippet"})(l=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let m=Object.create(null);return m[0]="symbol-method",m[1]="symbol-function",m[2]="symbol-constructor",m[3]="symbol-field",m[4]="symbol-variable",m[5]="symbol-class",m[6]="symbol-struct",m[7]="symbol-interface",m[8]="symbol-module",m[9]="symbol-property",m[10]="symbol-event",m[11]="symbol-operator",m[12]="symbol-unit",m[13]="symbol-value",m[14]="symbol-constant",m[15]="symbol-enum",m[16]="symbol-enum-member",m[17]="symbol-keyword",m[27]="symbol-snippet",m[18]="symbol-text",m[19]="symbol-color",m[20]="symbol-file",m[21]="symbol-reference",m[22]="symbol-customcolor",m[23]="symbol-folder",m[24]="symbol-type-parameter",m[25]="account",m[26]="issues",function(f){const T=m[f];let L=T&&D.iconRegistry.get(T);return L||(console.info("No codicon found for CompletionItemKind "+f),L=D.Codicon.symbolProperty),L.classNames}}(),e.completionKindFromString=function(){let m=Object.create(null);return m.method=0,m.function=1,m.constructor=2,m.field=3,m.variable=4,m.class=5,m.struct=6,m.interface=7,m.module=8,m.property=9,m.event=10,m.operator=11,m.unit=12,m.value=13,m.constant=14,m.enum=15,m["enum-member"]=16,m.enumMember=16,m.keyword=17,m.snippet=27,m.text=18,m.color=19,m.file=20,m.reference=21,m.customcolor=22,m.folder=23,m["type-parameter"]=24,m.typeParameter=24,m.account=25,m.issue=26,function(f,T){let L=m[f];return typeof L=="undefined"&&!T&&(L=9),L}}();var g;(function(m){m[m.Deprecated=1]="Deprecated"})(g=e.CompletionItemTag||(e.CompletionItemTag={}));var S;(function(m){m[m.KeepWhitespace=1]="KeepWhitespace",m[m.InsertAsSnippet=4]="InsertAsSnippet"})(S=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var p;(function(m){m[m.Invoke=0]="Invoke",m[m.TriggerCharacter=1]="TriggerCharacter",m[m.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(p=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var w;(function(m){m[m.Auto=1]="Auto",m[m.Manual=2]="Manual"})(w=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var d;(function(m){m[m.Invoke=1]="Invoke",m[m.TriggerCharacter=2]="TriggerCharacter",m[m.ContentChange=3]="ContentChange"})(d=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var u;(function(m){m[m.Text=0]="Text",m[m.Read=1]="Read",m[m.Write=2]="Write"})(u=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function a(m){return m&&_.URI.isUri(m.uri)&&y.Range.isIRange(m.range)&&(y.Range.isIRange(m.originSelectionRange)||y.Range.isIRange(m.targetSelectionRange))}e.isLocationLink=a;var t;(function(m){m[m.File=0]="File",m[m.Module=1]="Module",m[m.Namespace=2]="Namespace",m[m.Package=3]="Package",m[m.Class=4]="Class",m[m.Method=5]="Method",m[m.Property=6]="Property",m[m.Field=7]="Field",m[m.Constructor=8]="Constructor",m[m.Enum=9]="Enum",m[m.Interface=10]="Interface",m[m.Function=11]="Function",m[m.Variable=12]="Variable",m[m.Constant=13]="Constant",m[m.String=14]="String",m[m.Number=15]="Number",m[m.Boolean=16]="Boolean",m[m.Array=17]="Array",m[m.Object=18]="Object",m[m.Key=19]="Key",m[m.Null=20]="Null",m[m.EnumMember=21]="EnumMember",m[m.Struct=22]="Struct",m[m.Event=23]="Event",m[m.Operator=24]="Operator",m[m.TypeParameter=25]="TypeParameter"})(t=e.SymbolKind||(e.SymbolKind={}));var i;(function(m){m[m.Deprecated=1]="Deprecated"})(i=e.SymbolTag||(e.SymbolTag={}));var s;(function(m){const f=new Map;f.set("file",0),f.set("module",1),f.set("namespace",2),f.set("package",3),f.set("class",4),f.set("method",5),f.set("property",6),f.set("field",7),f.set("constructor",8),f.set("enum",9),f.set("interface",10),f.set("function",11),f.set("variable",12),f.set("constant",13),f.set("string",14),f.set("number",15),f.set("boolean",16),f.set("array",17),f.set("object",18),f.set("key",19),f.set("null",20),f.set("enum-member",21),f.set("struct",22),f.set("event",23),f.set("operator",24),f.set("type-parameter",25);const T=new Map;T.set(0,"file"),T.set(1,"module"),T.set(2,"namespace"),T.set(3,"package"),T.set(4,"class"),T.set(5,"method"),T.set(6,"property"),T.set(7,"field"),T.set(8,"constructor"),T.set(9,"enum"),T.set(10,"interface"),T.set(11,"function"),T.set(12,"variable"),T.set(13,"constant"),T.set(14,"string"),T.set(15,"number"),T.set(16,"boolean"),T.set(17,"array"),T.set(18,"object"),T.set(19,"key"),T.set(20,"null"),T.set(21,"enum-member"),T.set(22,"struct"),T.set(23,"event"),T.set(24,"operator"),T.set(25,"type-parameter");function L(j){return f.get(j)}m.fromString=L;function B(j){return T.get(j)}m.toString=B;function te(j,W){const $=T.get(j);let O=$&&D.iconRegistry.get("symbol-"+$);return O||(console.info("No codicon found for SymbolKind "+j),O=D.Codicon.symbolProperty),`${W?"inline":"block"} ${O.classNames}`}m.toCssClassName=te})(s=e.SymbolKinds||(e.SymbolKinds={}));class o{constructor(f){this.value=f}}e.FoldingRangeKind=o,o.Comment=new o("comment"),o.Imports=new o("imports"),o.Region=new o("region");var r;(function(m){m[m.Collapsed=0]="Collapsed",m[m.Expanded=1]="Expanded"})(r=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var c;(function(m){m[m.Editing=0]="Editing",m[m.Preview=1]="Preview"})(c=e.CommentMode||(e.CommentMode={}));var v;(function(m){m[m.Other=0]="Other",m[m.Type=1]="Type",m[m.Parameter=2]="Parameter"})(v=e.InlineHintKind||(e.InlineHintKind={})),e.ReferenceProviderRegistry=new R.LanguageFeatureRegistry,e.RenameProviderRegistry=new R.LanguageFeatureRegistry,e.CompletionProviderRegistry=new R.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new R.LanguageFeatureRegistry,e.HoverProviderRegistry=new R.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new R.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new R.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new R.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new R.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new R.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new R.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new R.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new R.LanguageFeatureRegistry,e.InlineHintsProviderRegistry=new R.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new R.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new R.LanguageFeatureRegistry,e.LinkProviderRegistry=new R.LanguageFeatureRegistry,e.ColorProviderRegistry=new R.LanguageFeatureRegistry,e.SelectionRangeRegistry=new R.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new R.LanguageFeatureRegistry,e.TokenizationRegistry=new I.TokenizationRegistryImpl;var C;(function(m){m[m.None=0]="None",m[m.Option=1]="Option",m[m.Default=2]="Default",m[m.Preferred=3]="Preferred"})(C=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(ge[178],pe([0,1,6,15,4,3,56,71]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullCommandService=e.CommandsRegistry=e.ICommandService=void 0,e.ICommandService=(0,R.createDecorator)("commandService"),e.CommandsRegistry=new class{constructor(){this._commands=new Map,this._onDidRegisterCommand=new I.Emitter,this.onDidRegisterCommand=this._onDidRegisterCommand.event}registerCommand(E,n){if(!E)throw new Error("invalid command");if(typeof E=="string"){if(!n)throw new Error("invalid command");return this.registerCommand({id:E,handler:n})}if(E.description){const l=[];for(let S of E.description.args)l.push(S.constraint);const g=E.handler;E.handler=function(S,...p){return(0,y.validateConstraints)(p,l),g(S,...p)}}const{id:A}=E;let k=this._commands.get(A);k||(k=new D.LinkedList,this._commands.set(A,k));let b=k.unshift(E),h=(0,_.toDisposable)(()=>{b();const l=this._commands.get(A);(l==null?void 0:l.isEmpty())&&this._commands.delete(A)});return this._onDidRegisterCommand.fire(A),h}registerCommandAlias(E,n){return e.CommandsRegistry.registerCommand(E,(A,...k)=>A.get(e.ICommandService).executeCommand(n,...k))}getCommand(E){const n=this._commands.get(E);if(!(!n||n.isEmpty()))return P.Iterable.first(n)}getCommands(){const E=new Map;for(const n of this._commands.keys()){const A=this.getCommand(n);A&&E.set(n,A)}return E}},e.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:()=>_.Disposable.None,onDidExecuteCommand:()=>_.Disposable.None,executeCommand(){return Promise.resolve(void 0)}}}),define(ge[59],pe([0,1,9,4,10]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let I=R.userAgent||"";const D=new Map;D.set("false",!1),D.set("true",!0),D.set("isMac",R.isMacintosh),D.set("isLinux",R.isLinux),D.set("isWindows",R.isWindows),D.set("isWeb",R.isWeb),D.set("isMacNative",R.isMacintosh&&!R.isWeb),D.set("isEdge",I.indexOf("Edg/")>=0),D.set("isFirefox",I.indexOf("Firefox")>=0),D.set("isChrome",I.indexOf("Chrome")>=0),D.set("isSafari",I.indexOf("Safari")>=0),D.set("isIPad",I.indexOf("iPad")>=0);const P=Object.prototype.hasOwnProperty;var E;(function(m){m[m.False=0]="False",m[m.True=1]="True",m[m.Defined=2]="Defined",m[m.Not=3]="Not",m[m.Equals=4]="Equals",m[m.NotEquals=5]="NotEquals",m[m.And=6]="And",m[m.Regex=7]="Regex",m[m.NotRegex=8]="NotRegex",m[m.Or=9]="Or",m[m.In=10]="In",m[m.NotIn=11]="NotIn",m[m.Greater=12]="Greater",m[m.GreaterEquals=13]="GreaterEquals",m[m.Smaller=14]="Smaller",m[m.SmallerEquals=15]="SmallerEquals"})(E=e.ContextKeyExprType||(e.ContextKeyExprType={}));class n{static false(){return k.INSTANCE}static true(){return b.INSTANCE}static has(f){return h.create(f)}static equals(f,T){return l.create(f,T)}static notEquals(f,T){return p.create(f,T)}static regex(f,T){return i.create(f,T)}static in(f,T){return g.create(f,T)}static not(f){return w.create(f)}static and(...f){return o.create(f)}static or(...f){return r.create(f)}static greater(f,T){return d.create(f,T)}static less(f,T){return a.create(f,T)}static deserialize(f,T=!1){if(!!f)return this._deserializeOrExpression(f,T)}static _deserializeOrExpression(f,T){let L=f.split("||");return r.create(L.map(B=>this._deserializeAndExpression(B,T)))}static _deserializeAndExpression(f,T){let L=f.split("&&");return o.create(L.map(B=>this._deserializeOne(B,T)))}static _deserializeOne(f,T){if(f=f.trim(),f.indexOf("!=")>=0){let L=f.split("!=");return p.create(L[0].trim(),this._deserializeValue(L[1],T))}if(f.indexOf("==")>=0){let L=f.split("==");return l.create(L[0].trim(),this._deserializeValue(L[1],T))}if(f.indexOf("=~")>=0){let L=f.split("=~");return i.create(L[0].trim(),this._deserializeRegexValue(L[1],T))}if(f.indexOf(" in ")>=0){let L=f.split(" in ");return g.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(f)){const L=f.split(">=");return u.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(f)){const L=f.split(">");return d.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(f)){const L=f.split("<=");return t.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(f)){const L=f.split("<");return a.create(L[0].trim(),L[1].trim())}return/^\!\s*/.test(f)?w.create(f.substr(1).trim()):h.create(f)}static _deserializeValue(f,T){if(f=f.trim(),f==="true")return!0;if(f==="false")return!1;let L=/^'([^']*)'$/.exec(f);return L?L[1].trim():f}static _deserializeRegexValue(f,T){if((0,_.isFalsyOrWhitespace)(f)){if(T)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let L=f.indexOf("/"),B=f.lastIndexOf("/");if(L===B||L<0){if(T)throw new Error(`bad regexp-value '${f}', missing /-enclosure`);return console.warn(`bad regexp-value '${f}', missing /-enclosure`),null}let te=f.slice(L+1,B),j=f[B+1]==="i"?"i":"";try{return new RegExp(te,j)}catch(W){if(T)throw new Error(`bad regexp-value '${f}', parse error: ${W}`);return console.warn(`bad regexp-value '${f}', parse error: ${W}`),null}}}e.ContextKeyExpr=n;function A(m,f){return m.cmp(f)}class k{constructor(){this.type=0}cmp(f){return this.type-f.type}equals(f){return f.type===this.type}evaluate(f){return!1}serialize(){return"false"}keys(){return[]}map(f){return this}negate(){return b.INSTANCE}}e.ContextKeyFalseExpr=k,k.INSTANCE=new k;class b{constructor(){this.type=1}cmp(f){return this.type-f.type}equals(f){return f.type===this.type}evaluate(f){return!0}serialize(){return"true"}keys(){return[]}map(f){return this}negate(){return k.INSTANCE}}e.ContextKeyTrueExpr=b,b.INSTANCE=new b;class h{constructor(f){this.key=f,this.type=2}static create(f){const T=D.get(f);return typeof T=="boolean"?T?b.INSTANCE:k.INSTANCE:new h(f)}cmp(f){return f.type!==this.type?this.type-f.type:v(this.key,f.key)}equals(f){return f.type===this.type?this.key===f.key:!1}evaluate(f){return!!f.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(f){return f.mapDefined(this.key)}negate(){return w.create(this.key)}}e.ContextKeyDefinedExpr=h;class l{constructor(f,T){this.key=f,this.value=T,this.type=4}static create(f,T){if(typeof T=="boolean")return T?h.create(f):w.create(f);const L=D.get(f);return typeof L=="boolean"?T===(L?"true":"false")?b.INSTANCE:k.INSTANCE:new l(f,T)}cmp(f){return f.type!==this.type?this.type-f.type:C(this.key,this.value,f.key,f.value)}equals(f){return f.type===this.type?this.key===f.key&&this.value===f.value:!1}evaluate(f){return f.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(f){return f.mapEquals(this.key,this.value)}negate(){return p.create(this.key,this.value)}}e.ContextKeyEqualsExpr=l;class g{constructor(f,T){this.key=f,this.valueKey=T,this.type=10}static create(f,T){return new g(f,T)}cmp(f){return f.type!==this.type?this.type-f.type:C(this.key,this.valueKey,f.key,f.valueKey)}equals(f){return f.type===this.type?this.key===f.key&&this.valueKey===f.valueKey:!1}evaluate(f){const T=f.getValue(this.valueKey),L=f.getValue(this.key);return Array.isArray(T)?T.indexOf(L)>=0:typeof L=="string"&&typeof T=="object"&&T!==null?P.call(T,L):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(f){return f.mapIn(this.key,this.valueKey)}negate(){return S.create(this)}}e.ContextKeyInExpr=g;class S{constructor(f){this._actual=f,this.type=11}static create(f){return new S(f)}cmp(f){return f.type!==this.type?this.type-f.type:this._actual.cmp(f._actual)}equals(f){return f.type===this.type?this._actual.equals(f._actual):!1}evaluate(f){return!this._actual.evaluate(f)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(f){return new S(this._actual.map(f))}negate(){return this._actual}}e.ContextKeyNotInExpr=S;class p{constructor(f,T){this.key=f,this.value=T,this.type=5}static create(f,T){if(typeof T=="boolean")return T?w.create(f):h.create(f);const L=D.get(f);return typeof L=="boolean"?T===(L?"true":"false")?k.INSTANCE:b.INSTANCE:new p(f,T)}cmp(f){return f.type!==this.type?this.type-f.type:C(this.key,this.value,f.key,f.value)}equals(f){return f.type===this.type?this.key===f.key&&this.value===f.value:!1}evaluate(f){return f.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(f){return f.mapNotEquals(this.key,this.value)}negate(){return l.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=p;class w{constructor(f){this.key=f,this.type=3}static create(f){const T=D.get(f);return typeof T=="boolean"?T?k.INSTANCE:b.INSTANCE:new w(f)}cmp(f){return f.type!==this.type?this.type-f.type:v(this.key,f.key)}equals(f){return f.type===this.type?this.key===f.key:!1}evaluate(f){return!f.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(f){return f.mapNot(this.key)}negate(){return h.create(this.key)}}e.ContextKeyNotExpr=w;class d{constructor(f,T){this.key=f,this.value=T,this.type=12}static create(f,T){return new d(f,T)}cmp(f){return f.type!==this.type?this.type-f.type:C(this.key,this.value,f.key,f.value)}equals(f){return f.type===this.type?this.key===f.key&&this.value===f.value:!1}evaluate(f){return parseFloat(f.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(f){return f.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=d;class u{constructor(f,T){this.key=f,this.value=T,this.type=13}static create(f,T){return new u(f,T)}cmp(f){return f.type!==this.type?this.type-f.type:C(this.key,this.value,f.key,f.value)}equals(f){return f.type===this.type?this.key===f.key&&this.value===f.value:!1}evaluate(f){return parseFloat(f.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(f){return f.mapGreaterEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=u;class a{constructor(f,T){this.key=f,this.value=T,this.type=14}static create(f,T){return new a(f,T)}cmp(f){return f.type!==this.type?this.type-f.type:C(this.key,this.value,f.key,f.value)}equals(f){return f.type===this.type?this.key===f.key&&this.value===f.value:!1}evaluate(f){return parseFloat(f.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(f){return f.mapSmaller(this.key,this.value)}negate(){return u.create(this.key,this.value)}}e.ContextKeySmallerExpr=a;class t{constructor(f,T){this.key=f,this.value=T,this.type=15}static create(f,T){return new t(f,T)}cmp(f){return f.type!==this.type?this.type-f.type:C(this.key,this.value,f.key,f.value)}equals(f){return f.type===this.type?this.key===f.key&&this.value===f.value:!1}evaluate(f){return parseFloat(f.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(f){return f.mapSmallerEquals(this.key,this.value)}negate(){return d.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class i{constructor(f,T){this.key=f,this.regexp=T,this.type=7}static create(f,T){return new i(f,T)}cmp(f){if(f.type!==this.type)return this.type-f.type;if(this.key<f.key)return-1;if(this.key>f.key)return 1;const T=this.regexp?this.regexp.source:"",L=f.regexp?f.regexp.source:"";return T<L?-1:T>L?1:0}equals(f){if(f.type===this.type){const T=this.regexp?this.regexp.source:"",L=f.regexp?f.regexp.source:"";return this.key===f.key&&T===L}return!1}evaluate(f){let T=f.getValue(this.key);return this.regexp?this.regexp.test(T):!1}serialize(){const f=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${f}`}keys(){return[this.key]}map(f){return f.mapRegex(this.key,this.regexp)}negate(){return s.create(this)}}e.ContextKeyRegexExpr=i;class s{constructor(f){this._actual=f,this.type=8}static create(f){return new s(f)}cmp(f){return f.type!==this.type?this.type-f.type:this._actual.cmp(f._actual)}equals(f){return f.type===this.type?this._actual.equals(f._actual):!1}evaluate(f){return!this._actual.evaluate(f)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(f){return new s(this._actual.map(f))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=s;class o{constructor(f){this.expr=f,this.type=6}static create(f){return o._normalizeArr(f)}cmp(f){if(f.type!==this.type)return this.type-f.type;if(this.expr.length<f.expr.length)return-1;if(this.expr.length>f.expr.length)return 1;for(let T=0,L=this.expr.length;T<L;T++){const B=A(this.expr[T],f.expr[T]);if(B!==0)return B}return 0}equals(f){if(f.type===this.type){if(this.expr.length!==f.expr.length)return!1;for(let T=0,L=this.expr.length;T<L;T++)if(!this.expr[T].equals(f.expr[T]))return!1;return!0}return!1}evaluate(f){for(let T=0,L=this.expr.length;T<L;T++)if(!this.expr[T].evaluate(f))return!1;return!0}static _normalizeArr(f){const T=[];let L=!1;for(const B of f)if(!!B){if(B.type===1){L=!0;continue}if(B.type===0)return k.INSTANCE;if(B.type===6){T.push(...B.expr);continue}T.push(B)}if(T.length===0&&L)return b.INSTANCE;if(T.length!==0){if(T.length===1)return T[0];for(T.sort(A);T.length>1;){const B=T[T.length-1];if(B.type!==9)break;T.pop();const te=T.pop(),j=r.create(B.expr.map(W=>o.create([W,te])));j&&(T.push(j),T.sort(A))}return T.length===1?T[0]:new o(T)}}serialize(){return this.expr.map(f=>f.serialize()).join(" && ")}keys(){const f=[];for(let T of this.expr)f.push(...T.keys());return f}map(f){return new o(this.expr.map(T=>T.map(f)))}negate(){let f=[];for(let T of this.expr)f.push(T.negate());return r.create(f)}}e.ContextKeyAndExpr=o;class r{constructor(f){this.expr=f,this.type=9}static create(f){const T=r._normalizeArr(f);if(T.length!==0)return T.length===1?T[0]:new r(T)}cmp(f){if(f.type!==this.type)return this.type-f.type;if(this.expr.length<f.expr.length)return-1;if(this.expr.length>f.expr.length)return 1;for(let T=0,L=this.expr.length;T<L;T++){const B=A(this.expr[T],f.expr[T]);if(B!==0)return B}return 0}equals(f){if(f.type===this.type){if(this.expr.length!==f.expr.length)return!1;for(let T=0,L=this.expr.length;T<L;T++)if(!this.expr[T].equals(f.expr[T]))return!1;return!0}return!1}evaluate(f){for(let T=0,L=this.expr.length;T<L;T++)if(this.expr[T].evaluate(f))return!0;return!1}static _normalizeArr(f){let T=[],L=!1;if(f){for(let B=0,te=f.length;B<te;B++){const j=f[B];if(!!j){if(j.type===0){L=!0;continue}if(j.type===1)return[b.INSTANCE];if(j.type===9){T=T.concat(j.expr);continue}T.push(j)}}if(T.length===0&&L)return[k.INSTANCE];T.sort(A)}return T}serialize(){return this.expr.map(f=>f.serialize()).join(" || ")}keys(){const f=[];for(let T of this.expr)f.push(...T.keys());return f}map(f){return new r(this.expr.map(T=>T.map(f)))}negate(){let f=[];for(let L of this.expr)f.push(L.negate());const T=L=>L.type===9?L.expr:[L];for(;f.length>1;){const L=f.shift(),B=f.shift(),te=[];for(const j of T(L))for(const W of T(B))te.push(n.and(j,W));f.unshift(n.or(...te))}return f[0]}}e.ContextKeyOrExpr=r;class c extends h{constructor(f,T,L){super(f);this.key=f,this._defaultValue=T,typeof L=="object"?c._info.push(Object.assign(Object.assign({},L),{key:f})):L!==!0&&c._info.push({key:f,description:L,type:T!=null?typeof T:void 0})}static all(){return c._info.values()}bindTo(f){return f.createKey(this.key,this._defaultValue)}getValue(f){return f.getContextKeyValue(this.key)}toNegated(){return n.not(this.key)}isEqualTo(f){return n.equals(this.key,f)}notEqualsTo(f){return n.notEquals(this.key,f)}}e.RawContextKey=c,c._info=[],e.IContextKeyService=(0,y.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function v(m,f){return m<f?-1:m>f?1:0}function C(m,f,T,L){return m<T?-1:m>T?1:f<L?-1:f>L?1:0}}),define(ge[179],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,_.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,_.refineServiceDecorator)(e.IEnvironmentService)}),define(ge[180],pe([0,1,151,4,11]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function I(k){return k&&typeof k=="object"&&typeof k.id=="string"&&(!k.uuid||typeof k.uuid=="string")}e.isIExtensionIdentifier=I;var D;(function(k){k[k.NoneOrRelevance=0]="NoneOrRelevance",k[k.LastUpdatedDate=1]="LastUpdatedDate",k[k.Title=2]="Title",k[k.PublisherName=3]="PublisherName",k[k.InstallCount=4]="InstallCount",k[k.PublishedDate=5]="PublishedDate",k[k.AverageRating=6]="AverageRating",k[k.WeightedRating=12]="WeightedRating"})(D=e.SortBy||(e.SortBy={}));var P;(function(k){k[k.Default=0]="Default",k[k.Ascending=1]="Ascending",k[k.Descending=2]="Descending"})(P=e.SortOrder||(e.SortOrder={}));var E;(function(k){k.Uninstall="uninstall"})(E=e.StatisticType||(e.StatisticType={}));var n;(function(k){k[k.None=0]="None",k[k.Install=1]="Install",k[k.Update=2]="Update"})(n=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,y.createDecorator)("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class A extends Error{constructor(b,h){super(b);this.code=h}}e.ExtensionManagementError=A,e.IExtensionManagementService=(0,y.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,y.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,y.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=R.FileAccess.asBrowserUri("./media/defaultIcon.png",J).toString(!0),e.ExtensionsLabel=(0,_.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,_.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,y.createDecorator)("IExtensionManagementCLIService")}),define(ge[29],pe([0,1,9,4]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function R(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(!n.uuid||typeof n.uuid=="string")}e.isIExtensionIdentifier=R,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var I;(function(n){n[n.System=0]="System",n[n.User=1]="User"})(I=e.ExtensionType||(e.ExtensionType={}));class D{constructor(A){this.value=A,this._lower=A.toLowerCase()}static equals(A,k){if(typeof A=="undefined"||A===null)return typeof k=="undefined"||k===null;if(typeof k=="undefined"||k===null)return!1;if(typeof A=="string"||typeof k=="string"){let b=typeof A=="string"?A:A.value,h=typeof k=="string"?k:k.value;return _.equalsIgnoreCase(b,h)}return A._lower===k._lower}static toKey(A){return typeof A=="string"?A.toLowerCase():A._lower}}e.ExtensionIdentifier=D;function P(n){return n.contributes&&n.contributes.localizations?n.contributes.localizations.length>0:!1}e.isLanguagePackExtension=P;function E(n){return n.contributes&&n.contributes.authentication?n.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=E,e.IBuiltinExtensionsScannerService=(0,y.createDecorator)("IBuiltinExtensionsScannerService")}),define(ge[181],pe([0,1,9,29]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function R(h,l){return h.uuid&&l.uuid?h.uuid===l.uuid:h.id===l.id?!0:(0,_.compareIgnoreCase)(h.id,l.id)===0}e.areSameExtensions=R;class I{constructor(l,g){this.version=g,this.id=l.id,this.uuid=l.uuid}key(){return`${this.id}-${this.version}`}equals(l){return l instanceof I?R(this,l)&&this.version===l.version:!1}}e.ExtensionIdentifierWithVersion=I;function D(h,l){return`${h}.${l}`}e.getExtensionId=D;function P(h){return h.toLocaleLowerCase()}e.adoptToGalleryExtensionId=P;function E(h,l){return P(D(h,l))}e.getGalleryExtensionId=E;function n(h,l){const g=[],S=p=>{for(const w of g)if(w.some(d=>R(l(d),l(p))))return w;return null};for(const p of h){const w=S(p);w?w.push(p):g.push([p])}return g}e.groupByExtension=n;function A(h){return{id:h.identifier.id,name:h.manifest.name,galleryId:null,publisherId:h.publisherId,publisherName:h.manifest.publisher,publisherDisplayName:h.publisherDisplayName,dependencies:h.manifest.extensionDependencies&&h.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=A;function k(h){return Object.assign({id:h.identifier.id,name:h.name,galleryId:h.identifier.uuid,publisherId:h.publisherId,publisherName:h.publisher,publisherDisplayName:h.publisherDisplayName,dependencies:!!(h.properties.dependencies&&h.properties.dependencies.length>0)},h.telemetryData)}e.getGalleryExtensionTelemetryData=k,e.BetterMergeId=new y.ExtensionIdentifier("pprice.better-merge");function b(h){const l=new Set;for(const g of h)g.malicious&&l.add(g.id.id);return l}e.getMaliciousExtensionsSet=b}),define(ge[44],pe([0,1,152,7,2,4,9,15,23]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,I.createDecorator)("fileService");function n(j){return j.create===!0}e.isFileOpenForWriteOptions=n;var A;(function(j){j[j.Unknown=0]="Unknown",j[j.File=1]="File",j[j.Directory=2]="Directory",j[j.SymbolicLink=64]="SymbolicLink"})(A=e.FileType||(e.FileType={}));var k;(function(j){j[j.FileReadWrite=2]="FileReadWrite",j[j.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",j[j.FileReadStream=16]="FileReadStream",j[j.FileFolderCopy=8]="FileFolderCopy",j[j.PathCaseSensitive=1024]="PathCaseSensitive",j[j.Readonly=2048]="Readonly",j[j.Trash=4096]="Trash",j[j.FileWriteUnlock=8192]="FileWriteUnlock"})(k=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function b(j){return!!(j.capabilities&2)}e.hasReadWriteCapability=b;function h(j){return!!(j.capabilities&8)}e.hasFileFolderCopyCapability=h;function l(j){return!!(j.capabilities&4)}e.hasOpenReadWriteCloseCapability=l;function g(j){return!!(j.capabilities&16)}e.hasFileReadStreamCapability=g;var S;(function(j){j.FileExists="EntryExists",j.FileNotFound="EntryNotFound",j.FileNotADirectory="EntryNotADirectory",j.FileIsADirectory="EntryIsADirectory",j.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",j.FileTooLarge="EntryTooLarge",j.FileWriteLocked="EntryWriteLocked",j.NoPermissions="NoPermissions",j.Unavailable="Unavailable",j.Unknown="Unknown"})(S=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class p extends Error{constructor(W,$){super(W);this.code=$}}e.FileSystemProviderError=p;function w(j,W){const $=new p(j.toString(),W);return u($,W),$}e.createFileSystemProviderError=w;function d(j){return j||w((0,_.localize)(0,null),S.Unknown)}e.ensureFileSystemProviderError=d;function u(j,W){return j.name=W?`${W} (FileSystemError)`:"FileSystemError",j}e.markAsFileSystemProviderError=u;function a(j){if(!j)return S.Unknown;if(j instanceof p)return j.code;const W=/^(.+) \(FileSystemError\)$/.exec(j.name);if(!W)return S.Unknown;switch(W[1]){case S.FileExists:return S.FileExists;case S.FileIsADirectory:return S.FileIsADirectory;case S.FileNotADirectory:return S.FileNotADirectory;case S.FileNotFound:return S.FileNotFound;case S.FileExceedsMemoryLimit:return S.FileExceedsMemoryLimit;case S.FileTooLarge:return S.FileTooLarge;case S.FileWriteLocked:return S.FileWriteLocked;case S.NoPermissions:return S.NoPermissions;case S.Unavailable:return S.Unavailable}return S.Unknown}e.toFileSystemProviderErrorCode=a;function t(j){if(j instanceof v)return j.fileOperationResult;switch(a(j)){case S.FileNotFound:return 1;case S.FileIsADirectory:return 0;case S.FileNotADirectory:return 10;case S.FileWriteLocked:return 5;case S.NoPermissions:return 6;case S.FileExists:return 4;case S.FileExceedsMemoryLimit:return 9;case S.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=t;var i;(function(j){j[j.CREATE=0]="CREATE",j[j.DELETE=1]="DELETE",j[j.MOVE=2]="MOVE",j[j.COPY=3]="COPY"})(i=e.FileOperation||(e.FileOperation={}));class s{constructor(W,$,O){this.resource=W,this.operation=$,this.target=O}isOperation(W){return this.operation===W}}e.FileOperationEvent=s;var o;(function(j){j[j.UPDATED=0]="UPDATED",j[j.ADDED=1]="ADDED",j[j.DELETED=2]="DELETED"})(o=e.FileChangeType||(e.FileChangeType={}));class r{constructor(W,$){this.ignorePathCasing=$,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=W;for(const O of W)switch(O.type){case 1:this.added||(this.added=E.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(O.resource,O);break;case 0:this.updated||(this.updated=E.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(O.resource,O);break;case 2:this.deleted||(this.deleted=E.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(O.resource,O);break}}contains(W,...$){return this.doContains(W,{includeChildren:!1},...$)}affects(W,...$){return this.doContains(W,{includeChildren:!0},...$)}doContains(W,$,...O){var U,F,N,M,V,q;if(!W)return!1;const X=O.length>0;return!!((!X||O.includes(1))&&(((U=this.added)===null||U===void 0?void 0:U.get(W))||$.includeChildren&&((F=this.added)===null||F===void 0?void 0:F.findSuperstr(W)))||(!X||O.includes(0))&&(((N=this.updated)===null||N===void 0?void 0:N.get(W))||$.includeChildren&&((M=this.updated)===null||M===void 0?void 0:M.findSuperstr(W)))||(!X||O.includes(2))&&(((V=this.deleted)===null||V===void 0?void 0:V.findSubstr(W))||$.includeChildren&&((q=this.deleted)===null||q===void 0?void 0:q.findSuperstr(W))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(W){const $=[],O=W===1?this.added:W===0?this.updated:this.deleted;if(O)for(const[,U]of O)$.push(U);return $}filter(W){return new r(this.changes.filter($=>W($)),this.ignorePathCasing)}}e.FileChangesEvent=r;function c(j,W,$){return!j||!W||j===W||W.length>j.length?!1:(W.charAt(W.length-1)!==y.sep&&(W+=y.sep),$?(0,D.startsWithIgnoreCase)(j,W):j.indexOf(W)===0)}e.isParent=c;class v extends Error{constructor(W,$,O){super(W);this.fileOperationResult=$,this.options=O}static isFileOperationError(W){return W instanceof Error&&!(0,P.isUndefinedOrNull)(W.fileOperationResult)}}e.FileOperationError=v;var C;(function(j){j[j.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",j[j.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",j[j.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",j[j.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",j[j.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",j[j.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",j[j.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",j[j.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",j[j.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",j[j.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",j[j.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",j[j.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(C=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var m;(function(j){j[j.FILE=0]="FILE",j[j.FOLDER=1]="FOLDER",j[j.ROOT_FOLDER=2]="ROOT_FOLDER"})(m=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function f(j){if(!(typeof j.size!="number"||typeof j.mtime!="number"))return j.mtime.toString(29)+j.size.toString(31)}e.etag=f;async function T(j,W){if(!W.canHandleResource(R.URI.from({scheme:j.scheme})))return new Promise($=>{const O=W.onDidChangeFileSystemProviderRegistrations(U=>{U.scheme===j.scheme&&U.added&&(O.dispose(),$())})})}e.whenProviderRegistered=T,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class L{static formatSize(W){return(0,P.isNumber)(W)||(W=0),W<L.KB?(0,_.localize)(1,null,W.toFixed(0)):W<L.MB?(0,_.localize)(2,null,(W/L.KB).toFixed(2)):W<L.GB?(0,_.localize)(3,null,(W/L.MB).toFixed(2)):W<L.TB?(0,_.localize)(4,null,(W/L.GB).toFixed(2)):(0,_.localize)(5,null,(W/L.TB).toFixed(2))}}e.ByteSize=L,L.KB=1024,L.MB=L.KB*L.KB,L.GB=L.MB*L.KB,L.TB=L.GB*L.KB;var B;(function(j){j[j.IA32=0]="IA32",j[j.OTHER=1]="OTHER"})(B=e.Arch||(e.Arch={}));function te(j){return{maxFileSize:j===0?300*L.MB:16*L.GB,maxHeapSize:j===0?700*L.MB:2*700*L.MB}}e.getPlatformLimits=te}),define(ge[81],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class _{constructor(...R){this._entries=new Map;for(let[I,D]of R)this.set(I,D)}set(R,I){const D=this._entries.get(R);return this._entries.set(R,I),D}has(R){return this._entries.has(R)}get(R){return this._entries.get(R)}}e.ServiceCollection=_}),define(ge[182],pe([0,1,18,175,108,4,81,19]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const E=!1;class n extends Error{constructor(l){super("cyclic dependency between services");this.message=l.toString()}}class A{constructor(l=new D.ServiceCollection,g=!1,S){this._activeInstantiations=new Set,this._services=l,this._strict=g,this._parent=S,this._services.set(I.IInstantiationService,this)}createChild(l){return new A(l,this._strict,this)}invokeFunction(l,...g){let S=b.traceInvocation(l),p=!1;try{return l({get:(d,u)=>{if(p)throw(0,_.illegalState)("service accessor is only valid during the invocation of its target method");const a=this._getOrCreateServiceInstance(d,S);if(!a&&u!==I.optional)throw new Error(`[invokeFunction] unknown service '${d}'`);return a}},...g)}finally{p=!0,S.stop()}}createInstance(l,...g){let S,p;return l instanceof R.SyncDescriptor?(S=b.traceCreation(l.ctor),p=this._createInstance(l.ctor,l.staticArguments.concat(g),S)):(S=b.traceCreation(l),p=this._createInstance(l,g,S)),S.stop(),p}_createInstance(l,g=[],S){let p=I._util.getServiceDependencies(l).sort((u,a)=>u.index-a.index),w=[];for(const u of p){let a=this._getOrCreateServiceInstance(u.id,S);if(!a&&this._strict&&!u.optional)throw new Error(`[createInstance] ${l.name} depends on UNKNOWN service ${u.id}.`);w.push(a)}let d=p.length>0?p[0].index:g.length;if(g.length!==d){console.warn(`[createInstance] First service dependency of ${l.name} at position ${d+1} conflicts with ${g.length} static arguments`);let u=d-g.length;u>0?g=g.concat(new Array(u)):g=g.slice(0,d)}return new l(...[...g,...w])}_setServiceInstance(l,g){if(this._services.get(l)instanceof R.SyncDescriptor)this._services.set(l,g);else if(this._parent)this._parent._setServiceInstance(l,g);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(l){let g=this._services.get(l);return!g&&this._parent?this._parent._getServiceInstanceOrDescriptor(l):g}_getOrCreateServiceInstance(l,g){let S=this._getServiceInstanceOrDescriptor(l);return S instanceof R.SyncDescriptor?this._safeCreateAndCacheServiceInstance(l,S,g.branch(l,!0)):(g.branch(l,!1),S)}_safeCreateAndCacheServiceInstance(l,g,S){if(this._activeInstantiations.has(l))throw new Error(`illegal state - RECURSIVELY instantiating service '${l}'`);this._activeInstantiations.add(l);try{return this._createAndCacheServiceInstance(l,g,S)}finally{this._activeInstantiations.delete(l)}}_createAndCacheServiceInstance(l,g,S){const p=new y.Graph(u=>u.id.toString());let w=0;const d=[{id:l,desc:g,_trace:S}];for(;d.length;){const u=d.pop();if(p.lookupOrInsertNode(u),w++>1e3)throw new n(p);for(let a of I._util.getServiceDependencies(u.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(a.id);if(!t&&!a.optional&&console.warn(`[createInstance] ${l} depends on ${a.id} which is NOT registered.`),t instanceof R.SyncDescriptor){const i={id:a.id,desc:t,_trace:u._trace.branch(a.id,!0)};p.insertEdge(u,i),d.push(i)}}}for(;;){const u=p.roots();if(u.length===0){if(!p.isEmpty())throw new n(p);break}for(const{data:a}of u){if(this._getServiceInstanceOrDescriptor(a.id)instanceof R.SyncDescriptor){const i=this._createServiceInstanceWithOwner(a.id,a.desc.ctor,a.desc.staticArguments,a.desc.supportsDelayedInstantiation,a._trace);this._setServiceInstance(a.id,i)}p.removeNode(a)}}return this._getServiceInstanceOrDescriptor(l)}_createServiceInstanceWithOwner(l,g,S=[],p,w){if(this._services.get(l)instanceof R.SyncDescriptor)return this._createServiceInstance(g,S,p,w);if(this._parent)return this._parent._createServiceInstanceWithOwner(l,g,S,p,w);throw new Error(`illegalState - creating UNKNOWN service instance ${g.name}`)}_createServiceInstance(l,g=[],S,p){if(S){const w=new P.IdleValue(()=>this._createInstance(l,g,p));return new Proxy(Object.create(null),{get(d,u){if(u in d)return d[u];let a=w.value,t=a[u];return typeof t!="function"||(t=t.bind(a),d[u]=t),t},set(d,u,a){return w.value[u]=a,!0}})}else return this._createInstance(l,g,p)}}e.InstantiationService=A;var k;(function(h){h[h.Creation=0]="Creation",h[h.Invocation=1]="Invocation",h[h.Branch=2]="Branch"})(k||(k={}));class b{constructor(l,g){this.type=l,this.name=g,this._start=Date.now(),this._dep=[]}static traceInvocation(l){return E?new b(1,l.name||l.toString().substring(0,42).replace(/\n/g,"")):b._None}static traceCreation(l){return E?new b(0,l.name):b._None}branch(l,g){let S=new b(2,l.toString());return this._dep.push([l,g,S]),S}stop(){let l=Date.now()-this._start;b._totals+=l;let g=!1;function S(w,d){let u=[],a=new Array(w+1).join("	");for(const[t,i,s]of d._dep)if(i&&s){g=!0,u.push(`${a}CREATES -> ${t}`);let o=S(w+1,s);o&&u.push(o)}else u.push(`${a}uses -> ${t}`);return u.join(`
`)}let p=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${l.toFixed(2)}ms (grand total ${b._totals.toFixed(2)}ms)`];(l>2||g)&&console.log(p.join(`
`))}}b._None=new class extends b{constructor(){super(-1,null)}stop(){}branch(){return this}},b._totals=0}),define(ge[13],pe([0,1,4,6,10,3,58]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,_.createDecorator)("logService"),e.ILoggerService=(0,_.createDecorator)("loggerService");function P(){return new Date().toISOString()}var E;(function(u){u[u.Trace=0]="Trace",u[u.Debug=1]="Debug",u[u.Info=2]="Info",u[u.Warning=3]="Warning",u[u.Error=4]="Error",u[u.Critical=5]="Critical",u[u.Off=6]="Off"})(E=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=E.Info;class n extends y.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new I.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(a){this.level!==a&&(this.level=a,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=n;class A extends n{constructor(a){super();this.logAlways=a}checkLogLevel(a){return this.logAlways||this.getLevel()<=a}trace(a,...t){this.checkLogLevel(E.Trace)&&this.log(E.Trace,this.format([a,...t]))}debug(a,...t){this.checkLogLevel(E.Debug)&&this.log(E.Debug,this.format([a,...t]))}info(a,...t){this.checkLogLevel(E.Info)&&this.log(E.Info,this.format([a,...t]))}warn(a,...t){this.checkLogLevel(E.Warning)&&this.log(E.Warning,this.format([a,...t]))}error(a,...t){if(this.checkLogLevel(E.Error))if(a instanceof Error){const i=Array.prototype.slice.call(arguments);i[0]=a.stack,this.log(E.Error,this.format(i))}else this.log(E.Error,this.format([a,...t]))}critical(a,...t){this.checkLogLevel(E.Critical)&&this.log(E.Critical,this.format([a,...t]))}flush(){}format(a){let t="";for(let i=0;i<a.length;i++){let s=a[i];if(typeof s=="object")try{s=JSON.stringify(s)}catch(o){}t+=(i>0?" ":"")+s}return t}}e.AbstractMessageLogger=A;class k extends n{constructor(a=e.DEFAULT_LOG_LEVEL){super();this.setLevel(a),this.useColors=!R.isWindows}trace(a,...t){this.getLevel()<=E.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,a,...t):console.log(`[main ${P()}]`,a,...t))}debug(a,...t){this.getLevel()<=E.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,a,...t):console.log(`[main ${P()}]`,a,...t))}info(a,...t){this.getLevel()<=E.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,a,...t):console.log(`[main ${P()}]`,a,...t))}warn(a,...t){this.getLevel()<=E.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,a,...t):console.warn(`[main ${P()}]`,a,...t))}error(a,...t){this.getLevel()<=E.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,a,...t):console.error(`[main ${P()}]`,a,...t))}critical(a,...t){this.getLevel()<=E.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,a,...t):console.error(`[main ${P()}]`,a,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=k;class b extends n{constructor(a=e.DEFAULT_LOG_LEVEL){super();this.setLevel(a)}trace(a,...t){this.getLevel()<=E.Trace&&console.log("%cTRACE","color: #888",a,...t)}debug(a,...t){this.getLevel()<=E.Debug&&console.log("%cDEBUG","background: #eee; color: #888",a,...t)}info(a,...t){this.getLevel()<=E.Info&&console.log("%c INFO","color: #33f",a,...t)}warn(a,...t){this.getLevel()<=E.Warning&&console.log("%c WARN","color: #993",a,...t)}error(a,...t){this.getLevel()<=E.Error&&console.log("%c  ERR","color: #f33",a,...t)}critical(a,...t){this.getLevel()<=E.Critical&&console.log("%cCRITI","background: #f33; color: white",a,...t)}dispose(){}flush(){}}e.ConsoleLogger=b;class h extends n{constructor(a,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=a,this.setLevel(t)}trace(a,...t){this.getLevel()<=E.Trace&&this.adapter.log(E.Trace,[this.extractMessage(a),...t])}debug(a,...t){this.getLevel()<=E.Debug&&this.adapter.log(E.Debug,[this.extractMessage(a),...t])}info(a,...t){this.getLevel()<=E.Info&&this.adapter.log(E.Info,[this.extractMessage(a),...t])}warn(a,...t){this.getLevel()<=E.Warning&&this.adapter.log(E.Warning,[this.extractMessage(a),...t])}error(a,...t){this.getLevel()<=E.Error&&this.adapter.log(E.Error,[this.extractMessage(a),...t])}critical(a,...t){this.getLevel()<=E.Critical&&this.adapter.log(E.Critical,[this.extractMessage(a),...t])}extractMessage(a){return typeof a=="string"?a:(0,D.toErrorMessage)(a,this.getLevel()<=E.Trace)}dispose(){}flush(){}}e.AdapterLogger=h;class l extends n{constructor(a){super();this.logServices=a,a.length&&this.setLevel(a[0].getLevel())}setLevel(a){for(const t of this.logServices)t.setLevel(a);super.setLevel(a)}trace(a,...t){for(const i of this.logServices)i.trace(a,...t)}debug(a,...t){for(const i of this.logServices)i.debug(a,...t)}info(a,...t){for(const i of this.logServices)i.info(a,...t)}warn(a,...t){for(const i of this.logServices)i.warn(a,...t)}error(a,...t){for(const i of this.logServices)i.error(a,...t)}critical(a,...t){for(const i of this.logServices)i.critical(a,...t)}flush(){for(const a of this.logServices)a.flush()}dispose(){for(const a of this.logServices)a.dispose()}}e.MultiplexLogService=l;class g extends y.Disposable{constructor(a){super();this.logger=a,this._register(a)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(a){this.logger.setLevel(a)}getLevel(){return this.logger.getLevel()}trace(a,...t){this.logger.trace(a,...t)}debug(a,...t){this.logger.debug(a,...t)}info(a,...t){this.logger.info(a,...t)}warn(a,...t){this.logger.warn(a,...t)}error(a,...t){this.logger.error(a,...t)}critical(a,...t){this.logger.critical(a,...t)}flush(){this.logger.flush()}}e.LogService=g;class S{constructor(){this.onDidChangeLogLevel=new I.Emitter().event}setLevel(a){}getLevel(){return E.Info}trace(a,...t){}debug(a,...t){}info(a,...t){}warn(a,...t){}error(a,...t){}critical(a,...t){}dispose(){}flush(){}}e.NullLogService=S;function p(u){if(u.verbose)return E.Trace;if(typeof u.logLevel=="string"){const a=w(u.logLevel.toLowerCase());if(a!==void 0)return a}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=p;function w(u){switch(u){case"trace":return E.Trace;case"debug":return E.Debug;case"info":return E.Info;case"warn":return E.Warning;case"error":return E.Error;case"critical":return E.Critical;case"off":return E.Off}}e.parseLogLevel=w;function d(u){switch(u){case E.Trace:return"trace";case E.Debug:return"debug";case E.Info:return"info";case E.Warning:return"warn";case E.Error:return"error";case E.Critical:return"critical";case E.Off:return"off"}}e.LogLevelToString=d}),define(ge[109],pe([0,1,13,44]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function R(E,n,A,k){try{const b=await new Promise((h,l)=>{J(["spdlog"],h,l)});return b.setAsyncMode(8192,500),b.createRotatingLoggerAsync(E,n,A,k)}catch(b){console.error(b)}return null}function I(E,n,A,k){return J.__$__nodeRequire("spdlog").createRotatingLogger(E,n,A,k)}e.createRotatingLogger=I;function D(E,n,A){switch(n){case _.LogLevel.Trace:E.trace(A);break;case _.LogLevel.Debug:E.debug(A);break;case _.LogLevel.Info:E.info(A);break;case _.LogLevel.Warning:E.warn(A);break;case _.LogLevel.Error:E.error(A);break;case _.LogLevel.Critical:E.critical(A);break;default:throw new Error("Invalid log level")}}class P extends _.AbstractMessageLogger{constructor(n,A,k,b){super();this.name=n,this.filepath=A,this.rotating=k,this.buffer=[],this.setLevel(b),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(h=>{this._logger&&this._logger.setLevel(h)}))}_createSpdLogLogger(){const n=this.rotating?6:1,A=30/n*y.ByteSize.MB;return R(this.name,this.filepath,A,n).then(k=>{if(k){this._logger=k,this._logger.setLevel(this.getLevel());for(const{level:b,message:h}of this.buffer)D(this._logger,b,h);this.buffer=[]}})}log(n,A){this._logger?D(this._logger,n,A):this.getLevel()<=n&&this.buffer.push({level:n,message:A})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=P}),define(ge[110],pe([0,1,4,153,74]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var I;(function(E){E[E.Unnecessary=1]="Unnecessary",E[E.Deprecated=2]="Deprecated"})(I=e.MarkerTag||(e.MarkerTag={}));var D;(function(E){E[E.Hint=1]="Hint",E[E.Info=2]="Info",E[E.Warning=4]="Warning",E[E.Error=8]="Error"})(D=e.MarkerSeverity||(e.MarkerSeverity={})),function(E){function n(l,g){return g-l}E.compare=n;const A=Object.create(null);A[E.Error]=(0,y.localize)(0,null),A[E.Warning]=(0,y.localize)(1,null),A[E.Info]=(0,y.localize)(2,null);function k(l){return A[l]||""}E.toString=k;function b(l){switch(l){case R.default.Error:return E.Error;case R.default.Warning:return E.Warning;case R.default.Info:return E.Info;case R.default.Ignore:return E.Hint}}E.fromSeverity=b;function h(l){switch(l){case E.Error:return R.default.Error;case E.Warning:return R.default.Warning;case E.Info:return R.default.Info;case E.Hint:return R.default.Ignore}}E.toSeverity=h}(D=e.MarkerSeverity||(e.MarkerSeverity={}));var P;(function(E){const n="";function A(b){return k(b,!0)}E.makeKey=A;function k(b,h){let l=[n];return b.source?l.push(b.source.replace("\xA6","\\\xA6")):l.push(n),b.code?typeof b.code=="string"?l.push(b.code.replace("\xA6","\\\xA6")):l.push(b.code.value.replace("\xA6","\\\xA6")):l.push(n),b.severity!==void 0&&b.severity!==null?l.push(D.toString(b.severity)):l.push(n),b.message&&h?l.push(b.message.replace("\xA6","\\\xA6")):l.push(n),b.startLineNumber!==void 0&&b.startLineNumber!==null?l.push(b.startLineNumber.toString()):l.push(n),b.startColumn!==void 0&&b.startColumn!==null?l.push(b.startColumn.toString()):l.push(n),b.endLineNumber!==void 0&&b.endLineNumber!==null?l.push(b.endLineNumber.toString()):l.push(n),b.endColumn!==void 0&&b.endColumn!==null?l.push(b.endColumn.toString()):l.push(n),l.push(n),l.join("\xA6")}E.makeKeyOptionalMessage=k})(P=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,_.createDecorator)("markerService")}),define(ge[183],pe([0,1,74,4,3]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=_.default,e.INotificationService=(0,y.createDecorator)("notificationService");var I;(function(n){n[n.WORKSPACE=0]="WORKSPACE",n[n.GLOBAL=1]="GLOBAL"})(I=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var D;(function(n){n[n.OFF=0]="OFF",n[n.SILENT=1]="SILENT",n[n.ERROR=2]="ERROR"})(D=e.NotificationsFilter||(e.NotificationsFilter={}));class P{constructor(){this.progress=new E,this.onDidClose=R.Event.None,this.onDidChangeVisibility=R.Event.None}updateSeverity(A){}updateMessage(A){}updateActions(A){}close(){}}e.NoOpNotification=P;class E{infinite(){}done(){}total(A){}worked(A){}}e.NoOpProgress=E}),define(ge[184],pe([0,1,10,30,11,24]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let D;if(_.isWeb||typeof J=="undefined"||typeof J.__$__nodeRequire!="function")D={},Object.keys(D).length===0&&Object.assign(D,{version:"1.55.0-dev",nameShort:_.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:_.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const P=(0,I.dirname)(R.FileAccess.asFileUri("",J));D=J.__$__nodeRequire((0,I.joinPath)(P,"product.json").fsPath);const E=J.__$__nodeRequire((0,I.joinPath)(P,"package.json").fsPath);y.env.VSCODE_DEV&&Object.assign(D,{nameShort:`${D.nameShort} Dev`,nameLong:`${D.nameLong} Dev`,dataFolderName:`${D.dataFolderName}-dev`}),Object.assign(D,{version:E.version})}e.default=D});var je=this&&this.__decorate||function(J,e,_,y){var R=arguments.length,I=R<3?e:y===null?y=Object.getOwnPropertyDescriptor(e,_):y,D;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")I=Reflect.decorate(J,e,_,y);else for(var P=J.length-1;P>=0;P--)(D=J[P])&&(I=(R<3?D(I):R>3?D(e,_,I):D(e,_))||I);return R>3&&I&&Object.defineProperty(e,_,I),I},Ue=this&&this.__param||function(J,e){return function(_,y){e(_,y,J)}};define(ge[111],pe([0,1,4,21,6,19]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,_.createDecorator)("progressService");var D;(function(A){A[A.Explorer=1]="Explorer",A[A.Scm=3]="Scm",A[A.Extensions=5]="Extensions",A[A.Window=10]="Window",A[A.Notification=15]="Notification",A[A.Dialog=20]="Dialog"})(D=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class P{constructor(k){this.callback=k}get value(){return this._value}report(k){this._value=k,this.callback(this._value)}}e.Progress=P,P.None=Object.freeze({report(){}});let E=class extends R.Disposable{constructor(k,b){super();this.deferred=new I.DeferredPromise,b.withProgress(k,h=>(this.reporter=h,this.lastStep&&h.report(this.lastStep),this.deferred.p)),this._register((0,R.toDisposable)(()=>this.deferred.complete()))}report(k){this.reporter?this.reporter.report(k):this.lastStep=k}};E=je([Ue(1,e.IProgressService)],E),e.UnmanagedProgress=E;class n extends R.Disposable{constructor(k){super();this.progressIndicator=k,this.currentOperationId=0,this.currentOperationDisposables=this._register(new R.DisposableStore)}start(k){this.stop();const b=++this.currentOperationId,h=new y.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{b===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},k),this.currentOperationDisposables.add((0,R.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,R.toDisposable)(()=>h.cancel())),this.currentOperationDisposables.add((0,R.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:b,token:h.token,stop:()=>this.doStop(b),isCurrent:()=>this.currentOperationId===b}}stop(){this.doStop(this.currentOperationId)}doStop(k){this.currentOperationId===k&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=n,e.IEditorProgressService=(0,_.createDecorator)("editorProgressService")}),define(ge[40],pe([0,1,15,52]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class R{constructor(){this.data=new Map}add(D,P){y.ok(_.isString(D)),y.ok(_.isObject(P)),y.ok(!this.data.has(D),"There is already an extension with this id"),this.data.set(D,P)}knows(D){return this.data.has(D)}as(D){return this.data.get(D)||null}}e.Registry=new R}),define(ge[112],pe([0,1,40,3]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function R(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class I{constructor(){this._onDidChangeSchema=new y.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(E,n){this.schemasById[R(E)]=n,this._onDidChangeSchema.fire(E)}notifySchemaChanged(E){this._onDidChangeSchema.fire(E)}getSchemaContributions(){return{schemas:this.schemasById}}}const D=new I;_.Registry.add(e.Extensions.JSONContribution,D)}),define(ge[82],pe([0,1,150,3,40,15,112]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var P;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(P=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const E=R.Registry.as(D.Extensions.JSONContribution);class n{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new y.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new y.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:_.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(p,w=!0){this.registerConfigurations([p],w)}registerConfigurations(p,w=!0){const d=[];p.forEach(u=>{d.push(...this.validateAndRegisterProperties(u,w)),this.configurationContributors.push(u),this.registerJSONConfiguration(u)}),E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(d)}deregisterConfigurations(p){const w=[],d=u=>{if(u.properties)for(const a in u.properties)w.push(a),delete this.configurationProperties[a],this.removeFromSchema(a,u.properties[a]);u.allOf&&u.allOf.forEach(a=>d(a))};for(const u of p){d(u);const a=this.configurationContributors.indexOf(u);a!==-1&&this.configurationContributors.splice(a,1)}E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(w)}registerDefaultConfigurations(p){const w=[],d=[];for(const u of p)for(const a in u)if(w.push(a),e.OVERRIDE_PROPERTY_PATTERN.test(a)){this.defaultValues[a]=Object.assign(Object.assign({},this.defaultValues[a]||{}),u[a]);const t={type:"object",default:this.defaultValues[a],description:_.localize(1,null,a),$ref:e.resourceLanguageSettingsSchemaId};d.push(k(a)),this.configurationProperties[a]=t,this.defaultLanguageConfigurationOverridesNode.properties[a]=t}else{this.defaultValues[a]=u[a];const t=this.configurationProperties[a];t&&(this.updatePropertyDefaultValue(a,t),this.updateSchema(a,t))}this.registerOverrideIdentifiers(d),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(w)}deregisterDefaultConfigurations(p){const w=[];for(const d of p)for(const u in d)if(w.push(u),delete this.defaultValues[u],e.OVERRIDE_PROPERTY_PATTERN.test(u))delete this.configurationProperties[u],delete this.defaultLanguageConfigurationOverridesNode.properties[u];else{const a=this.configurationProperties[u];a&&(this.updatePropertyDefaultValue(u,a),this.updateSchema(u,a))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(w)}notifyConfigurationSchemaUpdated(...p){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(p){for(const w of p)this.overrideIdentifiers.add(w);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(p,w=!0,d=3){d=I.isUndefinedOrNull(p.scope)?d:p.scope;let u=[],a=p.properties;if(a)for(let i in a){if(w&&l(i)){delete a[i];continue}const s=a[i];if(this.updatePropertyDefaultValue(i,s),e.OVERRIDE_PROPERTY_PATTERN.test(i)?s.scope=void 0:s.scope=I.isUndefinedOrNull(s.scope)?d:s.scope,a[i].hasOwnProperty("included")&&!a[i].included){this.excludedConfigurationProperties[i]=a[i],delete a[i];continue}else this.configurationProperties[i]=a[i];!a[i].deprecationMessage&&a[i].markdownDeprecationMessage&&(a[i].deprecationMessage=a[i].markdownDeprecationMessage),u.push(i)}let t=p.allOf;if(t)for(let i of t)u.push(...this.validateAndRegisterProperties(i,w,d));return u}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(p){const w=d=>{let u=d.properties;if(u)for(const t in u)this.updateSchema(t,u[t]);let a=d.allOf;a&&a.forEach(w)};w(p)}updateSchema(p,w){switch(e.allSettings.properties[p]=w,w.scope){case 1:e.applicationSettings.properties[p]=w;break;case 2:e.machineSettings.properties[p]=w;break;case 6:e.machineOverridableSettings.properties[p]=w;break;case 3:e.windowSettings.properties[p]=w;break;case 4:e.resourceSettings.properties[p]=w;break;case 5:e.resourceSettings.properties[p]=w,this.resourceLanguageSettingsSchema.properties[p]=w;break}}removeFromSchema(p,w){switch(delete e.allSettings.properties[p],w.scope){case 1:delete e.applicationSettings.properties[p];break;case 2:delete e.machineSettings.properties[p];break;case 6:delete e.machineOverridableSettings.properties[p];break;case 3:delete e.windowSettings.properties[p];break;case 4:case 5:delete e.resourceSettings.properties[p];break}}updateOverridePropertyPatternKey(){for(const p of this.overrideIdentifiers.values()){const w=`[${p}]`,d={type:"object",description:_.localize(2,null),errorMessage:_.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(w,d),e.allSettings.properties[w]=d,e.applicationSettings.properties[w]=d,e.machineSettings.properties[w]=d,e.machineOverridableSettings.properties[w]=d,e.windowSettings.properties[w]=d,e.resourceSettings.properties[w]=d}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(p,w){let d=this.defaultValues[p];I.isUndefined(d)&&(d=w.default),I.isUndefined(d)&&(d=b(w.type)),w.default=d}}const A="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(A);function k(S){return S.substring(1,S.length-1)}e.overrideIdentifierFromKey=k;function b(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=b;const h=new n;R.Registry.add(e.Extensions.Configuration,h);function l(S){return S.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(S)?_.localize(5,null,S):h.getConfigurationProperties()[S]!==void 0?_.localize(6,null,S):null:_.localize(4,null)}e.validateProperty=l;function g(){const S=[],p=h.getConfigurationProperties();for(const w of Object.keys(p))S.push([w,p[w].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.getScopes=g}),define(ge[83],pe([0,1,22,15,2,40,4,82]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,D.createDecorator)("configurationService");function E(i){return i&&typeof i=="object"&&(!i.overrideIdentifier||typeof i.overrideIdentifier=="string")&&(!i.resource||i.resource instanceof R.URI)}e.isConfigurationOverrides=E;var n;(function(i){i[i.USER=1]="USER",i[i.USER_LOCAL=2]="USER_LOCAL",i[i.USER_REMOTE=3]="USER_REMOTE",i[i.WORKSPACE=4]="WORKSPACE",i[i.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",i[i.DEFAULT=6]="DEFAULT",i[i.MEMORY=7]="MEMORY"})(n=e.ConfigurationTarget||(e.ConfigurationTarget={}));function A(i){switch(i){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=A;function k(i,s){const o=s?i?s.keys.filter(T=>i.keys.indexOf(T)===-1):[...s.keys]:[],r=i?s?i.keys.filter(T=>s.keys.indexOf(T)===-1):[...i.keys]:[],c=[];if(s&&i){for(const T of i.keys)if(s.keys.indexOf(T)!==-1){const L=p(i.contents,T),B=p(s.contents,T);_.equals(L,B)||c.push(T)}}const v=[],C=T=>{const L={};for(const B of T)for(const te of B.identifiers)L[a(te)]=B;return L},m=s?C(s.overrides):{},f=i?C(i.overrides):{};if(Object.keys(m).length)for(const T of o){const L=m[T];L&&v.push([(0,P.overrideIdentifierFromKey)(T),L.keys])}if(Object.keys(f).length)for(const T of r){const L=f[T];L&&v.push([(0,P.overrideIdentifierFromKey)(T),L.keys])}if(Object.keys(m).length&&Object.keys(f).length)for(const T of c){const L=f[T],B=m[T];if(L&&B){const te=k({contents:L.contents,keys:L.keys,overrides:[]},{contents:B.contents,keys:B.keys,overrides:[]});v.push([(0,P.overrideIdentifierFromKey)(T),[...te.added,...te.removed,...te.updated]])}}return{added:o,removed:r,updated:c,overrides:v}}e.compare=k;function b(i,s){const o=[];for(const r of Object.keys(i))if(P.OVERRIDE_PROPERTY_PATTERN.test(r)){const c={};for(const v in i[r])c[v]=i[r][v];o.push({identifiers:[(0,P.overrideIdentifierFromKey)(r).trim()],keys:Object.keys(c),contents:h(c,s)})}return o}e.toOverrides=b;function h(i,s){const o=Object.create(null);for(let r in i)l(o,r,i[r],s);return o}e.toValuesTree=h;function l(i,s,o,r){const c=s.split("."),v=c.pop();let C=i;for(let m=0;m<c.length;m++){let f=c[m],T=C[f];switch(typeof T){case"undefined":T=C[f]=Object.create(null);break;case"object":break;default:r(`Ignoring ${s} as ${c.slice(0,m+1).join(".")} is ${JSON.stringify(T)}`);return}C=T}if(typeof C=="object"&&C!==null)try{C[v]=o}catch(m){r(`Ignoring ${s} as ${c.join(".")} is ${JSON.stringify(C)}`)}else r(`Ignoring ${s} as ${c.join(".")} is ${JSON.stringify(C)}`)}e.addToValueTree=l;function g(i,s){const o=s.split(".");S(i,o)}e.removeFromValueTree=g;function S(i,s){const o=s.shift();if(s.length===0){delete i[o];return}if(Object.keys(i).indexOf(o)!==-1){const r=i[o];typeof r=="object"&&!Array.isArray(r)&&(S(r,s),Object.keys(r).length===0&&delete i[o])}}function p(i,s,o){function r(C,m){let f=C;for(const T of m){if(typeof f!="object"||f===null)return;f=f[T]}return f}const c=s.split("."),v=r(i,c);return typeof v=="undefined"?o:v}e.getConfigurationValue=p;function w(i,s,o){Object.keys(s).forEach(r=>{r!=="__proto__"&&(r in i?y.isObject(i[r])&&y.isObject(s[r])?w(i[r],s[r],o):o&&(i[r]=s[r]):i[r]=s[r])})}e.merge=w;function d(){const i=I.Registry.as(P.Extensions.Configuration).getConfigurationProperties();return Object.keys(i)}e.getConfigurationKeys=d;function u(){const i=Object.create(null),s=I.Registry.as(P.Extensions.Configuration).getConfigurationProperties();for(let o in s){let r=s[o].default;l(i,o,r,c=>console.error(`Conflict in default settings: ${c}`))}return i}e.getDefaultValues=u;function a(i){return`[${i}]`}e.keyFromOverrideIdentifier=a;function t(i,s,o){const r=i.inspect(s),c=i.inspect(o);return typeof r.userValue!="undefined"||typeof r.workspaceValue!="undefined"||typeof r.workspaceFolderValue!="undefined"?r.value:typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:r.defaultValue}e.getMigratedSettingValue=t}),define(ge[185],pe([0,1,55,23,12,15,22,2,82,83,40,6,3]),function(J,e,_,y,R,I,D,P,E,n,A,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class h{constructor(t={},i=[],s=[]){this._contents=t,this._keys=i,this._overrides=s,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?(0,n.getConfigurationValue)(this.contents,t):this.contents}getOverrideValue(t,i){const s=this.getContentsForOverrideIdentifer(i);return s?t?(0,n.getConfigurationValue)(s,t):s:void 0}getKeysForOverrideIdentifier(t){for(const i of this.overrides)if(i.identifiers.indexOf(t)!==-1)return i.keys;return[]}override(t){const i=this.getContentsForOverrideIdentifer(t);if(!i||typeof i!="object"||!Object.keys(i).length)return this;let s={};for(const o of R.distinct([...Object.keys(this.contents),...Object.keys(i)])){let r=this.contents[o],c=i[o];c&&(typeof r=="object"&&typeof c=="object"?(r=D.deepClone(r),this.mergeContents(r,c)):r=c),s[o]=r}return new h(s,this.keys,this.overrides)}merge(...t){const i=D.deepClone(this.contents),s=D.deepClone(this.overrides),o=[...this.keys];for(const r of t){this.mergeContents(i,r.contents);for(const c of r.overrides){const[v]=s.filter(C=>R.equals(C.identifiers,c.identifiers));v?this.mergeContents(v.contents,c.contents):s.push(D.deepClone(c))}for(const c of r.keys)o.indexOf(c)===-1&&o.push(c)}return new h(i,o,s)}freeze(){return this.isFrozen=!0,this}mergeContents(t,i){for(const s of Object.keys(i)){if(s in t&&I.isObject(t[s])&&I.isObject(i[s])){this.mergeContents(t[s],i[s]);continue}t[s]=D.deepClone(i[s])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?D.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const i of this.overrides)if(i.identifiers.indexOf(t)!==-1)return i.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,i){this.addKey(t),(0,n.addToValueTree)(this.contents,t,i,s=>{throw new Error(s)})}removeValue(t){this.removeKey(t)&&(0,n.removeFromValueTree)(this.contents,t)}addKey(t){let i=this.keys.length;for(let s=0;s<i;s++)t.indexOf(this.keys[s])===0&&(i=s);this.keys.splice(i,1,t)}removeKey(t){let i=this.keys.indexOf(t);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=h;class l extends h{constructor(){const t=(0,n.getDefaultValues)(),i=(0,n.getConfigurationKeys)(),s=[];for(const o of Object.keys(t))E.OVERRIDE_PROPERTY_PATTERN.test(o)&&s.push({identifiers:[(0,E.overrideIdentifierFromKey)(o).trim()],keys:Object.keys(t[o]),contents:(0,n.toValuesTree)(t[o],r=>console.error(`Conflict in default settings file: ${r}`))});super(t,i,s)}}e.DefaultConfigurationModel=l;class g{constructor(t,i){this._name=t,this._scopes=i,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new h}get errors(){return this._parseErrors}parseContent(t){if(!I.isUndefinedOrNull(t)){const i=this.doParseContent(t);this.parseRaw(i)}}parseRaw(t){this._raw=t;const i=this.doParseRaw(t);this._configurationModel=new h(i.contents,i.keys,i.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let i={},s=null,o=[],r=[],c=[];function v(m){Array.isArray(o)?o.push(m):s&&(o[s]=m)}let C={onObjectBegin:()=>{let m={};v(m),r.push(o),o=m,s=null},onObjectProperty:m=>{s=m},onObjectEnd:()=>{o=r.pop()},onArrayBegin:()=>{let m=[];v(m),r.push(o),o=m,s=null},onArrayEnd:()=>{o=r.pop()},onLiteralValue:v,onError:(m,f,T)=>{c.push({error:m,offset:f,length:T})}};if(t)try{_.visit(t,C),i=o[0]||{}}catch(m){console.error(`Error while parsing settings file ${this._name}: ${m}`),this._parseErrors=[m]}return i}doParseRaw(t){if(this._scopes){const r=A.Registry.as(E.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,r,!0,this._scopes)}const i=(0,n.toValuesTree)(t,r=>console.error(`Conflict in settings file ${this._name}: ${r}`)),s=Object.keys(t),o=(0,n.toOverrides)(t,r=>console.error(`Conflict in settings file ${this._name}: ${r}`));return{contents:i,keys:s,overrides:o}}filterByScope(t,i,s,o){const r={};for(let c in t)if(E.OVERRIDE_PROPERTY_PATTERN.test(c)&&s)r[c]=this.filterByScope(t[c],i,!1,o);else{const v=this.getScope(c,i);(v===void 0||o.indexOf(v)!==-1)&&(r[c]=t[c])}return r}getScope(t,i){const s=i[t];return s?typeof s.scope!="undefined"?s.scope:3:void 0}}e.ConfigurationModelParser=g;class S extends k.Disposable{constructor(t,i,s,o){super();this.userSettingsResource=t,this.scopes=i,this.fileService=o,this._onDidChange=this._register(new b.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new g(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(b.Event.filter(this.fileService.onDidFilesChange,r=>r.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new h}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=S;class p{constructor(t,i,s=new h,o=new h,r=new y.ResourceMap,c=new h,v=new y.ResourceMap,C=!0){this._defaultConfiguration=t,this._localUserConfiguration=i,this._remoteUserConfiguration=s,this._workspaceConfiguration=o,this._folderConfigurations=r,this._memoryConfiguration=c,this._memoryConfigurationByResource=v,this._freeze=C,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new y.ResourceMap,this._userConfiguration=null}getValue(t,i,s){return this.getConsolidateConfigurationModel(i,s).getValue(t)}updateValue(t,i,s={}){let o;s.resource?(o=this._memoryConfigurationByResource.get(s.resource),o||(o=new h,this._memoryConfigurationByResource.set(s.resource,o))):o=this._memoryConfiguration,i===void 0?o.removeValue(t):o.setValue(t,i),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,i,s){const o=this.getConsolidateConfigurationModel(i,s),r=this.getFolderConfigurationModelForResource(i.resource,s),c=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,v=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),C=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),m=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),f=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),T=s?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,L=r?i.overrideIdentifier?r.freeze().override(i.overrideIdentifier).getValue(t):r.freeze().getValue(t):void 0,B=i.overrideIdentifier?c.override(i.overrideIdentifier).getValue(t):c.getValue(t),te=o.getValue(t),j=R.distinct(R.flatten(o.overrides.map(W=>W.identifiers))).filter(W=>o.getOverrideValue(t,W)!==void 0);return{defaultValue:v,userValue:C,userLocalValue:m,userRemoteValue:f,workspaceValue:T,workspaceFolderValue:L,memoryValue:B,value:te,default:v!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,i.overrideIdentifier):void 0}:void 0,user:C!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,i.overrideIdentifier):void 0}:void 0,userLocal:m!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,i.overrideIdentifier):void 0}:void 0,userRemote:f!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,i.overrideIdentifier):void 0}:void 0,workspace:T!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,i.overrideIdentifier):void 0}:void 0,workspaceFolder:L!==void 0?{value:r==null?void 0:r.freeze().getValue(t),override:i.overrideIdentifier?r==null?void 0:r.freeze().getOverrideValue(t,i.overrideIdentifier):void 0}:void 0,memory:B!==void 0?{value:c.getValue(t),override:i.overrideIdentifier?c.getOverrideValue(t,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:j.length?j:void 0}}keys(t){const i=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,i){this._folderConfigurations.set(t,i),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,i){const s=i.filter(o=>E.OVERRIDE_PROPERTY_PATTERN.test(o)).map(o=>{const r=(0,E.overrideIdentifierFromKey)(o),c=this._defaultConfiguration.getKeysForOverrideIdentifier(r),v=t.getKeysForOverrideIdentifier(r),C=[...v.filter(m=>c.indexOf(m)===-1),...c.filter(m=>v.indexOf(m)===-1),...c.filter(m=>!D.equals(this._defaultConfiguration.override(r).getValue(m),t.override(r).getValue(m)))];return[r,C]});return this.updateDefaultConfiguration(t),{keys:i,overrides:s}}compareAndUpdateLocalUserConfiguration(t){const{added:i,updated:s,removed:o,overrides:r}=(0,n.compare)(this.localUserConfiguration,t),c=[...i,...s,...o];return c.length&&this.updateLocalUserConfiguration(t),{keys:c,overrides:r}}compareAndUpdateRemoteUserConfiguration(t){const{added:i,updated:s,removed:o,overrides:r}=(0,n.compare)(this.remoteUserConfiguration,t);let c=[...i,...s,...o];return c.length&&this.updateRemoteUserConfiguration(t),{keys:c,overrides:r}}compareAndUpdateWorkspaceConfiguration(t){const{added:i,updated:s,removed:o,overrides:r}=(0,n.compare)(this.workspaceConfiguration,t);let c=[...i,...s,...o];return c.length&&this.updateWorkspaceConfiguration(t),{keys:c,overrides:r}}compareAndUpdateFolderConfiguration(t,i){const s=this.folderConfigurations.get(t),{added:o,updated:r,removed:c,overrides:v}=(0,n.compare)(s,i);let C=[...o,...r,...c];return(C.length||!s)&&this.updateFolderConfiguration(t,i),{keys:C,overrides:v}}compareAndDeleteFolderConfiguration(t){const i=this.folderConfigurations.get(t);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:s,updated:o,removed:r,overrides:c}=(0,n.compare)(i,void 0);return{keys:[...s,...o,...r],overrides:c}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,i){let s=this.getConsolidatedConfigurationModelForResource(t,i);return t.overrideIdentifier?s.override(t.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:t},i){let s=this.getWorkspaceConsolidatedConfiguration();if(i&&t){const o=i.getFolder(t);o&&(s=this.getFolderConsolidatedConfiguration(o.uri)||s);const r=this._memoryConfigurationByResource.get(t);r&&(s=s.merge(r))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let i=this._foldersConsolidatedConfigurations.get(t);if(!i){const s=this.getWorkspaceConsolidatedConfiguration(),o=this._folderConfigurations.get(t);o?(i=s.merge(o),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(t,i)):i=s}return i}getFolderConfigurationModelForResource(t,i){if(i&&t){const s=i.getFolder(t);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,i)=>{const{contents:s,overrides:o,keys:r}=this._folderConfigurations.get(i);return t.push([i,{contents:s,overrides:o,keys:r}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>t.add(i)),this.userConfiguration.freeze().keys.forEach(i=>t.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>t.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(s=>t.add(s))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>i.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>i.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>i.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(t).forEach(o=>i.add(o))),[...i.values()]}static parse(t){const i=this.parseConfigurationModel(t.defaults),s=this.parseConfigurationModel(t.user),o=this.parseConfigurationModel(t.workspace),r=t.folders.reduce((c,v)=>(c.set(P.URI.revive(v[0]),this.parseConfigurationModel(v[1])),c),new y.ResourceMap);return new p(i,s,new h,o,r,new h,new y.ResourceMap,!1)}static parseConfigurationModel(t){return new h(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=p;function w(...a){if(a.length===0)return{keys:[],overrides:[]};if(a.length===1)return a[0];const t=new Set,i=new Map;for(const o of a)o.keys.forEach(r=>t.add(r)),o.overrides.forEach(([r,c])=>{const v=(0,y.getOrSet)(i,r,new Set);c.forEach(C=>v.add(C))});const s=[];return i.forEach((o,r)=>s.push([r,[...o.values()]])),{keys:[...t.values()],overrides:s}}e.mergeChanges=w;class d{constructor(t,i,s,o){this.change=t,this.previous=i,this.currentConfiguraiton=s,this.currentWorkspace=o,this._previousConfiguration=void 0;const r=new Set;t.keys.forEach(v=>r.add(v)),t.overrides.forEach(([,v])=>v.forEach(C=>r.add(C))),this.affectedKeys=[...r.values()];const c=new h;this.affectedKeys.forEach(v=>c.setValue(v,{})),this.affectedKeysTree=c.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=p.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,i){var s;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(i){const o=this.previousConfiguration?this.previousConfiguration.getValue(t,i,(s=this.previous)===null||s===void 0?void 0:s.workspace):void 0,r=this.currentConfiguraiton.getValue(t,i,this.currentWorkspace);return!D.equals(o,r)}return!0}return!1}doesAffectedKeysTreeContains(t,i){let s=(0,n.toValuesTree)({[i]:!0},()=>{}),o;for(;typeof s=="object"&&(o=Object.keys(s)[0]);){if(t=t[o],!t)return!1;s=s[o]}return!0}}e.ConfigurationChangeEvent=d;class u extends d{constructor(t,i,s,o){super({keys:t.allKeys(),overrides:[]},void 0,t,i);this.source=s,this.sourceConfig=o}}e.AllKeysConfigurationChangeEvent=u}),define(ge[113],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,_.createDecorator)("remoteAuthorityResolverService");var y;(function(I){I.Unknown="Unknown",I.NotAvailable="NotAvailable",I.TemporarilyNotAvailable="TemporarilyNotAvailable",I.NoResolverFound="NoResolverFound"})(y=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class R extends Error{constructor(D,P=y.Unknown,E){super(D);this._message=D,this._code=P,this._detail=E,this.isHandled=P===y.NotAvailable&&E===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,R.prototype)}static isTemporarilyNotAvailable(D){return D instanceof R&&D._code===y.TemporarilyNotAvailable}static isNoResolverFound(D){return D instanceof R&&D._code===y.NoResolverFound}static isHandled(D){return D instanceof R&&D.isHandled}}e.RemoteAuthorityResolverError=R}),define(ge[114],pe([0,1,11]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function y(I){return I.scheme===_.Schemas.vscodeRemote?I.authority:void 0}e.getRemoteAuthority=y;function R(I){if(!!I){const D=I.indexOf("+");return D<0?I:I.substr(0,D)}}e.getRemoteName=R}),define(ge[186],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class _{vsda(){return new Promise((R,I)=>J(["vsda"],R,I))}async sign(R){try{const I=await this.vsda(),D=new I.signer;if(D)return D.sign(R)}catch(I){}return R}}e.SignService=_}),define(ge[187],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class _{constructor(R){this._callback=R,this._terminalBufferMap=new Map}dispose(){for(const R of this._terminalBufferMap.values())R.dispose()}startBuffering(R,I,D=5){let P;return P=I(E=>{const n=typeof E=="string"?E:E.data;let A=this._terminalBufferMap.get(R);if(A){A.data.push(n);return}const k=setTimeout(()=>this._flushBuffer(R),D);A={data:[n],timeoutId:k,dispose:()=>{clearTimeout(k),this._flushBuffer(R),P.dispose()}},this._terminalBufferMap.set(R,A)}),P}stopBuffering(R){const I=this._terminalBufferMap.get(R);I&&I.dispose()}_flushBuffer(R){const I=this._terminalBufferMap.get(R);I&&(this._terminalBufferMap.delete(R),this._callback(R,I.data.join("")))}}e.TerminalDataBufferer=_}),define(ge[188],pe([0,1,48,7,30,25,15,22,10]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findExecutable=e.getWindowsBuildNumber=void 0;function n(){const k=/(\d+)\.(\d+)\.(\d+)/g.exec(_.release());let b=0;return k&&k.length===4&&(b=parseInt(k[3])),b}e.getWindowsBuildNumber=n;async function A(k,b,h,l=R.env){if(y.isAbsolute(k))return await(0,I.exists)(k)?k:void 0;if(b===void 0&&(b=R.cwd()),y.dirname(k)!=="."){const w=y.join(b,k);return await(0,I.exists)(w)?w:void 0}const S=(0,P.getCaseInsensitive)(l,"PATH");if(h===void 0&&(0,D.isString)(S)&&(h=S.split(y.delimiter)),h===void 0||h.length===0){const w=y.join(b,k);return await(0,I.exists)(w)?w:void 0}for(let w of h){let d;if(y.isAbsolute(w)?d=y.join(w,k):d=y.join(b,w,k),await(0,I.exists)(d))return d;if(E.isWindows){let u=d+".com";if(await(0,I.exists)(u)||(u=d+".exe",await(0,I.exists)(u)))return u}}const p=y.join(b,k);return await(0,I.exists)(p)?p:void 0}e.findExecutable=A}),define(ge[189],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var _;(function(y){y.DARK="dark",y.LIGHT="light",y.HIGH_CONTRAST="hc"})(_=e.ColorScheme||(e.ColorScheme={}))}),define(ge[190],pe([0,1,4,6,40,3,189,47]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,_.createDecorator)("themeService");var E;(function(S){function p(w){return w&&typeof w=="object"&&typeof w.id=="string"}S.isThemeColor=p})(E=e.ThemeColor||(e.ThemeColor={}));function n(S){return{id:S}}e.themeColorFromId=n;var A;(function(S){function p(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||E.isThemeColor(t.color))}S.isThemeIcon=p;const w=new RegExp(`^\\$\\((${P.CSSIcon.iconNameExpression}(?:${P.CSSIcon.iconModifierExpression})?)\\)$`);function d(t){const i=w.exec(t);if(!!i){let[,s]=i;return{id:s}}}S.fromString=d;function u(t,i){let s=t.id;const o=s.lastIndexOf("~");return o!==-1&&(s=s.substring(0,o)),i&&(s=`${s}~${i}`),{id:s}}S.modify=u;function a(t,i){var s,o;return t.id===i.id&&((s=t.color)===null||s===void 0?void 0:s.id)===((o=i.color)===null||o===void 0?void 0:o.id)}S.isEqual=a,S.asClassNameArray=P.CSSIcon.asClassNameArray,S.asClassName=P.CSSIcon.asClassName,S.asCSSSelector=P.CSSIcon.asCSSSelector})(A=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=P.Codicon.file,e.FolderThemeIcon=P.Codicon.folder;function k(S){switch(S){case D.ColorScheme.DARK:return"vs-dark";case D.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class b{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new I.Emitter}onColorThemeChange(p){return this.themingParticipants.push(p),this.onThemingParticipantAddedEmitter.fire(p),(0,y.toDisposable)(()=>{const w=this.themingParticipants.indexOf(p);this.themingParticipants.splice(w,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let h=new b;R.Registry.add(e.Extensions.ThemingContribution,h);function l(S){return h.onColorThemeChange(S)}e.registerThemingParticipant=l;class g extends y.Disposable{constructor(p){super();this.themeService=p,this.theme=p.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(w=>this.onThemeChange(w)))}onThemeChange(p){this.theme=p,this.updateStyles()}updateStyles(){}getColor(p,w){let d=this.theme.getColor(p);return d&&w&&(d=w(d,this.theme)),d?d.toString():null}}e.Themable=g}),define(ge[191],pe([0,1,40,190,3,154,112,19,47]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.syncing=e.gotoNextLocation=e.gotoPreviousLocation=e.widgetClose=e.iconsSchemaId=e.getIconRegistry=e.registerIcon=e.Extensions=void 0,e.Extensions={IconContribution:"base.contributions.icons"};class n{constructor(){this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this.iconSchema={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,I.localize)(0,null)},fontCharacter:{type:"string",description:(0,I.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.iconReferenceSchema={type:"string",pattern:`^${E.CSSIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.iconsById={},this.iconFontsById={}}registerIcon(p,w,d,u){const a=this.iconsById[p];if(a){if(d&&!a.description){a.description=d,this.iconSchema.properties[p].markdownDescription=`${d} $(${p})`;const s=this.iconReferenceSchema.enum.indexOf(p);s!==-1&&(this.iconReferenceSchema.enumDescriptions[s]=d),this._onDidChange.fire()}return a}let t={id:p,description:d,defaults:w,deprecationMessage:u};this.iconsById[p]=t;let i={$ref:"#/definitions/icons"};return u&&(i.deprecationMessage=u),d&&(i.markdownDescription=`${d}: $(${p})`),this.iconSchema.properties[p]=i,this.iconReferenceSchema.enum.push(p),this.iconReferenceSchema.enumDescriptions.push(d||""),this._onDidChange.fire(),{id:p}}deregisterIcon(p){delete this.iconsById[p],delete this.iconSchema.properties[p];const w=this.iconReferenceSchema.enum.indexOf(p);w!==-1&&(this.iconReferenceSchema.enum.splice(w,1),this.iconReferenceSchema.enumDescriptions.splice(w,1)),this._onDidChange.fire()}getIcons(){return Object.keys(this.iconsById).map(p=>this.iconsById[p])}getIcon(p){return this.iconsById[p]}getIconSchema(){return this.iconSchema}getIconReferenceSchema(){return this.iconReferenceSchema}registerIconFont(p,w){const d=this.iconFontsById[p];if(d)return d;let u={id:p,definition:w};return this.iconFontsById[p]=u,this._onDidChange.fire(),u}deregisterIconFont(p){delete this.iconFontsById[p]}getIconFonts(){return Object.keys(this.iconFontsById).map(p=>this.iconFontsById[p])}getIconFont(p){return this.iconFontsById[p]}toString(){const p=(a,t)=>a.id.localeCompare(t.id),w=a=>{for(;y.ThemeIcon.isThemeIcon(a.defaults);)a=this.iconsById[a.defaults.id];return`codicon codicon-${a?a.id:""}`};let d=[];d.push("| preview     | identifier                        | default codicon ID                | description"),d.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const u=Object.keys(this.iconsById).map(a=>this.iconsById[a]);for(const a of u.filter(t=>!!t.description).sort(p))d.push(`|<i class="${w(a)}"></i>|${a.id}|${y.ThemeIcon.isThemeIcon(a.defaults)?a.defaults.id:a.id}|${a.description||""}|`);d.push("| preview     | identifier                        "),d.push("| ----------- | --------------------------------- |");for(const a of u.filter(t=>!y.ThemeIcon.isThemeIcon(t.defaults)).sort(p))d.push(`|<i class="${w(a)}"></i>|${a.id}|`);return d.join(`
`)}}const A=new n;_.Registry.add(e.Extensions.IconContribution,A);function k(S,p,w,d){return A.registerIcon(S,p,w,d)}e.registerIcon=k;function b(){return A}e.getIconRegistry=b;function h(){for(const S of E.iconRegistry.all)A.registerIcon(S.id,S.definition,S.description);E.iconRegistry.onDidRegister(S=>A.registerIcon(S.id,S.definition,S.description))}h(),e.iconsSchemaId="vscode://schemas/icons";let l=_.Registry.as(D.Extensions.JSONContribution);l.registerSchema(e.iconsSchemaId,A.getIconSchema());const g=new P.RunOnceScheduler(()=>l.notifySchemaChanged(e.iconsSchemaId),200);A.onDidChange(()=>{g.isScheduled()||g.schedule()}),e.widgetClose=k("widget-close",E.Codicon.close,(0,I.localize)(2,null)),e.gotoPreviousLocation=k("goto-previous-location",E.Codicon.arrowUp,(0,I.localize)(3,null)),e.gotoNextLocation=k("goto-next-location",E.Codicon.arrowDown,(0,I.localize)(4,null)),e.syncing=y.ThemeIcon.modify(E.Codicon.sync,"spin")}),define(ge[60],pe([0,1,2,24,4,23]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,R.createDecorator)("contextService");var D;(function(b){b[b.EMPTY=1]="EMPTY",b[b.FOLDER=2]="FOLDER",b[b.WORKSPACE=3]="WORKSPACE"})(D=e.WorkbenchState||(e.WorkbenchState={}));function P(b){const h=b;return!!(h&&typeof h=="object"&&typeof h.id=="string"&&Array.isArray(h.folders))}e.isWorkspace=P;function E(b){const h=b;return!!(h&&typeof h=="object"&&_.URI.isUri(h.uri)&&typeof h.name=="string"&&typeof h.toResource=="function")}e.isWorkspaceFolder=E;class n{constructor(h,l,g,S){this._id=h,this._configuration=g,this._ignorePathCasing=S,this._foldersMap=I.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=l}update(h){this._id=h.id,this._configuration=h.configuration,this._ignorePathCasing=h._ignorePathCasing,this.folders=h.folders}get folders(){return this._folders}set folders(h){this._folders=h,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(h){this._configuration=h}getFolder(h){return h&&this._foldersMap.findSubstr(h.with({scheme:h.scheme,authority:h.authority,path:h.path}))||null}updateFoldersMap(){this._foldersMap=I.TernarySearchTree.forUris(this._ignorePathCasing);for(const h of this.folders)this._foldersMap.set(h.uri,h)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=n;class A{constructor(h,l){this.raw=l,this.uri=h.uri,this.index=h.index,this.name=h.name}toResource(h){return(0,y.joinPath)(this.uri,h)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=A;function k(b){return new A({uri:b,index:0,name:(0,y.basenameOrAuthority)(b)},{uri:b.toString()})}e.toWorkspaceFolder=k}),define(ge[115],pe([0,1,4,155,60,2,10,7,24,131,55,11,76,31,114]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const g=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,y.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function S($){return(typeof $=="string"?(0,P.extname)($):(0,E.extname)($))===g}e.hasWorkspaceFileExtension=S,e.IWorkspacesService=(0,_.createDecorator)("workspacesService");function p($){return $.hasOwnProperty("workspace")}e.isRecentWorkspace=p;function w($){return $.hasOwnProperty("folderUri")}e.isRecentFolder=w;function d($){return $.hasOwnProperty("fileUri")}e.isRecentFile=d;function u($){const O=$;return typeof(O==null?void 0:O.id)=="string"&&I.URI.isUri(O.uri)}e.isSingleFolderWorkspaceIdentifier=u;function a($){if($.configuration)return{id:$.id,configPath:$.configuration};if($.folders.length===1)return{id:$.id,uri:$.folders[0].uri}}e.toWorkspaceIdentifier=a;function t($){const O=$;return typeof(O==null?void 0:O.id)=="string"&&I.URI.isUri(O.configPath)}e.isWorkspaceIdentifier=t;function i($){const O=$;if(O==null?void 0:O.uri)return{id:O.id,uri:I.URI.revive(O.uri)};const U=$;if(U==null?void 0:U.configPath)return{id:U.id,configPath:I.URI.revive(U.configPath)};if($==null?void 0:$.id)return{id:$.id}}e.reviveIdentifier=i;function s($,O){return E.extUriBiasedIgnorePathCase.isEqualOrParent($,O.untitledWorkspacesHome)}e.isUntitledWorkspace=s;function o($){return r($)||c($)}e.isStoredWorkspaceFolder=o;function r($){const O=$;return typeof(O==null?void 0:O.path)=="string"&&(!O.name||typeof O.name=="string")}e.isRawFileWorkspaceFolder=r;function c($){const O=$;return typeof(O==null?void 0:O.uri)=="string"&&(!O.name||typeof O.name=="string")}e.isRawUriWorkspaceFolder=c;function v($,O,U,F,N=!D.isWindows,M){if($.scheme!==F.scheme)return{name:U,uri:$.toString(!0)};let V=O?void 0:M.relativePath(F,$);if(V!==void 0)V.length===0?V=".":D.isWindows&&$.scheme===k.Schemas.file&&!N&&(V=V.replace(/\//g,"\\"));else if($.scheme===k.Schemas.file)V=$.fsPath,D.isWindows&&(V=(0,b.normalizeDriveLetter)(V),N&&(V=(0,h.toSlashes)(V)));else{if(!M.isEqualAuthority($.authority,F.authority))return{name:U,uri:$.toString(!0)};V=$.path}return{name:U,path:V}}e.getStoredWorkspaceFolder=v;function C($,O,U){let F=[],N=new Set;const M=U.dirname(O);for(let V of $){let q=null;if(r(V))V.path&&(q=U.resolvePath(M,V.path));else if(c(V))try{q=I.URI.parse(V.uri),q.path[0]!=="/"&&(q=q.with({path:"/"+q.path}))}catch(X){console.warn(X)}if(q){let X=U.getComparisonKey(q);if(!N.has(X)){N.add(X);const fe=V.name||U.basenameOrAuthority(q);F.push(new R.WorkspaceFolder({uri:q,name:fe,index:F.length},V))}}}return F}e.toWorkspaceFolders=C;function m($,O,U,F,N){let M=f(O,$);const V=N.dirname(O),q=N.dirname(F),X=[],fe=T(M.folders);for(const Fe of M.folders){const z=r(Fe)?N.resolvePath(V,Fe.path):I.URI.parse(Fe.uri);let Q;U?Q=!1:Q=!r(Fe)||(0,P.isAbsolute)(Fe.path),X.push(v(z,Q,Fe.name,q,fe,N))}const _e={insertSpaces:!1,tabSize:4,eol:D.isLinux||D.isMacintosh?`
`:`\r
`},Le=n.setProperty($,["folders"],X,_e);let Ie=n.applyEdits($,Le);return M.remoteAuthority===(0,l.getRemoteAuthority)(F)&&(Ie=n.applyEdits(Ie,n.removeProperty(Ie,["remoteAuthority"],_e))),Ie}e.rewriteWorkspaceFileForNewLocation=m;function f($,O){let U=A.parse(O);if(U&&Array.isArray(U.folders))U.folders=U.folders.filter(F=>o(F));else throw new Error(`${$} looks like an invalid workspace file.`);return U}function T($){return D.isWindows?$.some(O=>r(O)&&O.path.indexOf("/")>=0):!0}e.useSlashForPath=T;function L($){return $.workspace&&typeof $.workspace=="object"&&typeof $.workspace.id=="string"&&typeof $.workspace.configPath=="string"}function B($){return typeof $.folderUri=="string"}function te($){return typeof $.fileUri=="string"}function j($,O){const U={workspaces:[],files:[]};if($){const F=function(M,V){for(let q=0;q<M.length;q++)try{V(M[q],q)}catch(X){O.warn(`Error restoring recent entry ${JSON.stringify(M[q])}: ${X.toString()}. Skip entry.`)}},N=$;if(Array.isArray(N.entries))F(N.entries,M=>{const V=M.label,q=M.remoteAuthority;L(M)?U.workspaces.push({label:V,remoteAuthority:q,workspace:{id:M.workspace.id,configPath:I.URI.parse(M.workspace.configPath)}}):B(M)?U.workspaces.push({label:V,remoteAuthority:q,folderUri:I.URI.parse(M.folderUri)}):te(M)&&U.files.push({label:V,remoteAuthority:q,fileUri:I.URI.parse(M.fileUri)})});else{const M=$;Array.isArray(M.workspaces3)&&F(M.workspaces3,(V,q)=>{const X=Array.isArray(M.workspaceLabels)&&M.workspaceLabels[q]||void 0;typeof V=="object"&&typeof V.id=="string"&&typeof V.configURIPath=="string"?U.workspaces.push({label:X,workspace:{id:V.id,configPath:I.URI.parse(V.configURIPath)}}):typeof V=="string"&&U.workspaces.push({label:X,folderUri:I.URI.parse(V)})}),Array.isArray(M.files2)&&F(M.files2,(V,q)=>{const X=Array.isArray(M.fileLabels)&&M.fileLabels[q]||void 0;typeof V=="string"&&U.files.push({label:X,fileUri:I.URI.parse(V)})})}}return U}e.restoreRecentlyOpened=j;function W($){const O={entries:[]};for(const U of $.workspaces)w(U)?O.entries.push({folderUri:U.folderUri.toString(),label:U.label,remoteAuthority:U.remoteAuthority}):O.entries.push({workspace:{id:U.workspace.id,configPath:U.workspace.configPath.toString()},label:U.label,remoteAuthority:U.remoteAuthority});for(const U of $.files)O.entries.push({fileUri:U.fileUri.toString(),label:U.label,remoteAuthority:U.remoteAuthority});return O}e.toStoreData=W}),define(ge[116],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class _{constructor(R){this.id=R,this._data=new Map,this._idPool=1}add(R){const I=this._idPool++;return this._data.set(I,R),this.logDebugInfo(),I}get(R,I){return this._data.has(R)?this._data.get(R)[I]:void 0}delete(R){this._data.delete(R),this.logDebugInfo()}logDebugInfo(){!_.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=_,_.enableDebugLogging=!1}),define(ge[192],pe([0,1,2,3]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=void 0;class R{constructor(){this._onDidChangeTabs=new y.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(D){this._tabs=D.map(P=>({name:P.name,group:P.group,resource:_.URI.revive(P.resource)})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=R}),define(ge[61],pe([0,1,11,4]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class R{constructor(){this._systemSchemes=new Set(Object.keys(_.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(D,P){P===null?this._providerInfo.delete(D):this._providerInfo.set(D,P)}isFreeScheme(D){return!this._providerInfo.has(D)&&!this._systemSchemes.has(D)}getCapabilities(D){return this._providerInfo.get(D)}}e.ExtHostFileSystemInfo=R,e.IExtHostFileSystemInfo=(0,y.createDecorator)("IExtHostFileSystemInfo")}),define(ge[27],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,_.createDecorator)("IExtHostInitDataService")}),define(ge[193],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class _{constructor(I,D,P){this._id=I,this._shared=D,this._storage=P,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(E=>(this._value=E,this)),this._storageListener=this._storage.onDidChangeStorage(E=>{E.shared===this._shared&&E.key===this._id&&(this._value=E.value)})}get whenReady(){return this._init}get(I,D){let P=this._value[I];return typeof P=="undefined"&&(P=D),P}update(I,D){return this._value[I]=D,this._storage.setValue(this._shared,this._id,this._value)}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=_;class y extends _{constructor(I,D){super(I.identifier.value,!0,D);this._extension=I}setKeysForSync(I){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},I)}}e.ExtensionGlobalMemento=y}),define(ge[14],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,_.createDecorator)("IExtHostRpcService");class y{constructor(I){this.getProxy=I.getProxy.bind(I),this.set=I.set.bind(I),this.assertRegistered=I.assertRegistered.bind(I),this.drain=I.drain.bind(I)}}e.ExtHostRpcService=y});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[194],pe([0,1,29,3]),function(J,e,_,y){"use strict";var R;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class I{constructor(P,E){R.set(this,void 0),this._onDidChange=new y.Emitter,this.onDidChange=this._onDidChange.event,this._id=_.ExtensionIdentifier.toKey(P.identifier),tt(this,R,E),$e(this,R).onDidChangePassword(n=>{n.extensionId===this._id&&this._onDidChange.fire({key:n.key})})}get(P){return $e(this,R).get(this._id,P)}store(P,E){return $e(this,R).store(this._id,P,E)}delete(P){return $e(this,R).delete(this._id,P)}}e.ExtensionSecrets=I,R=new WeakMap}),define(ge[117],pe([0,1,4,3]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class R{constructor(){this._onDidChangeTelemetryEnabled=new y.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(D){this._enabled=D}$onDidChangeTelemetryEnabled(D){this._enabled=D,this._onDidChangeTelemetryEnabled.fire(D)}}e.ExtHostTelemetry=R,e.IExtHostTelemetry=(0,_.createDecorator)("IExtHostTelemetry")}),define(ge[50],pe([0,1,4,3,14]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var I;(function(P){function E(A){return{remoteAddress:A.remoteAddress,localAddress:A.localAddress,public:!!A.public}}P.fromApiTunnel=E;function n(A){return{remoteAddress:{host:A.tunnelRemoteHost,port:A.tunnelRemotePort},localAddress:A.localAddress,public:A.public}}P.fromServiceTunnel=n})(I=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=(0,_.createDecorator)("IExtHostTunnelService");let D=class{constructor(E){this.onDidChangeTunnels=new y.Emitter().event}async $applyCandidateFilter(E){return E}async openTunnel(E,n){}async getTunnels(){return[]}async setTunnelExtensionFunctions(E){return{dispose:()=>{}}}registerPortsAttributesProvider(E,n){return{dispose:()=>{}}}async $providePortAttributes(E,n,A,k,b){return[]}async $forwardPort(E,n){}async $closeTunnel(E){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};D=je([Ue(0,R.IExtHostRpcService)],D),e.ExtHostTunnelService=D});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[8],pe([0,1,12,18,94,23,15,2,28,44,113]),function(J,e,_,y,R,I,D,P,E,n,A){"use strict";var k,b,h,l,g,S,p,w,d,u,a,t,i,s,o,r;Object.defineProperty(e,"__esModule",{value:!0}),e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.TestMessage=e.TestState=e.TestItem=e.TestMessageSeverity=e.TestResult=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookRunState=e.NotebookCellRunState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlineHint=e.InlineHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function c(H){function x(){return Reflect.construct(H,arguments,this.constructor)}return Object.defineProperty(x,"name",Object.getOwnPropertyDescriptor(H,"name")),Object.setPrototypeOf(x,H),Object.setPrototypeOf(x.prototype,H.prototype),x}let v=h=class{constructor(x){k.set(this,void 0),tt(this,k,x)}static from(...x){let se=x;return new h(function(){if(se){for(const Ce of se)Ce&&typeof Ce.dispose=="function"&&Ce.dispose();se=void 0}})}dispose(){typeof $e(this,k)=="function"&&($e(this,k).call(this),tt(this,k,void 0))}};k=new WeakMap,v=h=je([c],v),e.Disposable=v;let C=l=class{constructor(x,se){if(x<0)throw(0,y.illegalArgument)("line must be non-negative");if(se<0)throw(0,y.illegalArgument)("character must be non-negative");this._line=x,this._character=se}static Min(...x){if(x.length===0)throw new TypeError;let se=x[0];for(let Ce=1;Ce<x.length;Ce++){const Ve=x[Ce];Ve.isBefore(se)&&(se=Ve)}return se}static Max(...x){if(x.length===0)throw new TypeError;let se=x[0];for(let Ce=1;Ce<x.length;Ce++){const Ve=x[Ce];Ve.isAfter(se)&&(se=Ve)}return se}static isPosition(x){if(!x)return!1;if(x instanceof l)return!0;let{line:se,character:Ce}=x;return typeof se=="number"&&typeof Ce=="number"}get line(){return this._line}get character(){return this._character}isBefore(x){return this._line<x._line?!0:x._line<this._line?!1:this._character<x._character}isBeforeOrEqual(x){return this._line<x._line?!0:x._line<this._line?!1:this._character<=x._character}isAfter(x){return!this.isBeforeOrEqual(x)}isAfterOrEqual(x){return!this.isBefore(x)}isEqual(x){return this._line===x._line&&this._character===x._character}compareTo(x){return this._line<x._line?-1:this._line>x.line?1:this._character<x._character?-1:this._character>x._character?1:0}translate(x,se=0){if(x===null||se===null)throw(0,y.illegalArgument)();let Ce;return typeof x=="undefined"?Ce=0:typeof x=="number"?Ce=x:(Ce=typeof x.lineDelta=="number"?x.lineDelta:0,se=typeof x.characterDelta=="number"?x.characterDelta:0),Ce===0&&se===0?this:new l(this.line+Ce,this.character+se)}with(x,se=this.character){if(x===null||se===null)throw(0,y.illegalArgument)();let Ce;return typeof x=="undefined"?Ce=this.line:typeof x=="number"?Ce=x:(Ce=typeof x.line=="number"?x.line:this.line,se=typeof x.character=="number"?x.character:this.character),Ce===this.line&&se===this.character?this:new l(Ce,se)}toJSON(){return{line:this.line,character:this.character}}};C=l=je([c],C),e.Position=C;let m=g=class{constructor(x,se,Ce,Ve){let Ye,nt;if(typeof x=="number"&&typeof se=="number"&&typeof Ce=="number"&&typeof Ve=="number"?(Ye=new C(x,se),nt=new C(Ce,Ve)):x instanceof C&&se instanceof C&&(Ye=x,nt=se),!Ye||!nt)throw new Error("Invalid arguments");Ye.isBefore(nt)?(this._start=Ye,this._end=nt):(this._start=nt,this._end=Ye)}static isRange(x){return x instanceof g?!0:x?C.isPosition(x.start)&&C.isPosition(x.end):!1}get start(){return this._start}get end(){return this._end}contains(x){return x instanceof g?this.contains(x._start)&&this.contains(x._end):x instanceof C?!(x.isBefore(this._start)||this._end.isBefore(x)):!1}isEqual(x){return this._start.isEqual(x._start)&&this._end.isEqual(x._end)}intersection(x){const se=C.Max(x.start,this._start),Ce=C.Min(x.end,this._end);if(!se.isAfter(Ce))return new g(se,Ce)}union(x){if(this.contains(x))return this;if(x.contains(this))return x;const se=C.Min(x.start,this._start),Ce=C.Max(x.end,this.end);return new g(se,Ce)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(x,se=this.end){if(x===null||se===null)throw(0,y.illegalArgument)();let Ce;return x?C.isPosition(x)?Ce=x:(Ce=x.start||this.start,se=x.end||this.end):Ce=this.start,Ce.isEqual(this._start)&&se.isEqual(this.end)?this:new g(Ce,se)}toJSON(){return[this.start,this.end]}};m=g=je([c],m),e.Range=m;let f=S=class extends m{constructor(x,se,Ce,Ve){let Ye,nt;if(typeof x=="number"&&typeof se=="number"&&typeof Ce=="number"&&typeof Ve=="number"?(Ye=new C(x,se),nt=new C(Ce,Ve)):x instanceof C&&se instanceof C&&(Ye=x,nt=se),!Ye||!nt)throw new Error("Invalid arguments");super(Ye,nt);this._anchor=Ye,this._active=nt}static isSelection(x){return x instanceof S?!0:x?m.isRange(x)&&C.isPosition(x.anchor)&&C.isPosition(x.active)&&typeof x.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};f=S=je([c],f),e.Selection=f;class T{constructor(x,se,Ce){if(typeof x!="string"||x.length===0)throw(0,y.illegalArgument)("host");if(typeof se!="number"||se===0||Math.round(se)!==se)throw(0,y.illegalArgument)("port");if(typeof Ce!="undefined"&&(typeof Ce!="string"||Ce.length===0||!/^[0-9A-Za-z\-]+$/.test(Ce)))throw(0,y.illegalArgument)("connectionToken");this.host=x,this.port=Math.round(se),this.connectionToken=Ce}}e.ResolvedAuthority=T;class L extends Error{constructor(x,se=A.RemoteAuthorityResolverErrorCode.Unknown,Ce){super(x);this._message=x,this._code=se,this._detail=Ce,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,L.prototype)}static NotAvailable(x,se){return new L(x,A.RemoteAuthorityResolverErrorCode.NotAvailable,se)}static TemporarilyNotAvailable(x){return new L(x,A.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=L;var B;(function(H){H[H.LF=1]="LF",H[H.CRLF=2]="CRLF"})(B=e.EndOfLine||(e.EndOfLine={}));var te;(function(H){H[H.Replace=1]="Replace",H[H.Append=2]="Append",H[H.Prepend=3]="Prepend"})(te=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let j=p=class{constructor(x,se){this._range=x,this._newText=se}static isTextEdit(x){return x instanceof p?!0:x?m.isRange(x)&&typeof x.newText=="string":!1}static replace(x,se){return new p(x,se)}static insert(x,se){return p.replace(new m(x,x),se)}static delete(x){return p.replace(x,"")}static setEndOfLine(x){const se=new p(new m(new C(0,0),new C(0,0)),"");return se.newEol=x,se}get range(){return this._range}set range(x){if(x&&!m.isRange(x))throw(0,y.illegalArgument)("range");this._range=x}get newText(){return this._newText||""}set newText(x){if(x&&typeof x!="string")throw(0,y.illegalArgument)("newText");this._newText=x}get newEol(){return this._newEol}set newEol(x){if(x&&typeof x!="number")throw(0,y.illegalArgument)("newEol");this._newEol=x}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};j=p=je([c],j),e.TextEdit=j;var W;(function(H){H[H.File=1]="File",H[H.Text=2]="Text",H[H.Cell=3]="Cell",H[H.CellOutput=4]="CellOutput",H[H.CellReplace=5]="CellReplace",H[H.CellOutputItem=6]="CellOutputItem"})(W=e.FileEditType||(e.FileEditType={}));let $=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(x,se,Ce,Ve){this._edits.push({_type:1,from:x,to:se,options:Ce,metadata:Ve})}createFile(x,se,Ce){this._edits.push({_type:1,from:void 0,to:x,options:se,metadata:Ce})}deleteFile(x,se,Ce){this._edits.push({_type:1,from:x,to:void 0,options:se,metadata:Ce})}replaceNotebookMetadata(x,se,Ce){this._edits.push({_type:3,metadata:Ce,uri:x,edit:{editType:5,metadata:se},notebookMetadata:se})}replaceNotebookCells(x,se,Ce,Ve,Ye){(se!==Ce||Ve.length>0)&&this._edits.push({_type:5,uri:x,index:se,count:Ce-se,cells:Ve,metadata:Ye})}replaceNotebookCellOutput(x,se,Ce,Ve){this._editNotebookCellOutput(x,se,!1,Ce,Ve)}appendNotebookCellOutput(x,se,Ce,Ve){this._editNotebookCellOutput(x,se,!0,Ce,Ve)}replaceNotebookCellOutputItems(x,se,Ce,Ve,Ye){this._editNotebookCellOutputItems(x,se,Ce,!1,Ve,Ye)}appendNotebookCellOutputItems(x,se,Ce,Ve,Ye){this._editNotebookCellOutputItems(x,se,Ce,!0,Ve,Ye)}_editNotebookCellOutputItems(x,se,Ce,Ve,Ye,nt){this._edits.push({_type:6,metadata:nt,uri:x,index:se,outputId:Ce,append:Ve,newOutputItems:Ye})}_editNotebookCellOutput(x,se,Ce,Ve,Ye){this._edits.push({_type:4,metadata:Ye,uri:x,index:se,append:Ce,newOutputs:Ve,newMetadata:void 0})}replaceNotebookCellMetadata(x,se,Ce,Ve){this._edits.push({_type:3,metadata:Ve,uri:x,edit:{editType:3,index:se,metadata:Ce}})}replace(x,se,Ce,Ve){this._edits.push({_type:2,uri:x,edit:new j(se,Ce),metadata:Ve})}insert(x,se,Ce,Ve){this.replace(x,new m(se,se),Ce,Ve)}delete(x,se,Ce){this.replace(x,se,"",Ce)}has(x){return this._edits.some(se=>se._type===2&&se.uri.toString()===x.toString())}set(x,se){if(se)for(const Ce of se)Ce&&this._edits.push({_type:2,uri:x,edit:Ce});else{for(let Ce=0;Ce<this._edits.length;Ce++){const Ve=this._edits[Ce];Ve._type===2&&Ve.uri.toString()===x.toString()&&(this._edits[Ce]=void 0)}(0,_.coalesceInPlace)(this._edits)}}get(x){const se=[];for(let Ce of this._edits)Ce._type===2&&Ce.uri.toString()===x.toString()&&se.push(Ce.edit);return se}entries(){const x=new I.ResourceMap;for(let se of this._edits)if(se._type===2){let Ce=x.get(se.uri);Ce||(Ce=[se.uri,[]],x.set(se.uri,Ce)),Ce[1].push(se.edit)}return[...x.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};$=je([c],$),e.WorkspaceEdit=$;let O=w=class{constructor(x){this._tabstop=1,this.value=x||""}static isSnippetString(x){return x instanceof w?!0:x?typeof x.value=="string":!1}static _escape(x){return x.replace(/\$|}|\\/g,"\\$&")}appendText(x){return this.value+=w._escape(x),this}appendTabstop(x=this._tabstop++){return this.value+="$",this.value+=x,this}appendPlaceholder(x,se=this._tabstop++){if(typeof x=="function"){const Ce=new w;Ce._tabstop=this._tabstop,x(Ce),this._tabstop=Ce._tabstop,x=Ce.value}else x=w._escape(x);return this.value+="${",this.value+=se,this.value+=":",this.value+=x,this.value+="}",this}appendChoice(x,se=this._tabstop++){const Ce=x.map(Ve=>Ve.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=se,this.value+="|",this.value+=Ce,this.value+="|}",this}appendVariable(x,se){if(typeof se=="function"){const Ce=new w;Ce._tabstop=this._tabstop,se(Ce),this._tabstop=Ce._tabstop,se=Ce.value}else typeof se=="string"&&(se=se.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=x,se&&(this.value+=":",this.value+=se),this.value+="}",this}};O=w=je([c],O),e.SnippetString=O;var U;(function(H){H[H.Unnecessary=1]="Unnecessary",H[H.Deprecated=2]="Deprecated"})(U=e.DiagnosticTag||(e.DiagnosticTag={}));var F;(function(H){H[H.Hint=3]="Hint",H[H.Information=2]="Information",H[H.Warning=1]="Warning",H[H.Error=0]="Error"})(F=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let N=d=class{constructor(x,se){if(this.uri=x,se)if(se instanceof m)this.range=se;else if(se instanceof C)this.range=new m(se,se);else throw new Error("Illegal argument")}static isLocation(x){return x instanceof d?!0:x?m.isRange(x.range)&&P.URI.isUri(x.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};N=d=je([c],N),e.Location=N;let M=class{constructor(x,se){this.location=x,this.message=se}static is(x){return x?typeof x.message=="string"&&x.location&&m.isRange(x.location.range)&&P.URI.isUri(x.location.uri):!1}static isEqual(x,se){return x===se?!0:!x||!se?!1:x.message===se.message&&x.location.range.isEqual(se.location.range)&&x.location.uri.toString()===se.location.uri.toString()}};M=je([c],M),e.DiagnosticRelatedInformation=M;let V=class{constructor(x,se,Ce=F.Error){if(!m.isRange(x))throw new TypeError("range must be set");if(!se)throw new TypeError("message must be set");this.range=x,this.message=se,this.severity=Ce}toJSON(){return{severity:F[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(x,se){return x===se?!0:!x||!se?!1:x.message===se.message&&x.severity===se.severity&&x.code===se.code&&x.severity===se.severity&&x.source===se.source&&x.range.isEqual(se.range)&&(0,_.equals)(x.tags,se.tags)&&(0,_.equals)(x.relatedInformation,se.relatedInformation,M.isEqual)}};V=je([c],V),e.Diagnostic=V;let q=class{constructor(x,se){if(!x)throw new Error("Illegal argument, contents must be defined");Array.isArray(x)?this.contents=x:(0,R.isMarkdownString)(x)?this.contents=[x]:this.contents=[x],this.range=se}};q=je([c],q),e.Hover=q;var X;(function(H){H[H.Text=0]="Text",H[H.Read=1]="Read",H[H.Write=2]="Write"})(X=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let fe=class{constructor(x,se=X.Text){this.range=x,this.kind=se}toJSON(){return{range:this.range,kind:X[this.kind]}}};fe=je([c],fe),e.DocumentHighlight=fe;var _e;(function(H){H[H.File=0]="File",H[H.Module=1]="Module",H[H.Namespace=2]="Namespace",H[H.Package=3]="Package",H[H.Class=4]="Class",H[H.Method=5]="Method",H[H.Property=6]="Property",H[H.Field=7]="Field",H[H.Constructor=8]="Constructor",H[H.Enum=9]="Enum",H[H.Interface=10]="Interface",H[H.Function=11]="Function",H[H.Variable=12]="Variable",H[H.Constant=13]="Constant",H[H.String=14]="String",H[H.Number=15]="Number",H[H.Boolean=16]="Boolean",H[H.Array=17]="Array",H[H.Object=18]="Object",H[H.Key=19]="Key",H[H.Null=20]="Null",H[H.EnumMember=21]="EnumMember",H[H.Struct=22]="Struct",H[H.Event=23]="Event",H[H.Operator=24]="Operator",H[H.TypeParameter=25]="TypeParameter"})(_e=e.SymbolKind||(e.SymbolKind={}));var Le;(function(H){H[H.Deprecated=1]="Deprecated"})(Le=e.SymbolTag||(e.SymbolTag={}));let Ie=u=class{constructor(x,se,Ce,Ve,Ye){this.name=x,this.kind=se,this.containerName=Ye,typeof Ce=="string"&&(this.containerName=Ce),Ve instanceof N?this.location=Ve:Ce instanceof m&&(this.location=new N(Ve,Ce)),u.validate(this)}static validate(x){if(!x.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:_e[this.kind],location:this.location,containerName:this.containerName}}};Ie=u=je([c],Ie),e.SymbolInformation=Ie;let Fe=a=class{constructor(x,se,Ce,Ve,Ye){this.name=x,this.detail=se,this.kind=Ce,this.range=Ve,this.selectionRange=Ye,this.children=[],a.validate(this)}static validate(x){if(!x.name)throw new Error("name must not be falsy");if(!x.range.contains(x.selectionRange))throw new Error("selectionRange must be contained in fullRange");x.children&&x.children.forEach(a.validate)}};Fe=a=je([c],Fe),e.DocumentSymbol=Fe;var z;(function(H){H[H.Automatic=1]="Automatic",H[H.Manual=2]="Manual"})(z=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let Q=class{constructor(x,se){this.title=x,this.kind=se}};Q=je([c],Q),e.CodeAction=Q;let ee=t=class{constructor(x){this.value=x}append(x){return new t(this.value?this.value+t.sep+x:x)}intersects(x){return this.contains(x)||x.contains(this)}contains(x){return this.value===x.value||x.value.startsWith(this.value+t.sep)}};ee.sep=".",ee=t=je([c],ee),e.CodeActionKind=ee,ee.Empty=new ee(""),ee.QuickFix=ee.Empty.append("quickfix"),ee.Refactor=ee.Empty.append("refactor"),ee.RefactorExtract=ee.Refactor.append("extract"),ee.RefactorInline=ee.Refactor.append("inline"),ee.RefactorRewrite=ee.Refactor.append("rewrite"),ee.Source=ee.Empty.append("source"),ee.SourceOrganizeImports=ee.Source.append("organizeImports"),ee.SourceFixAll=ee.Source.append("fixAll");let ae=class{constructor(x,se){if(this.range=x,this.parent=se,se&&!se.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};ae=je([c],ae),e.SelectionRange=ae;class ve{constructor(x,se,Ce,Ve,Ye,nt){this.kind=x,this.name=se,this.detail=Ce,this.uri=Ve,this.range=Ye,this.selectionRange=nt}}e.CallHierarchyItem=ve;class De{constructor(x,se){this.fromRanges=se,this.from=x}}e.CallHierarchyIncomingCall=De;class Me{constructor(x,se){this.fromRanges=se,this.to=x}}e.CallHierarchyOutgoingCall=Me;let we=class{constructor(x,se){this.range=x,this.command=se}get isResolved(){return!!this.command}};we=je([c],we),e.CodeLens=we;let ke=i=class{constructor(x,se=!1){b.set(this,void 0),tt(this,b,new R.MarkdownString(x,{supportThemeIcons:se}))}static isMarkdownString(x){return x instanceof i?!0:x&&x.appendCodeblock&&x.appendMarkdown&&x.appendText&&x.value!==void 0}get value(){return $e(this,b).value}set value(x){$e(this,b).value=x}get isTrusted(){return $e(this,b).isTrusted}set isTrusted(x){$e(this,b).isTrusted=x}get supportThemeIcons(){return $e(this,b).supportThemeIcons}appendText(x){return $e(this,b).appendText(x),this}appendMarkdown(x){return $e(this,b).appendMarkdown(x),this}appendCodeblock(x,se){return $e(this,b).appendCodeblock(se!=null?se:"",x),this}};b=new WeakMap,ke=i=je([c],ke),e.MarkdownString=ke;let Ae=class{constructor(x,se){this.label=x,this.documentation=se}};Ae=je([c],Ae),e.ParameterInformation=Ae;let We=class{constructor(x,se){this.label=x,this.documentation=se,this.parameters=[]}};We=je([c],We),e.SignatureInformation=We;let ye=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};ye=je([c],ye),e.SignatureHelp=ye;var Ge;(function(H){H[H.Invoke=1]="Invoke",H[H.TriggerCharacter=2]="TriggerCharacter",H[H.ContentChange=3]="ContentChange"})(Ge=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var K;(function(H){H[H.Other=0]="Other",H[H.Type=1]="Type",H[H.Parameter=2]="Parameter"})(K=e.InlineHintKind||(e.InlineHintKind={}));let ie=class{constructor(x,se,Ce){this.text=x,this.range=se,this.kind=Ce}};ie=je([c],ie),e.InlineHint=ie;var Se;(function(H){H[H.Invoke=0]="Invoke",H[H.TriggerCharacter=1]="TriggerCharacter",H[H.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Se=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Ne;(function(H){H[H.Text=0]="Text",H[H.Method=1]="Method",H[H.Function=2]="Function",H[H.Constructor=3]="Constructor",H[H.Field=4]="Field",H[H.Variable=5]="Variable",H[H.Class=6]="Class",H[H.Interface=7]="Interface",H[H.Module=8]="Module",H[H.Property=9]="Property",H[H.Unit=10]="Unit",H[H.Value=11]="Value",H[H.Enum=12]="Enum",H[H.Keyword=13]="Keyword",H[H.Snippet=14]="Snippet",H[H.Color=15]="Color",H[H.File=16]="File",H[H.Reference=17]="Reference",H[H.Folder=18]="Folder",H[H.EnumMember=19]="EnumMember",H[H.Constant=20]="Constant",H[H.Struct=21]="Struct",H[H.Event=22]="Event",H[H.Operator=23]="Operator",H[H.TypeParameter=24]="TypeParameter",H[H.User=25]="User",H[H.Issue=26]="Issue"})(Ne=e.CompletionItemKind||(e.CompletionItemKind={}));var ze;(function(H){H[H.Deprecated=1]="Deprecated"})(ze=e.CompletionItemTag||(e.CompletionItemTag={}));let xe=class{constructor(x,se){this.label=x,this.kind=se}toJSON(){return{label:this.label,label2:this.label2,kind:this.kind&&Ne[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};xe=je([c],xe),e.CompletionItem=xe;let Je=class{constructor(x=[],se=!1){this.items=x,this.isIncomplete=se}};Je=je([c],Je),e.CompletionList=Je;var G;(function(H){H[H.Active=-1]="Active",H[H.Beside=-2]="Beside",H[H.One=1]="One",H[H.Two=2]="Two",H[H.Three=3]="Three",H[H.Four=4]="Four",H[H.Five=5]="Five",H[H.Six=6]="Six",H[H.Seven=7]="Seven",H[H.Eight=8]="Eight",H[H.Nine=9]="Nine"})(G=e.ViewColumn||(e.ViewColumn={}));var oe;(function(H){H[H.Left=1]="Left",H[H.Right=2]="Right"})(oe=e.StatusBarAlignment||(e.StatusBarAlignment={}));var ue;(function(H){H[H.Off=0]="Off",H[H.On=1]="On",H[H.Relative=2]="Relative"})(ue=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Y;(function(H){H[H.Manual=1]="Manual",H[H.AfterDelay=2]="AfterDelay",H[H.FocusOut=3]="FocusOut"})(Y=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var ne;(function(H){H[H.Default=0]="Default",H[H.InCenter=1]="InCenter",H[H.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",H[H.AtTop=3]="AtTop"})(ne=e.TextEditorRevealType||(e.TextEditorRevealType={}));var le;(function(H){H[H.Keyboard=1]="Keyboard",H[H.Mouse=2]="Mouse",H[H.Command=3]="Command"})(le=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var me;(function(H){H[H.OpenOpen=0]="OpenOpen",H[H.ClosedClosed=1]="ClosedClosed",H[H.OpenClosed=2]="OpenClosed",H[H.ClosedOpen=3]="ClosedOpen"})(me=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(H){function x(se){switch(se){case"keyboard":return H.Keyboard;case"mouse":return H.Mouse;case"api":return H.Command}}H.fromValue=x}(le=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let Ee=class{constructor(x,se){if(se&&!P.URI.isUri(se))throw(0,y.illegalArgument)("target");if(!m.isRange(x)||x.isEmpty)throw(0,y.illegalArgument)("range");this.range=x,this.target=se}};Ee=je([c],Ee),e.DocumentLink=Ee;let He=class{constructor(x,se,Ce,Ve){this.red=x,this.green=se,this.blue=Ce,this.alpha=Ve}};He=je([c],He),e.Color=He;let Be=class{constructor(x,se){if(se&&!(se instanceof He))throw(0,y.illegalArgument)("color");if(!m.isRange(x)||x.isEmpty)throw(0,y.illegalArgument)("range");this.range=x,this.color=se}};Be=je([c],Be),e.ColorInformation=Be;let qe=class{constructor(x){if(!x||typeof x!="string")throw(0,y.illegalArgument)("label");this.label=x}};qe=je([c],qe),e.ColorPresentation=qe;var Xe;(function(H){H[H.RGB=0]="RGB",H[H.HEX=1]="HEX",H[H.HSL=2]="HSL"})(Xe=e.ColorFormat||(e.ColorFormat={}));var Ze;(function(H){H[H.Error=0]="Error",H[H.Warning=1]="Warning",H[H.Information=2]="Information"})(Ze=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var ut;(function(H){H[H.Always=1]="Always",H[H.Silent=2]="Silent",H[H.Never=3]="Never"})(ut=e.TaskRevealKind||(e.TaskRevealKind={}));var st;(function(H){H[H.Shared=1]="Shared",H[H.Dedicated=2]="Dedicated",H[H.New=3]="New"})(st=e.TaskPanelKind||(e.TaskPanelKind={}));let be=s=class{constructor(x,se){if(typeof x!="string"||typeof se!="string")throw(0,y.illegalArgument)("name");this._id=x}static from(x){switch(x){case"clean":return s.Clean;case"build":return s.Build;case"rebuild":return s.Rebuild;case"test":return s.Test;default:return}}get id(){return this._id}};be.Clean=new s("clean","Clean"),be.Build=new s("build","Build"),be.Rebuild=new s("rebuild","Rebuild"),be.Test=new s("test","Test"),be=s=je([c],be),e.TaskGroup=be;function he(H){let x="";for(let se=0;se<H.length;se++)x+=H[se].replace(/,/g,",,")+",";return x}let ce=class{constructor(x,se,Ce){if(typeof x!="string")throw(0,y.illegalArgument)("process");this._args=[],this._process=x,se!==void 0&&(Array.isArray(se)?(this._args=se,this._options=Ce):this._options=se)}get process(){return this._process}set process(x){if(typeof x!="string")throw(0,y.illegalArgument)("process");this._process=x}get args(){return this._args}set args(x){Array.isArray(x)||(x=[]),this._args=x}get options(){return this._options}set options(x){this._options=x}computeId(){const x=[];if(x.push("process"),this._process!==void 0&&x.push(this._process),this._args&&this._args.length>0)for(let se of this._args)x.push(se);return he(x)}};ce=je([c],ce),e.ProcessExecution=ce;let Z=class{constructor(x,se,Ce){if(this._args=[],Array.isArray(se)){if(!x)throw(0,y.illegalArgument)("command can't be undefined or null");if(typeof x!="string"&&typeof x.value!="string")throw(0,y.illegalArgument)("command");this._command=x,this._args=se,this._options=Ce}else{if(typeof x!="string")throw(0,y.illegalArgument)("commandLine");this._commandLine=x,this._options=se}}get commandLine(){return this._commandLine}set commandLine(x){if(typeof x!="string")throw(0,y.illegalArgument)("commandLine");this._commandLine=x}get command(){return this._command?this._command:""}set command(x){if(typeof x!="string"&&typeof x.value!="string")throw(0,y.illegalArgument)("command");this._command=x}get args(){return this._args}set args(x){this._args=x||[]}get options(){return this._options}set options(x){this._options=x}computeId(){const x=[];if(x.push("shell"),this._commandLine!==void 0&&x.push(this._commandLine),this._command!==void 0&&x.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let se of this._args)x.push(typeof se=="string"?se:se.value);return he(x)}};Z=je([c],Z),e.ShellExecution=Z;var Te;(function(H){H[H.Escape=1]="Escape",H[H.Strong=2]="Strong",H[H.Weak=3]="Weak"})(Te=e.ShellQuoting||(e.ShellQuoting={}));var Re;(function(H){H[H.Global=1]="Global",H[H.Workspace=2]="Workspace"})(Re=e.TaskScope||(e.TaskScope={}));class et{constructor(x){this._callback=x}computeId(){return"customExecution"+(0,E.generateUuid)()}set callback(x){this._callback=x}get callback(){return this._callback}}e.CustomExecution=et;let Ke=o=class{constructor(x,se,Ce,Ve,Ye,nt){this.__deprecated=!1,this._definition=this.definition=x;let ot;typeof se=="string"?(this._name=this.name=se,this._source=this.source=Ce,this.execution=Ve,ot=Ye,this.__deprecated=!0):se===Re.Global||se===Re.Workspace?(this.target=se,this._name=this.name=Ce,this._source=this.source=Ve,this.execution=Ye,ot=nt):(this.target=se,this._name=this.name=Ce,this._source=this.source=Ve,this.execution=Ye,ot=nt),typeof ot=="string"?(this._problemMatchers=[ot],this._hasDefinedMatchers=!0):Array.isArray(ot)?(this._problemMatchers=ot,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(x){this.__id=x}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof ce?this._definition={type:o.ProcessType,id:this._execution.computeId()}:this._execution instanceof Z?this._definition={type:o.ShellType,id:this._execution.computeId()}:this._execution instanceof et?this._definition={type:o.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:o.EmptyType,id:(0,E.generateUuid)()}}get definition(){return this._definition}set definition(x){if(x==null)throw(0,y.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=x}get scope(){return this._scope}set target(x){this.clear(),this._scope=x}get name(){return this._name}set name(x){if(typeof x!="string")throw(0,y.illegalArgument)("name");this.clear(),this._name=x}get execution(){return this._execution}set execution(x){x===null&&(x=void 0),this.clear(),this._execution=x;const se=this._definition.type;(o.EmptyType===se||o.ProcessType===se||o.ShellType===se||o.ExtensionCallbackType===se)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(x){if(Array.isArray(x))this.clear(),this._problemMatchers=x,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(x){x!==!0&&x!==!1&&(x=!1),this.clear(),this._isBackground=x}get source(){return this._source}set source(x){if(typeof x!="string"||x.length===0)throw(0,y.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=x}get group(){return this._group}set group(x){x===null&&(x=void 0),this.clear(),this._group=x}get detail(){return this._detail}set detail(x){x===null&&(x=void 0),this._detail=x}get presentationOptions(){return this._presentationOptions}set presentationOptions(x){x==null&&(x=Object.create(null)),this.clear(),this._presentationOptions=x}get runOptions(){return this._runOptions}set runOptions(x){x==null&&(x=Object.create(null)),this.clear(),this._runOptions=x}};Ke.ExtensionCallbackType="customExecution",Ke.ProcessType="process",Ke.ShellType="shell",Ke.EmptyType="$empty",Ke=o=je([c],Ke),e.Task=Ke;var rt;(function(H){H[H.SourceControl=1]="SourceControl",H[H.Window=10]="Window",H[H.Notification=15]="Notification"})(rt=e.ProgressLocation||(e.ProgressLocation={}));let lt=class{constructor(x,se=Qe.None){this.collapsibleState=se,P.URI.isUri(x)?this.resourceUri=x:this.label=x}};lt=je([c],lt),e.TreeItem=lt;var Qe;(function(H){H[H.None=0]="None",H[H.Collapsed=1]="Collapsed",H[H.Expanded=2]="Expanded"})(Qe=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let it=class{constructor(x,se){this.id=x,this.color=se}};it=je([c],it),e.ThemeIcon=it,it.File=new it("file"),it.Folder=new it("folder");let dt=class{constructor(x){this.id=x}};dt=je([c],dt),e.ThemeColor=dt;var at;(function(H){H[H.Global=1]="Global",H[H.Workspace=2]="Workspace",H[H.WorkspaceFolder=3]="WorkspaceFolder"})(at=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Ct=class{constructor(x,se){if(typeof x!="string"&&(!x||!P.URI.isUri(x)&&!P.URI.isUri(x.uri)))throw(0,y.illegalArgument)("base");if(typeof se!="string")throw(0,y.illegalArgument)("pattern");typeof x=="string"?(this.baseFolder=P.URI.file(x),this.base=x):P.URI.isUri(x)?(this.baseFolder=x,this.base=x.fsPath):(this.baseFolder=x.uri,this.base=x.uri.fsPath),this.pattern=se}};Ct=je([c],Ct),e.RelativePattern=Ct;let gt=class{constructor(x,se,Ce,Ve){this.enabled=typeof x=="boolean"?x:!0,typeof se=="string"&&(this.condition=se),typeof Ce=="string"&&(this.hitCondition=Ce),typeof Ve=="string"&&(this.logMessage=Ve)}get id(){return this._id||(this._id=(0,E.generateUuid)()),this._id}};gt=je([c],gt),e.Breakpoint=gt;let kt=class extends gt{constructor(x,se,Ce,Ve,Ye){super(se,Ce,Ve,Ye);if(x===null)throw(0,y.illegalArgument)("location");this.location=x}};kt=je([c],kt),e.SourceBreakpoint=kt;let Et=class extends gt{constructor(x,se,Ce,Ve,Ye){super(se,Ce,Ve,Ye);this.functionName=x}};Et=je([c],Et),e.FunctionBreakpoint=Et;let St=class extends gt{constructor(x,se,Ce,Ve,Ye,nt,ot){super(Ve,Ye,nt,ot);if(!se)throw(0,y.illegalArgument)("dataId");this.label=x,this.dataId=se,this.canPersist=Ce}};St=je([c],St),e.DataBreakpoint=St;let mt=class{constructor(x,se,Ce){this.command=x,this.args=se||[],this.options=Ce}};mt=je([c],mt),e.DebugAdapterExecutable=mt;let Lt=class{constructor(x,se){this.port=x,this.host=se}};Lt=je([c],Lt),e.DebugAdapterServer=Lt;let Ft=class{constructor(x){this.path=x}};Ft=je([c],Ft),e.DebugAdapterNamedPipeServer=Ft;let ht=class{constructor(x){this.implementation=x}};ht=je([c],ht),e.DebugAdapterInlineImplementation=ht;let yt=class{constructor(x,se){this.range=x,this.expression=se}};yt=je([c],yt),e.EvaluatableExpression=yt;let Bt=class{constructor(x,se){this.range=x,this.text=se}};Bt=je([c],Bt),e.InlineValueText=Bt;let Ht=class{constructor(x,se,Ce=!0){this.range=x,this.variableName=se,this.caseSensitiveLookup=Ce}};Ht=je([c],Ht),e.InlineValueVariableLookup=Ht;let Ot=class{constructor(x,se){this.range=x,this.expression=se}};Ot=je([c],Ot),e.InlineValueEvaluatableExpression=Ot;let ct=class{constructor(x,se){this.frameId=x,this.stoppedLocation=se}};ct=je([c],ct),e.InlineValueContext=ct;var hn;(function(H){H[H.Changed=1]="Changed",H[H.Created=2]="Created",H[H.Deleted=3]="Deleted"})(hn=e.FileChangeType||(e.FileChangeType={}));let Pt=r=class extends Error{constructor(x,se=n.FileSystemProviderErrorCode.Unknown,Ce){var Ve;super(P.URI.isUri(x)?x.toString(!0):x);this.code=(Ve=Ce==null?void 0:Ce.name)!==null&&Ve!==void 0?Ve:"Unknown",(0,n.markAsFileSystemProviderError)(this,se),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,r.prototype),typeof Error.captureStackTrace=="function"&&typeof Ce=="function"&&Error.captureStackTrace(this,Ce)}static FileExists(x){return new r(x,n.FileSystemProviderErrorCode.FileExists,r.FileExists)}static FileNotFound(x){return new r(x,n.FileSystemProviderErrorCode.FileNotFound,r.FileNotFound)}static FileNotADirectory(x){return new r(x,n.FileSystemProviderErrorCode.FileNotADirectory,r.FileNotADirectory)}static FileIsADirectory(x){return new r(x,n.FileSystemProviderErrorCode.FileIsADirectory,r.FileIsADirectory)}static NoPermissions(x){return new r(x,n.FileSystemProviderErrorCode.NoPermissions,r.NoPermissions)}static Unavailable(x){return new r(x,n.FileSystemProviderErrorCode.Unavailable,r.Unavailable)}};Pt=r=je([c],Pt),e.FileSystemError=Pt;let At=class{constructor(x,se,Ce){this.start=x,this.end=se,this.kind=Ce}};At=je([c],At),e.FoldingRange=At;var tn;(function(H){H[H.Comment=1]="Comment",H[H.Imports=2]="Imports",H[H.Region=3]="Region"})(tn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var fn;(function(H){H[H.Collapsed=0]="Collapsed",H[H.Expanded=1]="Expanded"})(fn=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var nn;(function(H){H[H.Editing=0]="Editing",H[H.Preview=1]="Preview"})(nn=e.CommentMode||(e.CommentMode={}));class mn{constructor(x,se=[]){this.tokenTypes=x,this.tokenModifiers=se}}e.SemanticTokensLegend=mn;function rn(H){return typeof H=="undefined"||(0,D.isStringArray)(H)}class Tt{constructor(x){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,x){this._hasLegend=!0;for(let se=0,Ce=x.tokenTypes.length;se<Ce;se++)this._tokenTypeStrToInt.set(x.tokenTypes[se],se);for(let se=0,Ce=x.tokenModifiers.length;se<Ce;se++)this._tokenModifierStrToInt.set(x.tokenModifiers[se],se)}}push(x,se,Ce,Ve,Ye){if(typeof x=="number"&&typeof se=="number"&&typeof Ce=="number"&&typeof Ve=="number"&&(typeof Ye=="number"||typeof Ye=="undefined"))return typeof Ye=="undefined"&&(Ye=0),this._pushEncoded(x,se,Ce,Ve,Ye);if(m.isRange(x)&&typeof se=="string"&&rn(Ce))return this._push(x,se,Ce);throw(0,y.illegalArgument)()}_push(x,se,Ce){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(x.start.line!==x.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(se))throw new Error("`tokenType` is not in the provided legend");const Ve=x.start.line,Ye=x.start.character,nt=x.end.character-x.start.character,ot=this._tokenTypeStrToInt.get(se);let pt=0;if(Ce)for(const wt of Ce){if(!this._tokenModifierStrToInt.has(wt))throw new Error("`tokenModifier` is not in the provided legend");const _t=this._tokenModifierStrToInt.get(wt);pt|=1<<_t>>>0}this._pushEncoded(Ve,Ye,nt,ot,pt)}_pushEncoded(x,se,Ce,Ve,Ye){if(this._dataIsSortedAndDeltaEncoded&&(x<this._prevLine||x===this._prevLine&&se<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const pt=this._data.length/5|0;let wt=0,_t=0;for(let bt=0;bt<pt;bt++){let Dt=this._data[5*bt],Jt=this._data[5*bt+1];Dt===0?(Dt=wt,Jt+=_t):Dt+=wt,this._data[5*bt]=Dt,this._data[5*bt+1]=Jt,wt=Dt,_t=Jt}}let nt=x,ot=se;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(nt-=this._prevLine,nt===0&&(ot-=this._prevChar)),this._data[this._dataLen++]=nt,this._data[this._dataLen++]=ot,this._data[this._dataLen++]=Ce,this._data[this._dataLen++]=Ve,this._data[this._dataLen++]=Ye,this._prevLine=x,this._prevChar=se}static _sortAndDeltaEncode(x){let se=[];const Ce=x.length/5|0;for(let ot=0;ot<Ce;ot++)se[ot]=ot;se.sort((ot,pt)=>{const wt=x[5*ot],_t=x[5*pt];if(wt===_t){const bt=x[5*ot+1],Dt=x[5*pt+1];return bt-Dt}return wt-_t});const Ve=new Uint32Array(x.length);let Ye=0,nt=0;for(let ot=0;ot<Ce;ot++){const pt=5*se[ot],wt=x[pt+0],_t=x[pt+1],bt=x[pt+2],Dt=x[pt+3],Jt=x[pt+4],Pn=wt-Ye,Fn=Pn===0?_t-nt:_t,Zt=5*ot;Ve[Zt+0]=Pn,Ve[Zt+1]=Fn,Ve[Zt+2]=bt,Ve[Zt+3]=Dt,Ve[Zt+4]=Jt,Ye=wt,nt=_t}return Ve}build(x){return this._dataIsSortedAndDeltaEncoded?new zt(new Uint32Array(this._data),x):new zt(Tt._sortAndDeltaEncode(this._data),x)}}e.SemanticTokensBuilder=Tt;class zt{constructor(x,se){this.resultId=se,this.data=x}}e.SemanticTokens=zt;class Vt{constructor(x,se,Ce){this.start=x,this.deleteCount=se,this.data=Ce}}e.SemanticTokensEdit=Vt;class jt{constructor(x,se){this.resultId=se,this.edits=x}}e.SemanticTokensEdits=jt;var gn;(function(H){H[H.Separate=0]="Separate",H[H.MergeWithParent=1]="MergeWithParent"})(gn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var pn;(function(H){H[H.Initial=1]="Initial",H[H.Dynamic=2]="Dynamic"})(pn=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let It=class{constructor(){}};It.Back={iconPath:new it("arrow-left")},It=je([c],It),e.QuickInputButtons=It;var vn;(function(H){H[H.UI=1]="UI",H[H.Workspace=2]="Workspace"})(vn=e.ExtensionKind||(e.ExtensionKind={}));class wn{constructor(x,se,Ce){this.badge=x,this.tooltip=se,this.color=Ce}static validate(x){if(x.badge&&x.badge.length!==1&&x.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!x.color&&!x.badge&&!x.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=wn;let qt=class{constructor(x){this.kind=x}};qt=je([c],qt),e.ColorTheme=qt;var _n;(function(H){H[H.Light=1]="Light",H[H.Dark=2]="Dark",H[H.HighContrast=3]="HighContrast"})(_n=e.ColorThemeKind||(e.ColorThemeKind={}));class Gt{constructor(x,se){if(x<0)throw(0,y.illegalArgument)("start must be positive");if(se<x)throw(0,y.illegalArgument)("end cannot be smaller than start");this._start=x,this._end=se}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}}e.NotebookCellRange=Gt;class $t{constructor(x,se,Ce,Ve,Ye,nt,ot,pt,wt,_t,bt){this.editable=x,this.breakpointMargin=se,this.hasExecutionOrder=Ce,this.executionOrder=Ve,this.runState=Ye,this.runStartTime=nt,this.statusMessage=ot,this.lastRunDuration=pt,this.inputCollapsed=wt,this.outputCollapsed=_t,this.custom=bt}with(x){let{editable:se,breakpointMargin:Ce,hasExecutionOrder:Ve,executionOrder:Ye,runState:nt,runStartTime:ot,statusMessage:pt,lastRunDuration:wt,inputCollapsed:_t,outputCollapsed:bt,custom:Dt}=x;return se===void 0?se=this.editable:se===null&&(se=void 0),Ce===void 0?Ce=this.breakpointMargin:Ce===null&&(Ce=void 0),Ve===void 0?Ve=this.hasExecutionOrder:Ve===null&&(Ve=void 0),Ye===void 0?Ye=this.executionOrder:Ye===null&&(Ye=void 0),nt===void 0?nt=this.runState:nt===null&&(nt=void 0),ot===void 0?ot=this.runStartTime:ot===null&&(ot=void 0),pt===void 0?pt=this.statusMessage:pt===null&&(pt=void 0),wt===void 0?wt=this.lastRunDuration:wt===null&&(wt=void 0),_t===void 0?_t=this.inputCollapsed:_t===null&&(_t=void 0),bt===void 0?bt=this.outputCollapsed:bt===null&&(bt=void 0),Dt===void 0?Dt=this.custom:Dt===null&&(Dt=void 0),se===this.editable&&Ce===this.breakpointMargin&&Ve===this.hasExecutionOrder&&Ye===this.executionOrder&&nt===this.runState&&ot===this.runStartTime&&pt===this.statusMessage&&wt===this.lastRunDuration&&_t===this.inputCollapsed&&bt===this.outputCollapsed&&Dt===this.custom?this:new $t(se,Ce,Ve,Ye,nt,ot,pt,wt,_t,bt,Dt)}}e.NotebookCellMetadata=$t;class Mt{constructor(x=!0,se=!0,Ce=!0,Ve={},Ye=sn.Idle,nt=!0){this.editable=x,this.cellEditable=se,this.cellHasExecutionOrder=Ce,this.custom=Ve,this.runState=Ye,this.trusted=nt}with(x){let{editable:se,cellEditable:Ce,cellHasExecutionOrder:Ve,custom:Ye,runState:nt,trusted:ot}=x;return se===void 0?se=this.editable:se===null&&(se=void 0),Ce===void 0?Ce=this.cellEditable:Ce===null&&(Ce=void 0),Ve===void 0?Ve=this.cellHasExecutionOrder:Ve===null&&(Ve=void 0),Ye===void 0?Ye=this.custom:Ye===null&&(Ye=void 0),nt===void 0?nt=this.runState:nt===null&&(nt=void 0),ot===void 0?ot=this.trusted:ot===null&&(ot=void 0),se===this.editable&&Ce===this.cellEditable&&Ve===this.cellHasExecutionOrder&&Ye===this.custom&&nt===this.runState&&ot===this.trusted?this:new Mt(se,Ce,Ve,Ye,nt,ot)}}e.NotebookDocumentMetadata=Mt;class Kt{constructor(x,se,Ce,Ve,Ye){this.kind=x,this.source=se,this.language=Ce,this.outputs=Ve!=null?Ve:[],this.metadata=Ye}}e.NotebookCellData=Kt;class Oe{constructor(x,se){this.cells=x,this.metadata=se!=null?se:new Mt}}e.NotebookData=Oe;class Nt{constructor(x,se,Ce){this.mime=x,this.value=se,this.metadata=Ce}static isNotebookCellOutputItem(x){return x instanceof Nt}}e.NotebookCellOutputItem=Nt;class Xt{constructor(x,se,Ce){this.outputs=x,typeof se=="string"?(this.id=se,this.metadata=Ce):(this.id=(0,E.generateUuid)(),this.metadata=se!=null?se:Ce)}}e.NotebookCellOutput=Xt;var ft;(function(H){H[H.Markdown=1]="Markdown",H[H.Code=2]="Code"})(ft=e.NotebookCellKind||(e.NotebookCellKind={}));var bn;(function(H){H[H.Running=1]="Running",H[H.Idle=2]="Idle",H[H.Success=3]="Success",H[H.Error=4]="Error"})(bn=e.NotebookCellRunState||(e.NotebookCellRunState={}));var sn;(function(H){H[H.Running=1]="Running",H[H.Idle=2]="Idle"})(sn=e.NotebookRunState||(e.NotebookRunState={}));var on;(function(H){H[H.Left=1]="Left",H[H.Right=2]="Right"})(on=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var an;(function(H){H[H.Default=0]="Default",H[H.InCenter=1]="InCenter",H[H.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",H[H.AtTop=3]="AtTop"})(an=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));let Qt=class{constructor(x,se){this.label=x,this.timestamp=se}};Qt=je([c],Qt),e.TimelineItem=Qt;var En;(function(H){H[H.Production=1]="Production",H[H.Development=2]="Development",H[H.Test=3]="Test"})(En=e.ExtensionMode||(e.ExtensionMode={}));var Sn;(function(H){H[H.Node=1]="Node",H[H.Webworker=2]="Webworker"})(Sn=e.ExtensionRuntime||(e.ExtensionRuntime={}));var yn;(function(H){H[H.Other=0]="Other",H[H.Comment=1]="Comment",H[H.String=2]="String",H[H.RegEx=4]="RegEx"})(yn=e.StandardTokenType||(e.StandardTokenType={}));class ln{constructor(x,se){this.ranges=x,this.wordPattern=se}}e.LinkedEditingRanges=ln;var Dn;(function(H){H[H.Unset=0]="Unset",H[H.Queued=1]="Queued",H[H.Running=2]="Running",H[H.Passed=3]="Passed",H[H.Failed=4]="Failed",H[H.Skipped=5]="Skipped",H[H.Errored=6]="Errored"})(Dn=e.TestResult||(e.TestResult={}));var cn;(function(H){H[H.Error=0]="Error",H[H.Warning=1]="Warning",H[H.Information=2]="Information",H[H.Hint=3]="Hint"})(cn=e.TestMessageSeverity||(e.TestMessageSeverity={}));class Cn{constructor(x,se){this.label=se,this.runnable=!0,this.debuggable=!1,this.children=[],Object.defineProperty(this,"id",{value:x,enumerable:!0,writable:!1})}}e.TestItem=Cn;class kn{constructor(x){this.state=x,this.messages=[]}}e.TestState=kn;class Yt{constructor(x){this.message=x,this.severity=cn.Error}static diff(x,se,Ce){const Ve=new Yt(x);return Ve.expectedOutput=se,Ve.actualOutput=Ce,Ve}}e.TestMessage=Yt;var re;(function(H){H[H.None=0]="None",H[H.Option=1]="Option",H[H.Default=2]="Default",H[H.Preferred=3]="Preferred"})(re=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var de;(function(H){H[H.Untrusted=0]="Untrusted",H[H.Trusted=1]="Trusted",H[H.Unknown=2]="Unknown"})(de=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var Pe;(function(H){H[H.Notify=1]="Notify",H[H.OpenBrowser=2]="OpenBrowser",H[H.OpenPreview=3]="OpenPreview",H[H.Silent=4]="Silent",H[H.Ignore=5]="Ignore"})(Pe=e.PortAutoForwardAction||(e.PortAutoForwardAction={}))}),define(ge[118],pe([0,1,52,11,9,142,105,8,12]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const n=new Map;function A(l,g){g?n.set(l,g):n.delete(l)}e.setWordDefinitionFor=A;function k(l){return n.get(l)}e.getWordDefinitionFor=k;class b extends I.MirrorTextModel{constructor(g,S,p,w,d,u,a,t){super(S,p,w,d);this._proxy=g,this._languageId=u,this._isDirty=a,this._notebook=t,this._isDisposed=!1}dispose(){(0,_.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(g){return(0,E.equals)(this._lines,g)}get document(){if(!this._document){const g=this;this._document={get uri(){return g._uri},get fileName(){return g._uri.fsPath},get isUntitled(){return g._uri.scheme===y.Schemas.untitled},get languageId(){return g._languageId},get version(){return g._versionId},get isClosed(){return g._isDisposed},get isDirty(){return g._isDirty},get notebook(){return g._notebook},save(){return g._save()},getText(S){return S?g._getTextInRange(S):g.getText()},get eol(){return g._eol===`
`?P.EndOfLine.LF:P.EndOfLine.CRLF},get lineCount(){return g._lines.length},lineAt(S){return g._lineAt(S)},offsetAt(S){return g._offsetAt(S)},positionAt(S){return g._positionAt(S)},validateRange(S){return g._validateRange(S)},validatePosition(S){return g._validatePosition(S)},getWordRangeAtPosition(S,p){return g._getWordRangeAtPosition(S,p)}}}return Object.freeze(this._document)}_acceptLanguageId(g){(0,_.ok)(!this._isDisposed),this._languageId=g}_acceptIsDirty(g){(0,_.ok)(!this._isDisposed),this._isDirty=g}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(g){const S=this._validateRange(g);if(S.isEmpty)return"";if(S.isSingleLine)return this._lines[S.start.line].substring(S.start.character,S.end.character);const p=this._eol,w=S.start.line,d=S.end.line,u=[];u.push(this._lines[w].substring(S.start.character));for(let a=w+1;a<d;a++)u.push(this._lines[a]);return u.push(this._lines[d].substring(0,S.end.character)),u.join(p)}_lineAt(g){let S;if(g instanceof P.Position?S=g.line:typeof g=="number"&&(S=g),typeof S!="number"||S<0||S>=this._lines.length||Math.floor(S)!==S)throw new Error("Illegal value for `line`");return new h(S,this._lines[S],S===this._lines.length-1)}_offsetAt(g){return g=this._validatePosition(g),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(g.line-1)+g.character}_positionAt(g){g=Math.floor(g),g=Math.max(0,g),this._ensureLineStarts();const S=this._lineStarts.getIndexOf(g),p=this._lines[S.index].length;return new P.Position(S.index,Math.min(S.remainder,p))}_validateRange(g){if(!(g instanceof P.Range))throw new Error("Invalid argument");const S=this._validatePosition(g.start),p=this._validatePosition(g.end);return S===g.start&&p===g.end?g:new P.Range(S.line,S.character,p.line,p.character)}_validatePosition(g){if(!(g instanceof P.Position))throw new Error("Invalid argument");if(this._lines.length===0)return g.with(0,0);let{line:S,character:p}=g,w=!1;if(S<0)S=0,p=0,w=!0;else if(S>=this._lines.length)S=this._lines.length-1,p=this._lines[S].length,w=!0;else{const d=this._lines[S].length;p<0?(p=0,w=!0):p>d&&(p=d,w=!0)}return w?new P.Position(S,p):g}_getWordRangeAtPosition(g,S){const p=this._validatePosition(g);if(!S)S=k(this._languageId);else if((0,R.regExpLeadsToEndlessLoop)(S))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${S.source}' because it matches the empty string.`);const w=(0,D.getWordAtText)(p.character+1,(0,D.ensureValidWordDefinition)(S),this._lines[p.line],0);if(w)return new P.Range(p.line,w.startColumn-1,p.line,w.endColumn-1)}}e.ExtHostDocumentData=b;class h{constructor(g,S,p){this._line=g,this._text=S,this._isLastLine=p}get lineNumber(){return this._line}get text(){return this._text}get range(){return new P.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new P.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=h}),define(ge[195],pe([0,1,8,3,107,6,77,23,2,28]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class A{constructor(b,h,l,g){this._notebook=l,this._selector=g,this._disposables=new I.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new y.Emitter,this.onDidChange=this._onDidChange.event,this.uri=E.URI.from({scheme:"vscode-concat-doc",path:(0,n.generateUuid)()}),this._init(),this._disposables.add(h.onDidChangeDocument(p=>{const w=this._cellUris.get(p.document.uri);w!==void 0&&(this._cellLengths.changeValue(w,this._cells[w].document.getText().length+1),this._cellLines.changeValue(w,this._cells[w].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const S=p=>{p===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(b.onDidChangeNotebookCells(p=>S(p.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new P.ResourceMap;const b=[],h=[];for(const l of this._notebook.cells)l.kind===_.NotebookCellKind.Code&&(!this._selector||(0,D.score)(this._selector,l.document.uri,l.document.languageId,!0))&&(this._cellUris.set(l.document.uri,this._cells.length),this._cells.push(l),b.push(l.document.getText().length+1),h.push(l.document.lineCount));this._cellLengths=new R.PrefixSumComputer(new Uint32Array(b)),this._cellLines=new R.PrefixSumComputer(new Uint32Array(h))}get version(){return this._versionId}getText(b){var h,l;if(!b){let d="";for(const u of this._cells)d+=u.document.getText()+`
`;return d=d.slice(0,-1),d}if(b.isEmpty)return"";const g=this.locationAt(b.start),S=this.locationAt(b.end),p=this._cells[(h=this._cellUris.get(g.uri))!==null&&h!==void 0?h:-1],w=this._cells[(l=this._cellUris.get(S.uri))!==null&&l!==void 0?l:-1];if(!p||!w)return"";if(p===w)return p.document.getText(new _.Range(g.range.start,S.range.end));{const d=p.document.getText(new _.Range(g.range.start,new _.Position(p.document.lineCount,0))),u=w.document.getText(new _.Range(new _.Position(0,0),S.range.end));return d+`
`+u}}offsetAt(b){const h=this._cellLines.getIndexOf(b.line),l=this._cellLengths.getAccumulatedValue(h.index-1),g=this._cells[h.index].document.offsetAt(b.with(h.remainder));return l+g}positionAt(b){if(typeof b=="number"){const l=this._cellLengths.getIndexOf(b),g=this._cellLines.getAccumulatedValue(l.index-1);return this._cells[l.index].document.positionAt(l.remainder).translate(g)}const h=this._cellUris.get(b.uri);if(h!==void 0){const l=this._cellLines.getAccumulatedValue(h-1);return new _.Position(l+b.range.start.line,b.range.start.character)}return new _.Position(0,0)}locationAt(b){_.Range.isRange(b)||(b=new _.Range(b,b));const h=this._cellLines.getIndexOf(b.start.line);let l=h;b.isEmpty||(l=this._cellLines.getIndexOf(b.end.line));const g=new _.Position(h.remainder,b.start.character),S=new _.Position(l.remainder,b.end.character),p=new _.Range(g,S),w=this._cells[h.index];return new _.Location(w.document.uri,w.document.validateRange(p))}contains(b){return this._cellUris.has(b)}validateRange(b){const h=this.validatePosition(b.start),l=this.validatePosition(b.end);return b.with(h,l)}validatePosition(b){const h=this._cellLines.getIndexOf(b.line),l=new _.Position(h.remainder,b.character),g=this._cells[h.index].document.validatePosition(l),S=this._cellLines.getAccumulatedValue(h.index-1);return new _.Position(S+g.line,g.character)}}e.ExtHostNotebookConcatDocument=A}),define(ge[196],pe([0,1,8,14,3]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let I=class{constructor(P){this._actual=new _.ColorTheme(_.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new R.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(P){let E=P==="light"?_.ColorThemeKind.Light:P==="dark"?_.ColorThemeKind.Dark:_.ColorThemeKind.HighContrast;this._actual=new _.ColorTheme(E),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};I=je([Ue(0,y.IExtHostRpcService)],I),e.ExtHostTheming=I}),define(ge[62],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,_.createDecorator)("IURITransformerService");class y{constructor(I){I?(this.transformIncoming=I.transformIncoming.bind(I),this.transformOutgoing=I.transformOutgoing.bind(I),this.transformOutgoingURI=I.transformOutgoingURI.bind(I),this.transformOutgoingScheme=I.transformOutgoingScheme.bind(I)):(this.transformIncoming=D=>D,this.transformOutgoing=D=>D,this.transformOutgoingURI=D=>D,this.transformOutgoingScheme=D=>D)}}e.URITransformerService=y}),define(ge[84],pe([0,1,2]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=void 0;function y(I,D,P){const E=I.webviewResourceRoot.replace("{{resource}}",P.scheme+R(P)).replace("{{uuid}}",D);return _.URI.parse(E)}e.asWebviewUri=y;function R(I){return I.toString().replace(/^\S+?:/,"")}}),define(ge[197],pe([0,1,3,6,84,28]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class D{constructor(E,n,A){this._proxy=E,this._editors=n,this._initData=A,this._handlePool=0,this._disposables=new y.DisposableStore,this._insets=new Map,this._disposables.add(n.onDidChangeVisibleTextEditors(()=>{const k=n.getVisibleTextEditors();for(const b of this._insets.values())k.indexOf(b.editor)<0&&b.inset.dispose()}))}dispose(){this._insets.forEach(E=>E.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(E,n,A,k,b){let h;for(const u of this._editors.getVisibleTextEditors(!0))if(u.value===E){h=u;break}if(!h)throw new Error("not a visible editor");const l=this,g=this._handlePool++,S=new _.Emitter,p=new _.Emitter,w=new class{constructor(){this._uuid=(0,I.generateUuid)(),this._html="",this._options=Object.create(null)}asWebviewUri(u){return(0,R.asWebviewUri)(l._initData,this._uuid,u)}get cspSource(){return l._initData.webviewCspSource}set options(u){this._options=u,l._proxy.$setOptions(g,u)}get options(){return this._options}set html(u){this._html=u,l._proxy.$setHtml(g,u)}get html(){return this._html}get onDidReceiveMessage(){return S.event}postMessage(u){return l._proxy.$postMessage(g,u)}},d=new class{constructor(){this.editor=E,this.line=n,this.height=A,this.webview=w,this.onDidDispose=p.event}dispose(){l._insets.has(g)&&(l._insets.delete(g),l._proxy.$disposeEditorInset(g),p.fire(),p.dispose(),S.dispose())}};return this._proxy.$createEditorInset(g,h.id,h.value.document.uri,n+1,A,k||{},b.identifier,b.extensionLocation),this._insets.set(g,{editor:E,inset:d,onDidReceiveMessage:S}),d}$onDidDispose(E){const n=this._insets.get(E);n&&n.inset.dispose()}$onDidReceiveMessage(E,n){const A=this._insets.get(E);A&&A.onDidReceiveMessage.fire(n)}}e.ExtHostEditorInsets=D}),define(ge[198],pe([0,1,3,59,166,4,6,23,40,12,53,22,47,191]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvableTreeItem=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.IViewDescriptorService=e.getVisbileViewContextKey=e.FocusedViewContext=e.IViewsService=e.ViewContentGroups=e.getEnabledViewContainerContextKey=e.ViewContainerLocationToString=e.ViewContainerLocation=e.Extensions=e.defaultViewIcon=void 0,e.defaultViewIcon=(0,h.registerIcon)("default-view-icon",b.Codicon.window,(0,R.localize)(0,null));var l;(function(r){r.ViewContainersRegistry="workbench.registry.view.containers",r.ViewsRegistry="workbench.registry.view"})(l=e.Extensions||(e.Extensions={}));var g;(function(r){r[r.Sidebar=0]="Sidebar",r[r.Panel=1]="Panel"})(g=e.ViewContainerLocation||(e.ViewContainerLocation={}));function S(r){switch(r){case 0:return"sidebar";case 1:return"panel"}}e.ViewContainerLocationToString=S;function p(r){return`viewContainer.${r}.enabled`}e.getEnabledViewContainerContextKey=p;class w extends D.Disposable{constructor(){super(...arguments);this._onDidRegister=this._register(new _.Emitter),this.onDidRegister=this._onDidRegister.event,this._onDidDeregister=this._register(new _.Emitter),this.onDidDeregister=this._onDidDeregister.event,this.viewContainers=new Map,this.defaultViewContainers=[]}get all(){return(0,n.flatten)([...this.viewContainers.values()])}registerViewContainer(c,v,C){var m;const f=this.get(c.id);if(f)return f;const T=c;return T.openCommandActionDescriptor=(C==null?void 0:C.donotRegisterOpenCommand)?void 0:(m=T.openCommandActionDescriptor)!==null&&m!==void 0?m:{id:T.id},(0,P.getOrSet)(this.viewContainers,v,[]).push(T),(C==null?void 0:C.isDefault)&&this.defaultViewContainers.push(T),this._onDidRegister.fire({viewContainer:T,viewContainerLocation:v}),T}deregisterViewContainer(c){for(const v of this.viewContainers.keys()){const C=this.viewContainers.get(v),m=C==null?void 0:C.indexOf(c);if(m!==-1){C==null||C.splice(m,1),C.length===0&&this.viewContainers.delete(v),this._onDidDeregister.fire({viewContainer:c,viewContainerLocation:v});return}}}get(c){return this.all.filter(v=>v.id===c)[0]}getViewContainers(c){return[...this.viewContainers.get(c)||[]]}getViewContainerLocation(c){return[...this.viewContainers.keys()].filter(v=>this.getViewContainers(v).filter(C=>(C==null?void 0:C.id)===c.id).length>0)[0]}getDefaultViewContainer(c){return this.defaultViewContainers.find(v=>this.getViewContainerLocation(v)===c)}}E.Registry.add(l.ViewContainersRegistry,new w);var d;(function(r){r.Open="2_open",r.Debug="4_debug",r.SCM="5_scm",r.More="9_more"})(d=e.ViewContentGroups||(e.ViewContentGroups={}));function u(r,c){var v,C,m,f;const T=(v=r.group)!==null&&v!==void 0?v:d.More,L=(C=c.group)!==null&&C!==void 0?C:d.More;return T!==L?T.localeCompare(L):((m=r.order)!==null&&m!==void 0?m:5)-((f=c.order)!==null&&f!==void 0?f:5)}class a extends D.Disposable{constructor(){super(...arguments);this._onViewsRegistered=this._register(new _.Emitter),this.onViewsRegistered=this._onViewsRegistered.event,this._onViewsDeregistered=this._register(new _.Emitter),this.onViewsDeregistered=this._onViewsDeregistered.event,this._onDidChangeContainer=this._register(new _.Emitter),this.onDidChangeContainer=this._onDidChangeContainer.event,this._onDidChangeViewWelcomeContent=this._register(new _.Emitter),this.onDidChangeViewWelcomeContent=this._onDidChangeViewWelcomeContent.event,this._viewContainers=[],this._views=new Map,this._viewWelcomeContents=new A.SetMap}registerViews(c,v){this.registerViews2([{views:c,viewContainer:v}])}registerViews2(c){c.forEach(({views:v,viewContainer:C})=>this.addViews(v,C)),this._onViewsRegistered.fire(c)}deregisterViews(c,v){const C=this.removeViews(c,v);C.length&&this._onViewsDeregistered.fire({views:C,viewContainer:v})}moveViews(c,v){for(const C of this._views.keys())if(C!==v){const m=this.removeViews(c,C);m.length&&(this.addViews(m,v),this._onDidChangeContainer.fire({views:m,from:C,to:v}))}}getViews(c){return this._views.get(c)||[]}getView(c){for(const v of this._viewContainers){const C=(this._views.get(v)||[]).filter(m=>m.id===c)[0];if(C)return C}return null}getViewContainer(c){for(const v of this._viewContainers)if((this._views.get(v)||[]).filter(m=>m.id===c)[0])return v;return null}registerViewWelcomeContent(c,v){return this._viewWelcomeContents.add(c,v),this._onDidChangeViewWelcomeContent.fire(c),(0,D.toDisposable)(()=>{this._viewWelcomeContents.delete(c,v),this._onDidChangeViewWelcomeContent.fire(c)})}registerViewWelcomeContent2(c,v){const C=new Map;for(const[m,f]of v)this._viewWelcomeContents.add(c,f),C.set(m,(0,D.toDisposable)(()=>{this._viewWelcomeContents.delete(c,f),this._onDidChangeViewWelcomeContent.fire(c)}));return this._onDidChangeViewWelcomeContent.fire(c),C}getViewWelcomeContent(c){const v=[];return this._viewWelcomeContents.forEach(c,C=>v.push(C)),v.sort(u)}addViews(c,v){let C=this._views.get(v);C||(C=[],this._views.set(v,C),this._viewContainers.push(v));for(const m of c){if(this.getView(m.id)!==null)throw new Error((0,R.localize)(1,null,m.id));C.push(m)}}removeViews(c,v){const C=this._views.get(v);if(!C)return[];const m=[],f=[];for(const T of C)c.includes(T)?m.push(T):f.push(T);return m.length&&(f.length?this._views.set(v,f):(this._views.delete(v),this._viewContainers.splice(this._viewContainers.indexOf(v),1))),m}}E.Registry.add(l.ViewsRegistry,new a),e.IViewsService=(0,I.createDecorator)("viewsService"),e.FocusedViewContext=new y.RawContextKey("focusedView","",(0,R.localize)(2,null));function t(r){return`view.${r}.visible`}e.getVisbileViewContextKey=t,e.IViewDescriptorService=(0,I.createDecorator)("viewDescriptorService");var i;(function(r){r[r.Default=0]="Default",r[r.Expand=1]="Expand"})(i=e.ViewVisibilityState||(e.ViewVisibilityState={}));var s;(function(r){r[r.None=0]="None",r[r.Collapsed=1]="Collapsed",r[r.Expanded=2]="Expanded"})(s=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));class o{constructor(c,v){this.resolved=!1,this._hasResolve=!1,(0,k.mixin)(this,c),this._hasResolve=!!v,this.resolve=async C=>{var m,f;if(v&&!this.resolved){const T=await v(C);T&&(this.tooltip=(m=this.tooltip)!==null&&m!==void 0?m:T.tooltip,this.command=(f=this.command)!==null&&f!==void 0?f:T.command)}C.isCancellationRequested||(this.resolved=!0)}}get hasResolve(){return this._hasResolve}resetResolve(){this.resolved=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.ResolvableTreeItem=o}),define(ge[199],pe([0,1,2,178,115,13,179,198]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MoveViewsAPICommand=e.OpenIssueReporter=e.RemoveFromRecentlyOpenedAPICommand=e.NewWindowAPICommand=void 0;function E(g){return(S,...p)=>g(S.get(y.ICommandService),...p)}class n{static execute(S,p){const w={forceReuseWindow:p&&p.reuseWindow,remoteAuthority:p&&p.remoteAuthority};return S.executeCommand("_files.newWindow",w)}}e.NewWindowAPICommand=n,n.ID="vscode.newWindow",y.CommandsRegistry.registerCommand({id:n.ID,handler:E(n.execute),description:{description:"Opens an new window",args:[]}}),y.CommandsRegistry.registerCommand("_workbench.removeFromRecentlyOpened",function(g,S){return g.get(R.IWorkspacesService).removeRecentlyOpened([S])});class A{static execute(S,p){return typeof p=="string"?p=p.match(/^[^:/?#]+:\/\//)?_.URI.parse(p):_.URI.file(p):p=_.URI.revive(p),S.executeCommand("_workbench.removeFromRecentlyOpened",p)}}e.RemoveFromRecentlyOpenedAPICommand=A,A.ID="vscode.removeFromRecentlyOpened",y.CommandsRegistry.registerCommand(A.ID,E(A.execute));class k{static execute(S,p){const w=typeof p=="string"?{extensionId:p}:p;return S.executeCommand("workbench.action.openIssueReporter",w)}}e.OpenIssueReporter=k,k.ID="vscode.openIssueReporter",y.CommandsRegistry.registerCommand("_workbench.addToRecentlyOpened",async function(g,S){const p=g.get(R.IWorkspacesService);let w;const d=S.uri,u=S.label,a=S.remoteAuthority;return S.type==="workspace"?w={workspace:await p.getWorkspaceIdentifier(d),label:u,remoteAuthority:a}:S.type==="folder"?w={folderUri:d,label:u,remoteAuthority:a}:w={fileUri:d,label:u,remoteAuthority:a},p.addRecentlyOpened([w])}),y.CommandsRegistry.registerCommand("_workbench.getRecentlyOpened",async function(g){return g.get(R.IWorkspacesService).getRecentlyOpened()}),y.CommandsRegistry.registerCommand("_extensionTests.setLogLevel",function(g,S){const p=g.get(I.ILogService),w=g.get(D.IEnvironmentService);w.isExtensionDevelopment&&!!w.extensionTestsLocationURI&&p.setLevel(S)}),y.CommandsRegistry.registerCommand("_extensionTests.getLogLevel",function(g){return g.get(I.ILogService).getLevel()}),y.CommandsRegistry.registerCommand("_workbench.action.moveViews",async function(g,S){const p=g.get(P.IViewDescriptorService),w=p.getViewContainerById(S.destinationId);if(!!w){for(const d of S.viewIds){const u=p.getViewDescriptorById(d);(u==null?void 0:u.canMoveView)&&p.moveViewsToContainer([u],w,P.ViewVisibilityState.Default)}await g.get(P.IViewsService).openViewContainer(w.id,!0)}});class b{static execute(S,p){return!Array.isArray(p==null?void 0:p.viewIds)||typeof(p==null?void 0:p.destinationId)!="string"?Promise.reject("Invalid arguments"):S.executeCommand("_workbench.action.moveViews",p)}}e.MoveViewsAPICommand=b,b.ID="vscode.moveViews",y.CommandsRegistry.registerCommand({id:b.ID,handler:E(b.execute),description:{description:"Move Views",args:[]}});class h{static execute(S,p){return S.executeCommand("_workbench.open",p)}}h.ID="vscode.open",y.CommandsRegistry.registerCommand(h.ID,E(h.execute));class l{static execute(S,p,w,d,u){return S.executeCommand("_workbench.diff",[p,w,d])}}l.ID="vscode.diff",y.CommandsRegistry.registerCommand(l.ID,E(l.execute))}),define(ge[119],pe([0,1,3,19,167]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class I{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new _.Emitter,this._onExit=new _.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(P){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=P}onEvent(P){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=P}onRequest(P){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=P}sendResponse(P){P.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${P.command}`)):this.internalSend("response",P)}sendRequest(P,E,n,A){const k={command:P};if(E&&Object.keys(E).length>0&&(k.arguments=E),this.internalSend("request",k),typeof A=="number"){const b=setTimeout(()=>{clearTimeout(b);const h=this.pendingRequests.get(k.seq);if(h){this.pendingRequests.delete(k.seq);const l={type:"response",seq:0,request_seq:k.seq,success:!1,command:P,message:(0,R.localize)(0,null,A,P)};h(l)}},A)}return n&&this.pendingRequests.set(k.seq,n),k.seq}acceptMessage(P){this.messageCallback?this.messageCallback(P):(this.queue.push(P),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(P,E){return P.type!=="event"||E.type!=="event"}async processQueue(){let P;for(;this.queue.length;){if((!P||this.needsTaskBoundaryBetween(this.queue[0],P))&&await(0,y.timeout)(0),P=this.queue.shift(),!P)return;switch(P.type){case"event":this.eventCallback&&this.eventCallback(P);break;case"request":this.requestCallback&&this.requestCallback(P);break;case"response":const E=P,n=this.pendingRequests.get(E.request_seq);n&&(this.pendingRequests.delete(E.request_seq),n(E));break}}}internalSend(P,E){E.type=P,E.seq=this.sequence++,this.sendMessage(E)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const P=new Map;this.pendingRequests.forEach((E,n)=>P.set(n,E)),await(0,y.timeout)(500),P.forEach((E,n)=>{E({type:"response",seq:0,request_seq:n,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(n)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=I}),define(ge[200],pe([0,1,9,2,7,22,11]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const P=/{([^}]+)}/g;function E(i,s,o){return i.replace(P,function(r,c){return s&&c.length>0&&c[0]!=="_"?r:o&&o.hasOwnProperty(c)?o[c]:r})}e.formatPII=E;function n(i){const s={};for(const o of Object.keys(i))o.startsWith("!")||(s[o]=i[o]);return s}e.filterExceptionsFromTelemetry=n;function A(i){return i.configuration.request==="attach"&&!k(i)}e.isSessionAttach=A;function k(i){let s=i.configuration.type;if(!!s)return s==="vslsShare"&&(s=i.configuration.adapterProxy.configuration.type),(0,_.equalsIgnoreCase)(s,"extensionhost")||(0,_.equalsIgnoreCase)(s,"pwa-extensionhost")?i:i.parentSession?k(i.parentSession):void 0}e.getExtensionHostDebugSession=k;function b(i){return i.type&&(i.label||i.program||i.runtime)}e.isDebuggerMainContribution=b;function h(i,s,o){let r,c=0,v=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,C=null;for(;C=v.exec(i);){let m=C.index+1,f=m+C[0].length;if(m<=s&&f>=o){r=C[0],c=m;break}}if(r){let m=/\w+/g,f=null;for(;(f=m.exec(r))&&!(f.index+1+c+f[0].length>=o););f&&(r=r.substring(0,m.lastIndex))}return r?{start:c,end:c+r.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=h;const l=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function g(i){return!!(i&&i.match(l))}e.isUri=g;function S(i){if(typeof i.path=="string"&&!(typeof i.sourceReference=="number"&&i.sourceReference>0)){if(g(i.path))return y.URI.parse(i.path);if((0,R.isAbsolute)(i.path))return y.URI.file(i.path)}return i.path}function p(i){if(typeof i.path=="object"){const s=y.URI.revive(i.path);if(s)return s.scheme===D.Schemas.file?s.fsPath:s.toString()}return i.path}function w(i,s){const o=s?S:p,r=(0,I.deepClone)(i);return u(r,(c,v)=>{c&&v&&(v.path=o(v))}),r}e.convertToDAPaths=w;function d(i,s){const o=s?S:p,r=(0,I.deepClone)(i);return u(r,(c,v)=>{!c&&v&&(v.path=o(v))}),r}e.convertToVSCPaths=d;function u(i,s){switch(i.type){case"event":const o=i;switch(o.event){case"output":s(!1,o.body.source);break;case"loadedSource":s(!1,o.body.source);break;case"breakpoint":s(!1,o.body.breakpoint.source);break;default:break}break;case"request":const r=i;switch(r.command){case"setBreakpoints":s(!0,r.arguments.source);break;case"breakpointLocations":s(!0,r.arguments.source);break;case"source":s(!0,r.arguments.source);break;case"gotoTargets":s(!0,r.arguments.source);break;case"launchVSCode":r.arguments.args.forEach(v=>s(!1,v));break;default:break}break;case"response":const c=i;if(c.success&&c.body)switch(c.command){case"stackTrace":c.body.stackFrames.forEach(v=>s(!1,v.source));break;case"loadedSources":c.body.sources.forEach(v=>s(!1,v));break;case"scopes":c.body.scopes.forEach(v=>s(!1,v.source));break;case"setFunctionBreakpoints":c.body.breakpoints.forEach(v=>s(!1,v.source));break;case"setBreakpoints":c.body.breakpoints.forEach(v=>s(!1,v.source));break;default:break}break}}function a(i){return i.filter(s=>{var o;return!((o=s.presentation)===null||o===void 0?void 0:o.hidden)}).sort((s,o)=>s.presentation?o.presentation?s.presentation.group?o.presentation.group?s.presentation.group!==o.presentation.group?s.presentation.group.localeCompare(o.presentation.group):t(s.presentation.order,o.presentation.order):-1:o.presentation.group?1:t(s.presentation.order,o.presentation.order):-1:o.presentation?1:0)}e.getVisibleAndSorted=a;function t(i,s){return typeof i!="number"?typeof s!="number"?0:1:typeof s!="number"?-1:i-s}}),define(ge[201],pe([0,1,25,39,168,120,7,9,22,10,180,119]),function(J,e,_,y,R,I,D,P,E,n,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class b extends k.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(w,d){this.outputStream=d,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,w.on("data",u=>this.handleData(u))}sendMessage(w){if(this.outputStream){const d=JSON.stringify(w);this.outputStream.write(`Content-Length: ${Buffer.byteLength(d,"utf8")}${b.TWO_CRLF}${d}`,"utf8")}}handleData(w){for(this.rawData=Buffer.concat([this.rawData,w]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const d=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,d.length>0)try{this.acceptMessage(JSON.parse(d))}catch(u){this._onError.fire(new Error((u.message||u)+`
`+d))}continue}}else{const d=this.rawData.indexOf(b.TWO_CRLF);if(d!==-1){const a=this.rawData.toString("utf8",0,d).split(b.HEADER_LINESEPARATOR);for(const t of a){const i=t.split(b.HEADER_FIELDSEPARATOR);i[0]==="Content-Length"&&(this.contentLength=Number(i[1]))}this.rawData=this.rawData.slice(d+b.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=b,b.TWO_CRLF=`\r
\r
`,b.HEADER_LINESEPARATOR=/\r?\n/,b.HEADER_FIELDSEPARATOR=/: */;class h extends b{startSession(){return new Promise((w,d)=>{let u=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),w(),u=!0}),this.socket.on("close",()=>{u?this._onError.fire(new Error("connection closed")):d(new Error("connection closed"))}),this.socket.on("error",a=>{u?this._onError.fire(a):d(a)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=h;class l extends h{constructor(w){super();this.adapterServer=w}createConnection(w){return I.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",w)}}e.SocketDebugAdapter=l;class g extends h{constructor(w){super();this.adapterServer=w}createConnection(w){return I.createConnection(this.adapterServer.path,w)}}e.NamedPipeDebugAdapter=g;class S extends b{constructor(w,d,u){super();this.adapterExecutable=w,this.debugType=d,this.outputService=u}async startSession(){const w=this.adapterExecutable.command,d=this.adapterExecutable.args,u=this.adapterExecutable.options||{};try{if(w)if(D.isAbsolute(w)){if(!await(0,_.exists)(w))throw new Error(R.localize(0,null,w))}else w.indexOf("/")<0&&w.indexOf("\\")<0;else throw new Error(R.localize(1,null,this.debugType));let a=process.env;if(u.env&&Object.keys(u.env).length>0&&(a=E.mixin(E.deepClone(process.env),u.env)),w==="node")if(Array.isArray(d)&&d.length>0){const i=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,s={env:a,execArgv:i?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};u.cwd&&(s.cwd=u.cwd);const o=y.fork(d[0],d.slice(1),s);if(!o.pid)throw new Error(R.localize(2,null,d[0]));this.serverProcess=o}else throw new Error(R.localize(3,null));else{const i={env:a};u.cwd&&(i.cwd=u.cwd),this.serverProcess=y.spawn(w,d,i)}this.serverProcess.on("error",i=>{this._onError.fire(i)}),this.serverProcess.on("exit",(i,s)=>{this._onExit.fire(i)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",i=>{this._onError.fire(i)}),this.serverProcess.stdin.on("error",i=>{this._onError.fire(i)});const t=this.outputService;if(t){const i=s=>s.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",s=>{const o=t.getChannel(A.ExtensionsChannelId);o&&o.append(i(s))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(a){this._onError.fire(a)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),n.isWindows?new Promise((w,d)=>{const u=y.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(a,t,i){if(a)return d(a)});u.on("exit",w),u.on("error",d)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(w,d){if(!!w){const u=Object.create(null);w.runtime&&(w.runtime.indexOf("./")===0?u.runtime=D.join(d,w.runtime):u.runtime=w.runtime),w.runtimeArgs&&(u.runtimeArgs=w.runtimeArgs),w.program&&(D.isAbsolute(w.program)?u.program=w.program:u.program=D.join(d,w.program)),w.args&&(u.args=w.args);const a=w;return a.win&&(u.win=S.extract(a.win,d)),a.winx86&&(u.winx86=S.extract(a.winx86,d)),a.windows&&(u.windows=S.extract(a.windows,d)),a.osx&&(u.osx=S.extract(a.osx,d)),a.linux&&(u.linux=S.extract(a.linux,d)),u}}static platformAdapterExecutable(w,d){let u=Object.create(null);d=d.toLowerCase();for(const r of w)if(r.contributes){const c=r.contributes.debuggers;c&&c.length>0&&c.filter(v=>typeof v.type=="string"&&P.equalsIgnoreCase(v.type,d)).forEach(v=>{const C=S.extract(v,r.extensionLocation.fsPath);u=E.mixin(u,C,r.isBuiltin)})}let a;n.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?a=u.winx86||u.win||u.windows:n.isWindows?a=u.win||u.windows:n.isMacintosh?a=u.osx:n.isLinux&&(a=u.linux),a=a||u;let t=a.program||u.program;const i=a.args||u.args;let s=a.runtime||u.runtime;const o=a.runtimeArgs||u.runtimeArgs;if(s)return{type:"executable",command:s,args:(o||[]).concat(typeof t=="string"?[t]:[]).concat(i||[])};if(t)return{type:"executable",command:t,args:i||[]}}}e.ExecutableDebugAdapter=S}),define(ge[202],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DEFAULT_TERMINAL_OSX=void 0,e.DEFAULT_TERMINAL_OSX="Terminal.app"}),define(ge[203],pe([0,1,39,7,78,169,25,10,83,4,202,11]),function(J,e,_,y,R,I,D,P,E,n,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const b=I.localize(0,null);let h=class Ut{constructor(d){this._configurationService=d}openTerminal(d){if(this._configurationService){const u=this._configurationService.getValue();this.spawnTerminal(_,u,R.getWindowsShell(),d)}}runInTerminal(d,u,a,t,i){const s=i.windowsExec||Ut.getDefaultTerminalWindows();return new Promise((o,r)=>{const c=`"${u} - ${b}"`,v=`""${a.join('" "')}" & pause"`,C=["/c","start",c,"/wait",s,"/c",v],m=Object.assign({},process.env,t);Object.keys(m).filter(L=>m[L]===null).forEach(L=>delete m[L]);const f={cwd:u,env:m,windowsVerbatimArguments:!0};_.spawn(Ut.CMD,C,f).on("error",L=>{r(S(L))}),o(void 0)})}spawnTerminal(d,u,a,t){const s=u.terminal.external.windowsExec||Ut.getDefaultTerminalWindows();t&&t[1]===":"&&(t=t[0].toUpperCase()+t.substr(1));const o=y.basename(s).toLowerCase();if(o==="cmder"||o==="cmder.exe")return d.spawn(s,t?[t]:void 0),Promise.resolve(void 0);const r=["/c","start","/wait"];return s.indexOf(" ")>=0&&r.push('""'),r.push(s),(o==="wt"||o==="wt.exe")&&r.push("-d ."),new Promise((c,v)=>{const C=t?{cwd:t}:void 0,m=d.spawn(a,r,C);m.on("error",v),m.on("exit",()=>c())})}static getDefaultTerminalWindows(){if(!Ut._DEFAULT_TERMINAL_WINDOWS){const d=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");Ut._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${d?"Sysnative":"System32"}\\cmd.exe`}return Ut._DEFAULT_TERMINAL_WINDOWS}};h.CMD="cmd.exe",h=je([Ue(0,(0,n.optional)(E.IConfigurationService))],h),e.WindowsExternalTerminalService=h;let l=class Tn{constructor(d){this._configurationService=d}openTerminal(d){if(this._configurationService){const u=this._configurationService.getValue();this.spawnTerminal(_,u,d)}}runInTerminal(d,u,a,t,i){const s=i.osxExec||A.DEFAULT_TERMINAL_OSX;return new Promise((o,r)=>{if(s===A.DEFAULT_TERMINAL_OSX||s==="iTerm.app"){const c=s===A.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",C=[k.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${c}.scpt`,J).fsPath,"-t",d||b,"-w",u];for(let T of a)C.push("-a"),C.push(T);if(t)for(let T in t){const L=t[T];L===null?(C.push("-u"),C.push(T)):(C.push("-e"),C.push(`${T}=${L}`))}let m="";const f=_.spawn(Tn.OSASCRIPT,C);f.on("error",T=>{r(S(T))}),f.stderr.on("data",T=>{m+=T.toString()}),f.on("exit",T=>{if(T===0)o(void 0);else if(m){const L=m.split(`
`,1);r(new Error(L[0]))}else r(new Error(I.localize(1,null,c,T)))})}else r(new Error(I.localize(2,null,s)))})}spawnTerminal(d,u,a){const i=u.terminal.external.osxExec||A.DEFAULT_TERMINAL_OSX;return new Promise((s,o)=>{const r=["-a",i];a&&r.push(a);const c=d.spawn("/usr/bin/open",r);c.on("error",o),c.on("exit",()=>s())})}};l.OSASCRIPT="/usr/bin/osascript",l=je([Ue(0,(0,n.optional)(E.IConfigurationService))],l),e.MacExternalTerminalService=l;let g=class Wt{constructor(d){this._configurationService=d}openTerminal(d){if(this._configurationService){const u=this._configurationService.getValue();this.spawnTerminal(_,u,d)}}runInTerminal(d,u,a,t,i){const s=i.linuxExec?Promise.resolve(i.linuxExec):Wt.getDefaultTerminalLinuxReady();return new Promise((o,r)=>{let c=[];s.then(v=>{v.indexOf("gnome-terminal")>=0?c.push("-x"):c.push("-e"),c.push("bash"),c.push("-c");const C=`${p(a)}; echo; read -p "${Wt.WAIT_MESSAGE}" -n1;`;c.push(`''${C}''`);const m=Object.assign({},process.env,t);Object.keys(m).filter(B=>m[B]===null).forEach(B=>delete m[B]);const f={cwd:u,env:m};let T="";const L=_.spawn(v,c,f);L.on("error",B=>{r(S(B))}),L.stderr.on("data",B=>{T+=B.toString()}),L.on("exit",B=>{if(B===0)o(void 0);else if(T){const te=T.split(`
`,1);r(new Error(te[0]))}else r(new Error(I.localize(4,null,v,B)))})})})}spawnTerminal(d,u,a){const t=u.terminal.external,i=t.linuxExec?Promise.resolve(t.linuxExec):Wt.getDefaultTerminalLinuxReady();return new Promise((s,o)=>{i.then(r=>{const c=a?{cwd:a}:void 0,v=d.spawn(r,[],c);v.on("error",o),v.on("exit",()=>s())})})}static async getDefaultTerminalLinuxReady(){return Wt._DEFAULT_TERMINAL_LINUX_READY||(Wt._DEFAULT_TERMINAL_LINUX_READY=new Promise(async d=>{P.isLinux?await D.exists("/etc/debian_version")?d("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?d("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?d("konsole"):process.env.COLORTERM?d(process.env.COLORTERM):process.env.TERM?d(process.env.TERM):d("xterm"):d("xterm")})),Wt._DEFAULT_TERMINAL_LINUX_READY}};g.WAIT_MESSAGE=I.localize(3,null),g=je([Ue(0,(0,n.optional)(E.IConfigurationService))],g),e.LinuxExternalTerminalService=g;function S(w){return"errno"in w&&w.errno==="ENOENT"&&"path"in w&&typeof w.path=="string"?new Error(I.localize(5,null,w.path)):w}function p(w){let d="";for(let u of w)u.indexOf(" ")>=0?d+='"'+u+'"':d+=u,d+=" ";return d}}),define(ge[204],pe([0,1,39,10,203,31]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=e.runInExternalTerminal=void 0;let D;function P(b,h){if(!D)if(y.isWindows)D=new R.WindowsExternalTerminalService(void 0);else if(y.isMacintosh)D=new R.MacExternalTerminalService(void 0);else if(y.isLinux)D=new R.LinuxExternalTerminalService(void 0);else throw new Error("external terminals not supported on this platform");const l=h.getConfiguration("terminal");return D.runInTerminal(b.title,b.cwd,b.args,b.env||{},l.external||{})}e.runInExternalTerminal=P;function E(b,h){return new Promise((l,g)=>{let S="";const p=_.spawn(b,h);p.pid&&p.stdout.on("data",w=>{S+=w.toString()}),p.on("error",w=>{g(w)}),p.on("close",w=>{l(S)})})}function n(b){return b?y.isWindows?E("wmic",["process","get","ParentProcessId"]).then(h=>h.split(`\r
`).some(g=>parseInt(g)===b),h=>!0):E("/usr/bin/pgrep",["-lP",String(b)]).then(h=>{const l=h.trim();return!(l.length===0||l.indexOf(" tmux")>=0)},h=>!0):Promise.resolve(!0)}e.hasChildProcesses=n;var A;(function(b){b[b.cmd=0]="cmd",b[b.powershell=1]="powershell",b[b.bash=2]="bash"})(A||(A={}));function k(b,h,l,g){b=b.trim().toLowerCase();let S;b.indexOf("powershell")>=0||b.indexOf("pwsh")>=0?S=1:b.indexOf("cmd.exe")>=0?S=0:b.indexOf("bash")>=0?S=2:y.isWindows?S=0:S=2;let p,w=" ";switch(S){case 1:if(p=u=>(u=u.replace(/\'/g,"''"),u.length>0&&u.charAt(u.length-1)==="\\"?`'${u}\\'`:`'${u}'`),l){const u=(0,I.getDriveLetter)(l);u&&(w+=`${u}:; `),w+=`cd ${p(l)}; `}if(g)for(let u in g){const a=g[u];a===null?w+=`Remove-Item env:${u}; `:w+=`\${env:${u}}='${a}'; `}if(h.length>0){const u=p(h.shift());w+=u[0]==="'"?`& ${u} `:`${u} `;for(let a of h)w+=`${p(a)} `}break;case 0:if(p=u=>(u=u.replace(/\"/g,'""'),u.indexOf(" ")>=0||u.indexOf('"')>=0||u.length===0?`"${u}"`:u),l){const u=(0,I.getDriveLetter)(l);u&&(w+=`${u}: && `),w+=`cd ${p(l)} && `}if(g){w+='cmd /C "';for(let u in g){let a=g[u];a===null?w+=`set "${u}=" && `:(a=a.replace(/[\^\&\|\<\>]/g,t=>`^${t}`),w+=`set "${u}=${a}" && `)}}for(let u of h)w+=`${p(u)} `;g&&(w+='"');break;case 2:p=u=>(u=u.replace(/(["'\\\$])/g,"\\$1"),u.indexOf(" ")>=0||u.indexOf(";")>=0||u.length===0?`"${u}"`:u);const d=u=>/[^\w@%\/+=,.:^-]/.test(u)?`'${u.replace(/'/g,"'\\''")}'`:u;if(l&&(w+=`cd ${p(l)} ; `),g){w+="/usr/bin/env";for(let u in g){const a=g[u];a===null?w+=` -u ${d(u)}`:w+=` ${d(`${u}=${a}`)}`}w+=" "}for(let u of h)w+=`${p(u)} `;break}return w}e.prepareCommand=k}),define(ge[85],pe([0,1,34,11,7,10,59]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cellRangeContains=e.reduceRanges=e.cellRangesToIndexes=e.cellIndexesToRanges=e.CellStatusbarAlignment=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBarKey=e.CellToolbarLocKey=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.getCellUndoRedoComparisonKey=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.NotebookCellRunState=e.notebookDocumentMetadataDefaults=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var P;(function(f){f[f.Markdown=1]="Markdown",f[f.Code=2]="Code"})(P=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml","text/markdown","image/png","image/jpeg","text/plain"],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=["text/markdown","application/json","text/plain","text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var E;(function(f){f[f.Running=1]="Running",f[f.Idle=2]="Idle"})(E=e.NotebookRunState||(e.NotebookRunState={})),e.notebookDocumentMetadataDefaults={editable:!0,cellEditable:!0,cellHasExecutionOrder:!0,custom:{},runState:E.Idle,trusted:!0};var n;(function(f){f[f.Running=1]="Running",f[f.Idle=2]="Idle",f[f.Success=3]="Success",f[f.Error=4]="Error"})(n=e.NotebookCellRunState||(e.NotebookCellRunState={}));var A;(function(f){f[f.ModelChange=1]="ModelChange",f[f.Move=2]="Move",f[f.CellClearOutput=3]="CellClearOutput",f[f.CellsClearOutput=4]="CellsClearOutput",f[f.ChangeLanguage=5]="ChangeLanguage",f[f.Initialize=6]="Initialize",f[f.ChangeCellMetadata=7]="ChangeCellMetadata",f[f.Output=8]="Output",f[f.OutputItem=9]="OutputItem",f[f.ChangeCellContent=10]="ChangeCellContent",f[f.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",f[f.Unknown=12]="Unknown"})(A=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var k;(function(f){f[f.Handle=0]="Handle",f[f.Index=1]="Index"})(k=e.SelectionStateType||(e.SelectionStateType={}));var b;(function(f){f[f.Replace=1]="Replace",f[f.Output=2]="Output",f[f.Metadata=3]="Metadata",f[f.CellLanguage=4]="CellLanguage",f[f.DocumentMetadata=5]="DocumentMetadata",f[f.OutputsSplice=6]="OutputsSplice",f[f.Move=7]="Move",f[f.Unknown=8]="Unknown",f[f.CellContent=9]="CellContent",f[f.OutputItems=10]="OutputItems"})(b=e.CellEditType||(e.CellEditType={}));function h(f){const T=l.parse(f);return T?T.notebook.toString():f.toString()}e.getCellUndoRedoComparisonKey=h;var l;(function(f){f.scheme=y.Schemas.vscodeNotebookCell;const T=/^ch(\d{7,})/;function L(W,$){return W.with({scheme:f.scheme,fragment:`ch${$.toString().padStart(7,"0")}${W.scheme!==y.Schemas.file?W.scheme:""}`})}f.generate=L;function B(W){if(W.scheme===f.scheme){const $=T.exec(W.fragment);if(!!$)return{handle:Number($[1]),notebook:W.with({scheme:W.fragment.substr($[0].length)||y.Schemas.file,fragment:null})}}}f.parse=B;function te(W,$){return W.with({scheme:y.Schemas.vscodeNotebookCellMetadata,fragment:`ch${$.toString().padStart(7,"0")}${W.scheme!==y.Schemas.file?W.scheme:""}`})}f.generateCellMetadataUri=te;function j(W){if(W.scheme===y.Schemas.vscodeNotebookCellMetadata){const $=T.exec(W.fragment);if(!!$)return{handle:Number($[1]),notebook:W.with({scheme:W.fragment.substr($[0].length)||y.Schemas.file,fragment:null})}}}f.parseCellMetadataUri=j})(l=e.CellUri||(e.CellUri={}));const g=new Map([["application/json",{alwaysSecure:!0,supportedByCore:!0}],["text/markdown",{alwaysSecure:!0,supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["text/plain",{alwaysSecure:!0,supportedByCore:!0}],["application/javascript",{supportedByCore:!0}],["text/html",{supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["image/jpeg",{supportedByCore:!0}],["text/x-javascript",{supportedByCore:!0}],["application/x.notebook.error-traceback",{alwaysSecure:!0,supportedByCore:!0}]]);function S(f){var T,L;return(L=(T=g.get(f))===null||T===void 0?void 0:T.alwaysSecure)!==null&&L!==void 0?L:!1}e.mimeTypeIsAlwaysSecure=S;function p(f){var T,L;return(L=(T=g.get(f))===null||T===void 0?void 0:T.supportedByCore)!==null&&L!==void 0?L:!1}e.mimeTypeSupportedByCore=p;function w(f,T){return I.isWindows&&(f=f.replace(/\//g,"\\"),T=T.replace(/\//g,"\\")),_.match(f,T)}function d(f,T,L){let B=0;for(let te=0;te<T.length;te++){if(w(T[te],f))return B;B++}for(let te=0;te<L.length;te++){if(w(L[te],f))return B;B++}return B}function u(f,T,L){return f.sort((B,te)=>d(B,T,L)-d(te,T,L))}e.sortMimeTypes=u;function a(f,T,L,B=(te,j)=>te===j){const te=[];function j(O,U,F){if(!(U===0&&F.length===0)){const N=te[te.length-1];N&&N.start+N.deleteCount===O?(N.deleteCount+=U,N.toInsert.push(...F)):te.push({start:O,deleteCount:U,toInsert:F})}}let W=0,$=0;for(;;){if(W===f.length){j(W,0,T.slice($));break}if($===T.length){j(W,f.length-W,[]);break}const O=f[W],U=T[$];if(B(O,U)){W+=1,$+=1;continue}L(U)?(j(W,1,[]),W+=1):(j(W,0,[U]),$+=1)}return te}e.diff=a,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new D.RawContextKey("notebookEditorCursorAtBoundary","none"),e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=new D.RawContextKey("notebookEditorCursorAtEditorBeginEnd",!1);var t;(function(f){f.default="default",f.option="option"})(t=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function i(f){const T=f;return!!((typeof T.include=="string"||_.isRelativePattern(T.include))&&(typeof T.exclude=="string"||_.isRelativePattern(T.exclude)))}e.isDocumentExcludePattern=i;function s(f,T,L){if(Array.isArray(f.viewType)&&f.viewType.indexOf(T)>=0||f.viewType===T)return!0;if(f.filenamePattern){let B=i(f.filenamePattern)?f.filenamePattern.include:f.filenamePattern,te=i(f.filenamePattern)?f.filenamePattern.exclude:void 0;if(_.match(B,(0,R.basename)(L.fsPath).toLowerCase()))return!(te&&_.match(te,(0,R.basename)(L.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=s;class o{constructor(T){this.textModel=T}getElements(){const T=new Int32Array(this.textModel.cells.length);for(let L=0;L<this.textModel.cells.length;L++)T[L]=this.textModel.cells[L].getHashValue();return T}}e.CellSequence=o,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocKey="notebook.cellToolbarLocation",e.ShowCellStatusBarKey="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview";var r;(function(f){f[f.LEFT=0]="LEFT",f[f.RIGHT=1]="RIGHT"})(r=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));function c(f){f.sort((L,B)=>L-B);const T=f.shift();return T===void 0?[]:f.reduce(function(L,B){return B<=L[0][1]?L[0][1]=B+1:L.unshift([B,B+1]),L},[[T,T+1]]).reverse().map(L=>({start:L[0],end:L[1]}))}e.cellIndexesToRanges=c;function v(f){return f.reduce((L,B)=>{for(let te=B.start;te<B.end;te++)L.push(te);return L},[])}e.cellRangesToIndexes=v;function C(f){const T=f.sort((B,te)=>B.start-te.start),L=T[0];return L?T.reduce((B,te)=>{const j=B[B.length-1];return j.end>=te.start?j.end=Math.max(j.end,te.end):B.push(te),B},[L]):[]}e.reduceRanges=C;function m(f,T){return T.start>=f.start&&T.end<=f.end}e.cellRangeContains=m}),define(ge[205],pe([0,1,171,4,59]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new R.RawContextKey("customExecutionSupported",!0,_.localize(0,null)),e.ShellExecutionSupportedContext=new R.RawContextKey("shellExecutionSupported",!1,_.localize(1,null)),e.ProcessExecutionSupportedContext=new R.RawContextKey("processExecutionSupported",!1,_.localize(2,null)),e.ITaskService=(0,y.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(ge[206],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function _(R){return[...R.entries()]}e.serializeEnvironmentVariableCollection=_;function y(R){return new Map(R)}e.deserializeEnvironmentVariableCollection=y}),define(ge[207],pe([0,1,172,59]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.terminalContributionsDescriptor=e.DEFAULT_COMMANDS_TO_SKIP_SHELL=e.TERMINAL_COMMAND_ID=e.TitleEventSource=e.LinuxDistro=e.ProcessState=e.DEFAULT_LOCAL_ECHO_EXCLUDE=e.SUGGESTIONS_FONT_WEIGHT=e.DEFAULT_BOLD_FONT_WEIGHT=e.DEFAULT_FONT_WEIGHT=e.MAXIMUM_FONT_WEIGHT=e.MINIMUM_FONT_WEIGHT=e.DEFAULT_LINE_HEIGHT=e.MINIMUM_LETTER_SPACING=e.DEFAULT_LETTER_SPACING=e.TERMINAL_ACTION_CATEGORY=e.TERMINAL_CONFIG_SECTION=e.TerminalCursorStyle=e.SUGGESTED_RENDERER_TYPE=e.TERMINAL_CREATION_COMMANDS=e.NEVER_MEASURE_RENDER_TIME_STORAGE_KEY=e.IS_WORKSPACE_SHELL_ALLOWED_STORAGE_KEY=e.KEYBINDING_CONTEXT_TERMINAL_PROCESS_SUPPORTED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_NOT_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_NOT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_A11Y_TREE_FOCUS=e.KEYBINDING_CONTEXT_TERMINAL_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_ALT_BUFFER_ACTIVE=e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE=e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY=e.KEYBINDING_CONTEXT_TERMINAL_FOCUS=e.KEYBINDING_CONTEXT_TERMINAL_IS_OPEN=e.TERMINAL_VIEW_ID=void 0,e.TERMINAL_VIEW_ID="terminal",e.KEYBINDING_CONTEXT_TERMINAL_IS_OPEN=new y.RawContextKey("terminalIsOpen",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FOCUS=new y.RawContextKey("terminalFocus",!1,_.localize(0,null)),e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY="terminalShellType",e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE=new y.RawContextKey(e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY,void 0,{type:"string",description:_.localize(1,null)}),e.KEYBINDING_CONTEXT_TERMINAL_ALT_BUFFER_ACTIVE=new y.RawContextKey("terminalAltBufferActive",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FOCUS.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_A11Y_TREE_FOCUS=new y.RawContextKey("terminalA11yTreeFocus",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED=new y.RawContextKey("terminalTextSelected",!1,_.localize(2,null)),e.KEYBINDING_CONTEXT_TERMINAL_TEXT_NOT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE=new y.RawContextKey("terminalFindVisible",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_NOT_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED=new y.RawContextKey("terminalFindInputFocused",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_FOCUSED=new y.RawContextKey("terminalFindFocused",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_PROCESS_SUPPORTED=new y.RawContextKey("terminalProcessSupported",!1,_.localize(3,null)),e.IS_WORKSPACE_SHELL_ALLOWED_STORAGE_KEY="terminal.integrated.isWorkspaceShellAllowed",e.NEVER_MEASURE_RENDER_TIME_STORAGE_KEY="terminal.integrated.neverMeasureRenderTime",e.TERMINAL_CREATION_COMMANDS=["workbench.action.terminal.toggleTerminal","workbench.action.terminal.new","workbench.action.togglePanel","workbench.action.terminal.focus"],e.SUGGESTED_RENDERER_TYPE="terminal.integrated.suggestedRendererType",e.TerminalCursorStyle={BLOCK:"block",LINE:"line",UNDERLINE:"underline"},e.TERMINAL_CONFIG_SECTION="terminal.integrated",e.TERMINAL_ACTION_CATEGORY=_.localize(4,null),e.DEFAULT_LETTER_SPACING=0,e.MINIMUM_LETTER_SPACING=-5,e.DEFAULT_LINE_HEIGHT=1,e.MINIMUM_FONT_WEIGHT=1,e.MAXIMUM_FONT_WEIGHT=1e3,e.DEFAULT_FONT_WEIGHT="normal",e.DEFAULT_BOLD_FONT_WEIGHT="bold",e.SUGGESTIONS_FONT_WEIGHT=["normal","bold","100","200","300","400","500","600","700","800","900"],e.DEFAULT_LOCAL_ECHO_EXCLUDE=["vim","vi","nano","tmux"];var R;(function(E){E[E.UNINITIALIZED=0]="UNINITIALIZED",E[E.LAUNCHING=1]="LAUNCHING",E[E.RUNNING=2]="RUNNING",E[E.KILLED_DURING_LAUNCH=3]="KILLED_DURING_LAUNCH",E[E.KILLED_BY_USER=4]="KILLED_BY_USER",E[E.KILLED_BY_PROCESS=5]="KILLED_BY_PROCESS"})(R=e.ProcessState||(e.ProcessState={}));var I;(function(E){E[E.Fedora=0]="Fedora",E[E.Ubuntu=1]="Ubuntu",E[E.Unknown=2]="Unknown"})(I=e.LinuxDistro||(e.LinuxDistro={}));var D;(function(E){E[E.Api=0]="Api",E[E.Process=1]="Process",E[E.Sequence=2]="Sequence"})(D=e.TitleEventSource||(e.TitleEventSource={}));var P;(function(E){E.FIND_NEXT="workbench.action.terminal.findNext",E.FIND_PREVIOUS="workbench.action.terminal.findPrevious",E.TOGGLE="workbench.action.terminal.toggleTerminal",E.KILL="workbench.action.terminal.kill",E.QUICK_KILL="workbench.action.terminal.quickKill",E.CONFIGURE_TERMINAL_SETTINGS="workbench.action.terminal.openSettings",E.COPY_SELECTION="workbench.action.terminal.copySelection",E.SELECT_ALL="workbench.action.terminal.selectAll",E.DELETE_WORD_LEFT="workbench.action.terminal.deleteWordLeft",E.DELETE_WORD_RIGHT="workbench.action.terminal.deleteWordRight",E.DELETE_TO_LINE_START="workbench.action.terminal.deleteToLineStart",E.MOVE_TO_LINE_START="workbench.action.terminal.moveToLineStart",E.MOVE_TO_LINE_END="workbench.action.terminal.moveToLineEnd",E.NEW="workbench.action.terminal.new",E.NEW_WITH_CWD="workbench.action.terminal.newWithCwd",E.NEW_LOCAL="workbench.action.terminal.newLocal",E.NEW_IN_ACTIVE_WORKSPACE="workbench.action.terminal.newInActiveWorkspace",E.SPLIT="workbench.action.terminal.split",E.SPLIT_IN_ACTIVE_WORKSPACE="workbench.action.terminal.splitInActiveWorkspace",E.RELAUNCH="workbench.action.terminal.relaunch",E.FOCUS_PREVIOUS_PANE="workbench.action.terminal.focusPreviousPane",E.FOCUS_NEXT_PANE="workbench.action.terminal.focusNextPane",E.RESIZE_PANE_LEFT="workbench.action.terminal.resizePaneLeft",E.RESIZE_PANE_RIGHT="workbench.action.terminal.resizePaneRight",E.RESIZE_PANE_UP="workbench.action.terminal.resizePaneUp",E.RESIZE_PANE_DOWN="workbench.action.terminal.resizePaneDown",E.FOCUS="workbench.action.terminal.focus",E.FOCUS_NEXT="workbench.action.terminal.focusNext",E.FOCUS_PREVIOUS="workbench.action.terminal.focusPrevious",E.PASTE="workbench.action.terminal.paste",E.SELECT_DEFAULT_SHELL="workbench.action.terminal.selectDefaultShell",E.RUN_SELECTED_TEXT="workbench.action.terminal.runSelectedText",E.RUN_ACTIVE_FILE="workbench.action.terminal.runActiveFile",E.SWITCH_TERMINAL="workbench.action.terminal.switchTerminal",E.SCROLL_DOWN_LINE="workbench.action.terminal.scrollDown",E.SCROLL_DOWN_PAGE="workbench.action.terminal.scrollDownPage",E.SCROLL_TO_BOTTOM="workbench.action.terminal.scrollToBottom",E.SCROLL_UP_LINE="workbench.action.terminal.scrollUp",E.SCROLL_UP_PAGE="workbench.action.terminal.scrollUpPage",E.SCROLL_TO_TOP="workbench.action.terminal.scrollToTop",E.CLEAR="workbench.action.terminal.clear",E.CLEAR_SELECTION="workbench.action.terminal.clearSelection",E.MANAGE_WORKSPACE_SHELL_PERMISSIONS="workbench.action.terminal.manageWorkspaceShellPermissions",E.RENAME="workbench.action.terminal.rename",E.RENAME_WITH_ARG="workbench.action.terminal.renameWithArg",E.FIND_FOCUS="workbench.action.terminal.focusFind",E.FIND_HIDE="workbench.action.terminal.hideFind",E.QUICK_OPEN_TERM="workbench.action.quickOpenTerm",E.SCROLL_TO_PREVIOUS_COMMAND="workbench.action.terminal.scrollToPreviousCommand",E.SCROLL_TO_NEXT_COMMAND="workbench.action.terminal.scrollToNextCommand",E.SELECT_TO_PREVIOUS_COMMAND="workbench.action.terminal.selectToPreviousCommand",E.SELECT_TO_NEXT_COMMAND="workbench.action.terminal.selectToNextCommand",E.SELECT_TO_PREVIOUS_LINE="workbench.action.terminal.selectToPreviousLine",E.SELECT_TO_NEXT_LINE="workbench.action.terminal.selectToNextLine",E.TOGGLE_ESCAPE_SEQUENCE_LOGGING="toggleEscapeSequenceLogging",E.SEND_SEQUENCE="workbench.action.terminal.sendSequence",E.TOGGLE_FIND_REGEX="workbench.action.terminal.toggleFindRegex",E.TOGGLE_FIND_WHOLE_WORD="workbench.action.terminal.toggleFindWholeWord",E.TOGGLE_FIND_CASE_SENSITIVE="workbench.action.terminal.toggleFindCaseSensitive",E.NAVIGATION_MODE_EXIT="workbench.action.terminal.navigationModeExit",E.NAVIGATION_MODE_FOCUS_NEXT="workbench.action.terminal.navigationModeFocusNext",E.NAVIGATION_MODE_FOCUS_PREVIOUS="workbench.action.terminal.navigationModeFocusPrevious",E.SHOW_ENVIRONMENT_INFORMATION="workbench.action.terminal.showEnvironmentInformation",E.SEARCH_WORKSPACE="workbench.action.terminal.searchWorkspace",E.ATTACH_TO_REMOTE_TERMINAL="workbench.action.terminal.attachToSession"})(P=e.TERMINAL_COMMAND_ID||(e.TERMINAL_COMMAND_ID={})),e.DEFAULT_COMMANDS_TO_SKIP_SHELL=["workbench.action.terminal.clearSelection","workbench.action.terminal.clear","workbench.action.terminal.copySelection","workbench.action.terminal.deleteToLineStart","workbench.action.terminal.deleteWordLeft","workbench.action.terminal.deleteWordRight","workbench.action.terminal.focusFind","workbench.action.terminal.hideFind","workbench.action.terminal.findNext","workbench.action.terminal.findPrevious","workbench.action.terminal.toggleFindRegex","workbench.action.terminal.toggleFindWholeWord","workbench.action.terminal.toggleFindCaseSensitive","workbench.action.terminal.focusNextPane","workbench.action.terminal.focusNext","workbench.action.terminal.focusPreviousPane","workbench.action.terminal.focusPrevious","workbench.action.terminal.focus","workbench.action.terminal.kill","workbench.action.terminal.moveToLineEnd","workbench.action.terminal.moveToLineStart","workbench.action.terminal.newInActiveWorkspace","workbench.action.terminal.new","workbench.action.terminal.paste","workbench.action.terminal.resizePaneDown","workbench.action.terminal.resizePaneLeft","workbench.action.terminal.resizePaneRight","workbench.action.terminal.resizePaneUp","workbench.action.terminal.runActiveFile","workbench.action.terminal.runSelectedText","workbench.action.terminal.scrollDown","workbench.action.terminal.scrollDownPage","workbench.action.terminal.scrollToBottom","workbench.action.terminal.scrollToNextCommand","workbench.action.terminal.scrollToPreviousCommand","workbench.action.terminal.scrollToTop","workbench.action.terminal.scrollUp","workbench.action.terminal.scrollUpPage","workbench.action.terminal.sendSequence","workbench.action.terminal.selectAll","workbench.action.terminal.selectToNextCommand","workbench.action.terminal.selectToNextLine","workbench.action.terminal.selectToPreviousCommand","workbench.action.terminal.selectToPreviousLine","workbench.action.terminal.splitInActiveWorkspace","workbench.action.terminal.split","workbench.action.terminal.toggleTerminal","workbench.action.terminal.navigationModeExit","workbench.action.terminal.navigationModeFocusNext","workbench.action.terminal.navigationModeFocusPrevious","editor.action.toggleTabFocusMode","workbench.action.quickOpen","workbench.action.quickOpenPreviousEditor","workbench.action.showCommands","workbench.action.tasks.build","workbench.action.tasks.restartTask","workbench.action.tasks.runTask","workbench.action.tasks.reRunTask","workbench.action.tasks.showLog","workbench.action.tasks.showTasks","workbench.action.tasks.terminate","workbench.action.tasks.test","workbench.action.toggleFullScreen","workbench.action.terminal.focusAtIndex1","workbench.action.terminal.focusAtIndex2","workbench.action.terminal.focusAtIndex3","workbench.action.terminal.focusAtIndex4","workbench.action.terminal.focusAtIndex5","workbench.action.terminal.focusAtIndex6","workbench.action.terminal.focusAtIndex7","workbench.action.terminal.focusAtIndex8","workbench.action.terminal.focusAtIndex9","workbench.action.focusSecondEditorGroup","workbench.action.focusThirdEditorGroup","workbench.action.focusFourthEditorGroup","workbench.action.focusFifthEditorGroup","workbench.action.focusSixthEditorGroup","workbench.action.focusSeventhEditorGroup","workbench.action.focusEighthEditorGroup","workbench.action.focusNextPart","workbench.action.focusPreviousPart","workbench.action.nextPanelView","workbench.action.previousPanelView","workbench.action.nextSideBarView","workbench.action.previousSideBarView","workbench.action.debug.start","workbench.action.debug.stop","workbench.action.debug.run","workbench.action.debug.restart","workbench.action.debug.continue","workbench.action.debug.pause","workbench.action.debug.stepInto","workbench.action.debug.stepOut","workbench.action.debug.stepOver","workbench.action.nextEditor","workbench.action.previousEditor","workbench.action.nextEditorInGroup","workbench.action.previousEditorInGroup","workbench.action.openNextRecentlyUsedEditor","workbench.action.openPreviousRecentlyUsedEditor","workbench.action.openNextRecentlyUsedEditorInGroup","workbench.action.openPreviousRecentlyUsedEditorInGroup","workbench.action.quickOpenPreviousRecentlyUsedEditor","workbench.action.quickOpenLeastRecentlyUsedEditor","workbench.action.quickOpenPreviousRecentlyUsedEditorInGroup","workbench.action.quickOpenLeastRecentlyUsedEditorInGroup","workbench.action.focusActiveEditorGroup","workbench.action.focusFirstEditorGroup","workbench.action.focusLastEditorGroup","workbench.action.firstEditorInGroup","workbench.action.lastEditorInGroup","workbench.action.navigateUp","workbench.action.navigateDown","workbench.action.navigateRight","workbench.action.navigateLeft","workbench.action.togglePanel","workbench.action.quickOpenView","workbench.action.toggleMaximizedPanel"],e.terminalContributionsDescriptor={extensionPoint:"terminal",defaultExtensionKind:"workspace",jsonSchema:{description:_.localize(5,null),type:"object",properties:{types:{type:"array",description:_.localize(6,null),items:{type:"object",required:["command","title"],properties:{command:{description:_.localize(7,null),type:"string"},title:{description:_.localize(8,null),type:"string"}}}}}}}}),define(ge[208],pe([0,1,7,10,133]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createTerminalEnvironment=e.getDefaultShellArgs=e.getDefaultShell=e.createVariableResolver=e.escapeNonWindowsPath=e.getCwd=e.getLangEnvVariable=e.shouldSetLangEnvVariable=e.addTerminalEnvironmentKeys=e.mergeEnvironments=void 0;function I(a,t){if(!!t)if(y.isWindows)for(const i in t){let s=i;for(const r in a)if(i.toLowerCase()===r.toLowerCase()){s=r;break}const o=t[i];D(a,s,o)}else Object.keys(t).forEach(i=>{const s=t[i];D(a,i,s)})}e.mergeEnvironments=I;function D(a,t,i){typeof i=="string"?a[t]=i:delete a[t]}function P(a,t,i,s){a.TERM_PROGRAM="vscode",t&&(a.TERM_PROGRAM_VERSION=t),A(a,s)&&(a.LANG=k(i)),a.COLORTERM="truecolor"}e.addTerminalEnvironmentKeys=P;function E(a,t){if(!!t)for(const i of Object.keys(t)){const s=t[i];s&&(a[i]=s)}}function n(a,t){return Object.keys(t).forEach(i=>{const s=t[i];if(typeof s=="string")try{t[i]=a(s)}catch(o){t[i]=s}}),t}function A(a,t){if(t==="on")return!0;if(t==="auto"){const i=a.LANG;return!i||i.search(/\.UTF\-8$/)===-1&&i.search(/\.utf8$/)===-1&&i.search(/\.euc.+/)===-1}return!1}e.shouldSetLangEnvVariable=A;function k(a){const t=a?a.split("-"):[],i=t.length;if(i===0)return"en_US.UTF-8";if(i===1){const s={af:"ZA",am:"ET",be:"BY",bg:"BG",ca:"ES",cs:"CZ",da:"DK",de:"DE",el:"GR",en:"US",es:"ES",et:"EE",eu:"ES",fi:"FI",fr:"FR",he:"IL",hr:"HR",hu:"HU",hy:"AM",is:"IS",it:"IT",ja:"JP",kk:"KZ",ko:"KR",lt:"LT",nl:"NL",no:"NO",pl:"PL",pt:"BR",ro:"RO",ru:"RU",sk:"SK",sl:"SI",sr:"YU",sv:"SE",tr:"TR",uk:"UA",zh:"CN"};t[0]in s&&t.push(s[t[0]])}else t[1]=t[1].toUpperCase();return t.join("_")+".UTF-8"}e.getLangEnvVariable=k;function b(a,t,i,s,o,r){if(a.cwd){const v=typeof a.cwd=="object"?a.cwd.fsPath:a.cwd,C=h(v,i);return l(C||v)}let c;return!a.ignoreConfigurationCwd&&o&&(i&&(o=h(o,i,r)),o&&(_.isAbsolute(o)?c=o:s&&(c=_.join(s.fsPath,o)))),c||(c=s?s.fsPath:t||""),l(c)}e.getCwd=b;function h(a,t,i){if(t)try{return t(a)}catch(s){i==null||i.error("Could not resolve terminal cwd",s);return}return a}function l(a){return y.platform===3&&a&&a[1]===":"?a[0].toUpperCase()+a.substr(1):a}function g(a){let t=a;t.indexOf("\\")!==0&&(t=t.replace(/\\/g,"\\\\"));const i=/[\`\$\|\&\>\~\#\!\^\*\;\<\"\']/g;return t=t.replace(i,""),`'${t}'`}e.escapeNonWindowsPath=g;function S(a,t){if(!!t)return i=>t.resolve(a,i)}e.createVariableResolver=S;function p(a,t,i,s,o,r,c,v,C=y.platform){let m=null;v&&(m=d(a,t,"automationShell",C)),m||(m=d(a,t,"shell",C));let f=m||i;if(C===3&&!s&&o){const T=_.join(o,"Sysnative").replace(/\//g,"\\").toLowerCase();f&&f.toLowerCase().indexOf(T)===0&&(f=_.join(o,"System32",f.substr(T.length+1)))}if(f&&C===3&&(f=f.replace(/\//g,"\\")),r)try{f=r(f)}catch(T){c.error("Could not resolve shell",T)}return f}e.getDefaultShell=p;function w(a,t,i,s,o,r=y.platform){if(i&&d(a,t,"automationShell",r))return[];const c=r===3?"windows":r===1?"osx":"linux",v=a(`terminal.integrated.shellArgs.${c}`);let C=(t?v.value:v.userValue)||v.defaultValue;if(!C)return[];if(typeof C=="string"&&r===3)return s?s(C):C;if(s){const m=[];for(const f of C)try{m.push(s(f))}catch(T){o.error(`Could not resolve terminal.integrated.shellArgs.${c}`,T),m.push(f)}C=m}return C}e.getDefaultShellArgs=w;function d(a,t,i,s=y.platform){const r=a(`terminal.integrated.${i}.${s===3?"windows":s===1?"osx":"linux"}`);return(t?r.value:r.userValue)||r.defaultValue}function u(a,t,i,s,o,r,c){let v={};if(a.strictEnv)E(v,a.env);else{E(v,c);const C=Object.assign({},s?t.value:t.userValue);i&&(C&&n(i,C),a.env&&n(i,a.env)),(0,R.sanitizeProcessEnvironment)(v,"VSCODE_IPC_HOOK_CLI"),I(v,C),I(v,a.env),P(v,o,y.locale,r)}return v}e.createTerminalEnvironment=u});var en=this&&this.__asyncValues||function(J){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=J[Symbol.asyncIterator],_;return e?e.call(J):(J=typeof __values=="function"?__values(J):J[Symbol.iterator](),_={},y("next"),y("throw"),y("return"),_[Symbol.asyncIterator]=function(){return this},_);function y(I){_[I]=J[I]&&function(D){return new Promise(function(P,E){D=J[I](D),R(P,E,D.done,D.value)})}}function R(I,D,P,E){Promise.resolve(E).then(function(n){I({value:n,done:P})},D)}};define(ge[209],pe([0,1,37,10,25,12,7,100,188,207]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableShells=e.linuxDistro=void 0;let A=n.LinuxDistro.Unknown;if(y.isLinux){const g="/etc/os-release";R.SymlinkSupport.existsFile(g).then(async S=>{if(!!S){const w=(await _.promises.readFile(g)).toString();/NAME="?Fedora"?/.test(w)?A=n.LinuxDistro.Fedora:/NAME="?Ubuntu"?/.test(w)&&(A=n.LinuxDistro.Ubuntu)}})}e.linuxDistro=A;function k(){return y.isWindows?b():h()}e.detectAvailableShells=k;async function b(){var g,S;const p=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),w=`${process.env.windir}\\${p?"Sysnative":"System32"}`;let d=!1;(0,E.getWindowsBuildNumber)()>=16299&&(d=!0);const u={"Command Prompt":[`${w}\\cmd.exe`],"WSL Bash":[`${w}\\${d?"wsl.exe":"bash.exe"}`],"Git Bash":[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`]};try{for(var a=en((0,P.enumeratePowerShellInstallations)()),t;t=await a.next(),!t.done;){const o=t.value;u[o.displayName]=[o.exePath]}}catch(o){g={error:o}}finally{try{t&&!t.done&&(S=a.return)&&await S.call(a)}finally{if(g)throw g.error}}const i=[];Object.keys(u).forEach(o=>i.push(l(o,u[o])));const s=await Promise.all(i);return(0,I.coalesce)(s)}async function h(){return(await _.promises.readFile("/etc/shells","utf8")).split(`
`).filter(p=>p.trim().indexOf("#")!==0&&p.trim().length>0).map(p=>({label:(0,D.basename)(p),path:p}))}async function l(g,S){if(S.length===0)return Promise.resolve(void 0);const p=S.shift();if(p==="")return l(g,S);try{const w=await _.promises.stat((0,D.normalize)(p));if(w.isFile()||w.isSymbolicLink())return{label:g,path:p}}catch(w){try{const d=await _.promises.lstat((0,D.normalize)(p));if(d.isFile()||d.isSymbolicLink())return{label:g,path:p}}catch(d){}}return l(g,S)}}),define(ge[210],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.getTestSubscriptionKey=e.TestDiffOpType=void 0;var _;(function(D){D[D.Add=0]="Add",D[D.Update=1]="Update",D[D.Remove=2]="Remove",D[D.DeltaDiscoverComplete=3]="DeltaDiscoverComplete",D[D.DeltaRootsComplete=4]="DeltaRootsComplete"})(_=e.TestDiffOpType||(e.TestDiffOpType={}));const y=(D,P)=>`${D}:${P.toString()}`;e.getTestSubscriptionKey=y;class R{add(P){}update(P){}remove(P,E){}complete(){}}e.IncrementalChangeCollector=R;class I{constructor(){this.items=new Map,this.roots=new Set}apply(P){const E=this.createChangeCollector();for(const n of P)switch(n[0]){case 0:{const A=n[1];if(A.parent){if(this.items.has(A.parent)){const k=this.items.get(A.parent);k.children.add(A.item.extId);const b=this.createItem(A,k);this.items.set(A.item.extId,b),E.add(b)}}else{this.roots.add(A.item.extId);const k=this.createItem(A);this.items.set(A.item.extId,k),E.add(k)}break}case 1:{const A=n[1],k=this.items.get(A.item.extId);k&&(Object.assign(k.item,A.item),E.update(k));break}case 2:{const A=this.items.get(n[1]);if(!A)break;A.parent?this.items.get(A.parent).children.delete(A.item.extId):this.roots.delete(A.item.extId);const k=[[n[1]]];for(;k.length;)for(const b of k.pop()){const h=this.items.get(b);h&&(k.push(h.children),this.items.delete(b),E.remove(h,h!==A))}break}case 3:this.updateBusyProviders(n[1]);break;case 4:this.updatePendingRoots(n[1]);break}E.complete()}updateBusyProviders(P){}updatePendingRoots(P){}createChangeCollector(){return new R}}e.AbstractIncrementalTestCollection=I}),define(ge[211],pe([0,1,7,30,15,22,10,76,173]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class n{constructor(k,b,h){if(this._contributedVariables=new Map,this._context=k,this._labelService=b,h)if(D.isWindows){const l=Object.create(null);this._envVariables=l,Object.keys(h).forEach(g=>{l[g.toLowerCase()]=h[g]})}else this._envVariables=h}resolve(k,b){return this.recursiveResolve(k?k.uri:void 0,b)}resolveAnyBase(k,b,h,l){const g=I.deepClone(b);return D.isWindows&&g.windows?Object.keys(g.windows).forEach(S=>g[S]=g.windows[S]):D.isMacintosh&&g.osx?Object.keys(g.osx).forEach(S=>g[S]=g.osx[S]):D.isLinux&&g.linux&&Object.keys(g.linux).forEach(S=>g[S]=g.linux[S]),delete g.windows,delete g.osx,delete g.linux,this.recursiveResolve(k?k.uri:void 0,g,h,l)}resolveAny(k,b,h){return this.resolveAnyBase(k,b,h)}resolveAnyMap(k,b,h){const l=new Map;return{newConfig:this.resolveAnyBase(k,b,h,l),resolvedVariables:l}}resolveWithInteractionReplace(k,b,h,l){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(k,b,h,l){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(k,b){if(this._contributedVariables.has(k))throw new Error("Variable "+k+" is contributed twice.");this._contributedVariables.set(k,b)}recursiveResolve(k,b,h,l){if(R.isString(b))return this.resolveString(k,b,h,l);if(R.isArray(b))return b.map(g=>this.recursiveResolve(k,g,h,l));if(R.isObject(b)){let g=Object.create(null);return Object.keys(b).forEach(S=>{const p=this.resolveString(k,S,h,l);g[p]=this.recursiveResolve(k,b[S],h,l)}),g}return b}resolveString(k,b,h,l){return b.replace(n.VARIABLE_REGEXP,(S,p)=>{if(p.includes(n.VARIABLE_LHS))return S;let w=this.evaluateSingleVariable(S,p,k,h);return l&&l.set(p,w),w})}fsPath(k){return this._labelService?this._labelService.getUriLabel(k,{noPrefix:!0}):k.fsPath}evaluateSingleVariable(k,b,h,l){let g;const S=b.split(":");S.length>1&&(b=S[0],g=S[1]);const p=()=>{const u=this._context.getFilePath();if(u)return u;throw new Error((0,E.localize)(0,null,k))},w=()=>{const u=p();if(this._context.getWorkspaceFolderPathForFile){const a=this._context.getWorkspaceFolderPathForFile();if(a)return a}throw new Error((0,E.localize)(1,null,k,_.basename(u)))},d=()=>{if(g){const u=this._context.getFolderUri(g);if(u)return u;throw new Error((0,E.localize)(2,null,k,g))}if(h)return h;throw this._context.getWorkspaceFolderCount()>1?new Error((0,E.localize)(3,null,k)):new Error((0,E.localize)(4,null,k))};switch(b){case"env":if(g){if(this._envVariables){const u=this._envVariables[D.isWindows?g.toLowerCase():g];if(R.isString(u))return u}return""}throw new Error((0,E.localize)(5,null,k));case"config":if(g){const u=this._context.getConfigurationValue(h,g);if(R.isUndefinedOrNull(u))throw new Error((0,E.localize)(6,null,k,g));if(R.isObject(u))throw new Error((0,E.localize)(7,null,k,g));return u}throw new Error((0,E.localize)(8,null,k));case"command":return this.resolveFromMap(k,g,l,"command");case"input":return this.resolveFromMap(k,g,l,"input");default:switch(b){case"workspaceRoot":case"workspaceFolder":return(0,P.normalizeDriveLetter)(this.fsPath(d()));case"cwd":return h||g?(0,P.normalizeDriveLetter)(this.fsPath(d())):y.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return _.basename(this.fsPath(d()));case"lineNumber":const u=this._context.getLineNumber();if(u)return u;throw new Error((0,E.localize)(9,null,k));case"selectedText":const a=this._context.getSelectedText();if(a)return a;throw new Error((0,E.localize)(10,null,k));case"file":return p();case"fileWorkspaceFolder":return w();case"relativeFile":return h||g?_.relative(this.fsPath(d()),p()):p();case"relativeFileDirname":const t=_.dirname(p());if(h||g){const r=_.relative(this.fsPath(d()),t);return r.length===0?".":r}return t;case"fileDirname":return _.dirname(p());case"fileExtname":return _.extname(p());case"fileBasename":return _.basename(p());case"fileBasenameNoExtension":const i=_.basename(p());return i.slice(0,i.length-_.extname(i).length);case"fileDirnameBasename":return _.basename(_.dirname(p()));case"execPath":const s=this._context.getExecPath();return s||k;case"execInstallFolder":const o=this._context.getAppRoot();return o||k;case"pathSeparator":return _.sep;default:try{const r=g?`${b}:${g}`:b;return this.resolveFromMap(k,r,l,void 0)}catch(r){return k}}}}resolveFromMap(k,b,h,l){if(b&&h){const g=l===void 0?h[b]:h[l+":"+b];if(typeof g=="string")return g;throw new Error((0,E.localize)(11,null,k))}return k}}e.AbstractVariableResolverService=n,n.VARIABLE_LHS="${",n.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(ge[212],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,_.createDecorator)("editorGroupsService");var y;(function(b){b[b.UP=0]="UP",b[b.DOWN=1]="DOWN",b[b.LEFT=2]="LEFT",b[b.RIGHT=3]="RIGHT"})(y=e.GroupDirection||(e.GroupDirection={}));var R;(function(b){b[b.HORIZONTAL=0]="HORIZONTAL",b[b.VERTICAL=1]="VERTICAL"})(R=e.GroupOrientation||(e.GroupOrientation={}));var I;(function(b){b[b.FIRST=0]="FIRST",b[b.LAST=1]="LAST",b[b.NEXT=2]="NEXT",b[b.PREVIOUS=3]="PREVIOUS"})(I=e.GroupLocation||(e.GroupLocation={}));var D;(function(b){b[b.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",b[b.EVEN=1]="EVEN",b[b.TOGGLE=2]="TOGGLE"})(D=e.GroupsArrangement||(e.GroupsArrangement={}));var P;(function(b){b[b.COPY_EDITORS=0]="COPY_EDITORS",b[b.MOVE_EDITORS=1]="MOVE_EDITORS"})(P=e.MergeGroupMode||(e.MergeGroupMode={}));var E;(function(b){b[b.CREATION_TIME=0]="CREATION_TIME",b[b.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",b[b.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(E=e.GroupsOrder||(e.GroupsOrder={}));var n;(function(b){b[b.GROUP_ACTIVE=0]="GROUP_ACTIVE",b[b.GROUP_INDEX=1]="GROUP_INDEX",b[b.EDITOR_OPEN=2]="EDITOR_OPEN",b[b.EDITOR_CLOSE=3]="EDITOR_CLOSE",b[b.EDITOR_MOVE=4]="EDITOR_MOVE",b[b.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",b[b.EDITOR_LABEL=6]="EDITOR_LABEL",b[b.EDITOR_PIN=7]="EDITOR_PIN",b[b.EDITOR_STICKY=8]="EDITOR_STICKY",b[b.EDITOR_DIRTY=9]="EDITOR_DIRTY"})(n=e.GroupChangeKind||(e.GroupChangeKind={}));var A;(function(b){b[b.NEW_EDITOR=1]="NEW_EDITOR",b[b.MOVE_EDITOR=2]="MOVE_EDITOR",b[b.COPY_EDITOR=3]="COPY_EDITOR"})(A=e.OpenEditorContext||(e.OpenEditorContext={}));function k(b){return b.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=k}),define(ge[213],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,_.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(ge[20],pe([0,1,80,8,174,2,43,94,110,213,15,283,57,22,12,85]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeActionTriggerKind=e.TestResults=e.TestItem=e.TestMessage=e.TestState=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookCellKind=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlineHintKind=e.InlineHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var S;(function(be){function he(Z){const{selectionStartLineNumber:Te,selectionStartColumn:Re,positionLineNumber:et,positionColumn:Ke}=Z,rt=new y.Position(Te-1,Re-1),lt=new y.Position(et-1,Ke-1);return new y.Selection(rt,lt)}be.to=he;function ce(Z){const{anchor:Te,active:Re}=Z;return{selectionStartLineNumber:Te.line+1,selectionStartColumn:Te.character+1,positionLineNumber:Re.line+1,positionColumn:Re.character+1}}be.from=ce})(S=e.Selection||(e.Selection={}));var p;(function(be){function he(Z){if(!!Z){const{start:Te,end:Re}=Z;return{startLineNumber:Te.line+1,startColumn:Te.character+1,endLineNumber:Re.line+1,endColumn:Re.character+1}}}be.from=he;function ce(Z){if(!!Z){const{startLineNumber:Te,startColumn:Re,endLineNumber:et,endColumn:Ke}=Z;return new y.Range(Te-1,Re-1,et-1,Ke-1)}}be.to=ce})(p=e.Range||(e.Range={}));var w;(function(be){function he(ce){switch(ce){case 1:return y.StandardTokenType.Comment;case 0:return y.StandardTokenType.Other;case 4:return y.StandardTokenType.RegEx;case 2:return y.StandardTokenType.String}}be.to=he})(w=e.TokenType||(e.TokenType={}));var d;(function(be){function he(Z){return new y.Position(Z.lineNumber-1,Z.column-1)}be.to=he;function ce(Z){return{lineNumber:Z.line+1,column:Z.character+1}}be.from=ce})(d=e.Position||(e.Position={}));var u;(function(be){function he(Z){switch(Z){case y.DiagnosticTag.Unnecessary:return 1;case y.DiagnosticTag.Deprecated:return 2}}be.from=he;function ce(Z){switch(Z){case 1:return y.DiagnosticTag.Unnecessary;case 2:return y.DiagnosticTag.Deprecated;default:return}}be.to=ce})(u=e.DiagnosticTag||(e.DiagnosticTag={}));var a;(function(be){function he(Z){let Te;return Z.code&&((0,A.isString)(Z.code)||(0,A.isNumber)(Z.code)?Te=String(Z.code):Te={value:String(Z.code.value),target:Z.code.target}),Object.assign(Object.assign({},p.from(Z.range)),{message:Z.message,source:Z.source,code:Te,severity:i.from(Z.severity),relatedInformation:Z.relatedInformation&&Z.relatedInformation.map(t.from),tags:Array.isArray(Z.tags)?(0,l.coalesce)(Z.tags.map(u.from)):void 0})}be.from=he;function ce(Z){var Te;const Re=new y.Diagnostic(p.to(Z),Z.message,i.to(Z.severity));return Re.source=Z.source,Re.code=(0,A.isString)(Z.code)?Z.code:(Te=Z.code)===null||Te===void 0?void 0:Te.value,Re.relatedInformation=Z.relatedInformation&&Z.relatedInformation.map(t.to),Re.tags=Z.tags&&(0,l.coalesce)(Z.tags.map(u.to)),Re}be.to=ce})(a=e.Diagnostic||(e.Diagnostic={}));var t;(function(be){function he(Z){return Object.assign(Object.assign({},p.from(Z.location.range)),{message:Z.message,resource:Z.location.uri})}be.from=he;function ce(Z){return new y.DiagnosticRelatedInformation(new y.Location(Z.resource,p.to(Z)),Z.message)}be.to=ce})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var i;(function(be){function he(Z){switch(Z){case y.DiagnosticSeverity.Error:return E.MarkerSeverity.Error;case y.DiagnosticSeverity.Warning:return E.MarkerSeverity.Warning;case y.DiagnosticSeverity.Information:return E.MarkerSeverity.Info;case y.DiagnosticSeverity.Hint:return E.MarkerSeverity.Hint}return E.MarkerSeverity.Error}be.from=he;function ce(Z){switch(Z){case E.MarkerSeverity.Info:return y.DiagnosticSeverity.Information;case E.MarkerSeverity.Warning:return y.DiagnosticSeverity.Warning;case E.MarkerSeverity.Error:return y.DiagnosticSeverity.Error;case E.MarkerSeverity.Hint:return y.DiagnosticSeverity.Hint;default:return y.DiagnosticSeverity.Error}}be.to=ce})(i=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var s;(function(be){function he(Z){return typeof Z=="number"&&Z>=y.ViewColumn.One?Z-1:Z===y.ViewColumn.Beside?n.SIDE_GROUP:n.ACTIVE_GROUP}be.from=he;function ce(Z){if(typeof Z=="number"&&Z>=0)return Z+1;throw new Error("invalid 'EditorGroupColumn'")}be.to=ce})(s=e.ViewColumn||(e.ViewColumn={}));function o(be){return typeof be.range!="undefined"}function r(be){return be.length===0?!0:!!o(be[0])}e.isDecorationOptionsArr=r;var c;(function(be){function he(Ke){return Ke.map(be.from)}be.fromMany=he;function ce(Ke){return Ke&&typeof Ke=="object"&&typeof Ke.language=="string"&&typeof Ke.value=="string"}function Z(Ke){let rt;if(ce(Ke)){const{language:dt,value:at}=Ke;rt={value:"```"+dt+`
`+at+"\n```\n"}}else y.MarkdownString.isMarkdownString(Ke)?rt={value:Ke.value,isTrusted:Ke.isTrusted,supportThemeIcons:Ke.supportThemeIcons}:typeof Ke=="string"?rt={value:Ke}:rt={value:""};const lt=Object.create(null);rt.uris=lt;const Qe=dt=>{try{let at=I.URI.parse(dt,!0);at=at.with({query:Te(at.query,lt)}),lt[dt]=at}catch(at){}return""},it=new k.Renderer;return it.link=Qe,it.image=dt=>Qe(P.parseHrefAndDimensions(dt).href),k(rt.value,{renderer:it}),rt}be.from=Z;function Te(Ke,rt){if(!Ke)return Ke;let lt;try{lt=(0,b.parse)(Ke)}catch(it){}if(!lt)return Ke;let Qe=!1;return lt=(0,h.cloneAndChange)(lt,it=>{if(I.URI.isUri(it)){const dt=`__uri_${Math.random().toString(16).slice(2,8)}`;return rt[dt]=it,Qe=!0,dt}else return}),Qe?JSON.stringify(lt):Ke}function Re(Ke){const rt=new y.MarkdownString(Ke.value,Ke.supportThemeIcons);return rt.isTrusted=Ke.isTrusted,rt}be.to=Re;function et(Ke){if(!!Ke)return typeof Ke=="string"?Ke:be.from(Ke)}be.fromStrict=et})(c=e.MarkdownString||(e.MarkdownString={}));function v(be){return r(be)?be.map(he=>({range:p.from(he.range),hoverMessage:Array.isArray(he.hoverMessage)?c.fromMany(he.hoverMessage):he.hoverMessage?c.from(he.hoverMessage):void 0,renderOptions:he.renderOptions})):be.map(he=>({range:p.from(he)}))}e.fromRangeOrRangeWithMessage=v;function C(be){return typeof be=="undefined"?be:typeof be=="string"?I.URI.file(be):be}e.pathOrURIToURI=C;var m;(function(be){function he(ce){return typeof ce=="undefined"?ce:{contentText:ce.contentText,contentIconPath:ce.contentIconPath?C(ce.contentIconPath):void 0,border:ce.border,borderColor:ce.borderColor,fontStyle:ce.fontStyle,fontWeight:ce.fontWeight,textDecoration:ce.textDecoration,color:ce.color,backgroundColor:ce.backgroundColor,margin:ce.margin,width:ce.width,height:ce.height}}be.from=he})(m=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var f;(function(be){function he(ce){return typeof ce=="undefined"?ce:{backgroundColor:ce.backgroundColor,outline:ce.outline,outlineColor:ce.outlineColor,outlineStyle:ce.outlineStyle,outlineWidth:ce.outlineWidth,border:ce.border,borderColor:ce.borderColor,borderRadius:ce.borderRadius,borderSpacing:ce.borderSpacing,borderStyle:ce.borderStyle,borderWidth:ce.borderWidth,fontStyle:ce.fontStyle,fontWeight:ce.fontWeight,textDecoration:ce.textDecoration,cursor:ce.cursor,color:ce.color,opacity:ce.opacity,letterSpacing:ce.letterSpacing,gutterIconPath:ce.gutterIconPath?C(ce.gutterIconPath):void 0,gutterIconSize:ce.gutterIconSize,overviewRulerColor:ce.overviewRulerColor,before:ce.before?m.from(ce.before):void 0,after:ce.after?m.from(ce.after):void 0}}be.from=he})(f=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var T;(function(be){function he(ce){if(typeof ce=="undefined")return ce;switch(ce){case y.DecorationRangeBehavior.OpenOpen:return 0;case y.DecorationRangeBehavior.ClosedClosed:return 1;case y.DecorationRangeBehavior.OpenClosed:return 2;case y.DecorationRangeBehavior.ClosedOpen:return 3}}be.from=he})(T=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var L;(function(be){function he(ce){return{isWholeLine:ce.isWholeLine,rangeBehavior:ce.rangeBehavior?T.from(ce.rangeBehavior):void 0,overviewRulerLane:ce.overviewRulerLane,light:ce.light?f.from(ce.light):void 0,dark:ce.dark?f.from(ce.dark):void 0,backgroundColor:ce.backgroundColor,outline:ce.outline,outlineColor:ce.outlineColor,outlineStyle:ce.outlineStyle,outlineWidth:ce.outlineWidth,border:ce.border,borderColor:ce.borderColor,borderRadius:ce.borderRadius,borderSpacing:ce.borderSpacing,borderStyle:ce.borderStyle,borderWidth:ce.borderWidth,fontStyle:ce.fontStyle,fontWeight:ce.fontWeight,textDecoration:ce.textDecoration,cursor:ce.cursor,color:ce.color,opacity:ce.opacity,letterSpacing:ce.letterSpacing,gutterIconPath:ce.gutterIconPath?C(ce.gutterIconPath):void 0,gutterIconSize:ce.gutterIconSize,overviewRulerColor:ce.overviewRulerColor,before:ce.before?m.from(ce.before):void 0,after:ce.after?m.from(ce.after):void 0}}be.from=he})(L=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var B;(function(be){function he(Z){return{text:Z.newText,eol:Z.newEol&&ie.from(Z.newEol),range:p.from(Z.range)}}be.from=he;function ce(Z){const Te=new y.TextEdit(p.to(Z.range),Z.text);return Te.newEol=typeof Z.eol=="undefined"?void 0:ie.to(Z.eol),Te}be.to=ce})(B=e.TextEdit||(e.TextEdit={}));var te;(function(be){function he(Z,Te,Re){var et,Ke,rt;const lt={edits:[]};if(Z instanceof y.WorkspaceEdit)for(let Qe of Z._allEntries())if(Qe._type===1)lt.edits.push({_type:1,oldUri:Qe.from,newUri:Qe.to,options:Qe.options,metadata:Qe.metadata});else if(Qe._type===2){const it=Te==null?void 0:Te.getDocument(Qe.uri);lt.edits.push({_type:2,resource:Qe.uri,edit:B.from(Qe.edit),modelVersionId:it==null?void 0:it.version,metadata:Qe.metadata})}else Qe._type===3?lt.edits.push({_type:3,metadata:Qe.metadata,resource:Qe.uri,edit:Qe.edit,notebookMetadata:Qe.notebookMetadata,notebookVersionId:(et=Re==null?void 0:Re.lookupNotebookDocument(Qe.uri))===null||et===void 0?void 0:et.notebookDocument.version}):Qe._type===4?(Qe.newOutputs&&lt.edits.push({_type:3,metadata:Qe.metadata,resource:Qe.uri,edit:{editType:2,index:Qe.index,append:Qe.append,outputs:Qe.newOutputs.map(Ee.from)}}),Qe.newMetadata&&lt.edits.push({_type:3,metadata:Qe.metadata,resource:Qe.uri,edit:{editType:3,index:Qe.index,metadata:Qe.newMetadata}})):Qe._type===5?lt.edits.push({_type:3,metadata:Qe.metadata,resource:Qe.uri,notebookVersionId:(Ke=Re==null?void 0:Re.lookupNotebookDocument(Qe.uri))===null||Ke===void 0?void 0:Ke.notebookDocument.version,edit:{editType:1,index:Qe.index,count:Qe.count,cells:Qe.cells.map(le.from)}}):Qe._type===6&&lt.edits.push({_type:3,metadata:Qe.metadata,resource:Qe.uri,edit:{editType:10,index:Qe.index,outputId:Qe.outputId,items:((rt=Qe.newOutputItems)===null||rt===void 0?void 0:rt.map(me.from))||[],append:Qe.append}});return lt}be.from=he;function ce(Z){const Te=new y.WorkspaceEdit;for(const Re of Z.edits)Re.edit?Te.replace(I.URI.revive(Re.resource),p.to(Re.edit.range),Re.edit.text):Te.renameFile(I.URI.revive(Re.oldUri),I.URI.revive(Re.newUri),Re.options);return Te}be.to=ce})(te=e.WorkspaceEdit||(e.WorkspaceEdit={}));var j;(function(be){const he=Object.create(null);he[y.SymbolKind.File]=0,he[y.SymbolKind.Module]=1,he[y.SymbolKind.Namespace]=2,he[y.SymbolKind.Package]=3,he[y.SymbolKind.Class]=4,he[y.SymbolKind.Method]=5,he[y.SymbolKind.Property]=6,he[y.SymbolKind.Field]=7,he[y.SymbolKind.Constructor]=8,he[y.SymbolKind.Enum]=9,he[y.SymbolKind.Interface]=10,he[y.SymbolKind.Function]=11,he[y.SymbolKind.Variable]=12,he[y.SymbolKind.Constant]=13,he[y.SymbolKind.String]=14,he[y.SymbolKind.Number]=15,he[y.SymbolKind.Boolean]=16,he[y.SymbolKind.Array]=17,he[y.SymbolKind.Object]=18,he[y.SymbolKind.Key]=19,he[y.SymbolKind.Null]=20,he[y.SymbolKind.EnumMember]=21,he[y.SymbolKind.Struct]=22,he[y.SymbolKind.Event]=23,he[y.SymbolKind.Operator]=24,he[y.SymbolKind.TypeParameter]=25;function ce(Te){return typeof he[Te]=="number"?he[Te]:6}be.from=ce;function Z(Te){for(const Re in he)if(he[Re]===Te)return Number(Re);return y.SymbolKind.Property}be.to=Z})(j=e.SymbolKind||(e.SymbolKind={}));var W;(function(be){function he(Z){switch(Z){case y.SymbolTag.Deprecated:return 1}}be.from=he;function ce(Z){switch(Z){case 1:return y.SymbolTag.Deprecated}}be.to=ce})(W=e.SymbolTag||(e.SymbolTag={}));var $;(function(be){function he(Z){return{name:Z.name,kind:j.from(Z.kind),tags:Z.tags&&Z.tags.map(W.from),containerName:Z.containerName,location:M.from(Z.location)}}be.from=he;function ce(Z){const Te=new y.SymbolInformation(Z.name,j.to(Z.kind),Z.containerName,M.to(Z.location));return Te.tags=Z.tags&&Z.tags.map(W.to),Te}be.to=ce})($=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var O;(function(be){function he(Z){var Te,Re;const et={name:Z.name||"!!MISSING: name!!",detail:Z.detail,range:p.from(Z.range),selectionRange:p.from(Z.selectionRange),kind:j.from(Z.kind),tags:(Re=(Te=Z.tags)===null||Te===void 0?void 0:Te.map(W.from))!==null&&Re!==void 0?Re:[]};return Z.children&&(et.children=Z.children.map(he)),et}be.from=he;function ce(Z){const Te=new y.DocumentSymbol(Z.name,Z.detail,j.to(Z.kind),p.to(Z.range),p.to(Z.selectionRange));return(0,l.isNonEmptyArray)(Z.tags)&&(Te.tags=Z.tags.map(W.to)),Z.children&&(Te.children=Z.children.map(ce)),Te}be.to=ce})(O=e.DocumentSymbol||(e.DocumentSymbol={}));var U;(function(be){function he(ce){const Z=new y.CallHierarchyItem(j.to(ce.kind),ce.name,ce.detail||"",I.URI.revive(ce.uri),p.to(ce.range),p.to(ce.selectionRange));return Z._sessionId=ce._sessionId,Z._itemId=ce._itemId,Z}be.to=he})(U=e.CallHierarchyItem||(e.CallHierarchyItem={}));var F;(function(be){function he(ce){return new y.CallHierarchyIncomingCall(U.to(ce.from),ce.fromRanges.map(Z=>p.to(Z)))}be.to=he})(F=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var N;(function(be){function he(ce){return new y.CallHierarchyOutgoingCall(U.to(ce.to),ce.fromRanges.map(Z=>p.to(Z)))}be.to=he})(N=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var M;(function(be){function he(Z){return{range:Z.range&&p.from(Z.range),uri:Z.uri}}be.from=he;function ce(Z){return new y.Location(I.URI.revive(Z.uri),p.to(Z.range))}be.to=ce})(M=e.location||(e.location={}));var V;(function(be){function he(Z){const Te=Z,Re=Z;return{originSelectionRange:Te.originSelectionRange?p.from(Te.originSelectionRange):void 0,uri:Te.targetUri?Te.targetUri:Re.uri,range:p.from(Te.targetRange?Te.targetRange:Re.range),targetSelectionRange:Te.targetSelectionRange?p.from(Te.targetSelectionRange):void 0}}be.from=he;function ce(Z){return{targetUri:I.URI.revive(Z.uri),targetRange:p.to(Z.range),targetSelectionRange:Z.targetSelectionRange?p.to(Z.targetSelectionRange):void 0,originSelectionRange:Z.originSelectionRange?p.to(Z.originSelectionRange):void 0}}be.to=ce})(V=e.DefinitionLink||(e.DefinitionLink={}));var q;(function(be){function he(Z){return{range:p.from(Z.range),contents:c.fromMany(Z.contents)}}be.from=he;function ce(Z){return new y.Hover(Z.contents.map(c.to),p.to(Z.range))}be.to=ce})(q=e.Hover||(e.Hover={}));var X;(function(be){function he(Z){return{range:p.from(Z.range),expression:Z.expression}}be.from=he;function ce(Z){return new y.EvaluatableExpression(p.to(Z.range),Z.expression)}be.to=ce})(X=e.EvaluatableExpression||(e.EvaluatableExpression={}));var fe;(function(be){function he(Z){if(Z instanceof y.InlineValueText)return{type:"text",range:p.from(Z.range),text:Z.text};if(Z instanceof y.InlineValueVariableLookup)return{type:"variable",range:p.from(Z.range),variableName:Z.variableName,caseSensitiveLookup:Z.caseSensitiveLookup};if(Z instanceof y.InlineValueEvaluatableExpression)return{type:"expression",range:p.from(Z.range),expression:Z.expression};throw new Error("Unknown 'InlineValue' type")}be.from=he;function ce(Z){switch(Z.type){case"text":return{range:p.to(Z.range),text:Z.text};case"variable":return{range:p.to(Z.range),variableName:Z.variableName,caseSensitiveLookup:Z.caseSensitiveLookup};case"expression":return{range:p.to(Z.range),expression:Z.expression}}}be.to=ce})(fe=e.InlineValue||(e.InlineValue={}));var _e;(function(be){function he(Z){return{frameId:Z.frameId,stoppedLocation:p.from(Z.stoppedLocation)}}be.from=he;function ce(Z){return new y.InlineValueContext(Z.frameId,p.to(Z.stoppedLocation))}be.to=ce})(_e=e.InlineValueContext||(e.InlineValueContext={}));var Le;(function(be){function he(Z){return{range:p.from(Z.range),kind:Z.kind}}be.from=he;function ce(Z){return new y.DocumentHighlight(p.to(Z.range),Z.kind)}be.to=ce})(Le=e.DocumentHighlight||(e.DocumentHighlight={}));var Ie;(function(be){function he(ce){switch(ce){case 1:return y.CompletionTriggerKind.TriggerCharacter;case 2:return y.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return y.CompletionTriggerKind.Invoke}}be.to=he})(Ie=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Fe;(function(be){function he(ce){return{triggerKind:Ie.to(ce.triggerKind),triggerCharacter:ce.triggerCharacter}}be.to=he})(Fe=e.CompletionContext||(e.CompletionContext={}));var z;(function(be){function he(Z){switch(Z){case y.CompletionItemTag.Deprecated:return 1}}be.from=he;function ce(Z){switch(Z){case 1:return y.CompletionItemTag.Deprecated}}be.to=ce})(z=e.CompletionItemTag||(e.CompletionItemTag={}));var Q;(function(be){const he=new Map([[y.CompletionItemKind.Method,0],[y.CompletionItemKind.Function,1],[y.CompletionItemKind.Constructor,2],[y.CompletionItemKind.Field,3],[y.CompletionItemKind.Variable,4],[y.CompletionItemKind.Class,5],[y.CompletionItemKind.Interface,7],[y.CompletionItemKind.Struct,6],[y.CompletionItemKind.Module,8],[y.CompletionItemKind.Property,9],[y.CompletionItemKind.Unit,12],[y.CompletionItemKind.Value,13],[y.CompletionItemKind.Constant,14],[y.CompletionItemKind.Enum,15],[y.CompletionItemKind.EnumMember,16],[y.CompletionItemKind.Keyword,17],[y.CompletionItemKind.Snippet,27],[y.CompletionItemKind.Text,18],[y.CompletionItemKind.Color,19],[y.CompletionItemKind.File,20],[y.CompletionItemKind.Reference,21],[y.CompletionItemKind.Folder,23],[y.CompletionItemKind.Event,10],[y.CompletionItemKind.Operator,11],[y.CompletionItemKind.TypeParameter,24],[y.CompletionItemKind.Issue,26],[y.CompletionItemKind.User,25]]);function ce(Re){var et;return(et=he.get(Re))!==null&&et!==void 0?et:9}be.from=ce;const Z=new Map([[0,y.CompletionItemKind.Method],[1,y.CompletionItemKind.Function],[2,y.CompletionItemKind.Constructor],[3,y.CompletionItemKind.Field],[4,y.CompletionItemKind.Variable],[5,y.CompletionItemKind.Class],[7,y.CompletionItemKind.Interface],[6,y.CompletionItemKind.Struct],[8,y.CompletionItemKind.Module],[9,y.CompletionItemKind.Property],[12,y.CompletionItemKind.Unit],[13,y.CompletionItemKind.Value],[14,y.CompletionItemKind.Constant],[15,y.CompletionItemKind.Enum],[16,y.CompletionItemKind.EnumMember],[17,y.CompletionItemKind.Keyword],[27,y.CompletionItemKind.Snippet],[18,y.CompletionItemKind.Text],[19,y.CompletionItemKind.Color],[20,y.CompletionItemKind.File],[21,y.CompletionItemKind.Reference],[23,y.CompletionItemKind.Folder],[10,y.CompletionItemKind.Event],[11,y.CompletionItemKind.Operator],[24,y.CompletionItemKind.TypeParameter],[25,y.CompletionItemKind.User],[26,y.CompletionItemKind.Issue]]);function Te(Re){var et;return(et=Z.get(Re))!==null&&et!==void 0?et:y.CompletionItemKind.Property}be.to=Te})(Q=e.CompletionItemKind||(e.CompletionItemKind={}));var ee;(function(be){function he(ce,Z){var Te;const Re=new y.CompletionItem(typeof ce.label=="string"?ce.label:ce.label.name);return typeof ce.label!="string"&&(Re.label2=ce.label),Re.insertText=ce.insertText,Re.kind=Q.to(ce.kind),Re.tags=(Te=ce.tags)===null||Te===void 0?void 0:Te.map(z.to),Re.detail=ce.detail,Re.documentation=P.isMarkdownString(ce.documentation)?c.to(ce.documentation):ce.documentation,Re.sortText=ce.sortText,Re.filterText=ce.filterText,Re.preselect=ce.preselect,Re.commitCharacters=ce.commitCharacters,D.Range.isIRange(ce.range)?Re.range=p.to(ce.range):typeof ce.range=="object"&&(Re.range={inserting:p.to(ce.range.insert),replacing:p.to(ce.range.replace)}),Re.keepWhitespace=typeof ce.insertTextRules=="undefined"?!1:Boolean(ce.insertTextRules&1),typeof ce.insertTextRules!="undefined"&&ce.insertTextRules&4?Re.insertText=new y.SnippetString(ce.insertText):(Re.insertText=ce.insertText,Re.textEdit=Re.range instanceof y.Range?new y.TextEdit(Re.range,Re.insertText):void 0),ce.additionalTextEdits&&ce.additionalTextEdits.length>0&&(Re.additionalTextEdits=ce.additionalTextEdits.map(et=>B.to(et))),Re.command=Z&&ce.command?Z.fromInternal(ce.command):void 0,Re}be.to=he})(ee=e.CompletionItem||(e.CompletionItem={}));var ae;(function(be){function he(Z){return{label:Z.label,documentation:Z.documentation?c.fromStrict(Z.documentation):void 0}}be.from=he;function ce(Z){return{label:Z.label,documentation:P.isMarkdownString(Z.documentation)?c.to(Z.documentation):Z.documentation}}be.to=ce})(ae=e.ParameterInformation||(e.ParameterInformation={}));var ve;(function(be){function he(Z){return{label:Z.label,documentation:Z.documentation?c.fromStrict(Z.documentation):void 0,parameters:Array.isArray(Z.parameters)?Z.parameters.map(ae.from):[],activeParameter:Z.activeParameter}}be.from=he;function ce(Z){return{label:Z.label,documentation:P.isMarkdownString(Z.documentation)?c.to(Z.documentation):Z.documentation,parameters:Array.isArray(Z.parameters)?Z.parameters.map(ae.to):[],activeParameter:Z.activeParameter}}be.to=ce})(ve=e.SignatureInformation||(e.SignatureInformation={}));var De;(function(be){function he(Z){return{activeSignature:Z.activeSignature,activeParameter:Z.activeParameter,signatures:Array.isArray(Z.signatures)?Z.signatures.map(ve.from):[]}}be.from=he;function ce(Z){return{activeSignature:Z.activeSignature,activeParameter:Z.activeParameter,signatures:Array.isArray(Z.signatures)?Z.signatures.map(ve.to):[]}}be.to=ce})(De=e.SignatureHelp||(e.SignatureHelp={}));var Me;(function(be){function he(Z){var Te;return{text:Z.text,range:p.from(Z.range),kind:we.from((Te=Z.kind)!==null&&Te!==void 0?Te:y.InlineHintKind.Other),description:Z.description&&c.fromStrict(Z.description),whitespaceBefore:Z.whitespaceBefore,whitespaceAfter:Z.whitespaceAfter}}be.from=he;function ce(Z){const Te=new y.InlineHint(Z.text,p.to(Z.range),we.to(Z.kind));return Te.whitespaceAfter=Z.whitespaceAfter,Te.whitespaceBefore=Z.whitespaceBefore,Te.description=P.isMarkdownString(Z.description)?c.to(Z.description):Z.description,Te}be.to=ce})(Me=e.InlineHint||(e.InlineHint={}));var we;(function(be){function he(Z){return Z}be.from=he;function ce(Z){return Z}be.to=ce})(we=e.InlineHintKind||(e.InlineHintKind={}));var ke;(function(be){function he(Z){return{range:p.from(Z.range),url:Z.target,tooltip:Z.tooltip}}be.from=he;function ce(Z){let Te;if(Z.url)try{Te=typeof Z.url=="string"?I.URI.parse(Z.url,!0):I.URI.revive(Z.url)}catch(Re){}return new y.DocumentLink(p.to(Z.range),Te)}be.to=ce})(ke=e.DocumentLink||(e.DocumentLink={}));var Ae;(function(be){function he(Z){const Te=new y.ColorPresentation(Z.label);return Z.textEdit&&(Te.textEdit=B.to(Z.textEdit)),Z.additionalTextEdits&&(Te.additionalTextEdits=Z.additionalTextEdits.map(Re=>B.to(Re))),Te}be.to=he;function ce(Z){return{label:Z.label,textEdit:Z.textEdit?B.from(Z.textEdit):void 0,additionalTextEdits:Z.additionalTextEdits?Z.additionalTextEdits.map(Te=>B.from(Te)):void 0}}be.from=ce})(Ae=e.ColorPresentation||(e.ColorPresentation={}));var We;(function(be){function he(Z){return new y.Color(Z[0],Z[1],Z[2],Z[3])}be.to=he;function ce(Z){return[Z.red,Z.green,Z.blue,Z.alpha]}be.from=ce})(We=e.Color||(e.Color={}));var ye;(function(be){function he(Z){return{range:p.from(Z.range)}}be.from=he;function ce(Z){return new y.SelectionRange(p.to(Z.range))}be.to=ce})(ye=e.SelectionRange||(e.SelectionRange={}));var Ge;(function(be){function he(ce){switch(ce){case 2:return y.TextDocumentSaveReason.AfterDelay;case 1:return y.TextDocumentSaveReason.Manual;case 3:case 4:return y.TextDocumentSaveReason.FocusOut}}be.to=he})(Ge=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var K;(function(be){function he(Z){switch(Z){case y.TextEditorLineNumbersStyle.Off:return 0;case y.TextEditorLineNumbersStyle.Relative:return 2;case y.TextEditorLineNumbersStyle.On:default:return 1}}be.from=he;function ce(Z){switch(Z){case 0:return y.TextEditorLineNumbersStyle.Off;case 2:return y.TextEditorLineNumbersStyle.Relative;case 1:default:return y.TextEditorLineNumbersStyle.On}}be.to=ce})(K=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var ie;(function(be){function he(Z){if(Z===y.EndOfLine.CRLF)return 1;if(Z===y.EndOfLine.LF)return 0}be.from=he;function ce(Z){if(Z===1)return y.EndOfLine.CRLF;if(Z===0)return y.EndOfLine.LF}be.to=ce})(ie=e.EndOfLine||(e.EndOfLine={}));var Se;(function(be){function he(ce){if(typeof ce=="object")return ce.viewId;switch(ce){case y.ProgressLocation.SourceControl:return 3;case y.ProgressLocation.Window:return 10;case y.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}be.from=he})(Se=e.ProgressLocation||(e.ProgressLocation={}));var Ne;(function(be){function he(ce){const Z={start:ce.start+1,end:ce.end+1};return ce.kind&&(Z.kind=ze.from(ce.kind)),Z}be.from=he})(Ne=e.FoldingRange||(e.FoldingRange={}));var ze;(function(be){function he(ce){if(ce)switch(ce){case y.FoldingRangeKind.Comment:return _.FoldingRangeKind.Comment;case y.FoldingRangeKind.Imports:return _.FoldingRangeKind.Imports;case y.FoldingRangeKind.Region:return _.FoldingRangeKind.Region}}be.from=he})(ze=e.FoldingRangeKind||(e.FoldingRangeKind={}));var xe;(function(be){function he(ce){if(ce)return{pinned:typeof ce.preview=="boolean"?!ce.preview:void 0,inactive:ce.background,preserveFocus:ce.preserveFocus,selection:typeof ce.selection=="object"?p.from(ce.selection):void 0,override:typeof ce.override=="boolean"?R.EditorOverride.DISABLED:void 0}}be.from=he})(xe=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Je;(function(be){function he(Z){return Z instanceof y.RelativePattern||typeof Z=="string"?Z:ce(Z)?new y.RelativePattern(Z.base,Z.pattern):Z}be.from=he;function ce(Z){const Te=Z;return Te&&typeof Te.base=="string"&&typeof Te.pattern=="string"}})(Je=e.GlobPattern||(e.GlobPattern={}));var G;(function(be){function he(ce){if(ce){if(Array.isArray(ce))return ce.map(he);if(typeof ce=="string")return ce;{const Z=ce;return{language:Z.language,scheme:Z.scheme,pattern:typeof Z.pattern=="undefined"?void 0:Je.from(Z.pattern),exclusive:Z.exclusive}}}else return}be.from=he})(G=e.LanguageSelector||(e.LanguageSelector={}));var oe;(function(be){function he(Z){return{start:Z.start,end:Z.end}}be.from=he;function ce(Z){return new y.NotebookCellRange(Z.start,Z.end)}be.to=ce})(oe=e.NotebookCellRange||(e.NotebookCellRange={}));var ue;(function(be){function he(ce){return new y.NotebookCellMetadata(ce.editable,ce.breakpointMargin,ce.hasExecutionOrder,ce.executionOrder,ce.runState,ce.runStartTime,ce.statusMessage,ce.lastRunDuration,ce.inputCollapsed,ce.outputCollapsed,ce.custom)}be.to=he})(ue=e.NotebookCellMetadata||(e.NotebookCellMetadata={}));var Y;(function(be){function he(Z){return Z}be.from=he;function ce(Z){return new y.NotebookDocumentMetadata(Z.editable,Z.cellEditable,Z.cellHasExecutionOrder,Z.custom,Z.runState,Z.trusted)}be.to=ce})(Y=e.NotebookDocumentMetadata||(e.NotebookDocumentMetadata={}));var ne;(function(be){function he(Z){switch(Z){case y.NotebookCellKind.Markdown:return g.CellKind.Markdown;case y.NotebookCellKind.Code:default:return g.CellKind.Code}}be.from=he;function ce(Z){switch(Z){case g.CellKind.Markdown:return y.NotebookCellKind.Markdown;case g.CellKind.Code:default:return y.NotebookCellKind.Code}}be.to=ce})(ne=e.NotebookCellKind||(e.NotebookCellKind={}));var le;(function(be){function he(ce){return{cellKind:ne.from(ce.kind),language:ce.language,source:ce.source,metadata:ce.metadata,outputs:ce.outputs?ce.outputs.map(Ee.from):[]}}be.from=he})(le=e.NotebookCellData||(e.NotebookCellData={}));var me;(function(be){function he(Z){return{mime:Z.mime,value:Z.value,metadata:Z.metadata}}be.from=he;function ce(Z){return new y.NotebookCellOutputItem(Z.mime,Z.value,Z.metadata)}be.to=ce})(me=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var Ee;(function(be){function he(Z){return{outputId:Z.id,outputs:Z.outputs.map(me.from),metadata:Z.metadata}}be.from=he;function ce(Z){const Te=Z.outputs.map(me.to);return new y.NotebookCellOutput(Te,Z.outputId,Z.metadata)}be.to=ce})(Ee=e.NotebookCellOutput||(e.NotebookCellOutput={}));var He;(function(be){function he(Re){if(Re!=null){if(Re instanceof y.RelativePattern||typeof Re=="string")return Re;if(Te(Re))return new y.RelativePattern(Re.base,Re.pattern);if(Z(Re))return{include:Je.from(Re.include)||void 0,exclude:Je.from(Re.exclude)||void 0}}}be.from=he;function ce(Re){return typeof Re=="string"?Re:Te(Re)?{base:Re.base,pattern:Re.pattern}:{include:Re.include,exclude:Re.exclude}}be.to=ce;function Z(Re){const et=Re,Ke=Je.from(et.include);if(!(Ke&&Ke instanceof y.RelativePattern||typeof Ke=="string"))return!1;const rt=Je.from(et.exclude);return!!(rt&&rt instanceof y.RelativePattern||typeof rt=="string")}function Te(Re){const et=Re;return et&&typeof et.base=="string"&&typeof et.pattern=="string"}})(He=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var Be;(function(be){function he(ce){return{backgroundColor:ce.backgroundColor,borderColor:ce.borderColor,top:ce.top?m.from(ce.top):void 0}}be.from=he})(Be=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var qe;(function(be){function he(Z){return{state:Z.state,duration:Z.duration,messages:Z.messages.map(Xe.from)}}be.from=he;function ce(Z){const Te=new y.TestState(Z.state);return Te.duration=Z.duration,Te.messages=Z.messages.map(Xe.to),Te}be.to=ce})(qe=e.TestState||(e.TestState={}));var Xe;(function(be){function he(Z){return{message:c.fromStrict(Z.message)||"",severity:Z.severity,expectedOutput:Z.expectedOutput,actualOutput:Z.actualOutput,location:Z.location?M.from(Z.location):void 0}}be.from=he;function ce(Z){const Te=new y.TestMessage(typeof Z.message=="string"?Z.message:c.to(Z.message));return Te.severity=Z.severity,Te.actualOutput=Z.actualOutput,Te.expectedOutput=Z.expectedOutput,Te}be.to=ce})(Xe=e.TestMessage||(e.TestMessage={}));var Ze;(function(be){function he(Te){var Re,et;return{extId:Te.id,label:Te.label,location:Te.location?M.from(Te.location):void 0,debuggable:(Re=Te.debuggable)!==null&&Re!==void 0?Re:!1,description:Te.description,runnable:(et=Te.runnable)!==null&&et!==void 0?et:!0}}be.from=he;function ce(Te){return{id:Te.extId,label:Te.label,location:Te.location&&M.to({range:Te.location.range,uri:I.URI.revive(Te.location.uri)}),debuggable:Te.debuggable,description:Te.description,runnable:Te.runnable}}be.toPlainShallow=ce;function Z(Te){const Re=new y.TestItem(Te.extId,Te.label);return Te.location&&(Re.location=M.to({range:Te.location.range,uri:I.URI.revive(Te.location.uri)})),Re.debuggable=Te.debuggable,Re.description=Te.description,Re.runnable=Te.runnable,Re}be.toShallow=Z})(Ze=e.TestItem||(e.TestItem={}));var ut;(function(be){function he(Te,Re){var et,Ke,rt;const lt={completedAt:Re.completedAt,id:Te,items:[]},Qe=[[null,Re.results]];for(;Qe.length;){const[it,dt]=Qe.pop();for(const at of dt){const Ct={children:(Ke=(et=at.children)===null||et===void 0?void 0:et.map(gt=>gt.id))!==null&&Ke!==void 0?Ke:[],computedState:at.result.state,item:Ze.from(at),state:qe.from(at.result),retired:void 0,parent:(rt=it==null?void 0:it.item.extId)!==null&&rt!==void 0?rt:null,providerId:"",direct:!it};lt.items.push(Ct),at.children&&Qe.push([Ct,at.children])}}return lt}be.from=he;const ce=(Te,Re)=>Object.assign(Object.assign({},Ze.toPlainShallow(Te.item)),{result:qe.to(Te.state),children:Te.children.map(et=>Re.get(et)).filter(A.isDefined).map(et=>ce(et,Re))});function Z(Te){const Re=[],et=new Map;for(const Ke of Te.items)et.set(Ke.item.extId,Ke),Ke.direct&&Re.push(Ke);return{completedAt:Te.completedAt,results:Re.map(Ke=>ce(Ke,et))}}be.to=Z})(ut=e.TestResults||(e.TestResults={}));var st;(function(be){function he(ce){switch(ce){case 1:return y.CodeActionTriggerKind.Automatic;case 2:return y.CodeActionTriggerKind.Manual}}be.to=he})(st=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}))}),define(ge[214],pe([0,1,2,18,8,20,56]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class P{constructor(n,A,k,b={timeout:1500,errors:3}){this._logService=n,this._documents=A,this._mainThreadBulkEdits=k,this._thresholds=b,this._callbacks=new D.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(n){return(A,k,b)=>{const l={dispose:this._callbacks.push([A,k,n])};return Array.isArray(b)&&b.push(l),l}}async $participateInSave(n,A){const k=_.URI.revive(n);let b=!1;const h=setTimeout(()=>b=!0,this._thresholds.timeout),l=[];try{for(let g of[...this._callbacks]){if(b)break;const S=this._documents.getDocument(k),p=await this._deliverEventAsyncAndBlameBadListeners(g,{document:S,reason:I.TextDocumentSaveReason.to(A)});l.push(p)}}finally{clearTimeout(h)}return l}_deliverEventAsyncAndBlameBadListeners([n,A,k],b){const h=this._badListeners.get(n);return typeof h=="number"&&h>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(k,n,A,b).then(()=>!0,l=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' threw ERROR`),this._logService.error(l),!(l instanceof Error)||l.message!=="concurrent_edits"){const g=this._badListeners.get(n);this._badListeners.set(n,g?g+1:1),typeof g=="number"&&g>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(n,A,k,b){const h=[],l=Date.now(),{document:g,reason:S}=b,{version:p}=g,w=Object.freeze({document:g,reason:S,waitUntil(d){if(Object.isFrozen(h))throw(0,y.illegalState)("waitUntil can not be called async");h.push(Promise.resolve(d))}});try{A.apply(k,[w])}catch(d){return Promise.reject(d)}return Object.freeze(h),new Promise((d,u)=>{const a=setTimeout(()=>u(new Error("timeout")),this._thresholds.timeout);return Promise.all(h).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${n.identifier.value}' finished after ${Date.now()-l}ms`),clearTimeout(a),d(t)}).catch(t=>{clearTimeout(a),u(t)})}).then(d=>{const u={edits:[]};for(const a of d)if(Array.isArray(a)&&a.every(t=>t instanceof R.TextEdit))for(const{newText:t,newEol:i,range:s}of a)u.edits.push({_type:2,resource:g.uri,edit:{range:s&&I.Range.from(s),text:t,eol:i&&I.EndOfLine.from(i)}});if(u.edits.length!==0)return p===g.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(u):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=P}),define(ge[215],pe([0,1,3,19,34,2,20,8]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class E{constructor(k,b,h,l,g){this._onDidCreate=new _.Emitter,this._onDidChange=new _.Emitter,this._onDidDelete=new _.Emitter,this._config=0,h&&(this._config+=1),l&&(this._config+=2),g&&(this._config+=4);const S=(0,R.parse)(b),p=k(w=>{if(!h)for(let d of w.created){const u=I.URI.revive(d);S(u.fsPath)&&this._onDidCreate.fire(u)}if(!l)for(let d of w.changed){const u=I.URI.revive(d);S(u.fsPath)&&this._onDidChange.fire(u)}if(!g)for(let d of w.deleted){const u=I.URI.revive(d);S(u.fsPath)&&this._onDidDelete.fire(u)}});this._disposable=P.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,p)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class n{constructor(k,b,h){this._logService=b,this._extHostDocumentsAndEditors=h,this._onFileSystemEvent=new _.Emitter,this._onDidRenameFile=new _.Emitter,this._onDidCreateFile=new _.Emitter,this._onDidDeleteFile=new _.Emitter,this._onWillRenameFile=new y.AsyncEmitter,this._onWillCreateFile=new y.AsyncEmitter,this._onWillDeleteFile=new y.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(k,b,h,l){return new E(this._onFileSystemEvent.event,k,b,h,l)}$onFileEvent(k){this._onFileSystemEvent.fire(k)}$onDidRunFileOperation(k,b){switch(k){case 2:this._onDidRenameFile.fire(Object.freeze({files:b.map(h=>({oldUri:I.URI.revive(h.source),newUri:I.URI.revive(h.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:b.map(h=>I.URI.revive(h.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:b.map(h=>I.URI.revive(h.target))}));break;default:}}getOnWillRenameFileEvent(k){return this._createWillExecuteEvent(k,this._onWillRenameFile)}getOnWillCreateFileEvent(k){return this._createWillExecuteEvent(k,this._onWillCreateFile)}getOnWillDeleteFileEvent(k){return this._createWillExecuteEvent(k,this._onWillDeleteFile)}_createWillExecuteEvent(k,b){return(h,l,g)=>{const S=function(w){h.call(l,w)};return S.extension=k,b.event(S,void 0,g)}}async $onWillRunFileOperation(k,b,h,l){switch(k){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:b.map(g=>({oldUri:I.URI.revive(g.source),newUri:I.URI.revive(g.target)}))},h,l);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:b.map(g=>I.URI.revive(g.target))},h,l);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:b.map(g=>I.URI.revive(g.target))},h,l)}}async _fireWillEvent(k,b,h,l){const g=new Set,S=[];if(await k.fireAsync(b,l,async(w,d)=>{var u;const a=Date.now(),t=await Promise.resolve(w);t instanceof P.WorkspaceEdit&&(S.push(t),g.add((u=d.extension.displayName)!==null&&u!==void 0?u:d.extension.identifier.value)),Date.now()-a>h&&this._logService.warn("SLOW file-participant",d.extension.identifier)}),!l.isCancellationRequested&&S.length!==0){const p={edits:[]};for(let w of S){let{edits:d}=D.WorkspaceEdit.from(w,this._extHostDocumentsAndEditors);p.edits=p.edits.concat(d)}return{edit:p,extensionNames:Array.from(g)}}}}e.ExtHostFileSystemEventService=n}),define(ge[216],pe([0,1,3,6,11,22,2,20,85]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class n{constructor(h,l,g,S){this.start=h,this.deletedCount=l,this.deletedItems=g,this.items=S}static asApiEvents(h){return h.map(l=>({start:l.start,deletedCount:l.deletedCount,deletedItems:l.deletedItems,items:l.items.map(g=>g.cell)}))}}class A{constructor(h,l,g){var S;this._notebook=h,this._extHostDocument=l,this._cellData=g,this._onDidDispose=new _.Emitter,this.onDidDispose=this._onDidDispose.event,this.handle=g.handle,this.uri=D.URI.revive(g.uri),this.cellKind=g.cellKind,this._outputs=g.outputs.map(P.NotebookCellOutput.to),this._metadata=P.NotebookCellMetadata.to((S=g.metadata)!==null&&S!==void 0?S:{})}static asModelAddData(h,l){return{EOL:l.eol,lines:l.source,modeId:l.language,uri:l.uri,isDirty:!1,versionId:1,notebook:h}}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get cell(){if(!this._cell){const h=this,l=this._extHostDocument.getDocument(this.uri);if(!l)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._cell=Object.freeze({get index(){return h._notebook.getCellIndex(h)},notebook:h._notebook.notebookDocument,kind:P.NotebookCellKind.to(this._cellData.cellKind),document:l.document,get outputs(){return h._outputs.slice(0)},get metadata(){return h._metadata}})}return this._cell}setOutputs(h){this._outputs=h.map(P.NotebookCellOutput.to)}setOutputItems(h,l,g){const S=g.map(P.NotebookCellOutputItem.to),p=this._outputs.find(w=>w.id===h);p&&(l||(p.outputs.length=0),p.outputs.push(...S))}setMetadata(h){this._metadata=P.NotebookCellMetadata.to(h)}}e.ExtHostCell=A;class k extends y.Disposable{constructor(h,l,g,S,p,w,d){super();this._proxy=h,this._textDocumentsAndEditors=l,this._textDocuments=g,this._emitter=S,this._viewType=p,this._metadata=w,this.uri=d,this.handle=k._handlePool++,this._cells=[],this._cellDisposableMapping=new Map,this._versionId=0,this._isDirty=!1,this._disposed=!1}dispose(){this._disposed=!0,super.dispose(),(0,y.dispose)(this._cellDisposableMapping.values())}get notebookDocument(){if(!this._notebook){const h=this;this._notebook=Object.freeze({get uri(){return h.uri},get version(){return h._versionId},get fileName(){return h.uri.fsPath},get viewType(){return h._viewType},get isDirty(){return h._isDirty},get isUntitled(){return h.uri.scheme===R.Schemas.untitled},get cells(){return h._cells.map(l=>l.cell)},get metadata(){return h._metadata},set metadata(l){throw new Error("Use WorkspaceEdit to update metadata.")},save(){return h._save()}})}return this._notebook}updateBackup(h){var l;(l=this._backup)===null||l===void 0||l.delete(),this._backup=h}disposeBackup(){var h;(h=this._backup)===null||h===void 0||h.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(h){h.metadata&&(this._metadata=this._metadata.with(h.metadata))}acceptModelChanged(h,l){this._versionId=h.versionId,this._isDirty=l;for(const g of h.rawEvents)g.kind===E.NotebookCellsChangeType.Initialize&&this._spliceNotebookCells(g.changes,!0),g.kind===E.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(g.changes,!1):g.kind===E.NotebookCellsChangeType.Move?this._moveCell(g.index,g.newIdx):g.kind===E.NotebookCellsChangeType.Output?this._setCellOutputs(g.index,g.outputs):g.kind===E.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(g.index,g.outputId,g.append,g.outputItems):g.kind===E.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(g.index,g.language):g.kind===E.NotebookCellsChangeType.ChangeCellMetadata&&this._changeCellMetadata(g.index,g.metadata)}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveDocument(this.uri)}_spliceNotebookCells(h,l){if(!this._disposed){const g=[],S=[],p=[];h.reverse().forEach(w=>{var d;const a=w[2].map(s=>{const o=new A(this,this._textDocumentsAndEditors,s);if(l||S.push(A.asModelAddData(this.notebookDocument,s)),!this._cellDisposableMapping.has(o.handle)){const r=new y.DisposableStore;r.add(o),this._cellDisposableMapping.set(o.handle,r)}return o});for(let s=w[0];s<w[0]+w[1];s++)(d=this._cellDisposableMapping.get(this._cells[s].handle))===null||d===void 0||d.dispose(),this._cellDisposableMapping.delete(this._cells[s].handle);const t=new n(w[0],w[1],[],a),i=this._cells.splice(w[0],w[1],...a);for(let s of i)p.push(s.uri),t.deletedItems.push(s.cell);g.push(t)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:S,removedDocuments:p}),l||this._emitter.emitModelChange((0,I.deepFreeze)({document:this.notebookDocument,changes:n.asApiEvents(g)}))}}_moveCell(h,l){const g=this._cells.splice(h,1);this._cells.splice(l,0,...g);const S=[new n(h,1,g.map(p=>p.cell),[]),new n(l,0,[],g)];this._emitter.emitModelChange((0,I.deepFreeze)({document:this.notebookDocument,changes:n.asApiEvents(S)}))}_setCellOutputs(h,l){const g=this._cells[h];g.setOutputs(l),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.notebookDocument,cells:[g.cell]}))}_setCellOutputItems(h,l,g,S){const p=this._cells[h];p.setOutputItems(l,g,S),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.notebookDocument,cells:[p.cell]}))}_changeCellLanguage(h,l){const g=this._cells[h];g.cell.document.languageId!==l&&this._textDocuments.$acceptModelModeChanged(g.uri,l)}_changeCellMetadata(h,l){const g=this._cells[h];g.setMetadata(l||{}),this._emitter.emitCellMetadataChange((0,I.deepFreeze)({document:this.notebookDocument,cell:g.cell}))}getCellFromIndex(h){return this._cells[h]}getCell(h){return this._cells.find(l=>l.handle===h)}getCellIndex(h){return this._cells.indexOf(h)}}e.ExtHostNotebookDocument=k,k._handlePool=0}),define(ge[217],pe([0,1,3,8,20]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class I{constructor(E){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=E}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(E){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:E})}replaceCellMetadata(E,n){this._throwIfFinalized(),this._collectedEdits.push({editType:3,index:E,metadata:n})}replaceCellOutput(E,n){this._throwIfFinalized(),this._collectedEdits.push({editType:2,index:E,outputs:n.map(A=>R.NotebookCellOutput.from(A))})}replaceCells(E,n,A){this._throwIfFinalized(),!(E===n&&A.length===0)&&this._collectedEdits.push({editType:1,index:E,count:n-E,cells:A.map(R.NotebookCellData.from)})}}class D{constructor(E,n,A,k,b,h,l){this.id=E,this._viewType=n,this._proxy=A,this.notebookData=k,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._onDidDispose=new _.Emitter,this.onDidDispose=this._onDidDispose.event,this._selections=h,this._visibleRanges=b,this._viewColumn=l}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get editor(){if(!this._editor){const E=this;this._editor={get document(){return E.notebookData.notebookDocument},get selection(){var n;const A=E._selections[0];return A&&((n=E.notebookData.getCellFromIndex(A.start))===null||n===void 0?void 0:n.cell)},get selections(){return E._selections},get visibleRanges(){return E._visibleRanges},revealRange(n,A){E._proxy.$tryRevealRange(E.id,R.NotebookCellRange.from(n),A!=null?A:y.NotebookEditorRevealType.Default)},get viewColumn(){return E._viewColumn},get onDidDispose(){return E.onDidDispose},edit(n){const A=new I(this.document.version);return n(A),E._applyEdit(A.finalize())},get kernel(){return E._kernel},setDecorations(n,A){return E.setDecorations(n,A)}}}return this._editor}_acceptKernel(E){this._kernel=E}get visible(){return this._visible}_acceptVisibility(E){this._visible=E}_acceptVisibleRanges(E){this._visibleRanges=E}_acceptSelections(E){this._selections=E}_applyEdit(E){if(E.cellEdits.length===0)return Promise.resolve(!0);const n=[];let A=-1;for(let k=0;k<E.cellEdits.length;k++){if(A<0){n.push(E.cellEdits[k]),A++;continue}const h=n[A];if(h.editType===1&&E.cellEdits[k].editType===1){const l=E.cellEdits[k];if(l.editType!==5&&h.index===l.index){h.cells.push(...E.cellEdits[k].cells),h.count+=E.cellEdits[k].count;continue}}n.push(E.cellEdits[k]),A++}return this._proxy.$tryApplyEdits(this._viewType,this.notebookData.uri,E.documentVersionId,n)}setDecorations(E,n){if(!(n.isEmpty&&!this._hasDecorationsForKey.has(E.key)))return n.isEmpty?this._hasDecorationsForKey.delete(E.key):this._hasDecorationsForKey.add(E.key),this._proxy.$trySetDecorations(this.id,R.NotebookCellRange.from(n),E.key)}}e.ExtHostNotebookEditor=D}),define(ge[218],pe([0,1,20,111,160,21,54]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class P{constructor(k){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=k}withProgress(k,b,h){const l=this._handles++,{title:g,location:S,cancellable:p}=b,w=(0,R.localize)(0,null,k.displayName||k.name);return this._proxy.$startProgress(l,{location:_.ProgressLocation.from(S),title:g,source:w,cancellable:p},k),this._withProgress(l,h,!!p)}_withProgress(k,b,h){let l;h&&(l=new I.CancellationTokenSource,this._mapHandleToCancellationSource.set(k,l));const g=p=>{this._proxy.$progressEnd(p),this._mapHandleToCancellationSource.delete(p),l&&l.dispose()};let S;try{S=b(new n(this._proxy,k),h&&l?l.token:I.CancellationToken.None)}catch(p){throw g(k),p}return S.then(p=>g(k),p=>g(k)),S}$acceptProgressCanceled(k){const b=this._mapHandleToCancellationSource.get(k);b&&(b.cancel(),this._mapHandleToCancellationSource.delete(k))}}e.ExtHostProgress=P;function E(A,k){return A.message=k.message,typeof k.increment=="number"&&(typeof A.increment=="number"?A.increment+=k.increment:A.increment=k.increment),A}class n extends y.Progress{constructor(k,b){super(h=>this.throttledReport(h));this._proxy=k,this._handle=b}throttledReport(k){this._proxy.$progressReport(this._handle,k)}}je([(0,D.throttle)(100,(A,k)=>E(A,k),()=>Object.create(null))],n.prototype,"throttledReport",null)}),define(ge[121],pe([0,1,52,18,70,20,8]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class P{constructor(b,h){const l=P._Keys.nextId();b.$registerTextEditorDecorationType(l,I.DecorationRenderOptions.from(h)),this.value=Object.freeze({key:l,dispose(){b.$removeTextEditorDecorationType(l)}})}}e.TextEditorDecorationType=P,P._Keys=new R.IdGenerator("TextEditorDecorationType");class E{constructor(b,h){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=b,this._documentVersionId=b.version,this._undoStopBefore=h.undoStopBefore,this._undoStopAfter=h.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(b,h){this._throwIfFinalized();let l=null;if(b instanceof D.Position)l=new D.Range(b,b);else if(b instanceof D.Range)l=b;else throw new Error("Unrecognized location");this._pushEdit(l,h,!1)}insert(b,h){this._throwIfFinalized(),this._pushEdit(new D.Range(b,b),h,!0)}delete(b){this._throwIfFinalized();let h=null;if(b instanceof D.Range)h=b;else throw new Error("Unrecognized location");this._pushEdit(h,null,!0)}_pushEdit(b,h,l){const g=this._document.validateRange(b);this._collectedEdits.push({range:g,text:h,forceMoveMarkers:l})}setEndOfLine(b){if(this._throwIfFinalized(),b!==D.EndOfLine.LF&&b!==D.EndOfLine.CRLF)throw(0,y.illegalArgument)("endOfLine");this._setEndOfLine=b}}e.TextEditorEdit=E;class n{constructor(b,h,l,g){this._proxy=b,this._id=h,this._accept(l),this._logService=g;const S=this;this.value={get tabSize(){return S._tabSize},set tabSize(p){S._setTabSize(p)},get insertSpaces(){return S._insertSpaces},set insertSpaces(p){S._setInsertSpaces(p)},get cursorStyle(){return S._cursorStyle},set cursorStyle(p){S._setCursorStyle(p)},get lineNumbers(){return S._lineNumbers},set lineNumbers(p){S._setLineNumbers(p)}}}_accept(b){this._tabSize=b.tabSize,this._insertSpaces=b.insertSpaces,this._cursorStyle=b.cursorStyle,this._lineNumbers=I.TextEditorLineNumbersStyle.to(b.lineNumbers)}_validateTabSize(b){if(b==="auto")return"auto";if(typeof b=="number"){const h=Math.floor(b);return h>0?h:null}if(typeof b=="string"){const h=parseInt(b,10);return isNaN(h)?null:h>0?h:null}return null}_setTabSize(b){const h=this._validateTabSize(b);if(h!==null){if(typeof h=="number"){if(this._tabSize===h)return;this._tabSize=h}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:h}))}}_validateInsertSpaces(b){return b==="auto"?"auto":b==="false"?!1:Boolean(b)}_setInsertSpaces(b){const h=this._validateInsertSpaces(b);if(typeof h=="boolean"){if(this._insertSpaces===h)return;this._insertSpaces=h}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:h}))}_setCursorStyle(b){this._cursorStyle!==b&&(this._cursorStyle=b,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:b})))}_setLineNumbers(b){this._lineNumbers!==b&&(this._lineNumbers=b,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:I.TextEditorLineNumbersStyle.from(b)})))}assign(b){const h={};let l=!1;if(typeof b.tabSize!="undefined"){const g=this._validateTabSize(b.tabSize);g==="auto"?(l=!0,h.tabSize=g):typeof g=="number"&&this._tabSize!==g&&(this._tabSize=g,l=!0,h.tabSize=g)}if(typeof b.insertSpaces!="undefined"){const g=this._validateInsertSpaces(b.insertSpaces);g==="auto"?(l=!0,h.insertSpaces=g):this._insertSpaces!==g&&(this._insertSpaces=g,l=!0,h.insertSpaces=g)}typeof b.cursorStyle!="undefined"&&this._cursorStyle!==b.cursorStyle&&(this._cursorStyle=b.cursorStyle,l=!0,h.cursorStyle=b.cursorStyle),typeof b.lineNumbers!="undefined"&&this._lineNumbers!==b.lineNumbers&&(this._lineNumbers=b.lineNumbers,l=!0,h.lineNumbers=I.TextEditorLineNumbersStyle.from(b.lineNumbers)),l&&this._warnOnError(this._proxy.$trySetOptions(this._id,h))}_warnOnError(b){b.catch(h=>this._logService.warn(h))}}e.ExtHostTextEditorOptions=n;class A{constructor(b,h,l,g,S,p,w,d){this.id=b,this._proxy=h,this._logService=l,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=S,this._options=new n(this._proxy,this.id,p,l),this._visibleRanges=w,this._viewColumn=d;const u=this;this.value=Object.freeze({get document(){return g.getValue()},set document(a){throw(0,y.readonly)("document")},get selection(){return u._selections&&u._selections[0]},set selection(a){if(!(a instanceof D.Selection))throw(0,y.illegalArgument)("selection");u._selections=[a],u._trySetSelection()},get selections(){return u._selections},set selections(a){if(!Array.isArray(a)||a.some(t=>!(t instanceof D.Selection)))throw(0,y.illegalArgument)("selections");u._selections=a,u._trySetSelection()},get visibleRanges(){return u._visibleRanges},set visibleRanges(a){throw(0,y.readonly)("visibleRanges")},get options(){return u._options.value},set options(a){u._disposed||u._options.assign(a)},get viewColumn(){return u._viewColumn},set viewColumn(a){throw(0,y.readonly)("viewColumn")},edit(a,t={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const i=new E(g.getValue(),t);return a(i),u._applyEdit(i)},insertSnippet(a,t,i={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let s;if(!t||Array.isArray(t)&&t.length===0)s=u._selections.map(o=>I.Range.from(o));else if(t instanceof D.Position){const{lineNumber:o,column:r}=I.Position.from(t);s=[{startLineNumber:o,startColumn:r,endLineNumber:o,endColumn:r}]}else if(t instanceof D.Range)s=[I.Range.from(t)];else{s=[];for(const o of t)if(o instanceof D.Range)s.push(I.Range.from(o));else{const{lineNumber:r,column:c}=I.Position.from(o);s.push({startLineNumber:r,startColumn:c,endLineNumber:r,endColumn:c})}}return h.$tryInsertSnippet(b,a.value,s,i)},setDecorations(a,t){const i=t.length===0;i&&!u._hasDecorationsForKey.has(a.key)||(i?u._hasDecorationsForKey.delete(a.key):u._hasDecorationsForKey.add(a.key),u._runOnProxy(()=>{if(I.isDecorationOptionsArr(t))return h.$trySetDecorations(b,a.key,I.fromRangeOrRangeWithMessage(t));{const s=new Array(4*t.length);for(let o=0,r=t.length;o<r;o++){const c=t[o];s[4*o]=c.start.line+1,s[4*o+1]=c.start.character+1,s[4*o+2]=c.end.line+1,s[4*o+3]=c.end.character+1}return h.$trySetDecorationsFast(b,a.key,s)}}))},revealRange(a,t){u._runOnProxy(()=>h.$tryRevealRange(b,I.Range.from(a),t||D.TextEditorRevealType.Default))},show(a){h.$tryShowEditor(b,I.ViewColumn.from(a))},hide(){h.$tryHideEditor(b)}})}dispose(){(0,_.ok)(!this._disposed),this._disposed=!0}_acceptOptions(b){(0,_.ok)(!this._disposed),this._options._accept(b)}_acceptVisibleRanges(b){(0,_.ok)(!this._disposed),this._visibleRanges=b}_acceptViewColumn(b){(0,_.ok)(!this._disposed),this._viewColumn=b}_acceptSelections(b){(0,_.ok)(!this._disposed),this._selections=b}async _trySetSelection(){const b=this._selections.map(I.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,b)),this.value}_applyEdit(b){const h=b.finalize();if(h.edits.length===0&&!h.setEndOfLine)return Promise.resolve(!0);const l=h.edits.map(S=>S.range);l.sort((S,p)=>S.end.line===p.end.line?S.end.character===p.end.character?S.start.line===p.start.line?S.start.character-p.start.character:S.start.line-p.start.line:S.end.character-p.end.character:S.end.line-p.end.line);for(let S=0,p=l.length-1;S<p;S++){const w=l[S].end;if(l[S+1].start.isBefore(w))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const g=h.edits.map(S=>({range:I.Range.from(S.range),text:S.text,forceMoveMarkers:S.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,h.documentVersionId,g,{setEndOfLine:typeof h.setEndOfLine=="number"?I.EndOfLine.from(h.setEndOfLine):void 0,undoStopBefore:h.undoStopBefore,undoStopAfter:h.undoStopAfter})}_runOnProxy(b){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):b().then(()=>this,h=>(h instanceof Error&&h.name==="DISPOSED"||this._logService.warn(h),null))}}e.ExtHostTextEditor=A}),define(ge[219],pe([0,1,163,24,2,3,6,19,8,15,12,20,21]),function(J,e,_,y,R,I,D,P,E,n,A,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function h(S,p){if((0,n.isString)(S))return{label:S};if(S&&typeof S=="object"&&typeof S.label=="string"){let w;return Array.isArray(S.highlights)&&(w=S.highlights.filter(d=>d.length===2&&typeof d[0]=="number"&&typeof d[1]=="number"),w=w.length?w:void 0),{label:S.label,highlights:w}}}class l{constructor(p,w,d){this._proxy=p,this.commands=w,this.logService=d,this.treeViews=new Map;function u(a){return a&&a.$treeViewId&&a.$treeItemHandle}w.registerArgumentProcessor({processArgument:a=>u(a)?this.convertArgument(a):Array.isArray(a)&&a.length>0?a.map(t=>u(t)?this.convertArgument(t):t):a})}registerTreeDataProvider(p,w,d){const u=this.createTreeView(p,{treeDataProvider:w},d);return{dispose:()=>u.dispose()}}createTreeView(p,w,d){if(!w||!w.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const u=this._proxy.$registerTreeViewDataProvider(p,{showCollapseAll:!!w.showCollapseAll,canSelectMany:!!w.canSelectMany}),a=this.createExtHostTreeView(p,w,d);return{get onDidCollapseElement(){return a.onDidCollapseElement},get onDidExpandElement(){return a.onDidExpandElement},get selection(){return a.selectedElements},get onDidChangeSelection(){return a.onDidChangeSelection},get visible(){return a.visible},get onDidChangeVisibility(){return a.onDidChangeVisibility},get message(){return a.message},set message(t){a.message=t},get title(){return a.title},set title(t){a.title=t},get description(){return a.description},set description(t){a.description=t},reveal:(t,i)=>a.reveal(t,i),dispose:async()=>{await u,this.treeViews.delete(p),a.dispose()}}}$getChildren(p,w){const d=this.treeViews.get(p);return d?d.getChildren(w):Promise.reject(new Error((0,_.localize)(0,null,p)))}async $hasResolve(p){const w=this.treeViews.get(p);if(!w)throw new Error((0,_.localize)(1,null,p));return w.hasResolve}$resolve(p,w,d){const u=this.treeViews.get(p);if(!u)throw new Error((0,_.localize)(2,null,p));return u.resolveTreeItem(w,d)}$setExpanded(p,w,d){const u=this.treeViews.get(p);if(!u)throw new Error((0,_.localize)(3,null,p));u.setExpanded(w,d)}$setSelection(p,w){const d=this.treeViews.get(p);if(!d)throw new Error((0,_.localize)(4,null,p));d.setSelection(w)}$setVisible(p,w){const d=this.treeViews.get(p);if(!d)throw new Error((0,_.localize)(5,null,p));d.setVisible(w)}createExtHostTreeView(p,w,d){const u=new g(p,w,this._proxy,this.commands.converter,this.logService,d);return this.treeViews.set(p,u),u}convertArgument(p){const w=this.treeViews.get(p.$treeViewId);return w?w.getExtensionElement(p.$treeItemHandle):null}}e.ExtHostTreeViews=l;class g extends D.Disposable{constructor(p,w,d,u,a,t){super();if(this.viewId=p,this.proxy=d,this.commands=u,this.logService=a,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new I.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new I.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new I.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new I.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new I.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new b.CancellationTokenSource,t.contributes&&t.contributes.views)for(const o in t.contributes.views)for(const r of t.contributes.views[o])r.id===p&&(this._title=r.name);this.dataProvider=w.treeDataProvider,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(o=>this._onDidChangeData.fire({message:!1,element:o})));let i,s;this._register(I.Event.debounce(this._onDidChangeData.event,(o,r)=>(o||(o={message:!1,elements:[]}),r.element!==!1&&(i||(i=new Promise(c=>s=c),this.refreshPromise=this.refreshPromise.then(()=>i)),o.elements.push(r.element)),r.message&&(o.message=!0),o),200,!0)(({message:o,elements:r})=>{r.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const c=s;return i=null,this.refresh(r).then(()=>c())})),o&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(p=>this.getExtensionElement(p)).filter(p=>!(0,n.isUndefinedOrNull)(p))}getChildren(p){const w=p?this.getExtensionElement(p):void 0;if(p&&!w)return this.logService.error(`No tree item with id '${p}' found.`),Promise.resolve([]);const d=this.getChildrenNodes(p);return(d?Promise.resolve(d):this.fetchChildrenNodes(w)).then(u=>u.map(a=>a.item))}getExtensionElement(p){return this.elements.get(p)}reveal(p,w){w=w||{select:!0,focus:!1};const d=(0,n.isUndefinedOrNull)(w.select)?!0:w.select,u=(0,n.isUndefinedOrNull)(w.focus)?!1:w.focus,a=(0,n.isUndefinedOrNull)(w.expand)?!1:w.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):p?this.refreshPromise.then(()=>this.resolveUnknownParentChain(p)).then(t=>this.resolveTreeNode(p,t[t.length-1]).then(i=>this.proxy.$reveal(this.viewId,{item:i.item,parentChain:t.map(s=>s.item)},{select:d,focus:u,expand:a})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:d,focus:u,expand:a})}get message(){return this._message}set message(p){this._message=p,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(p){this._title=p,this.proxy.$setTitle(this.viewId,p,this._description)}get description(){return this._description}set description(p){this._description=p,this.proxy.$setTitle(this.viewId,this._title,p)}setExpanded(p,w){const d=this.getExtensionElement(p);d&&(w?this._onDidExpandElement.fire(Object.freeze({element:d})):this._onDidCollapseElement.fire(Object.freeze({element:d})))}setSelection(p){(0,A.equals)(this._selectedHandles,p)||(this._selectedHandles=p,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(p){p!==this._visible&&(this._visible=p,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(p,w){var d;if(!!this.dataProvider.resolveTreeItem){const u=this.elements.get(p);if(u){const a=this.nodes.get(u);if(a){const t=(d=await this.dataProvider.resolveTreeItem(a.extensionItem,u,w))!==null&&d!==void 0?d:a.extensionItem;return a.item.tooltip=this.getTooltip(t.tooltip),a.item.command=this.getCommand(a.disposableStore,t.command),a.item}}}}resolveUnknownParentChain(p){return this.resolveParent(p).then(w=>w?this.resolveUnknownParentChain(w).then(d=>this.resolveTreeNode(w,d[d.length-1]).then(u=>(d.push(u),d))):Promise.resolve([]))}resolveParent(p){const w=this.nodes.get(p);return w?Promise.resolve(w.parent?this.elements.get(w.parent.item.handle):void 0):(0,P.asPromise)(()=>this.dataProvider.getParent(p))}resolveTreeNode(p,w){const d=this.nodes.get(p);return d?Promise.resolve(d):(0,P.asPromise)(()=>this.dataProvider.getTreeItem(p)).then(u=>this.createHandle(p,u,w,!0)).then(u=>this.getChildren(w?w.item.handle:void 0).then(()=>{const a=this.getExtensionElement(u);if(a){const t=this.nodes.get(a);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${u}`)}))}getChildrenNodes(p){if(p){let w;if(typeof p=="string"){const d=this.getExtensionElement(p);w=d?this.nodes.get(d):void 0}else w=p;return w&&w.children||null}return this.roots}async fetchChildrenNodes(p){this.clearChildren(p);const w=new b.CancellationTokenSource(this._refreshCancellationSource.token);try{const d=p?this.nodes.get(p):void 0,u=await this.dataProvider.getChildren(p);if(w.token.isCancellationRequested)return[];const a=await Promise.all((0,A.coalesce)(u||[]).map(async t=>{const i=await this.dataProvider.getTreeItem(t);return i&&!w.token.isCancellationRequested?this.createAndRegisterTreeNode(t,i,d):null}));return w.token.isCancellationRequested?[]:(0,A.coalesce)(a)}finally{w.dispose()}}refresh(p){if(p.some(d=>!d))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new b.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const d=this.getHandlesToRefresh(p);if(d.length)return this.refreshHandles(d)}return Promise.resolve(void 0)}getHandlesToRefresh(p){const w=new Set;for(const u of p){const a=this.nodes.get(u);if(a&&!w.has(a.item.handle)){let t=a;for(;t&&t.parent&&!w.has(t.parent.item.handle);){const i=this.elements.get(t.parent.item.handle);t=i?this.nodes.get(i):void 0}t&&!t.parent&&w.add(a.item.handle)}}const d=[];return w.forEach(u=>{const a=this.elements.get(u);if(a){const t=this.nodes.get(a);t&&(!t.parent||!w.has(t.parent.item.handle))&&d.push(u)}}),d}refreshHandles(p){const w={};return Promise.all(p.map(d=>this.refreshNode(d).then(u=>{u&&(w[d]=u.item)}))).then(()=>Object.keys(w).length?this.proxy.$refresh(this.viewId,w):void 0)}refreshNode(p){const w=this.getExtensionElement(p);if(w){const d=this.nodes.get(w);if(d)return this.clearChildren(w),(0,P.asPromise)(()=>this.dataProvider.getTreeItem(w)).then(u=>{if(u){const a=this.createTreeNode(w,u,d.parent);return this.updateNodeCache(w,a,d,d.parent),d.dispose(),a}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(p,w,d){const u=this.createTreeNode(p,w,d);if(w.id&&this.elements.has(u.item.handle))throw new Error((0,_.localize)(6,null,w.id));return this.addNodeToCache(p,u),this.addNodeToParentCache(u,d),u}getTooltip(p){return E.MarkdownString.isMarkdownString(p)?k.MarkdownString.from(p):p}getCommand(p,w){return w?this.commands.toInternal(w,p):void 0}createTreeNode(p,w,d){const u=new D.DisposableStore,a=this.createHandle(p,w,d),t=this.getLightIconPath(w);return{item:{handle:a,parentHandle:d?d.item.handle:void 0,label:h(w.label,this.extension),description:w.description,resourceUri:w.resourceUri,tooltip:this.getTooltip(w.tooltip),command:this.getCommand(u,w.command),contextValue:w.contextValue,icon:t,iconDark:this.getDarkIconPath(w)||t,themeIcon:this.getThemeIcon(w),collapsibleState:(0,n.isUndefinedOrNull)(w.collapsibleState)?E.TreeItemCollapsibleState.None:w.collapsibleState,accessibilityInformation:w.accessibilityInformation},extensionItem:w,parent:d,children:void 0,disposableStore:u,dispose(){u.dispose()}}}getThemeIcon(p){return p.iconPath instanceof E.ThemeIcon?p.iconPath:void 0}createHandle(p,{id:w,label:d,resourceUri:u},a,t){if(w)return`${g.ID_HANDLE_PREFIX}/${w}`;const i=h(d,this.extension),s=a?a.item.handle:g.LABEL_HANDLE_PREFIX;let o=i?i.label:u?(0,y.basename)(u):"";o=o.indexOf("/")!==-1?o.replace("/","//"):o;const r=this.nodes.has(p)?this.nodes.get(p).item.handle:void 0,c=this.getChildrenNodes(a)||[];let v,C=0;do{if(v=`${s}/${C}:${o}`,t||!this.elements.has(v)||r===v)break;C++}while(C<=c.length);return v}getLightIconPath(p){if(p.iconPath&&!(p.iconPath instanceof E.ThemeIcon))return typeof p.iconPath=="string"||R.URI.isUri(p.iconPath)?this.getIconPath(p.iconPath):this.getIconPath(p.iconPath.light)}getDarkIconPath(p){if(p.iconPath&&!(p.iconPath instanceof E.ThemeIcon)&&p.iconPath.dark)return this.getIconPath(p.iconPath.dark)}getIconPath(p){return R.URI.isUri(p)?p:R.URI.file(p)}addNodeToCache(p,w){this.elements.set(w.item.handle,p),this.nodes.set(p,w)}updateNodeCache(p,w,d,u){this.elements.delete(w.item.handle),this.nodes.delete(p),w.item.handle!==d.item.handle&&this.elements.delete(d.item.handle),this.addNodeToCache(p,w);const a=this.getChildrenNodes(u)||[],t=a.filter(i=>i.item.handle===d.item.handle)[0];t&&a.splice(a.indexOf(t),1,w)}addNodeToParentCache(p,w){w?(w.children||(w.children=[]),w.children.push(p)):(this.roots||(this.roots=[]),this.roots.push(p))}clearChildren(p){if(p){const w=this.nodes.get(p);if(w){if(w.children)for(const d of w.children){const u=this.elements.get(d.item.handle);u&&this.clear(u)}w.children=void 0}}else this.clearAll()}clear(p){const w=this.nodes.get(p);if(w){if(w.children)for(const d of w.children){const u=this.elements.get(d.item.handle);u&&this.clear(u)}this.nodes.delete(p),this.elements.delete(w.item.handle),w.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(p=>p.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}g.LABEL_HANDLE_PREFIX="0",g.ID_HANDLE_PREFIX="1"}),define(ge[220],pe([0,1,12,19,54,20]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=e.OwnedTestCollection=void 0;class D{constructor(){this.testIdsToInternal=new Set}getTestById(l){return(0,_.mapFind)(this.testIdsToInternal,g=>{const S=g.get(l);return S&&[g,S]})}createForHierarchy(l=()=>{}){return new n(this.createIdMap(),l)}createIdMap(){const l=new E;return this.testIdsToInternal.add(l),{object:l,dispose:()=>this.testIdsToInternal.delete(l)}}}e.OwnedTestCollection=D;var P;(function(h){h[h.Disconnected=0]="Disconnected",h[h.IsChild=1]="IsChild",h[h.IsParent=2]="IsParent",h[h.IsSame=3]="IsSame"})(P=e.TestPosition||(e.TestPosition={}));class E{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(l){if(this.map.has(l.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${l.item.extId}`);this.map.set(l.item.extId,l),l.parent||this._roots.add(l)}has(l){return this.map.has(l)}delete(l){const g=this.map.get(l);return g?(this.map.delete(l),this._roots.delete(g),!0):!1}get(l){return this.map.get(l)}comparePositions(l,g){const S=typeof l=="string"?this.map.get(l):l,p=typeof g=="string"?this.map.get(g):g;if(!S||!p)return 0;if(S===p)return 3;for(let w=this.map.get(p.parent);w;w=this.map.get(w.parent))if(w===S)return 1;for(let w=this.map.get(S.parent);w;w=this.map.get(w.parent))if(w===p)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=E;class n{constructor(l,g){this.testIdToInternal=l,this.publishDiff=g,this.testItemToInternal=new Map,this.diff=[],this.disposed=!1,this.debounceSendDiff=new y.RunOnceScheduler(()=>this.throttleSendDiff(),2)}addRoot(l,g){this.addItem(l,g,null),this.debounceSendDiff.schedule()}getTestByReference(l){return this.testItemToInternal.get(l)}onItemChange(l,g){const S=this.testItemToInternal.get(l);if(!S){this.disposed||console.warn("Received a TestProvider.onDidChangeTest for a test that wasn't seen before as a child.");return}this.addItem(l,g,S.parent),this.debounceSendDiff.schedule()}collectDiff(){const l=this.diff;return this.diff=[],l}pushDiff(l){this.diff.push(l),this.debounceSendDiff.schedule()}dispose(){this.testIdToInternal.dispose(),this.diff=[],this.disposed=!0}addItem(l,g,S){let p=this.testItemToInternal.get(l);if(p)p.previousEquals(l)||(p.item=I.TestItem.from(l),p.previousEquals=b(l),this.diff.push([1,{parent:S,providerId:g,item:p.item}]));else{if(this.testIdToInternal.object.has(l.id))throw new Error(`Attempted to insert a duplicate test item ID ${l.id}`);p={actual:l,parent:S,item:I.TestItem.from(l),providerId:g,previousChildren:new Set,previousEquals:b(l)},this.testIdToInternal.object.add(p),this.testItemToInternal.set(l,p),this.diff.push([0,{parent:S,providerId:g,item:p.item}])}if(l.children){const w=p.previousChildren,d=new Set;for(const u of l.children){const a=this.testIdToInternal.object.get(u.id);a&&a.actual!==u&&this.removeItembyId(u.id);const t=this.addItem(u,g,p.item.extId);w.delete(t.item.extId),d.add(t.item.extId)}for(const u of w)this.removeItembyId(u);p.previousChildren=d}return p}removeItembyId(l){this.diff.push([2,l]);const g=[this.testIdToInternal.object.get(l)];for(;g.length;){const S=g.pop();if(!!S){this.testIdToInternal.object.delete(S.item.extId),this.testItemToInternal.delete(S.actual);for(const p of S.previousChildren)g.push(this.testIdToInternal.object.get(p))}}}throttleSendDiff(){this.flushDiff()}flushDiff(){const l=this.collectDiff();l.length&&this.publishDiff(l)}}je([(0,R.throttle)(200)],n.prototype,"throttleSendDiff",null),e.SingleUseTestCollection=n;const k=Object.keys({id:null,label:null,location:null,debuggable:null,description:null,runnable:null}),b=h=>{const l=[];for(const g of k)l.push(h[g]);return g=>{for(let S=0;S<k.length;S++)if(l[S]!==g[k[S]])return!1;return!0}}}),define(ge[221],pe([0,1,29,3,7]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class I{constructor(A){this.removedDueToLooping=A}}e.DeltaExtensionsResult=I;class D{constructor(A){this._onDidChange=new y.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=A,this._initialize()}_initialize(){this._extensionDescriptions.sort(E),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const A of this._extensionDescriptions){if(this._extensionsMap.has(_.ExtensionIdentifier.toKey(A.identifier))){console.error("Extension `"+A.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(_.ExtensionIdentifier.toKey(A.identifier),A),this._extensionsArr.push(A),Array.isArray(A.activationEvents))for(let k of A.activationEvents)k==="onUri"&&(k=`onUri:${_.ExtensionIdentifier.toKey(A.identifier)}`),this._activationMap.has(k)||this._activationMap.set(k,[]),this._activationMap.get(k).push(A)}}keepOnly(A){const k=new Set;A.forEach(b=>k.add(_.ExtensionIdentifier.toKey(b))),this._extensionDescriptions=this._extensionDescriptions.filter(b=>k.has(_.ExtensionIdentifier.toKey(b.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(A,k){A.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(A));const b=D._findLoopingExtensions(this._extensionDescriptions);if(k=k.concat(b.map(h=>h.identifier)),k.length>0){const h=new Set;k.forEach(l=>h.add(_.ExtensionIdentifier.toKey(l))),this._extensionDescriptions=this._extensionDescriptions.filter(l=>!h.has(_.ExtensionIdentifier.toKey(l.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new I(b)}static _findLoopingExtensions(A){const k=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(S){this._nodesSet.has(S)||(this._nodesSet.add(S),this._nodesArr.push(S))}addArc(S,p){this.addNode(S),this.addNode(p),this._arcs.has(S)?this._arcs.get(S).push(p):this._arcs.set(S,[p])}getArcs(S){return this._arcs.has(S)?this._arcs.get(S):[]}hasOnlyGoodArcs(S,p){const w=k.getArcs(S);for(let d=0;d<w.length;d++)if(!p.has(w[d]))return!1;return!0}getNodes(){return this._nodesArr}};let b=new Map;for(let S of A){const p=_.ExtensionIdentifier.toKey(S.identifier);if(b.set(p,S),S.extensionDependencies)for(let w of S.extensionDependencies){const d=_.ExtensionIdentifier.toKey(w);k.addArc(p,d)}}let h=new Set;k.getNodes().filter(S=>k.getArcs(S).length===0).forEach(S=>h.add(S));let l=k.getNodes().filter(S=>!h.has(S)),g;do{g=!1;for(let S=0;S<l.length;S++){const p=l[S];k.hasOnlyGoodArcs(p,h)&&(l.splice(S,1),S--,h.add(p),g=!0)}}while(g);return l.map(S=>b.get(S))}containsActivationEvent(A){return this._activationMap.has(A)}containsExtension(A){return this._extensionsMap.has(_.ExtensionIdentifier.toKey(A))}getExtensionDescriptionsForActivationEvent(A){const k=this._activationMap.get(A);return k?k.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(A){const k=this._extensionsMap.get(_.ExtensionIdentifier.toKey(A));return k||void 0}}e.ExtensionDescriptionRegistry=D;var P;(function(n){n[n.Builtin=0]="Builtin",n[n.User=1]="User",n[n.Dev=2]="Dev"})(P||(P={}));function E(n,A){const k=n.isBuiltin?0:n.isUnderDevelopment?2:1,b=A.isBuiltin?0:A.isUnderDevelopment?2:1;if(k!==b)return k-b;const h=R.posix.basename(n.extensionLocation.path),l=R.posix.basename(A.extensionLocation.path);return h<l?-1:h>l?1:0}}),define(ge[222],pe([0,1,26]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var y;(function(P){P[P.VersionMismatch=55]="VersionMismatch",P[P.UnexpectedError=81]="UnexpectedError"})(y=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var R;(function(P){P[P.Initialized=0]="Initialized",P[P.Ready=1]="Ready",P[P.Terminate=2]="Terminate"})(R=e.MessageType||(e.MessageType={}));function I(P){const E=_.VSBuffer.alloc(1);switch(P){case 0:E.writeUInt8(1,0);break;case 1:E.writeUInt8(2,0);break;case 2:E.writeUInt8(3,0);break}return E}e.createMessageOfType=I;function D(P,E){if(P.byteLength!==1)return!1;switch(P.readUInt8(0)){case 1:return E===0;case 2:return E===1;case 3:return E===2;default:return!1}}e.isMessageOfType=D}),define(ge[41],pe([0,1,3,2,4,29,181]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwRequiresWorkspaceTrustError=e.checkRequiresWorkspaceTrust=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingDependencyError=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new I.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:y.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,R.createDecorator)("extensionService");class P{constructor(u){this.dependency=u}}e.MissingDependencyError=P;var E;(function(d){d[d.LocalProcess=0]="LocalProcess",d[d.LocalWebWorker=1]="LocalWebWorker",d[d.Remote=2]="Remote"})(E=e.ExtensionHostKind||(e.ExtensionHostKind={}));class n{constructor(u,a,t,i){this.codeLoadingTime=u,this.activateCallTime=a,this.activateResolvedTime=t,this.activationReason=i}}e.ActivationTimes=n;class A{constructor(u,a){this.description=u,this.value=a}}e.ExtensionPointContribution=A,e.ExtensionHostLogFileName="exthost";var k;(function(d){d[d.Normal=0]="Normal",d[d.Immediate=1]="Immediate"})(k=e.ActivationKind||(e.ActivationKind={}));function b(d){d.enableProposedApi||h(d)}e.checkProposedApiEnabled=b;function h(d){throw new Error(`[${d.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${d.identifier.value}`)}e.throwProposedApiError=h;function l(d){d.requiresWorkspaceTrust||g(d)}e.checkRequiresWorkspaceTrust=l;function g(d){throw new Error(`[${d.identifier.value}]: This API is only available when the "requiresWorkspaceTrust" is set to "onStart" or "onDemand" in the extension's package.json.`)}e.throwRequiresWorkspaceTrustError=g;function S(d){return{type:d.isBuiltin?0:1,isBuiltin:d.isBuiltin||d.isUserBuiltin,identifier:{id:(0,D.getGalleryExtensionId)(d.publisher,d.name),uuid:d.uuid},manifest:d,location:d.extensionLocation}}e.toExtension=S;function p(d){return Object.assign(Object.assign({identifier:new I.ExtensionIdentifier(d.identifier.id),isBuiltin:d.type===0,isUserBuiltin:d.type===1&&d.isBuiltin,isUnderDevelopment:!1,extensionLocation:d.location},d.manifest),{uuid:d.identifier.uuid})}e.toExtensionDescription=p;class w{constructor(){this.onDidRegisterExtensions=_.Event.None,this.onDidChangeExtensionsStatus=_.Event.None,this.onDidChangeExtensions=_.Event.None,this.onWillActivateByEvent=_.Event.None,this.onDidChangeResponsiveChange=_.Event.None}activateByEvent(u){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(u){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(u){return Promise.resolve(0)}restartExtensionHost(){}async setRemoteEnvironment(u){}canAddExtension(){return!1}canRemoveExtension(){return!1}_logOrShowMessage(u,a){}_activateById(u,a){return Promise.resolve()}_onWillActivateExtension(u){}_onDidActivateExtension(u,a,t,i,s){}_onExtensionRuntimeError(u,a){}_onExtensionHostExit(u){}}e.NullExtensionService=w}),define(ge[223],pe([0,1,158,29,41,13]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const D=Promise.resolve(void 0);class P{constructor(g,S,p,w){this.startup=g,this.codeLoadingTime=S,this.activateCallTime=p,this.activateResolvedTime=w}}e.ExtensionActivationTimes=P,P.NONE=new P(!1,-1,-1,-1);class E{constructor(g){this._startup=g,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(g,S){return g===-1||S===-1?-1:S-g}build(){return new P(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=E;class n{constructor(g,S,p,w,d,u){this.activationFailed=g,this.activationFailedError=S,this.activationTimes=p,this.module=w,this.exports=d,this.subscriptions=u}}e.ActivatedExtension=n;class A extends n{constructor(g){super(!1,null,g,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=A;class k extends n{constructor(){super(!1,null,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=k;class b extends n{constructor(g){super(!0,g,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=b;let h=class{constructor(g,S,p,w,d){this._logService=d,this._registry=g,this._resolvedExtensionsSet=new Set,S.forEach(u=>this._resolvedExtensionsSet.add(y.ExtensionIdentifier.toKey(u))),this._hostExtensionsMap=new Map,p.forEach(u=>this._hostExtensionsMap.set(y.ExtensionIdentifier.toKey(u),u)),this._host=w,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(g){const S=y.ExtensionIdentifier.toKey(g);return this._activatedExtensions.has(S)}getActivatedExtension(g){const S=y.ExtensionIdentifier.toKey(g),p=this._activatedExtensions.get(S);if(!p)throw new Error("Extension `"+g.value+"` is not known or not activated");return p}activateByEvent(g,S){if(this._alreadyActivatedEvents[g])return D;const p=this._registry.getExtensionDescriptionsForActivationEvent(g);return this._activateExtensions(p.map(w=>({id:w.identifier,reason:{startup:S,extensionId:w.identifier,activationEvent:g}}))).then(()=>{this._alreadyActivatedEvents[g]=!0})}activateById(g,S){const p=this._registry.getExtensionDescription(g);if(!p)throw new Error("Extension `"+g+"` is not known");return this._activateExtensions([{id:p.identifier,reason:S}])}_handleActivateRequest(g,S,p){if(this._hostExtensionsMap.has(y.ExtensionIdentifier.toKey(g.id))){S[y.ExtensionIdentifier.toKey(g.id)]=g;return}const w=this._registry.getExtensionDescription(g.id);if(!w){this._host.onExtensionActivationError(g.id,new R.MissingDependencyError(g.id.value));const a=new Error(`Unknown dependency '${g.id.value}'`);this._activatedExtensions.set(y.ExtensionIdentifier.toKey(g.id),new b(a));return}const d=typeof w.extensionDependencies=="undefined"?[]:w.extensionDependencies;let u=!0;for(let a=0,t=d.length;a<t;a++){const i=d[a];if(!this._resolvedExtensionsSet.has(y.ExtensionIdentifier.toKey(i))){const s=this._activatedExtensions.get(y.ExtensionIdentifier.toKey(i));if(!(s&&!s.activationFailed)){if(s&&s.activationFailed){this._host.onExtensionActivationError(w.identifier,_.localize(0,null,w.displayName||w.identifier.value,i));const c=new Error(`Dependency ${i} failed to activate`);c.detail=s.activationFailedError,this._activatedExtensions.set(y.ExtensionIdentifier.toKey(w.identifier),new b(c));return}if(this._hostExtensionsMap.has(y.ExtensionIdentifier.toKey(i))){u=!1,S[y.ExtensionIdentifier.toKey(i)]={id:this._hostExtensionsMap.get(y.ExtensionIdentifier.toKey(i)),reason:g.reason};continue}const o=this._registry.getExtensionDescription(i);if(o){u=!1,S[y.ExtensionIdentifier.toKey(i)]={id:o.identifier,reason:g.reason};continue}this._host.onExtensionActivationError(w.identifier,new R.MissingDependencyError(i));const r=new Error(`Unknown dependency '${i}'`);this._activatedExtensions.set(y.ExtensionIdentifier.toKey(w.identifier),new b(r));return}}}u?S[y.ExtensionIdentifier.toKey(w.identifier)]=g:p.push(g)}_activateExtensions(g){if(g.length===0||(g=g.filter(d=>!this._activatedExtensions.has(y.ExtensionIdentifier.toKey(d.id))),g.length===0))return Promise.resolve(void 0);const S=Object.create(null),p=[];for(let d=0,u=g.length;d<u;d++)this._handleActivateRequest(g[d],S,p);for(let d=0,u=p.length;d<u;d++){const a=y.ExtensionIdentifier.toKey(p[d].id);S[a]&&delete S[a]}const w=Object.keys(S).map(d=>S[d]);return p.length===0?Promise.all(w.map(d=>this._activateExtension(d.id,d.reason))).then(d=>{}):this._activateExtensions(w).then(d=>this._activateExtensions(p))}_activateExtension(g,S){const p=y.ExtensionIdentifier.toKey(g);if(this._activatedExtensions.has(p))return Promise.resolve(void 0);const w=this._activatingExtensions.get(p);if(w)return w;const d=this._host.actualActivateExtension(g,S).then(void 0,u=>(this._host.onExtensionActivationError(g,_.localize(1,null,g.value,u.message)),this._logService.error(`Activating extension ${g.value} failed due to an error:`),this._logService.error(u),new b(u))).then(u=>{this._activatedExtensions.set(p,u),this._activatingExtensions.delete(p)});return this._activatingExtensions.set(p,d),d}};h=je([Ue(4,I.ILogService)],h),e.ExtensionsActivator=h}),define(ge[224],pe([0,1,13,41,27,11,109]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let P=class extends _.LogService{constructor(n){if(n.logFile.scheme!==I.Schemas.file)throw new Error("Only file-logging supported");super(new D.SpdLogLogger(y.ExtensionHostLogFileName,n.logFile.fsPath,!0,n.logLevel))}$setLevel(n){this.setLevel(n)}};P=je([Ue(0,R.IExtHostInitDataService)],P),e.ExtHostLogService=P}),define(ge[225],pe([0,1,18]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class y{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((I,D)=>{this._actualOk=I,this._actualErr=D,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(I){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=I,this._actual&&this._actualOk(I))}resolveErr(I){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=I,this._actual?this._actualErr(I):(0,_.onUnexpectedError)(I))}then(I,D){return this._ensureActual().then(I,D)}catch(I){return this._ensureActual().then(void 0,I)}finally(I){return this._ensureActual().finally(I)}}e.LazyPromise=y}),define(ge[122],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class _{constructor(E,n){this.isMain=E,this.sid=n,this.nid=++_.count}}e.ProxyIdentifier=_,_.count=0;const y=[];function R(P){const E=new _(!0,P);return y[E.nid]=E,E}e.createMainContextProxyIdentifier=R;function I(P){const E=new _(!1,P);return y[E.nid]=E,E}e.createExtHostContextProxyIdentifier=I;function D(P){return y[P].sid}e.getStringIdentifierForProxy=D}),define(ge[5],pe([0,1,2,122,57]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.CellKind=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var I;(function(d){d[d.Desktop=1]="Desktop",d[d.Web=2]="Web"})(I=e.UIKind||(e.UIKind={}));var D;(function(d){d[d.Default=0]="Default",d[d.InCenter=1]="InCenter",d[d.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",d[d.AtTop=3]="AtTop"})(D=e.TextEditorRevealType||(e.TextEditorRevealType={}));var P;(function(d){d[d.Editable=0]="Editable",d[d.SupportsHotExit=1]="SupportsHotExit"})(P=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var E;(function(d){d[d.Markdown=1]="Markdown",d[d.Code=2]="Code"})(E=e.CellKind||(e.CellKind={}));var n;(function(d){d[d.Text=1]="Text",d[d.Error=2]="Error",d[d.Rich=3]="Rich"})(n=e.CellOutputKind||(e.CellOutputKind={}));var A;(function(d){d[d.Default=0]="Default",d[d.InCenter=1]="InCenter",d[d.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",d[d.AtTop=3]="AtTop"})(A=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var k;(function(d){d[d.None=0]="None",d[d.Process=1]="Process",d[d.Output=2]="Output"})(k=e.CandidatePortSource||(e.CandidatePortSource={}));var b;(function(d){d.name="$ident";function u(t,i){return Object.defineProperty(t,d.name,{value:i,enumerable:!0}),t}d.mixin=u;function a(t){return t[d.name]}d.of=a})(b=e.ObjectIdentifier||(e.ObjectIdentifier={}));class h{static mixin(u){return u._id=h._n++,u}}e.IdObject=h,h._n=0;var l;(function(d){d.label="a",d.kind="b",d.detail="c",d.documentation="d",d.sortText="e",d.filterText="f",d.preselect="g",d.insertText="h",d.insertTextRules="i",d.range="j",d.commitCharacters="k",d.additionalTextEdits="l",d.command="m",d.kindModifier="n",d.label2="o"})(l=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var g;(function(d){d.defaultRanges="a",d.completions="b",d.isIncomplete="c",d.duration="d"})(g=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var S;(function(d){d[d.File=1]="File",d[d.Text=2]="Text",d[d.Cell=3]="Cell"})(S=e.WorkspaceEditType||(e.WorkspaceEditType={}));function p(d){if(d&&d.edits)for(const u of d.edits)typeof u.resource=="object"?u.resource=_.URI.revive(u.resource):(u.newUri=_.URI.revive(u.newUri),u.oldUri=_.URI.revive(u.oldUri)),u.metadata&&u.metadata.iconPath&&(u.metadata=(0,R.revive)(u.metadata));return d}e.reviveWorkspaceEditDto=p;var w;(function(d){d[d.Workspace=0]="Workspace",d[d.TextDocument=1]="TextDocument"})(w=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,y.createMainContextProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,y.createMainContextProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,y.createMainContextProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,y.createMainContextProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,y.createMainContextProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,y.createMainContextProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,y.createMainContextProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,y.createMainContextProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,y.createMainContextProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,y.createMainContextProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,y.createMainContextProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,y.createMainContextProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,y.createMainContextProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,y.createMainContextProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,y.createMainContextProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,y.createMainContextProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,y.createMainContextProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,y.createMainContextProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,y.createMainContextProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,y.createMainContextProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,y.createMainContextProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,y.createMainContextProxyIdentifier)("MainThreadLanguages"),MainThreadLog:(0,y.createMainContextProxyIdentifier)("MainThread"),MainThreadMessageService:(0,y.createMainContextProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,y.createMainContextProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,y.createMainContextProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,y.createMainContextProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,y.createMainContextProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,y.createMainContextProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,y.createMainContextProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,y.createMainContextProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,y.createMainContextProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,y.createMainContextProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,y.createMainContextProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,y.createMainContextProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,y.createMainContextProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,y.createMainContextProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,y.createMainContextProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,y.createMainContextProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,y.createMainContextProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,y.createMainContextProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,y.createMainContextProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,y.createMainContextProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,y.createMainContextProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,y.createMainContextProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,y.createMainContextProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,y.createMainContextProxyIdentifier)("MainThreadNotebook"),MainThreadTheming:(0,y.createMainContextProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,y.createMainContextProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,y.createMainContextProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,y.createMainContextProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,y.createExtHostContextProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,y.createExtHostContextProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,y.createExtHostContextProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,y.createExtHostContextProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,y.createExtHostContextProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,y.createExtHostContextProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:(0,y.createExtHostContextProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,y.createExtHostContextProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,y.createExtHostContextProxyIdentifier)("ExtHostExtensionService"),ExtHostLogService:(0,y.createExtHostContextProxyIdentifier)("ExtHostLogService"),ExtHostTerminalService:(0,y.createExtHostContextProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,y.createExtHostContextProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,y.createExtHostContextProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,y.createExtHostContextProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,y.createExtHostContextProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,y.createExtHostContextProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,y.createMainContextProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,y.createMainContextProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,y.createMainContextProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,y.createMainContextProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,y.createExtHostContextProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,y.createExtHostContextProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,y.createMainContextProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,y.createMainContextProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,y.createMainContextProxyIdentifier)("ExtHostNotebook"),ExtHostTheming:(0,y.createMainContextProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,y.createMainContextProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,y.createMainContextProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,y.createMainContextProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,y.createMainContextProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,y.createMainContextProxyIdentifier)("ExtHostTelemetry")}}),define(ge[86],pe([0,1,5,3,4]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class I{constructor(P){this._onDidChangePassword=new y.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=P.getProxy(_.MainContext.MainThreadSecretState)}async $onDidChangePassword(P){this._onDidChangePassword.fire(P)}get(P,E){return this._proxy.$getPassword(P,E)}store(P,E,n){return this._proxy.$setPassword(P,E,n)}delete(P,E){return this._proxy.$deletePassword(P,E)}}e.ExtHostSecretState=I,e.IExtHostSecretState=(0,R.createDecorator)("IExtHostSecretState")}),define(ge[63],pe([0,1,4,13,5,14]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,_.createDecorator)("IExtHostApiDeprecationService");let D=class{constructor(E,n){this._extHostLogService=n,this._reportedUsages=new Set,this._telemetryShape=E.getProxy(R.MainContext.MainThreadTelemetry)}report(E,n,A){const k=this.getUsageKey(E,n);this._reportedUsages.has(k)||(this._reportedUsages.add(k),n.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${E}' is deprecated. ${A}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:n.identifier.value,apiId:E}))}getUsageKey(E,n){return`${E}-${n.identifier.value}`}};D=je([Ue(0,I.IExtHostRpcService),Ue(1,y.ILogService)],D),e.ExtHostApiDeprecationService=D,e.NullApiDeprecationService=Object.freeze(new class{report(P,E,n){}})}),define(ge[226],pe([0,1,3,5,8,29]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class D{constructor(E){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new _.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new _.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=E.getProxy(y.MainContext.MainThreadAuthentication)}$setProviders(E){return this._providers=E,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(E,n,A,k={}){const b=I.ExtensionIdentifier.toKey(E.identifier),h=this._inFlightRequests.get(b)||[],l=A.sort().join(" ");let g=h.find(S=>S.scopes===l);if(g)return g.result;{const S=this._getSession(E,b,n,A,k);g={scopes:l,result:S},h.push(g),this._inFlightRequests.set(b,h);try{await S}finally{const p=h.findIndex(w=>w.scopes===l);p>-1&&(h.splice(p),this._inFlightRequests.set(b,h))}return S}}async _getSession(E,n,A,k,b={}){await this._proxy.$ensureProvider(A);const h=E.displayName||E.name;return this._proxy.$getSession(A,k,n,h,b)}async removeSession(E,n){const A=this._authenticationProviders.get(E);return A?A.provider.removeSession(n):this._proxy.$removeSession(E,n)}registerAuthenticationProvider(E,n,A,k){var b;if(this._authenticationProviders.get(E))throw new Error(`An authentication provider with id '${E}' is already registered.`);this._authenticationProviders.set(E,{label:n,provider:A,options:k!=null?k:{supportsMultipleAccounts:!1}}),this._providers.find(l=>l.id===E)||this._providers.push({id:E,label:n});const h=A.onDidChangeSessions(l=>{var g,S,p;this._proxy.$sendDidChangeSessions(E,{added:(g=l.added)!==null&&g!==void 0?g:[],changed:(S=l.changed)!==null&&S!==void 0?S:[],removed:(p=l.removed)!==null&&p!==void 0?p:[]})});return this._proxy.$registerAuthenticationProvider(E,n,(b=k==null?void 0:k.supportsMultipleAccounts)!==null&&b!==void 0?b:!1),new R.Disposable(()=>{h.dispose(),this._authenticationProviders.delete(E);const l=this._providers.findIndex(g=>g.id===E);l>-1&&this._providers.splice(l),this._proxy.$unregisterAuthenticationProvider(E)})}$createSession(E,n){const A=this._authenticationProviders.get(E);if(A)return Promise.resolve(A.provider.createSession(n));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$removeSession(E,n){const A=this._authenticationProviders.get(E);if(A)return Promise.resolve(A.provider.removeSession(n));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$getSessions(E,n){const A=this._authenticationProviders.get(E);if(A)return Promise.resolve(A.provider.getSessions(n));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$onDidChangeAuthenticationSessions(E,n){return this._onDidChangeSessions.fire({provider:{id:E,label:n}}),Promise.resolve()}$onDidChangeAuthenticationProviders(E,n){return E.forEach(A=>{this._providers.some(k=>k.id===A.id)||this._providers.push(A)}),n.forEach(A=>{const k=this._providers.findIndex(b=>b.id===A.id);k>-1&&this._providers.splice(k)}),this._onDidChangeAuthenticationProviders.fire({added:E,removed:n}),Promise.resolve()}}e.ExtHostAuthentication=D}),define(ge[227],pe([0,1,5,14,20]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let I=class{constructor(P,E){this._extHostDocumentsAndEditors=E,this._proxy=P.getProxy(_.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(P){const E=R.WorkspaceEdit.from(P,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(E)}};I=je([Ue(0,y.IExtHostRpcService)],I),e.ExtHostBulkEdits=I}),define(ge[228],pe([0,1,5]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class y{constructor(I){const D=I.getProxy(_.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return D.$readText()},writeText(P){return D.$writeText(P)}})}}e.ExtHostClipboard=y}),define(ge[51],pe([0,1,15,8,20,22,5,12,13,57,43,49,2,6,4,14]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let S=class{constructor(t,i){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(D.MainContext.MainThreadCommands),this._logService=i,this.converter=new p(this,s=>{const o=this._apiCommands.get(s);return(o==null?void 0:o.result)===d.Void?o:void 0},i),this._argumentProcessors=[{processArgument(s){return(0,n.revive)(s)}},{processArgument(s){return(0,I.cloneAndChange)(s,function(o){if(A.Range.isIRange(o))return R.Range.to(o);if(k.Position.isIPosition(o))return R.Position.to(o);if(A.Range.isIRange(o.range)&&b.URI.isUri(o.uri))return R.location.to(o);if(!Array.isArray(o))return o})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const i=this.registerCommand(!1,t.id,async(...s)=>{const o=t.args.map((c,v)=>{if(!c.validate(s[v]))throw new Error(`Invalid argument '${c.name}' when running '${t.id}', received: ${s[v]}`);return c.convert(s[v])}),r=await this.executeCommand(t.internalId,...o);return t.result.convert(r,s,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new y.Disposable(()=>{i.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,i,s,o,r){if(this._logService.trace("ExtHostCommands#registerCommand",i),!i.trim().length)throw new Error("invalid id");if(this._commands.has(i))throw new Error(`command '${i}' already exists`);return this._commands.set(i,{callback:s,thisArg:o,description:r}),t&&this._proxy.$registerCommand(i),new y.Disposable(()=>{this._commands.delete(i)&&t&&this._proxy.$unregisterCommand(i)})}executeCommand(t,...i){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,i,!0)}async _doExecuteCommand(t,i,s){if(this._commands.has(t))return this._executeContributedCommand(t,i);{const o=(0,I.cloneAndChange)(i,function(r){if(r instanceof y.Position)return R.Position.from(r);if(r instanceof y.Range)return R.Range.from(r);if(r instanceof y.Location)return R.location.from(r);if(!Array.isArray(r))return r});try{const r=await this._proxy.$executeCommand(t,o,s);return(0,n.revive)(r)}catch(r){if(r instanceof Error&&r.message==="$executeCommand:retry")return this._doExecuteCommand(t,i,!1);throw r}}}async _executeContributedCommand(t,i){const s=this._commands.get(t);if(!s)throw new Error("Unknown command");let{callback:o,thisArg:r,description:c}=s;if(c)for(let v=0;v<c.args.length;v++)try{(0,_.validateConstraint)(i[v],c.args[v].constraint)}catch(C){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${c.args[v].name}' - ${c.args[v].description}`)}try{return await o.apply(r,i)}catch(v){if(t===this.converter.delegatingCommandId){const C=this.converter.getActualCommand(...i);C&&(t=C.command)}throw this._logService.error(v,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...i){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(i=i.map(s=>this._argumentProcessors.reduce((o,r)=>r.processArgument(o),s)),this._executeContributedCommand(t,i)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(i=>(t&&(i=i.filter(s=>s[0]!=="_")),i))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[i,s]of this._commands){let{description:o}=s;o&&(t[i]=o)}return Promise.resolve(t)}};S=je([Ue(0,g.IExtHostRpcService),Ue(1,E.ILogService)],S),e.ExtHostCommands=S,e.IExtHostCommands=(0,l.createDecorator)("IExtHostCommands");class p{constructor(t,i,s){this._commands=t,this._lookupApiCommand=i,this._logService=s,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,i){if(!!t){const s={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return s;const o=this._lookupApiCommand(t.command);if(o)s.id=o.internalId,s.arguments=o.args.map((r,c)=>r.convert(t.arguments&&t.arguments[c]));else if((0,P.isNonEmptyArray)(t.arguments)){const r=++this._cachIdPool;this._cache.set(r,t),i.add((0,h.toDisposable)(()=>{this._cache.delete(r),this._logService.trace("CommandsConverter#DISPOSE",r)})),s.$ident=r,s.id=this.delegatingCommandId,s.arguments=[r],this._logService.trace("CommandsConverter#CREATE",t.command,r)}return s}}fromInternal(t){const i=D.ObjectIdentifier.of(t);return typeof i=="number"?this._cache.get(i):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const i=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],i?i.command:"MISSING"),i?this._commands.executeCommand(i.command,...i.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=p;class w{constructor(t,i,s,o){this.name=t,this.description=i,this.validate=s,this.convert=o}optional(){return new w(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,i){return new w(t!=null?t:this.name,i!=null?i:this.description,this.validate,this.convert)}}e.ApiCommandArgument=w,w.Uri=new w("uri","Uri of a text document",a=>b.URI.isUri(a),a=>a),w.Position=new w("position","A position in a text document",a=>y.Position.isPosition(a),R.Position.from),w.Range=new w("range","A range in a text document",a=>y.Range.isRange(a),R.Range.from),w.Selection=new w("selection","A selection in a text document",a=>y.Selection.isSelection(a),R.Selection.from),w.Number=new w("number","",a=>typeof a=="number",a=>a),w.String=new w("string","",a=>typeof a=="string",a=>a),w.CallHierarchyItem=new w("item","A call hierarchy item",a=>a instanceof y.CallHierarchyItem,R.CallHierarchyItem.to);class d{constructor(t,i){this.description=t,this.convert=i}}e.ApiCommandResult=d,d.Void=new d("no result",a=>a);class u{constructor(t,i,s,o,r){this.id=t,this.internalId=i,this.description=s,this.args=o,this.result=r}}e.ApiCommand=u}),define(ge[229],pe([0,1,6,20,8,80,51,199,12,106]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const A=[new D.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",b(y.DocumentHighlight.to))),new D.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[D.ApiCommandArgument.Uri],new D.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",(l,g)=>{if(!(0,E.isFalsyOrEmpty)(l)){class S extends R.SymbolInformation{static to(w){const d=new S(w.name,y.SymbolKind.to(w.kind),w.containerName||"",new R.Location(g[0],y.Range.to(w.range)));return d.detail=w.detail,d.range=d.location.range,d.selectionRange=y.Range.to(w.selectionRange),d.children=w.children?w.children.map(S.to):[],d}}return l.map(S.to)}})),new D.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[D.ApiCommandArgument.Uri,new D.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new D.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(y.TextEdit.to))),new D.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Range,new D.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new D.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(y.TextEdit.to))),new D.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position,new D.ApiCommandArgument("ch","Trigger character",l=>typeof l=="string",l=>l),new D.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new D.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(y.TextEdit.to))),new D.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",h)),new D.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",h)),new D.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",h)),new D.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",h)),new D.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A promise that resolves to an array of Location-instances.",b(y.location.to))),new D.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A promise that resolves to an array of Hover-instances.",b(y.Hover.to))),new D.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[D.ApiCommandArgument.Uri,new D.ApiCommandArgument("position","A position in a text document",l=>Array.isArray(l)&&l.every(g=>R.Position.isPosition(g)),l=>l.map(y.Position.from))],new D.ApiCommandResult("A promise that resolves to an array of ranges.",l=>l.map(g=>{let S;for(const p of g.reverse())S=new R.SelectionRange(y.Range.to(p),S);return S}))),new D.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[D.ApiCommandArgument.String.with("query","Search string")],new D.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",l=>{const g=[];if(Array.isArray(l))for(let S of l)g.push(...S[1].map(y.WorkspaceSymbol.to));return g})),new D.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position],new D.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(y.CallHierarchyItem.to))),new D.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[D.ApiCommandArgument.CallHierarchyItem],new D.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(y.CallHierarchyIncomingCall.to))),new D.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[D.ApiCommandArgument.CallHierarchyItem],new D.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(y.CallHierarchyOutgoingCall.to))),new D.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position,D.ApiCommandArgument.String.with("newName","The new symbol name")],new D.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",l=>{if(!!l){if(l.rejectReason)throw new Error(l.rejectReason);return y.WorkspaceEdit.to(l)}})),new D.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new D.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",l=>l.map(y.DocumentLink.to))),new D.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[D.ApiCommandArgument.Uri],new D.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new R.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new D.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[D.ApiCommandArgument.Uri],new D.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!!l){const g=(0,n.decodeSemanticTokensDto)(l);if(g.type==="full")return new R.SemanticTokens(g.data,void 0)}})),new D.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[D.ApiCommandArgument.Uri],new D.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new R.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new D.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Range],new D.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!!l){const g=(0,n.decodeSemanticTokensDto)(l);if(g.type==="full")return new R.SemanticTokens(g.data,void 0)}})),new D.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position,D.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),D.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new D.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(l,g,S)=>{if(!l)return new R.CompletionList([]);const p=l.suggestions.map(w=>y.CompletionItem.to(w,S));return new R.CompletionList(p,l.incomplete)})),new D.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Position,D.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new D.ApiCommandResult("A promise that resolves to SignatureHelp.",l=>{if(l)return y.SignatureHelp.to(l)})),new D.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new D.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(l,g,S)=>b(p=>new R.CodeLens(y.Range.to(p.range),p.command&&S.fromInternal(p.command)))(l))),new D.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[D.ApiCommandArgument.Uri,new D.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",l=>R.Range.isRange(l),l=>R.Selection.isSelection(l)?y.Selection.from(l):y.Range.from(l)),D.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),D.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new D.ApiCommandResult("A promise that resolves to an array of Command-instances.",(l,g,S)=>b(p=>{if(p._isSynthetic){if(!p.command)throw new Error("Synthetic code actions must have a command");return S.fromInternal(p.command)}else{const w=new R.CodeAction(p.title,p.kind?new R.CodeActionKind(p.kind):void 0);return p.edit&&(w.edit=y.WorkspaceEdit.to(p.edit)),p.command&&(w.command=S.fromInternal(p.command)),w.isPreferred=p.isPreferred,w}})(l))),new D.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[D.ApiCommandArgument.Uri],new D.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",l=>l?l.map(g=>new R.ColorInformation(y.Range.to(g.range),y.Color.to(g.color))):[])),new D.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new D.ApiCommandArgument("color","The color to show and insert",l=>l instanceof R.Color,y.Color.from),new D.ApiCommandArgument("context","Context object with uri and range",l=>!0,l=>({uri:l.uri,range:y.Range.from(l.range)}))],new D.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",l=>l?l.map(y.ColorPresentation.to):[])),new D.ApiCommand("vscode.executeInlineHintProvider","_executeInlineHintProvider","Execute inline hints provider",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Range],new D.ApiCommandResult("A promise that resolves to an array of InlineHint objects",l=>l.map(y.InlineHint.to))),new D.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new D.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",b(l=>({viewType:l.viewType,displayName:l.displayName,options:{transientOutputs:l.options.transientOutputs,transientMetadata:l.options.transientMetadata},filenamePattern:l.filenamePattern.map(g=>y.NotebookExclusiveDocumentPattern.to(g))})))),new D.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[D.ApiCommandArgument.Uri,D.ApiCommandArgument.Range],new D.ApiCommandResult("A promise that resolves to an array of InlineValue objects",l=>l.map(y.InlineValue.to))),new D.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[D.ApiCommandArgument.Uri,new D.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[y.ViewColumn.from(l.viewColumn),y.TextEditorOpenOptions.from(l)])).optional(),D.ApiCommandArgument.String.with("label","").optional()],D.ApiCommandResult.Void),new D.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[D.ApiCommandArgument.Uri.with("resource","Resource to open"),D.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new D.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[y.ViewColumn.from(l.viewColumn),y.TextEditorOpenOptions.from(l)])).optional()],D.ApiCommandResult.Void),new D.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[D.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),D.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),D.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new D.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="object",l=>l&&[y.ViewColumn.from(l.viewColumn),y.TextEditorOpenOptions.from(l)]).optional()],D.ApiCommandResult.Void)];class k{constructor(g){this._disposables=new _.DisposableStore,this._commands=g}static register(g){return A.forEach(g.registerApiCommand,g),new k(g).registerCommands()}registerCommands(){const g=S=>(...p)=>S(this._commands,...p);this._register(P.RemoveFromRecentlyOpenedAPICommand.ID,g(P.RemoveFromRecentlyOpenedAPICommand.execute),{description:"Removes an entry with the given path from the recently opened list.",args:[{name:"path",description:"Path to remove from recently opened.",constraint:S=>typeof S=="string"}]}),this._register(P.OpenIssueReporter.ID,g(P.OpenIssueReporter.execute),{description:"Opens the issue reporter with the provided extension id as the selected source",args:[{name:"extensionId",description:"extensionId to report an issue on",constraint:S=>typeof S=="string"||typeof S=="object"&&typeof S.extensionId=="string"}]})}_register(g,S,p){const w=this._commands.registerCommand(!1,g,S,this,p);this._disposables.add(w)}}e.ExtHostApiCommands=k;function b(l){return g=>{if(Array.isArray(g))return g.map(l)}}function h(l){if(!!Array.isArray(l)){const g=[];for(const S of l)I.isLocationLink(S)?g.push(y.DefinitionLink.to(S)):g.push(y.location.to(S));return g}}}),define(ge[230],pe([0,1,19,54,3,6,2,80,29,20,8,5]),function(J,e,_,y,R,I,D,P,E,n,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class b{constructor(u,a,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=u.getProxy(k.MainContext.MainThreadComments),a.registerArgumentProcessor({processArgument:i=>{if(i&&i.$mid===6){const s=this._commentControllers.get(i.handle);return s||i}else if(i&&i.$mid===7){const s=this._commentControllers.get(i.commentControlHandle);if(!s)return i;const o=s.getCommentThread(i.commentThreadHandle);return o||i}else if(i&&i.$mid===8){const s=this._commentControllers.get(i.thread.commentControlHandle);if(!s)return i;const o=s.getCommentThread(i.thread.commentThreadHandle);return o?{thread:o,text:i.text}:i}else if(i&&i.$mid===9){const s=this._commentControllers.get(i.thread.commentControlHandle);if(!s)return i;const o=s.getCommentThread(i.thread.commentThreadHandle);if(!o)return i;let r=i.commentUniqueId,c=o.getCommentByUniqueId(r);return c||i}else if(i&&i.$mid===10){const s=this._commentControllers.get(i.thread.commentControlHandle);if(!s)return i;const o=s.getCommentThread(i.thread.commentThreadHandle);if(!o)return i;let r=i.text,c=i.commentUniqueId,v=o.getCommentByUniqueId(c);return v?(v.body=r,v):i}return i}})}createCommentController(u,a,t){const i=b.handlePool++,s=new l(u,i,this._proxy,a,t);this._commentControllers.set(s.handle,s);const o=this._commentControllersByExtension.get(E.ExtensionIdentifier.toKey(u.identifier))||[];return o.push(s),this._commentControllersByExtension.set(E.ExtensionIdentifier.toKey(u.identifier),o),s}$createCommentThreadTemplate(u,a,t){const i=this._commentControllers.get(u);!i||i.$createCommentThreadTemplate(a,t)}async $updateCommentThreadTemplate(u,a,t){const i=this._commentControllers.get(u);!i||i.$updateCommentThreadTemplate(a,t)}$deleteCommentThread(u,a){const t=this._commentControllers.get(u);t&&t.$deleteCommentThread(a)}$provideCommentingRanges(u,a,t){const i=this._commentControllers.get(u);if(!i||!i.commentingRangeProvider)return Promise.resolve(void 0);const s=this._documents.getDocument(D.URI.revive(a));return(0,_.asPromise)(()=>i.commentingRangeProvider.provideCommentingRanges(s,t)).then(o=>o?o.map(r=>n.Range.from(r)):void 0)}$toggleReaction(u,a,t,i,s){const o=this._commentControllers.get(u);return!o||!o.reactionHandler?Promise.resolve(void 0):(0,_.asPromise)(()=>{const r=o.getCommentThread(a);if(r){const c=r.getCommentByUniqueId(i.uniqueIdInThread);if(o!==void 0&&c&&o.reactionHandler)return o.reactionHandler(c,p(s))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=b,b.handlePool=0;class h{constructor(u,a,t,i,s,o,r){this._proxy=u,this._commentController=a,this._id=t,this._uri=i,this._range=s,this._comments=o,this.handle=h._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new R.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new I.MutableDisposable,this._acceptInputDisposables.value=new I.DisposableStore,this._id===void 0&&(this._id=`${a.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,n.Range.from(this._range),r),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=o}set threadId(u){this._id=u}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(u){u.isEqual(this._range)||(this._range=u,this.modifications.range=u,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(u){this._canReply!==u&&(this._canReply=u,this.modifications.canReply=u,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(u){this._label=u,this.modifications.label=u,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(u){this._contextValue=u,this.modifications.contextValue=u,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(u){this._comments=u,this.modifications.comments=u,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(u){this._collapseState=u,this.modifications.collapsibleState=u,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(!this._isDiposed){this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new I.DisposableStore);const u=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),a={};u("range")&&(a.range=n.Range.from(this._range)),u("label")&&(a.label=this.label),u("contextValue")&&(a.contextValue=this.contextValue),u("comments")&&(a.comments=this._comments.map(t=>g(this,this._commentController,t,this._commentsMap))),u("collapsibleState")&&(a.collapseState=w(this._collapseState)),u("canReply")&&(a.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,a)}}getCommentByUniqueId(u){for(let a of this._commentsMap){let t=a[0],i=a[1];if(u===i)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(u=>u.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}h._handlePool=0,je([(0,y.debounce)(100)],h.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=h;class l{constructor(u,a,t,i,s){this._extension=u,this._handle=a,this._proxy=t,this._id=i,this._label=s,this._threads=new Map,this._proxy.$registerCommentController(this.handle,i,s)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(u){this._reactionHandler=u,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!u})}get options(){return this._options}set options(u){this._options=u,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(u,a,t,i){if(typeof u=="string"){const s=new h(this._proxy,this,u,a,t,i,this._extension.identifier);return this._threads.set(s.handle,s),s}else{const s=new h(this._proxy,this,void 0,u,a,t,this._extension.identifier);return this._threads.set(s.handle,s),s}}$createCommentThreadTemplate(u,a){const t=new h(this._proxy,this,void 0,D.URI.revive(u),n.Range.to(a),[],this._extension.identifier);return t.collapsibleState=P.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(u,a){let t=this._threads.get(u);t&&(t.range=n.Range.to(a))}$deleteCommentThread(u){let a=this._threads.get(u);a&&a.dispose(),this._threads.delete(u)}getCommentThread(u){return this._threads.get(u)}dispose(){this._threads.forEach(u=>{u.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function g(d,u,a,t){let i=t.get(a);i||(i=++d.commentHandle,t.set(a,i));const s=a.author&&a.author.iconPath?a.author.iconPath.toString():void 0;return{mode:a.mode,contextValue:a.contextValue,uniqueIdInThread:i,body:n.MarkdownString.from(a.body),userName:a.author.name,userIconPath:s,label:a.label,commentReactions:a.reactions?a.reactions.map(o=>S(o)):void 0}}function S(d){return{label:d.label,iconPath:d.iconPath?n.pathOrURIToURI(d.iconPath):void 0,count:d.count,hasReacted:d.authorHasReacted}}function p(d){return{label:d.label||"",count:d.count||0,iconPath:d.iconPath?D.URI.revive(d.iconPath):"",authorHasReacted:d.hasReacted||!1}}function w(d){if(d!==void 0)switch(d){case A.CommentThreadCollapsibleState.Expanded:return P.CommentThreadCollapsibleState.Expanded;case A.CommentThreadCollapsibleState.Collapsed:return P.CommentThreadCollapsibleState.Collapsed}return P.CommentThreadCollapsibleState.Collapsed}}),define(ge[123],pe([0,1,2,5,8,4,14,13,12,9,7]),function(J,e,_,y,R,I,D,P,E,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let k=class un{constructor(h,l){this._logService=l,this._provider=new Map,this._proxy=h.getProxy(y.MainContext.MainThreadDecorations)}registerFileDecorationProvider(h,l){const g=un._handlePool++;this._provider.set(g,{provider:h,extensionId:l}),this._proxy.$registerDecorationProvider(g,l.value);const S=h.onDidChangeFileDecorations&&h.onDidChangeFileDecorations(p=>{if(!p){this._proxy.$onDidChange(g,null);return}let w=(0,E.asArray)(p);if(w.length<=un._maxEventSize){this._proxy.$onDidChange(g,w);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",l.value,w.length);const d=w.map(t=>({uri:t,rank:(0,n.count)(t.path,"/")})),u=(0,E.groupBy)(d,(t,i)=>t.rank-i.rank||(0,n.compare)(t.uri.path,i.uri.path));let a=[];e:for(let t of u){let i;for(let s of t){let o=(0,A.dirname)(s.uri.path);if(i!==o&&(i=o,a.push(s.uri)>=un._maxEventSize))break e}}this._proxy.$onDidChange(g,a)});return new R.Disposable(()=>{S==null||S.dispose(),this._proxy.$unregisterDecorationProvider(g),this._provider.delete(g)})}async $provideDecorations(h,l,g){if(!this._provider.has(h))return Object.create(null);const S=Object.create(null),{provider:p,extensionId:w}=this._provider.get(h);return await Promise.all(l.map(async d=>{try{const{uri:u,id:a}=d,t=await Promise.resolve(p.provideFileDecoration(_.URI.revive(u),g));if(!t)return;try{R.FileDecoration.validate(t),S[a]=[t.propagate,t.tooltip,t.badge,t.color]}catch(i){this._logService.warn(`INVALID decoration from extension '${w.value}': ${i}`)}}catch(u){this._logService.error(u)}})),S}};k._handlePool=0,k._maxEventSize=250,k=je([Ue(0,D.IExtHostRpcService),Ue(1,P.ILogService)],k),e.ExtHostDecorations=k,e.IExtHostDecorations=(0,I.createDecorator)("IExtHostDecorations")}),define(ge[231],pe([0,1,157,110,2,5,8,20,3,13,23]),function(J,e,_,y,R,I,D,P,E,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class k{constructor(l,g,S,p,w){this._name=l,this._owner=g,this._maxDiagnosticsPerFile=S,this._proxy=p,this._onDidChangeDiagnostics=w,this._isDisposed=!1,this._data=new A.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(l,g){if(!l){this.clear();return}this._checkDisposed();let S=[];if(R.URI.isUri(l)){if(!g){this.delete(l);return}this._data.set(l,g.slice()),S=[l]}else if(Array.isArray(l)){S=[];let w;l=[...l].sort(k._compareIndexedTuplesByUri);for(const d of l){const[u,a]=d;if((!w||u.toString()!==w.toString())&&(w&&this._data.get(w).length===0&&this._data.delete(w),w=u,S.push(u),this._data.set(u,[])),a){const t=this._data.get(u);t&&t.push(...a)}else{const t=this._data.get(u);t&&(t.length=0)}}}if(this._onDidChangeDiagnostics.fire(S),!!this._proxy){const p=[];for(let w of S){let d=[];const u=this._data.get(w);if(u)if(u.length>this._maxDiagnosticsPerFile){d=[];const a=[D.DiagnosticSeverity.Error,D.DiagnosticSeverity.Warning,D.DiagnosticSeverity.Information,D.DiagnosticSeverity.Hint];e:for(let t=0;t<4;t++)for(let i of u)if(i.severity===a[t]&&d.push(P.Diagnostic.from(i))===this._maxDiagnosticsPerFile)break e;d.push({severity:y.MarkerSeverity.Info,message:(0,_.localize)(0,null,u.length-this._maxDiagnosticsPerFile),startLineNumber:d[d.length-1].startLineNumber,startColumn:d[d.length-1].startColumn,endLineNumber:d[d.length-1].endLineNumber,endColumn:d[d.length-1].endColumn})}else d=u.map(a=>P.Diagnostic.from(a));p.push([w,d])}this._proxy.$changeMany(this._owner,p)}}delete(l){this._checkDisposed(),this._onDidChangeDiagnostics.fire([l]),this._data.delete(l),this._proxy&&this._proxy.$changeMany(this._owner,[[l,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(l,g){this._checkDisposed();for(let S of this._data.keys())l.apply(g,[S,this.get(S),this])}get(l){this._checkDisposed();const g=this._data.get(l);return Array.isArray(g)?Object.freeze(g.slice(0)):[]}has(l){return this._checkDisposed(),Array.isArray(this._data.get(l))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(l,g){return l[0].toString()<g[0].toString()?-1:l[0].toString()>g[0].toString()?1:0}}e.DiagnosticCollection=k;let b=class xt{constructor(l,g){this._logService=g,this._collections=new Map,this._onDidChangeDiagnostics=new E.Emitter,this.onDidChangeDiagnostics=E.Event.map(E.Event.debounce(this._onDidChangeDiagnostics.event,xt._debouncer,50),xt._mapper),this._proxy=l.getProxy(I.MainContext.MainThreadDiagnostics)}static _debouncer(l,g){return l?l.concat(g):g}static _mapper(l){const g=[],S=new Set;for(const p of l)typeof p=="string"?S.has(p)||(S.add(p),g.push(R.URI.parse(p))):S.has(p.toString())||(S.add(p.toString()),g.push(p));return Object.freeze(g),{uris:g}}createDiagnosticCollection(l,g){const{_collections:S,_proxy:p,_onDidChangeDiagnostics:w,_logService:d}=this,u=new class{$changeMany(i,s){p.$changeMany(i,s),d.trace("[DiagnosticCollection] change many (extension, owner, uris)",l.value,i,s.length===0?"CLEARING":s)}$clear(i){p.$clear(i),d.trace("[DiagnosticCollection] remove all (extension, owner)",l.value,i)}dispose(){p.dispose()}};let a;if(!g)g="_generated_diagnostic_collection_name_#"+xt._idPool++,a=g;else if(!S.has(g))a=g;else{this._logService.warn(`DiagnosticCollection with name '${g}' does already exist.`);do a=g+xt._idPool++;while(S.has(a))}return new class extends k{constructor(){super(g,a,xt._maxDiagnosticsPerFile,u,w);S.set(a,this)}dispose(){super.dispose(),S.delete(a)}}}getDiagnostics(l){if(l)return this._getDiagnostics(l);{const g=new Map,S=[];for(const p of this._collections.values())p.forEach((w,d)=>{let u=g.get(w.toString());typeof u=="undefined"&&(u=S.length,g.set(w.toString(),u),S.push([w,[]])),S[u][1]=S[u][1].concat(...d)});return S}}_getDiagnostics(l){let g=[];for(let S of this._collections.values())S.has(l)&&(g=g.concat(S.get(l)));return g}$acceptMarkersChange(l){if(!this._mirrorCollection){const g="_generated_mirror",S=new k(g,g,xt._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(g,S),this._mirrorCollection=S}for(const[g,S]of l)this._mirrorCollection.set(R.URI.revive(g),S.map(P.Diagnostic.to))}};b._idPool=0,b._maxDiagnosticsPerFile=1e3,b=je([Ue(1,n.ILogService)],b),e.ExtHostDiagnostics=b}),define(ge[232],pe([0,1,2,5]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class R{constructor(D){this._proxy=D.getProxy(y.MainContext.MainThreadDialogs)}showOpenDialog(D){return this._proxy.$showOpenDialog(D).then(P=>P?P.map(E=>_.URI.revive(E)):void 0)}showSaveDialog(D){return this._proxy.$showSaveDialog(D).then(P=>P?_.URI.revive(P):void 0)}}e.ExtHostDialogs=R}),define(ge[233],pe([0,1,18,2,8,5,11,21,9]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class n{constructor(k,b,h){this._documentsAndEditors=b,this._logService=h,this._documentContentProviders=new Map,this._proxy=k.getProxy(I.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(k,b){if(Object.keys(D.Schemas).indexOf(k)>=0)throw new Error(`scheme '${k}' already registered`);const h=n._handlePool++;this._documentContentProviders.set(h,b),this._proxy.$registerTextContentProvider(h,k);let l;return typeof b.onDidChange=="function"&&(l=b.onDidChange(g=>{if(g.scheme!==k){this._logService.warn(`Provider for scheme '${k}' is firing event for schema '${g.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(g)&&this.$provideTextDocumentContent(h,g).then(S=>{if(!(!S&&typeof S!="string")){const p=this._documentsAndEditors.getDocument(g);if(!!p){const w=(0,E.splitLines)(S);if(!p.equalLines(w))return this._proxy.$onVirtualDocumentChange(g,S)}}},_.onUnexpectedError)})),new R.Disposable(()=>{this._documentContentProviders.delete(h)&&this._proxy.$unregisterTextContentProvider(h),l&&(l.dispose(),l=void 0)})}$provideTextDocumentContent(k,b){const h=this._documentContentProviders.get(k);return h?Promise.resolve(h.provideTextDocumentContent(y.URI.revive(b),P.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${b.scheme}`))}}e.ExtHostDocumentContentProvider=n,n._handlePool=0}),define(ge[234],pe([0,1,3,6,2,5,118,20,15,22]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class A{constructor(b,h){this._onDidAddDocument=new _.Emitter,this._onDidRemoveDocument=new _.Emitter,this._onDidChangeDocument=new _.Emitter,this._onDidSaveDocument=new _.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new y.DisposableStore,this._documentLoader=new Map,this._proxy=b.getProxy(I.MainContext.MainThreadDocuments),this._documentsAndEditors=h,this._documentsAndEditors.onDidRemoveDocuments(l=>{for(const g of l)this._onDidRemoveDocument.fire(g.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(l=>{for(const g of l)this._onDidAddDocument.fire(g.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(b){if(!!b){const h=this._documentsAndEditors.getDocument(b);if(h)return h}}getDocument(b){const h=this.getDocumentData(b);if(!(h==null?void 0:h.document))throw new Error(`Unable to retrieve document from URI '${b}'`);return h.document}ensureDocumentData(b){const h=this._documentsAndEditors.getDocument(b);if(h)return Promise.resolve(h);let l=this._documentLoader.get(b.toString());return l||(l=this._proxy.$tryOpenDocument(b).then(g=>{this._documentLoader.delete(b.toString());const S=R.URI.revive(g);return(0,E.assertIsDefined)(this._documentsAndEditors.getDocument(S))},g=>(this._documentLoader.delete(b.toString()),Promise.reject(g))),this._documentLoader.set(b.toString(),l)),l}createDocumentData(b){return this._proxy.$tryCreateDocument(b).then(h=>R.URI.revive(h))}$acceptModelModeChanged(b,h){const l=R.URI.revive(b),g=this._documentsAndEditors.getDocument(l);if(!g)throw new Error("unknown document");this._onDidRemoveDocument.fire(g.document),g._acceptLanguageId(h),this._onDidAddDocument.fire(g.document)}$acceptModelSaved(b){const h=R.URI.revive(b),l=this._documentsAndEditors.getDocument(h);if(!l)throw new Error("unknown document");this.$acceptDirtyStateChanged(b,!1),this._onDidSaveDocument.fire(l.document)}$acceptDirtyStateChanged(b,h){const l=R.URI.revive(b),g=this._documentsAndEditors.getDocument(l);if(!g)throw new Error("unknown document");g._acceptIsDirty(h),this._onDidChangeDocument.fire({document:g.document,contentChanges:[]})}$acceptModelChanged(b,h,l){const g=R.URI.revive(b),S=this._documentsAndEditors.getDocument(g);if(!S)throw new Error("unknown document");S._acceptIsDirty(l),S.onEvents(h),this._onDidChangeDocument.fire((0,n.deepFreeze)({document:S.document,contentChanges:h.changes.map(p=>({range:P.Range.to(p.range),rangeOffset:p.rangeOffset,rangeLength:p.rangeLength,text:p.text}))}))}setWordDefinitionFor(b,h){(0,D.setWordDefinitionFor)(b,h)}}e.ExtHostDocuments=A}),define(ge[38],pe([0,1,52,3,6,2,4,5,118,14,121,20,13,23,11,71,132]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class p{constructor(u){this.value=u,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let w=class{constructor(u,a){this._extHostRpc=u,this._logService=a,this._activeEditorId=null,this._editors=new Map,this._documents=new h.ResourceMap,this._onDidAddDocuments=new y.Emitter,this._onDidRemoveDocuments=new y.Emitter,this._onDidChangeVisibleTextEditors=new y.Emitter,this._onDidChangeActiveTextEditor=new y.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(u){this.acceptDocumentsAndEditorsDelta(u)}acceptDocumentsAndEditorsDelta(u){const a=[],t=[],i=[];if(u.removedDocuments)for(const s of u.removedDocuments){const o=I.URI.revive(s),r=this._documents.get(o);(r==null?void 0:r.unref())&&(this._documents.delete(o),a.push(r.value))}if(u.addedDocuments)for(const s of u.addedDocuments){const o=I.URI.revive(s.uri);let r=this._documents.get(o);if(r&&o.scheme!==l.Schemas.vscodeNotebookCell)throw new Error(`document '${o} already exists!'`);r||(r=new p(new E.ExtHostDocumentData(this._extHostRpc.getProxy(P.MainContext.MainThreadDocuments),o,s.lines,s.EOL,s.versionId,s.modeId,s.isDirty,s.notebook)),this._documents.set(o,r),t.push(r.value)),r.ref()}if(u.removedEditors)for(const s of u.removedEditors){const o=this._editors.get(s);this._editors.delete(s),o&&i.push(o)}if(u.addedEditors)for(const s of u.addedEditors){const o=I.URI.revive(s.documentUri);_.ok(this._documents.has(o),`document '${o}' does not exist`),_.ok(!this._editors.has(s.id),`editor '${s.id}' already exists!`);const r=this._documents.get(o).value,c=new A.ExtHostTextEditor(s.id,this._extHostRpc.getProxy(P.MainContext.MainThreadTextEditors),this._logService,new S.Lazy(()=>r.document),s.selections.map(k.Selection.to),s.options,s.visibleRanges.map(v=>k.Range.to(v)),typeof s.editorPosition=="number"?k.ViewColumn.to(s.editorPosition):void 0);this._editors.set(s.id,c)}u.newActiveEditor!==void 0&&(_.ok(u.newActiveEditor===null||this._editors.has(u.newActiveEditor),`active editor '${u.newActiveEditor}' does not exist`),this._activeEditorId=u.newActiveEditor),(0,R.dispose)(a),(0,R.dispose)(i),u.removedDocuments&&this._onDidRemoveDocuments.fire(a),u.addedDocuments&&this._onDidAddDocuments.fire(t),(u.removedEditors||u.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(s=>s.value)),u.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(u){var a;return(a=this._documents.get(u))===null||a===void 0?void 0:a.value}allDocuments(){return g.Iterable.map(this._documents.values(),u=>u.value)}getEditor(u){return this._editors.get(u)}activeEditor(u){if(!!this._activeEditorId){const a=this._editors.get(this._activeEditorId);return u?a:a==null?void 0:a.value}}allEditors(){return[...this._editors.values()]}};w=je([Ue(0,n.IExtHostRpcService),Ue(1,b.ILogService)],w),e.ExtHostDocumentsAndEditors=w,e.IExtHostDocumentsAndEditors=(0,D.createDecorator)("IExtHostDocumentsAndEditors")}),define(ge[235],pe([0,1,2,5,6,8,20,140,9,26]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class A{constructor(){this._schemes=[]}add(h){this._stateMachine=void 0,this._schemes.push(h)}delete(h){const l=this._schemes.indexOf(h);l>=0&&(this._schemes.splice(l,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const h=this._schemes.sort(),l=[];let g,S,p=14,w=14;for(const d of h){let u=g?(0,E.commonPrefixLength)(g,d):0;for(u===0?S=1:S=w;u<d.length;u++)u+1===d.length?(p=w,w=9):w+=1,l.push([S,d.toUpperCase().charCodeAt(u),w]),l.push([S,d.toLowerCase().charCodeAt(u),w]),S=w;g=d,w=p}l.push([9,58,10]),l.push([10,47,12]),this._stateMachine=new P.StateMachine(l)}}provideDocumentLinks(h){this._initStateMachine();const l=[],g=P.LinkComputer.computeLinks({getLineContent(S){return h.lineAt(S-1).text},getLineCount(){return h.lineCount}},this._stateMachine);for(const S of g){const p=D.DocumentLink.to(S);p.target&&l.push(p)}return l}}class k{constructor(h,l){this._extHostLanguageFeatures=l,this._linkProvider=new A,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=h.getProxy(y.MainContext.MainThreadFileSystem)}dispose(){var h;(h=this._linkProviderRegistration)===null||h===void 0||h.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(h,l,g,S={}){if(this._registeredSchemes.has(l))throw new Error(`a provider for the scheme '${l}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const p=this._handlePool++;this._linkProvider.add(l),this._registeredSchemes.add(l),this._fsProvider.set(p,g);let w=2;S.isCaseSensitive&&(w+=1024),S.isReadonly&&(w+=2048),typeof g.copy=="function"&&(w+=8),typeof g.open=="function"&&typeof g.close=="function"&&typeof g.read=="function"&&typeof g.write=="function"&&(w+=4),this._proxy.$registerFileSystemProvider(p,l,w).catch(u=>{console.error(`FAILED to register filesystem provider of ${h.value}-extension for the scheme ${l}`),console.error(u)});const d=g.onDidChangeFile(u=>{const a=[];for(const t of u){let{uri:i,type:s}=t;if(i.scheme===l){let o;switch(s){case I.FileChangeType.Changed:o=0;break;case I.FileChangeType.Created:o=1;break;case I.FileChangeType.Deleted:o=2;break;default:throw new Error("Unknown FileChangeType")}a.push({resource:i,type:o})}}this._proxy.$onFileSystemChange(p,a)});return(0,R.toDisposable)(()=>{d.dispose(),this._linkProvider.delete(l),this._registeredSchemes.delete(l),this._fsProvider.delete(p),this._proxy.$unregisterProvider(p)})}static _asIStat(h){const{type:l,ctime:g,mtime:S,size:p}=h;return{type:l,ctime:g,mtime:S,size:p}}$stat(h,l){return Promise.resolve(this._getFsProvider(h).stat(_.URI.revive(l))).then(k._asIStat)}$readdir(h,l){return Promise.resolve(this._getFsProvider(h).readDirectory(_.URI.revive(l)))}$readFile(h,l){return Promise.resolve(this._getFsProvider(h).readFile(_.URI.revive(l))).then(g=>n.VSBuffer.wrap(g))}$writeFile(h,l,g,S){return Promise.resolve(this._getFsProvider(h).writeFile(_.URI.revive(l),g.buffer,S))}$delete(h,l,g){return Promise.resolve(this._getFsProvider(h).delete(_.URI.revive(l),g))}$rename(h,l,g,S){return Promise.resolve(this._getFsProvider(h).rename(_.URI.revive(l),_.URI.revive(g),S))}$copy(h,l,g,S){const p=this._getFsProvider(h);if(!p.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(p.copy(_.URI.revive(l),_.URI.revive(g),S))}$mkdir(h,l){return Promise.resolve(this._getFsProvider(h).createDirectory(_.URI.revive(l)))}$watch(h,l,g,S){const p=this._getFsProvider(h).watch(_.URI.revive(g),S);this._watches.set(l,p)}$unwatch(h,l){const g=this._watches.get(l);g&&(g.dispose(),this._watches.delete(l))}$open(h,l,g){const S=this._getFsProvider(h);if(!S.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(S.open(_.URI.revive(l),g))}$close(h,l){const g=this._getFsProvider(h);if(!g.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(g.close(l))}$read(h,l,g,S){const p=this._getFsProvider(h);if(!p.read)throw new Error('FileSystemProvider does not implement "read"');const w=n.VSBuffer.alloc(S);return Promise.resolve(p.read(l,g,w.buffer,0,S)).then(d=>w.slice(0,d))}$write(h,l,g,S){const p=this._getFsProvider(h);if(!p.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(p.write(l,g,S.buffer,0,S.byteLength))}_getFsProvider(h){const l=this._fsProvider.get(h);if(!l){const g=new Error;throw g.name="ENOPRO",g.message="no provider",g}return l}}e.ExtHostFileSystem=k}),define(ge[87],pe([0,1,5,44,8,26,4,14,61]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let n=class Rt{constructor(k,b){const h=k.getProxy(_.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(l){return h.$stat(l).catch(Rt._handleError)},readDirectory(l){return h.$readdir(l).catch(Rt._handleError)},createDirectory(l){return h.$mkdir(l).catch(Rt._handleError)},async readFile(l){return h.$readFile(l).then(g=>g.buffer).catch(Rt._handleError)},writeFile(l,g){return h.$writeFile(l,I.VSBuffer.wrap(g)).catch(Rt._handleError)},delete(l,g){return h.$delete(l,Object.assign({recursive:!1,useTrash:!1},g)).catch(Rt._handleError)},rename(l,g,S){return h.$rename(l,g,Object.assign({overwrite:!1},S)).catch(Rt._handleError)},copy(l,g,S){return h.$copy(l,g,Object.assign({overwrite:!1},S)).catch(Rt._handleError)},isWritableFileSystem(l){const g=b.getCapabilities(l);if(typeof g=="number")return!(g&2048)}})}static _handleError(k){if(!(k instanceof Error))throw new R.FileSystemError(String(k));if(k.name==="ENOPRO")throw R.FileSystemError.Unavailable(k.message);switch(k.name){case y.FileSystemProviderErrorCode.FileExists:throw R.FileSystemError.FileExists(k.message);case y.FileSystemProviderErrorCode.FileNotFound:throw R.FileSystemError.FileNotFound(k.message);case y.FileSystemProviderErrorCode.FileNotADirectory:throw R.FileSystemError.FileNotADirectory(k.message);case y.FileSystemProviderErrorCode.FileIsADirectory:throw R.FileSystemError.FileIsADirectory(k.message);case y.FileSystemProviderErrorCode.NoPermissions:throw R.FileSystemError.NoPermissions(k.message);case y.FileSystemProviderErrorCode.Unavailable:throw R.FileSystemError.Unavailable(k.message);default:throw new R.FileSystemError(k.message,k.name)}}};n=je([Ue(0,P.IExtHostRpcService),Ue(1,E.IExtHostFileSystemInfo)],n),e.ExtHostConsumerFileSystem=n,e.IExtHostConsumerFileSystem=(0,D.createDecorator)("IExtHostConsumerFileSystem")}),define(ge[236],pe([0,1,6,5]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class R{constructor(D){this._handlePool=0,this._proxy=D.getProxy(y.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(D){const P=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(P,D),(0,_.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(P)})}}e.ExtHostLabelService=R}),define(ge[237],pe([0,1,2,22,20,8,19,5,9,43,12,15,137,6,106,70,116,46,18]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class d{constructor(z,Q){this._documents=z,this._provider=Q}provideDocumentSymbols(z,Q){const ee=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideDocumentSymbols(ee,Q)).then(ae=>{if(!(0,A.isFalsyOrEmpty)(ae))return ae[0]instanceof I.DocumentSymbol?ae.map(R.DocumentSymbol.from):d._asDocumentSymbolTree(ae)})}static _asDocumentSymbolTree(z){var Q;z=z.slice(0).sort((ve,De)=>{let Me=ve.location.range.start.compareTo(De.location.range.start);return Me===0&&(Me=De.location.range.end.compareTo(ve.location.range.end)),Me});const ee=[],ae=[];for(const ve of z){const De={name:ve.name||"!!MISSING: name!!",kind:R.SymbolKind.from(ve.kind),tags:((Q=ve.tags)===null||Q===void 0?void 0:Q.map(R.SymbolTag.from))||[],detail:"",containerName:ve.containerName,range:R.Range.from(ve.location.range),selectionRange:R.Range.from(ve.location.range),children:[]};for(;;){if(ae.length===0){ae.push(De),ee.push(De);break}const Me=ae[ae.length-1];if(n.Range.containsRange(Me.range,De.range)&&!n.Range.equalsRange(Me.range,De.range)){Me.children&&Me.children.push(De),ae.push(De);break}ae.pop()}}return ee}}class u{constructor(z,Q,ee){this._documents=z,this._commands=Q,this._provider=ee,this._cache=new S.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(z,Q){const ee=this._documents.getDocument(z),ae=await this._provider.provideCodeLenses(ee,Q);if(!(!ae||Q.isCancellationRequested)){const ve=this._cache.add(ae),De=new h.DisposableStore;this._disposables.set(ve,De);const Me={cacheId:ve,lenses:[]};for(let we=0;we<ae.length;we++)Me.lenses.push({cacheId:[ve,we],range:R.Range.from(ae[we].range),command:this._commands.toInternal(ae[we].command,De)});return Me}}async resolveCodeLens(z,Q){var ee;const ae=z.cacheId&&this._cache.get(...z.cacheId);if(!!ae){let ve;if(typeof this._provider.resolveCodeLens!="function"||ae.isResolved?ve=ae:ve=await this._provider.resolveCodeLens(ae,Q),ve||(ve=ae),!Q.isCancellationRequested){const De=z.cacheId&&this._disposables.get(z.cacheId[0]);if(!!De)return z.command=this._commands.toInternal((ee=ve.command)!==null&&ee!==void 0?ee:u._badCmd,De),z}}}releaseCodeLenses(z){var Q;(Q=this._disposables.get(z))===null||Q===void 0||Q.dispose(),this._disposables.delete(z),this._cache.delete(z)}}u._badCmd={command:"missing",title:"!!MISSING: command!!"};function a(Fe){return Array.isArray(Fe)?Fe.map(R.DefinitionLink.from):Fe?[R.DefinitionLink.from(Fe)]:[]}class t{constructor(z,Q){this._documents=z,this._provider=Q}provideDefinition(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideDefinition(ae,ve,ee)).then(a)}}class i{constructor(z,Q){this._documents=z,this._provider=Q}provideDeclaration(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideDeclaration(ae,ve,ee)).then(a)}}class s{constructor(z,Q){this._documents=z,this._provider=Q}provideImplementation(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideImplementation(ae,ve,ee)).then(a)}}class o{constructor(z,Q){this._documents=z,this._provider=Q}provideTypeDefinition(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideTypeDefinition(ae,ve,ee)).then(a)}}class r{constructor(z,Q){this._documents=z,this._provider=Q}provideHover(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideHover(ae,ve,ee)).then(De=>{if(!(!De||(0,A.isFalsyOrEmpty)(De.contents)))return De.range||(De.range=ae.getWordRangeAtPosition(ve)),De.range||(De.range=new I.Range(ve,ve)),R.Hover.from(De)})}}class c{constructor(z,Q){this._documents=z,this._provider=Q}provideEvaluatableExpression(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideEvaluatableExpression(ae,ve,ee)).then(De=>{if(De)return R.EvaluatableExpression.from(De)})}}class v{constructor(z,Q){this._documents=z,this._provider=Q}provideInlineValues(z,Q,ee,ae){const ve=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideInlineValues(ve,R.Range.to(Q),R.InlineValueContext.to(ee),ae)).then(De=>{if(Array.isArray(De))return De.map(Me=>R.InlineValue.from(Me))})}}class C{constructor(z,Q){this._documents=z,this._provider=Q}provideDocumentHighlights(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideDocumentHighlights(ae,ve,ee)).then(De=>{if(Array.isArray(De))return De.map(R.DocumentHighlight.from)})}}class m{constructor(z,Q){this._documents=z,this._provider=Q}provideLinkedEditingRanges(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideLinkedEditingRanges(ae,ve,ee)).then(De=>{if(De&&Array.isArray(De.ranges))return{ranges:(0,A.coalesce)(De.ranges.map(R.Range.from)),wordPattern:De.wordPattern}})}}class f{constructor(z,Q){this._documents=z,this._provider=Q}provideReferences(z,Q,ee,ae){const ve=this._documents.getDocument(z),De=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideReferences(ve,De,ee,ae)).then(Me=>{if(Array.isArray(Me))return Me.map(R.location.from)})}}class T{constructor(z,Q,ee,ae,ve,De,Me){this._documents=z,this._commands=Q,this._diagnostics=ee,this._provider=ae,this._logService=ve,this._extension=De,this._apiDeprecation=Me,this._cache=new S.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(z,Q,ee,ae){const ve=this._documents.getDocument(z),De=b.Selection.isISelection(Q)?R.Selection.to(Q):R.Range.to(Q),Me=[];for(const ke of this._diagnostics.getDiagnostics(z))if(De.intersection(ke.range)&&Me.push(ke)>T._maxCodeActionsPerFile)break;const we={diagnostics:Me,only:ee.only?new I.CodeActionKind(ee.only):void 0,triggerKind:R.CodeActionTriggerKind.to(ee.trigger)};return(0,D.asPromise)(()=>this._provider.provideCodeActions(ve,De,we,ae)).then(ke=>{var Ae;if(!(!(0,A.isNonEmptyArray)(ke)||ae.isCancellationRequested)){const We=this._cache.add(ke),ye=new h.DisposableStore;this._disposables.set(We,ye);const Ge=[];for(let K=0;K<ke.length;K++){const ie=ke[K];!ie||(T._isCommand(ie)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Ge.push({_isSynthetic:!0,title:ie.title,command:this._commands.toInternal(ie,ye)})):(we.only&&(ie.kind?we.only.contains(ie.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${we.only.value} 'requested but returned code action is of kind '${ie.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${we.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Ge.push({cacheId:[We,K],title:ie.title,command:ie.command&&this._commands.toInternal(ie.command,ye),diagnostics:ie.diagnostics&&ie.diagnostics.map(R.Diagnostic.from),edit:ie.edit&&R.WorkspaceEdit.from(ie.edit),kind:ie.kind&&ie.kind.value,isPreferred:ie.isPreferred,disabled:(Ae=ie.disabled)===null||Ae===void 0?void 0:Ae.reason})))}return{cacheId:We,actions:Ge}}})}async resolveCodeAction(z,Q){var ee;const[ae,ve]=z,De=this._cache.get(ae,ve);if(!(!De||T._isCommand(De))&&!!this._provider.resolveCodeAction){const Me=(ee=await this._provider.resolveCodeAction(De,Q))!==null&&ee!==void 0?ee:De;return(Me==null?void 0:Me.edit)?R.WorkspaceEdit.from(Me.edit):void 0}}releaseCodeActions(z){var Q;(Q=this._disposables.get(z))===null||Q===void 0||Q.dispose(),this._disposables.delete(z),this._cache.delete(z)}static _isCommand(z){return typeof z.command=="string"&&typeof z.title=="string"}}T._maxCodeActionsPerFile=1e3;class L{constructor(z,Q){this._documents=z,this._provider=Q}provideDocumentFormattingEdits(z,Q,ee){const ae=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideDocumentFormattingEdits(ae,Q,ee)).then(ve=>{if(Array.isArray(ve))return ve.map(R.TextEdit.from)})}}class B{constructor(z,Q){this._documents=z,this._provider=Q}provideDocumentRangeFormattingEdits(z,Q,ee,ae){const ve=this._documents.getDocument(z),De=R.Range.to(Q);return(0,D.asPromise)(()=>this._provider.provideDocumentRangeFormattingEdits(ve,De,ee,ae)).then(Me=>{if(Array.isArray(Me))return Me.map(R.TextEdit.from)})}}class te{constructor(z,Q){this._documents=z,this._provider=Q,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(z,Q,ee,ae,ve){const De=this._documents.getDocument(z),Me=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideOnTypeFormattingEdits(De,Me,ee,ae,ve)).then(we=>{if(Array.isArray(we))return we.map(R.TextEdit.from)})}}class j{constructor(z,Q){this._provider=z,this._logService=Q,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(z,Q){const ee=P.IdObject.mixin({symbols:[]});return(0,D.asPromise)(()=>this._provider.provideWorkspaceSymbols(z,Q)).then(ae=>{if((0,A.isNonEmptyArray)(ae)){for(const ve of ae)if(!!ve){if(!ve.name){this._logService.warn("INVALID SymbolInformation, lacks name",ve);continue}const De=P.IdObject.mixin(R.WorkspaceSymbol.from(ve));this._symbolCache.set(De._id,ve),ee.symbols.push(De)}}}).then(()=>(ee.symbols.length>0&&this._resultCache.set(ee._id,[ee.symbols[0]._id,ee.symbols[ee.symbols.length-1]._id]),ee))}async resolveWorkspaceSymbol(z,Q){if(typeof this._provider.resolveWorkspaceSymbol!="function")return z;const ee=this._symbolCache.get(z._id);if(ee){const ae=await(0,D.asPromise)(()=>this._provider.resolveWorkspaceSymbol(ee,Q));return ae&&(0,y.mixin)(z,R.WorkspaceSymbol.from(ae),!0)}}releaseWorkspaceSymbols(z){const Q=this._resultCache.get(z);if(Q){for(let[ee,ae]=Q;ee<=ae;ee++)this._symbolCache.delete(ee);this._resultCache.delete(z)}}}class W{constructor(z,Q,ee){this._documents=z,this._provider=Q,this._logService=ee}static supportsResolving(z){return typeof z.prepareRename=="function"}provideRenameEdits(z,Q,ee,ae){const ve=this._documents.getDocument(z),De=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.provideRenameEdits(ve,De,ee,ae)).then(Me=>{if(!!Me)return R.WorkspaceEdit.from(Me)},Me=>{const we=W._asMessage(Me);return we?{rejectReason:we,edits:void 0}:Promise.reject(Me)})}resolveRenameLocation(z,Q,ee){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const ae=this._documents.getDocument(z),ve=R.Position.to(Q);return(0,D.asPromise)(()=>this._provider.prepareRename(ae,ve,ee)).then(De=>{let Me,we;if(I.Range.isRange(De)?(Me=De,we=ae.getText(De)):(0,k.isObject)(De)&&(Me=De.range,we=De.placeholder),!!Me){if(Me.start.line>ve.line||Me.end.line<ve.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:R.Range.from(Me),text:we}}},De=>{const Me=W._asMessage(De);return Me?{rejectReason:Me,range:void 0,text:void 0}:Promise.reject(De)})}static _asMessage(z){return typeof z=="string"?z:z instanceof Error&&typeof z.message=="string"?z.message:void 0}}class ${constructor(z,Q){this.resultId=z,this.tokens=Q}}class O{constructor(z,Q){this._documents=z,this._provider=Q,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(z,Q,ee){const ae=this._documents.getDocument(z),ve=Q!==0?this._previousResults.get(Q):null;return(0,D.asPromise)(()=>ve&&typeof ve.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(ae,ve.resultId,ee):this._provider.provideDocumentSemanticTokens(ae,ee)).then(De=>(ve&&this._previousResults.delete(Q),De?(De=O._fixProvidedSemanticTokens(De),this._send(O._convertToEdits(ve,De),De)):null))}async releaseDocumentSemanticColoring(z){this._previousResults.delete(z)}static _fixProvidedSemanticTokens(z){return O._isSemanticTokens(z)?O._isCorrectSemanticTokens(z)?z:new I.SemanticTokens(new Uint32Array(z.data),z.resultId):O._isSemanticTokensEdits(z)?O._isCorrectSemanticTokensEdits(z)?z:new I.SemanticTokensEdits(z.edits.map(Q=>new I.SemanticTokensEdit(Q.start,Q.deleteCount,Q.data?new Uint32Array(Q.data):Q.data)),z.resultId):z}static _isSemanticTokens(z){return z&&!!z.data}static _isCorrectSemanticTokens(z){return z.data instanceof Uint32Array}static _isSemanticTokensEdits(z){return z&&Array.isArray(z.edits)}static _isCorrectSemanticTokensEdits(z){for(const Q of z.edits)if(!(Q.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(z,Q){if(!O._isSemanticTokens(Q)||!z||!z.tokens)return Q;const ee=z.tokens,ae=ee.length,ve=Q.data,De=ve.length;let Me=0;const we=Math.min(ae,De);for(;Me<we&&ee[Me]===ve[Me];)Me++;if(Me===ae&&Me===De)return new I.SemanticTokensEdits([],Q.resultId);let ke=0;const Ae=we-Me;for(;ke<Ae&&ee[ae-ke-1]===ve[De-ke-1];)ke++;return new I.SemanticTokensEdits([{start:Me,deleteCount:ae-Me-ke,data:ve.subarray(Me,De-ke)}],Q.resultId)}_send(z,Q){if(O._isSemanticTokens(z)){const ee=this._nextResultId++;return this._previousResults.set(ee,new $(z.resultId,z.data)),(0,l.encodeSemanticTokensDto)({id:ee,type:"full",data:z.data})}if(O._isSemanticTokensEdits(z)){const ee=this._nextResultId++;return O._isSemanticTokens(Q)?this._previousResults.set(ee,new $(Q.resultId,Q.data)):this._previousResults.set(ee,new $(z.resultId)),(0,l.encodeSemanticTokensDto)({id:ee,type:"delta",deltas:(z.edits||[]).map(ae=>({start:ae.start,deleteCount:ae.deleteCount,data:ae.data}))})}return null}}e.DocumentSemanticTokensAdapter=O;class U{constructor(z,Q){this._documents=z,this._provider=Q}provideDocumentRangeSemanticTokens(z,Q,ee){const ae=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideDocumentRangeSemanticTokens(ae,R.Range.to(Q),ee)).then(ve=>ve?this._send(ve):null)}_send(z){return(0,l.encodeSemanticTokensDto)({id:0,type:"full",data:z.data})}}e.DocumentRangeSemanticTokensAdapter=U;class F{constructor(z,Q,ee,ae,ve){this._documents=z,this._commands=Q,this._provider=ee,this._apiDeprecation=ae,this._extension=ve,this._cache=new S.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(z){return typeof z.resolveCompletionItem=="function"}async provideCompletionItems(z,Q,ee,ae){const ve=this._documents.getDocument(z),De=R.Position.to(Q),Me=ve.getWordRangeAtPosition(De)||new I.Range(De,De),we=Me.with({end:De}),ke=new p.StopWatch(!0),Ae=await(0,D.asPromise)(()=>this._provider.provideCompletionItems(ve,De,ae,R.CompletionContext.to(ee)));if(!!Ae&&!ae.isCancellationRequested){const We=Array.isArray(Ae)?new I.CompletionList(Ae):Ae,ye=F.supportsResolving(this._provider)?this._cache.add(We.items):this._cache.add([]),Ge=new h.DisposableStore;this._disposables.set(ye,Ge);const K=[],ie={x:ye,b:K,a:{replace:R.Range.from(Me),insert:R.Range.from(we)},c:We.isIncomplete||void 0,d:ke.elapsed()};for(let Se=0;Se<We.items.length;Se++){const Ne=We.items[Se],ze=this._convertCompletionItem(Ne,[ye,Se],we,Me);K.push(ze)}return ie}}async resolveCompletionItem(z,Q){if(typeof this._provider.resolveCompletionItem=="function"){const ee=this._cache.get(...z);if(!!ee){const ae=await(0,D.asPromise)(()=>this._provider.resolveCompletionItem(ee,Q));if(!!ae)return this._convertCompletionItem(ae,z)}}}releaseCompletionItems(z){var Q;(Q=this._disposables.get(z))===null||Q===void 0||Q.dispose(),this._disposables.delete(z),this._cache.delete(z)}_convertCompletionItem(z,Q,ee,ae){var ve;const De=this._disposables.get(Q[0]);if(!De)throw Error("DisposableStore is missing...");const Me={x:Q,a:(ve=z.label)!==null&&ve!==void 0?ve:"",o:z.label2,b:z.kind!==void 0?R.CompletionItemKind.from(z.kind):void 0,n:z.tags&&z.tags.map(R.CompletionItemTag.from),c:z.detail,d:typeof z.documentation=="undefined"?void 0:R.MarkdownString.fromStrict(z.documentation),e:z.sortText!==z.label?z.sortText:void 0,f:z.filterText!==z.label?z.filterText:void 0,g:z.preselect||void 0,i:z.keepWhitespace?1:0,k:z.commitCharacters,l:z.additionalTextEdits&&z.additionalTextEdits.map(R.TextEdit.from),m:this._commands.toInternal(z.command,De)};z.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Me.h=z.textEdit.newText):typeof z.insertText=="string"?Me.h=z.insertText:z.insertText instanceof I.SnippetString&&(Me.h=z.insertText.value,Me.i|=4);let we;return z.textEdit?we=z.textEdit.range:z.range&&(we=z.range),I.Range.isRange(we)?Me.j=R.Range.from(we):we&&(!(ee==null?void 0:ee.isEqual(we.inserting))||!(ae==null?void 0:ae.isEqual(we.replacing)))&&(Me.j={insert:R.Range.from(we.inserting),replace:R.Range.from(we.replacing)}),Me}}class N{constructor(z,Q){this._documents=z,this._provider=Q,this._cache=new S.Cache("SignatureHelp")}provideSignatureHelp(z,Q,ee,ae){const ve=this._documents.getDocument(z),De=R.Position.to(Q),Me=this.reviveContext(ee);return(0,D.asPromise)(()=>this._provider.provideSignatureHelp(ve,De,ae,Me)).then(we=>{if(we){const ke=this._cache.add([we]);return Object.assign(Object.assign({},R.SignatureHelp.from(we)),{id:ke})}})}reviveContext(z){let Q;if(z.activeSignatureHelp){const ee=R.SignatureHelp.to(z.activeSignatureHelp),ae=this._cache.get(z.activeSignatureHelp.id,0);ae?(Q=ae,Q.activeSignature=ee.activeSignature,Q.activeParameter=ee.activeParameter):Q=ee}return Object.assign(Object.assign({},z),{activeSignatureHelp:Q})}releaseSignatureHelp(z){this._cache.delete(z)}}class M{constructor(z,Q){this._documents=z,this._provider=Q}provideInlineHints(z,Q,ee){const ae=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideInlineHints(ae,R.Range.to(Q),ee)).then(ve=>ve?{hints:ve.map(R.InlineHint.from)}:void 0)}}class V{constructor(z,Q){this._documents=z,this._provider=Q,this._cache=new S.Cache("DocumentLink")}provideLinks(z,Q){const ee=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideDocumentLinks(ee,Q)).then(ae=>{if(!(!Array.isArray(ae)||ae.length===0)&&!Q.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:ae.map(R.DocumentLink.from)};{const ve=this._cache.add(ae),De={links:[],id:ve};for(let Me=0;Me<ae.length;Me++){const we=R.DocumentLink.from(ae[Me]);we.cacheId=[ve,Me],De.links.push(we)}return De}}})}resolveLink(z,Q){if(typeof this._provider.resolveDocumentLink!="function")return Promise.resolve(void 0);const ee=this._cache.get(...z);return ee?(0,D.asPromise)(()=>this._provider.resolveDocumentLink(ee,Q)).then(ae=>ae&&R.DocumentLink.from(ae)||void 0):Promise.resolve(void 0)}releaseLinks(z){this._cache.delete(z)}}class q{constructor(z,Q){this._documents=z,this._provider=Q}provideColors(z,Q){const ee=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideDocumentColors(ee,Q)).then(ae=>Array.isArray(ae)?ae.map(De=>({color:R.Color.from(De.color),range:R.Range.from(De.range)})):[])}provideColorPresentations(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Range.to(Q.range),De=R.Color.to(Q.color);return(0,D.asPromise)(()=>this._provider.provideColorPresentations(De,{document:ae,range:ve},ee)).then(Me=>{if(!!Array.isArray(Me))return Me.map(R.ColorPresentation.from)})}}class X{constructor(z,Q){this._documents=z,this._provider=Q}provideFoldingRanges(z,Q,ee){const ae=this._documents.getDocument(z);return(0,D.asPromise)(()=>this._provider.provideFoldingRanges(ae,Q,ee)).then(ve=>{if(!!Array.isArray(ve))return ve.map(R.FoldingRange.from)})}}class fe{constructor(z,Q,ee){this._documents=z,this._provider=Q,this._logService=ee}provideSelectionRanges(z,Q,ee){const ae=this._documents.getDocument(z),ve=Q.map(R.Position.to);return(0,D.asPromise)(()=>this._provider.provideSelectionRanges(ae,ve,ee)).then(De=>{if(!(0,A.isNonEmptyArray)(De))return[];if(De.length!==ve.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Me=[];for(let we=0;we<ve.length;we++){const ke=[];Me.push(ke);let Ae=ve[we],We=De[we];for(;;){if(!We.range.contains(Ae))throw new Error("INVALID selection range, must contain the previous range");if(ke.push(R.SelectionRange.from(We)),!We.parent)break;Ae=We.range,We=We.parent}}return Me})}}class _e{constructor(z,Q){this._documents=z,this._provider=Q,this._idPool=new g.IdGenerator(""),this._cache=new Map}async prepareSession(z,Q,ee){const ae=this._documents.getDocument(z),ve=R.Position.to(Q),De=await this._provider.prepareCallHierarchy(ae,ve,ee);if(!!De){const Me=this._idPool.nextId();return this._cache.set(Me,new Map),Array.isArray(De)?De.map(we=>this._cacheAndConvertItem(Me,we)):[this._cacheAndConvertItem(Me,De)]}}async provideCallsTo(z,Q,ee){const ae=this._itemFromCache(z,Q);if(!ae)throw new Error("missing call hierarchy item");const ve=await this._provider.provideCallHierarchyIncomingCalls(ae,ee);if(!!ve)return ve.map(De=>({from:this._cacheAndConvertItem(z,De.from),fromRanges:De.fromRanges.map(Me=>R.Range.from(Me))}))}async provideCallsFrom(z,Q,ee){const ae=this._itemFromCache(z,Q);if(!ae)throw new Error("missing call hierarchy item");const ve=await this._provider.provideCallHierarchyOutgoingCalls(ae,ee);if(!!ve)return ve.map(De=>({to:this._cacheAndConvertItem(z,De.to),fromRanges:De.fromRanges.map(Me=>R.Range.from(Me))}))}releaseSession(z){this._cache.delete(z)}_cacheAndConvertItem(z,Q){var ee;const ae=this._cache.get(z),ve={_sessionId:z,_itemId:ae.size.toString(36),name:Q.name,detail:Q.detail,kind:R.SymbolKind.from(Q.kind),uri:Q.uri,range:R.Range.from(Q.range),selectionRange:R.Range.from(Q.selectionRange),tags:(ee=Q.tags)===null||ee===void 0?void 0:ee.map(R.SymbolTag.from)};return ae.set(ve._itemId,Q),ve}_itemFromCache(z,Q){const ee=this._cache.get(z);return ee==null?void 0:ee.get(Q)}}class Le{constructor(z,Q){this.adapter=z,this.extension=Q}}class Ie{constructor(z,Q,ee,ae,ve,De,Me){this._adapter=new Map,this._uriTransformer=Q,this._proxy=z.getProxy(P.MainContext.MainThreadLanguageFeatures),this._documents=ee,this._commands=ae,this._diagnostics=ve,this._logService=De,this._apiDeprecation=Me}_transformDocumentSelector(z){return(0,A.coalesce)((0,A.asArray)(z).map(Q=>this._doTransformDocumentSelector(Q)))}_doTransformDocumentSelector(z){if(typeof z=="string")return{$serialized:!0,language:z};if(z)return{$serialized:!0,language:z.language,scheme:this._transformScheme(z.scheme),pattern:typeof z.pattern=="undefined"?void 0:R.GlobPattern.from(z.pattern),exclusive:z.exclusive}}_transformScheme(z){return this._uriTransformer&&typeof z=="string"?this._uriTransformer.transformOutgoingScheme(z):z}_createDisposable(z){return new I.Disposable(()=>{this._adapter.delete(z),this._proxy.$unregister(z)})}_nextHandle(){return Ie._handlePool++}_withAdapter(z,Q,ee,ae,ve=!1){const De=this._adapter.get(z);if(!De)return Promise.resolve(ae);if(De.adapter instanceof Q){let Me;De.extension&&(Me=Date.now(),this._logService.trace(`[${De.extension.identifier.value}] INVOKE provider '${Q.name}'`));const we=ee(De.adapter,De.extension),ke=De.extension;return ke&&Promise.resolve(we).then(()=>this._logService.trace(`[${ke.identifier.value}] provider DONE after ${Date.now()-Me}ms`),Ae=>{ve&&Ae instanceof w.CancellationError||(this._logService.error(`[${ke.identifier.value}] provider FAILED`),this._logService.error(Ae))}),we}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(z,Q){const ee=this._nextHandle();return this._adapter.set(ee,new Le(z,Q)),ee}static _extLabel(z){return z.displayName||z.name}registerDocumentSymbolProvider(z,Q,ee,ae){const ve=this._addNewAdapter(new d(this._documents,ee),z),De=ae&&ae.label||Ie._extLabel(z);return this._proxy.$registerDocumentSymbolProvider(ve,this._transformDocumentSelector(Q),De),this._createDisposable(ve)}$provideDocumentSymbols(z,Q,ee){return this._withAdapter(z,d,ae=>ae.provideDocumentSymbols(_.URI.revive(Q),ee),void 0)}registerCodeLensProvider(z,Q,ee){const ae=this._nextHandle(),ve=typeof ee.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(ae,new Le(new u(this._documents,this._commands.converter,ee),z)),this._proxy.$registerCodeLensSupport(ae,this._transformDocumentSelector(Q),ve);let De=this._createDisposable(ae);if(ve!==void 0){const Me=ee.onDidChangeCodeLenses(we=>this._proxy.$emitCodeLensEvent(ve));De=I.Disposable.from(De,Me)}return De}$provideCodeLenses(z,Q,ee){return this._withAdapter(z,u,ae=>ae.provideCodeLenses(_.URI.revive(Q),ee),void 0)}$resolveCodeLens(z,Q,ee){return this._withAdapter(z,u,ae=>ae.resolveCodeLens(Q,ee),void 0)}$releaseCodeLenses(z,Q){this._withAdapter(z,u,ee=>Promise.resolve(ee.releaseCodeLenses(Q)),void 0)}registerDefinitionProvider(z,Q,ee){const ae=this._addNewAdapter(new t(this._documents,ee),z);return this._proxy.$registerDefinitionSupport(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideDefinition(z,Q,ee,ae){return this._withAdapter(z,t,ve=>ve.provideDefinition(_.URI.revive(Q),ee,ae),[])}registerDeclarationProvider(z,Q,ee){const ae=this._addNewAdapter(new i(this._documents,ee),z);return this._proxy.$registerDeclarationSupport(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideDeclaration(z,Q,ee,ae){return this._withAdapter(z,i,ve=>ve.provideDeclaration(_.URI.revive(Q),ee,ae),[])}registerImplementationProvider(z,Q,ee){const ae=this._addNewAdapter(new s(this._documents,ee),z);return this._proxy.$registerImplementationSupport(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideImplementation(z,Q,ee,ae){return this._withAdapter(z,s,ve=>ve.provideImplementation(_.URI.revive(Q),ee,ae),[])}registerTypeDefinitionProvider(z,Q,ee){const ae=this._addNewAdapter(new o(this._documents,ee),z);return this._proxy.$registerTypeDefinitionSupport(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideTypeDefinition(z,Q,ee,ae){return this._withAdapter(z,o,ve=>ve.provideTypeDefinition(_.URI.revive(Q),ee,ae),[])}registerHoverProvider(z,Q,ee,ae){const ve=this._addNewAdapter(new r(this._documents,ee),z);return this._proxy.$registerHoverProvider(ve,this._transformDocumentSelector(Q)),this._createDisposable(ve)}$provideHover(z,Q,ee,ae){return this._withAdapter(z,r,ve=>ve.provideHover(_.URI.revive(Q),ee,ae),void 0)}registerEvaluatableExpressionProvider(z,Q,ee,ae){const ve=this._addNewAdapter(new c(this._documents,ee),z);return this._proxy.$registerEvaluatableExpressionProvider(ve,this._transformDocumentSelector(Q)),this._createDisposable(ve)}$provideEvaluatableExpression(z,Q,ee,ae){return this._withAdapter(z,c,ve=>ve.provideEvaluatableExpression(_.URI.revive(Q),ee,ae),void 0)}registerInlineValuesProvider(z,Q,ee,ae){const ve=typeof ee.onDidChangeInlineValues=="function"?this._nextHandle():void 0,De=this._addNewAdapter(new v(this._documents,ee),z);this._proxy.$registerInlineValuesProvider(De,this._transformDocumentSelector(Q),ve);let Me=this._createDisposable(De);if(ve!==void 0){const we=ee.onDidChangeInlineValues(ke=>this._proxy.$emitInlineValuesEvent(ve));Me=I.Disposable.from(Me,we)}return Me}$provideInlineValues(z,Q,ee,ae,ve){return this._withAdapter(z,v,De=>De.provideInlineValues(_.URI.revive(Q),ee,ae,ve),void 0)}registerDocumentHighlightProvider(z,Q,ee){const ae=this._addNewAdapter(new C(this._documents,ee),z);return this._proxy.$registerDocumentHighlightProvider(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideDocumentHighlights(z,Q,ee,ae){return this._withAdapter(z,C,ve=>ve.provideDocumentHighlights(_.URI.revive(Q),ee,ae),void 0)}registerLinkedEditingRangeProvider(z,Q,ee){const ae=this._addNewAdapter(new m(this._documents,ee),z);return this._proxy.$registerLinkedEditingRangeProvider(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideLinkedEditingRanges(z,Q,ee,ae){return this._withAdapter(z,m,async ve=>{const De=await ve.provideLinkedEditingRanges(_.URI.revive(Q),ee,ae);if(De)return{ranges:De.ranges,wordPattern:De.wordPattern?Ie._serializeRegExp(De.wordPattern):void 0}},void 0)}registerReferenceProvider(z,Q,ee){const ae=this._addNewAdapter(new f(this._documents,ee),z);return this._proxy.$registerReferenceSupport(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideReferences(z,Q,ee,ae,ve){return this._withAdapter(z,f,De=>De.provideReferences(_.URI.revive(Q),ee,ae,ve),void 0)}registerCodeActionProvider(z,Q,ee,ae){var ve,De;const Me=new h.DisposableStore,we=this._addNewAdapter(new T(this._documents,this._commands.converter,this._diagnostics,ee,this._logService,z,this._apiDeprecation),z);return this._proxy.$registerQuickFixSupport(we,this._transformDocumentSelector(Q),{providedKinds:(ve=ae==null?void 0:ae.providedCodeActionKinds)===null||ve===void 0?void 0:ve.map(ke=>ke.value),documentation:(De=ae==null?void 0:ae.documentation)===null||De===void 0?void 0:De.map(ke=>({kind:ke.kind.value,command:this._commands.converter.toInternal(ke.command,Me)}))},Ie._extLabel(z),Boolean(ee.resolveCodeAction)),Me.add(this._createDisposable(we)),Me}$provideCodeActions(z,Q,ee,ae,ve){return this._withAdapter(z,T,De=>De.provideCodeActions(_.URI.revive(Q),ee,ae,ve),void 0)}$resolveCodeAction(z,Q,ee){return this._withAdapter(z,T,ae=>ae.resolveCodeAction(Q,ee),void 0)}$releaseCodeActions(z,Q){this._withAdapter(z,T,ee=>Promise.resolve(ee.releaseCodeActions(Q)),void 0)}registerDocumentFormattingEditProvider(z,Q,ee){const ae=this._addNewAdapter(new L(this._documents,ee),z);return this._proxy.$registerDocumentFormattingSupport(ae,this._transformDocumentSelector(Q),z.identifier,z.displayName||z.name),this._createDisposable(ae)}$provideDocumentFormattingEdits(z,Q,ee,ae){return this._withAdapter(z,L,ve=>ve.provideDocumentFormattingEdits(_.URI.revive(Q),ee,ae),void 0)}registerDocumentRangeFormattingEditProvider(z,Q,ee){const ae=this._addNewAdapter(new B(this._documents,ee),z);return this._proxy.$registerRangeFormattingSupport(ae,this._transformDocumentSelector(Q),z.identifier,z.displayName||z.name),this._createDisposable(ae)}$provideDocumentRangeFormattingEdits(z,Q,ee,ae,ve){return this._withAdapter(z,B,De=>De.provideDocumentRangeFormattingEdits(_.URI.revive(Q),ee,ae,ve),void 0)}registerOnTypeFormattingEditProvider(z,Q,ee,ae){const ve=this._addNewAdapter(new te(this._documents,ee),z);return this._proxy.$registerOnTypeFormattingSupport(ve,this._transformDocumentSelector(Q),ae,z.identifier),this._createDisposable(ve)}$provideOnTypeFormattingEdits(z,Q,ee,ae,ve,De){return this._withAdapter(z,te,Me=>Me.provideOnTypeFormattingEdits(_.URI.revive(Q),ee,ae,ve,De),void 0)}registerWorkspaceSymbolProvider(z,Q){const ee=this._addNewAdapter(new j(Q,this._logService),z);return this._proxy.$registerNavigateTypeSupport(ee),this._createDisposable(ee)}$provideWorkspaceSymbols(z,Q,ee){return this._withAdapter(z,j,ae=>ae.provideWorkspaceSymbols(Q,ee),{symbols:[]})}$resolveWorkspaceSymbol(z,Q,ee){return this._withAdapter(z,j,ae=>ae.resolveWorkspaceSymbol(Q,ee),void 0)}$releaseWorkspaceSymbols(z,Q){this._withAdapter(z,j,ee=>ee.releaseWorkspaceSymbols(Q),void 0)}registerRenameProvider(z,Q,ee){const ae=this._addNewAdapter(new W(this._documents,ee,this._logService),z);return this._proxy.$registerRenameSupport(ae,this._transformDocumentSelector(Q),W.supportsResolving(ee)),this._createDisposable(ae)}$provideRenameEdits(z,Q,ee,ae,ve){return this._withAdapter(z,W,De=>De.provideRenameEdits(_.URI.revive(Q),ee,ae,ve),void 0)}$resolveRenameLocation(z,Q,ee,ae){return this._withAdapter(z,W,ve=>ve.resolveRenameLocation(_.URI.revive(Q),ee,ae),void 0)}registerDocumentSemanticTokensProvider(z,Q,ee,ae){const ve=this._nextHandle(),De=typeof ee.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(ve,new Le(new O(this._documents,ee),z)),this._proxy.$registerDocumentSemanticTokensProvider(ve,this._transformDocumentSelector(Q),ae,De);let Me=this._createDisposable(ve);if(De){const we=ee.onDidChangeSemanticTokens(ke=>this._proxy.$emitDocumentSemanticTokensEvent(De));Me=I.Disposable.from(Me,we)}return Me}$provideDocumentSemanticTokens(z,Q,ee,ae){return this._withAdapter(z,O,ve=>ve.provideDocumentSemanticTokens(_.URI.revive(Q),ee,ae),null,!0)}$releaseDocumentSemanticTokens(z,Q){this._withAdapter(z,O,ee=>ee.releaseDocumentSemanticColoring(Q),void 0)}registerDocumentRangeSemanticTokensProvider(z,Q,ee,ae){const ve=this._addNewAdapter(new U(this._documents,ee),z);return this._proxy.$registerDocumentRangeSemanticTokensProvider(ve,this._transformDocumentSelector(Q),ae),this._createDisposable(ve)}$provideDocumentRangeSemanticTokens(z,Q,ee,ae){return this._withAdapter(z,U,ve=>ve.provideDocumentRangeSemanticTokens(_.URI.revive(Q),ee,ae),null,!0)}registerCompletionItemProvider(z,Q,ee,ae){const ve=this._addNewAdapter(new F(this._documents,this._commands.converter,ee,this._apiDeprecation,z),z);return this._proxy.$registerSuggestSupport(ve,this._transformDocumentSelector(Q),ae,F.supportsResolving(ee),`${z.identifier.value}(${ae.join("")})`),this._createDisposable(ve)}$provideCompletionItems(z,Q,ee,ae,ve){return this._withAdapter(z,F,De=>De.provideCompletionItems(_.URI.revive(Q),ee,ae,ve),void 0)}$resolveCompletionItem(z,Q,ee){return this._withAdapter(z,F,ae=>ae.resolveCompletionItem(Q,ee),void 0)}$releaseCompletionItems(z,Q){this._withAdapter(z,F,ee=>ee.releaseCompletionItems(Q),void 0)}registerSignatureHelpProvider(z,Q,ee,ae){const ve=Array.isArray(ae)?{triggerCharacters:ae,retriggerCharacters:[]}:ae,De=this._addNewAdapter(new N(this._documents,ee),z);return this._proxy.$registerSignatureHelpProvider(De,this._transformDocumentSelector(Q),ve),this._createDisposable(De)}$provideSignatureHelp(z,Q,ee,ae,ve){return this._withAdapter(z,N,De=>De.provideSignatureHelp(_.URI.revive(Q),ee,ae,ve),void 0)}$releaseSignatureHelp(z,Q){this._withAdapter(z,N,ee=>ee.releaseSignatureHelp(Q),void 0)}registerInlineHintsProvider(z,Q,ee){const ae=typeof ee.onDidChangeInlineHints=="function"?this._nextHandle():void 0,ve=this._addNewAdapter(new M(this._documents,ee),z);this._proxy.$registerInlineHintsProvider(ve,this._transformDocumentSelector(Q),ae);let De=this._createDisposable(ve);if(ae!==void 0){const Me=ee.onDidChangeInlineHints(we=>this._proxy.$emitInlineHintsEvent(ae));De=I.Disposable.from(De,Me)}return De}$provideInlineHints(z,Q,ee,ae){return this._withAdapter(z,M,ve=>ve.provideInlineHints(_.URI.revive(Q),ee,ae),void 0)}registerDocumentLinkProvider(z,Q,ee){const ae=this._addNewAdapter(new V(this._documents,ee),z);return this._proxy.$registerDocumentLinkProvider(ae,this._transformDocumentSelector(Q),typeof ee.resolveDocumentLink=="function"),this._createDisposable(ae)}$provideDocumentLinks(z,Q,ee){return this._withAdapter(z,V,ae=>ae.provideLinks(_.URI.revive(Q),ee),void 0)}$resolveDocumentLink(z,Q,ee){return this._withAdapter(z,V,ae=>ae.resolveLink(Q,ee),void 0)}$releaseDocumentLinks(z,Q){this._withAdapter(z,V,ee=>ee.releaseLinks(Q),void 0)}registerColorProvider(z,Q,ee){const ae=this._addNewAdapter(new q(this._documents,ee),z);return this._proxy.$registerDocumentColorProvider(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideDocumentColors(z,Q,ee){return this._withAdapter(z,q,ae=>ae.provideColors(_.URI.revive(Q),ee),[])}$provideColorPresentations(z,Q,ee,ae){return this._withAdapter(z,q,ve=>ve.provideColorPresentations(_.URI.revive(Q),ee,ae),void 0)}registerFoldingRangeProvider(z,Q,ee){const ae=this._nextHandle(),ve=typeof ee.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(ae,new Le(new X(this._documents,ee),z)),this._proxy.$registerFoldingRangeProvider(ae,this._transformDocumentSelector(Q),ve);let De=this._createDisposable(ae);if(ve!==void 0){const Me=ee.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(ve));De=I.Disposable.from(De,Me)}return De}$provideFoldingRanges(z,Q,ee,ae){return this._withAdapter(z,X,ve=>ve.provideFoldingRanges(_.URI.revive(Q),ee,ae),void 0)}registerSelectionRangeProvider(z,Q,ee){const ae=this._addNewAdapter(new fe(this._documents,ee,this._logService),z);return this._proxy.$registerSelectionRangeProvider(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$provideSelectionRanges(z,Q,ee,ae){return this._withAdapter(z,fe,ve=>ve.provideSelectionRanges(_.URI.revive(Q),ee,ae),[])}registerCallHierarchyProvider(z,Q,ee){const ae=this._addNewAdapter(new _e(this._documents,ee),z);return this._proxy.$registerCallHierarchyProvider(ae,this._transformDocumentSelector(Q)),this._createDisposable(ae)}$prepareCallHierarchy(z,Q,ee,ae){return this._withAdapter(z,_e,ve=>Promise.resolve(ve.prepareSession(_.URI.revive(Q),ee,ae)),void 0)}$provideCallHierarchyIncomingCalls(z,Q,ee,ae){return this._withAdapter(z,_e,ve=>ve.provideCallsTo(Q,ee,ae),void 0)}$provideCallHierarchyOutgoingCalls(z,Q,ee,ae){return this._withAdapter(z,_e,ve=>ve.provideCallsFrom(Q,ee,ae),void 0)}$releaseCallHierarchy(z,Q){this._withAdapter(z,_e,ee=>Promise.resolve(ee.releaseSession(Q)),void 0)}static _serializeRegExp(z){return{pattern:z.source,flags:(0,E.regExpFlags)(z)}}static _serializeIndentationRule(z){return{decreaseIndentPattern:Ie._serializeRegExp(z.decreaseIndentPattern),increaseIndentPattern:Ie._serializeRegExp(z.increaseIndentPattern),indentNextLinePattern:z.indentNextLinePattern?Ie._serializeRegExp(z.indentNextLinePattern):void 0,unIndentedLinePattern:z.unIndentedLinePattern?Ie._serializeRegExp(z.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(z){return{beforeText:Ie._serializeRegExp(z.beforeText),afterText:z.afterText?Ie._serializeRegExp(z.afterText):void 0,previousLineText:z.previousLineText?Ie._serializeRegExp(z.previousLineText):void 0,action:z.action}}static _serializeOnEnterRules(z){return z.map(Ie._serializeOnEnterRule)}setLanguageConfiguration(z,Q,ee){let{wordPattern:ae}=ee;if(ae&&(0,E.regExpLeadsToEndlessLoop)(ae))throw new Error(`Invalid language configuration: wordPattern '${ae}' is not allowed to match the empty string.`);ae?this._documents.setWordDefinitionFor(Q,ae):this._documents.setWordDefinitionFor(Q,void 0),ee.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",z,"Do not use."),ee.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",z,"Do not use.");const ve=this._nextHandle(),De={comments:ee.comments,brackets:ee.brackets,wordPattern:ee.wordPattern?Ie._serializeRegExp(ee.wordPattern):void 0,indentationRules:ee.indentationRules?Ie._serializeIndentationRule(ee.indentationRules):void 0,onEnterRules:ee.onEnterRules?Ie._serializeOnEnterRules(ee.onEnterRules):void 0,__electricCharacterSupport:ee.__electricCharacterSupport,__characterPairSupport:ee.__characterPairSupport};return this._proxy.$setLanguageConfiguration(ve,Q,De),this._createDisposable(ve)}$setWordDefinitions(z){for(const Q of z)this._documents.setWordDefinitionFor(Q.languageId,new RegExp(Q.regexSource,Q.regexFlags))}}e.ExtHostLanguageFeatures=Ie,Ie._handlePool=0}),define(ge[238],pe([0,1,5,20,8]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class I{constructor(P,E){this._proxy=P.getProxy(_.MainContext.MainThreadLanguages),this._documents=E}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(P,E){await this._proxy.$changeLanguage(P,E);const n=this._documents.getDocumentData(P);if(!n)throw new Error(`document '${P.toString}' NOT found`);return n.document}async tokenAtPosition(P,E){var n;const A=P.version,k=y.Position.from(E),b=await this._proxy.$tokensAtPosition(P.uri,k),h={type:R.StandardTokenType.Other,range:(n=P.getWordRangeAtPosition(E))!==null&&n!==void 0?n:new R.Range(E.line,E.character,E.line,E.character)};if(!b)return h;const l={range:y.Range.to(b.range),type:y.TokenType.to(b.type)};return!l.range.contains(E)||A!==P.version?h:l}}e.ExtHostLanguages=I}),define(ge[239],pe([0,1,5,13,41]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function I(P){return P&&P.title}let D=class{constructor(E,n){this._logService=n,this._proxy=E.getProxy(_.MainContext.MainThreadMessageService)}showMessage(E,n,A,k,b){const h={extension:E};let l;typeof k=="string"||I(k)?l=[k,...b]:(h.modal=k&&k.modal,h.useCustom=k&&k.useCustom,l=b),h.useCustom&&(0,R.checkProposedApiEnabled)(E);const g=[];for(let S=0;S<l.length;S++){const p=l[S];if(typeof p=="string")g.push({title:p,handle:S,isCloseAffordance:!1});else if(typeof p=="object"){let{title:w,isCloseAffordance:d}=p;g.push({title:w,isCloseAffordance:!!d,handle:S})}else this._logService.warn("Invalid message item:",p)}return this._proxy.$showMessage(n,A,h,g).then(S=>{if(typeof S=="number")return l[S]})}};D=je([Ue(1,y.ILogService)],D),e.ExtHostMessageService=D}),define(ge[240],pe([0,1,21,3,6,2,28,5,20,8,84,85,23,216,217,70,15,73]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookCellStatusBarItemInternal=e.ExtHostNotebookController=e.NotebookEditorDecorationType=e.ExtHostNotebookKernelProviderAdapter=void 0;class w extends R.Disposable{constructor(r,c,v,C,m){super();this._editorId=r,this.uri=c,this._proxy=v,this._webviewInitData=C,this.document=m,this._onDidReceiveDocumentMessage=new y.Emitter,this._rendererIdToEmitters=new Map,this.contentProviderComm={editorId:this._editorId,onDidReceiveMessage:this._onDidReceiveDocumentMessage.event,postMessage:f=>this._proxy.$postMessage(this._editorId,void 0,f),asWebviewUri:f=>this._asWebviewUri(f)}}onDidReceiveMessage(r,c){var v;this._onDidReceiveDocumentMessage.fire(c),r!==void 0&&((v=this._rendererIdToEmitters.get(r))===null||v===void 0||v.fire(c))}getRendererComm(r){const c=new y.Emitter;return this._rendererIdToEmitters.set(r,c),{editorId:this._editorId,onDidReceiveMessage:c.event,postMessage:v=>this._proxy.$postMessage(this._editorId,r,v),asWebviewUri:v=>this._asWebviewUri(v)}}_asWebviewUri(r){return(0,A.asWebviewUri)(this._webviewInitData,this._editorId,r)}}class d extends R.Disposable{constructor(r,c,v,C){super();this._proxy=r,this._handle=c,this._extension=v,this._provider=C,this._kernelToFriendlyId=new b.ResourceMap,this._friendlyIdToKernel=new b.ResourceMap,this._provider.onDidChangeKernels&&this._register(this._provider.onDidChangeKernels(m=>{const f=m==null?void 0:m.uri;this._proxy.$onNotebookKernelChange(this._handle,f)}))}async provideKernels(r,c){const v=await this._provider.provideKernels(r.notebookDocument,c)||[],C=new Map;let m=0;const f=new Set,T=this._kernelToFriendlyId.get(r.uri),L=v.map(te=>{let j=T==null?void 0:T.get(te);return j===void 0&&(te.id&&f.has(te.id)?j=`${this._extension.identifier.value}_${te.id}_${m++}`:j=`${this._extension.identifier.value}_${te.id||D.generateUuid()}`),C.set(te,j),{id:te.id,friendlyId:j,label:te.label,extension:this._extension.identifier,extensionLocation:this._extension.extensionLocation,providerHandle:this._handle,description:te.description,detail:te.detail,isPreferred:te.isPreferred,preloads:te.preloads,supportedLanguages:te.supportedLanguages}});this._kernelToFriendlyId.set(r.uri,C);const B=new Map;return C.forEach((te,j)=>{B.set(te,j)}),this._friendlyIdToKernel.set(r.uri,B),L}getKernelByFriendlyId(r,c){var v;return(v=this._friendlyIdToKernel.get(r))===null||v===void 0?void 0:v.get(c)}async resolveNotebook(r,c,v,C){var m;const f=(m=this._friendlyIdToKernel.get(c.uri))===null||m===void 0?void 0:m.get(r);if(f&&this._provider.resolveKernel)return this._provider.resolveKernel(f,c.notebookDocument,v,C)}async executeNotebook(r,c,v){var C;const m=(C=this._friendlyIdToKernel.get(c.uri))===null||C===void 0?void 0:C.get(r);if(!!m)return u(v?f=>m.executeCell(c.notebookDocument,v.cell,f):f=>m.executeAllCells(c.notebookDocument,f))}async cancelNotebook(r,c,v){var C;const m=(C=this._friendlyIdToKernel.get(c.uri))===null||C===void 0?void 0:C.get(r);if(!!m)return v?m.cancelCellExecution(c.notebookDocument,v.cell):m.cancelAllCellsExecution(c.notebookDocument)}}e.ExtHostNotebookKernelProviderAdapter=d;async function u(o){const r=new _.CancellationTokenSource;try{await o(r.token)}finally{r.dispose()}}class a{constructor(r,c){const v=a._Keys.nextId();r.$registerNotebookEditorDecorationType(v,E.NotebookDecorationRenderOptions.from(c)),this.value={key:v,dispose(){r.$removeNotebookEditorDecorationType(v)}}}}e.NotebookEditorDecorationType=a,a._Keys=new g.IdGenerator("NotebookEditorDecorationType");class t{constructor(r,c,v,C,m,f,T){this._textDocumentsAndEditors=v,this._textDocuments=C,this._webviewInitData=m,this.logService=f,this._extensionStoragePaths=T,this._notebookContentProviders=new Map,this._notebookKernelProviders=new Map,this._documents=new b.ResourceMap,this._editors=new Map,this._webviewComm=new Map,this._onDidChangeNotebookEditorSelection=new y.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this._onDidChangeNotebookEditorVisibleRanges=new y.Emitter,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event,this._onDidChangeNotebookDocumentMetadata=new y.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidChangeNotebookCells=new y.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new y.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new y.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new y.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new y.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new y.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidSaveNotebookDocument=new y.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeActiveNotebookKernel=new y.Emitter,this.onDidChangeActiveNotebookKernel=this._onDidChangeActiveNotebookKernel.event,this._onDidChangeVisibleNotebookEditors=new y.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._backupIdPool=0,this._proxy=r.getProxy(P.MainContext.MainThreadNotebook),this._commandsConverter=c.converter,c.registerArgumentProcessor({processArgument:L=>{var B;if(L&&L.$mid===12){const te=(B=L.notebookEditor)===null||B===void 0?void 0:B.notebookUri,j=L.cell.handle,W=this._documents.get(te),$=W==null?void 0:W.getCell(j);if($)return $.cell}return L}})}get activeNotebookEditor(){var r;return(r=this._activeNotebookEditor)===null||r===void 0?void 0:r.editor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(r=>r.editor)}get notebookDocuments(){return[...this._documents.values()]}lookupNotebookDocument(r){return this._documents.get(r)}_getNotebookDocument(r){const c=this._documents.get(r);if(!c)throw new Error(`NO notebook document for '${r}'`);return c}_getProviderData(r){const c=this._notebookContentProviders.get(r);if(!c)throw new Error(`NO provider for '${r}'`);return c}registerNotebookContentProvider(r,c,v,C){var m,f,T;if(this._notebookContentProviders.has(c))throw new Error(`Notebook provider for '${c}' already registered`);this._notebookContentProviders.set(c,{extension:r,provider:v});let L;v.onDidChangeNotebookContentOptions&&(L=v.onDidChangeNotebookContentOptions(()=>{this._proxy.$updateNotebookProviderOptions(c,v.options)}));const B=(m=C==null?void 0:C.viewOptions)===null||m===void 0?void 0:m.filenamePattern.map(te=>E.NotebookExclusiveDocumentPattern.from(te)).filter(te=>te!==void 0);return((f=C==null?void 0:C.viewOptions)===null||f===void 0?void 0:f.filenamePattern)&&!B&&console.warn(`Notebook content provider view options file name pattern is invalid ${(T=C==null?void 0:C.viewOptions)===null||T===void 0?void 0:T.filenamePattern}`),this._proxy.$registerNotebookProvider({id:r.identifier,location:r.extensionLocation,description:r.description},c,{transientOutputs:(C==null?void 0:C.transientOutputs)||!1,transientMetadata:(C==null?void 0:C.transientMetadata)||{},viewOptions:(C==null?void 0:C.viewOptions)&&B?{displayName:C.viewOptions.displayName,filenamePattern:B,exclusive:C.viewOptions.exclusive||!1}:void 0}),new n.Disposable(()=>{L==null||L.dispose(),this._notebookContentProviders.delete(c),this._proxy.$unregisterNotebookProvider(c)})}registerNotebookKernelProvider(r,c,v){const C=t._notebookKernelProviderHandlePool++,m=new d(this._proxy,C,r,v);return this._notebookKernelProviders.set(C,m),this._proxy.$registerNotebookKernelProvider({id:r.identifier,location:r.extensionLocation,description:r.description},C,{viewType:c.viewType,filenamePattern:c.filenamePattern?E.NotebookExclusiveDocumentPattern.from(c.filenamePattern):void 0}),new n.Disposable(()=>{m.dispose(),this._notebookKernelProviders.delete(C),this._proxy.$unregisterNotebookKernelProvider(C)})}createNotebookEditorDecorationType(r){return new a(this._proxy,r).value}async openNotebookDocument(r){const c=this._documents.get(r);if(c)return c.notebookDocument;const v=await this._proxy.$tryOpenDocument(r),C=this._documents.get(I.URI.revive(v));return(0,S.assertIsDefined)(C==null?void 0:C.notebookDocument)}_withAdapter(r,c,v){const C=this._documents.get(I.URI.revive(c));if(!C)return[];const m=this._notebookKernelProviders.get(r);return m?v(m,C):[]}async showNotebookDocument(r,c){var v;I.URI.isUri(r)&&(r=await this.openNotebookDocument(r));let C;typeof c=="object"?C={position:E.ViewColumn.from(c.viewColumn),preserveFocus:c.preserveFocus,selection:c.selection&&E.NotebookCellRange.from(c.selection),pinned:typeof c.preview=="boolean"?!c.preview:void 0}:C={preserveFocus:!1};const m=await this._proxy.$tryShowNotebookDocument(r.uri,r.viewType,C),f=m&&((v=this._editors.get(m))===null||v===void 0?void 0:v.editor);if(f)return f.editor;throw m?new Error(`Could NOT open editor for "${r.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${r.toString()}".`)}async $provideNotebookKernels(r,c,v){return this._withAdapter(r,c,(C,m)=>C.provideKernels(m,v))}async $resolveNotebookKernel(r,c,v,C,m){await this._withAdapter(r,v,async(f,T)=>{const L=this._webviewComm.get(c);L&&await f.resolveNotebook(C,T,L.contentProviderComm,m)})}async $resolveNotebookEditor(r,c,v){const C=this._notebookContentProviders.get(r),m=I.URI.revive(c),f=this._documents.get(m);if(!(!f||!C)){let T=this._webviewComm.get(v);T||(T=new w(v,m,this._proxy,this._webviewInitData,f),this._webviewComm.set(v,T)),!!C.provider.resolveNotebook&&await C.provider.resolveNotebook(f.notebookDocument,T.contentProviderComm)}}async $executeNotebookKernelFromProvider(r,c,v,C){await this._withAdapter(r,c,async(m,f)=>{const T=C!==void 0?f.getCell(C):void 0;return m.executeNotebook(v,f,T)})}async $cancelNotebookKernelFromProvider(r,c,v,C){await this._withAdapter(r,c,async(m,f)=>{const T=C!==void 0?f.getCell(C):void 0;return m.cancelNotebook(v,f,T)})}async $openNotebook(r,c,v,C,m){const{provider:f}=this._getProviderData(r),T=await f.openNotebook(I.URI.revive(c),{backupId:v,untitledDocumentData:m==null?void 0:m.buffer},C);return{metadata:E.NotebookDocumentMetadata.from(T.metadata),cells:T.cells.map(E.NotebookCellData.from)}}async $saveNotebook(r,c,v){const C=this._getNotebookDocument(I.URI.revive(c)),{provider:m}=this._getProviderData(r);return await m.saveNotebook(C.notebookDocument,v),!0}async $saveNotebookAs(r,c,v,C){const m=this._getNotebookDocument(I.URI.revive(c)),{provider:f}=this._getProviderData(r);return await f.saveNotebookAs(I.URI.revive(v),m.notebookDocument,C),!0}async $backupNotebook(r,c,v){var C;const m=this._getNotebookDocument(I.URI.revive(c)),f=this._getProviderData(r),T=(C=this._extensionStoragePaths.workspaceValue(f.extension))!==null&&C!==void 0?C:this._extensionStoragePaths.globalValue(f.extension),L=String((0,p.hash)([m.uri.toString(),this._backupIdPool++])),B=I.URI.joinPath(T,L),te=await f.provider.backupNotebook(m.notebookDocument,{destination:B},v);return m.updateBackup(te),te.id}$acceptNotebookActiveKernelChange(r){r.providerHandle!==void 0&&this._withAdapter(r.providerHandle,r.uri,async(c,v)=>{const C=r.kernelFriendlyId?c.getKernelByFriendlyId(I.URI.revive(r.uri),r.kernelFriendlyId):void 0;this._editors.forEach(m=>{m.editor.notebookData===v&&m.editor._acceptKernel(C)}),this._onDidChangeActiveNotebookKernel.fire({document:v.notebookDocument,kernel:C})})}$onDidReceiveMessage(r,c,v){var C;(C=this._webviewComm.get(r))===null||C===void 0||C.onDidReceiveMessage(c,v)}$acceptModelChanged(r,c,v){this._getNotebookDocument(I.URI.revive(r)).acceptModelChanged(c,v)}$acceptDirtyStateChanged(r,c){const v=this._getNotebookDocument(I.URI.revive(r));v.acceptModelChanged({rawEvents:[],versionId:v.notebookDocument.version},c)}$acceptModelSaved(r){const c=this._getNotebookDocument(I.URI.revive(r));this._onDidSaveNotebookDocument.fire(c.notebookDocument)}$acceptEditorPropertiesChanged(r,c){this.logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",r,c);const v=this._editors.get(r);if(!v)throw new Error(`unknown text editor: ${r}`);c.visibleRanges&&v.editor._acceptVisibleRanges(c.visibleRanges.ranges.map(E.NotebookCellRange.to)),c.selections&&v.editor._acceptSelections(c.selections.selections.map(E.NotebookCellRange.to)),c.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:v.editor.editor,visibleRanges:v.editor.editor.visibleRanges}),c.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:v.editor.editor,selections:v.editor.editor.selections}))}$acceptDocumentPropertiesChanged(r,c){this.logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",r.path,c);const v=this._getNotebookDocument(I.URI.revive(r));v.acceptDocumentPropertiesChanged(c),c.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:v.notebookDocument})}_createExtHostEditor(r,c,v){var C;const m=r.uri;let f=this._webviewComm.get(c);f||(f=new w(c,m,this._proxy,this._webviewInitData,r),this._webviewComm.set(c,f));const T=new l.ExtHostNotebookEditor(c,r.notebookDocument.viewType,this._proxy,r,v.visibleRanges.map(E.NotebookCellRange.to),v.selections.map(E.NotebookCellRange.to),typeof v.viewColumn=="number"?E.ViewColumn.to(v.viewColumn):void 0);(C=this._editors.get(c))===null||C===void 0||C.editor.dispose(),this._editors.set(c,{editor:T})}$acceptDocumentAndEditorsDelta(r){var c,v,C,m;let f=!1;if(r.removedDocuments)for(const L of r.removedDocuments){const B=I.URI.revive(L),te=this._documents.get(B);te&&(te.dispose(),this._documents.delete(B),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:te.notebookDocument.cells.map(j=>j.document.uri)}),this._onDidCloseNotebookDocument.fire(te.notebookDocument));for(const j of this._editors.values())j.editor.notebookData.uri.toString()===B.toString()&&(j.editor.dispose(),this._editors.delete(j.editor.id),f=!0)}if(r.addedDocuments){const L=[];for(const B of r.addedDocuments){const te=I.URI.revive(B.uri),j=B.viewType;if(this._documents.has(te))throw new Error(`adding EXISTING notebook ${te}`);const W=this,$=new h.ExtHostNotebookDocument(this._proxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(O){W._onDidChangeNotebookCells.fire(O)},emitCellOutputsChange(O){W._onDidChangeCellOutputs.fire(O)},emitCellMetadataChange(O){W._onDidChangeCellMetadata.fire(O)}},j,B.metadata?E.NotebookDocumentMetadata.to(B.metadata):new n.NotebookDocumentMetadata,te);$.acceptModelChanged({versionId:B.versionId,rawEvents:[{kind:k.NotebookCellsChangeType.Initialize,changes:[[0,0,B.cells]]}]},!1),L.push(...B.cells.map(O=>h.ExtHostCell.asModelAddData($.notebookDocument,O))),(c=this._documents.get(te))===null||c===void 0||c.dispose(),this._documents.set(te,$),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:L}),this._onDidOpenNotebookDocument.fire($.notebookDocument)}}if(r.addedEditors)for(const L of r.addedEditors){if(this._editors.has(L.id))return;const B=I.URI.revive(L.documentUri),te=this._documents.get(B);te&&(this._createExtHostEditor(te,L.id,L),f=!0)}const T=[];if(r.removedEditors)for(const L of r.removedEditors){const B=this._editors.get(L);B&&(f=!0,this._editors.delete(L),((v=this._activeNotebookEditor)===null||v===void 0?void 0:v.id)===B.editor.id&&(this._activeNotebookEditor=void 0),T.push(B))}if(f&&T.forEach(L=>{L.editor.dispose()}),r.visibleEditors){this._visibleNotebookEditors=r.visibleEditors.map(B=>this._editors.get(B).editor).filter(B=>!!B);const L=new Set;this._visibleNotebookEditors.forEach(B=>L.add(B.id));for(const B of this._editors.values()){const te=L.has(B.editor.id);B.editor._acceptVisibility(te)}this._visibleNotebookEditors=[...this._editors.values()].map(B=>B.editor).filter(B=>B.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}r.newActiveEditor===null?this._activeNotebookEditor=void 0:r.newActiveEditor&&(this._activeNotebookEditor=(C=this._editors.get(r.newActiveEditor))===null||C===void 0?void 0:C.editor),r.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire((m=this._activeNotebookEditor)===null||m===void 0?void 0:m.editor)}createNotebookCellStatusBarItemInternal(r,c,v){const C=new i(this._proxy,this._commandsConverter,r,c,v),m=k.CellUri.parse(r.document.uri);if(m){const f=this._documents.get(m.notebook);if(f){const T=f.getCell(m.handle);T&&y.Event.once(T.onDidDispose)(()=>C.dispose())}}return C}}e.ExtHostNotebookController=t,t._notebookKernelProviderHandlePool=0;class i extends R.Disposable{constructor(r,c,v,C,m){super();this._proxy=r,this._commands=c,this._cell=v,this._priority=m,this._id=i.NEXT_ID++,this._isDisposed=!1,this._text="",this._visible=!1,this._internalCommandRegistration=this._register(new R.DisposableStore),this._alignment=C!=null?C:n.NotebookCellStatusBarAlignment.Left}get apiItem(){return this._apiItem||(this._apiItem=s(this)),this._apiItem}get cell(){return this._cell}get alignment(){return this._alignment}set alignment(r){this._alignment=r,this.update()}get priority(){return this._priority}set priority(r){this._priority=r,this.update()}get text(){return this._text}set text(r){this._text=r,this.update()}get tooltip(){return this._tooltip}set tooltip(r){this._tooltip=r,this.update()}get command(){var r;return(r=this._command)===null||r===void 0?void 0:r.fromApi}set command(r){var c;((c=this._command)===null||c===void 0?void 0:c.fromApi)!==r&&(this._internalCommandRegistration.clear(),typeof r=="string"?this._command={fromApi:r,internal:this._commands.toInternal({title:"",command:r},this._internalCommandRegistration)}:r?this._command={fromApi:r,internal:this._commands.toInternal(r,this._internalCommandRegistration)}:this._command=void 0,this.update())}get accessibilityInformation(){return this._accessibilityInformation}set accessibilityInformation(r){this._accessibilityInformation=r,this.update()}show(){this._visible=!0,this.update()}hide(){this._visible=!1,this.update()}dispose(){this.hide(),this._isDisposed=!0,this._internalCommandRegistration.dispose()}update(){var r;if(!this._isDisposed){const c={alignment:this.alignment===n.NotebookCellStatusBarAlignment.Left?0:1,cellResource:this.cell.document.uri,command:(r=this._command)===null||r===void 0?void 0:r.internal,text:this.text,tooltip:this.tooltip,accessibilityInformation:this.accessibilityInformation,priority:this.priority,visible:this._visible};this._proxy.$setStatusBarEntry(this._id,c)}}}e.NotebookCellStatusBarItemInternal=i,i.NEXT_ID=0;function s(o){return Object.freeze({cell:o.cell,get alignment(){return o.alignment},set alignment(r){o.alignment=r},get priority(){return o.priority},set priority(r){o.priority=r},get text(){return o.text},set text(r){o.text=r},get tooltip(){return o.tooltip},set tooltip(r){o.tooltip=r},get command(){return o.command},set command(r){o.command=r},get accessibilityInformation(){return o.accessibilityInformation},set accessibilityInformation(r){o.accessibilityInformation=r},show(){o.show()},hide(){o.hide()},dispose(){o.dispose()}})}}),define(ge[64],pe([0,1,5,3,6,26,4,14]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class E extends R.Disposable{constructor(l,g,S,p){super();this._onDidAppend=this._register(new y.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=l,this._proxy=p,this._id=p.$register(this.name,g,S),this._disposed=!1,this._offset=0}get name(){return this._name}append(l){this.validate(),this._offset+=l?I.VSBuffer.fromString(l).byteLength:0}update(){this._id.then(l=>this._proxy.$update(l))}appendLine(l){this.validate(),this.append(l+`
`)}clear(){this.validate();const l=this._offset;this._id.then(g=>this._proxy.$clear(g,l))}show(l,g){this.validate(),this._id.then(S=>this._proxy.$reveal(S,!!(typeof l=="boolean"?l:g)))}hide(){this.validate(),this._id.then(l=>this._proxy.$close(l))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(l=>this._proxy.$dispose(l)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=E;class n extends E{constructor(l,g){super(l,!1,void 0,g)}append(l){super.append(l),this._id.then(g=>this._proxy.$append(g,l)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=n;class A extends E{constructor(l,g,S){super(l,!0,g,S)}append(l){throw new Error("Not supported")}}class k{constructor(l,g){this.name=l,this._channel=g}append(l){this._channel.then(g=>g.append(l))}appendLine(l){this._channel.then(g=>g.appendLine(l))}clear(){this._channel.then(l=>l.clear())}show(l,g){this._channel.then(S=>S.show(l,g))}hide(){this._channel.then(l=>l.hide())}dispose(){this._channel.then(l=>l.dispose())}}e.LazyOutputChannel=k;let b=class{constructor(l){this._proxy=l.getProxy(_.MainContext.MainThreadOutputService)}$setVisibleChannel(l){}createOutputChannel(l){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");return new n(l,this._proxy)}createOutputChannelFromLogFile(l,g){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");if(!g)throw new Error("illegal argument `file`. must not be falsy");return new A(l,g,this._proxy)}};b=je([Ue(0,P.IExtHostRpcService)],b),e.ExtHostOutputService=b,e.IExtHostOutputService=(0,D.createDecorator)("IExtHostOutputService")}),define(ge[241],pe([0,1,19,21,3,6,5,2,8,18,12]),function(J,e,_,y,R,I,D,P,E,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function k(b,h,l){const g=b.getProxy(D.MainContext.MainThreadQuickOpen);class S{constructor(s,o){this._sessions=new Map,this._instances=0,this._workspace=s,this._commands=o}showQuickPick(s,o,r,c=y.CancellationToken.None){this._onDidSelectItem=void 0;const v=Promise.resolve(s),C=++this._instances,m=g.$show(C,{placeHolder:r&&r.placeHolder,matchOnDescription:r&&r.matchOnDescription,matchOnDetail:r&&r.matchOnDetail,ignoreFocusLost:r&&r.ignoreFocusOut,canPickMany:r&&r.canPickMany},c),f={},T=m.then(()=>f);return Promise.race([T,v]).then(L=>{if(L!==f)return v.then(B=>{const te=[];for(let j=0;j<B.length;j++){const W=B[j];let $,O,U,F,N;typeof W=="string"?$=W:($=W.label,O=W.description,U=W.detail,F=W.picked,N=W.alwaysShow),te.push({label:$,description:O,handle:j,detail:U,picked:F,alwaysShow:N})}return r&&typeof r.onDidSelectItem=="function"&&(this._onDidSelectItem=j=>{r.onDidSelectItem(B[j])}),g.$setItems(C,te),m.then(j=>{if(typeof j=="number")return B[j];if(Array.isArray(j))return j.map(W=>B[W])})})}).then(void 0,L=>{if(!(0,n.isPromiseCanceledError)(L))return g.$setError(C,L),Promise.reject(L)})}$onItemSelected(s){this._onDidSelectItem&&this._onDidSelectItem(s)}showInput(s,o=y.CancellationToken.None){return this._validateInput=s?s.validateInput:void 0,g.$input(s,typeof this._validateInput=="function",o).then(void 0,r=>{if(!(0,n.isPromiseCanceledError)(r))return Promise.reject(r)})}$validateInput(s){return this._validateInput?(0,_.asPromise)(()=>this._validateInput(s)):Promise.resolve(void 0)}async showWorkspaceFolderPick(s,o=y.CancellationToken.None){const r=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[s]);if(!!r){const c=await this._workspace.getWorkspaceFolders2();if(!!c)return c.find(v=>v.uri.toString()===r.uri.toString())}}createQuickPick(s,o){const r=new a(s,o,()=>this._sessions.delete(r._id));return this._sessions.set(r._id,r),r}createInputBox(s){const o=new t(s,()=>this._sessions.delete(o._id));return this._sessions.set(o._id,o),o}$onDidChangeValue(s,o){const r=this._sessions.get(s);r&&r._fireDidChangeValue(o)}$onDidAccept(s){const o=this._sessions.get(s);o&&o._fireDidAccept()}$onDidChangeActive(s,o){const r=this._sessions.get(s);r instanceof a&&r._fireDidChangeActive(o)}$onDidChangeSelection(s,o){const r=this._sessions.get(s);r instanceof a&&r._fireDidChangeSelection(o)}$onDidTriggerButton(s,o){const r=this._sessions.get(s);r&&r._fireDidTriggerButton(o)}$onDidHide(s){const o=this._sessions.get(s);o&&o._fireDidHide()}}class p{constructor(s,o){this._extensionId=s,this._onDidDispose=o,this._id=a._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new R.Emitter,this._onDidChangeValueEmitter=new R.Emitter,this._onDidTriggerButtonEmitter=new R.Emitter,this._onDidHideEmitter=new R.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(s){this._title=s,this.update({title:s})}get step(){return this._steps}set step(s){this._steps=s,this.update({step:s})}get totalSteps(){return this._totalSteps}set totalSteps(s){this._totalSteps=s,this.update({totalSteps:s})}get enabled(){return this._enabled}set enabled(s){this._enabled=s,this.update({enabled:s})}get busy(){return this._busy}set busy(s){this._busy=s,this.update({busy:s})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(s){this._ignoreFocusOut=s,this.update({ignoreFocusOut:s})}get value(){return this._value}set value(s){this._value=s,this.update({value:s})}get placeholder(){return this._placeholder}set placeholder(s){this._placeholder=s,this.update({placeholder:s})}get buttons(){return this._buttons}set buttons(s){this._buttons=s.slice(),this._handlesToButtons.clear(),s.forEach((o,r)=>{const c=o===E.QuickInputButtons.Back?-1:r;this._handlesToButtons.set(c,o)}),this.update({buttons:s.map((o,r)=>({iconPath:w(o.iconPath),tooltip:o.tooltip,handle:o===E.QuickInputButtons.Back?-1:r}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(s){this._value=s,this._onDidChangeValueEmitter.fire(s)}_fireDidTriggerButton(s){const o=this._handlesToButtons.get(s);o&&this._onDidTriggerButtonEmitter.fire(o)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,I.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),g.$dispose(this._id))}update(s){if(!this._disposed){for(const o of Object.keys(s)){const r=s[o];this._pendingUpdate[o]=r===void 0?null:r}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){g.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}p._nextId=1;function w(i){if(i instanceof E.ThemeIcon)return{id:i.id};const s=u(i),o=d(i);return{dark:typeof s=="string"?P.URI.file(s):s,light:typeof o=="string"?P.URI.file(o):o}}function d(i){return typeof i=="object"&&"light"in i?i.light:i}function u(i){return typeof i=="object"&&"dark"in i?i.dark:i}class a extends p{constructor(s,o,r){super(s,r);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new R.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new R.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(s){this._items=s.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),s.forEach((o,r)=>{this._handlesToItems.set(r,o),this._itemsToHandles.set(o,r)}),this.update({items:s.map((o,r)=>({label:o.label,description:o.description,handle:r,detail:o.detail,picked:o.picked,alwaysShow:o.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(s){this._canSelectMany=s,this.update({canSelectMany:s})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(s){this._matchOnDescription=s,this.update({matchOnDescription:s})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(s){this._matchOnDetail=s,this.update({matchOnDetail:s})}get sortByLabel(){return this._sortByLabel}set sortByLabel(s){this._sortByLabel=s,this.update({sortByLabel:s})}get activeItems(){return this._activeItems}set activeItems(s){this._activeItems=s.filter(o=>this._itemsToHandles.has(o)),this.update({activeItems:this._activeItems.map(o=>this._itemsToHandles.get(o))})}get selectedItems(){return this._selectedItems}set selectedItems(s){this._selectedItems=s.filter(o=>this._itemsToHandles.has(o)),this.update({selectedItems:this._selectedItems.map(o=>this._itemsToHandles.get(o))})}_fireDidChangeActive(s){const o=(0,A.coalesce)(s.map(r=>this._handlesToItems.get(r)));this._activeItems=o,this._onDidChangeActiveEmitter.fire(o)}_fireDidChangeSelection(s){const o=(0,A.coalesce)(s.map(r=>this._handlesToItems.get(r)));this._selectedItems=o,this._onDidChangeSelectionEmitter.fire(o)}}class t extends p{constructor(s,o){super(s,o);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(s){this._password=s,this.update({password:s})}get prompt(){return this._prompt}set prompt(s){this._prompt=s,this.update({prompt:s})}get validationMessage(){return this._validationMessage}set validationMessage(s){this._validationMessage=s,this.update({validationMessage:s})}}return new S(h,l)}e.createExtHostQuickOpen=k}),define(ge[242],pe([0,1,2,3,54,6,19,5,12,95,13,29,41]),function(J,e,_,y,R,I,D,P,E,n,A,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function h(o){if(o)return typeof o.iconPath=="string"?_.URI.file(o.iconPath):o.iconPath}function l(o,r){if(!o.iconPath&&!r.iconPath)return 0;if(o.iconPath){if(!r.iconPath)return 1}else return-1;const c=typeof o.iconPath=="string"?o.iconPath:o.iconPath.fsPath,v=typeof r.iconPath=="string"?r.iconPath:r.iconPath.fsPath;return(0,n.comparePaths)(c,v)}function g(o,r){let c=0;if(o.strikeThrough!==r.strikeThrough)return o.strikeThrough?1:-1;if(o.faded!==r.faded)return o.faded?1:-1;if(o.tooltip!==r.tooltip)return(o.tooltip||"").localeCompare(r.tooltip||"");if(c=l(o,r),c!==0)return c;if(o.light&&r.light)c=l(o.light,r.light);else{if(o.light)return 1;if(r.light)return-1}if(c!==0)return c;if(o.dark&&r.dark)c=l(o.dark,r.dark);else{if(o.dark)return 1;if(r.dark)return-1}return c}function S(o,r){if(o.command!==r.command)return o.command<r.command?-1:1;if(o.title!==r.title)return o.title<r.title?-1:1;if(o.tooltip!==r.tooltip){if(o.tooltip!==void 0&&r.tooltip!==void 0)return o.tooltip<r.tooltip?-1:1;if(o.tooltip!==void 0)return 1;if(r.tooltip!==void 0)return-1}if(o.arguments===r.arguments)return 0;if(o.arguments)if(r.arguments){if(o.arguments.length!==r.arguments.length)return o.arguments.length-r.arguments.length}else return 1;else return-1;for(let c=0;c<o.arguments.length;c++){const v=o.arguments[c],C=r.arguments[c];if(v!==C)return v<C?-1:1}return 0}function p(o,r){let c=(0,n.comparePaths)(o.resourceUri.fsPath,r.resourceUri.fsPath,!0);if(c!==0)return c;if(o.command&&r.command)c=S(o.command,r.command);else{if(o.command)return 1;if(r.command)return-1}if(c!==0)return c;if(o.decorations&&r.decorations)c=g(o.decorations,r.decorations);else{if(o.decorations)return 1;if(r.decorations)return-1}return c}function w(o,r){for(let c=0;c<o.length;c++)if(o[c]!==r[c])return!1;return!0}function d(o,r){return o.command===r.command&&o.title===r.title&&o.tooltip===r.tooltip&&(o.arguments&&r.arguments?w(o.arguments,r.arguments):o.arguments===r.arguments)}function u(o,r){return(0,E.equals)(o,r,d)}class a{constructor(r,c,v){this._extension=r,this._proxy=c,this._sourceControlHandle=v,this._value="",this._onDidChange=new y.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(r){this._proxy.$setInputBoxValue(this._sourceControlHandle,r),this.updateValue(r)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(r){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,r),this._placeholder=r}get validateInput(){return(0,b.checkProposedApiEnabled)(this._extension),this._validateInput}set validateInput(r){if((0,b.checkProposedApiEnabled)(this._extension),r&&typeof r!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=r,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!r)}get visible(){return this._visible}set visible(r){r=!!r,this._visible!==r&&(this._visible=r,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,r))}$onInputBoxValueChange(r){this.updateValue(r)}updateValue(r){this._value=r,this._onDidChange.fire(r)}}e.ExtHostSCMInputBox=a;class t{constructor(r,c,v,C,m){this._proxy=r,this._commands=c,this._sourceControlHandle=v,this._id=C,this._label=m,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new y.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new y.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(r){this._label=r,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,r)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(r){this._hideWhenEmpty=r,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(r){this._resourceStates=[...r],this._onDidUpdateResourceStates.fire()}getResourceState(r){return this._resourceStatesMap.get(r)}$executeResourceCommand(r,c){const v=this._resourceStatesCommandsMap.get(r);return v?(0,D.asPromise)(()=>this._commands.executeCommand(v.command,...v.arguments||[],c)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){var r;const c=[...this._resourceStates].sort(p),C=(0,E.sortedDiff)(this._resourceSnapshot,c,p).map(T=>{const L=T.toInsert.map(B=>{const te=this._resourceHandlePool++;this._resourceStatesMap.set(te,B);const j=B.resourceUri,W=h(B.decorations),$=B.decorations&&h(B.decorations.light)||W,O=B.decorations&&h(B.decorations.dark)||W,U=[];let F;if(B.command)if(B.command.command==="vscode.open"||B.command.command==="vscode.diff"){const fe=new I.DisposableStore;F=this._commands.converter.toInternal(B.command,fe),this._resourceStatesDisposablesMap.set(te,fe)}else this._resourceStatesCommandsMap.set(te,B.command);$&&U.push($),O&&O.toString()!==($==null?void 0:$.toString())&&U.push(O);const N=B.decorations&&B.decorations.tooltip||"",M=B.decorations&&!!B.decorations.strikeThrough,V=B.decorations&&!!B.decorations.faded,q=B.contextValue||"";return{rawResource:[te,j,U,N,M,V,q,F],handle:te}});return{start:T.start,deleteCount:T.deleteCount,toInsert:L}}),m=C.map(({start:T,deleteCount:L,toInsert:B})=>[T,L,B.map(te=>te.rawResource)]),f=C.reverse();for(const{start:T,deleteCount:L,toInsert:B}of f){const te=B.map(W=>W.handle),j=this._handlesSnapshot.splice(T,L,...te);for(const W of j)this._resourceStatesMap.delete(W),this._resourceStatesCommandsMap.delete(W),(r=this._resourceStatesDisposablesMap.get(W))===null||r===void 0||r.dispose(),this._resourceStatesDisposablesMap.delete(W)}return this._resourceSnapshot=c,m}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class i{constructor(r,c,v,C,m,f){this._proxy=c,this._commands=v,this._id=C,this._label=m,this._rootUri=f,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new I.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new I.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new y.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=i._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new a(r,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,C,m,f)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(r){this._count!==r&&(this._count=r,this._proxy.$updateSourceControl(this.handle,{count:r}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(r){this._quickDiffProvider=r,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!r})}get commitTemplate(){return this._commitTemplate}set commitTemplate(r){r!==this._commitTemplate&&(this._commitTemplate=r,this._proxy.$updateSourceControl(this.handle,{commitTemplate:r}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(r){this._acceptInputDisposables.value=new I.DisposableStore,this._acceptInputCommand=r;const c=this._commands.converter.toInternal(r,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:c})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(r){if(!(this._statusBarCommands&&r&&u(this._statusBarCommands,r))){this._statusBarDisposables.value=new I.DisposableStore,this._statusBarCommands=r;const c=(r||[]).map(v=>this._commands.converter.toInternal(v,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:c})}}get selected(){return this._selected}createResourceGroup(r,c){const v=new t(this._proxy,this._commands,this.handle,r,c),C=y.Event.once(v.onDidDispose)(()=>this.createdResourceGroups.delete(v));return this.createdResourceGroups.set(v,C),this.eventuallyAddResourceGroups(),v}eventuallyAddResourceGroups(){const r=[],c=[];for(const[v,C]of this.createdResourceGroups){C.dispose();const m=v.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(v),this.eventuallyUpdateResourceStates()});y.Event.once(v.onDidDispose)(()=>{this.updatedResourceGroups.delete(v),m.dispose(),this._groups.delete(v.handle),this._proxy.$unregisterGroup(this.handle,v.handle)}),r.push([v.handle,v.id,v.label,v.features]);const f=v._takeResourceStateSnapshot();f.length>0&&c.push([v.handle,f]),this._groups.set(v.handle,v)}this._proxy.$registerGroups(this.handle,r,c),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const r=[];this.updatedResourceGroups.forEach(c=>{const v=c._takeResourceStateSnapshot();v.length!==0&&r.push([c.handle,v])}),r.length>0&&this._proxy.$spliceResourceStates(this.handle,r),this.updatedResourceGroups.clear()}getResourceGroup(r){return this._groups.get(r)}setSelectionState(r){this._selected=r,this._onDidChangeSelection.fire(r)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(r=>r.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}i._handlePool=0,je([(0,R.debounce)(100)],i.prototype,"eventuallyAddResourceGroups",null),je([(0,R.debounce)(100)],i.prototype,"eventuallyUpdateResourceStates",null);let s=class An{constructor(r,c,v){this._commands=c,this.logService=v,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new y.Emitter,this._proxy=r.getProxy(P.MainContext.MainThreadSCM),this._telemetry=r.getProxy(P.MainContext.MainThreadTelemetry),c.registerArgumentProcessor({processArgument:C=>{if(C&&C.$mid===3){const m=this._sourceControls.get(C.sourceControlHandle);if(!m)return C;const f=m.getResourceGroup(C.groupHandle);return f?f.getResourceState(C.handle):C}else if(C&&C.$mid===4){const m=this._sourceControls.get(C.sourceControlHandle);return m?m.getResourceGroup(C.groupHandle):C}else if(C&&C.$mid===5){const m=this._sourceControls.get(C.handle);return m||C}return C}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(r,c,v,C){this.logService.trace("ExtHostSCM#createSourceControl",r.identifier.value,c,v,C),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:r.identifier.value});const m=An._handlePool++,f=new i(r,this._proxy,this._commands,c,v,C);this._sourceControls.set(m,f);const T=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(r.identifier))||[];return T.push(f),this._sourceControlsByExtension.set(k.ExtensionIdentifier.toKey(r.identifier),T),f}getLastInputBox(r){this.logService.trace("ExtHostSCM#getLastInputBox",r.identifier.value);const c=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(r.identifier)),v=c&&c[c.length-1];return v&&v.inputBox}$provideOriginalResource(r,c,v){const C=_.URI.revive(c);this.logService.trace("ExtHostSCM#$provideOriginalResource",r,C.toString());const m=this._sourceControls.get(r);return!m||!m.quickDiffProvider||!m.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,D.asPromise)(()=>m.quickDiffProvider.provideOriginalResource(C,v)).then(f=>f||null)}$onInputBoxValueChange(r,c){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",r);const v=this._sourceControls.get(r);return v&&v.inputBox.$onInputBoxValueChange(c),Promise.resolve(void 0)}$executeResourceCommand(r,c,v,C){this.logService.trace("ExtHostSCM#$executeResourceCommand",r,c,v);const m=this._sourceControls.get(r);if(!m)return Promise.resolve(void 0);const f=m.getResourceGroup(c);return f?f.$executeResourceCommand(v,C):Promise.resolve(void 0)}$validateInput(r,c,v){this.logService.trace("ExtHostSCM#$validateInput",r);const C=this._sourceControls.get(r);return!C||!C.inputBox.validateInput?Promise.resolve(void 0):(0,D.asPromise)(()=>C.inputBox.validateInput(c,v)).then(m=>m?Promise.resolve([m.message,m.type]):Promise.resolve(void 0))}$setSelectedSourceControl(r){var c,v;return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",r),r!==void 0&&((c=this._sourceControls.get(r))===null||c===void 0||c.setSelectionState(!0)),this._selectedSourceControlHandle!==void 0&&((v=this._sourceControls.get(this._selectedSourceControlHandle))===null||v===void 0||v.setSelectionState(!1)),this._selectedSourceControlHandle=r,Promise.resolve(void 0)}};s._handlePool=0,s=je([Ue(2,A.ILogService)],s),e.ExtHostSCM=s});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[243],pe([0,1,8,5,161,6]),function(J,e,_,y,R,I){"use strict";var D,P;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class E{constructor(b,h,l,g,S=_.StatusBarAlignment.Left,p,w){D.set(this,void 0),P.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new I.DisposableStore,tt(this,D,b),tt(this,P,h),this._id=E.ID_GEN++,this._statusId=l,this._statusName=g,this._alignment=S,this._priority=p,this._accessibilityInformation=w}get id(){return this._id}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){var b;return(b=this._command)===null||b===void 0?void 0:b.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(b){this._text=b,this.update()}set tooltip(b){this._tooltip=b,this.update()}set color(b){this._color=b,this.update()}set backgroundColor(b){b&&!E.ALLOWED_BACKGROUND_COLORS.has(b.id)&&(b=void 0),this._backgroundColor=b,this.update()}set command(b){var h;((h=this._command)===null||h===void 0?void 0:h.fromApi)!==b&&(this._internalCommandRegistration.clear(),typeof b=="string"?this._command={fromApi:b,internal:$e(this,P).toInternal({title:"",command:b},this._internalCommandRegistration)}:b?this._command={fromApi:b,internal:$e(this,P).toInternal(b,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(b){this._accessibilityInformation=b,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,$e(this,D).$dispose(this.id)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{var b;this._timeoutHandle=void 0;let h=this._color;this._backgroundColor&&(h=E.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id)),$e(this,D).$setEntry(this.id,this._statusId,this._statusName,this._text,this._tooltip,(b=this._command)===null||b===void 0?void 0:b.internal,h,this._backgroundColor,this._alignment===_.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=E,D=new WeakMap,P=new WeakMap,E.ID_GEN=0,E.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new _.ThemeColor("statusBarItem.errorForeground")]]);class n{constructor(b){this._messages=[],this._item=b.createStatusBarEntry("status.extensionMessage",(0,R.localize)(0,null),_.StatusBarAlignment.Left,Number.MIN_VALUE)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(b){const h={message:b};return this._messages.unshift(h),this._update(),new _.Disposable(()=>{const l=this._messages.indexOf(h);l>=0&&(this._messages.splice(l,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class A{constructor(b,h){this._proxy=b.getProxy(y.MainContext.MainThreadStatusBar),this._commands=h,this._statusMessage=new n(this)}createStatusBarEntry(b,h,l,g,S){return new E(this._proxy,this._commands,b,h,l,g,S)}setStatusBarMessage(b,h){const l=this._statusMessage.setMessage(b);let g;return typeof h=="number"?g=setTimeout(()=>l.dispose(),h):typeof h!="undefined"&&h.then(()=>l.dispose(),()=>l.dispose()),new _.Disposable(()=>{l.dispose(),clearTimeout(g)})}}e.ExtHostStatusBar=A}),define(ge[88],pe([0,1,5,3,4]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class I{constructor(P){this._onDidChangeStorage=new y.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=P.getProxy(_.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(P,E){this._proxy.$registerExtensionStorageKeysToSync(P,E)}getValue(P,E,n){return this._proxy.$getValue(P,E).then(A=>A||n)}setValue(P,E,n){return this._proxy.$setValue(P,E,n)}$acceptValue(P,E,n){this._onDidChangeStorage.fire({shared:P,key:E,value:n})}}e.ExtHostStorage=I,e.IExtHostStorage=(0,R.createDecorator)("IExtHostStorage")}),define(ge[89],pe([0,1,4,27,13,87,2]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,_.createDecorator)("IExtensionStoragePaths");let P=class{constructor(n,A,k){var b;this._logService=A,this._extHostFileSystem=k,this._workspace=(b=n.workspace)!==null&&b!==void 0?b:void 0,this._environment=n.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(h=>this._value=h)}async _getOrCreateWorkspaceStoragePath(){var n;if(!this._workspace)return Promise.resolve(void 0);const A=this._workspace.id,k=D.URI.joinPath(this._environment.workspaceStorageHome,A);try{return await this._extHostFileSystem.value.stat(k),this._logService.trace("[ExtHostStorage] storage dir already exists",k),k}catch(b){}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",k),await this._extHostFileSystem.value.createDirectory(k),await this._extHostFileSystem.value.writeFile(D.URI.joinPath(k,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:(n=D.URI.revive(this._workspace.configuration))===null||n===void 0?void 0:n.toString(),name:this._workspace.name},void 0,2))),k}catch(b){this._logService.error("[ExtHostStorage]",b);return}}workspaceValue(n){if(this._value)return D.URI.joinPath(this._value,n.identifier.value)}globalValue(n){return D.URI.joinPath(this._environment.globalStorageHome,n.identifier.value.toLowerCase())}};P=je([Ue(0,y.IExtHostInitDataService),Ue(1,R.ILogService),Ue(2,I.IExtHostConsumerFileSystem)],P),e.ExtensionStoragePaths=P}),define(ge[35],pe([0,1,3,5,4,2,14,6,8,162,18,206,21,28,187]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,R.createDecorator)("IExtHostTerminalService");class g{constructor(t,i,s,o){this._proxy=t,this._id=i,this._creationOptions=s,this._name=o,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(c=>this._pidPromiseComplete=c);const r=this;this.value={get name(){return r._name||""},get processId(){return r._pidPromise},get creationOptions(){return r._creationOptions},get exitStatus(){return r._exitStatus},sendText(c,v=!0){r._checkDisposed(),r._proxy.$sendText(r._id,c,v)},show(c){r._checkDisposed(),r._proxy.$show(r._id,c)},hide(){r._checkDisposed(),r._proxy.$hide(r._id)},dispose(){r._disposed||(r._disposed=!0,r._proxy.$dispose(r._id))},get dimensions(){if(!(r._cols===void 0||r._rows===void 0))return{columns:r._cols,rows:r._rows}}}}async create(t,i,s,o,r,c,v,C,m){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:this._name,shellPath:t,shellArgs:i,cwd:s,env:o,waitOnExit:r,strictEnv:c,hideFromUser:v,isFeatureTerminal:C,isExtensionOwnedTerminal:m})}async createExtensionTerminal(){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitCode(t){this._exitStatus=Object.freeze({code:t})}setDimensions(t,i){return t===this._cols&&i===this._rows||t===0||i===0?!1:(this._cols=t,this._rows=i,!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(i=>{i!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=g;class S{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new _.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new _.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new _.Emitter,this._onProcessTitleChanged=new _.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new _.Emitter,this._onProcessShellTypeChanged=new _.Emitter,this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput&&this._pty.handleInput(t)}resize(t,i){this._pty.setDimensions&&this._pty.setDimensions({columns:t,rows:i})}acknowledgeDataEvent(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(i=>this._onProcessData.fire(i)),this._pty.onDidClose&&this._pty.onDidClose((i=void 0)=>{this._onProcessExit.fire(i===void 0?void 0:i)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(i=>this._onProcessOverrideDimensions.fire(i&&{cols:i.columns,rows:i.rows})),this._pty.open(t||void 0),this._pty.setDimensions&&t&&this._pty.setDimensions(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=S;let p=1,w=class extends P.Disposable{constructor(t,i){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new _.Emitter,this._onDidOpenTerminal=new _.Emitter,this._onDidChangeActiveTerminal=new _.Emitter,this._onDidChangeTerminalDimensions=new _.Emitter,this._proxy=i.getProxy(y.MainContext.MainThreadTerminalService),this._bufferer=new l.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new _.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[s,o]of this._terminalProcesses)o.shutdown(!0)}})}get activeTerminal(){var t;return(t=this._activeTerminal)===null||t===void 0?void 0:t.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}createExtensionTerminal(t){const i=new g(this._proxy,(0,h.generateUuid)(),t,t.name),s=new S(t.pty);return i.createExtensionTerminal().then(o=>{const r=this._setupExtHostProcessListeners(o,s);this._terminalProcessDisposables[o]=r}),this._terminals.push(i),i.value}attachPtyToTerminal(t,i){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const o=new S(i),r=this._setupExtHostProcessListeners(t,o);this._terminalProcessDisposables[t]=r}async $acceptActiveTerminalChanged(t){const i=this._activeTerminal;if(t===null){this._activeTerminal=void 0,i!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const s=this._getTerminalById(t);s&&(this._activeTerminal=s,i!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,i){const s=this._getTerminalById(t);s&&this._onDidWriteTerminalData.fire({terminal:s.value,data:i})}async $acceptTerminalDimensions(t,i,s){const o=this._getTerminalById(t);o&&o.setDimensions(i,s)&&this._onDidChangeTerminalDimensions.fire({terminal:o.value,dimensions:o.value.dimensions})}async $acceptTerminalMaximumDimensions(t,i,s){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.resize(i,s)}async $acceptTerminalTitleChange(t,i){const s=this._getTerminalById(t);s&&(s.name=i)}async $acceptTerminalClosed(t,i){const s=this._getTerminalObjectIndexById(this._terminals,t);if(s!==null){const o=this._terminals.splice(s,1)[0];o.setExitCode(i),this._onDidCloseTerminal.fire(o.value)}}$acceptTerminalOpened(t,i,s,o){if(i){const v=this._getTerminalObjectIndexById(this._terminals,i);if(v!==null){this._terminals[v]._id=t,this._onDidOpenTerminal.fire(this.terminals[v]),this._terminals[v].isOpen=!0;return}}const r={name:o.name,shellPath:o.executable,shellArgs:o.args,cwd:typeof o.cwd=="string"?o.cwd:I.URI.revive(o.cwd),env:o.env,hideFromUser:o.hideFromUser},c=new g(this._proxy,t,r,s);this._terminals.push(c),this._onDidOpenTerminal.fire(c.value),c.isOpen=!0}async $acceptTerminalProcessId(t,i){const s=this._getTerminalById(t);s&&s._setProcessId(i)}async $startExtensionTerminal(t,i){const s=this._getTerminalById(t);if(!s)return{message:(0,n.localize)(0,null,t)};s.isOpen||await new Promise(r=>{const c=this.onDidOpenTerminal(async v=>{v===s.value&&(c.dispose(),r())})});const o=this._terminalProcesses.get(t);o?o.startSendingEvents(i):this._extensionTerminalAwaitingStart[t]={initialDimensions:i}}_setupExtHostProcessListeners(t,i){const s=new P.DisposableStore;s.add(i.onProcessReady(r=>this._proxy.$sendProcessReady(t,r.pid,r.cwd))),s.add(i.onProcessTitleChanged(r=>this._proxy.$sendProcessTitle(t,r))),this._bufferer.startBuffering(t,i.onProcessData),s.add(i.onProcessExit(r=>this._onProcessExit(t,r))),i.onProcessOverrideDimensions&&s.add(i.onProcessOverrideDimensions(r=>this._proxy.$sendOverrideDimensions(t,r))),this._terminalProcesses.set(t,i);const o=this._extensionTerminalAwaitingStart[t];return o&&i instanceof S&&(i.startSendingEvents(o.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),s}$acceptProcessAckDataEvent(t,i){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.acknowledgeDataEvent(i)}$acceptProcessInput(t,i){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.input(i)}$acceptProcessResize(t,i,s){var o;try{(o=this._terminalProcesses.get(t))===null||o===void 0||o.resize(i,s)}catch(r){if(r.code!=="EPIPE"&&r.code!=="ERR_IPC_CHANNEL_CLOSED")throw r}}$acceptProcessShutdown(t,i){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.shutdown(i)}$acceptProcessRequestInitialCwd(t){var i;(i=this._terminalProcesses.get(t))===null||i===void 0||i.getInitialCwd().then(s=>this._proxy.$sendProcessInitialCwd(t,s))}$acceptProcessRequestCwd(t){var i;(i=this._terminalProcesses.get(t))===null||i===void 0||i.getCwd().then(s=>this._proxy.$sendProcessCwd(t,s))}$acceptProcessRequestLatency(t){return t}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new E.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}async $provideLinks(t,i){const s=this._getTerminalById(t);if(!s)return[];this._terminalLinkCache.delete(t);const o=this._terminalLinkCancellationSource.get(t);o&&o.dispose(!0);const r=new b.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,r);const c=[],v={terminal:s.value,line:i},C=[];for(const T of this._linkProviders)C.push(new Promise(async L=>{r.token.onCancellationRequested(()=>L({provider:T,links:[]}));const B=await T.provideTerminalLinks(v,r.token)||[];r.token.isCancellationRequested||L({provider:T,links:B})}));const m=await Promise.all(C);if(r.token.isCancellationRequested)return[];const f=new Map;for(const T of m)T&&T.links.length>0&&c.push(...T.links.map(L=>{const B={id:p++,startIndex:L.startIndex,length:L.length,label:L.tooltip};return f.set(B.id,{provider:T.provider,link:L}),B}));return this._terminalLinkCache.set(t,f),c}$activateLink(t,i){var s;const o=(s=this._terminalLinkCache.get(t))===null||s===void 0?void 0:s.get(i);!o||o.provider.handleTerminalLink(o.link)}_onProcessExit(t,i){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const s=this._terminalProcessDisposables[t];s&&(s.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,i)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,i){const s=this._getTerminalObjectIndexById(t,i);return s!==null?t[s]:null}_getTerminalObjectIndexById(t,i){let s=null;return t.some((o,r)=>o._id===i?(s=r,!0):!1),s}getEnvironmentVariableCollection(t){let i=this._environmentVariableCollections.get(t.identifier.value);return i||(i=new d,this._setEnvironmentVariableCollection(t.identifier.value,i)),i}_syncEnvironmentVariableCollection(t,i){const s=(0,k.serializeEnvironmentVariableCollection)(i.map);this._proxy.$setEnvironmentVariableCollection(t,i.persistent,s.length===0?void 0:s)}$initEnvironmentVariableCollections(t){t.forEach(i=>{const s=i[0],o=new d(i[1]);this._setEnvironmentVariableCollection(s,o)})}_setEnvironmentVariableCollection(t,i){this._environmentVariableCollections.set(t,i),i.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,i)})}};w=je([Ue(1,D.IExtHostRpcService)],w),e.BaseExtHostTerminalService=w;class d{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new _.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,i){this._setIfDiffers(t,{value:i,type:E.EnvironmentVariableMutatorType.Replace})}append(t,i){this._setIfDiffers(t,{value:i,type:E.EnvironmentVariableMutatorType.Append})}prepend(t,i){this._setIfDiffers(t,{value:i,type:E.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,i){const s=this.map.get(t);(!s||s.value!==i.value||s.type!==i.type)&&(this.map.set(t,i),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,i){this.map.forEach((s,o)=>t.call(i,o,s,this))}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=d;let u=class extends w{constructor(t){super(!1,t)}createTerminal(t,i,s){throw new A.NotSupportedError}createTerminalFromOptions(t){throw new A.NotSupportedError}getDefaultShell(t,i){return""}getDefaultShellArgs(t,i){throw new A.NotSupportedError}$getAvailableShells(){throw new A.NotSupportedError}async $getDefaultShellAndArgs(t){throw new A.NotSupportedError}$acceptWorkspacePermissionsChanged(t){}};u=je([Ue(0,D.IExtHostRpcService)],u),e.WorkerExtHostTerminalService=u}),define(ge[244],pe([0,1,3,12,5,121,20,8]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class E{constructor(A,k){this._extHostDocumentsAndEditors=k,this._onDidChangeTextEditorSelection=new _.Emitter,this._onDidChangeTextEditorOptions=new _.Emitter,this._onDidChangeTextEditorVisibleRanges=new _.Emitter,this._onDidChangeTextEditorViewColumn=new _.Emitter,this._onDidChangeActiveTextEditor=new _.Emitter,this._onDidChangeVisibleTextEditors=new _.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=A.getProxy(R.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(b=>this._onDidChangeVisibleTextEditors.fire(b)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(b=>this._onDidChangeActiveTextEditor.fire(b))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(A){const k=this._extHostDocumentsAndEditors.allEditors();return A?k:k.map(b=>b.value)}async showTextDocument(A,k,b){let h;typeof k=="number"?h={position:D.ViewColumn.from(k),preserveFocus:b}:typeof k=="object"?h={position:D.ViewColumn.from(k.viewColumn),preserveFocus:k.preserveFocus,selection:typeof k.selection=="object"?D.Range.from(k.selection):void 0,pinned:typeof k.preview=="boolean"?!k.preview:void 0}:h={preserveFocus:!1};const l=await this._proxy.$tryShowTextDocument(A.uri,h),g=l&&this._extHostDocumentsAndEditors.getEditor(l);if(g)return g.value;throw l?new Error(`Could NOT open editor for "${A.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${A.uri.toString()}".`)}createTextEditorDecorationType(A){return new I.TextEditorDecorationType(this._proxy,A).value}$acceptEditorPropertiesChanged(A,k){const b=this._extHostDocumentsAndEditors.getEditor(A);if(!b)throw new Error("unknown text editor");if(k.options&&b._acceptOptions(k.options),k.selections){const h=k.selections.selections.map(D.Selection.to);b._acceptSelections(h)}if(k.visibleRanges){const h=y.coalesce(k.visibleRanges.map(D.Range.to));b._acceptVisibleRanges(h)}if(k.options&&this._onDidChangeTextEditorOptions.fire({textEditor:b.value,options:Object.assign(Object.assign({},k.options),{lineNumbers:D.TextEditorLineNumbersStyle.to(k.options.lineNumbers)})}),k.selections){const h=P.TextEditorSelectionChangeKind.fromValue(k.selections.source),l=k.selections.selections.map(D.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:b.value,selections:l,kind:h})}if(k.visibleRanges){const h=y.coalesce(k.visibleRanges.map(D.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:b.value,visibleRanges:h})}}$acceptEditorPositionData(A){for(const k in A){const b=this._extHostDocumentsAndEditors.getEditor(k);if(!b)throw new Error("Unknown text editor");const h=D.ViewColumn.to(A[k]);b.value.viewColumn!==h&&(b._acceptViewColumn(h),this._onDidChangeTextEditorViewColumn.fire({textEditor:b.value,viewColumn:h}))}}getDiffInformation(A){return Promise.resolve(this._proxy.$getDiffInformation(A))}}e.ExtHostEditors=E});var dn=this&&this.__rest||function(J,e){var _={};for(var y in J)Object.prototype.hasOwnProperty.call(J,y)&&e.indexOf(y)<0&&(_[y]=J[y]);if(J!=null&&typeof Object.getOwnPropertySymbols=="function")for(var R=0,y=Object.getOwnPropertySymbols(J);R<y.length;R++)e.indexOf(y[R])<0&&Object.prototype.propertyIsEnumerable.call(J,y[R])&&(_[y[R]]=J[y[R]]);return _};define(ge[245],pe([0,1,2,4,5,6,8]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,y.createDecorator)("IExtHostTimeline");class P{constructor(A,k){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=A.getProxy(R.MainContext.MainThreadTimeline),k.registerArgumentProcessor({processArgument:b=>{var h,l;if(b&&b.$mid===11){const g=b.uri===void 0?void 0:_.URI.revive(b.uri);return(l=(h=this._itemsBySourceAndUriMap.get(b.source))===null||h===void 0?void 0:h.get(E(g)))===null||l===void 0?void 0:l.get(b.handle)}return b}})}async $getTimeline(A,k,b,h,l){const g=this._providers.get(A);return g==null?void 0:g.provideTimeline(_.URI.revive(k),b,h,l)}registerTimelineProvider(A,k,b,h){const l=new I.DisposableStore,g=this.convertTimelineItem(k.id,h,l).bind(this);let S;k.onDidChange&&(S=k.onDidChange(w=>this._proxy.$emitTimelineChangeEvent(Object.assign(Object.assign({uri:void 0,reset:!0},w),{id:k.id})),this));const p=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore(Object.assign(Object.assign({},k),{scheme:A,onDidChange:void 0,async provideTimeline(w,d,u,a){var t;(a==null?void 0:a.resetCache)&&(l.clear(),(t=p.get(k.id))===null||t===void 0||t.clear());const i=await k.provideTimeline(w,d,u);if(i!=null){const s=g(w,a);return Object.assign(Object.assign({},i),{source:k.id,items:i.items.map(s)})}},dispose(){var w;for(const d of p.values())(w=d.get(k.id))===null||w===void 0||w.clear();S==null||S.dispose(),l.dispose()}}))}convertTimelineItem(A,k,b){return(h,l)=>{let g;if(l==null?void 0:l.cacheResults){let S=this._itemsBySourceAndUriMap.get(A);S===void 0&&(S=new Map,this._itemsBySourceAndUriMap.set(A,S));const p=E(h);g=S.get(p),g===void 0&&(g=new Map,S.set(p,g))}return S=>{var p,w;const{iconPath:d}=S,u=dn(S,["iconPath"]),a=`${A}|${(p=S.id)!==null&&p!==void 0?p:S.timestamp}`;g==null||g.set(a,S);let t,i,s;return S.iconPath&&(d instanceof D.ThemeIcon?s={id:d.id}:_.URI.isUri(d)?(t=d,i=d):{light:t,dark:i}=d),Object.assign(Object.assign({},u),{id:(w=u.id)!==null&&w!==void 0?w:void 0,handle:a,source:A,command:S.command?k.toInternal(S.command,b):void 0,icon:t,iconDark:i,themeIcon:s,accessibilityInformation:S.accessibilityInformation})}}}registerTimelineProviderCore(A){if(this._providers.get(A.id))throw new Error(`Timeline Provider ${A.id} already exists.`);return this._proxy.$registerTimelineProvider({id:A.id,label:A.label,scheme:A.scheme}),this._providers.set(A.id,A),(0,I.toDisposable)(()=>{var b;for(const h of this._itemsBySourceAndUriMap.values())(b=h.get(A.id))===null||b===void 0||b.clear();this._providers.delete(A.id),this._proxy.$unregisterTimelineProvider(A.id),A.dispose()})}}e.ExtHostTimeline=P;function E(n){return n==null?void 0:n.toString()}}),define(ge[246],pe([0,1,6,11,2,5]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class D{constructor(E){this._openers=new Map,this._proxy=E.getProxy(I.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(E,n,A,k){if(this._openers.has(n))throw new Error(`Opener with id '${n}' already registered`);const b=k.schemes.find(h=>!D.supportedSchemes.has(h));if(b)throw new Error(`Scheme '${b}' is not supported. Only http and https are currently supported.`);return this._openers.set(n,A),this._proxy.$registerUriOpener(n,k.schemes,E,k.label),(0,_.toDisposable)(()=>{this._openers.delete(n),this._proxy.$unregisterUriOpener(n)})}async $canOpenUri(E,n,A){const k=this._openers.get(E);if(!k)throw new Error(`Unknown opener with id: ${E}`);const b=R.URI.revive(n);return k.canOpenExternalUri(b,A)}async $openUri(E,n,A){const k=this._openers.get(E);if(!k)throw new Error(`Unknown opener id: '${E}'`);return k.openExternalUri(R.URI.revive(n.resolvedUri),{sourceUri:R.URI.revive(n.sourceUri)},A)}}e.ExtHostUriOpeners=D,D.supportedSchemes=new Set([y.Schemas.http,y.Schemas.https])}),define(ge[247],pe([0,1,5,2,6,18,29]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class P{constructor(n){this.handles=new Set,this.handlers=new Map,this._proxy=n.getProxy(_.MainContext.MainThreadUrls)}registerUriHandler(n,A){if(this.handles.has(D.ExtensionIdentifier.toKey(n)))throw new Error(`Protocol handler already registered for extension ${n}`);const k=P.HandlePool++;return this.handles.add(D.ExtensionIdentifier.toKey(n)),this.handlers.set(k,A),this._proxy.$registerUriHandler(k,n),(0,R.toDisposable)(()=>{this.handles.delete(D.ExtensionIdentifier.toKey(n)),this.handlers.delete(k),this._proxy.$unregisterUriHandler(k)})}$handleExternalUri(n,A){const k=this.handlers.get(n);if(!k)return Promise.resolve(void 0);try{k.handleUri(y.URI.revive(A))}catch(b){(0,I.onUnexpectedError)(b)}return Promise.resolve(void 0)}async createAppUri(n){return y.URI.revive(await this._proxy.$createAppUri(n))}}e.ExtHostUrls=P,P.HandlePool=0});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[65],pe([0,1,3,2,84,5]),function(J,e,_,y,R,I){"use strict";var D,P,E,n,A,k,b,h,l,g,S;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.ExtHostWebview=void 0;class p{constructor(s,o,r,c,v,C,m){D.set(this,void 0),P.set(this,void 0),E.set(this,void 0),n.set(this,void 0),A.set(this,void 0),k.set(this,void 0),b.set(this,""),h.set(this,void 0),l.set(this,!1),g.set(this,!1),this._onMessageEmitter=new _.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,S.set(this,new _.Emitter),this._onDidDispose=$e(this,S).event,tt(this,D,s),tt(this,P,o),tt(this,h,r),tt(this,n,c),tt(this,A,v),tt(this,k,C),tt(this,E,m)}dispose(){tt(this,l,!0),$e(this,S).fire(),$e(this,S).dispose(),this._onMessageEmitter.dispose()}asWebviewUri(s){return tt(this,g,!0),(0,R.asWebviewUri)($e(this,n),$e(this,D),s)}get cspSource(){return $e(this,n).webviewCspSource.replace("{{uuid}}",$e(this,D))}get html(){return this.assertNotDisposed(),$e(this,b)}set html(s){this.assertNotDisposed(),$e(this,b)!==s&&(tt(this,b,s),!$e(this,g)&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(s)&&(tt(this,g,!0),$e(this,E).report("Webview vscode-resource: uris",$e(this,k),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),$e(this,P).$setHtml($e(this,D),s))}get options(){return this.assertNotDisposed(),$e(this,h)}set options(s){this.assertNotDisposed(),$e(this,P).$setOptions($e(this,D),u($e(this,k),$e(this,A),s)),tt(this,h,s)}async postMessage(s){return $e(this,l)?!1:$e(this,P).$postMessage($e(this,D),s)}assertNotDisposed(){if($e(this,l))throw new Error("Webview is disposed")}}e.ExtHostWebview=p,D=new WeakMap,P=new WeakMap,E=new WeakMap,n=new WeakMap,A=new WeakMap,k=new WeakMap,b=new WeakMap,h=new WeakMap,l=new WeakMap,g=new WeakMap,S=new WeakMap;class w{constructor(s,o,r,c,v){this.initData=o,this.workspace=r,this._logService=c,this._deprecationService=v,this._webviews=new Map,this._webviewProxy=s.getProxy(I.MainContext.MainThreadWebviews)}$onMessage(s,o){const r=this.getWebview(s);r&&r._onMessageEmitter.fire(o)}$onMissingCsp(s,o){this._logService.warn(`${o} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(s,o,r){const c=new p(s,this._webviewProxy,a(o),this.initData,this.workspace,r,this._deprecationService);return this._webviews.set(s,c),c._onDidDispose(()=>{this._webviews.delete(s)}),c}deleteWebview(s){this._webviews.delete(s)}getWebview(s){return this._webviews.get(s)}}e.ExtHostWebviews=w;function d(i){return{id:i.identifier,location:i.extensionLocation}}e.toExtensionData=d;function u(i,s,o){return{enableCommandUris:o.enableCommandUris,enableScripts:o.enableScripts,portMapping:o.portMapping,localResourceRoots:o.localResourceRoots||t(i,s)}}e.serializeWebviewOptions=u;function a(i){var s;return{enableCommandUris:i.enableCommandUris,enableScripts:i.enableScripts,portMapping:i.portMapping,localResourceRoots:(s=i.localResourceRoots)===null||s===void 0?void 0:s.map(o=>y.URI.from(o))}}e.reviveOptions=a;function t(i,s){return[...((s==null?void 0:s.getWorkspaceFolders())||[]).map(o=>o.uri),i.extensionLocation]}}),define(ge[248],pe([0,1,21,73,6,11,24,2,20,65,116,5,8]),function(J,e,_,y,R,I,D,P,E,n,A,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class h{constructor(t,i){this.document=t,this._storagePath=i,this._backupCounter=1,this._edits=new A.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,i){await this.getEdit(t).undo(),i||this.disposeBackup()}async redo(t,i){await this.getEdit(t).redo(),i||this.disposeBackup()}disposeEdits(t){for(const i of t)this._edits.delete(i)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=u(this.document.uri)+this._backupCounter++;return(0,D.joinPath)(this._storagePath,t)}updateBackup(t){var i;(i=this._backup)===null||i===void 0||i.delete(),this._backup=t}disposeBackup(){var t;(t=this._backup)===null||t===void 0||t.delete(),this._backup=void 0}getEdit(t){const i=this._edits.get(t,0);if(!i)throw new Error("No edit found");return i}}class l{constructor(){this._documents=new Map}get(t,i){return this._documents.get(this.key(t,i))}add(t,i,s){const o=this.key(t,i.uri);if(this._documents.has(o))throw new Error(`Document already exists for viewType:${t} resource:${i.uri}`);const r=new h(i,s);return this._documents.set(o,r),r}delete(t,i){const s=this.key(t,i.uri);this._documents.delete(s)}key(t,i){return`${t}@@@${i}`}}var g;(function(a){a[a.Text=0]="Text",a[a.Custom=1]="Custom"})(g||(g={}));class S{constructor(){this._providers=new Map}addTextProvider(t,i,s){return this.add(0,t,i,s)}addCustomProvider(t,i,s){return this.add(1,t,i,s)}get(t){return this._providers.get(t)}add(t,i,s,o){if(this._providers.has(i))throw new Error(`Provider for viewType:${i} already registered`);return this._providers.set(i,{type:t,extension:s,provider:o}),new b.Disposable(()=>this._providers.delete(i))}}class p{constructor(t,i,s,o,r){this._extHostDocuments=i,this._extensionStoragePaths=s,this._extHostWebview=o,this._extHostWebviewPanels=r,this._editorProviders=new S,this._documents=new l,this._proxy=t.getProxy(k.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,i,s,o){const r=new R.DisposableStore;return w(s)?(r.add(this._editorProviders.addTextProvider(i,t,s)),this._proxy.$registerTextEditorProvider((0,n.toExtensionData)(t),i,o.webviewOptions||{},{supportsMove:!!s.moveCustomTextEditor})):(r.add(this._editorProviders.addCustomProvider(i,t,s)),this.supportEditing(s)&&r.add(s.onDidChangeCustomDocument(c=>{const v=this.getCustomDocumentEntry(i,c.document.uri);if(d(c)){const C=v.addEdit(c);this._proxy.$onDidEdit(c.document.uri,i,C,c.label)}else this._proxy.$onContentChange(c.document.uri,i)})),this._proxy.$registerCustomEditorProvider((0,n.toExtensionData)(t),i,o.webviewOptions||{},!!o.supportsMultipleEditorsPerDocument)),b.Disposable.from(r,new b.Disposable(()=>{this._proxy.$unregisterEditorProvider(i)}))}async $createCustomDocument(t,i,s,o,r){var c;const v=this._editorProviders.get(i);if(!v)throw new Error(`No provider found for '${i}'`);if(v.type!==1)throw new Error(`Invalid provide type for '${i}'`);const C=P.URI.revive(t),m=await v.provider.openCustomDocument(C,{backupId:s,untitledDocumentData:o==null?void 0:o.buffer},r);let f;return this.supportEditing(v.provider)&&this._extensionStoragePaths&&(f=(c=this._extensionStoragePaths.workspaceValue(v.extension))!==null&&c!==void 0?c:this._extensionStoragePaths.globalValue(v.extension)),this._documents.add(i,m,f),{editable:this.supportEditing(v.provider)}}async $disposeCustomDocument(t,i){const s=this._editorProviders.get(i);if(!s)throw new Error(`No provider found for '${i}'`);if(s.type!==1)throw new Error(`Invalid provider type for '${i}'`);const o=P.URI.revive(t),{document:r}=this.getCustomDocumentEntry(i,o);this._documents.delete(i,r),r.dispose()}async $resolveWebviewEditor(t,i,s,o,r,c){const v=this._editorProviders.get(s);if(!v)throw new Error(`No provider found for '${s}'`);const C=E.ViewColumn.to(r),m=this._extHostWebview.createNewWebview(i,o.webviewOptions,v.extension),f=this._extHostWebviewPanels.createNewWebviewPanel(i,s,o.title,C,o.panelOptions,m),T=P.URI.revive(t);switch(v.type){case 1:{const{document:L}=this.getCustomDocumentEntry(s,T);return v.provider.resolveCustomEditor(L,f,c)}case 0:{const L=this._extHostDocuments.getDocument(T);return v.provider.resolveCustomTextEditor(L,f,c)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,i,s){this.getCustomDocumentEntry(i,t).disposeEdits(s)}async $onMoveCustomEditor(t,i,s){const o=this._editorProviders.get(s);if(!o)throw new Error(`No provider found for '${s}'`);if(!o.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${s}'`);const r=this._extHostWebviewPanels.getWebviewPanel(t);if(!r)throw new Error("No webview found");const c=P.URI.revive(i),v=this._extHostDocuments.getDocument(c);await o.provider.moveCustomTextEditor(v,r,_.CancellationToken.None)}async $undo(t,i,s,o){return this.getCustomDocumentEntry(i,t).undo(s,o)}async $redo(t,i,s,o){return this.getCustomDocumentEntry(i,t).redo(s,o)}async $revert(t,i,s){const o=this.getCustomDocumentEntry(i,t);await this.getCustomEditorProvider(i).revertCustomDocument(o.document,s),o.disposeBackup()}async $onSave(t,i,s){const o=this.getCustomDocumentEntry(i,t);await this.getCustomEditorProvider(i).saveCustomDocument(o.document,s),o.disposeBackup()}async $onSaveAs(t,i,s,o){const r=this.getCustomDocumentEntry(i,t);return this.getCustomEditorProvider(i).saveCustomDocumentAs(r.document,P.URI.revive(s),o)}async $backup(t,i,s){const o=this.getCustomDocumentEntry(i,t),c=await this.getCustomEditorProvider(i).backupCustomDocument(o.document,{destination:o.getNewBackupUri()},s);return o.updateBackup(c),c.id}getCustomDocumentEntry(t,i){const s=this._documents.get(t,P.URI.revive(i));if(!s)throw new Error("No custom document found");return s}getCustomEditorProvider(t){const i=this._editorProviders.get(t),s=i==null?void 0:i.provider;if(!s||!this.supportEditing(s))throw new Error("Custom document is not editable");return s}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=p;function w(a){return typeof a.resolveCustomTextEditor=="function"}function d(a){return typeof a.undo=="function"&&typeof a.redo=="function"}function u(a){const t=a.scheme===I.Schemas.file||a.scheme===I.Schemas.untitled?a.fsPath:a.toString();return(0,y.hash)(t)+""}});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[249],pe([0,1,3,6,2,28,20,65,5,8]),function(J,e,_,y,R,I,D,P,E,n){"use strict";var A,k,b,h,l,g,S,p,w,d,u,a,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class i extends y.Disposable{constructor(c,v,C,m,f,T,L){super();A.set(this,void 0),k.set(this,void 0),b.set(this,void 0),h.set(this,void 0),l.set(this,void 0),g.set(this,void 0),S.set(this,void 0),p.set(this,void 0),w.set(this,!0),d.set(this,!0),u.set(this,!1),a.set(this,this._register(new _.Emitter)),this.onDidDispose=$e(this,a).event,t.set(this,this._register(new _.Emitter)),this.onDidChangeViewState=$e(this,t).event,tt(this,A,c),tt(this,k,v),tt(this,b,C),tt(this,l,T),tt(this,p,f),tt(this,g,m),tt(this,h,L)}dispose(){$e(this,u)||(tt(this,u,!0),$e(this,a).fire(),$e(this,k).$disposeWebview($e(this,A)),$e(this,h).dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),$e(this,h)}get viewType(){return this.assertNotDisposed(),$e(this,b)}get title(){return this.assertNotDisposed(),$e(this,g)}set title(c){this.assertNotDisposed(),$e(this,g)!==c&&(tt(this,g,c),$e(this,k).$setTitle($e(this,A),c))}get iconPath(){return this.assertNotDisposed(),$e(this,S)}set iconPath(c){this.assertNotDisposed(),$e(this,S)!==c&&(tt(this,S,c),$e(this,k).$setIconPath($e(this,A),R.URI.isUri(c)?{light:c,dark:c}:c))}get options(){return $e(this,l)}get viewColumn(){if(this.assertNotDisposed(),!(typeof $e(this,p)=="number"&&$e(this,p)<0))return $e(this,p)}get active(){return this.assertNotDisposed(),$e(this,d)}get visible(){return this.assertNotDisposed(),$e(this,w)}_updateViewState(c){$e(this,u)||(this.active!==c.active||this.visible!==c.visible||this.viewColumn!==c.viewColumn)&&(tt(this,d,c.active),tt(this,w,c.visible),tt(this,p,c.viewColumn),$e(this,t).fire({webviewPanel:this}))}reveal(c,v){this.assertNotDisposed(),$e(this,k).$reveal($e(this,A),{viewColumn:c?D.ViewColumn.from(c):void 0,preserveFocus:!!v})}assertNotDisposed(){if($e(this,u))throw new Error("Webview is disposed")}}A=new WeakMap,k=new WeakMap,b=new WeakMap,h=new WeakMap,l=new WeakMap,g=new WeakMap,S=new WeakMap,p=new WeakMap,w=new WeakMap,d=new WeakMap,u=new WeakMap,a=new WeakMap,t=new WeakMap;class s{constructor(c,v,C){this.webviews=v,this.workspace=C,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=c.getProxy(E.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,I.generateUuid)()}createWebviewPanel(c,v,C,m,f={}){const T=typeof m=="object"?m.viewColumn:m,L={viewColumn:D.ViewColumn.from(T),preserveFocus:typeof m=="object"&&!!m.preserveFocus},B=s.newHandle();this._proxy.$createWebviewPanel((0,P.toExtensionData)(c),B,v,{title:C,panelOptions:o(f),webviewOptions:(0,P.serializeWebviewOptions)(c,this.workspace,f)},L);const te=this.webviews.createNewWebview(B,f,c);return this.createNewWebviewPanel(B,v,C,T,f,te)}$onDidChangeWebviewPanelViewStates(c){const v=Object.keys(c);v.sort((C,m)=>{const f=c[C],T=c[m];return f.active?1:T.active?-1:+f.visible-+T.visible});for(const C of v){const m=this.getWebviewPanel(C);if(!!m){const f=c[C];m._updateViewState({active:f.active,visible:f.visible,viewColumn:D.ViewColumn.to(f.position)})}}}async $onDidDisposeWebviewPanel(c){const v=this.getWebviewPanel(c);v==null||v.dispose(),this._webviewPanels.delete(c),this.webviews.deleteWebview(c)}registerWebviewPanelSerializer(c,v,C){if(this._serializers.has(v))throw new Error(`Serializer for '${v}' already registered`);return this._serializers.set(v,{serializer:C,extension:c}),this._proxy.$registerSerializer(v),new n.Disposable(()=>{this._serializers.delete(v),this._proxy.$unregisterSerializer(v)})}async $deserializeWebviewPanel(c,v,C,m){const f=this._serializers.get(v);if(!f)throw new Error(`No serializer found for '${v}'`);const{serializer:T,extension:L}=f,B=this.webviews.createNewWebview(c,C.webviewOptions,L),te=this.createNewWebviewPanel(c,v,C.title,m,C.panelOptions,B);await T.deserializeWebviewPanel(te,C.state)}createNewWebviewPanel(c,v,C,m,f,T){const L=new i(c,this._proxy,v,C,m,f,T);return this._webviewPanels.set(c,L),L}getWebviewPanel(c){return this._webviewPanels.get(c)}}e.ExtHostWebviewPanels=s;function o(r){return{enableFindWidget:r.enableFindWidget,retainContextWhenHidden:r.retainContextWhenHidden}}});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[250],pe([0,1,3,6,65,5,8]),function(J,e,_,y,R,I,D){"use strict";var P,E,n,A,k,b,h,l,g,S;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class p extends y.Disposable{constructor(u,a,t,i,s,o){super();P.set(this,void 0),E.set(this,void 0),n.set(this,void 0),A.set(this,void 0),k.set(this,!1),b.set(this,void 0),h.set(this,void 0),l.set(this,void 0),g.set(this,this._register(new _.Emitter)),this.onDidChangeVisibility=$e(this,g).event,S.set(this,this._register(new _.Emitter)),this.onDidDispose=$e(this,S).event,tt(this,n,t),tt(this,h,i),tt(this,P,u),tt(this,E,a),tt(this,A,s),tt(this,b,o)}dispose(){$e(this,k)||(tt(this,k,!0),$e(this,S).fire(),$e(this,A).dispose(),super.dispose())}get title(){return this.assertNotDisposed(),$e(this,h)}set title(u){this.assertNotDisposed(),$e(this,h)!==u&&(tt(this,h,u),$e(this,E).$setWebviewViewTitle($e(this,P),u))}get description(){return this.assertNotDisposed(),$e(this,l)}set description(u){this.assertNotDisposed(),$e(this,l)!==u&&(tt(this,l,u),$e(this,E).$setWebviewViewDescription($e(this,P),u))}get visible(){return $e(this,b)}get webview(){return $e(this,A)}get viewType(){return $e(this,n)}_setVisible(u){u===$e(this,b)||$e(this,k)||(tt(this,b,u),$e(this,g).fire())}show(u){this.assertNotDisposed(),$e(this,E).$show($e(this,P),!!u)}assertNotDisposed(){if($e(this,k))throw new Error("Webview is disposed")}}P=new WeakMap,E=new WeakMap,n=new WeakMap,A=new WeakMap,k=new WeakMap,b=new WeakMap,h=new WeakMap,l=new WeakMap,g=new WeakMap,S=new WeakMap;class w{constructor(u,a){this._extHostWebview=a,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=u.getProxy(I.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(u,a,t,i){if(this._viewProviders.has(a))throw new Error(`View provider for '${a}' already registered`);return this._viewProviders.set(a,{provider:t,extension:u}),this._proxy.$registerWebviewViewProvider((0,R.toExtensionData)(u),a,i),new D.Disposable(()=>{this._viewProviders.delete(a),this._proxy.$unregisterWebviewViewProvider(a)})}async $resolveWebviewView(u,a,t,i,s){const o=this._viewProviders.get(a);if(!o)throw new Error(`No view provider found for '${a}'`);const{provider:r,extension:c}=o,v=this._extHostWebview.createNewWebview(u,{},c),C=new p(u,this._proxy,a,t,v,!0);this._webviewViews.set(u,C),await r.resolveWebviewView(C,{state:i},s)}async $onDidChangeWebviewViewVisibility(u,a){this.getWebviewView(u)._setVisible(a)}async $disposeWebviewView(u){const a=this.getWebviewView(u);this._webviewViews.delete(u),a.dispose(),this._extHostWebview.deleteWebview(u)}getWebviewView(u){const a=this._webviewViews.get(u);if(!a)throw new Error("No webview found");return a}}e.ExtHostWebviewViews=w}),define(ge[124],pe([0,1,3,5,2,11,9,4,14]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let n=class Rn{constructor(k){this._onDidChangeWindowState=new _.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Rn.InitialState,this._proxy=k.getProxy(y.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(b=>this.$onDidChangeWindowFocus(b))}get state(){return this._state}$onDidChangeWindowFocus(k){k!==this._state.focused&&(this._state=Object.assign(Object.assign({},this._state),{focused:k}),this._onDidChangeWindowState.fire(this._state))}openUri(k,b){let h;if(typeof k=="string"){h=k;try{k=R.URI.parse(k)}catch(l){return Promise.reject(`Invalid uri - '${k}'`)}}return(0,D.isFalsyOrWhitespace)(k.scheme)?Promise.reject("Invalid scheme - cannot be empty"):k.scheme===I.Schemas.command?Promise.reject(`Invalid scheme '${k.scheme}'`):this._proxy.$openUri(k,h,b)}async asExternalUri(k,b){if((0,D.isFalsyOrWhitespace)(k.scheme))return Promise.reject("Invalid scheme - cannot be empty");if(!new Set([I.Schemas.http,I.Schemas.https]).has(k.scheme))return Promise.reject(`Invalid scheme '${k.scheme}'`);const h=await this._proxy.$asExternalUri(k,b);return R.URI.from(h)}};n.InitialState={focused:!0},n=je([Ue(0,E.IExtHostRpcService)],n),e.ExtHostWindow=n,e.IExtHostWindow=(0,P.createDecorator)("IExtHostWindow")}),define(ge[251],pe([0,1,7,48,28,51,6,5,2,14]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let A=class extends D.Disposable{constructor(b,h){super();const l=b.getProxy(P.MainContext.MainThreadDownloadService);h.registerCommand(!1,"_workbench.downloadResource",async g=>{const S=E.URI.file((0,_.join)((0,y.tmpdir)(),(0,R.generateUuid)()));return await l.$download(g,S),S})}};A=je([Ue(0,n.IExtHostRpcService),Ue(1,I.IExtHostCommands)],A),e.ExtHostDownloadService=A}),define(ge[252],pe([0,1,2,7,144,25,37,64,27,14,6,13,109,44]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostOutputService2=e.ExtHostOutputChannelBackedByFile=void 0;class l{constructor(w,d){this.file=d,this.appender=(0,b.createRotatingLogger)(w,d,30*h.ByteSize.MB,1),this.appender.clearFormatters()}append(w){this.appender.critical(w)}flush(){this.appender.flush()}}class g extends P.AbstractExtHostOutputChannel{constructor(w,d,u){super(w,!1,_.URI.file(d.file),u);this._appender=d}append(w){super.append(w),this._appender.append(w),this._onDidAppend.fire()}update(){this._appender.flush(),super.update()}show(w,d){this._appender.flush(),super.show(w,d)}clear(){this._appender.flush(),super.clear()}}e.ExtHostOutputChannelBackedByFile=g;let S=class extends P.ExtHostOutputService{constructor(w,d,u){super(w);this.logService=d,this._namePool=1,this._channels=new Map,this._visibleChannelDisposable=new A.MutableDisposable,this._logsLocation=u.logsLocation}$setVisibleChannel(w){if(w){const d=this._channels.get(w);d&&(this._visibleChannelDisposable.value=d.onDidAppend(()=>d.update()))}}createOutputChannel(w){if(w=w.trim(),!w)throw new Error("illegal argument `name`. must not be falsy");const d=this._doCreateOutChannel(w);return d.then(u=>u._id.then(a=>this._channels.set(a,u))),new P.LazyOutputChannel(w,d)}async _doCreateOutChannel(w){try{const d=(0,y.join)(this._logsLocation.fsPath,`output_logging_${(0,R.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`);await I.SymlinkSupport.existsDirectory(d)||await D.promises.mkdir(d,{recursive:!0});const a=`${this._namePool++}-${w.replace(/[\\/:\*\?"<>\|]/g,"")}`,t=_.URI.file((0,y.join)(d,`${a}.log`)),i=new l(a,t.fsPath);return new g(w,i,this._proxy)}catch(d){return this.logService.error(d),new P.ExtHostPushOutputChannel(w,this._proxy)}}};S=je([Ue(0,n.IExtHostRpcService),Ue(1,k.ILogService),Ue(2,E.IExtHostInitDataService)],S),e.ExtHostOutputService2=S}),define(ge[253],pe([0,1,5,14,6,27,2,39,24,37,25,8,10,50,3,72,13,12]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.findPorts=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class w{constructor(c,v,C){this.remoteAddress=c,this.localAddress=v,this._dispose=C,this._onDispose=new l.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}function d(r){const c=r.trim().split(`
`),v=[];return c.forEach(C=>{const m=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(C);m&&m.length>=3&&v.push({pid:parseInt(m[1],10),socket:parseInt(m[2],10)})}),v}e.getSockets=d;function u(...r){const c=[].concat(...r.map(t));return[...new Map(c.filter(v=>v.st==="0A").map(v=>{const C=v.local_address.split(":");return{socket:parseInt(v.inode,10),ip:a(C[0]),port:parseInt(C[1],16)}}).map(v=>[v.ip+":"+v.port,v])).values()]}e.loadListeningPorts=u;function a(r){let c="";if(r.length===8)for(let v=r.length-2;v>=0;v-=2)c+=parseInt(r.substr(v,2),16),v!==0&&(c+=".");else for(let v=r.length-4;v>=0;v-=4)c+=parseInt(r.substr(v,4),16).toString(16),v!==0&&(c+=":");return c}e.parseIpAddress=a;function t(r){const c=r.trim().split(`
`),v=c.shift().trim().split(/\s+/).filter(m=>m!=="rx_queue"&&m!=="tm->when");return c.map(m=>m.trim().split(/\s+/).reduce((f,T,L)=>(f[v[L]||L]=T,f),{}))}e.loadConnectionTable=t;function i(r){return!!r.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||r.indexOf("out/vs/server/main.js")!==-1||r.indexOf("_productName=VSCode")!==-1}async function s(r,c,v,C){const m=u(r,c),T=d(v).reduce((te,j)=>(te[j.socket]=j,te),{}),L=C.reduce((te,j)=>(te[j.pid]=j,te),{}),B=[];return m.filter(te=>T[te.socket]).forEach(({socket:te,ip:j,port:W})=>{var $;const O=($=L[T[te].pid])===null||$===void 0?void 0:$.cmd;O&&!i(O)&&B.push({host:j,port:W,detail:O,pid:T[te].pid})}),B}e.findPorts=s;let o=class extends R.Disposable{constructor(c,v,C){super();this.logService=C,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new l.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._providerHandleCounter=0,this._portAttributesProviders=new Map,this._proxy=c.getProxy(_.MainContext.MainThreadTunnelService),b.isLinux&&v.remote.isRemote&&v.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(c,v){this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) ${c.identifier} called openTunnel API for ${v.remoteAddress.port}.`);const C=await this._proxy.$openTunnel(v,c.displayName);if(C){const m=new w(C.remoteAddress,C.localAddress,()=>this._proxy.$closeTunnel(C.remoteAddress));return this._register(m),m}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(c){return Math.max(c*20,2e3)}nextPortAttributesProviderHandle(){return this._providerHandleCounter++}registerPortsAttributesProvider(c,v){const C=this.nextPortAttributesProviderHandle();return this._portAttributesProviders.set(C,{selector:c,provider:v}),this._proxy.$registerPortsAttributesProvider(c,C),new k.Disposable(()=>{this._portAttributesProviders.delete(C),this._proxy.$unregisterPortsAttributesProvider(C)})}async $providePortAttributes(c,v,C,m,f){const L=(await Promise.all(c.map(B=>{const te=this._portAttributesProviders.get(B);return te?te.provider.providePortAttributes(v,C,m,f):[]}))).filter(B=>!!B&&B.length>0);return L.length>0?(0,p.flatten)(L).map(B=>({autoForwardAction:B.autoForwardAction,port:B.port})):[]}async $registerCandidateFinder(c){if(!(c&&this._candidateFindingEnabled)){this._candidateFindingEnabled=c;let v=new g.MovingAverage,C;for(;this._candidateFindingEnabled;){const m=new Date().getTime(),f=await this.findCandidatePorts();this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${f.map(L=>L.port).join(", ")}`);const T=new Date().getTime()-m;v.update(T),(!C||JSON.stringify(C)!==JSON.stringify(f))&&(C=f,await this._proxy.$onFoundNewCandidates(C)),await new Promise(L=>setTimeout(()=>L(),this.calculateDelay(v.value)))}}}async setTunnelExtensionFunctions(c){var v;return c?(c.candidatePortSource!==void 0&&await this._proxy.$setCandidatePortSource(c.candidatePortSource),c.showCandidatePort&&(this._showCandidatePort=c.showCandidatePort,await this._proxy.$setCandidateFilter()),c.tunnelFactory&&(this._forwardPortProvider=c.tunnelFactory,await this._proxy.$setTunnelProvider((v=c.tunnelFeatures)!==null&&v!==void 0?v:{elevation:!1,public:!1}))):this._forwardPortProvider=void 0,(0,R.toDisposable)(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(c,v){if(this._extensionTunnels.has(c.host)){const C=this._extensionTunnels.get(c.host);C.has(c.port)&&(v&&C.get(c.port).disposeListener.dispose(),await C.get(c.port).tunnel.dispose(),C.delete(c.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(c,v){if(this._forwardPortProvider)try{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const C=this._forwardPortProvider(c,v);if(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),C!==void 0){const m=await C;this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this._extensionTunnels.has(c.remoteAddress.host)||this._extensionTunnels.set(c.remoteAddress.host,new Map);const f=this._register(m.onDidDispose(()=>(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this._proxy.$closeTunnel(m.remoteAddress))));return this._extensionTunnels.get(c.remoteAddress.host).set(c.remoteAddress.port,{tunnel:m,disposeListener:f}),h.TunnelDto.fromApiTunnel(m)}else this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch(C){this.logService.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(c){const v=await Promise.all(c.map(m=>this._showCandidatePort(m.host,m.port,m.detail))),C=c.filter((m,f)=>v[f]);return this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${c.map(m=>m.port).join(", ")} to ${C.map(m=>m.port).join(", ")}`),C}async findCandidatePorts(){let c="",v="";try{c=await n.promises.readFile("/proc/net/tcp","utf8"),v=await n.promises.readFile("/proc/net/tcp6","utf8")}catch(T){}const C=await new Promise(T=>{(0,P.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(L,B,te)=>{T(B)})}),m=await A.readdir("/proc"),f=[];for(let T of m)try{const L=Number(T),B=E.joinPath(D.URI.file("/proc"),T);if((await n.promises.stat(B.fsPath)).isDirectory()&&!isNaN(L)){const j=await n.promises.readlink(E.joinPath(B,"cwd").fsPath),W=await n.promises.readFile(E.joinPath(B,"cmdline").fsPath,"utf8");f.push({pid:L,cwd:j,cmd:W})}}catch(L){}return s(c,v,C,f)}};o=je([Ue(0,y.IExtHostRpcService),Ue(1,I.IExtHostInitDataService),Ue(2,S.ILogService)],o),e.ExtHostTunnelService=o}),define(ge[254],pe([0,1,19,21,18,3,6,97,225,122,26]),function(J,e,_,y,R,I,D,P,E,n,A){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function b(o,r){try{return JSON.stringify(o,r)}catch(c){return"null"}}function h(o,r){return JSON.stringify(o,r)}function l(o){return o?(r,c)=>c&&c.$mid===1?o.transformOutgoing(c):c:null}var g;(function(o){o[o.LocalSide=0]="LocalSide",o[o.OtherSide=1]="OtherSide"})(g=e.RequestInitiator||(e.RequestInitiator={}));var S;(function(o){o[o.Responsive=0]="Responsive",o[o.Unresponsive=1]="Unresponsive"})(S=e.ResponsiveState||(e.ResponsiveState={}));const p=()=>{},w=Symbol.for("rpcProtocol"),d=Symbol.for("rpcProxy");class u extends D.Disposable{constructor(r,c=null,v=null){super();this[k]=!0,this._onDidChangeResponsiveState=this._register(new I.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=r,this._logger=c,this._uriTransformer=v,this._uriReplacer=l(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let C=0,m=n.ProxyIdentifier.count;C<m;C++)this._locals[C]=null,this._proxies[C]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new _.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(C=>this._receiveOneMessage(C))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(r=>{this._pendingRPCReplies[r].resolveErr(R.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(r){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(r){this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(r){this._responsiveState!==r&&(this._responsiveState=r,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(r){return this._uriTransformer?(0,P.transformIncomingURIs)(r,this._uriTransformer):r}getProxy(r){const{nid:c,sid:v}=r;return this._proxies[c]||(this._proxies[c]=this._createProxy(c,v)),this._proxies[c]}_createProxy(r,c){let v={get:(C,m)=>(typeof m=="string"&&!C[m]&&m.charCodeAt(0)===36&&(C[m]=(...f)=>this._remoteCall(r,m,f)),m===d?c:C[m])};return new Proxy(Object.create(null),v)}set(r,c){return this._locals[r.nid]=c,c}assertRegistered(r){for(let c=0,v=r.length;c<v;c++){const C=r[c];if(!this._locals[C.nid])throw new Error(`Missing actor ${C.sid} (isMain: ${C.isMain})`)}}_receiveOneMessage(r){if(!this._isDisposed){const c=r.byteLength,v=a.read(r,0),C=v.readUInt8(),m=v.readUInt32();switch(C){case 1:case 2:{let{rpcId:f,method:T,args:L}=t.deserializeRequestJSONArgs(v);this._uriTransformer&&(L=(0,P.transformIncomingURIs)(L,this._uriTransformer)),this._receiveRequest(c,m,f,T,L,C===2);break}case 3:case 4:{let{rpcId:f,method:T,args:L}=t.deserializeRequestMixedArgs(v);this._uriTransformer&&(L=(0,P.transformIncomingURIs)(L,this._uriTransformer)),this._receiveRequest(c,m,f,T,L,C===4);break}case 5:{this._logger&&this._logger.logIncoming(c,m,0,"ack"),this._onDidReceiveAcknowledge(m);break}case 6:{this._receiveCancel(c,m);break}case 7:{this._receiveReply(c,m,void 0);break}case 9:{let f=t.deserializeReplyOKJSON(v);this._uriTransformer&&(f=(0,P.transformIncomingURIs)(f,this._uriTransformer)),this._receiveReply(c,m,f);break}case 8:{let f=t.deserializeReplyOKVSBuffer(v);this._receiveReply(c,m,f);break}case 10:{let f=t.deserializeReplyErrError(v);this._uriTransformer&&(f=(0,P.transformIncomingURIs)(f,this._uriTransformer)),this._receiveReplyErr(c,m,f);break}case 11:{this._receiveReplyErr(c,m,void 0);break}default:console.error("received unexpected message"),console.error(r)}}}_receiveRequest(r,c,v,C,m,f){this._logger&&this._logger.logIncoming(r,c,1,`receiveRequest ${(0,n.getStringIdentifierForProxy)(v)}.${C}(`,m);const T=String(c);let L,B;if(f){const j=new y.CancellationTokenSource;m.push(j.token),L=this._invokeHandler(v,C,m),B=()=>j.cancel()}else L=this._invokeHandler(v,C,m),B=p;this._cancelInvokedHandlers[T]=B;const te=t.serializeAcknowledged(c);this._logger&&this._logger.logOutgoing(te.byteLength,c,1,"ack"),this._protocol.send(te),L.then(j=>{delete this._cancelInvokedHandlers[T];const W=t.serializeReplyOK(c,j,this._uriReplacer);this._logger&&this._logger.logOutgoing(W.byteLength,c,1,"reply:",j),this._protocol.send(W)},j=>{delete this._cancelInvokedHandlers[T];const W=t.serializeReplyErr(c,j);this._logger&&this._logger.logOutgoing(W.byteLength,c,1,"replyErr:",j),this._protocol.send(W)})}_receiveCancel(r,c){this._logger&&this._logger.logIncoming(r,c,1,"receiveCancel");const v=String(c);this._cancelInvokedHandlers[v]&&this._cancelInvokedHandlers[v]()}_receiveReply(r,c,v){this._logger&&this._logger.logIncoming(r,c,0,"receiveReply:",v);const C=String(c);if(!!this._pendingRPCReplies.hasOwnProperty(C)){const m=this._pendingRPCReplies[C];delete this._pendingRPCReplies[C],m.resolveOk(v)}}_receiveReplyErr(r,c,v){this._logger&&this._logger.logIncoming(r,c,0,"receiveReplyErr:",v);const C=String(c);if(!!this._pendingRPCReplies.hasOwnProperty(C)){const m=this._pendingRPCReplies[C];delete this._pendingRPCReplies[C];let f;v&&(v.$isError?(f=new Error,f.name=v.name,f.message=v.message,f.stack=v.stack):f=v),m.resolveErr(f)}}_invokeHandler(r,c,v){try{return Promise.resolve(this._doInvokeHandler(r,c,v))}catch(C){return Promise.reject(C)}}_doInvokeHandler(r,c,v){const C=this._locals[r];if(!C)throw new Error("Unknown actor "+(0,n.getStringIdentifierForProxy)(r));let m=C[c];if(typeof m!="function")throw new Error("Unknown method "+c+" on actor "+(0,n.getStringIdentifierForProxy)(r));return m.apply(C,v)}_remoteCall(r,c,v){if(this._isDisposed)return Promise.reject(R.canceled());let C=null;if(v.length>0&&y.CancellationToken.isCancellationToken(v[v.length-1])&&(C=v.pop()),C&&C.isCancellationRequested)return Promise.reject(R.canceled());const m=t.serializeRequestArguments(v,this._uriReplacer),f=++this._lastMessageId,T=String(f),L=new E.LazyPromise;C&&C.onCancellationRequested(()=>{const te=t.serializeCancel(f);this._logger&&this._logger.logOutgoing(te.byteLength,f,0,"cancel"),this._protocol.send(t.serializeCancel(f))}),this._pendingRPCReplies[T]=L,this._onWillSendRequest(f);const B=t.serializeRequest(f,r,c,m,!!C);return this._logger&&this._logger.logOutgoing(B.byteLength,f,0,`request: ${(0,n.getStringIdentifierForProxy)(r)}.${c}(`,v),this._protocol.send(B),L}}e.RPCProtocol=u,k=w,u.UNRESPONSIVE_TIME=3*1e3;class a{constructor(r,c){this._buff=r,this._offset=c}static alloc(r,c,v){let C=new a(A.VSBuffer.alloc(v+1+4),0);return C.writeUInt8(r),C.writeUInt32(c),C}static read(r,c){return new a(r,c)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(r){this._buff.writeUInt8(r,this._offset),this._offset+=1}readUInt8(){const r=this._buff.readUInt8(this._offset);return this._offset+=1,r}writeUInt32(r){this._buff.writeUInt32BE(r,this._offset),this._offset+=4}readUInt32(){const r=this._buff.readUInt32BE(this._offset);return this._offset+=4,r}static sizeShortString(r){return 1+r.byteLength}writeShortString(r){this._buff.writeUInt8(r.byteLength,this._offset),this._offset+=1,this._buff.set(r,this._offset),this._offset+=r.byteLength}readShortString(){const r=this._buff.readUInt8(this._offset);this._offset+=1;const v=this._buff.slice(this._offset,this._offset+r).toString();return this._offset+=r,v}static sizeLongString(r){return 4+r.byteLength}writeLongString(r){this._buff.writeUInt32BE(r.byteLength,this._offset),this._offset+=4,this._buff.set(r,this._offset),this._offset+=r.byteLength}readLongString(){const r=this._buff.readUInt32BE(this._offset);this._offset+=4;const v=this._buff.slice(this._offset,this._offset+r).toString();return this._offset+=r,v}writeBuffer(r){this._buff.writeUInt32BE(r.byteLength,this._offset),this._offset+=4,this._buff.set(r,this._offset),this._offset+=r.byteLength}static sizeVSBuffer(r){return 4+r.byteLength}writeVSBuffer(r){this._buff.writeUInt32BE(r.byteLength,this._offset),this._offset+=4,this._buff.set(r,this._offset),this._offset+=r.byteLength}readVSBuffer(){const r=this._buff.readUInt32BE(this._offset);this._offset+=4;const c=this._buff.slice(this._offset,this._offset+r);return this._offset+=r,c}static sizeMixedArray(r,c){let v=0;v+=1;for(let C=0,m=r.length;C<m;C++){const f=r[C],T=c[C];switch(v+=1,T){case 1:v+=this.sizeLongString(f);break;case 2:v+=this.sizeVSBuffer(f);break;case 3:break}}return v}writeMixedArray(r,c){this._buff.writeUInt8(r.length,this._offset),this._offset+=1;for(let v=0,C=r.length;v<C;v++){const m=r[v];switch(c[v]){case 1:this.writeUInt8(1),this.writeLongString(m);break;case 2:this.writeUInt8(2),this.writeVSBuffer(m);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const r=this._buff.readUInt8(this._offset);this._offset+=1;let c=new Array(r);for(let v=0;v<r;v++)switch(this.readUInt8()){case 1:c[v]=this.readLongString();break;case 2:c[v]=this.readVSBuffer();break;case 3:c[v]=void 0;break}return c}}class t{static _arrayContainsBufferOrUndefined(r){for(let c=0,v=r.length;c<v;c++)if(r[c]instanceof A.VSBuffer||typeof r[c]=="undefined")return!0;return!1}static serializeRequestArguments(r,c){if(this._arrayContainsBufferOrUndefined(r)){let v=[],C=[];for(let m=0,f=r.length;m<f;m++){const T=r[m];T instanceof A.VSBuffer?(v[m]=T,C[m]=2):typeof T=="undefined"?(v[m]=A.VSBuffer.alloc(0),C[m]=3):(v[m]=A.VSBuffer.fromString(h(T,c)),C[m]=1)}return{type:"mixed",args:v,argsType:C}}return{type:"simple",args:h(r,c)}}static serializeRequest(r,c,v,C,m){return C.type==="mixed"?this._requestMixedArgs(r,c,v,C.args,C.argsType,m):this._requestJSONArgs(r,c,v,C.args,m)}static _requestJSONArgs(r,c,v,C,m){const f=A.VSBuffer.fromString(v),T=A.VSBuffer.fromString(C);let L=0;L+=a.sizeUInt8(),L+=a.sizeShortString(f),L+=a.sizeLongString(T);let B=a.alloc(m?2:1,r,L);return B.writeUInt8(c),B.writeShortString(f),B.writeLongString(T),B.buffer}static deserializeRequestJSONArgs(r){const c=r.readUInt8(),v=r.readShortString(),C=r.readLongString();return{rpcId:c,method:v,args:JSON.parse(C)}}static _requestMixedArgs(r,c,v,C,m,f){const T=A.VSBuffer.fromString(v);let L=0;L+=a.sizeUInt8(),L+=a.sizeShortString(T),L+=a.sizeMixedArray(C,m);let B=a.alloc(f?4:3,r,L);return B.writeUInt8(c),B.writeShortString(T),B.writeMixedArray(C,m),B.buffer}static deserializeRequestMixedArgs(r){const c=r.readUInt8(),v=r.readShortString(),C=r.readMixedArray(),m=new Array(C.length);for(let f=0,T=C.length;f<T;f++){const L=C[f];typeof L=="string"?m[f]=JSON.parse(L):m[f]=L}return{rpcId:c,method:v,args:m}}static serializeAcknowledged(r){return a.alloc(5,r,0).buffer}static serializeCancel(r){return a.alloc(6,r,0).buffer}static serializeReplyOK(r,c,v){return typeof c=="undefined"?this._serializeReplyOKEmpty(r):c instanceof A.VSBuffer?this._serializeReplyOKVSBuffer(r,c):this._serializeReplyOKJSON(r,b(c,v))}static _serializeReplyOKEmpty(r){return a.alloc(7,r,0).buffer}static _serializeReplyOKVSBuffer(r,c){let v=0;v+=a.sizeVSBuffer(c);let C=a.alloc(8,r,v);return C.writeVSBuffer(c),C.buffer}static deserializeReplyOKVSBuffer(r){return r.readVSBuffer()}static _serializeReplyOKJSON(r,c){const v=A.VSBuffer.fromString(c);let C=0;C+=a.sizeLongString(v);let m=a.alloc(9,r,C);return m.writeLongString(v),m.buffer}static deserializeReplyOKJSON(r){const c=r.readLongString();return JSON.parse(c)}static serializeReplyErr(r,c){return c?this._serializeReplyErrEror(r,c):this._serializeReplyErrEmpty(r)}static _serializeReplyErrEror(r,c){const v=A.VSBuffer.fromString(b(R.transformErrorForSerialization(c),null));let C=0;C+=a.sizeLongString(v);let m=a.alloc(10,r,C);return m.writeLongString(v),m.buffer}static deserializeReplyErrError(r){const c=r.readLongString();return JSON.parse(c)}static _serializeReplyErrEmpty(r){return a.alloc(11,r,0).buffer}}var i;(function(o){o[o.RequestJSONArgs=1]="RequestJSONArgs",o[o.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",o[o.RequestMixedArgs=3]="RequestMixedArgs",o[o.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",o[o.Acknowledged=5]="Acknowledged",o[o.Cancel=6]="Cancel",o[o.ReplyOKEmpty=7]="ReplyOKEmpty",o[o.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",o[o.ReplyOKJSON=9]="ReplyOKJSON",o[o.ReplyErrError=10]="ReplyErrError",o[o.ReplyErrEmpty=11]="ReplyErrEmpty"})(i||(i={}));var s;(function(o){o[o.String=1]="String",o[o.VSBuffer=2]="VSBuffer",o[o.Undefined=3]="Undefined"})(s||(s={}))}),define(ge[255],pe([0,1,4]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,_.createDecorator)("remoteAgentService")}),define(ge[256],pe([0,1,11,7,10,2,4,255]),function(J,e,_,y,R,I,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,D.createDecorator)("pathService");let E=class{constructor(A,k){this.localUserHome=A,this.remoteAgentService=k,this.resolveOS=(async()=>{const b=await this.remoteAgentService.getEnvironment();return(b==null?void 0:b.os)||R.OS})(),this.resolveUserHome=(async()=>{const b=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=(b==null?void 0:b.userHome)||A})()}async userHome(A){return(A==null?void 0:A.preferLocal)?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(A=>A===1?y.win32:y.posix)}async fileURI(A){let k="";if(await this.resolveOS===1&&(A=A.replace(/\\/g,"/")),A[0]==="/"&&A[1]==="/"){const h=A.indexOf("/",2);h===-1?(k=A.substring(2),A="/"):(k=A.substring(2,h),A=A.substring(h)||"/")}return I.URI.from({scheme:_.Schemas.file,authority:k,path:A,query:"",fragment:""})}};E=je([Ue(1,P.IRemoteAgentService)],E),e.AbstractPathService=E}),define(ge[32],pe([0,1,12,34,22,31,9,4,7,18]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const A="\u27EA ",k=" characters skipped \u27EB",b=(A.length+k.length+5)*2;e.ISearchService=(0,P.createDecorator)("searchService");var h;(function(O){O[O.file=0]="file",O[O.text=1]="text"})(h=e.SearchProviderType||(e.SearchProviderType={}));var l;(function(O){O[O.File=1]="File",O[O.Text=2]="Text"})(l=e.QueryType||(e.QueryType={}));function g(O){return!!O.preview}e.resultIsMatch=g;function S(O){return!!O.resource}e.isFileMatch=S;function p(O){return!!O.message}e.isProgressMessage=p;var w;(function(O){O[O.Normal=0]="Normal",O[O.NewSearchStarted=1]="NewSearchStarted"})(w=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class d{constructor(U){this.resource=U,this.results=[]}}e.FileMatch=d;class u{constructor(U,F,N){this.ranges=F;const M=Array.isArray(F)?F:[F];if(N&&N.matchLines===1&&a(M)){U=(0,D.getNLines)(U,N.matchLines);let V="",q=0,X=0;const fe=Math.floor(N.charsPerLine/5),_e=[];for(const Le of M){const Ie=Math.max(Le.startColumn-fe,0),Fe=Le.startColumn+N.charsPerLine;if(Ie>X+fe+b){const z=A+(Ie-X)+k;V+=z+U.slice(Ie,Fe),q+=Ie-(X+z.length)}else V+=U.slice(X,Fe);_e.push(new i(0,Le.startColumn-q,Le.endColumn-q)),X=Fe}this.preview={text:V,matches:Array.isArray(this.ranges)?_e:_e[0]}}else{const V=Array.isArray(F)?F[0].startLineNumber:F.startLineNumber;this.preview={text:U,matches:(0,_.mapArrayOrNot)(F,q=>new t(q.startLineNumber-V,q.startColumn,q.endLineNumber-V,q.endColumn))}}}}e.TextSearchMatch=u;function a(O){const U=O[0].startLineNumber;for(const F of O)if(F.startLineNumber!==U||F.endLineNumber!==U)return!1;return!0}class t{constructor(U,F,N,M){this.startLineNumber=U,this.startColumn=F,this.endLineNumber=N,this.endColumn=M}}e.SearchRange=t;class i extends t{constructor(U,F,N){super(U,F,U,N)}}e.OneLineRange=i;var s;(function(O){O.Default="default",O.FileNames="fileNames",O.Type="type",O.Modified="modified",O.CountDescending="countDescending",O.CountAscending="countAscending"})(s=e.SearchSortOrder||(e.SearchSortOrder={}));function o(O,U=!0){const F=O&&O.files&&O.files.exclude,N=U&&O&&O.search&&O.search.exclude;if(!(!F&&!N)){if(!F||!N)return F||N;let M=Object.create(null);return M=R.mixin(M,R.deepClone(F)),M=R.mixin(M,R.deepClone(N),!0),M}}e.getExcludes=o;function r(O,U){return O.excludePattern&&y.match(O.excludePattern,U)?!1:O.includePattern||O.usingSearchPaths?O.includePattern&&y.match(O.includePattern,U)?!0:O.usingSearchPaths?!!O.folderQueries&&O.folderQueries.some(F=>{const N=F.folder.fsPath;if(I.isEqualOrParent(U,N)){const M=E.relative(N,U);return!F.includePattern||!!y.match(F.includePattern,M)}else return!1}):!1:!0}e.pathIncludedInQuery=r;var c;(function(O){O[O.unknownEncoding=1]="unknownEncoding",O[O.regexParseError=2]="regexParseError",O[O.globParseError=3]="globParseError",O[O.invalidLiteral=4]="invalidLiteral",O[O.rgProcessError=5]="rgProcessError",O[O.other=6]="other",O[O.canceled=7]="canceled"})(c=e.SearchErrorCode||(e.SearchErrorCode={}));class v extends Error{constructor(U,F){super(U);this.code=F}}e.SearchError=v;function C(O){const U=O.message;if((0,n.isPromiseCanceledError)(O))return new v(U,c.canceled);try{const F=JSON.parse(U);return new v(F.message,F.code)}catch(F){return new v(U,c.other)}}e.deserializeSearchError=C;function m(O){const U={message:O.message,code:O.code};return new Error(JSON.stringify(U))}e.serializeSearchError=m;function f(O){return O.type==="error"?!0:O.type==="success"}e.isSerializedSearchComplete=f;function T(O){return O.type==="success"}e.isSerializedSearchSuccess=T;function L(O){return!!O.path}e.isSerializedFileMatch=L;function B(O,U){const F=O.searchPath?O.searchPath:O.relativePath;return(0,D.fuzzyContains)(F,U)}e.isFilePatternMatch=B;class te{constructor(U){this.path=U,this.results=[]}addMatch(U){this.results.push(U)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=te;function j(O,U){const F=Object.assign(Object.assign({},O||{}),U||{});return Object.keys(F).filter(N=>{const M=F[N];return typeof M=="boolean"&&M})}e.resolvePatternsForProvider=j;class W{constructor(U,F){this._parsedIncludeExpression=null,this._excludeExpression=Object.assign(Object.assign({},U.excludePattern||{}),F.excludePattern||{}),this._parsedExcludeExpression=y.parse(this._excludeExpression);let N=U.includePattern;F.includePattern&&(N?N=Object.assign(Object.assign({},N),F.includePattern):N=F.includePattern),N&&(this._parsedIncludeExpression=y.parse(N))}includedInQuerySync(U,F,N){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(U,F,N)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(U,F,N))}includedInQuery(U,F,N){return Promise.resolve(this._parsedExcludeExpression(U,F,N)).then(V=>!!V).then(V=>V?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(U,F,N)).then(q=>!!q):Promise.resolve(!0)).then(V=>V)}hasSiblingExcludeClauses(){return $(this._excludeExpression)}}e.QueryGlobTester=W;function $(O){for(const U in O)if(typeof O[U]!="boolean")return!0;return!1}}),define(ge[33],pe([0,1,12,19,21,3,23,11,72,24,9,15,2,164,4,13,183,60,61,27,14,8,32,5]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w,d,u,a,t,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function s(T,L,B){return new n.ExtUri(te=>v(te,B)).isEqual(T,L)}function o(T,L,B){return s(T.uri,L.uri,B)?0:(0,A.compare)(T.uri.toString(),L.uri.toString())}function r(T,L,B){return T.index!==L.index?T.index<L.index?-1:1:s(T.uri,L.uri,B)?(0,A.compare)(T.name,L.name):(0,A.compare)(T.uri.toString(),L.uri.toString())}function c(T,L,B,te){const j=T.slice(0).sort(($,O)=>B($,O,te)),W=L.slice(0).sort(($,O)=>B($,O,te));return(0,_.delta)(j,W,($,O)=>B($,O,te))}function v(T,L){const B=L.getCapabilities(T.scheme);return!(B&&B&1024)}class C extends p.Workspace{constructor(L,B,te,j,W,$){super(L,te.map(O=>new p.WorkspaceFolder(O)),j,$);this._name=B,this._isUntitled=W,this._workspaceFolders=[],this._structure=D.TernarySearchTree.forUris($),te.forEach(O=>{this._workspaceFolders.push(O),this._structure.set(O.uri,O)})}static toExtHostWorkspace(L,B,te,j){if(!L)return{workspace:null,added:[],removed:[]};const{id:W,name:$,folders:O,configuration:U,isUntitled:F}=L,N=[],M=B;B?O.forEach((fe,_e)=>{const Le=b.URI.revive(fe.uri),Ie=C._findFolder(te||B,Le,j);Ie?(Ie.name=fe.name,Ie.index=fe.index,N.push(Ie)):N.push({uri:Le,name:fe.name,index:_e})}):N.push(...O.map(({uri:fe,name:_e,index:Le})=>({uri:b.URI.revive(fe),name:_e,index:Le}))),N.sort((fe,_e)=>fe.index<_e.index?-1:1);const V=new C(W,$,N,U?b.URI.revive(U):null,!!F,fe=>v(fe,j)),{added:q,removed:X}=c(M?M.workspaceFolders:[],V.workspaceFolders,o,j);return{workspace:V,added:q,removed:X}}static _findFolder(L,B,te){for(let j=0;j<L.folders.length;j++){const W=L.workspaceFolders[j];if(s(W.uri,B,te))return W}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(L,B){return B&&this._structure.get(L)&&(L=(0,n.dirname)(L)),this._structure.findSubstr(L)}resolveWorkspaceFolder(L){return this._structure.get(L)}}let m=class{constructor(L,B,te,j){this._onDidChangeWorkspace=new I.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidChangeWorkspaceTrustState=new I.Emitter,this.onDidChangeWorkspaceTrustState=this._onDidChangeWorkspaceTrustState.event,this._activeSearchCallbacks=[],this._workspaceTrustState=a.WorkspaceTrustState.Unknown,this._logService=j,this._extHostFileSystemInfo=te,this._requestIdProvider=new E.Counter,this._barrier=new y.Barrier,this._proxy=L.getProxy(i.MainContext.MainThreadWorkspace),this._messageService=L.getProxy(i.MainContext.MainThreadMessageService);const W=B.workspace;this._confirmedWorkspace=W?new C(W.id,W.name,[],W.configuration?b.URI.revive(W.configuration):null,!!W.isUntitled,$=>v($,te)):void 0}$initializeWorkspace(L,B){this._workspaceTrustState=B,this.$acceptWorkspaceData(L),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?b.URI.from({scheme:P.Schemas.untitled,path:(0,n.basename)((0,n.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(L,B,te,...j){const W=[];if(Array.isArray(j)&&j.forEach(N=>{b.URI.isUri(N.uri)&&!W.some(M=>s(M.uri,N.uri,this._extHostFileSystemInfo))&&W.push({uri:N.uri,name:N.name||(0,n.basenameOrAuthority)(N.uri)})}),this._unconfirmedWorkspace||[B,te].some(N=>typeof N!="number"||N<0)||te===0&&W.length===0)return!1;const $=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(B+te>$.length)return!1;const O=$.slice(0);O.splice(B,te,...W.map(N=>({uri:N.uri,name:N.name||(0,n.basenameOrAuthority)(N.uri),index:void 0})));for(let N=0;N<O.length;N++){const M=O[N];if(O.some((V,q)=>q!==N&&s(M.uri,V.uri,this._extHostFileSystemInfo)))return!1}O.forEach((N,M)=>N.index=M);const{added:U,removed:F}=c($,O,r,this._extHostFileSystemInfo);if(U.length===0&&F.length===0)return!1;if(this._proxy){const N=L.displayName||L.name;this._proxy.$updateWorkspaceFolders(N,B,te,W).then(void 0,M=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(S.Severity.Error,(0,h.localize)(0,null,N,M.toString()),{extension:L},[])})}return this.trySetWorkspaceFolders(O),!0}getWorkspaceFolder(L,B){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,B)}async getWorkspaceFolder2(L,B){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,B)}async resolveWorkspaceFolder(L){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(L)}getPath(){if(!!this._actualWorkspace){const{folders:L}=this._actualWorkspace;if(L.length!==0)return L[0].uri.fsPath}}getRelativePath(L,B){let te,j="";if(typeof L=="string"?(te=b.URI.file(L),j=L):typeof L!="undefined"&&(te=L,j=L.fsPath),!te)return j;const W=this.getWorkspaceFolder(te,!0);if(!W)return j;typeof B=="undefined"&&this._actualWorkspace&&(B=this._actualWorkspace.folders.length>1);let $=(0,n.relativePath)(W.uri,te);return B&&W.name&&($=`${W.name}/${$}`),$}trySetWorkspaceFolders(L){this._actualWorkspace&&(this._unconfirmedWorkspace=C.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:L,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(L){const{workspace:B,added:te,removed:j}=C.toExtHostWorkspace(L,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=B||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:te,removed:j}))}findFiles(L,B,te,j,W=R.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${j.value}, entryPoint: findFiles`);let $;if(B===null?$=!1:B&&(typeof B=="string"?$=B:$=B.pattern),W&&W.isCancellationRequested)return Promise.resolve([]);const{includePattern:O,folder:U}=f(L);return this._proxy.$startFileSearch((0,k.withUndefinedAsNull)(O),(0,k.withUndefinedAsNull)(U),(0,k.withUndefinedAsNull)($),(0,k.withUndefinedAsNull)(te),W).then(F=>Array.isArray(F)?F.map(N=>b.URI.revive(N)):[])}async findTextInFiles(L,B,te,j,W=R.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${j.value}, entryPoint: findTextInFiles`);const $=this._requestIdProvider.getNext(),O=typeof B.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:B.previewOptions,{includePattern:U,folder:F}=f(B.include),N=typeof B.exclude=="string"?B.exclude:B.exclude?B.exclude.pattern:void 0,M={ignoreSymlinks:typeof B.followSymlinks=="boolean"?!B.followSymlinks:void 0,disregardIgnoreFiles:typeof B.useIgnoreFiles=="boolean"?!B.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof B.useGlobalIgnoreFiles=="boolean"?!B.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof B.useDefaultExcludes=="boolean"?!B.useDefaultExcludes:!0,fileEncoding:B.encoding,maxResults:B.maxResults,previewOptions:O,afterContext:B.afterContext,beforeContext:B.beforeContext,includePattern:U,excludePattern:N},V=!1;if(this._activeSearchCallbacks[$]=q=>{if(!V){const X=b.URI.revive(q.resource);q.results.forEach(fe=>{(0,t.resultIsMatch)(fe)?te({uri:X,preview:{text:fe.preview.text,matches:(0,_.mapArrayOrNot)(fe.preview.matches,_e=>new a.Range(_e.startLineNumber,_e.startColumn,_e.endLineNumber,_e.endColumn))},ranges:(0,_.mapArrayOrNot)(fe.ranges,_e=>new a.Range(_e.startLineNumber,_e.startColumn,_e.endLineNumber,_e.endColumn))}):te({uri:X,text:fe.text,lineNumber:fe.lineNumber})})}},W.isCancellationRequested)return{};try{const q=await this._proxy.$startTextSearch(L,(0,k.withUndefinedAsNull)(F),M,$,W);return delete this._activeSearchCallbacks[$],q||{}}catch(q){throw delete this._activeSearchCallbacks[$],q}}$handleTextSearchResult(L,B){this._activeSearchCallbacks[B]&&this._activeSearchCallbacks[B](L)}saveAll(L){return this._proxy.$saveAll(L)}resolveProxy(L){return this._proxy.$resolveProxy(L)}get trustState(){return this._workspaceTrustState}requireWorkspaceTrust(L){return this._proxy.$requireWorkspaceTrust(L)}$onDidChangeWorkspaceTrustState(L){this._workspaceTrustState=L.currentTrustState,this._onDidChangeWorkspaceTrustState.fire(Object.freeze(L))}};m=je([Ue(0,u.IExtHostRpcService),Ue(1,d.IExtHostInitDataService),Ue(2,w.IExtHostFileSystemInfo),Ue(3,g.ILogService)],m),e.ExtHostWorkspace=m,e.IExtHostWorkspace=(0,l.createDecorator)("IExtHostWorkspace");function f(T){let L,B;return T&&(typeof T=="string"?L=T:(L=T.pattern,B=T.baseFolder||b.URI.file(T.base))),{includePattern:L,folder:B}}}),define(ge[36],pe([0,1,22,3,33,5,8,185,82,15,19,4,14,13,2]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function g(i,s){if(s){const o=s.split(".");let r=i;for(let c=0;r&&c<o.length;c++)r=r[o[c]];return r}}function S(i){return i instanceof l.URI}function p(i){return i&&i.uri instanceof l.URI&&i.languageId&&typeof i.languageId=="string"}function w(i){return i&&!i.uri&&i.languageId&&typeof i.languageId=="string"}function d(i){return i&&i.uri instanceof l.URI&&(!i.name||typeof i.name=="string")&&(!i.index||typeof i.index=="number")}function u(i){if(S(i))return{resource:i};if(p(i))return{resource:i.uri,overrideIdentifier:i.languageId};if(w(i))return{overrideIdentifier:i.languageId};if(d(i))return{resource:i.uri};if(i===null)return{resource:null}}let a=class{constructor(s,o,r){this._proxy=s.getProxy(I.MainContext.MainThreadConfiguration),this._extHostWorkspace=o,this._logService=r,this._barrier=new A.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(s=>this._actual)}$initializeConfiguration(s){this._actual=new t(this._proxy,this._extHostWorkspace,s,this._logService),this._barrier.open()}$acceptConfigurationChanged(s,o){this.getConfigProvider().then(r=>r.$acceptConfigurationChanged(s,o))}};a=je([Ue(0,b.IExtHostRpcService),Ue(1,R.IExtHostWorkspace),Ue(2,h.ILogService)],a),e.ExtHostConfiguration=a;class t{constructor(s,o,r,c){this._onDidChangeConfiguration=new y.Emitter,this._proxy=s,this._logService=c,this._extHostWorkspace=o,this._configuration=P.Configuration.parse(r),this._configurationScopes=this._toMap(r.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(s,o){const r={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=P.Configuration.parse(s),this._configurationScopes=this._toMap(s.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(o,r))}getConfiguration(s,o,r){const c=u(o)||{},v=this._toReadonlyValue(s?g(this._configuration.getValue(void 0,c,this._extHostWorkspace.workspace),s):this._configuration.getValue(void 0,c,this._extHostWorkspace.workspace));s&&this._validateConfigurationAccess(s,c,r==null?void 0:r.identifier);function C(f){if(f==null)return null;if(typeof f=="boolean")return f?1:4;switch(f){case D.ConfigurationTarget.Global:return 1;case D.ConfigurationTarget.Workspace:return 4;case D.ConfigurationTarget.WorkspaceFolder:return 5}}const m={has(f){return typeof g(v,f)!="undefined"},get:(f,T)=>{this._validateConfigurationAccess(s?`${s}.${f}`:f,c,r==null?void 0:r.identifier);let L=g(v,f);if(typeof L=="undefined")L=T;else{let B;const te=(j,W)=>{let $;const O=()=>{B=B||(0,_.deepClone)(v),$=$||g(B,W)};return(0,n.isObject)(j)?new Proxy(j,{get:(U,F)=>{if(typeof F=="string"&&F.toLowerCase()==="tojson")return O(),()=>$;if(B)return $=$||g(B,W),$[F];const N=U[F];return typeof F=="string"?te(N,`${W}.${F}`):N},set:(U,F,N)=>(O(),$&&($[F]=N),!0),deleteProperty:(U,F)=>(O(),$&&delete $[F],!0),defineProperty:(U,F,N)=>(O(),$&&Object.defineProperty($,F,N),!0)}):j};L=te(L,f)}return L},update:(f,T,L,B)=>{f=s?`${s}.${f}`:f;const te=C(L);return T!==void 0?this._proxy.$updateConfigurationOption(te,f,T,c,B):this._proxy.$removeConfigurationOption(te,f,c,B)},inspect:f=>{var T,L,B,te,j,W,$,O;f=s?`${s}.${f}`:f;const U=(0,_.deepClone)(this._configuration.inspect(f,c,this._extHostWorkspace.workspace));if(U)return{key:f,defaultValue:(T=U.default)===null||T===void 0?void 0:T.value,globalValue:(L=U.user)===null||L===void 0?void 0:L.value,workspaceValue:(B=U.workspace)===null||B===void 0?void 0:B.value,workspaceFolderValue:(te=U.workspaceFolder)===null||te===void 0?void 0:te.value,defaultLanguageValue:(j=U.default)===null||j===void 0?void 0:j.override,globalLanguageValue:(W=U.user)===null||W===void 0?void 0:W.override,workspaceLanguageValue:($=U.workspace)===null||$===void 0?void 0:$.override,workspaceFolderLanguageValue:(O=U.workspaceFolder)===null||O===void 0?void 0:O.override,languageIds:U.overrideIdentifiers}}};return typeof v=="object"&&(0,_.mixin)(m,v,!1),Object.freeze(m)}_toReadonlyValue(s){const o=r=>(0,n.isObject)(r)?new Proxy(r,{get:(c,v)=>o(c[v]),set:(c,v,C)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(v)}' of object`)},deleteProperty:(c,v)=>{throw new Error(`TypeError: Cannot delete read only property '${String(v)}' of object`)},defineProperty:(c,v)=>{throw new Error(`TypeError: Cannot define property '${String(v)}' for a readonly object`)},setPrototypeOf:c=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):r;return o(s)}_validateConfigurationAccess(s,o,r){const c=E.OVERRIDE_PROPERTY_PATTERN.test(s)?4:this._configurationScopes.get(s),v=r?`[${r.value}] `:"";if(c===4){typeof(o==null?void 0:o.resource)=="undefined"&&this._logService.warn(`${v}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${s}', provide the URI of a resource or 'null' for any resource.`);return}if(c===3){(o==null?void 0:o.resource)&&this._logService.warn(`${v}Accessing a window scoped configuration for a resource is not expected. To associate '${s}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(s,o){const r=new P.ConfigurationChangeEvent(s,o,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(c,v)=>r.affectsConfiguration(c,u(v))})}_toMap(s){return s.reduce((o,r)=>(o.set(r[0],r[1]),o),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=(0,k.createDecorator)("IExtHostConfiguration")});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[66],pe([0,1,2,19,3,5,8,33,38,36,21,35,14,27,4,11,10,13,63,205,18]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w,d,u){"use strict";var a;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(j){function W(O){if(O!=null)return O}j.from=W;function $(O){if(O!=null)return O}j.to=$})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var i;(function(j){function W(O){if(O!=null)return O}j.from=W;function $(O){if(O!=null)return O}j.to=$})(i=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var s;(function(j){function W(O){if(O!=null)return O}j.from=W;function $(O){if(O!=null)return O}j.to=$})(s=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var o;(function(j){function W(U){if(U){const F=U;return F&&!!F.process}else return!1}j.is=W;function $(U){if(U!=null){const F={process:U.process,args:U.args};return U.options&&(F.options=s.from(U.options)),F}}j.from=$;function O(U){if(U!=null)return new D.ProcessExecution(U.process,U.args,U.options)}j.to=O})(o=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var r;(function(j){function W(O){if(O!=null)return O}j.from=W;function $(O){if(O!=null)return O}j.to=$})(r=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var c;(function(j){function W(U){if(U){const F=U;return F&&(!!F.commandLine||!!F.command)}else return!1}j.is=W;function $(U){if(U!=null){const F={};return U.commandLine!==void 0?F.commandLine=U.commandLine:(F.command=U.command,F.args=U.args),U.options&&(F.options=r.from(U.options)),F}}j.from=$;function O(U){if(!(U==null||U.command===void 0&&U.commandLine===void 0))return U.commandLine?new D.ShellExecution(U.commandLine,U.options):new D.ShellExecution(U.command,U.args?U.args:[],U.options)}j.to=O})(c=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var v;(function(j){function W(U){if(U){let F=U;return F&&F.customExecution==="customExecution"}else return!1}j.is=W;function $(U){return{customExecution:"customExecution"}}j.from=$;function O(U,F){return F.get(U)}j.to=O})(v=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var C;(function(j){function W($,O){let U;return $.scope!==void 0&&typeof $.scope!="number"?U=$.scope.uri:$.scope!==void 0&&typeof $.scope=="number"&&($.scope===D.TaskScope.Workspace&&O&&O.workspaceFile?U=O.workspaceFile:U=d.USER_TASKS_GROUP_KEY),{id:$._id,workspaceFolder:U}}j.from=W})(C=e.TaskHandleDTO||(e.TaskHandleDTO={}));var m;(function(j){function W(U,F){if(U==null)return[];const N=[];for(let M of U){const V=$(M,F);V&&N.push(V)}return N}j.fromMany=W;function $(U,F){if(U!=null){let N;U.execution instanceof D.ProcessExecution?N=o.from(U.execution):U.execution instanceof D.ShellExecution?N=c.from(U.execution):U.execution&&U.execution instanceof D.CustomExecution&&(N=v.from(U.execution));const M=t.from(U.definition);let V;if(U.scope?typeof U.scope=="number"?V=U.scope:V=U.scope.uri:V=D.TaskScope.Workspace,!(!M||!V)){const q=U.group?U.group.id:void 0;return{_id:U._id,definition:M,name:U.name,source:{extensionId:F.identifier.value,label:U.source,scope:V},execution:N,isBackground:U.isBackground,group:q,presentationOptions:i.from(U.presentationOptions),problemMatchers:U.problemMatchers,hasDefinedMatchers:U.hasDefinedMatchers,runOptions:U.runOptions?U.runOptions:{reevaluateOnRerun:!0},detail:U.detail}}}}j.from=$;async function O(U,F,N){if(U!=null){let M;o.is(U.execution)?M=o.to(U.execution):c.is(U.execution)?M=c.to(U.execution):v.is(U.execution)&&(M=v.to(U._id,N));const V=t.to(U.definition);let q;if(U.source&&(U.source.scope!==void 0?typeof U.source.scope=="number"?q=U.source.scope:q=await F.resolveWorkspaceFolder(_.URI.revive(U.source.scope)):q=D.TaskScope.Workspace),!(!V||!q)){const X=new D.Task(V,q,U.name,U.source.label,M,U.problemMatchers);return U.isBackground!==void 0&&(X.isBackground=U.isBackground),U.group!==void 0&&(X.group=D.TaskGroup.from(U.group)),U.presentationOptions&&(X.presentationOptions=i.to(U.presentationOptions)),U._id&&(X._id=U._id),U.detail&&(X.detail=U.detail),X}}}j.to=O})(m=e.TaskDTO||(e.TaskDTO={}));var f;(function(j){function W(O){return O}j.from=W;function $(O){if(!!O)return Object.assign(Object.create(null),O)}j.to=$})(f=e.TaskFilterDTO||(e.TaskFilterDTO={}));class T{constructor(W,$,O){this._id=$,this._task=O,a.set(this,void 0),tt(this,a,W)}get task(){return this._task}terminate(){$e(this,a).terminateTask(this)}fireDidStartProcess(W){}fireDidEndProcess(W){}}a=new WeakMap;var L;(function(j){function W($){return{id:$._id,task:void 0}}j.from=W})(L=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let B=class{constructor(W,$,O,U,F,N,M,V){this._onDidExecuteTask=new R.Emitter,this._onDidTerminateTask=new R.Emitter,this._onDidTaskProcessStarted=new R.Emitter,this._onDidTaskProcessEnded=new R.Emitter,this._proxy=W.getProxy(I.MainContext.MainThreadTask),this._workspaceProvider=O,this._editorService=U,this._configurationService=F,this._terminalService=N,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=M,this._deprecationService=V,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(W,$,O){if(!O)return new D.Disposable(()=>{});const U=this.nextHandle();return this._handlers.set(U,{type:$,provider:O,extension:W}),this._proxy.$registerTaskProvider(U,$),new D.Disposable(()=>{this._handlers.delete(U),this._proxy.$unregisterTaskProvider(U)})}registerTaskSystem(W,$){this._proxy.$registerTaskSystem(W,$)}fetchTasks(W){return this._proxy.$fetchTasks(f.from(W)).then(async $=>{const O=[];for(let U of $){const F=await m.to(U,this._workspaceProvider,this._providedCustomExecutions2);F&&O.push(F)}return O})}get taskExecutions(){const W=[];return this._taskExecutions.forEach($=>W.push($)),W}terminateTask(W){if(!(W instanceof T))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(W._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(W,$,O){const U=this._providedCustomExecutions2.get(W.id);if(U){if(this._activeCustomExecutions2.get(W.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(W.id,U),this._terminalService.attachPtyToTerminal($,await U.callback(O))}this._lastStartedTask=W.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(W)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(W){const $=await this.getTaskExecution(W);this._taskExecutionPromises.delete(W.id),this._taskExecutions.delete(W.id),this.customExecutionComplete(W),this._onDidTerminateTask.fire({execution:$})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(W){const $=await this.getTaskExecution(W.id);this._onDidTaskProcessStarted.fire({execution:$,processId:W.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(W){const $=await this.getTaskExecution(W.id);this._onDidTaskProcessEnded.fire({execution:$,exitCode:W.exitCode})}$provideTasks(W,$){const O=this._handlers.get(W);if(!O)return Promise.reject(new Error("no handler found"));const U=[],F=(0,y.asPromise)(()=>O.provider.provideTasks(A.CancellationToken.None)).then(N=>this.provideTasksInternal($,U,O,N));return new Promise(N=>{F.then(M=>{Promise.all(U).then(()=>{N(M)})})})}async $resolveTask(W,$){const O=this._handlers.get(W);if(!O)return Promise.reject(new Error("no handler found"));if($.definition.type!==O.type)throw new Error(`Unexpected: Task of type [${$.definition.type}] cannot be resolved by provider of type [${O.type}].`);const U=await m.to($,this._workspaceProvider,this._providedCustomExecutions2);if(!U)throw new Error("Unexpected: Task cannot be resolved.");const F=await O.provider.resolveTask(U,A.CancellationToken.None);if(!!F){this.checkDeprecation(F,O);const N=m.from(F,O.extension);if(!N)throw new Error("Unexpected: Task cannot be resolved.");if(F.definition!==U.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return v.is(N.execution)&&await this.addCustomExecution(N,F,!0),await this.resolveTaskInternal(N)}}nextHandle(){return this._handleCounter++}async addCustomExecution(W,$,O){const U=await this._proxy.$createTaskId(W);!O&&!this._providedCustomExecutions2.has(U)&&this._notProvidedCustomExecutions.add(U),this._providedCustomExecutions2.set(U,$.execution)}async getTaskExecution(W,$){if(typeof W=="string"){const F=this._taskExecutionPromises.get(W);if(!F)throw new Error("Unexpected: The specified task is missing an execution");return F}let O=this._taskExecutionPromises.get(W.id);if(O)return O;const U=new Promise(async(F,N)=>{const M=$||await m.to(W.task,this._workspaceProvider,this._providedCustomExecutions2);M?F(new T(this,W.id,M)):N("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(W.id,U),U.then(F=>(this._taskExecutions.set(W.id,F),F),F=>Promise.reject(F))}checkDeprecation(W,$){W._deprecated&&this._deprecationService.report("Task.constructor",$.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(W){this._activeCustomExecutions2.get(W.id)&&this._activeCustomExecutions2.delete(W.id),this._notProvidedCustomExecutions.has(W.id)&&this._lastStartedTask!==W.id&&(this._providedCustomExecutions2.delete(W.id),this._notProvidedCustomExecutions.delete(W.id));let O=this._notProvidedCustomExecutions.values(),U=O.next();for(;!U.done;)!this._activeCustomExecutions2.has(U.value)&&this._lastStartedTask!==U.value&&(this._providedCustomExecutions2.delete(U.value),this._notProvidedCustomExecutions.delete(U.value)),U=O.next()}};B=je([Ue(0,b.IExtHostRpcService),Ue(1,h.IExtHostInitDataService),Ue(2,P.IExtHostWorkspace),Ue(3,E.IExtHostDocumentsAndEditors),Ue(4,n.IExtHostConfiguration),Ue(5,k.IExtHostTerminalService),Ue(6,p.ILogService),Ue(7,w.IExtHostApiDeprecationService)],B),e.ExtHostTaskBase=B;let te=class extends B{constructor(W,$,O,U,F,N,M,V){super(W,$,O,U,F,N,M,V);this.registerTaskSystem(g.Schemas.vscodeRemote,{scheme:g.Schemas.vscodeRemote,authority:"",platform:S.PlatformToString(0)})}async executeTask(W,$){if(!$.execution)throw new Error("Tasks to execute must include an execution");const O=m.from($,W);if(O===void 0)throw new Error("Task is not valid");if(v.is(O.execution))await this.addCustomExecution(O,$,!1);else throw new u.NotSupportedError;const U=await this.getTaskExecution(await this._proxy.$getTaskExecution(O),$);return this._proxy.$executeTask(O).catch(F=>{throw new Error(F)}),U}provideTasksInternal(W,$,O,U){const F=[];if(U)for(let N of U){this.checkDeprecation(N,O),(!N.definition||!W[N.definition.type])&&this._logService.warn(`The task [${N.source}, ${N.name}] uses an undefined task type. The task will be ignored in the future.`);const M=m.from(N,O.extension);M&&v.is(M.execution)?(F.push(M),$.push(this.addCustomExecution(M,N,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:F,extension:O.extension}}async resolveTaskInternal(W){if(v.is(W.execution))return W;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(W,$){return{process:void 0,variables:Object.create(null)}}$getDefaultShellAndArgs(){throw new Error("Not implemented")}async $jsonTasksSupported(){return!1}async $findExecutable(W,$,O){}};te=je([Ue(0,b.IExtHostRpcService),Ue(1,h.IExtHostInitDataService),Ue(2,P.IExtHostWorkspace),Ue(3,E.IExtHostDocumentsAndEditors),Ue(4,n.IExtHostConfiguration),Ue(5,k.IExtHostTerminalService),Ue(6,p.ILogService),Ue(7,w.IExtHostApiDeprecationService)],te),e.WorkerExtHostTask=te,e.IExtHostTask=(0,l.createDecorator)("IExtHostTask")});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)},dn=this&&this.__rest||function(J,e){var _={};for(var y in J)Object.prototype.hasOwnProperty.call(J,y)&&e.indexOf(y)<0&&(_[y]=J[y]);if(J!=null&&typeof Object.getOwnPropertySymbols=="function")for(var R=0,y=Object.getOwnPropertySymbols(J);R<y.length;R++)e.indexOf(y[R])<0&&Object.prototype.propertyIsEnumerable.call(J,y[R])&&(_[y[R]]=J[y[R]]);return _};define(ge[257],pe([0,1,12,19,21,3,69,6,22,15,2,28,5,38,14,20,8,33,220,210]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w,d){"use strict";var u,a;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestItemFilteredWrapper=e.ExtHostTesting=void 0;const t=(f,T)=>`${f}:${T.toString()}`;let i=class{constructor(T,L,B){this.documents=L,this.workspace=B,this.resultsChangedEmitter=new I.Emitter,this.providers=new Map,this.ownedTests=new w.OwnedTestCollection,this.testSubscriptions=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=T.getProxy(b.MainContext.MainThreadTesting),this.workspaceObservers=new C(this.proxy),this.textDocumentObservers=new m(this.proxy,L)}registerTestProvider(T){const L=(0,k.generateUuid)();this.providers.set(L,T),this.proxy.$registerTestProvider(L);const B=[...this.testSubscriptions.keys()];return setTimeout(()=>{var te;for(const j of B)(te=this.testSubscriptions.get(j))===null||te===void 0||te.subscribeFn(L,T)},0),new S.Disposable(()=>{this.providers.delete(L),this.proxy.$unregisterTestProvider(L)})}createTextDocumentTestObserver(T){return this.textDocumentObservers.checkout(T.uri)}createWorkspaceTestObserver(T){return this.workspaceObservers.checkout(T.uri)}async runTests(T,L=R.CancellationToken.None){const B=te=>te.map(this.getInternalTestForReference,this).filter(n.isDefined).map(j=>({providerId:j.providerId,testId:j.item.extId}));await this.proxy.$runTests({exclude:T.exclude?B(T.exclude).map(te=>te.testId):void 0,tests:B(T.tests),debug:T.debug},L)}publishExtensionProvidedResults(T,L){this.proxy.$publishExtensionProvidedResults(g.TestResults.from((0,k.generateUuid)(),T),L)}$publishTestResults(T){this.results=Object.freeze(T.map(L=>(0,E.deepFreeze)(g.TestResults.to(L))).concat(this.results).sort((L,B)=>B.completedAt-L.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $subscribeToTests(T,L){const B=A.URI.revive(L),te=t(T,B);if(!this.testSubscriptions.has(te)){const j=new R.CancellationTokenSource;let W;if(T===1){let F=this.documents.getDocument(B);if(!F){const N=new P.DisposableStore;F=await new Promise(M=>{N.add((0,y.disposableTimeout)(()=>M(void 0),5e3)),N.add(this.documents.onDidAddDocuments(V=>{const q=V.find(X=>X.document.uri.toString()===B.toString());q&&M(q)}))}).finally(()=>N.dispose())}if(F){const N=await this.workspace.getWorkspaceFolder2(B,!1);W=M=>M.provideDocumentTestHierarchy?M.provideDocumentTestHierarchy(F.document,j.token):this.createDefaultDocumentTestHierarchy(M,F.document,N,j.token)}}else{const F=await this.workspace.getWorkspaceFolder2(B,!1);F&&(W=N=>N.provideWorkspaceTestHierarchy(F,j.token))}if(!!W){const $=async(F,N)=>{var M;try{U.pushDiff([3,1]);const V=await W(N);if(!V){U.pushDiff([3,-1]);return}U.addRoot(V.root,F),Promise.resolve(V.discoveredInitialTests).then(()=>U.pushDiff([3,-1])),V.onDidChangeTest(q=>U.onItemChange(q,F)),(M=V.onDidInvalidateTest)===null||M===void 0||M.call(V,q=>{const X=U.getTestByReference(q);X?this.proxy.$retireTest(X.item.extId):console.warn("Received a TestProvider.onDidInvalidateTest for a test that does not currently exist.")})}catch(V){console.error(V)}},O=new P.DisposableStore,U=O.add(this.ownedTests.createForHierarchy(F=>this.proxy.$publishDiff(T,L,F)));O.add((0,P.toDisposable)(()=>j.dispose(!0)));for(const[F,N]of this.providers)$(F,N);U.pushDiff([4,-1]),this.testSubscriptions.set(te,{store:O,collection:U,subscribeFn:$})}}}$unsubscribeFromTests(T,L){var B;const te=A.URI.revive(L),j=t(T,te);(B=this.testSubscriptions.get(j))===null||B===void 0||B.store.dispose(),this.testSubscriptions.delete(j)}$acceptDiff(T,L,B){T===1?this.textDocumentObservers.acceptDiff(A.URI.revive(L),B):this.workspaceObservers.acceptDiff(A.URI.revive(L),B)}async $runTestsForProvider(T,L){const B=this.providers.get(T.providerId);if(!!B){const te=T.ids.map(W=>{var $;return($=this.ownedTests.getTestById(W))===null||$===void 0?void 0:$[1]}).filter(n.isDefined),j=T.excludeExtIds.map(W=>this.ownedTests.getTestById(W)).filter(n.isDefined).filter(([W,$])=>te.some(O=>W.comparePositions(O,$)===1));if(!!te.length)try{await B.runTests({setState:(W,$)=>{for(const[O,U]of j){const F=O.comparePositions(U,W.id);if(F===1||F===3)return}this.flushCollectionDiffs(),this.proxy.$updateTestStateInRun(T.runId,W.id,g.TestState.from($))},tests:te.map(W=>s.unwrap(W.actual)),exclude:j.map(([,W])=>s.unwrap(W.actual)),debug:T.debug},L);for(const{collection:W}of this.testSubscriptions.values())W.flushDiff();return}catch(W){throw console.error(W),W}}}$lookupTest(T){const L=this.ownedTests.getTestById(T.testId);if(!L)return Promise.resolve(void 0);const B=L[1],{actual:te,previousChildren:j,previousEquals:W}=B,$=dn(B,["actual","previousChildren","previousEquals"]);return Promise.resolve($)}flushCollectionDiffs(){for(const{collection:T}of this.testSubscriptions.values())T.flushDiff()}getInternalTestForReference(T){var L,B;return(B=(L=this.workspaceObservers.getMirroredTestDataByReference(T))!==null&&L!==void 0?L:(0,_.mapFind)(this.testSubscriptions.values(),te=>te.collection.getTestByReference(T)))!==null&&B!==void 0?B:this.textDocumentObservers.getMirroredTestDataByReference(T)}async createDefaultDocumentTestHierarchy(T,L,B,te){var j;if(!!B){const W=await T.provideWorkspaceTestHierarchy(B,te);if(!!W){const $=new I.Emitter;(j=W.onDidInvalidateTest)===null||j===void 0||j.call(W,U=>{const F=s.getWrapperForTestItem(U,L);F.hasNodeMatchingFilter&&$.fire(F)});const O=new I.Emitter;return W.onDidChangeTest(U=>{const F=s.getWrapperForTestItem(U,L);if(F.hasNodeMatchingFilter){if(F.reset(),F.hasNodeMatchingFilter){O.fire(F);return}O.fire(F.visibleParent);return}const M=F.visibleParent;F.reset(),!!F.hasNodeMatchingFilter&&(M.reset(),O.fire(M))}),te.onCancellationRequested(()=>{s.removeFilter(L),O.dispose()}),{root:s.getWrapperForTestItem(W.root,L),discoveredInitialTests:W.discoveredInitialTests,onDidInvalidateTest:$.event,onDidChangeTest:O.event}}}}};i=je([Ue(0,l.IExtHostRpcService),Ue(1,h.IExtHostDocumentsAndEditors),Ue(2,p.IExtHostWorkspace)],i),e.ExtHostTesting=i;class s{constructor(T,L,B){this.actual=T,this.filterDocument=L,this.parent=B,this.getWrappedChildren()}static removeFilter(T){this.wrapperMap.delete(T)}static getWrapperForTestItem(T,L,B){let te=this.wrapperMap.get(L);if(te==null?void 0:te.has(T))return te.get(T);te||(te=new WeakMap,this.wrapperMap.set(L,te));const j=new s(T,L,B);return te.set(T,j),j}static unwrap(T){return T instanceof s?T.actual:T}get id(){return this.actual.id}get label(){return this.actual.label}get debuggable(){return this.actual.debuggable}get description(){return this.actual.description}get location(){return this.actual.location}get runnable(){return this.actual.runnable}get children(){return this.getWrappedChildren().filter(T=>T.hasNodeMatchingFilter)}get visibleParent(){return this.hasNodeMatchingFilter?this:this.parent.visibleParent}get hasNodeMatchingFilter(){var T;return this.matchesFilter===void 0&&(this.matchesFilter=!this.parent||((T=this.actual.location)===null||T===void 0?void 0:T.uri.toString())===this.filterDocument.uri.toString()||this.getWrappedChildren().some(L=>L.hasNodeMatchingFilter)),this.matchesFilter}reset(){var T;this!==this.visibleParent&&((T=this.parent)===null||T===void 0||T.reset()),this.matchesFilter=void 0}getWrappedChildren(){var T;return((T=this.actual.children)===null||T===void 0?void 0:T.map(L=>s.getWrapperForTestItem(L,this.filterDocument,this)))||[]}}e.TestItemFilteredWrapper=s,s.wrapperMap=new WeakMap;class o extends d.IncrementalChangeCollector{constructor(T,L){super();this.collection=T,this.emitter=L,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(T){this.added.add(T)}update(T){Object.assign(T.revived,g.TestItem.toPlainShallow(T.item)),this.added.has(T)||this.updated.add(T)}remove(T){if(this.added.has(T)){this.added.delete(T);return}if(this.updated.delete(T),T.parent&&this.alreadyRemoved.has(T.parent)){this.alreadyRemoved.add(T.item.extId);return}this.removed.add(T)}getChangeEvent(){const{collection:T,added:L,updated:B,removed:te}=this;return{get added(){return[...L].map(T.getPublicTestItem,T)},get updated(){return[...B].map(T.getPublicTestItem,T)},get removed(){return[...te].map(T.getPublicTestItem,T)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class r extends d.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new I.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTestItems(){return this.getAllAsTestItem([...this.roots])}getAllAsTestItem(T){let L=[];for(const B of T){const te=this.items.get(B);te&&L.push(this.getPublicTestItem(te))}return L}getMirroredTestDataById(T){return this.items.get(T)}getMirroredTestDataByReference(T){return this.items.get(T.id)}createItem(T,L){return Object.assign(Object.assign({},T),{revived:g.TestItem.toPlainShallow(T.item),depth:L?L.depth+1:0,children:new Set})}createChangeCollector(){return new o(this,this.changeEmitter)}getPublicTestItem(T){return T.wrapped||(T.wrapped=new c(T,this)),T.wrapped}}e.MirroredTestCollection=r;class c{constructor(T,L){u.set(this,void 0),a.set(this,void 0),tt(this,u,T),tt(this,a,L)}get id(){return $e(this,u).revived.id}get label(){return $e(this,u).revived.label}get description(){return $e(this,u).revived.description}get location(){return $e(this,u).revived.location}get runnable(){var T;return(T=$e(this,u).revived.runnable)!==null&&T!==void 0?T:!0}get debuggable(){var T;return(T=$e(this,u).revived.debuggable)!==null&&T!==void 0?T:!1}get children(){return $e(this,a).getAllAsTestItem($e(this,u).children)}toJSON(){return{id:this.id,label:this.label,description:this.description,location:this.location,runnable:this.runnable,debuggable:this.debuggable,children:this.children.map(L=>L.toJSON()),providerId:$e(this,u).providerId,testId:this.id}}}u=new WeakMap,a=new WeakMap;class v{constructor(){this.resources=new Map}checkout(T){var L,B;const te=T.toString(),j=(L=this.resources.get(te))!==null&&L!==void 0?L:this.createObserverData(T);return(B=j.pendingDeletion)===null||B===void 0||B.dispose(),j.observers++,{onDidChangeTest:j.tests.onDidChangeTests,onDidDiscoverInitialTests:new I.Emitter().event,get tests(){return j.tests.rootTestItems},dispose:(0,D.once)(()=>{--j.observers||(j.pendingDeletion=this.eventuallyDispose(T))})}}getMirroredTestDataByReference(T){for(const{tests:L}of this.resources.values()){const B=L.getMirroredTestDataByReference(T);if(B)return B}}eventuallyDispose(T){return(0,y.disposableTimeout)(()=>this.unlisten(T),10*1e3)}createObserverData(T){const L=new r,B=this.listen(T,j=>L.apply(j)),te={observers:0,tests:L,listener:B};return this.resources.set(T.toString(),te),te}unlisten(T){var L;const B=T.toString(),te=this.resources.get(B);te&&(te.observers=-1,(L=te.pendingDeletion)===null||L===void 0||L.dispose(),te.listener.dispose(),this.resources.delete(B))}}class C extends v{constructor(T){super();this.proxy=T,this.diffListeners=new Map}acceptDiff(T,L){var B;(B=this.diffListeners.get(T.toString()))===null||B===void 0||B(L)}listen(T,L){this.proxy.$subscribeToDiffs(0,T);const B=T.toString();return this.diffListeners.set(B,L),new S.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(0,T),this.diffListeners.delete(B)})}}class m extends v{constructor(T,L){super();this.proxy=T,this.documents=L,this.diffListeners=new Map}acceptDiff(T,L){var B;(B=this.diffListeners.get(T.toString()))===null||B===void 0||B(L)}listen(T,L){if(!this.documents.getDocument(T))return new S.Disposable(()=>{});const te=T.toString();return this.diffListeners.set(te,L),this.proxy.$subscribeToDiffs(1,T),new S.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(1,T),this.diffListeners.delete(te)})}}}),define(ge[258],pe([0,1,12,53,34,76,23,11,7,24,9,15,2,138,170,83,60,212,256,32]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let u=class{constructor(C,m,f,T){this.configurationService=C,this.workspaceContextService=m,this.editorGroupsService=f,this.pathService=T}text(C,m,f={}){C=this.getContentPattern(C,f);const T=this.configurationService.getValue(),L=m&&m.some(te=>!this.configurationService.getValue({resource:te}).search.useRipgrep),B=this.commonQuery(m==null?void 0:m.map(S.toWorkspaceFolder),f);return Object.assign(Object.assign({},B),{type:2,contentPattern:C,previewOptions:f.previewOptions,maxFileSize:f.maxFileSize,usePCRE2:T.search.usePCRE2||L||!1,beforeContext:f.beforeContext,afterContext:f.afterContext,userDisabledExcludesAndIgnoreFiles:f.disregardExcludeSettings&&f.disregardIgnoreFiles})}getContentPattern(C,m){const f=this.configurationService.getValue();C.isRegExp&&(C.pattern=C.pattern.replace(/\r?\n/g,"\\n"));const T=Object.assign(Object.assign({},C),{wordSeparators:f.editor.wordSeparators});return this.isCaseSensitive(C,m)&&(T.isCaseSensitive=!0),this.isMultiline(C)&&(T.isMultiline=!0),T}file(C,m={}){const f=this.commonQuery(C,m);return Object.assign(Object.assign({},f),{type:1,filePattern:m.filePattern?m.filePattern.trim():m.filePattern,exists:m.exists,sortByScore:m.sortByScore,cacheKey:m.cacheKey})}handleIncludeExclude(C,m){return C?(C=Array.isArray(C)?C.map(o):o(C),m?this.parseSearchPaths(C):{pattern:t(...Array.isArray(C)?C:[C])}):{}}commonQuery(C=[],m={}){const f=this.handleIncludeExclude(m.includePattern,m.expandPatterns),T=this.handleIncludeExclude(m.excludePattern,m.expandPatterns),L=C.length>1,B=(f.searchPaths&&f.searchPaths.length?f.searchPaths.map(W=>this.getFolderQueryForSearchPath(W,m,T)):C.map(W=>this.getFolderQueryForRoot(W,m,T,L))).filter(W=>!!W),te={_reason:m._reason,folderQueries:B,usingSearchPaths:!!(f.searchPaths&&f.searchPaths.length),extraFileResources:m.extraFileResources,excludePattern:T.pattern,includePattern:f.pattern,onlyOpenEditors:m.onlyOpenEditors,maxResults:m.maxResults};if(m.onlyOpenEditors){const $=_.coalesce(_.flatten(this.editorGroupsService.groups.map(U=>U.editors.map(F=>F.resource)))).filter(U=>(0,d.pathIncludedInQuery)(te,U.fsPath)),O=this.commonQueryFromFileList($);return Object.assign(Object.assign({},te),O)}const j=m.extraFileResources&&m.extraFileResources.filter(W=>(0,d.pathIncludedInQuery)(te,W.fsPath));return te.extraFileResources=j&&j.length?j:void 0,te}commonQueryFromFileList(C){const m=[],f=new D.ResourceMap,T={};let L=!1;return C.forEach(B=>{var te,j;if(B.scheme!==P.Schemas.walkThrough)if((0,n.isAbsolutePath)(B)){const $=(j=(te=this.workspaceContextService.getWorkspaceFolder(B))===null||te===void 0?void 0:te.uri)!==null&&j!==void 0?j:B.with({path:E.dirname(B.fsPath)});let O=f.get($);O||(L=!0,O={folder:$,includePattern:{}},m.push(O),f.set($,O));const U=E.relative($.fsPath,B.fsPath);(0,k.assertIsDefined)(O.includePattern)[U.replace(/\\/g,"/")]=!0}else B.fsPath&&(L=!0,T[B.fsPath]=!0)}),{folderQueries:m,includePattern:T,usingSearchPaths:!0,excludePattern:L?void 0:{"**/*":!0}}}isCaseSensitive(C,m){if(m.isSmartCase){if(C.isRegExp){if(A.containsUppercaseCharacter(C.pattern,!0))return!0}else if(A.containsUppercaseCharacter(C.pattern))return!0}return!!C.isCaseSensitive}isMultiline(C){return C.isMultiline||C.isRegExp&&(0,h.isMultilineRegexSource)(C.pattern)||C.pattern.indexOf(`
`)>=0?!0:!!C.isMultiline}parseSearchPaths(C){const m=O=>E.isAbsolute(O)||/^\.\.?([\/\\]|$)/.test(O),T=(Array.isArray(C)?C:i(C)).map(O=>{const U=this.pathService.resolvedUserHome;return U?(0,I.untildify)(O,U.scheme===P.Schemas.file?U.fsPath:U.path):O}),L=y.groupBy(T,O=>m(O)?"searchPaths":"exprSegments"),B=(L.exprSegments||[]).map(O=>A.rtrim(O,"/")).map(O=>A.rtrim(O,"\\")).map(O=>(O[0]==="."&&(O="*"+O),s(O))),te={},j=this.expandSearchPathPatterns(L.searchPaths||[]);j&&j.length&&(te.searchPaths=j);const W=_.flatten(B),$=t(...W);return $&&(te.pattern=$),te}getExcludesForFolder(C,m){return m.disregardExcludeSettings?void 0:(0,d.getExcludes)(C,!m.disregardSearchExcludeSettings)}expandSearchPathPatterns(C){if(!C||!C.length)return[];const m=_.flatten(C.map(T=>{let{pathPortion:L,globPortion:B}=a(T);B&&(B=r(B));const te=this.expandOneSearchPath(L);return _.flatten(te.map(j=>this.resolveOneSearchPathPattern(j,B)))})),f=new Map;return m.forEach(T=>{const L=T.searchPath.toString(),B=f.get(L);B?T.pattern&&(B.pattern=B.pattern||{},B.pattern[T.pattern]=!0):f.set(L,{searchPath:T.searchPath,pattern:T.pattern?t(T.pattern):void 0})}),Array.from(f.values())}expandOneSearchPath(C){if(E.isAbsolute(C)){const m=this.workspaceContextService.getWorkspace().folders;return m[0]&&m[0].uri.scheme!==P.Schemas.file?[{searchPath:m[0].uri.with({path:C})}]:[{searchPath:b.URI.file(E.normalize(C))}]}if(this.workspaceContextService.getWorkbenchState()===2){const m=this.workspaceContextService.getWorkspace().folders[0].uri;if(C=o(C),C.startsWith("../")||C===".."){const T=E.posix.resolve(m.path,C);return[{searchPath:m.with({path:T})}]}const f=r(C);return[{searchPath:m,pattern:f}]}else{if(C==="./"||C===".\\")return[];{const m=C.match(/\.[\/\\]([^\/\\]+)(?:[\/\\](.+))?/);if(m){const f=m[1],T=this.workspaceContextService.getWorkspace().folders.filter(L=>L.name===f);if(T.length)return T.map(L=>{const B=m[2];return{searchPath:L.uri,pattern:B&&r(B)}});{const L=l.localize(0,null,f);throw new Error(L)}}}}return[]}resolveOneSearchPathPattern(C,m){const f=C.pattern&&m?`${C.pattern}/${m}`:C.pattern||m,T=[{searchPath:C.searchPath,pattern:f}];return f&&!f.endsWith("**")&&T.push({searchPath:C.searchPath,pattern:f+"/**"}),T}getFolderQueryForSearchPath(C,m,f){const T=this.getFolderQueryForRoot((0,S.toWorkspaceFolder)(C.searchPath),m,f,!1);return T?Object.assign(Object.assign({},T),{includePattern:C.pattern}):null}getFolderQueryForRoot(C,m,f,T){let L;const B=b.URI.isUri(C)?C:C.uri;if(f.searchPaths){const O=f.searchPaths.filter(U=>(0,n.isEqual)(U.searchPath,B))[0];if(O&&!O.pattern)return null;O&&(L=O.pattern)}const te=this.configurationService.getValue({resource:B}),j=this.getExcludesForFolder(te,m),W=Object.assign(Object.assign({},j||{}),L||{}),$=b.URI.isUri(C)?(0,n.basename)(C):C.name;return{folder:B,folderName:T?$:void 0,excludePattern:Object.keys(W).length>0?W:void 0,fileEncoding:te.files&&te.files.encoding,disregardIgnoreFiles:typeof m.disregardIgnoreFiles=="boolean"?m.disregardIgnoreFiles:!te.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof m.disregardGlobalIgnoreFiles=="boolean"?m.disregardGlobalIgnoreFiles:!te.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof m.ignoreSymlinks=="boolean"?m.ignoreSymlinks:!te.search.followSymlinks}}};u=je([Ue(0,g.IConfigurationService),Ue(1,S.IWorkspaceContextService),Ue(2,p.IEditorGroupsService),Ue(3,w.IPathService)],u),e.QueryBuilder=u;function a(v){const C=v.match(/[\*\{\}\(\)\[\]\?]/);if(C){const m=C.index,f=v.substr(0,m).match(/[/|\\][^/\\]*$/);if(f){let T=v.substr(0,f.index);return T.match(/[/\\]/)||(T+="/"),{pathPortion:T,globPortion:v.substr((f.index||0)+1)}}}return{pathPortion:v}}function t(...v){return v.length?v.reduce((C,m)=>(C[m]=!0,C),Object.create(null)):void 0}function i(v){return R.splitGlobAware(v,",").map(C=>C.trim()).filter(C=>!!C.length)}function s(v){return[`**/${v}/**`,`**/${v}`].map(m=>m.replace(/\*\*\/\*\*/g,"**"))}function o(v){return v.replace(/\\/g,"/")}function r(v){return o(v).replace(/^\.\//,"").replace(/\/+$/g,"")}function c(v,C){v=_.distinct(v,T=>T.toString());const m=[],f=C.getWorkspace();return v&&v.forEach(T=>{let L;if(C.getWorkbenchState()===2)L=(0,n.relativePath)(f.folders[0].uri,T),L&&L!=="."&&(L="./"+L);else{const B=C.getWorkspaceFolder(T);if(B){const te=B.name;if(f.folders.filter(W=>W.name===te).length===1){const W=(0,n.relativePath)(B.uri,T);W===""?L=`./${B.name}`:L=`./${B.name}/${W}`}else L=T.fsPath}}L&&m.push(L)}),m}e.resolveResourcesForSearchIncludes=c}),define(ge[259],pe([0,1,24,2,21,18,4,258,32,60]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const A=7e3;function k(g,S){const p=S.activationEvents;if(!p)return Promise.resolve(void 0);const w=[],d=[];for(const o of p)if(/^workspaceContains:/.test(o)){const r=o.substr("workspaceContains:".length);r.indexOf("*")>=0||r.indexOf("?")>=0||g.forceUsingSearch?d.push(r):w.push(r)}if(w.length===0&&d.length===0)return Promise.resolve(void 0);let u;const a=new Promise((o,r)=>{u=o}),t=o=>u({activationEvent:o}),i=Promise.all(w.map(o=>b(g,o,t))).then(()=>{}),s=h(g,S.identifier,d,t);return Promise.all([i,s]).then(()=>{u(void 0)}),a}e.checkActivateWorkspaceContainsExtension=k;async function b(g,S,p){for(const w of g.folders)if(await g.exists(_.joinPath(y.URI.revive(w),S))){p(`workspaceContains:${S}`);return}}async function h(g,S,p,w){if(p.length===0)return Promise.resolve(void 0);const d=new R.CancellationTokenSource,u=g.checkExists(g.folders,p,d.token),a=setTimeout(async()=>{d.cancel(),w(`workspaceContainsTimeout:${p.join(",")}`)},A);let t=!1;try{t=await u}catch(i){I.isPromiseCanceledError(i)||I.onUnexpectedError(i)}d.dispose(),clearTimeout(a),t&&w(`workspaceContains:${p.join(",")}`)}function l(g,S,p,w){const d=g.get(D.IInstantiationService),u=g.get(E.ISearchService),t=d.createInstance(P.QueryBuilder).file(S.map(i=>(0,n.toWorkspaceFolder)(y.URI.revive(i))),{_reason:"checkExists",includePattern:p,exists:!0});return u.fileSearch(t,w).then(i=>!!i.limitHit,i=>I.isPromiseCanceledError(i)?!1:Promise.reject(i))}e.checkGlobFileExists=l});var tt=this&&this.__classPrivateFieldSet||function(J,e,_){if(!e.has(J))throw new TypeError("attempted to set private field on non-instance");return e.set(J,_),_},$e=this&&this.__classPrivateFieldGet||function(J,e){if(!e.has(J))throw new TypeError("attempted to get private field on non-instance");return e.get(J)};define(ge[42],pe([0,1,159,7,67,24,19,6,23,2,13,5,36,223,88,33,41,221,18,29,11,26,193,8,113,4,27,89,14,81,50,35,3,259,86,194]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w,d,u,a,t,i,s,o,r,c,v,C,m,f,T,L,B,te){"use strict";var j,W,$;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,o.createDecorator)("IHostUtils");let O=class Ln extends P.Disposable{constructor(M,V,q,X,fe,_e,Le,Ie,Fe,z){super();this._onDidChangeRemoteConnectionData=this._register(new T.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=V,this._extHostContext=q,this._initData=Le,this._extHostWorkspace=X,this._extHostConfiguration=fe,this._logService=_e,this._extHostTunnelService=Fe,this._extHostTerminalService=z,this._disposables=new P.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(k.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(k.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(k.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new D.Barrier,this._readyToStartExtensionHost=new D.Barrier,this._readyToRunExtensions=new D.Barrier,this._registry=new p.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new l.ExtHostStorage(this._extHostContext),this._secretState=new B.ExtHostSecretState(this._extHostContext),this._storagePath=Ie,this._instaService=M.createChild(new C.ServiceCollection([l.IExtHostStorage,this._storage],[B.IExtHostSecretState,this._secretState]));const Q=new Set;this._initData.hostExtensions.forEach(ee=>Q.add(d.ExtensionIdentifier.toKey(ee))),this._activator=new h.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(ee,ae)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(ee,ae)},actualActivateExtension:async(ee,ae)=>{if(Q.has(d.ExtensionIdentifier.toKey(ee)))return await this._mainThreadExtensionsProxy.$activateExtension(ee,ae),new h.HostExtension;const ve=this._registry.getExtensionDescription(ee);return this._activateExtension(ve,ae)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),R.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(M){w.onUnexpectedError(M)}}async deactivateAll(){let M=[];try{M=this._registry.getAllExtensionDescriptions().map(fe=>fe.identifier).filter(fe=>this.isActivated(fe)).map(fe=>this._deactivate(fe))}catch(V){}await Promise.all(M)}isActivated(M){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(M):!1}_activateByEvent(M,V){return this._activator.activateByEvent(M,V)}_activateById(M,V){return this._activator.activateById(M,V)}activateByIdWithErrors(M,V){return this._activateById(M,V).then(()=>{const q=this._activator.getActivatedExtension(M);if(q.activationFailed)return Promise.reject(q.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(M=>this._registry)}getExtensionExports(M){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(M).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const M=E.TernarySearchTree.forPaths(),V=this._registry.getAllExtensionDescriptions().map(q=>{if(!!this._getEntryPoint(q))return this._hostUtils.realpath(q.extensionLocation.fsPath).then(X=>M.set(n.URI.file(X).fsPath,q))});this._extensionPathIndex=Promise.all(V).then(()=>M)}return this._extensionPathIndex}_deactivate(M){let V=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(M))return V;const q=this._activator.getActivatedExtension(M);if(!q)return V;try{typeof q.module.deactivate=="function"&&(V=Promise.resolve(q.module.deactivate()).then(void 0,X=>Promise.resolve(void 0)))}catch(X){}try{(0,P.dispose)(q.subscriptions)}catch(X){}return V}async _activateExtension(M,V){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(M.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(M.identifier),this._doActivateExtension(M,V).then(q=>{const X=q.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(M.identifier,X.codeLoadingTime,X.activateCallTime,X.activateResolvedTime,V),this._logExtensionActivationTimes(M,V,"success",X),q},q=>{throw this._logExtensionActivationTimes(M,V,"failure"),q})}_logExtensionActivationTimes(M,V,q,X){const fe=U(M,V);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",Object.assign(Object.assign(Object.assign({},fe),X||{}),{outcome:q}))}_doActivateExtension(M,V){const q=U(M,V);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",q);const X=this._getEntryPoint(M);if(!X)return Promise.resolve(new h.EmptyExtension(h.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${M.identifier.value} ${JSON.stringify(V)}`),this._logService.flush();const fe=new h.ExtensionActivationTimesBuilder(V.startup);return Promise.all([this._loadCommonJSModule(M.identifier,(0,I.joinPath)(M.extensionLocation,X),fe),this._loadExtensionContext(M)]).then(_e=>(R.mark(`code/extHost/willActivateExtension/${M.identifier.value}`),Ln._callActivate(this._logService,M.identifier,_e[0],_e[1],fe))).then(_e=>(R.mark(`code/extHost/didActivateExtension/${M.identifier.value}`),_e))}_loadExtensionContext(M){const V=new t.ExtensionGlobalMemento(M,this._storage),q=new t.ExtensionMemento(M.identifier.value,!1,this._storage),X=new te.ExtensionSecrets(M,this._secretState),fe=M.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?i.ExtensionMode.Test:i.ExtensionMode.Development:i.ExtensionMode.Production,_e=this._initData.remote.isRemote?i.ExtensionKind.Workspace:i.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${M.identifier.value}`),Promise.all([V.whenReady,q.whenReady,this._storagePath.whenReady]).then(()=>{const Le=this;let Ie;return Object.freeze({globalState:V,workspaceState:q,secrets:X,subscriptions:[],get extensionUri(){return M.extensionLocation},get extensionPath(){return M.extensionLocation.fsPath},asAbsolutePath(Fe){return y.join(M.extensionLocation.fsPath,Fe)},get storagePath(){var Fe;return(Fe=Le._storagePath.workspaceValue(M))===null||Fe===void 0?void 0:Fe.fsPath},get globalStoragePath(){return Le._storagePath.globalValue(M).fsPath},get logPath(){return y.join(Le._initData.logsLocation.fsPath,M.identifier.value)},get logUri(){return n.URI.joinPath(Le._initData.logsLocation,M.identifier.value)},get storageUri(){return Le._storagePath.workspaceValue(M)},get globalStorageUri(){return Le._storagePath.globalValue(M)},get extensionMode(){return fe},get extension(){return(0,S.checkProposedApiEnabled)(M),Ie===void 0&&(Ie=new F(this,M.identifier,M,_e)),Ie},get extensionRuntime(){return(0,S.checkProposedApiEnabled)(M),Le.extensionRuntime},get environmentVariableCollection(){return Le._extHostTerminalService.getEnvironmentVariableCollection(M)}})})}static _callActivate(M,V,q,X,fe){return q=q||{activate:void 0,deactivate:void 0},this._callActivateOptional(M,V,q,X,fe).then(_e=>new h.ActivatedExtension(!1,null,fe.build(),q,_e,X.subscriptions))}static _callActivateOptional(M,V,q,X,fe){if(typeof q.activate=="function")try{fe.activateCallStart(),M.trace(`ExtensionService#_callActivateOptional ${V.value}`);const _e=typeof global=="object"?global:self,Le=q.activate.apply(_e,[X]);return fe.activateCallStop(),fe.activateResolveStart(),Promise.resolve(Le).then(Ie=>(fe.activateResolveStop(),Ie))}catch(_e){return Promise.reject(_e)}else return Promise.resolve(q)}_activateOneStartupFinished(M,V){this._activateById(M.identifier,{startup:!1,extensionId:M.identifier,activationEvent:V}).then(void 0,q=>{this._logService.error(q)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(R.getMarks());for(const M of this._registry.getAllExtensionDescriptions())if(M.activationEvents)for(const V of M.activationEvents)V==="onStartupFinished"&&this._activateOneStartupFinished(M,V)}_handleEagerExtensions(){const M=this._activateByEvent("*",!0).then(void 0,fe=>{this._logService.error(fe)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(fe=>this._handleWorkspaceContainsEagerExtensions(fe.added)));const V=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],q=this._handleWorkspaceContainsEagerExtensions(V),X=Promise.all([M,q]).then(()=>{});return Promise.race([X,(0,D.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),X}_handleWorkspaceContainsEagerExtensions(M){return M.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(V=>this._handleWorkspaceContainsEagerExtension(M,V))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(M,V){if(!this.isActivated(V.identifier)){const q=!this._initData.remote.isRemote&&!!this._initData.remote.authority,X={folders:M.map(_e=>_e.uri),forceUsingSearch:q,exists:_e=>this._hostUtils.exists(_e.fsPath),checkExists:(_e,Le,Ie)=>this._mainThreadWorkspaceProxy.$checkExists(_e,Le,Ie)},fe=await(0,L.checkActivateWorkspaceContainsExtension)(X,V);if(!!fe)return this._activateById(V.identifier,{startup:!0,extensionId:V.identifier,activationEvent:fe.activationEvent}).then(void 0,_e=>this._logService.error(_e))}}$extensionTestsExecute(){return this._doHandleExtensionTests().then(void 0,M=>(console.error(M),Promise.reject(M)))}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:M,extensionTestsLocationURI:V}=this._initData.environment;if(!M||!V||V.scheme!==u.Schemas.file)throw new Error(_.localize(0,null));const q=(0,I.originalFSPath)(V),X=await this._loadCommonJSModule(null,n.URI.file(q),new h.ExtensionActivationTimesBuilder(!1));if(!X||typeof X.run!="function")throw new Error(_.localize(1,null,q));return new Promise((fe,_e)=>{const Le=(Fe,z)=>{Fe?_e(Fe):fe(typeof z=="number"&&z>0?1:0)},Ie=X.run(q,Le);Ie&&Ie.then&&Ie.then(()=>{fe(0)}).catch(Fe=>{_e(Fe.toString())})})}async $extensionTestsExit(M){this._logService.info(`extension host terminating: test runner requested exit with code ${M}`),this._logService.info(`exiting with code ${M}`),this._logService.flush(),this._hostUtils.exit(M)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(M,V){return this._resolvers[M]=V,(0,P.toDisposable)(()=>{delete this._resolvers[M]})}async $resolveAuthority(M,V){const q=M.indexOf("+");if(q===-1)throw new Error("Not an authority that can be resolved!");const X=M.substr(0,q);await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${X}`,!1);const fe=this._resolvers[X];if(!fe)return{type:"error",error:{code:s.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${X}.`,detail:void 0}};try{R.mark(`code/extHost/willResolveAuthority/${X}`);const _e=await fe.resolve(M,{resolveAttempt:V});R.mark(`code/extHost/didResolveAuthorityOK/${X}`),this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(fe));const Le={authority:M,host:_e.host,port:_e.port,connectionToken:_e.connectionToken},Ie={extensionHostEnv:_e.extensionHostEnv};return{type:"ok",value:{authority:Le,options:Ie,tunnelInformation:{environmentTunnels:_e.environmentTunnels}}}}catch(_e){if(R.mark(`code/extHost/didResolveAuthorityError/${X}`),_e instanceof i.RemoteAuthorityResolverError)return{type:"error",error:{code:_e._code,message:_e._message,detail:_e._detail}};throw _e}}$startExtensionHost(M){return this._registry.keepOnly(M),this._startExtensionHost()}$activateByEvent(M,V){return V===1?this._activateByEvent(M,!1):this._readyToRunExtensions.wait().then(q=>this._activateByEvent(M,!1))}async $activate(M,V){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(M)?(await this._activateById(M,V),!0):!1}async $deltaExtensions(M,V){M.forEach(X=>X.extensionLocation=n.URI.revive(X.extensionLocation));const q=await this.getExtensionPathIndex();return await Promise.all(V.map(async X=>{const fe=this._registry.getExtensionDescription(X);if(!!fe){const _e=await this._hostUtils.realpath(fe.extensionLocation.fsPath);q.delete(n.URI.file(_e).fsPath)}})),await Promise.all(M.map(async X=>{const fe=await this._hostUtils.realpath(X.extensionLocation.fsPath);q.set(n.URI.file(fe).fsPath,X)})),this._registry.deltaExtensions(M,V),Promise.resolve(void 0)}async $test_latency(M){return M}async $test_up(M){return M.byteLength}async $test_down(M){let V=a.VSBuffer.alloc(M),q=Math.random()%256;for(let X=0;X<M;X++)V.writeUInt8(q,X);return V}async $updateRemoteConnectionData(M){this._remoteConnectionData=M,this._onDidChangeRemoteConnectionData.fire()}};O=je([Ue(0,o.IInstantiationService),Ue(1,e.IHostUtils),Ue(2,v.IExtHostRpcService),Ue(3,g.IExtHostWorkspace),Ue(4,b.IExtHostConfiguration),Ue(5,A.ILogService),Ue(6,r.IExtHostInitDataService),Ue(7,c.IExtensionStoragePaths),Ue(8,m.IExtHostTunnelService),Ue(9,f.IExtHostTerminalService)],O),e.AbstractExtHostExtensionService=O;function U(N,M){return{id:N.identifier.value,name:N.name,extensionVersion:N.version,publisherDisplayName:N.publisher,activationEvents:N.activationEvents?N.activationEvents.join(","):null,isBuiltin:N.isBuiltin,reason:M.activationEvent,reasonId:M.extensionId.value}}e.IExtHostExtensionService=(0,o.createDecorator)("IExtHostExtensionService");class F{constructor(M,V,q,X){j.set(this,void 0),W.set(this,void 0),$.set(this,void 0),tt(this,j,M),tt(this,W,V),tt(this,$,q.identifier),this.id=q.identifier.value,this.extensionUri=q.extensionLocation,this.extensionPath=y.normalize((0,I.originalFSPath)(q.extensionLocation)),this.packageJSON=q,this.extensionKind=X}get isActive(){return $e(this,j).isActivated($e(this,$))}get exports(){if(this.packageJSON.api!=="none")return $e(this,j).getExtensionExports($e(this,$))}activate(){return $e(this,j).activateByIdWithErrors($e(this,$),{startup:!1,extensionId:$e(this,W),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=F,j=new WeakMap,W=new WeakMap,$=new WeakMap}),define(ge[45],pe([0,1,7,2,3,19,5,8,119,33,42,38,211,36,200,14,4,15,30]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,S.createDecorator)("IExtHostDebugService");let d=class{constructor(c,v,C,m,f){this._workspaceService=v,this._extensionService=C,this._editorsService=m,this._configurationService=f,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new R.Emitter,this._onDidTerminateDebugSession=new R.Emitter,this._onDidChangeActiveDebugSession=new R.Emitter,this._onDidReceiveDebugSessionCustomEvent=new R.Emitter,this._debugServiceProxy=c.getProxy(D.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new R.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new a(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(T=>{T.onDidChange(L=>{this.registerAllDebugTypes(T)}),this.registerAllDebugTypes(T)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(c,v){const C=c;if(typeof C.sourceReference=="number"&&C.sourceReference>0){let m=`debug:${encodeURIComponent(C.path||"")}`,f="?";return v&&(m+=`${f}session=${encodeURIComponent(v.id)}`,f="&"),m+=`${f}ref=${C.sourceReference}`,y.URI.parse(m)}else{if(C.path)return y.URI.file(C.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(c){const v=[];for(const C of c.getAllExtensionDescriptions())if(C.contributes){const m=C.contributes.debuggers;if(m&&m.length>0)for(const f of m)(0,l.isDebuggerMainContribution)(f)&&v.push(f.type)}this._debugServiceProxy.$registerDebugTypes(v)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const c=[];return this._breakpoints.forEach(v=>c.push(v)),c}addBreakpoints(c){this.startBreakpoints();const v=c.filter(f=>{const T=f.id;return this._breakpoints.has(T)?!1:(this._breakpoints.set(T,f),!0)});this.fireBreakpointChanges(v,[],[]);const C=[],m=new Map;for(const f of v)if(f instanceof P.SourceBreakpoint){let T=m.get(f.location.uri.toString());T||(T={type:"sourceMulti",uri:f.location.uri,lines:[]},m.set(f.location.uri.toString(),T),C.push(T)),T.lines.push({id:f.id,enabled:f.enabled,condition:f.condition,hitCondition:f.hitCondition,logMessage:f.logMessage,line:f.location.range.start.line,character:f.location.range.start.character})}else f instanceof P.FunctionBreakpoint&&C.push({type:"function",id:f.id,enabled:f.enabled,hitCondition:f.hitCondition,logMessage:f.logMessage,condition:f.condition,functionName:f.functionName});return this._debugServiceProxy.$registerBreakpoints(C)}removeBreakpoints(c){this.startBreakpoints();const v=c.filter(T=>this._breakpoints.delete(T.id));this.fireBreakpointChanges([],v,[]);const C=v.filter(T=>T instanceof P.SourceBreakpoint).map(T=>T.id),m=v.filter(T=>T instanceof P.FunctionBreakpoint).map(T=>T.id),f=v.filter(T=>T instanceof P.DataBreakpoint).map(T=>T.id);return this._debugServiceProxy.$unregisterBreakpoints(C,m,f)}startDebugging(c,v,C){return this._debugServiceProxy.$startDebugging(c?c.uri:void 0,v,{parentSessionID:C.parentSession?C.parentSession.id:void 0,repl:C.consoleMode===P.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:C.noDebug,compact:C.compact})}stopDebugging(c){return this._debugServiceProxy.$stopDebugging(c?c.id:void 0)}registerDebugConfigurationProvider(c,v,C){if(!v)return new P.Disposable(()=>{});const m=this._configProviderHandleCounter++;return this._configProviders.push({type:c,handle:m,provider:v}),this._debugServiceProxy.$registerDebugConfigurationProvider(c,C,!!v.provideDebugConfigurations,!!v.resolveDebugConfiguration,!!v.resolveDebugConfigurationWithSubstitutedVariables,m),new P.Disposable(()=>{this._configProviders=this._configProviders.filter(f=>f.provider!==v),this._debugServiceProxy.$unregisterDebugConfigurationProvider(m)})}registerDebugAdapterDescriptorFactory(c,v,C){if(!C)return new P.Disposable(()=>{});if(!this.definesDebugType(c,v))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${v}' debugger.`);if(this.getAdapterDescriptorFactoryByType(v))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const m=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:v,handle:m,factory:C}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(v,m),new P.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(f=>f.factory!==C),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(m)})}registerDebugAdapterTrackerFactory(c,v){if(!v)return new P.Disposable(()=>{});const C=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:c,handle:C,factory:v}),new P.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(m=>m.factory!==v)})}async $runInTerminal(c,v){return Promise.resolve(void 0)}async $substituteVariables(c,v){if(!this._variableResolver){const[f,T]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(f||[],this._editorsService,T)}let C;const m=await this.getFolder(c);return m&&(C={uri:m.uri,name:m.name,index:m.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAny(C,v)}createDebugAdapter(c,v){if(c.type==="implementation")return new s(c.implementation)}createSignService(){}async $startDASession(c,v){const C=this,m=await this.getSession(v);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(m.type),m).then(f=>{if(!f)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${m.type}' (extension might have failed to activate)`);const T=this.convertToDto(f),L=this.createDebugAdapter(T,m);if(!L)throw new Error(`Couldn't create a debug adapter for type '${m.type}'.`);const B=L;return this._debugAdapters.set(c,B),this.getDebugAdapterTrackers(m).then(te=>(te&&this._debugAdaptersTrackers.set(c,te),B.onMessage(async j=>{if(j.type==="request"&&j.command==="handshake"){const W=j,$={type:"response",seq:0,command:W.command,request_seq:W.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const O=await this._signService.sign(W.arguments.value);$.body={signature:O},B.sendResponse($)}else throw new Error("no signer")}catch(O){$.success=!1,$.message=O.message,B.sendResponse($)}}else te&&te.onDidSendMessage&&te.onDidSendMessage(j),j=(0,l.convertToVSCPaths)(j,!0),C._debugServiceProxy.$acceptDAMessage(c,j)}),B.onError(j=>{te&&te.onError&&te.onError(j),this._debugServiceProxy.$acceptDAError(c,j.name,j.message,j.stack)}),B.onExit(j=>{te&&te.onExit&&te.onExit((0,p.withNullAsUndefined)(j),void 0),this._debugServiceProxy.$acceptDAExit(c,(0,p.withNullAsUndefined)(j),void 0)}),te&&te.onWillStartSession&&te.onWillStartSession(),B.startSession()))})}$sendDAMessage(c,v){v=(0,l.convertToDAPaths)(v,!1);const C=this._debugAdaptersTrackers.get(c);C&&C.onWillReceiveMessage&&C.onWillReceiveMessage(v);const m=this._debugAdapters.get(c);m&&m.sendMessage(v)}$stopDASession(c){const v=this._debugAdaptersTrackers.get(c);this._debugAdaptersTrackers.delete(c),v&&v.onWillStopSession&&v.onWillStopSession();const C=this._debugAdapters.get(c);return this._debugAdapters.delete(c),C?C.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(c){const v=[],C=[],m=[];if(c.added)for(const f of c.added){const T=f.id;if(T&&!this._breakpoints.has(T)){let L;if(f.type==="function")L=new P.FunctionBreakpoint(f.functionName,f.enabled,f.condition,f.hitCondition,f.logMessage);else if(f.type==="data")L=new P.DataBreakpoint(f.label,f.dataId,f.canPersist,f.enabled,f.hitCondition,f.condition,f.logMessage);else{const B=y.URI.revive(f.uri);L=new P.SourceBreakpoint(new P.Location(B,new P.Position(f.line,f.character)),f.enabled,f.condition,f.hitCondition,f.logMessage)}L._id=T,this._breakpoints.set(T,L),v.push(L)}}if(c.removed)for(const f of c.removed){const T=this._breakpoints.get(f);T&&(this._breakpoints.delete(f),C.push(T))}if(c.changed){for(const f of c.changed)if(f.id){const T=this._breakpoints.get(f.id);if(T){if(T instanceof P.FunctionBreakpoint&&f.type==="function"){const L=T;L.enabled=f.enabled,L.condition=f.condition,L.hitCondition=f.hitCondition,L.logMessage=f.logMessage,L.functionName=f.functionName}else if(T instanceof P.SourceBreakpoint&&f.type==="source"){const L=T;L.enabled=f.enabled,L.condition=f.condition,L.hitCondition=f.hitCondition,L.logMessage=f.logMessage,L.location=new P.Location(y.URI.revive(f.uri),new P.Position(f.line,f.character))}m.push(T)}}}this.fireBreakpointChanges(v,C,m)}$provideDebugConfigurations(c,v,C){return(0,I.asPromise)(async()=>{const m=this.getConfigProviderByHandle(c);if(!m)throw new Error("no DebugConfigurationProvider found");if(!m.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const f=await this.getFolder(v);return m.provideDebugConfigurations(f,C)}).then(m=>{if(!m)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return m})}$resolveDebugConfiguration(c,v,C,m){return(0,I.asPromise)(async()=>{const f=this.getConfigProviderByHandle(c);if(!f)throw new Error("no DebugConfigurationProvider found");if(!f.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const T=await this.getFolder(v);return f.resolveDebugConfiguration(T,C,m)})}$resolveDebugConfigurationWithSubstitutedVariables(c,v,C,m){return(0,I.asPromise)(async()=>{const f=this.getConfigProviderByHandle(c);if(!f)throw new Error("no DebugConfigurationProvider found");if(!f.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const T=await this.getFolder(v);return f.resolveDebugConfigurationWithSubstitutedVariables(T,C,m)})}async $provideDebugAdapter(c,v){const C=this.getAdapterDescriptorFactoryByHandle(c);if(!C)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const m=await this.getSession(v);return this.getAdapterDescriptor(C,m).then(f=>{if(!f)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${m.type}'`);return this.convertToDto(f)})}async $acceptDebugSessionStarted(c){const v=await this.getSession(c);this._onDidStartDebugSession.fire(v)}async $acceptDebugSessionTerminated(c){const v=await this.getSession(c);v&&(this._onDidTerminateDebugSession.fire(v),this._debugSessions.delete(v.id))}async $acceptDebugSessionActiveChanged(c){this._activeDebugSession=c?await this.getSession(c):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(c,v){const C=await this.getSession(c);C&&C._acceptNameChanged(v)}async $acceptDebugSessionCustomEvent(c,v){const m={session:await this.getSession(c),event:v.event,body:v.body};this._onDidReceiveDebugSessionCustomEvent.fire(m)}convertToDto(c){if(c instanceof P.DebugAdapterExecutable)return{type:"executable",command:c.command,args:c.args,options:c.options};if(c instanceof P.DebugAdapterServer)return{type:"server",port:c.port,host:c.host};if(c instanceof P.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:c.path};if(c instanceof P.DebugAdapterInlineImplementation)return{type:"implementation",implementation:c.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(c){const v=this._adapterFactories.filter(C=>C.type===c);if(v.length>0)return v[0].factory}getAdapterDescriptorFactoryByHandle(c){const v=this._adapterFactories.filter(C=>C.handle===c);if(v.length>0)return v[0].factory}getConfigProviderByHandle(c){const v=this._configProviders.filter(C=>C.handle===c);if(v.length>0)return v[0].provider}definesDebugType(c,v){if(c.contributes){const C=c.contributes.debuggers;if(C&&C.length>0){for(const m of C)if(m.label&&m.type&&m.type===v)return!0}}return!1}getDebugAdapterTrackers(c){const C=c.configuration.type,m=this._trackerFactories.filter(f=>f.type===C||f.type==="*").map(f=>(0,I.asPromise)(()=>f.factory.createDebugAdapterTracker(c)).then(T=>T,T=>null));return Promise.race([Promise.all(m).then(f=>{const T=f.filter(L=>!!L);if(T.length>0)return new i(T)}),new Promise((f,T)=>{const L=setTimeout(()=>{clearTimeout(L),T(new Error("timeout"))},1e3)})]).catch(f=>{})}async getAdapterDescriptor(c,v){const C=v.configuration.debugServer;if(typeof C=="number")return Promise.resolve(new P.DebugAdapterServer(C));if(c){const f=await this._extensionService.getExtensionRegistry();return(0,I.asPromise)(()=>c.createDebugAdapterDescriptor(v,this.daExecutableFromPackage(v,f))).then(T=>{if(T)return T})}const m=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(v,m))}daExecutableFromPackage(c,v){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(c,v,C){(c.length>0||v.length>0||C.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:c,removed:v,changed:C}))}async getSession(c){if(c)if(typeof c=="string"){const v=this._debugSessions.get(c);if(v)return v}else{let v=this._debugSessions.get(c.id);if(!v){const C=await this.getFolder(c.folderUri);v=new u(this._debugServiceProxy,c.id,c.type,c.name,C,c.configuration),this._debugSessions.set(v.id,v),this._debugServiceProxy.$sessionCached(v.id)}return v}throw new Error("cannot find session")}getFolder(c){if(c){const v=y.URI.revive(c);return this._workspaceService.resolveWorkspaceFolder(v)}return Promise.resolve(void 0)}};d=je([Ue(0,g.IExtHostRpcService),Ue(1,n.IExtHostWorkspace),Ue(2,A.IExtHostExtensionService),Ue(3,k.IExtHostDocumentsAndEditors),Ue(4,h.IExtHostConfiguration)],d),e.ExtHostDebugServiceBase=d;class u{constructor(c,v,C,m,f,T){this._debugServiceProxy=c,this._id=v,this._type=C,this._name=m,this._workspaceFolder=f,this._configuration=T}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(c){this._name=c,this._debugServiceProxy.$setDebugSessionName(this._id,c)}_acceptNameChanged(c){this._name=c}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(c,v){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,c,v)}getDebugProtocolBreakpoint(c){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,c.id)}}e.ExtHostDebugSession=u;class a{constructor(c){this.value=Object.freeze({append(v){c.$appendDebugConsole(v)},appendLine(v){this.append(v+`
`)}})}}e.ExtHostDebugConsole=a;class t extends b.AbstractVariableResolverService{constructor(c,v,C,m){super({getFolderUri:f=>{const T=c.filter(L=>L.name===f);if(T&&T.length>0)return T[0].uri},getWorkspaceFolderCount:()=>c.length,getConfigurationValue:(f,T)=>C.getConfiguration(void 0,f).get(T),getAppRoot:()=>w.cwd(),getExecPath:()=>w.env.VSCODE_EXEC_PATH,getFilePath:()=>{if(v){const f=v.activeEditor();if(f)return _.normalize(f.document.uri.fsPath)}},getWorkspaceFolderPathForFile:()=>{if(v&&m){const f=v.activeEditor();if(f){const T=m.getWorkspaceFolder(f.document.uri);if(T)return _.normalize(T.uri.fsPath)}}},getSelectedText:()=>{if(v){const f=v.activeEditor();if(f&&!f.selection.isEmpty)return f.document.getText(f.selection)}},getLineNumber:()=>{if(v){const f=v.activeEditor();if(f)return String(f.selection.end.line+1)}}},void 0,w.env)}}e.ExtHostVariableResolverService=t;class i{constructor(c){this.trackers=c}onWillStartSession(){this.trackers.forEach(c=>c.onWillStartSession?c.onWillStartSession():void 0)}onWillReceiveMessage(c){this.trackers.forEach(v=>v.onWillReceiveMessage?v.onWillReceiveMessage(c):void 0)}onDidSendMessage(c){this.trackers.forEach(v=>v.onDidSendMessage?v.onDidSendMessage(c):void 0)}onWillStopSession(){this.trackers.forEach(c=>c.onWillStopSession?c.onWillStopSession():void 0)}onError(c){this.trackers.forEach(v=>v.onError?v.onError(c):void 0)}onExit(c,v){this.trackers.forEach(C=>C.onExit?C.onExit(c,v):void 0)}}class s extends E.AbstractDebugAdapter{constructor(c){super();this.implementation=c,c.onDidSendMessage(v=>{this.acceptMessage(v)})}startSession(){return Promise.resolve(void 0)}sendMessage(c){this.implementation.handleMessage(c)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let o=class extends d{constructor(c,v,C,m,f){super(c,v,C,m,f)}createVariableResolver(c,v,C){return new t(c,v,C)}};o=je([Ue(0,g.IExtHostRpcService),Ue(1,n.IExtHostWorkspace),Ue(2,A.IExtHostExtensionService),Ue(3,k.IExtHostDocumentsAndEditors),Ue(4,h.IExtHostConfiguration)],o),e.WorkerExtHostDebugService=o}),define(ge[260],pe([0,1,67,2,5,36,41,29,14,27,4,42,30,13]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let l=class{constructor(d,u,a,t,i,s,o){this._apiFactory=d,this._extensionRegistry=u,this._instaService=a,this._extHostConfiguration=t,this._extHostExtensionService=i,this._initData=s,this._logService=o,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),_.mark("code/extHost/willWaitForConfig");const d=await this._extHostConfiguration.getConfigProvider();_.mark("code/extHost/didWaitForConfig");const u=await this._extHostExtensionService.getExtensionPathIndex();this.register(new g(this._apiFactory,u,this._extensionRegistry,d,this._logService)),this.register(this._instaService.createInstance(S)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(p,u,this._initData.environment.appUriScheme))}register(d){if(Array.isArray(d.nodeModuleName))for(let u of d.nodeModuleName)this._factories.set(u,d);else this._factories.set(d.nodeModuleName,d);typeof d.alternativeModuleName=="function"&&this._alternatives.push(u=>d.alternativeModuleName(u))}};l=je([Ue(2,A.IInstantiationService),Ue(3,I.IExtHostConfiguration),Ue(4,k.IExtHostExtensionService),Ue(5,n.IExtHostInitDataService),Ue(6,h.ILogService)],l),e.RequireInterceptor=l;class g{constructor(d,u,a,t,i){this._apiFactory=d,this._extensionPaths=u,this._extensionRegistry=a,this._configProvider=t,this._logService=i,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(d,u){const a=this._extensionPaths.findSubstr(u.fsPath);if(a){let t=this._extApiImpl.get(P.ExtensionIdentifier.toKey(a.identifier));return t||(t=this._apiFactory(a,this._extensionRegistry,this._configProvider),this._extApiImpl.set(P.ExtensionIdentifier.toKey(a.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((i,s)=>t+=`	${s} -> ${i.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${u.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(D.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let S=class{constructor(d,u){this.nodeModuleName="keytar";const{environment:a}=u,t=d.getProxy(R.MainContext.MainThreadKeytar);if(a.appRoot){let i=a.appRoot.fsPath;b.platform==="win32"&&(i=i.replace(/\\/g,"/")),i[i.length-1]==="/"&&(i=i.substr(0,i.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${i}/node_modules.asar/keytar`),this.alternativeNames.add(`${i}/node_modules/keytar`)}this._impl={getPassword:(i,s)=>t.$getPassword(i,s),setPassword:(i,s,o)=>t.$setPassword(i,s,o),deletePassword:(i,s)=>t.$deletePassword(i,s),findPassword:i=>t.$findPassword(i),findCredentials(i){return t.$findCredentials(i)}}}load(d,u){return this._impl}alternativeModuleName(d){const u=d.length;if(!(u<=7||!this.alternativeNames)){const a=u-7;if((d.charAt(a)==="/"||d.charAt(a)==="\\")&&d.endsWith("keytar")&&(d=d.replace(/\\/g,"/"),this.alternativeNames.has(d)))return"keytar"}}};S=je([Ue(0,E.IExtHostRpcService),Ue(1,n.IExtHostInitDataService)],S);let p=class{constructor(d,u,a){this._extensionPaths=d,this._appUriScheme=u,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=a.getProxy(R.MainContext.MainThreadTelemetry);const t=a.getProxy(R.MainContext.MainThreadWindow);this._impl=(i,s)=>{const o=y.URI.parse(i);return s?this.callOriginal(i,s):o.scheme==="http"||o.scheme==="https"?t.$openUri(o,i,{allowTunneling:!0}):o.scheme==="mailto"||o.scheme===this._appUriScheme?t.$openUri(o,i,{}):this.callOriginal(i,s)}}load(d,u,a){const t=this._extensionPaths.findSubstr(u.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=a(d),this._impl}callOriginal(d,u){return this.sendNoForwardTelemetry(),this._original(d,u)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};p=je([Ue(2,E.IExtHostRpcService)],p)}),define(ge[261],pe([0,1,165,8,201,33,42,38,36,35,14,45,186,204,19]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDebugService=void 0;let g=class extends k.ExtHostDebugServiceBase{constructor(w,d,u,a,t,i){super(w,d,u,a,t);this._terminalService=i,this._integratedTerminalInstances=new S}createDebugAdapter(w,d){switch(w.type){case"server":return new R.SocketDebugAdapter(w);case"pipeServer":return new R.NamedPipeDebugAdapter(w);case"executable":return new R.ExecutableDebugAdapter(w,d.type)}return super.createDebugAdapter(w,d)}daExecutableFromPackage(w,d){const u=R.ExecutableDebugAdapter.platformAdapterExecutable(d.getAllExtensionDescriptions(),w.type);if(u)return new y.DebugAdapterExecutable(u.command,u.args,u.options)}createSignService(){return new b.SignService}async $runInTerminal(w,d){if(w.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(m=>{this._integratedTerminalInstances.onTerminalClosed(m)}));const u=await this._configurationService.getConfigProvider(),a=this._terminalService.getDefaultShell(!0,u),t=this._terminalService.getDefaultShellArgs(!0,u),i=JSON.stringify({shell:a,shellArgs:t});let s=await this._integratedTerminalInstances.checkout(i),o,r=!1;if(s)o=w.cwd;else{const m={shellPath:a,shellArgs:t,cwd:w.cwd,name:w.title||_.localize(0,null)};r=!0,s=this._terminalService.createTerminalFromOptions(m,!0),this._integratedTerminalInstances.insert(s,i)}s.show(!0);const c=await s.processId;r&&await new Promise(m=>setTimeout(m,1e3));const v=(0,h.prepareCommand)(a,w.args,o,w.env);s.sendText(v,!0);const C=this.onDidTerminateDebugSession(m=>{m.id===d&&(this._integratedTerminalInstances.free(s),C.dispose())});return c}else if(w.kind==="external")return(0,h.runInExternalTerminal)(w,await this._configurationService.getConfigProvider());return super.$runInTerminal(w,d)}createVariableResolver(w,d,u){return new k.ExtHostVariableResolverService(w,d,u,this._workspaceService)}};g=je([Ue(0,A.IExtHostRpcService),Ue(1,I.IExtHostWorkspace),Ue(2,D.IExtHostExtensionService),Ue(3,P.IExtHostDocumentsAndEditors),Ue(4,E.IExtHostConfiguration),Ue(5,n.IExtHostTerminalService)],g),e.ExtHostDebugService=g;class S{constructor(){this._terminalInstances=new Map}async checkout(w){const u=[...this._terminalInstances.entries()].map(([a,t])=>(0,l.createCancelablePromise)(async i=>{if(t.lastUsedAt!==-1&&await(0,h.hasChildProcesses)(await a.processId))return null;const s=Date.now();return t.lastUsedAt+S.minUseDelay>s||i.isCancellationRequested||t.config!==w?null:(t.lastUsedAt=s,a)}));return await(0,l.firstParallel)(u,a=>!!a)}insert(w,d){this._terminalInstances.set(w,{lastUsedAt:Date.now(),config:d})}free(w){const d=this._terminalInstances.get(w);d&&(d.lastUsedAt=-1)}onTerminalClosed(w){this._terminalInstances.delete(w)}}S.minUseDelay=1e3}),define(ge[262],pe([0,1,7,2,78,33,45,38,36,35,14,27,66,11,13,63]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let S=class extends b.ExtHostTaskBase{constructor(w,d,u,a,t,i,s,o){super(w,d,u,a,t,i,s,o);this.workspaceService=u,d.remote.isRemote&&d.remote.authority&&this.registerTaskSystem(h.Schemas.vscodeRemote,{scheme:h.Schemas.vscodeRemote,authority:d.remote.authority,platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(w,d){const u=d;if(!d.execution&&u._id===void 0)throw new Error("Tasks to execute must include an execution");if(u._id!==void 0){const a=b.TaskHandleDTO.from(u,this.workspaceService),t=await this._proxy.$getTaskExecution(a);if(t.task===void 0)throw new Error("Task from execution DTO is undefined");const i=await this.getTaskExecution(t,d);return this._proxy.$executeTask(a).catch(()=>{}),i}else{const a=b.TaskDTO.from(d,w);if(a===void 0)return Promise.reject(new Error("Task is not valid"));b.CustomExecutionDTO.is(a.execution)&&await this.addCustomExecution(a,d,!1);const t=await this.getTaskExecution(await this._proxy.$getTaskExecution(a),d);return this._proxy.$executeTask(a).catch(()=>{}),t}}provideTasksInternal(w,d,u,a){const t=[];if(a)for(let i of a){this.checkDeprecation(i,u),(!i.definition||!w[i.definition.type])&&this._logService.warn(`The task [${i.source}, ${i.name}] uses an undefined task type. The task will be ignored in the future.`);const s=b.TaskDTO.from(i,u.extension);s&&(t.push(s),b.CustomExecutionDTO.is(s.execution)&&d.push(this.addCustomExecution(s,i,!0)))}return{tasks:t,extension:u.extension}}async resolveTaskInternal(w){return w}async getVariableResolver(w){if(this._variableResolver===void 0){const d=await this._configurationService.getConfigProvider();this._variableResolver=new D.ExtHostVariableResolverService(w,this._editorService,d,this.workspaceService)}return this._variableResolver}async $resolveVariables(w,d){const u=y.URI.revive(w),a={process:void 0,variables:Object.create(null)},t=await this._workspaceProvider.resolveWorkspaceFolder(u),i=await this._workspaceProvider.getWorkspaceFolders2();if(!i||!t)throw new Error("Unexpected: Tasks can only be run in a workspace folder");const s=await this.getVariableResolver(i),o={uri:t.uri,name:t.name,index:t.index,toResource:()=>{throw new Error("Not implemented")}};for(let r of d.variables)a.variables[r]=s.resolve(o,r);if(d.process!==void 0){let r;if(d.process.path!==void 0){r=d.process.path.split(_.delimiter);for(let c=0;c<r.length;c++)r[c]=s.resolve(o,r[c])}a.process=await R.win32.findExecutable(s.resolve(o,d.process.name),d.process.cwd!==void 0?s.resolve(o,d.process.cwd):void 0,r)}return a}$getDefaultShellAndArgs(){return this._terminalService.$getDefaultShellAndArgs(!0)}async $jsonTasksSupported(){return!0}async $findExecutable(w,d,u){return R.win32.findExecutable(w,d,u)}};S=je([Ue(0,A.IExtHostRpcService),Ue(1,k.IExtHostInitDataService),Ue(2,I.IExtHostWorkspace),Ue(3,P.IExtHostDocumentsAndEditors),Ue(4,E.IExtHostConfiguration),Ue(5,n.IExtHostTerminalService),Ue(6,l.ILogService),Ue(7,g.IExtHostApiDeprecationService)],S),e.ExtHostTask=S}),define(ge[263],pe([0,1,10,15,28,147,13,36,45,38,14,35,33,208,209]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let g=class extends k.BaseExtHostTerminalService{constructor(p,w,d,u,a){super(!0,p);this._extHostConfiguration=w,this._extHostWorkspace=d,this._extHostDocumentsAndEditors=u,this._logService=a,this._isWorkspaceShellAllowed=!1,(0,I.getSystemShell)(_.platform,process.env).then(t=>this._defaultShell=t),this._updateLastActiveWorkspace(),this._updateVariableResolver(),this._registerListeners()}createTerminal(p,w,d){const u=new k.ExtHostTerminal(this._proxy,(0,R.generateUuid)(),{name:p,shellPath:w,shellArgs:d},p);return this._terminals.push(u),u.create(w,d),u.value}createTerminalFromOptions(p,w){const d=new k.ExtHostTerminal(this._proxy,(0,R.generateUuid)(),p,p.name);return this._terminals.push(d),d.create((0,y.withNullAsUndefined)(p.shellPath),(0,y.withNullAsUndefined)(p.shellArgs),(0,y.withNullAsUndefined)(p.cwd),(0,y.withNullAsUndefined)(p.env),void 0,(0,y.withNullAsUndefined)(p.strictEnv),(0,y.withNullAsUndefined)(p.hideFromUser),(0,y.withNullAsUndefined)(w),!0),d.value}getDefaultShell(p,w){var d;const u=a=>{const t=w.getConfiguration(a.substr(0,a.lastIndexOf("."))).inspect(a.substr(a.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(t)};return h.getDefaultShell(u,this._isWorkspaceShellAllowed,(d=this._defaultShell)!==null&&d!==void 0?d:(0,I.getSystemShellSync)(_.platform,process.env),process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),process.env.windir,h.createVariableResolver(this._lastActiveWorkspace,this._variableResolver),this._logService,p)}getDefaultShellArgs(p,w){const d=u=>{const a=w.getConfiguration(u.substr(0,u.lastIndexOf("."))).inspect(u.substr(u.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(a)};return h.getDefaultShellArgs(d,this._isWorkspaceShellAllowed,p,h.createVariableResolver(this._lastActiveWorkspace,this._variableResolver),this._logService)}_apiInspectConfigToPlain(p){return{userValue:p?p.globalValue:void 0,value:p?p.workspaceValue:void 0,defaultValue:p?p.defaultValue:void 0}}_registerListeners(){this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(()=>this._updateLastActiveWorkspace()),this._extHostWorkspace.onDidChangeWorkspace(()=>this._updateVariableResolver())}_updateLastActiveWorkspace(){const p=this._extHostDocumentsAndEditors.activeEditor();p&&(this._lastActiveWorkspace=this._extHostWorkspace.getWorkspaceFolder(p.document.uri))}async _updateVariableResolver(){const p=await this._extHostConfiguration.getConfigProvider(),w=await this._extHostWorkspace.getWorkspaceFolders2();this._variableResolver=new E.ExtHostVariableResolverService(w||[],this._extHostDocumentsAndEditors,p)}$getAvailableShells(){return(0,l.detectAvailableShells)()}async $getDefaultShellAndArgs(p){const w=await this._extHostConfiguration.getConfigProvider();return{shell:this.getDefaultShell(p,w),args:this.getDefaultShellArgs(p,w)}}$acceptWorkspacePermissionsChanged(p){this._isWorkspaceShellAllowed=p}};g=je([Ue(0,A.IExtHostRpcService),Ue(1,P.IExtHostConfiguration),Ue(2,b.IExtHostWorkspace),Ue(3,n.IExtHostDocumentsAndEditors),Ue(4,D.ILogService)],g),e.ExtHostTerminalService=g}),define(ge[264],pe([0,1,19,18,67,6,2,5,254,13,79,81,27,182,14,62,42,35]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class w{constructor(u,a,t,i){this._disposables=new I.DisposableStore,this._isTerminating=!1,this._hostUtils=t;const s=new E.RPCProtocol(u,null,i);a=w._transform(a,s);const o=new k.ServiceCollection(...(0,A.getSingletonServiceDescriptors)());o.set(b.IExtHostInitDataService,Object.assign({_serviceBrand:void 0},a)),o.set(l.IExtHostRpcService,new l.ExtHostRpcService(s)),o.set(g.IURITransformerService,new g.URITransformerService(i)),o.set(S.IHostUtils,t);const r=new h.InstantiationService(o,!0),c=r.invokeFunction(f=>f.get(p.IExtHostTerminalService));this._disposables.add(c),this._logService=r.invokeFunction(f=>f.get(n.ILogService)),R.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",a),this._extensionService=r.invokeFunction(f=>f.get(S.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const v=new WeakMap;this._extensionService.getExtensionPathIndex().then(f=>{Error.prepareStackTrace=(T,L)=>{let B="",te,j;for(const W of L)B+=`
	at ${W.toString()}`,j=W.getFileName(),!te&&j&&(te=f.findSubstr(j));return v.set(T,te),`${T.name||"Error"}: ${T.message||""}${B}`}});const C=s.getProxy(P.MainContext.MainThreadExtensionService),m=s.getProxy(P.MainContext.MainThreadErrors);y.setUnexpectedErrorHandler(f=>{const T=y.transformErrorForSerialization(f),L=v.get(f);L?C.$onExtensionRuntimeError(L.identifier,T):m.$onUnexpectedError(T)})}terminate(u){if(!this._isTerminating){this._isTerminating=!0,this._logService.info(`extension host terminating: ${u}`),this._logService.flush(),this._disposables.dispose(),y.setUnexpectedErrorHandler(t=>{});const a=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([(0,_.timeout)(4e3),a]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}}static _transform(u,a){u.extensions.forEach(i=>i.extensionLocation=D.URI.revive(a.transformIncomingURIs(i.extensionLocation))),u.environment.appRoot=D.URI.revive(a.transformIncomingURIs(u.environment.appRoot));const t=u.environment.extensionDevelopmentLocationURI;return t&&(u.environment.extensionDevelopmentLocationURI=t.map(i=>D.URI.revive(a.transformIncomingURIs(i)))),u.environment.extensionTestsLocationURI=D.URI.revive(a.transformIncomingURIs(u.environment.extensionTestsLocationURI)),u.environment.globalStorageHome=D.URI.revive(a.transformIncomingURIs(u.environment.globalStorageHome)),u.environment.workspaceStorageHome=D.URI.revive(a.transformIncomingURIs(u.environment.workspaceStorageHome)),u.logsLocation=D.URI.revive(a.transformIncomingURIs(u.logsLocation)),u.logFile=D.URI.revive(a.transformIncomingURIs(u.logFile)),u.workspace=a.transformIncomingURIs(u.workspace),u}}e.ExtensionHostMain=w}),define(ge[265],pe([0,1,7,21,58,34,24,46,32,30]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class A{constructor(h,l,g){this.config=h,this.provider=l,this.sessionToken=g,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=h.filePattern,this.includePattern=h.includePattern&&I.parse(h.includePattern),this.maxResults=h.maxResults||void 0,this.exists=h.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=h.excludePattern&&I.parse(h.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(h=>h.cancel()),this.activeCancellationTokens=new Set}search(h){const l=this.config.folderQueries||[];return new Promise((g,S)=>{const p=w=>{this.resultCount++,h(w)};if(this.isCanceled)return g({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(w=>{const d=w.toString(),u=_.basename(d);this.globalExcludePattern&&this.globalExcludePattern(d,u)||this.matchFile(p,{base:w,basename:u})}),Promise.all(l.map(w=>this.searchInFolder(w,p))).then(w=>{g({limitHit:this.isLimitHit,stats:w[0]||void 0})},w=>{S(new Error((0,R.toErrorMessage)(w)))})})}searchInFolder(h,l){const g=new y.CancellationTokenSource;return new Promise((S,p)=>{const w=this.getSearchOptionsForFolder(h),d=this.initDirectoryTree(),u=new E.QueryGlobTester(this.config,h),a=!u.hasSiblingExcludeClauses();let t;new Promise(i=>(0,n.nextTick)(i)).then(()=>(this.activeCancellationTokens.add(g),t=P.StopWatch.create(),this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},w,g.token))).then(i=>{const s=t.elapsed(),o=P.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(i&&i.forEach(r=>{const c=_.posix.relative(h.folder.path,r.path);if(a){const v=_.basename(r.path);this.matchFile(l,{base:h.folder,relativePath:c,basename:v});return}this.addDirectoryEntries(d,h.folder,c,l)}),this.activeCancellationTokens.delete(g),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(d,u,l),{providerTime:s,postProcessTime:o.elapsed()})}).then(i=>{g.dispose(),S(i)},i=>{g.dispose(),p(i)})})}getSearchOptionsForFolder(h){const l=(0,E.resolvePatternsForProvider)(this.config.includePattern,h.includePattern),g=(0,E.resolvePatternsForProvider)(this.config.excludePattern,h.excludePattern);return{folder:h.folder,excludes:g,includes:l,useIgnoreFiles:!h.disregardIgnoreFiles,useGlobalIgnoreFiles:!h.disregardGlobalIgnoreFiles,followSymlinks:!h.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const h={rootEntries:[],pathToEntries:Object.create(null)};return h.pathToEntries["."]=h.rootEntries,h}addDirectoryEntries({pathToEntries:h},l,g,S){if(g===this.filePattern){const w=_.basename(this.filePattern);this.matchFile(S,{base:l,relativePath:this.filePattern,basename:w})}function p(w){const d=_.basename(w),u=_.dirname(w);let a=h[u];a||(a=h[u]=[],p(u)),a.push({base:l,relativePath:w,basename:d})}p(g)}matchDirectoryTree({rootEntries:h,pathToEntries:l},g,S){const p=this,w=this.filePattern;function d(u){const a=I.hasSiblingFn(()=>u.map(t=>t.basename));for(let t=0,i=u.length;t<i;t++){const s=u[t],{relativePath:o,basename:r}=s;if(!!g.includedInQuerySync(o,r,w!==r?a:void 0)){const c=l[o];if(c)d(c);else{if(o===w)continue;p.matchFile(S,s)}if(p.isLimitHit)break}}}d(h)}matchFile(h,l){(!this.includePattern||l.relativePath&&this.includePattern(l.relativePath,l.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||h(l))}}class k{constructor(){this.sessions=new Map}fileSearch(h,l,g,S){const p=this.getSessionTokenSource(h.cacheKey),w=new A(h,l,p&&p.token);let d=0;const u=a=>{d+=a.length,g(a.map(t=>this.rawMatchToSearchItem(t)))};return this.doSearch(w,k.BATCH_SIZE,u,S).then(a=>({limitHit:a.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:d,detailStats:a.stats}}))}clearCache(h){const l=this.getSessionTokenSource(h);l&&l.cancel()}getSessionTokenSource(h){if(!!h)return this.sessions.has(h)||this.sessions.set(h,new y.CancellationTokenSource),this.sessions.get(h)}rawMatchToSearchItem(h){return h.relativePath?{resource:D.joinPath(h.base,h.relativePath)}:{resource:h.base}}doSearch(h,l,g,S){S.onCancellationRequested(()=>{h.cancel()});const p=d=>{d&&(w.push(d),l>0&&w.length>=l&&(g(w),w=[]))};let w=[];return h.search(p).then(d=>(w.length&&g(w),d),d=>(w.length&&g(w),Promise.reject(d)))}}e.FileSearchManager=k,k.BATCH_SIZE=512}),define(ge[125],pe([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=e.Position=void 0;class _{constructor(I,D){this.line=I,this.character=D}isBefore(I){return!1}isBeforeOrEqual(I){return!1}isAfter(I){return!1}isAfterOrEqual(I){return!1}isEqual(I){return!1}compareTo(I){return 0}translate(I,D){return new _(0,0)}with(I){return new _(0,0)}}e.Position=_;class y{constructor(I,D,P,E){this.isEmpty=!1,this.isSingleLine=!1,this.start=new _(I,D),this.end=new _(P,E)}contains(I){return!1}isEqual(I){return!1}intersection(I){}union(I){return new y(0,0,0,0)}with(I){return new y(0,0,0,0)}}e.Range=y}),define(ge[126],pe([0,1,7,12,21,58,24,34,2,32,30,11]),function(J,e,_,y,R,I,D,P,E,n,A,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class b{constructor(d,u,a){this.query=d,this.provider=u,this.fileUtils=a,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(d,u){const a=this.query.folderQueries||[],t=new R.CancellationTokenSource;return u.onCancellationRequested(()=>t.cancel()),new Promise((i,s)=>{this.collector=new l(d);let o=!1;const r=(c,v)=>{if(!o&&!this.isLimitHit){const C=this.resultSize(c);S(c)&&typeof this.query.maxResults=="number"&&this.resultCount+C>this.query.maxResults&&(this.isLimitHit=!0,o=!0,t.cancel(),c=this.trimResultToSize(c,this.query.maxResults-this.resultCount));const m=this.resultSize(c);this.resultCount+=m,(m>0||!S(c))&&this.collector.add(c,v)}};Promise.all(a.map((c,v)=>this.searchInFolder(c,C=>r(C,v),t.token))).then(c=>{t.dispose(),this.collector.flush();const v=c.some(C=>!!C&&!!C.limitHit);i({limitHit:this.isLimitHit||v,stats:{type:"textSearchProvider"}})},c=>{t.dispose();const v=(0,I.toErrorMessage)(c);s(new Error(v))})})}resultSize(d){return S(d)?Array.isArray(d.ranges)?d.ranges.length:1:0}trimResultToSize(d,u){const a=Array.isArray(d.ranges)?d.ranges:[d.ranges],t=Array.isArray(d.preview.matches)?d.preview.matches:[d.preview.matches];return{ranges:a.slice(0,u),preview:{matches:t.slice(0,u),text:d.preview.text},uri:d.uri}}searchInFolder(d,u,a){const t=new n.QueryGlobTester(this.query,d),i=[],s={report:r=>{if(!!this.validateProviderResult(r)){const c=d.folder.scheme===k.Schemas.file?P.hasSiblingPromiseFn(()=>this.fileUtils.readdir(D.dirname(r.uri))):void 0,v=D.relativePath(d.folder,r.uri);v&&i.push(t.includedInQuery(v,_.basename(v),c).then(C=>{C&&u(r)}))}}},o=this.getSearchOptionsForFolder(d);return new Promise(r=>(0,A.nextTick)(r)).then(()=>this.provider.provideTextSearchResults(h(this.query.contentPattern),o,s,a)).then(r=>Promise.all(i).then(()=>r))}validateProviderResult(d){if(S(d)){if(Array.isArray(d.ranges)){if(!Array.isArray(d.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(d.preview.matches.length!==d.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(d.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(d){const u=(0,n.resolvePatternsForProvider)(this.query.includePattern,d.includePattern),a=(0,n.resolvePatternsForProvider)(this.query.excludePattern,d.excludePattern),t={folder:E.URI.from(d.folder),excludes:a,includes:u,useIgnoreFiles:!d.disregardIgnoreFiles,useGlobalIgnoreFiles:!d.disregardGlobalIgnoreFiles,followSymlinks:!d.ignoreSymlinks,encoding:d.fileEncoding&&this.fileUtils.toCanonicalName(d.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=b;function h(w){return{isCaseSensitive:w.isCaseSensitive||!1,isRegExp:w.isRegExp||!1,isWordMatch:w.isWordMatch||!1,isMultiline:w.isMultiline||!1,pattern:w.pattern}}class l{constructor(d){this._onResult=d,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new p(512,u=>this.sendItems(u))}add(d,u){this._currentFileMatch&&(this._currentFolderIdx!==u||!D.isEqual(this._currentUri,d.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=u,this._currentFileMatch={resource:d.uri,results:[]}),this._currentFileMatch.results.push(g(d))}pushToCollector(){const d=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,d)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(d){this._onResult(d)}}e.TextSearchResultsCollector=l;function g(w){return S(w)?{preview:{matches:(0,y.mapArrayOrNot)(w.preview.matches,d=>({startLineNumber:d.start.line,startColumn:d.start.character,endLineNumber:d.end.line,endColumn:d.end.character})),text:w.preview.text},ranges:(0,y.mapArrayOrNot)(w.ranges,d=>({startLineNumber:d.start.line,startColumn:d.start.character,endLineNumber:d.end.line,endColumn:d.end.character}))}:{text:w.text,lineNumber:w.lineNumber}}function S(w){return!!w.preview}e.extensionResultIsMatch=S;class p{constructor(d,u){this.maxBatchSize=d,this.cb=u,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(d,u){!d||this.addItemToBatch(d,u)}addItems(d,u){!d||this.addItemsToBatch(d,u)}addItemToBatch(d,u){this.batch.push(d),this.batchSize+=u,this.onUpdate()}addItemsToBatch(d,u){this.batch=this.batch.concat(d),this.batchSize+=u,this.onUpdate()}onUpdate(){this.totalNumberCompleted<p.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},p.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=p,p.TIMEOUT=4e3,p.START_BATCH_AFTER_COUNT=50}),define(ge[68],pe([0,1,6,5,4,265,14,62,13,2,126]),function(J,e,_,y,R,I,D,P,E,n,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,R.createDecorator)("IExtHostSearch");let k=class{constructor(g,S,p){this.extHostRpc=g,this._uriTransformer=S,this._logService=p,this._proxy=this.extHostRpc.getProxy(y.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new I.FileSearchManager}_transformScheme(g){return this._uriTransformer.transformOutgoingScheme(g)}registerTextSearchProvider(g,S){if(this._textSearchUsedSchemes.has(g))throw new Error(`a text search provider for the scheme '${g}' is already registered`);this._textSearchUsedSchemes.add(g);const p=this._handlePool++;return this._textSearchProvider.set(p,S),this._proxy.$registerTextSearchProvider(p,this._transformScheme(g)),(0,_.toDisposable)(()=>{this._textSearchUsedSchemes.delete(g),this._textSearchProvider.delete(p),this._proxy.$unregisterProvider(p)})}registerFileSearchProvider(g,S){if(this._fileSearchUsedSchemes.has(g))throw new Error(`a file search provider for the scheme '${g}' is already registered`);this._fileSearchUsedSchemes.add(g);const p=this._handlePool++;return this._fileSearchProvider.set(p,S),this._proxy.$registerFileSearchProvider(p,this._transformScheme(g)),(0,_.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(g),this._fileSearchProvider.delete(p),this._proxy.$unregisterProvider(p)})}$provideFileSearchResults(g,S,p,w){const d=b(p),u=this._fileSearchProvider.get(g);if(u)return this._fileSearchManager.fileSearch(d,u,a=>{this._proxy.$handleFileMatch(g,S,a.map(t=>t.resource))},w);throw new Error("unknown provider: "+g)}$clearCache(g){return this._fileSearchManager.clearCache(g),Promise.resolve(void 0)}$provideTextSearchResults(g,S,p,w){const d=this._textSearchProvider.get(g);if(!d||!d.provideTextSearchResults)throw new Error(`Unknown provider ${g}`);const u=b(p);return this.createTextSearchManager(u,d).search(t=>this._proxy.$handleTextMatch(g,S,t),w)}createTextSearchManager(g,S){return new A.TextSearchManager(g,S,{readdir:p=>Promise.resolve([]),toCanonicalName:p=>p})}};k=je([Ue(0,D.IExtHostRpcService),Ue(1,P.IURITransformerService),Ue(2,E.ILogService)],k),e.ExtHostSearch=k;function b(l){return Object.assign(Object.assign({},l),{folderQueries:l.folderQueries&&l.folderQueries.map(h),extraFileResources:l.extraFileResources&&l.extraFileResources.map(g=>n.URI.revive(g))})}e.reviveQuery=b;function h(l){return Object.assign(Object.assign({},l),{folder:n.URI.revive(l.folder)})}}),define(ge[266],pe([0,1,156,21,18,3,74,2,149,104,139,77,44,5,229,228,51,230,36,231,232,233,214,234,38,42,235,215,237,238,239,64,218,241,242,243,88,35,244,219,20,8,247,65,124,33,41,53,197,236,114,123,66,45,68,13,62,14,27,240,196,50,63,226,245,195,89,87,250,248,249,227,61,257,246,86,192,117]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w,d,u,a,t,i,s,o,r,c,v,C,m,f,T,L,B,te,j,W,$,O,U,F,N,M,V,q,X,fe,_e,Le,Ie,Fe,z,Q,ee,ae,ve,De,Me,we,ke,Ae,We,ye,Ge,K,ie,Se,Ne,ze,xe,Je,G,oe,ue,Y,ne,le){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function me(Ee){const He=Ee.get(Me.IExtHostInitDataService),Be=Ee.get(G.IExtHostFileSystemInfo),qe=Ee.get(Se.IExtHostConsumerFileSystem),Xe=Ee.get(o.IExtHostExtensionService),Ze=Ee.get(q.IExtHostWorkspace),ut=Ee.get(le.IExtHostTelemetry),st=Ee.get(w.IExtHostConfiguration),be=Ee.get(ve.IURITransformerService),he=Ee.get(De.IExtHostRpcService),ce=Ee.get(j.IExtHostStorage),Z=Ee.get(ie.IExtensionStoragePaths),Te=Ee.get(ae.ILogService),Re=Ee.get(Ae.IExtHostTunnelService),et=Ee.get(We.IExtHostApiDeprecationService),Ke=Ee.get(V.IExtHostWindow),rt=Ee.get(Y.IExtHostSecretState);he.set(h.ExtHostContext.ExtHostFileSystemInfo,Be),he.set(h.ExtHostContext.ExtHostLogService,Te),he.set(h.ExtHostContext.ExtHostWorkspace,Ze),he.set(h.ExtHostContext.ExtHostConfiguration,st),he.set(h.ExtHostContext.ExtHostExtensionService,Xe),he.set(h.ExtHostContext.ExtHostStorage,ce),he.set(h.ExtHostContext.ExtHostTunnelService,Re),he.set(h.ExtHostContext.ExtHostWindow,Ke),he.set(h.ExtHostContext.ExtHostSecretState,rt),he.set(h.ExtHostContext.ExtHostTelemetry,ut);const lt=he.set(h.ExtHostContext.ExtHostDecorations,Ee.get(Fe.IExtHostDecorations)),Qe=he.set(h.ExtHostContext.ExtHostDocumentsAndEditors,Ee.get(s.IExtHostDocumentsAndEditors)),it=he.set(h.ExtHostContext.ExtHostCommands,Ee.get(S.IExtHostCommands)),dt=he.set(h.ExtHostContext.ExtHostTerminalService,Ee.get(W.IExtHostTerminalService)),at=he.set(h.ExtHostContext.ExtHostDebugService,Ee.get(Q.IExtHostDebugService)),Ct=he.set(h.ExtHostContext.ExtHostSearch,Ee.get(ee.IExtHostSearch)),gt=he.set(h.ExtHostContext.ExtHostTask,Ee.get(z.IExtHostTask)),kt=he.set(h.ExtHostContext.ExtHostOutputService,Ee.get(f.IExtHostOutputService)),Et=he.set(h.ExtHostContext.ExtHostEditorTabs,new ne.ExtHostEditorTabs),St=he.set(h.ExtHostContext.ExtHostUrls,new N.ExtHostUrls(he)),mt=he.set(h.ExtHostContext.ExtHostDocuments,new i.ExtHostDocuments(he,Qe)),Lt=he.set(h.ExtHostContext.ExtHostDocumentContentProviders,new a.ExtHostDocumentContentProvider(he,Qe,Te)),Ft=he.set(h.ExtHostContext.ExtHostDocumentSaveParticipant,new t.ExtHostDocumentSaveParticipant(Te,mt,he.getProxy(h.MainContext.MainThreadBulkEdits))),ht=he.set(h.ExtHostContext.ExtHostNotebook,new we.ExtHostNotebookController(he,it,Qe,mt,He.environment,Te,Z)),yt=he.set(h.ExtHostContext.ExtHostEditors,new $.ExtHostEditors(he,Qe)),Bt=he.set(h.ExtHostContext.ExtHostTreeViews,new O.ExtHostTreeViews(he.getProxy(h.MainContext.MainThreadTreeViews),it,Te)),Ht=he.set(h.ExtHostContext.ExtHostEditorInsets,new _e.ExtHostEditorInsets(he.getProxy(h.MainContext.MainThreadEditorInsets),yt,He.environment)),Ot=he.set(h.ExtHostContext.ExtHostDiagnostics,new d.ExtHostDiagnostics(he,Te)),ct=he.set(h.ExtHostContext.ExtHostLanguageFeatures,new v.ExtHostLanguageFeatures(he,be,mt,it,Ot,Te,et)),hn=he.set(h.ExtHostContext.ExtHostFileSystem,new r.ExtHostFileSystem(he,ct)),Pt=he.set(h.ExtHostContext.ExtHostFileSystemEventService,new c.ExtHostFileSystemEventService(he,Te,Qe)),At=he.set(h.ExtHostContext.ExtHostQuickOpen,(0,L.createExtHostQuickOpen)(he,Ze,it)),tn=he.set(h.ExtHostContext.ExtHostSCM,new B.ExtHostSCM(he,it,Te)),fn=he.set(h.ExtHostContext.ExtHostComments,new p.ExtHostComments(he,it,mt)),nn=he.set(h.ExtHostContext.ExtHostProgress,new T.ExtHostProgress(he.getProxy(h.MainContext.MainThreadProgress))),mn=he.set(h.ExtHostContext.ExtHosLabelService,new Le.ExtHostLabelService(he)),rn=he.set(h.ExtHostContext.ExtHostTheming,new ke.ExtHostTheming(he)),Tt=he.set(h.ExtHostContext.ExtHostAuthentication,new ye.ExtHostAuthentication(he)),zt=he.set(h.ExtHostContext.ExtHostTimeline,new Ge.ExtHostTimeline(he,it)),Vt=he.set(h.ExtHostContext.ExtHostWebviews,new M.ExtHostWebviews(he,He.environment,Ze,Te,et)),jt=he.set(h.ExtHostContext.ExtHostWebviewPanels,new xe.ExtHostWebviewPanels(he,Vt,Ze)),gn=he.set(h.ExtHostContext.ExtHostCustomEditors,new ze.ExtHostCustomEditors(he,mt,Z,Vt,jt)),pn=he.set(h.ExtHostContext.ExtHostWebviewViews,new Ne.ExtHostWebviewViews(he,Vt)),It=he.set(h.ExtHostContext.ExtHostTesting,new oe.ExtHostTesting(he,Qe,Ze)),vn=he.set(h.ExtHostContext.ExtHostUriOpeners,new ue.ExtHostUriOpeners(he)),wn=(0,fe.values)(h.ExtHostContext);he.assertRegistered(wn);const qt=new Je.ExtHostBulkEdits(he,Qe),_n=new g.ExtHostClipboard(he),Gt=new m.ExtHostMessageService(he,Te),$t=new u.ExtHostDialogs(he),Mt=new te.ExtHostStatusBar(he,it.converter),Kt=new C.ExtHostLanguages(he,mt);return l.ExtHostApiCommands.register(it),function(Oe,Nt,Xt){const ft=function(){let re=!Oe.isUnderDevelopment;function de(Pe){re||(Te.info(`Extension '${Oe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),re=!0)}return function Pe(H){if(Array.isArray(H))H.forEach(Pe);else if(typeof H=="string")de(H);else{const x=H;typeof x.scheme=="undefined"&&de(H),!Oe.enableProposedApi&&typeof x.exclusive=="boolean"&&(0,X.throwProposedApiError)(Oe)}return H}}(),bn={getSession(re,de,Pe){return Tt.getSession(Oe,re,de,Pe)},get onDidChangeSessions(){return Tt.onDidChangeSessions},registerAuthenticationProvider(re,de,Pe,H){return Tt.registerAuthenticationProvider(re,de,Pe,H)},get onDidChangeAuthenticationProviders(){return(0,X.checkProposedApiEnabled)(Oe),Tt.onDidChangeAuthenticationProviders},get providers(){return(0,X.checkProposedApiEnabled)(Oe),Tt.providers},logout(re,de){return(0,X.checkProposedApiEnabled)(Oe),Tt.removeSession(re,de)}},sn={registerCommand(re,de,Pe){return it.registerCommand(!0,re,de,Pe)},registerTextEditorCommand(re,de,Pe){return it.registerCommand(!0,re,(...H)=>{const x=yt.getActiveTextEditor();if(!x){Te.warn("Cannot execute "+re+" because there is no active text editor.");return}return x.edit(se=>{de.apply(Pe,[x,se,...H])}).then(se=>{se||Te.warn("Edits from command "+re+" were not applied.")},se=>{Te.warn("An error occurred while running command "+re,se)})})},registerDiffInformationCommand:(re,de,Pe)=>((0,X.checkProposedApiEnabled)(Oe),it.registerCommand(!0,re,async(...H)=>{const x=Qe.activeEditor(!0);if(!x){Te.warn("Cannot execute "+re+" because there is no active text editor.");return}const se=await yt.getDiffInformation(x.id);de.apply(Pe,[se,...H])})),executeCommand(re,...de){return it.executeCommand(re,...de)},getCommands(re=!1){return it.getCommands(re)}},on={get machineId(){return He.telemetryInfo.machineId},get sessionId(){return He.telemetryInfo.sessionId},get language(){return He.environment.appLanguage},get appName(){return He.environment.appName},get appRoot(){var re,de;return(de=(re=He.environment.appRoot)===null||re===void 0?void 0:re.fsPath)!==null&&de!==void 0?de:""},get uriScheme(){return He.environment.appUriScheme},get clipboard(){return _n.value},get shell(){return dt.getDefaultShell(!1,Xt)},get isTelemetryEnabled(){return ut.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return ut.onDidChangeTelemetryEnabled},get isNewAppInstall(){const re=Date.now()-new Date(He.telemetryInfo.firstSessionDate).getTime();return isNaN(re)?!1:re<1e3*60*60*24},openExternal(re,de){return Ke.openUri(re,{allowTunneling:!!He.remote.authority,allowContributedOpeners:de==null?void 0:de.allowContributedOpeners})},asExternalUri(re){return re.scheme===He.environment.appUriScheme?St.createAppUri(re):Ke.asExternalUri(re,{allowTunneling:!!He.remote.authority})},get remoteName(){return(0,Ie.getRemoteName)(He.remote.authority)},get uiKind(){return He.uiKind}};He.environment.extensionTestsLocationURI||Object.freeze(on);const an=He.remote.isRemote?F.ExtensionKind.Workspace:F.ExtensionKind.UI,Qt={registerTestProvider(re){return(0,X.checkProposedApiEnabled)(Oe),It.registerTestProvider(re)},createDocumentTestObserver(re){return(0,X.checkProposedApiEnabled)(Oe),It.createTextDocumentTestObserver(re)},createWorkspaceTestObserver(re){return(0,X.checkProposedApiEnabled)(Oe),It.createWorkspaceTestObserver(re)},runTests(re){return(0,X.checkProposedApiEnabled)(Oe),It.runTests(re)},publishTestResult(re,de=!0){return(0,X.checkProposedApiEnabled)(Oe),It.publishExtensionProvidedResults(re,de)},get onDidChangeTestResults(){return(0,X.checkProposedApiEnabled)(Oe),It.onResultsChanged},get testResults(){return(0,X.checkProposedApiEnabled)(Oe),It.results}},En={getExtension(re){const de=Nt.getExtensionDescription(re);if(de)return new o.Extension(Xe,Oe.identifier,de,an)},get all(){return Nt.getAllExtensionDescriptions().map(re=>new o.Extension(Xe,Oe.identifier,re,an))},get onDidChange(){return Nt.onDidChange}},Sn={createDiagnosticCollection(re){return Ot.createDiagnosticCollection(Oe.identifier,re)},get onDidChangeDiagnostics(){return Ot.onDidChangeDiagnostics},getDiagnostics:re=>Ot.getDiagnostics(re),getLanguages(){return Kt.getLanguages()},setTextDocumentLanguage(re,de){return Kt.changeLanguage(re.uri,de)},match(re,de){return(0,k.score)(U.LanguageSelector.from(re),de.uri,de.languageId,!0)},registerCodeActionsProvider(re,de,Pe){return ct.registerCodeActionProvider(Oe,ft(re),de,Pe)},registerCodeLensProvider(re,de){return ct.registerCodeLensProvider(Oe,ft(re),de)},registerDefinitionProvider(re,de){return ct.registerDefinitionProvider(Oe,ft(re),de)},registerDeclarationProvider(re,de){return ct.registerDeclarationProvider(Oe,ft(re),de)},registerImplementationProvider(re,de){return ct.registerImplementationProvider(Oe,ft(re),de)},registerTypeDefinitionProvider(re,de){return ct.registerTypeDefinitionProvider(Oe,ft(re),de)},registerHoverProvider(re,de){return ct.registerHoverProvider(Oe,ft(re),de,Oe.identifier)},registerEvaluatableExpressionProvider(re,de){return ct.registerEvaluatableExpressionProvider(Oe,ft(re),de,Oe.identifier)},registerInlineValuesProvider(re,de){return(0,X.checkProposedApiEnabled)(Oe),ct.registerInlineValuesProvider(Oe,ft(re),de,Oe.identifier)},registerDocumentHighlightProvider(re,de){return ct.registerDocumentHighlightProvider(Oe,ft(re),de)},registerLinkedEditingRangeProvider(re,de){return ct.registerLinkedEditingRangeProvider(Oe,ft(re),de)},registerReferenceProvider(re,de){return ct.registerReferenceProvider(Oe,ft(re),de)},registerRenameProvider(re,de){return ct.registerRenameProvider(Oe,ft(re),de)},registerDocumentSymbolProvider(re,de,Pe){return ct.registerDocumentSymbolProvider(Oe,ft(re),de,Pe)},registerWorkspaceSymbolProvider(re){return ct.registerWorkspaceSymbolProvider(Oe,re)},registerDocumentFormattingEditProvider(re,de){return ct.registerDocumentFormattingEditProvider(Oe,ft(re),de)},registerDocumentRangeFormattingEditProvider(re,de){return ct.registerDocumentRangeFormattingEditProvider(Oe,ft(re),de)},registerOnTypeFormattingEditProvider(re,de,Pe,...H){return ct.registerOnTypeFormattingEditProvider(Oe,ft(re),de,[Pe].concat(H))},registerDocumentSemanticTokensProvider(re,de,Pe){return ct.registerDocumentSemanticTokensProvider(Oe,ft(re),de,Pe)},registerDocumentRangeSemanticTokensProvider(re,de,Pe){return ct.registerDocumentRangeSemanticTokensProvider(Oe,ft(re),de,Pe)},registerSignatureHelpProvider(re,de,Pe,...H){return typeof Pe=="object"?ct.registerSignatureHelpProvider(Oe,ft(re),de,Pe):ct.registerSignatureHelpProvider(Oe,ft(re),de,typeof Pe=="undefined"?[]:[Pe,...H])},registerCompletionItemProvider(re,de,...Pe){return ct.registerCompletionItemProvider(Oe,ft(re),de,Pe)},registerDocumentLinkProvider(re,de){return ct.registerDocumentLinkProvider(Oe,ft(re),de)},registerColorProvider(re,de){return ct.registerColorProvider(Oe,ft(re),de)},registerFoldingRangeProvider(re,de){return ct.registerFoldingRangeProvider(Oe,ft(re),de)},registerSelectionRangeProvider(re,de){return ct.registerSelectionRangeProvider(Oe,re,de)},registerCallHierarchyProvider(re,de){return ct.registerCallHierarchyProvider(Oe,re,de)},setLanguageConfiguration:(re,de)=>ct.setLanguageConfiguration(Oe,re,de),getTokenInformationAtPosition(re,de){return(0,X.checkProposedApiEnabled)(Oe),Kt.tokenAtPosition(re,de)},registerInlineHintsProvider(re,de){return(0,X.checkProposedApiEnabled)(Oe),ct.registerInlineHintsProvider(Oe,re,de)}},yn={get activeTextEditor(){return yt.getActiveTextEditor()},get visibleTextEditors(){return yt.getVisibleTextEditors()},get activeTerminal(){return dt.activeTerminal},get terminals(){return dt.terminals},async showTextDocument(re,de,Pe){const H=await(P.URI.isUri(re)?Promise.resolve(ln.openTextDocument(re)):Promise.resolve(re));return yt.showTextDocument(H,de,Pe)},createTextEditorDecorationType(re){return yt.createTextEditorDecorationType(re)},onDidChangeActiveTextEditor(re,de,Pe){return yt.onDidChangeActiveTextEditor(re,de,Pe)},onDidChangeVisibleTextEditors(re,de,Pe){return yt.onDidChangeVisibleTextEditors(re,de,Pe)},onDidChangeTextEditorSelection(re,de,Pe){return yt.onDidChangeTextEditorSelection(re,de,Pe)},onDidChangeTextEditorOptions(re,de,Pe){return yt.onDidChangeTextEditorOptions(re,de,Pe)},onDidChangeTextEditorVisibleRanges(re,de,Pe){return yt.onDidChangeTextEditorVisibleRanges(re,de,Pe)},onDidChangeTextEditorViewColumn(re,de,Pe){return yt.onDidChangeTextEditorViewColumn(re,de,Pe)},onDidCloseTerminal(re,de,Pe){return dt.onDidCloseTerminal(re,de,Pe)},onDidOpenTerminal(re,de,Pe){return dt.onDidOpenTerminal(re,de,Pe)},onDidChangeActiveTerminal(re,de,Pe){return dt.onDidChangeActiveTerminal(re,de,Pe)},onDidChangeTerminalDimensions(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),dt.onDidChangeTerminalDimensions(re,de,Pe)},onDidWriteTerminalData(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),dt.onDidWriteTerminalData(re,de,Pe)},get state(){return Ke.state},onDidChangeWindowState(re,de,Pe){return Ke.onDidChangeWindowState(re,de,Pe)},showInformationMessage(re,...de){return Gt.showMessage(Oe,D.default.Info,re,de[0],de.slice(1))},showWarningMessage(re,...de){return Gt.showMessage(Oe,D.default.Warning,re,de[0],de.slice(1))},showErrorMessage(re,...de){return Gt.showMessage(Oe,D.default.Error,re,de[0],de.slice(1))},showQuickPick(re,de,Pe){return At.showQuickPick(re,!!Oe.enableProposedApi,de,Pe)},showWorkspaceFolderPick(re){return At.showWorkspaceFolderPick(re)},showInputBox(re,de){return At.showInput(re,de)},showOpenDialog(re){return $t.showOpenDialog(re)},showSaveDialog(re){return $t.showSaveDialog(re)},createStatusBarItem(re,de){let Pe,H,x,se;return re&&typeof re!="number"?(Pe=re.id,H=re.name,x=re.alignment,de=re.priority,se=re.accessibilityInformation):(Pe=Oe.identifier.value,H=_.localize(0,null,Oe.displayName||Oe.name),x=re),Mt.createStatusBarEntry(Pe,H,x,de,se)},setStatusBarMessage(re,de){return Mt.setStatusBarMessage(re,de)},withScmProgress(re){return et.report("window.withScmProgress",Oe,"Use 'withProgress' instead."),nn.withProgress(Oe,{location:F.ProgressLocation.SourceControl},(de,Pe)=>re({report(H){}}))},withProgress(re,de){return nn.withProgress(Oe,re,de)},createOutputChannel(re){return kt.createOutputChannel(re)},createWebviewPanel(re,de,Pe,H){return jt.createWebviewPanel(Oe,re,de,Pe,H)},createWebviewTextEditorInset(re,de,Pe,H){return(0,X.checkProposedApiEnabled)(Oe),Ht.createWebviewEditorInset(re,de,Pe,H,Oe)},createTerminal(re,de,Pe){return typeof re=="object"?"pty"in re?dt.createExtensionTerminal(re):dt.createTerminalFromOptions(re):dt.createTerminal(re,de,Pe)},registerTerminalLinkProvider(re){return dt.registerLinkProvider(re)},registerTreeDataProvider(re,de){return Bt.registerTreeDataProvider(re,de,Oe)},createTreeView(re,de){return Bt.createTreeView(re,de,Oe)},registerWebviewPanelSerializer:(re,de)=>jt.registerWebviewPanelSerializer(Oe,re,de),registerCustomEditorProvider:(re,de,Pe={})=>gn.registerCustomEditorProvider(Oe,re,de,Pe),registerFileDecorationProvider(re){return lt.registerFileDecorationProvider(re,Oe.identifier)},registerUriHandler(re){return St.registerUriHandler(Oe.identifier,re)},createQuickPick(){return At.createQuickPick(Oe.identifier,!!Oe.enableProposedApi)},createInputBox(){return At.createInputBox(Oe.identifier)},get activeColorTheme(){return rn.activeColorTheme},onDidChangeActiveColorTheme(re,de,Pe){return rn.onDidChangeActiveColorTheme(re,de,Pe)},registerWebviewViewProvider(re,de,Pe){return pn.registerWebviewViewProvider(Oe,re,de,Pe==null?void 0:Pe.webviewOptions)},get activeNotebookEditor(){return(0,X.checkProposedApiEnabled)(Oe),ht.activeNotebookEditor},onDidChangeActiveNotebookEditor(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeActiveNotebookEditor(re,de,Pe)},get visibleNotebookEditors(){return(0,X.checkProposedApiEnabled)(Oe),ht.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeNotebookEditorSelection(re,de,Pe)},onDidChangeNotebookEditorVisibleRanges(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeNotebookEditorVisibleRanges(re,de,Pe)},showNotebookDocument(re,de){return(0,X.checkProposedApiEnabled)(Oe),ht.showNotebookDocument(re,de)},registerExternalUriOpener(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),vn.registerExternalUriOpener(Oe.identifier,re,de,Pe)},get openEditors(){return(0,X.checkProposedApiEnabled)(Oe),Et.tabs},get onDidChangeOpenEditors(){return(0,X.checkProposedApiEnabled)(Oe),Et.onDidChangeTabs}},ln={get rootPath(){return et.report("workspace.rootPath",Oe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Ze.getPath()},set rootPath(re){throw R.readonly()},getWorkspaceFolder(re){return Ze.getWorkspaceFolder(re)},get workspaceFolders(){return Ze.getWorkspaceFolders()},get name(){return Ze.name},set name(re){throw R.readonly()},get workspaceFile(){return Ze.workspaceFile},set workspaceFile(re){throw R.readonly()},updateWorkspaceFolders:(re,de,...Pe)=>Ze.updateWorkspaceFolders(Oe,re,de||0,...Pe),onDidChangeWorkspaceFolders:function(re,de,Pe){return Ze.onDidChangeWorkspace(re,de,Pe)},asRelativePath:(re,de)=>Ze.getRelativePath(re,de),findFiles:(re,de,Pe,H)=>Ze.findFiles(U.GlobPattern.from(re),U.GlobPattern.from(de),Pe,Oe.identifier,H),findTextInFiles:(re,de,Pe,H)=>{let x,se;return typeof de=="object"?(x=de,se=Pe):(x={},se=de,H=Pe),Ze.findTextInFiles(re,x||{},se,Oe.identifier,H)},saveAll:re=>Ze.saveAll(re),applyEdit(re){return qt.applyWorkspaceEdit(re)},createFileSystemWatcher:(re,de,Pe,H)=>Pt.createFileSystemWatcher(U.GlobPattern.from(re),de,Pe,H),get textDocuments(){return mt.getAllDocumentData().map(re=>re.document)},set textDocuments(re){throw R.readonly()},openTextDocument(re){let de;const Pe=re;if(typeof re=="string")de=Promise.resolve(P.URI.file(re));else if(P.URI.isUri(re))de=Promise.resolve(re);else if(!Pe||typeof Pe=="object")de=mt.createDocumentData(Pe);else throw new Error("illegal argument - uriOrFileNameOrOptions");return de.then(H=>mt.ensureDocumentData(H).then(x=>x.document))},onDidOpenTextDocument:(re,de,Pe)=>mt.onDidAddDocument(re,de,Pe),onDidCloseTextDocument:(re,de,Pe)=>mt.onDidRemoveDocument(re,de,Pe),onDidChangeTextDocument:(re,de,Pe)=>mt.onDidChangeDocument(re,de,Pe),onDidSaveTextDocument:(re,de,Pe)=>mt.onDidSaveDocument(re,de,Pe),onWillSaveTextDocument:(re,de,Pe)=>Ft.getOnWillSaveTextDocumentEvent(Oe)(re,de,Pe),onDidChangeConfiguration:(re,de,Pe)=>Xt.onDidChangeConfiguration(re,de,Pe),getConfiguration(re,de){return de=arguments.length===1?void 0:de,Xt.getConfiguration(re,de,Oe)},registerTextDocumentContentProvider(re,de){return Lt.registerTextDocumentContentProvider(re,de)},registerTaskProvider:(re,de)=>(et.report("window.registerTaskProvider",Oe,"Use the corresponding function on the 'tasks' namespace instead"),gt.registerTaskProvider(Oe,re,de)),registerFileSystemProvider(re,de,Pe){return hn.registerFileSystemProvider(Oe.identifier,re,de,Pe)},get fs(){return qe.value},registerFileSearchProvider:(re,de)=>((0,X.checkProposedApiEnabled)(Oe),Ct.registerFileSearchProvider(re,de)),registerTextSearchProvider:(re,de)=>((0,X.checkProposedApiEnabled)(Oe),Ct.registerTextSearchProvider(re,de)),registerRemoteAuthorityResolver:(re,de)=>((0,X.checkProposedApiEnabled)(Oe),Xe.registerRemoteAuthorityResolver(re,de)),registerResourceLabelFormatter:re=>((0,X.checkProposedApiEnabled)(Oe),mn.$registerResourceLabelFormatter(re)),onDidCreateFiles:(re,de,Pe)=>Pt.onDidCreateFile(re,de,Pe),onDidDeleteFiles:(re,de,Pe)=>Pt.onDidDeleteFile(re,de,Pe),onDidRenameFiles:(re,de,Pe)=>Pt.onDidRenameFile(re,de,Pe),onWillCreateFiles:(re,de,Pe)=>Pt.getOnWillCreateFileEvent(Oe)(re,de,Pe),onWillDeleteFiles:(re,de,Pe)=>Pt.getOnWillDeleteFileEvent(Oe)(re,de,Pe),onWillRenameFiles:(re,de,Pe)=>Pt.getOnWillRenameFileEvent(Oe)(re,de,Pe),openTunnel:re=>((0,X.checkProposedApiEnabled)(Oe),Re.openTunnel(Oe,re).then(de=>{if(!de)throw new Error("cannot open tunnel");return de})),get tunnels(){return(0,X.checkProposedApiEnabled)(Oe),Re.getTunnels()},onDidChangeTunnels:(re,de,Pe)=>((0,X.checkProposedApiEnabled)(Oe),Re.onDidChangeTunnels(re,de,Pe)),registerPortAttributesProvider:(re,de)=>((0,X.checkProposedApiEnabled)(Oe),Re.registerPortsAttributesProvider(re,de)),registerTimelineProvider:(re,de)=>((0,X.checkProposedApiEnabled)(Oe),zt.registerTimelineProvider(re,de,Oe.identifier,it.converter)),get trustState(){return(0,X.checkProposedApiEnabled)(Oe),(0,X.checkRequiresWorkspaceTrust)(Oe),Ze.trustState},requireWorkspaceTrust:re=>((0,X.checkProposedApiEnabled)(Oe),(0,X.checkRequiresWorkspaceTrust)(Oe),Ze.requireWorkspaceTrust(re)),onDidChangeWorkspaceTrustState:(re,de,Pe)=>Ze.onDidChangeWorkspaceTrustState(re,de,Pe)},Dn={get inputBox(){return et.report("scm.inputBox",Oe,"Use 'SourceControl.inputBox' instead"),tn.getLastInputBox(Oe)},createSourceControl(re,de,Pe){return tn.createSourceControl(Oe,re,de,Pe)}},cn={createCommentController(re,de){return fn.createCommentController(Oe,re,de)}},Cn={get activeDebugSession(){return at.activeDebugSession},get activeDebugConsole(){return at.activeDebugConsole},get breakpoints(){return at.breakpoints},onDidStartDebugSession(re,de,Pe){return at.onDidStartDebugSession(re,de,Pe)},onDidTerminateDebugSession(re,de,Pe){return at.onDidTerminateDebugSession(re,de,Pe)},onDidChangeActiveDebugSession(re,de,Pe){return at.onDidChangeActiveDebugSession(re,de,Pe)},onDidReceiveDebugSessionCustomEvent(re,de,Pe){return at.onDidReceiveDebugSessionCustomEvent(re,de,Pe)},onDidChangeBreakpoints(re,de,Pe){return at.onDidChangeBreakpoints(re,de,Pe)},registerDebugConfigurationProvider(re,de,Pe){return at.registerDebugConfigurationProvider(re,de,Pe||F.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(re,de){return at.registerDebugAdapterDescriptorFactory(Oe,re,de)},registerDebugAdapterTrackerFactory(re,de){return at.registerDebugAdapterTrackerFactory(re,de)},startDebugging(re,de,Pe){return!Pe||typeof Pe=="object"&&"configuration"in Pe?at.startDebugging(re,de,{parentSession:Pe}):at.startDebugging(re,de,Pe||{})},stopDebugging(re){return at.stopDebugging(re)},addBreakpoints(re){return at.addBreakpoints(re)},removeBreakpoints(re){return at.removeBreakpoints(re)},asDebugSourceUri(re,de){return at.asDebugSourceUri(re,de)}},kn={registerTaskProvider:(re,de)=>gt.registerTaskProvider(Oe,re,de),fetchTasks:re=>gt.fetchTasks(re),executeTask:re=>gt.executeTask(Oe,re),get taskExecutions(){return gt.taskExecutions},onDidStartTask:(re,de,Pe)=>gt.onDidStartTask(re,de,Pe),onDidEndTask:(re,de,Pe)=>gt.onDidEndTask(re,de,Pe),onDidStartTaskProcess:(re,de,Pe)=>gt.onDidStartTaskProcess(re,de,Pe),onDidEndTaskProcess:(re,de,Pe)=>gt.onDidEndTaskProcess(re,de,Pe)},Yt={openNotebookDocument:re=>((0,X.checkProposedApiEnabled)(Oe),ht.openNotebookDocument(re)),get onDidOpenNotebookDocument(){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidCloseNotebookDocument},get onDidSaveNotebookDocument(){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidSaveNotebookDocument},get notebookDocuments(){return(0,X.checkProposedApiEnabled)(Oe),ht.notebookDocuments.map(re=>re.notebookDocument)},get onDidChangeActiveNotebookKernel(){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeActiveNotebookKernel},registerNotebookContentProvider:(re,de,Pe)=>((0,X.checkProposedApiEnabled)(Oe),ht.registerNotebookContentProvider(Oe,re,de,Pe)),registerNotebookKernelProvider:(re,de)=>((0,X.checkProposedApiEnabled)(Oe),ht.registerNotebookKernelProvider(Oe,re,de)),createNotebookEditorDecorationType(re){return(0,X.checkProposedApiEnabled)(Oe),ht.createNotebookEditorDecorationType(re)},onDidChangeNotebookDocumentMetadata(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeNotebookDocumentMetadata(re,de,Pe)},onDidChangeNotebookCells(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeNotebookCells(re,de,Pe)},onDidChangeCellOutputs(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeCellOutputs(re,de,Pe)},onDidChangeCellMetadata(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.onDidChangeCellMetadata(re,de,Pe)},createConcatTextDocument(re,de){return(0,X.checkProposedApiEnabled)(Oe),new K.ExtHostNotebookConcatDocument(ht,mt,re,de)},createCellStatusBarItem(re,de,Pe){return(0,X.checkProposedApiEnabled)(Oe),ht.createNotebookCellStatusBarItemInternal(re,de,Pe)}};return{version:He.version,authentication:bn,commands:sn,comments:cn,debug:Cn,env:on,extensions:En,languages:Sn,notebook:Yt,scm:Dn,tasks:kn,test:Qt,window:yn,workspace:ln,Breakpoint:F.Breakpoint,CallHierarchyIncomingCall:F.CallHierarchyIncomingCall,CallHierarchyItem:F.CallHierarchyItem,CallHierarchyOutgoingCall:F.CallHierarchyOutgoingCall,CancellationError:R.CancellationError,CancellationTokenSource:y.CancellationTokenSource,CandidatePortSource:h.CandidatePortSource,CodeAction:F.CodeAction,CodeActionKind:F.CodeActionKind,CodeActionTriggerKind:F.CodeActionTriggerKind,CodeLens:F.CodeLens,Color:F.Color,ColorInformation:F.ColorInformation,ColorPresentation:F.ColorPresentation,ColorThemeKind:F.ColorThemeKind,CommentMode:F.CommentMode,CommentThreadCollapsibleState:F.CommentThreadCollapsibleState,CompletionItem:F.CompletionItem,CompletionItemKind:F.CompletionItemKind,CompletionItemTag:F.CompletionItemTag,CompletionList:F.CompletionList,CompletionTriggerKind:F.CompletionTriggerKind,ConfigurationTarget:F.ConfigurationTarget,CustomExecution:F.CustomExecution,DebugAdapterExecutable:F.DebugAdapterExecutable,DebugAdapterInlineImplementation:F.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:F.DebugAdapterNamedPipeServer,DebugAdapterServer:F.DebugAdapterServer,DebugConfigurationProviderTriggerKind:F.DebugConfigurationProviderTriggerKind,DebugConsoleMode:F.DebugConsoleMode,DecorationRangeBehavior:F.DecorationRangeBehavior,Diagnostic:F.Diagnostic,DiagnosticRelatedInformation:F.DiagnosticRelatedInformation,DiagnosticSeverity:F.DiagnosticSeverity,DiagnosticTag:F.DiagnosticTag,Disposable:F.Disposable,DocumentHighlight:F.DocumentHighlight,DocumentHighlightKind:F.DocumentHighlightKind,DocumentLink:F.DocumentLink,DocumentSymbol:F.DocumentSymbol,EndOfLine:F.EndOfLine,EnvironmentVariableMutatorType:F.EnvironmentVariableMutatorType,EvaluatableExpression:F.EvaluatableExpression,InlineValueText:F.InlineValueText,InlineValueVariableLookup:F.InlineValueVariableLookup,InlineValueEvaluatableExpression:F.InlineValueEvaluatableExpression,EventEmitter:I.Emitter,ExtensionKind:F.ExtensionKind,ExtensionMode:F.ExtensionMode,ExternalUriOpenerPriority:F.ExternalUriOpenerPriority,FileChangeType:F.FileChangeType,FileDecoration:F.FileDecoration,FileSystemError:F.FileSystemError,FileType:b.FileType,FoldingRange:F.FoldingRange,FoldingRangeKind:F.FoldingRangeKind,FunctionBreakpoint:F.FunctionBreakpoint,Hover:F.Hover,IndentAction:A.IndentAction,Location:F.Location,MarkdownString:F.MarkdownString,OverviewRulerLane:n.OverviewRulerLane,ParameterInformation:F.ParameterInformation,PortAutoForwardAction:F.PortAutoForwardAction,Position:F.Position,ProcessExecution:F.ProcessExecution,ProgressLocation:F.ProgressLocation,QuickInputButtons:F.QuickInputButtons,Range:F.Range,RelativePattern:F.RelativePattern,Selection:F.Selection,SelectionRange:F.SelectionRange,SemanticTokens:F.SemanticTokens,SemanticTokensBuilder:F.SemanticTokensBuilder,SemanticTokensEdit:F.SemanticTokensEdit,SemanticTokensEdits:F.SemanticTokensEdits,SemanticTokensLegend:F.SemanticTokensLegend,ShellExecution:F.ShellExecution,ShellQuoting:F.ShellQuoting,SignatureHelp:F.SignatureHelp,SignatureHelpTriggerKind:F.SignatureHelpTriggerKind,SignatureInformation:F.SignatureInformation,SnippetString:F.SnippetString,SourceBreakpoint:F.SourceBreakpoint,StandardTokenType:F.StandardTokenType,StatusBarAlignment:F.StatusBarAlignment,SymbolInformation:F.SymbolInformation,SymbolKind:F.SymbolKind,SymbolTag:F.SymbolTag,Task:F.Task,TaskGroup:F.TaskGroup,TaskPanelKind:F.TaskPanelKind,TaskRevealKind:F.TaskRevealKind,TaskScope:F.TaskScope,TextDocumentSaveReason:F.TextDocumentSaveReason,TextEdit:F.TextEdit,TextEditorCursorStyle:E.TextEditorCursorStyle,TextEditorLineNumbersStyle:F.TextEditorLineNumbersStyle,TextEditorRevealType:F.TextEditorRevealType,TextEditorSelectionChangeKind:F.TextEditorSelectionChangeKind,ThemeColor:F.ThemeColor,ThemeIcon:F.ThemeIcon,TreeItem:F.TreeItem,TreeItemCollapsibleState:F.TreeItemCollapsibleState,UIKind:h.UIKind,Uri:P.URI,ViewColumn:F.ViewColumn,WorkspaceEdit:F.WorkspaceEdit,InlineHint:F.InlineHint,InlineHintKind:F.InlineHintKind,RemoteAuthorityResolverError:F.RemoteAuthorityResolverError,ResolvedAuthority:F.ResolvedAuthority,SourceControlInputBoxValidationType:F.SourceControlInputBoxValidationType,ExtensionRuntime:F.ExtensionRuntime,TimelineItem:F.TimelineItem,NotebookCellRange:F.NotebookCellRange,NotebookCellKind:F.NotebookCellKind,NotebookCellRunState:F.NotebookCellRunState,NotebookDocumentMetadata:F.NotebookDocumentMetadata,NotebookCellMetadata:F.NotebookCellMetadata,NotebookCellData:F.NotebookCellData,NotebookData:F.NotebookData,NotebookRunState:F.NotebookRunState,NotebookCellStatusBarAlignment:F.NotebookCellStatusBarAlignment,NotebookEditorRevealType:F.NotebookEditorRevealType,NotebookCellOutput:F.NotebookCellOutput,NotebookCellOutputItem:F.NotebookCellOutputItem,LinkedEditingRanges:F.LinkedEditingRanges,TestItem:F.TestItem,TestState:F.TestState,TestResult:F.TestResult,TestMessage:F.TestMessage,TestMessageSeverity:F.TestMessageSeverity,WorkspaceTrustState:F.WorkspaceTrustState}}}e.createApiFactoryAndRegisterActors=me}),define(ge[267],pe([0,1,79,64,33,123,36,51,38,35,66,45,68,89,88,50,63,124,87,61,86,117]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w,d,u,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,_.registerSingleton)(h.IExtensionStoragePaths,h.ExtensionStoragePaths),(0,_.registerSingleton)(S.IExtHostApiDeprecationService,S.ExtHostApiDeprecationService),(0,_.registerSingleton)(P.IExtHostCommands,P.ExtHostCommands),(0,_.registerSingleton)(D.IExtHostConfiguration,D.ExtHostConfiguration),(0,_.registerSingleton)(w.IExtHostConsumerFileSystem,w.ExtHostConsumerFileSystem),(0,_.registerSingleton)(k.IExtHostDebugService,k.WorkerExtHostDebugService),(0,_.registerSingleton)(I.IExtHostDecorations,I.ExtHostDecorations),(0,_.registerSingleton)(E.IExtHostDocumentsAndEditors,E.ExtHostDocumentsAndEditors),(0,_.registerSingleton)(d.IExtHostFileSystemInfo,d.ExtHostFileSystemInfo),(0,_.registerSingleton)(y.IExtHostOutputService,y.ExtHostOutputService),(0,_.registerSingleton)(b.IExtHostSearch,b.ExtHostSearch),(0,_.registerSingleton)(l.IExtHostStorage,l.ExtHostStorage),(0,_.registerSingleton)(A.IExtHostTask,A.WorkerExtHostTask),(0,_.registerSingleton)(n.IExtHostTerminalService,n.WorkerExtHostTerminalService),(0,_.registerSingleton)(g.IExtHostTunnelService,g.ExtHostTunnelService),(0,_.registerSingleton)(p.IExtHostWindow,p.ExtHostWindow),(0,_.registerSingleton)(R.IExtHostWorkspace,R.ExtHostWorkspace),(0,_.registerSingleton)(u.IExtHostSecretState,u.ExtHostSecretState),(0,_.registerSingleton)(a.IExtHostTelemetry,a.ExtHostTelemetry)}),define(ge[90],pe([0,1,12,13,32,125]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function D(k){return k.startsWith("**")||k.startsWith("/")?k:`/${k}`}e.anchorGlob=D;function P(k,b,h,l){const g=(0,_.mapArrayOrNot)(h,E),S=new R.TextSearchMatch(b,g,l),p=S.preview.matches;return{ranges:(0,_.mapArrayOrNot)(g,n),uri:k,preview:{text:S.preview.text,matches:(0,_.mapArrayOrNot)(p,n)}}}e.createTextSearchResult=P;function E(k){return new R.SearchRange(k.start.line,k.start.character,k.end.line,k.end.character)}function n(k){return new I.Range(k.startLineNumber,k.startColumn,k.endLineNumber,k.endColumn)}let A=class{constructor(b,h){this.prefix=b,this.logService=h}appendLine(b){this.logService.debug(`${this.prefix}#search`,b)}};A=je([Ue(1,y.ILogService)],A),e.OutputChannel=A}),define(ge[268],pe([0,1,91,26]),function(J,e,_,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function R(t){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(i=>i===t)}e.isUTFEncoding=R,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const I=512,D=512,P=512*8,E=512*128;class n{constructor(i){this.iconvLiteDecoder=i}static async create(i){let s;if(i!==e.UTF8)s=(await new Promise((r,c)=>{J(["iconv-lite-umd"],r,c)})).getDecoder(h(i));else{const o=new TextDecoder;s={write(r){return o.decode(r,{stream:!0})},end(){return o.decode()}}}return new n(s)}write(i){return this.iconvLiteDecoder.write(i)}end(){return this.iconvLiteDecoder.end()}}function A(t,i){var s;const o=((s=i.minBytesRequiredForDetection)!==null&&s!==void 0?s:i.guessEncoding)?P:D;return new Promise((r,c)=>{const v=(0,_.newWriteableStream)(L=>L.join("")),C=[];let m=0,f;const T=async()=>{try{const L=await a({buffer:y.VSBuffer.concat(C),bytesRead:m},i.guessEncoding);L.encoding=await i.overwriteEncoding(L.encoding),f=await n.create(L.encoding);const B=f.write(y.VSBuffer.concat(C).buffer);v.write(B),C.length=0,m=0,r({stream:v,detected:L})}catch(L){c(L)}};(0,_.listenStream)(t,{onData:async L=>{f?v.write(f.write(L.buffer)):(C.push(L),m+=L.byteLength,m>=o&&(t.pause(),await T(),setTimeout(()=>t.resume())))},onError:L=>v.error(L),onEnd:async()=>{f||await T(),v.end(f==null?void 0:f.end())}})})}e.toDecodeStream=A;async function k(t,i,s){const r=(await new Promise((C,m)=>{J(["iconv-lite-umd"],C,m)})).getEncoder(h(i),s);let c=!1,v=!1;return{read(){if(v)return null;const C=t.read();if(typeof C!="string"){if(v=!0,!c&&(s==null?void 0:s.addBOM))switch(i){case e.UTF8:case e.UTF8_with_bom:return y.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return y.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return y.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const m=r.end();return m&&m.length>0?(c=!0,y.VSBuffer.wrap(m)):null}return c=!0,y.VSBuffer.wrap(r.write(C))}}}e.toEncodeReadable=k;async function b(t){return(await new Promise((s,o)=>{J(["iconv-lite-umd"],s,o)})).encodingExists(h(t))}e.encodingExists=b;function h(t){return t===e.UTF8_with_bom||t===null?e.UTF8:t}e.toNodeEncoding=h;function l(t,i){if(!t||i<e.UTF16be_BOM.length)return null;const s=t.readUInt8(0),o=t.readUInt8(1);if(s===e.UTF16be_BOM[0]&&o===e.UTF16be_BOM[1])return e.UTF16be;if(s===e.UTF16le_BOM[0]&&o===e.UTF16le_BOM[1])return e.UTF16le;if(i<e.UTF8_BOM.length)return null;const r=t.readUInt8(2);return s===e.UTF8_BOM[0]&&o===e.UTF8_BOM[1]&&r===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=l;const g=["ascii","utf-16","utf-32"];async function S(t){const i=await new Promise((v,C)=>{J(["jschardet"],v,C)}),s=t.slice(0,E),o=d(s.buffer),r=i.detect(o);if(!r||!r.encoding)return null;const c=r.encoding.toLowerCase();return 0<=g.indexOf(c)?null:w(r.encoding)}const p={ibm866:"cp866",big5:"cp950"};function w(t){const i=t.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return p[i]||i}function d(t){let i="";for(let s=0;s<t.length;s++)i+=String.fromCharCode(t[s]);return i}function u(t){switch(t){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:const i=t.match(/windows(\d+)/);return i?"windows-"+i[1]:t}}e.toCanonicalName=u;function a({buffer:t,bytesRead:i},s){let o=l(t,i),r=!1;if(o!==e.UTF16be&&o!==e.UTF16le&&t){let c=!0,v=!0,C=!1;for(let m=0;m<i&&m<I;m++){const f=m%2==1,T=t.readUInt8(m)===0;if(T&&(C=!0),c&&(f&&!T||!f&&T)&&(c=!1),v&&(f&&T||!f&&!T)&&(v=!1),T&&!c&&!v)break}C&&(c?o=e.UTF16le:v?o=e.UTF16be:r=!0)}return s&&!r&&!o&&t?S(t.slice(0,i)).then(c=>({seemsBinary:!1,encoding:c})):{seemsBinary:r,encoding:o}}e.detectEncodingFromBuffer=a,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(ge[127],pe([0,1,268,25,126]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class I extends R.TextSearchManager{constructor(P,E,n=y){super(P,E,{readdir:A=>n.readdir(A.fsPath),toCanonicalName:A=>(0,_.toCanonicalName)(A)})}}e.NativeTextSearchManager=I}),define(ge[269],pe([0,1,270,284,285,2,286]),function(J,e,_,y,R,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function P(k,b,h,l,g,S){const p=S.environment.useHostProxy,w=typeof p=="boolean"?p:!S.remote.isRemote,d=(0,D.createProxyResolver)({resolveProxy:a=>k.resolveProxy(a),getHttpProxySetting:()=>b.getConfiguration("http").get("proxy"),log:(a,t,...i)=>{switch(a){case D.LogLevel.Trace:l.trace(t,...i);break;case D.LogLevel.Debug:l.debug(t,...i);break;case D.LogLevel.Info:l.info(t,...i);break;case D.LogLevel.Warning:l.warn(t,...i);break;case D.LogLevel.Error:l.error(t,...i);break;case D.LogLevel.Critical:l.critical(t,...i);break;case D.LogLevel.Off:break;default:s(a,t,i);break}function s(o,r,...c){l.error("Unknown log level",o),l.error(r,...c)}},getLogLevel:()=>l.getLevel(),proxyResolveTelemetry:a=>{g.$publicLog2("resolveProxy",a)},useHostProxy:w,env:process.env}),u=E(b,d);return A(h,u)}e.connectProxyResolver=P;function E(k,b){const h={config:k.getConfiguration("http").get("proxySupport")||"off"};k.onDidChangeConfiguration(g=>{h.config=k.getConfiguration("http").get("proxySupport")||"off"});const l={config:!!k.getConfiguration("http").get("systemCertificates")};return k.onDidChangeConfiguration(g=>{l.config=!!k.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},_,(0,D.createHttpPatch)(_,b,{config:"off"},l,!0)),on:Object.assign({},_,(0,D.createHttpPatch)(_,b,{config:"on"},l,!0)),override:Object.assign({},_,(0,D.createHttpPatch)(_,b,{config:"override"},l,!0)),onRequest:Object.assign({},_,(0,D.createHttpPatch)(_,b,h,l,!0)),default:Object.assign(_,(0,D.createHttpPatch)(_,b,h,l,!1))},https:{off:Object.assign({},y,(0,D.createHttpPatch)(y,b,{config:"off"},l,!0)),on:Object.assign({},y,(0,D.createHttpPatch)(y,b,{config:"on"},l,!0)),override:Object.assign({},y,(0,D.createHttpPatch)(y,b,{config:"override"},l,!0)),onRequest:Object.assign({},y,(0,D.createHttpPatch)(y,b,h,l,!0)),default:Object.assign(y,(0,D.createHttpPatch)(y,b,h,l,!1))},tls:Object.assign(R,(0,D.createTlsPatch)(R))}}const n=new Map;function A(k,b){return k.getExtensionPathIndex().then(h=>{const l=J.__$__nodeRequire("module"),g=l._load;l._load=function(p,w,d){if(p==="tls")return b.tls;if(p!=="http"&&p!=="https")return g.apply(this,arguments);const u=b[p],a=h.findSubstr(I.URI.file(w.filename).fsPath);let t=n.get(a);if(t||n.set(a,t={}),!t[p]){let i=u.default;a&&a.enableProposedApi&&(i=u[a.proxySupport]||u.onRequest),t[p]=Object.assign({},i)}return t[p]}})}}),define(ge[271],pe([0,1,39,7,75,31,10,9,90,272]),function(J,e,_,y,R,I,D,P,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const A=n.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function k(d,u,a,t){const i=b(d,u,a,t),s=u.folder.fsPath;return{cmd:_.spawn(A,i.args,{cwd:s}),rgDiskPath:A,siblingClauses:i.siblingClauses,rgArgs:i,cwd:s}}e.spawnRipgrepCmd=k;function b(d,u,a,t){const i=["--files","--hidden","--case-sensitive"];l([u],a,!1).forEach(o=>{const r=(0,E.anchorGlob)(o);if(i.push("-g",r),D.isMacintosh){const c=(0,R.normalizeNFD)(r);c!==r&&i.push("-g",c)}});const s=h([u],t,void 0,!1);return s.globArgs.forEach(o=>{const r=`!${(0,E.anchorGlob)(o)}`;if(i.push("-g",r),D.isMacintosh){const c=(0,R.normalizeNFD)(r);c!==r&&i.push("-g",c)}}),u.disregardIgnoreFiles!==!1?i.push("--no-ignore"):i.push("--no-ignore-parent"),u.ignoreSymlinks||i.push("--follow"),d.exists&&i.push("--quiet"),i.push("--no-config"),u.disregardGlobalIgnoreFiles&&i.push("--no-ignore-global"),{args:i,siblingClauses:s.siblingClauses}}function h(d,u,a,t=!0){const i=[];let s={};return d.forEach(o=>{const r=Object.assign({},o.excludePattern||{},u||{}),c=g(r,t?o.folder.fsPath:void 0,a);i.push(...c.globArgs),c.siblingClauses&&(s=Object.assign(s,c.siblingClauses))}),{globArgs:i,siblingClauses:s}}e.foldersToRgExcludeGlobs=h;function l(d,u,a=!0){const t=[];return d.forEach(i=>{const s=Object.assign({},u||{},i.includePattern||{}),o=g(s,a?i.folder.fsPath:void 0);t.push(...o.globArgs)}),t}e.foldersToIncludeGlobs=l;function g(d,u,a){const t=[],i={};return Object.keys(d).forEach(s=>{if(!(a&&a.has(s))&&!!s){const o=d[s];s=p(u?S(u,s):s),s.startsWith("\\\\")?s="\\\\"+s.substr(2).replace(/\\/g,"/"):s=s.replace(/\\/g,"/"),typeof o=="boolean"&&o?(s.startsWith("\\\\")&&(s+="**"),t.push(w(s))):o&&o.when&&(i[s]=o)}}),{globArgs:t,siblingClauses:i}}function S(d,u){return y.isAbsolute(u)?u:y.join(d,u)}e.getAbsoluteGlob=S;function p(d){return d=P.rtrim(d,"\\"),P.rtrim(d,"/")}function w(d){return I.getRoot(d).toLowerCase()==="c:/"?d.replace(/^c:[/\\]/i,"/"):d}e.fixDriveC=w}),define(ge[273],pe([0,1,39,37,7,98,12,58,34,75,31,10,46,9,15,25,32,271,96]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const d=new Set;process.on("exit",()=>{d.forEach(s=>s())});class u{constructor(o){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=o,this.filePattern=o.filePattern||"",this.includePattern=o.includePattern&&E.parse(o.includePattern),this.maxResults=o.maxResults||null,this.exists=!!o.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=(0,w.prepareQuery)(this.filePattern).normalizedLowercase),this.globalExcludePattern=o.excludePattern&&E.parse(o.excludePattern),this.folderExcludePatterns=new Map,o.folderQueries.forEach(r=>{const c=Object.assign({},r.excludePattern||{},this.config.excludePattern||{}),v=r.folder.fsPath;o.folderQueries.map(C=>C.folder.fsPath).filter(C=>C!==v).forEach(C=>{(0,A.isEqualOrParent)(C,v)&&(c[R.relative(v,C)]=!0)}),this.folderExcludePatterns.set(v,new t(c,v))})}cancel(){this.isCanceled=!0}walk(o,r,c,v,C){if(this.fileWalkSW=b.StopWatch.create(!1),this.isCanceled)return C(null,this.isLimitHit);r.forEach(m=>{const f=R.basename(m.fsPath);this.globalExcludePattern&&this.globalExcludePattern(m.fsPath,f)||this.matchFile(c,{relativePath:m.fsPath,searchPath:void 0})}),this.cmdSW=b.StopWatch.create(!1),this.parallel(o,(m,f)=>{this.call(this.cmdTraversal,this,m,c,v,T=>{if(T){const L=(0,P.toErrorMessage)(T);console.error(L),this.errors.push(L),f(T,void 0)}else f(null,void 0)})},(m,f)=>{this.fileWalkSW.stop();const T=m?D.coalesce(m)[0]:null;C(T,this.isLimitHit)})}parallel(o,r,c){const v=new Array(o.length),C=new Array(o.length);let m=!1,f=0;if(o.length===0)return c(null,[]);o.forEach((T,L)=>{r(T,(B,te)=>{if(B?(m=!0,v[L]=null,C[L]=B):(v[L]=te,C[L]=null),++f===o.length)return c(m?C:null,v)})})}call(o,r,...c){try{o.apply(r,c)}catch(v){c[c.length-1](v)}}cmdTraversal(o,r,c,v){const C=o.folder.fsPath,m=k.isMacintosh;let f;const T=()=>f&&f.kill();d.add(T);let L=U=>{d.delete(T),L=()=>{},v(U)},B="";const te=this.initDirectoryTree();let j;const W=(0,p.spawnRipgrepCmd)(this.config,o,this.config.includePattern,this.folderExcludePatterns.get(o.folder.fsPath).expression);f=W.cmd,j=!Object.keys(W.siblingClauses).length;const $=W.rgArgs.args.map(U=>U.match(/^-/)?U:`'${U}'`).join(" ");let O=`${W.rgDiskPath} ${$}
 - cwd: ${W.cwd}`;W.rgArgs.siblingClauses&&(O+=`
 - Sibling clauses: ${JSON.stringify(W.rgArgs.siblingClauses)}`),c({message:O}),this.cmdResultCount=0,this.collectStdout(f,"utf8",c,(U,F,N)=>{if(U){L(U);return}if(this.isLimitHit){L();return}const V=(B+(m?n.normalizeNFC(F||""):F)).split(`
`);if(N){const q=V.length;V[q-1]=V[q-1].trim(),V[q-1]||V.pop()}else B=V.pop()||"";if(V.length&&V[0].indexOf(`
`)!==-1){L(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=V.length,j){for(const q of V)if(this.matchFile(r,{base:C,relativePath:q,searchPath:this.getSearchPath(o,q)}),this.isLimitHit){T();break}(N||this.isLimitHit)&&L();return}this.addDirectoryEntries(o,te,C,V,r),N&&(this.matchDirectoryTree(te,C,r),L())})}spawnFindCmd(o){const r=this.folderExcludePatterns.get(o.folder.fsPath),c=r.getBasenameTerms(),v=r.getPathTerms(),C=["-L","."];if(c.length||v.length){C.push("-not","(","(");for(const m of c)C.push("-name",m),C.push("-o");for(const m of v)C.push("-path",m),C.push("-o");C.pop(),C.push(")","-prune",")")}return C.push("-type","f"),_.spawn("find",C,{cwd:o.folder.fsPath})}readStdout(o,r,c){let v="";this.collectStdout(o,r,()=>{},(C,m,f)=>{if(C){c(C);return}v+=m,f&&c(null,v)})}collectStdout(o,r,c,v){let C=(T,L,B)=>{(T||B)&&(C=()=>{},this.cmdSW&&this.cmdSW.stop()),v(T,L,B)},m=!1;o.stdout?(this.forwardData(o.stdout,r,C),o.stdout.once("data",()=>m=!0)):c({message:"stdout is null"});let f;o.stderr?f=this.collectData(o.stderr):c({message:"stderr is null"}),o.on("error",T=>{C(T)}),o.on("close",T=>{let L;!m&&(L=this.decodeData(f,r))&&i(L)?C(new Error(`command failed with error code ${T}: ${this.decodeData(f,r)}`)):(this.exists&&T===0&&(this.isLimitHit=!0),C(null,"",!0))})}forwardData(o,r,c){const v=new I.StringDecoder(r);return o.on("data",C=>{c(null,v.write(C))}),v}collectData(o){const r=[];return o.on("data",c=>{r.push(c)}),r}decodeData(o,r){const c=new I.StringDecoder(r);return o.map(v=>c.write(v)).join("")}initDirectoryTree(){const o={rootEntries:[],pathToEntries:Object.create(null)};return o.pathToEntries["."]=o.rootEntries,o}addDirectoryEntries(o,{pathToEntries:r},c,v,C){v.indexOf(this.filePattern)!==-1&&this.matchFile(C,{base:c,relativePath:this.filePattern,searchPath:this.getSearchPath(o,this.filePattern)});const m=f=>{const T=R.basename(f),L=R.dirname(f);let B=r[L];B||(B=r[L]=[],m(L)),B.push({base:c,relativePath:f,basename:T,searchPath:this.getSearchPath(o,f)})};v.forEach(m)}matchDirectoryTree({rootEntries:o,pathToEntries:r},c,v){const C=this,m=this.folderExcludePatterns.get(c),f=this.filePattern;function T(L){C.directoriesWalked++;const B=E.hasSiblingFn(()=>L.map(te=>te.basename));for(let te=0,j=L.length;te<j;te++){const W=L[te],{relativePath:$,basename:O}=W;if(!m.test($,O,f!==O?B:void 0)){const U=r[$];if(U)T(U);else{if(C.filesWalked++,$===f)continue;C.matchFile(v,W)}if(C.isLimitHit)break}}}T(o)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(o,r,c,v,C){const m=o.folder,f=E.hasSiblingFn(()=>c);this.parallel(c,(T,L)=>{if(this.isCanceled||this.isLimitHit)return L(null);const B=r?[r,T].join(R.sep):T;if(this.folderExcludePatterns.get(o.folder.fsPath).test(B,T,this.config.filePattern!==T?f:void 0))return L(null);const te=[m.fsPath,B].join(R.sep);y.lstat(te,(j,W)=>{if(j||this.isCanceled||this.isLimitHit)return L(null);this.statLinkIfNeeded(te,W,($,O)=>$||this.isCanceled||this.isLimitHit?L(null):O.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(te,W,(U,F)=>U||this.isCanceled||this.isLimitHit||(F=F||"",this.walkedPaths[F])?L(null):(this.walkedPaths[F]=!0,(0,g.readdir)(te).then(N=>{if(this.isCanceled||this.isLimitHit)return L(null);this.doWalk(o,B,N,v,M=>L(M||null))},N=>{L(null)})))):(this.filesWalked++,B===this.filePattern||this.maxFilesize&&l.isNumber(O.size)&&O.size>this.maxFilesize||this.matchFile(v,{base:m.fsPath,relativePath:B,searchPath:this.getSearchPath(o,B)}),L(null,void 0)))})},T=>{const L=T&&D.coalesce(T);return C(L&&L.length>0?L[0]:void 0)})}matchFile(o,r){this.isFileMatch(r)&&(!this.includePattern||this.includePattern(r.relativePath,R.basename(r.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||o(r))}isFileMatch(o){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return(0,S.isFilePatternMatch)(o,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(o,r,c){return r.isSymbolicLink()?y.stat(o,c):c(null,r)}realPathIfNeeded(o,r,c){return r.isSymbolicLink()?y.realpath(o,(v,C)=>v?c(v):c(null,C)):c(null,o)}getSearchPath(o,r){return o.folderName?R.join(o.folderName,r):r}}e.FileWalker=u;class a{constructor(o){this.folderQueries=o.folderQueries,this.extraFiles=o.extraFileResources||[],this.walker=new u(o)}search(o,r,c){this.walker.walk(this.folderQueries,this.extraFiles,o,r,(v,C)=>{c(v,{limitHit:C,stats:this.walker.getStats()})})}cancel(){this.walker.cancel()}}e.Engine=a;class t{constructor(o,r){this.expression=o,this.root=r,this.init(o)}init(o){let r,c;Object.keys(o).filter(v=>o[v]).forEach(v=>{R.isAbsolute(v)?(r=r||E.getEmptyExpression(),r[v]=o[v]):(c=c||E.getEmptyExpression(),c[v]=o[v])}),this.absoluteParsedExpr=r&&E.parse(r,{trimForExclusions:!0}),this.relativeParsedExpr=c&&E.parse(c,{trimForExclusions:!0})}test(o,r,c){return this.relativeParsedExpr&&this.relativeParsedExpr(o,r,c)||this.absoluteParsedExpr&&this.absoluteParsedExpr(R.join(this.root,o),r,c)}getBasenameTerms(){const o=[];return this.absoluteParsedExpr&&o.push(...E.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&o.push(...E.getBasenameTerms(this.relativeParsedExpr)),o}getPathTerms(){const o=[];return this.absoluteParsedExpr&&o.push(...E.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&o.push(...E.getPathTerms(this.relativeParsedExpr)),o}}function i(s){const o=s.trim().split(`
`),r=o[0].trim();if(r.startsWith("Error parsing regex"))return r;if(r.startsWith("regex parse error"))return h.uppercaseFirstLetter(o[o.length-1].trim());if(r.startsWith("error parsing glob")||r.startsWith("unsupported encoding"))return r.charAt(0).toUpperCase()+r.substr(1);if(r==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(r.startsWith("Literal "))return r}e.rgErrorMsgForDisplay=i}),define(ge[128],pe([0,1,39,287,98,12,53,34,7,9,2,32,125,288,272,90]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const S=l.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class p{constructor(m){this.outputChannel=m}provideTextSearchResults(m,f,T,L){return this.outputChannel.appendLine(`provideTextSearchResults ${m.pattern}, ${JSON.stringify(Object.assign(Object.assign({},f),{folder:f.folder.toString()}))}`),new Promise((B,te)=>{L.onCancellationRequested(()=>M());const j=i(m,f),W=f.folder.fsPath,$=j.map(_e=>_e.match(/^-/)?_e:`'${_e}'`).join(" ");this.outputChannel.appendLine(`${S} ${$}
 - cwd: ${W}`);let O=_.spawn(S,j,{cwd:W});O.on("error",_e=>{console.error(_e),this.outputChannel.appendLine("Error: "+(_e&&_e.message)),te((0,k.serializeSearchError)(new k.SearchError(_e&&_e.message,k.SearchErrorCode.rgProcessError)))});let U=!1;const F=new u(f.maxResults,W,f.previewOptions);F.on("result",_e=>{U=!0,q="",T.report(_e)});let N=!1;const M=()=>{N=!0,O&&O.kill(),F&&F.cancel()};let V=!1;F.on("hitLimit",()=>{V=!0,M()});let q="";O.stdout.on("data",_e=>{F.handleData(_e),U||(q+=_e)});let X=!1;O.stdout.once("data",()=>X=!0);let fe="";O.stderr.on("data",_e=>{const Le=_e.toString();this.outputChannel.appendLine(Le),fe+=Le}),O.on("close",()=>{if(this.outputChannel.appendLine(X?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(U?"Got result from parser":"No result from parser"),q&&this.outputChannel.appendLine(`Got data without result: ${q}`),this.outputChannel.appendLine(""),N)B({limitHit:V});else{F.flush(),O=null;let _e;fe&&!X&&(_e=w(fe))?te((0,k.serializeSearchError)(new k.SearchError(_e.message,_e.code))):B({limitHit:V})}})})}}e.RipgrepTextSearchEngine=p;function w(C){const m=C.split(`
`),f=m[0].trim();if(m.some(L=>L.startsWith("regex parse error")))return new k.SearchError(d(m),k.SearchErrorCode.regexParseError);const T=f.match(/grep config error: unknown encoding: (.*)/);if(T)return new k.SearchError(`Unknown encoding: ${T[1]}`,k.SearchErrorCode.unknownEncoding);if(f.startsWith("error parsing glob"))return new k.SearchError(f.charAt(0).toUpperCase()+f.substr(1),k.SearchErrorCode.globParseError);if(f.startsWith("the literal"))return new k.SearchError(f.charAt(0).toUpperCase()+f.substr(1),k.SearchErrorCode.invalidLiteral);if(f.startsWith("PCRE2: error compiling pattern"))return new k.SearchError(f,k.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=w;function d(C){const m=["Regex parse error"],f=C.filter(T=>T.startsWith("PCRE2:"));if(f.length>=1){const T=f[0].replace("PCRE2:","");if(T.indexOf(":")!==-1&&T.split(":").length>=2){const L=T.split(":")[1];m.push(":"+L)}}return m.join("")}e.buildRegexParseError=d;class u extends y.EventEmitter{constructor(m,f,T){super();this.maxResults=m,this.rootFolder=f,this.previewOptions=T,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new R.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(m,f){return super.on(m,f),this}handleData(m){if(!this.isDone){const f=typeof m=="string"?m:this.stringDecoder.write(m);this.handleDecodedData(f)}}handleDecodedData(m){let f=m.indexOf(`
`);const T=this.remainder+m;if(f>=0)f+=this.remainder.length;else{this.remainder=T;return}let L=0;for(;f>=0;)this.handleLine(T.substring(L,f).trim()),L=f+1,f=T.indexOf(`
`,L);this.remainder=T.substring(L)}handleLine(m){if(!(this.isDone||!m)){let f;try{f=JSON.parse(m)}catch(T){throw new Error(`malformed line from rg: ${m}`)}if(f.type==="match"){const T=a(f.data.path),L=A.URI.file(E.join(this.rootFolder,T)),B=this.createTextSearchMatch(f.data,L);this.onResult(B),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(f.type==="context"){const T=a(f.data.path),L=A.URI.file(E.join(this.rootFolder,T));this.createTextSearchContext(f.data,L).forEach(te=>this.onResult(te))}}}createTextSearchMatch(m,f){const T=m.line_number-1;let L=!1,B=a(m.lines);T===0&&(0,n.startsWithUTF8BOM)(B)&&(L=!0,B=(0,n.stripUTF8BOM)(B));const te=Buffer.from(B);let j=0,W=0,$=T;m.submatches.length===0&&m.submatches.push(B.length?{start:0,end:1,match:{text:B[0]}}:{start:0,end:0,match:{text:""}});const O=(0,I.coalesce)(m.submatches.map((U,F)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);let N=a(U.match);T===0&&F===0&&L&&(N=(0,n.stripUTF8BOM)(N),U.start=U.start<=3?0:U.start-3,U.end=U.end<=3?0:U.end-3);const M=te.slice(j,U.start).toString().length,V=W+M,q=t(N),X=$,fe=q.numLines+X,_e=q.numLines>0?q.lastLineLength:q.lastLineLength+V;return j=U.end,W=_e,$=fe,new b.Range(X,V,fe,_e)}));return(0,g.createTextSearchResult)(f,B,O,this.previewOptions)}createTextSearchContext(m,f){const T=a(m.lines),L=m.line_number;return T.replace(/\r?\n$/,"").split(`
`).map((B,te)=>({text:B,uri:f,lineNumber:L+te}))}onResult(m){this.emit("result",m)}}e.RipgrepParser=u;function a(C){return C.bytes?Buffer.from(C.bytes,"base64").toString():C.text}function t(C){const m=/\n/g;let f=0,T=-1,L;for(;L=m.exec(C);)f++,T=L.index;const B=T>=0?C.length-T-1:C.length;return{numLines:f,lastLineLength:B}}function i(C,m){const f=["--hidden"];f.push(C.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:T,otherIncludes:L}=(0,D.groupBy)(m.includes,te=>te.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(L&&L.length){const te=new Set;L.forEach(j=>{te.add(j)}),f.push("-g","!*"),te.forEach(j=>{s(j).map(g.anchorGlob).forEach(W=>{f.push("-g",W)})})}T&&T.length&&T.forEach(te=>{f.push("-g",te)}),m.excludes.map(g.anchorGlob).forEach(te=>f.push("-g",`!${te}`)),m.maxFileSize&&f.push("--max-filesize",m.maxFileSize+""),m.useIgnoreFiles?f.push("--no-ignore-parent"):f.push("--no-ignore"),m.followSymlinks&&f.push("--follow"),m.encoding&&m.encoding!=="utf8"&&f.push("--encoding",m.encoding),C.pattern==="--"&&(C.isRegExp=!0,C.pattern="\\-\\-"),C.isMultiline&&!C.isRegExp&&(C.pattern=(0,n.escapeRegExpCharacters)(C.pattern),C.isRegExp=!0),m.usePCRE2&&f.push("--pcre2"),f.push("--crlf"),C.isRegExp&&(C.pattern=o(C.pattern),f.push("--auto-hybrid-regex"));let B;if(C.isWordMatch){const j=(0,n.createRegExp)(C.pattern,!!C.isRegExp,{wholeWord:C.isWordMatch}).source.replace(/\\\//g,"/");f.push("--regexp",j)}else if(C.isRegExp){let te=c(C.pattern);te=v(te),f.push("--regexp",te)}else B=C.pattern,f.push("--fixed-strings");return f.push("--no-config"),m.useGlobalIgnoreFiles||f.push("--no-ignore-global"),f.push("--json"),C.isMultiline&&f.push("--multiline"),m.beforeContext&&f.push("--before-context",m.beforeContext+""),m.afterContext&&f.push("--after-context",m.afterContext+""),f.push("--"),B&&f.push(B),f.push("."),f}function s(C){const m=(0,P.splitGlobAware)(C,"/");return m.map((f,T)=>m.slice(0,T+1).join("/"))}e.spreadGlobComponents=s;function o(C){const m=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;C.match(m);)C=C.replace(m,"$1\\x{$2}");const f=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;C.match(f);)C=C.replace(f,"$1\\x{$2}");return C}e.unicodeEscapesToPCRE2=o;const r=C=>C.type==="Assertion"&&C.kind==="lookbehind";function c(C){let m;try{m=new h.RegExpParser().parsePattern(C)}catch(j){return C}let f="",T=0;const L=(j,W,$)=>{f+=C.slice(T,j)+$,T=W},B=[];return new h.RegExpVisitor({onCharacterEnter(j){if(j.raw==="\\n"){const W=B[0];if(!W)L(j.start,j.end,"\\r?\\n");else if(!B.some(r))if(W.type==="CharacterClass"){const $=C.slice(W.start+1,j.start)+C.slice(j.end,W.end-1);L(W.start,W.end,$===""?"\\r?\\n":`(?:[${$}]|\\r?\\n)`)}else W.type==="Quantifier"&&L(j.start,j.end,"(?:\\r?\\n)")}},onQuantifierEnter(j){B.unshift(j)},onQuantifierLeave(){B.shift()},onCharacterClassRangeEnter(j){B.unshift(j)},onCharacterClassRangeLeave(){B.shift()},onCharacterClassEnter(j){B.unshift(j)},onCharacterClassLeave(){B.shift()},onAssertionEnter(j){r(j)&&B.push(j)},onAssertionLeave(j){B[0]===j&&B.shift()}}).visit(m),f+=C.slice(T),f}e.fixRegexNewline=c;function v(C){return C.replace(/\n/g,"\\r?\\n")}e.fixNewline=v}),define(ge[274],pe([0,1,21,128,111,11]),function(J,e,_,y,R,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class D{constructor(n){this.outputChannel=n,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(n,A,k,b){const h=new y.RipgrepTextSearchEngine(this.outputChannel);if(A.folder.scheme===I.Schemas.userData){const l=Object.assign(Object.assign({},A),{folder:A.folder.with({scheme:I.Schemas.file})}),g=new R.Progress(S=>k.report(Object.assign(Object.assign({},S),{uri:S.uri.with({scheme:A.folder.scheme})})));return this.withToken(b,S=>h.provideTextSearchResults(n,l,g,S))}else return this.withToken(b,l=>h.provideTextSearchResults(n,A,k,l))}async withToken(n,A){const k=P(n);this.inProgress.add(k);const b=await A(k.token);return this.inProgress.delete(k),b}dispose(){this.inProgress.forEach(n=>n.cancel())}}e.RipgrepSearchProvider=D;function P(E){const n=new _.CancellationTokenSource;return E.onCancellationRequested(()=>n.cancel()),n}}),define(ge[275],pe([0,1,25,128,127]),function(J,e,_,y,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class I{constructor(E){this.query=E}search(E,n,A){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const k={appendLine(h){A({message:h})}},b=new R.NativeTextSearchManager(this.query,new y.RipgrepTextSearchEngine(k),_);return new Promise((h,l)=>b.search(g=>{n(g.map(D))},E).then(g=>h({limitHit:g.limitHit,type:"success"}),l))}}e.TextSearchEngineAdapter=I;function D(P){return{path:P.resource&&P.resource.fsPath,results:P.results,numMatches:(P.results||[]).reduce((E,n)=>{if(n.ranges){const A=n;return E+(Array.isArray(A.ranges)?A.ranges.length:1)}else return E+1},0)}}}),define(ge[276],pe([0,1,37,289,12,19,18,3,96,7,46,2,44,32,273,275]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0,y.gracefulify(_);class S{constructor(){this.caches=Object.create(null)}fileSearch(t){let i;const s=d(t),o=new P.Emitter({onFirstListenerDidAdd:()=>{i=(0,I.createCancelablePromise)(r=>this.doFileSearchWithEngine(l.Engine,s,c=>o.fire(c),r)),i.then(r=>o.fire(r),r=>o.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{i.cancel()}});return o.event}textSearch(t){let i;const s=d(t),o=new P.Emitter({onFirstListenerDidAdd:()=>{i=(0,I.createCancelablePromise)(r=>this.ripgrepTextSearch(s,c=>o.fire(c),r)),i.then(r=>o.fire(r),r=>o.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{i.cancel()}});return o.event}ripgrepTextSearch(t,i,s){return t.maxFileSize=(0,b.getPlatformLimits)(process.arch==="ia32"?0:1).maxFileSize,new g.TextSearchEngineAdapter(t).search(s,i,i)}doFileSearch(t,i,s){return this.doFileSearchWithEngine(l.Engine,t,i,s)}doFileSearchWithEngine(t,i,s,o,r=S.BATCH_SIZE){let c=0;const v=m=>{Array.isArray(m)?(c+=m.length,s(m.map(f=>this.rawMatchToSearchItem(f)))):m.relativePath?(c++,s(this.rawMatchToSearchItem(m))):s(m)};if(i.sortByScore){let m=this.trySortedSearchFromCache(i,v,o);if(!m){const f=i.maxResults?Object.assign({},i,{maxResults:null}):i,T=new t(f);m=this.doSortedSearch(T,i,s,v,o)}return new Promise((f,T)=>{m.then(([L,B])=>{const te=B.map(j=>this.rawMatchToSearchItem(j));this.sendProgress(te,s,r),f(L)},T)})}const C=new t(i);return this.doSearch(C,v,r,o).then(m=>({limitHit:m.limitHit,type:"success",stats:{detailStats:m.stats,type:"searchProcess",fromCache:!1,resultCount:c,sortingTime:void 0}}))}rawMatchToSearchItem(t){return{path:t.base?(0,n.join)(t.base,t.relativePath):t.relativePath}}doSortedSearch(t,i,s,o,r){const c=new P.Emitter;let v=(0,I.createCancelablePromise)(m=>{let f=[];const T=L=>{Array.isArray(L)?f=L:(o(L),c.fire(L))};return this.doSearch(t,T,-1,m).then(L=>[L,f])}),C;if(i.cacheKey){C=this.getOrCreateCache(i.cacheKey);const m={promise:v,event:c.event,resolved:!1};C.resultsToSearchCache[i.filePattern||""]=m,v.then(()=>{m.resolved=!0},f=>{delete C.resultsToSearchCache[i.filePattern||""]}),v=this.preventCancellation(v)}return v.then(([m,f])=>{const T=C?C.scorerCache:Object.create(null),L=(typeof i.maxResults!="number"||i.maxResults>0)&&A.StopWatch.create(!1);return this.sortResults(i,f,T,r).then(B=>{const te=L?L.elapsed():-1;return[{type:"success",stats:{detailStats:m.stats,sortingTime:te,fromCache:!1,type:"searchProcess",workspaceFolderCount:i.folderQueries.length,resultCount:B.length},limitHit:m.limitHit||typeof i.maxResults=="number"&&f.length>i.maxResults},B]})})}getOrCreateCache(t){const i=this.caches[t];return i||(this.caches[t]=new p)}trySortedSearchFromCache(t,i,s){const o=t.cacheKey&&this.caches[t.cacheKey];if(!!o){const r=this.getResultsFromCache(o,t.filePattern||"",i,s);if(r)return r.then(([c,v,C])=>{const m=A.StopWatch.create(!1);return this.sortResults(t,v,o.scorerCache,s).then(f=>{const T=m.elapsed(),L={fromCache:!0,detailStats:C,type:"searchProcess",resultCount:v.length,sortingTime:T};return[{type:"success",limitHit:c.limitHit||typeof t.maxResults=="number"&&v.length>t.maxResults,stats:L},f]})})}}sortResults(t,i,s,o){const r=(0,E.prepareQuery)(t.filePattern||""),c=(C,m)=>(0,E.compareItemsByFuzzyScore)(C,m,r,!0,w,s),v=typeof t.maxResults=="number"?t.maxResults:Number.MAX_VALUE;return R.topAsync(i,c,v,1e4,o)}sendProgress(t,i,s){if(s&&s>0)for(let o=0;o<t.length;o+=s)i(t.slice(o,o+s));else i(t)}getResultsFromCache(t,i,s,o){const r=A.StopWatch.create(!1),c=i.indexOf(n.sep)>=0;let v;for(const T in t.resultsToSearchCache)if(i.startsWith(T)){if(c&&T.indexOf(n.sep)<0&&T!=="")continue;const L=t.resultsToSearchCache[T];v={promise:this.preventCancellation(L.promise),event:L.event,resolved:L.resolved};break}if(!v)return null;const C=r.elapsed(),m=A.StopWatch.create(!1),f=v.event(s);return o&&o.onCancellationRequested(()=>{f.dispose()}),v.promise.then(([T,L])=>{if(o&&o.isCancellationRequested)throw(0,D.canceled)();const B=[],te=(0,E.prepareQuery)(i).normalizedLowercase;for(const j of L)!(0,h.isFilePatternMatch)(j,te)||B.push(j);return[T,B,{cacheWasResolved:v.resolved,cacheLookupTime:C,cacheFilterTime:m.elapsed(),cacheEntryCount:L.length}]})}doSearch(t,i,s,o){return new Promise((r,c)=>{let v=[];o&&o.onCancellationRequested(()=>t.cancel()),t.search(C=>{C&&(s?(v.push(C),s>0&&v.length>=s&&(i(v),v=[])):i(C))},C=>{i(C)},(C,m)=>{v.length&&i(v),C?c(C):r(m)})})}clearCache(t){return delete this.caches[t],Promise.resolve(void 0)}preventCancellation(t){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(i,s){return t.then(i,s)}catch(i){return this.then(void 0,i)}finally(i){return t.finally(i)}}}}e.SearchService=S,S.BATCH_SIZE=512;class p{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const w=new class{getItemLabel(a){return(0,n.basename)(a.relativePath)}getItemDescription(a){return(0,n.dirname)(a.relativePath)}getItemPath(a){return a.relativePath}};function d(a){return Object.assign(Object.assign({},a),{folderQueries:a.folderQueries&&a.folderQueries.map(u),extraFileResources:a.extraFileResources&&a.extraFileResources.map(t=>k.URI.revive(t))})}function u(a){return Object.assign(Object.assign({},a),{folder:k.URI.revive(a.folder)})}}),define(ge[277],pe([0,1,6,2,25,13,32,276,274,90,14,62,27,68,11,127]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let S=class extends h.ExtHostSearch{constructor(w,d,u,a){super(w,u,a);this._pfs=R,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null;const t=new n.OutputChannel("RipgrepSearchUD",this._logService);this.registerTextSearchProvider(l.Schemas.userData,new E.RipgrepSearchProvider(t)),d.remote.isRemote&&d.remote.authority&&this._registerEHSearchProviders()}_registerEHSearchProviders(){const w=new n.OutputChannel("RipgrepSearchEH",this._logService);this.registerTextSearchProvider(l.Schemas.file,new E.RipgrepSearchProvider(w)),this.registerInternalFileSearchProvider(l.Schemas.file,new P.SearchService)}registerInternalFileSearchProvider(w,d){const u=this._handlePool++;return this._internalFileSearchProvider=d,this._internalFileSearchHandle=u,this._proxy.$registerFileSearchProvider(u,this._transformScheme(w)),(0,_.toDisposable)(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(u)})}$provideFileSearchResults(w,d,u,a){const t=(0,h.reviveQuery)(u);return w===this._internalFileSearchHandle?this.doInternalFileSearch(w,d,t,a):super.$provideFileSearchResults(w,d,u,a)}doInternalFileSearch(w,d,u,a){const t=i=>{if((0,D.isSerializedFileMatch)(i)&&(i=[i]),Array.isArray(i)){this._proxy.$handleFileMatch(w,d,i.map(s=>y.URI.file(s.path)));return}i.message&&this._logService.debug("ExtHostSearch",i.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(u,t,a)}$clearCache(w){return this._internalFileSearchProvider&&this._internalFileSearchProvider.clearCache(w),super.$clearCache(w)}createTextSearchManager(w,d){return new g.NativeTextSearchManager(w,d)}};S=je([Ue(0,A.IExtHostRpcService),Ue(1,b.IExtHostInitDataService),Ue(2,k.IURITransformerService),Ue(3,I.ILogService)],S),e.NativeExtHostSearch=S}),define(ge[129],pe([0,1,290,120,291,3,101,7,48,28,6,26,102,18,10]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class g{constructor(v){this.socket=v}dispose(){this.socket.destroy()}onData(v){const C=m=>v(k.VSBuffer.wrap(m));return this.socket.on("data",C),{dispose:()=>this.socket.off("data",C)}}onClose(v){return this.socket.on("close",v),{dispose:()=>this.socket.off("close",v)}}onEnd(v){return this.socket.on("end",v),{dispose:()=>this.socket.off("end",v)}}write(v){if(!this.socket.destroyed)try{this.socket.write(v.buffer)}catch(C){if(C.code==="EPIPE")return;(0,h.onUnexpectedError)(C)}}end(){this.socket.end()}drain(){return new Promise((v,C)=>{if(this.socket.bufferSize===0){v();return}const m=()=>{this.socket.off("close",m),this.socket.off("end",m),this.socket.off("error",m),this.socket.off("timeout",m),this.socket.off("drain",m),v()};this.socket.on("close",m),this.socket.on("end",m),this.socket.on("error",m),this.socket.on("timeout",m),this.socket.on("drain",m)})}}e.NodeSocket=g;var S;(function(c){c[c.MinHeaderByteSize=2]="MinHeaderByteSize"})(S||(S={}));var p;(function(c){c[c.PeekHeader=1]="PeekHeader",c[c.ReadHeader=2]="ReadHeader",c[c.ReadBody=3]="ReadBody",c[c.Fin=4]="Fin"})(p||(p={}));class w extends A.Disposable{constructor(v,C,m,f){super();this._onDidZlibFlush=this._register(new I.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new I.Emitter),this._onClose=this._register(new I.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=v,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=C,this._recordInflateBytes=f,C?(this._zlibInflate=R.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",T=>{console.error(T),(0,h.onUnexpectedError)(T),this._onClose.fire()}),this._zlibInflate.on("data",T=>{this._pendingInflateData.push(T)}),m&&(this._zlibInflate.write(m.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=R.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",T=>{console.error(T),(0,h.onUnexpectedError)(T),this._onClose.fire()}),this._zlibDeflate.on("data",T=>{this._pendingDeflateData.push(T)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new b.ChunkStream,this._register(this.socket.onData(T=>this._acceptChunk(T))),this._register(this.socket.onClose(()=>this._onClose.fire()))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?k.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):k.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(v){return this._onData.event(v)}onClose(v){return this._onClose.event(v)}onEnd(v){return this.socket.onEnd(v)}write(v){this._totalOutgoingDataBytes+=v.byteLength,this._zlibDeflate?(this._zlibDeflate.write(v.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let C=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,C=C.slice(0,C.length-4),this._isEnded||this._write(k.VSBuffer.wrap(C),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(v,!1)}_write(v,C){let m=2;v.byteLength<126?m+=0:v.byteLength<2**16?m+=2:m+=8;const f=k.VSBuffer.alloc(m);if(C?f.writeUInt8(194,0):f.writeUInt8(130,0),v.byteLength<126)f.writeUInt8(v.byteLength,1);else if(v.byteLength<2**16){f.writeUInt8(126,1);let T=1;f.writeUInt8(v.byteLength>>>8&255,++T),f.writeUInt8(v.byteLength>>>0&255,++T)}else{f.writeUInt8(127,1);let T=1;f.writeUInt8(0,++T),f.writeUInt8(0,++T),f.writeUInt8(0,++T),f.writeUInt8(0,++T),f.writeUInt8(v.byteLength>>>24&255,++T),f.writeUInt8(v.byteLength>>>16&255,++T),f.writeUInt8(v.byteLength>>>8&255,++T),f.writeUInt8(v.byteLength>>>0&255,++T)}this._totalOutgoingWireBytes+=f.byteLength+v.byteLength,this.socket.write(k.VSBuffer.concat([f,v]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(v){if(v.byteLength!==0){for(this._totalIncomingWireBytes+=v.byteLength,this._incomingData.acceptChunk(v);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const C=this._incomingData.peek(this._state.readLen),f=(C.readUInt8(0)&128)>>>7,T=C.readUInt8(1),L=(T&128)>>>7,B=T&127;this._state.state=2,this._state.readLen=2+(L?4:0)+(B===126?2:0)+(B===127?8:0),this._state.fin=f,this._state.mask=0}else if(this._state.state===2){const C=this._incomingData.read(this._state.readLen),m=C.readUInt8(1),f=(m&128)>>>7;let T=m&127,L=1;T===126?T=C.readUInt8(++L)*2**8+C.readUInt8(++L):T===127&&(T=C.readUInt8(++L)*0+C.readUInt8(++L)*0+C.readUInt8(++L)*0+C.readUInt8(++L)*0+C.readUInt8(++L)*2**24+C.readUInt8(++L)*2**16+C.readUInt8(++L)*2**8+C.readUInt8(++L));let B=0;f&&(B=C.readUInt8(++L)*2**24+C.readUInt8(++L)*2**16+C.readUInt8(++L)*2**8+C.readUInt8(++L)),this._state.state=3,this._state.readLen=T,this._state.mask=B}else if(this._state.state===3){const C=this._incomingData.read(this._state.readLen);d(C,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(C.buffer)),this._zlibInflate.write(C.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const m=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=m.length,this._onData.fire(k.VSBuffer.wrap(m))})):(this._totalIncomingDataBytes+=C.byteLength,this._onData.fire(C))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await I.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=w;function d(c,v){if(v!==0){let C=c.byteLength>>>2;for(let te=0;te<C;te++){const j=c.readUInt32BE(te*4);c.writeUInt32BE(j^v,te*4)}let m=C*4,f=c.byteLength-m;const T=v>>>24&255,L=v>>>16&255,B=v>>>8&255;f>=1&&c.writeUInt8(c.readUInt8(m)^T,m),f>=2&&c.writeUInt8(c.readUInt8(m+1)^L,m+1),f>=3&&c.writeUInt8(c.readUInt8(m+2)^B,m+2)}}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const u={[2]:107,[1]:103};function a(){const c=(0,n.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${c}-sock`;let v;return e.XDG_RUNTIME_DIR?v=(0,P.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${c}.sock`):v=(0,P.join)((0,E.tmpdir)(),`vscode-ipc-${c}.sock`),i(v),v}e.createRandomIPCHandle=a;function t(c,v,C){const m=(0,_.createHash)("md5").update(c).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${m}-${C}-${v}-sock`;let f;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?f=(0,P.join)(e.XDG_RUNTIME_DIR,`vscode-${m.substr(0,8)}-${C}-${v}.sock`):f=(0,P.join)(c,`${C}-${v}.sock`),i(f),f}e.createStaticIPCHandle=t;function i(c){const v=u[l.platform];typeof v=="number"&&c.length>=v&&console.warn(`WARNING: IPC handle "${c}" is longer than ${v} chars, try a shorter --user-data-dir`)}class s extends D.IPCServer{constructor(v){super(s.toClientConnectionEvent(v));this.server=v}static toClientConnectionEvent(v){const C=I.Event.fromNodeEventEmitter(v,"connection");return I.Event.map(C,m=>({protocol:new b.Protocol(new g(m)),onDidClientDisconnect:I.Event.once(I.Event.fromNodeEventEmitter(m,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=s;function o(c){return new Promise((v,C)=>{const m=(0,y.createServer)();m.on("error",C),m.listen(c,()=>{m.removeListener("error",C),v(new s(m))})})}e.serve=o;function r(c,v){return new Promise((C,m)=>{const f=(0,y.createConnection)(c,()=>{f.removeListener("error",m),C(b.Client.fromSocket(new g(f),v))});f.once("error",m)})}e.connect=r}),define(ge[278],pe([0,1,129,270,37,51,2,115,13]),function(J,e,_,y,R,I,D,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class n{constructor(b,h,l){this._commands=b,this.logService=h,this._ipcHandlePath=l,this._server=y.createServer((g,S)=>this.onRequest(g,S)),this.setup().catch(g=>(h.error(g),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",b=>this.logService.error(b))}catch(b){this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(b,h){const l=[];b.setEncoding("utf8"),b.on("data",g=>l.push(g)),b.on("end",()=>{const g=JSON.parse(l.join(""));switch(g.type){case"open":this.open(g,h);break;case"openExternal":this.openExternal(g,h);break;case"status":this.getStatus(g,h);break;case"command":this.runCommand(g,h).catch(this.logService.error);break;case"extensionManagement":this.manageExtensions(g,h).catch(this.logService.error);break;default:h.writeHead(404),h.write(`Unknown message type: ${g.type}`,S=>{S&&this.logService.error(S)}),h.end();break}})}open(b,h){let{fileURIs:l,folderURIs:g,forceNewWindow:S,diffMode:p,addMode:w,forceReuseWindow:d,gotoLineMode:u,waitMarkerFilePath:a}=b;const t=[];if(Array.isArray(g))for(const i of g)try{t.push({folderUri:D.URI.parse(i)})}catch(s){}if(Array.isArray(l))for(const i of l)try{(0,P.hasWorkspaceFileExtension)(i)?t.push({workspaceUri:D.URI.parse(i)}):t.push({fileUri:D.URI.parse(i)})}catch(s){}if(t.length){const i=a?D.URI.file(a):void 0,o={forceNewWindow:S,diffMode:p,addMode:w,gotoLineMode:u,forceReuseWindow:d,preferNewWindow:!d&&!i&&!w,waitMarkerFileURI:i};this._commands.executeCommand("_files.windowOpen",t,o)}h.writeHead(200),h.end()}async openExternal(b,h){for(const l of b.uris){const g=D.URI.parse(l),S=g.scheme==="file"?g:l;await this._commands.executeCommand("_remoteCLI.openExternal",S)}h.writeHead(200),h.end()}async manageExtensions(b,h){console.log("server: manageExtensions");try{const l=p=>p==null?void 0:p.map(w=>/\.vsix$/i.test(w)?D.URI.parse(w):w),g={list:b.list,install:l(b.install),uninstall:l(b.uninstall),force:b.force},S=await this._commands.executeCommand("_remoteCLI.manageExtensions",g,{allowTunneling:!0});h.writeHead(200),h.write(S)}catch(l){h.writeHead(500),h.write(String(l))}h.end()}async getStatus(b,h){try{const l=await this._commands.executeCommand("_issues.getSystemStatus");h.writeHead(200),h.write(l),h.end()}catch(l){h.writeHead(500),h.write(String(l),g=>{g&&this.logService.error(g)}),h.end()}}async runCommand(b,h){try{const{command:l,args:g}=b,S=await this._commands.executeCommand(l,...g);h.writeHead(200),h.write(JSON.stringify(S),p=>{p&&this.logService.error(p)}),h.end()}catch(l){h.writeHead(500),h.write(String(l),g=>{g&&this.logService.error(g)}),h.end()}}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&R.existsSync(this._ipcHandlePath)&&R.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=n;let A=class extends n{constructor(b,h){super(b,h,(0,_.createRandomIPCHandle)())}};A=je([Ue(0,I.IExtHostCommands),Ue(1,E.ILogService)],A),e.CLIServer=A}),define(ge[279],pe([0,1,67,266,260,5,269,42,251,2,11,8,278,99]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class l extends R.RequireInterceptor{_installInterceptor(){const p=this,w=J.__$__nodeRequire("module"),d=w._load;w._load=function(a,t,i){for(let s of p._alternatives){let o=s(a);if(o){a=o;break}}return p._factories.has(a)?p._factories.get(a).load(a,n.URI.file((0,h.realpathSync)(t.filename)),s=>d.apply(this,[s,t,i])):d.apply(this,arguments)}}}class g extends P.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=k.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){const p=this._instaService.invokeFunction(y.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(E.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const t=this._instaService.createInstance(b.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=t.ipcHandlePath}await this._instaService.createInstance(l,p,this._registry).install(),_.mark("code/extHost/didInitAPI");const d=await this._extHostConfiguration.getConfigProvider();await(0,D.connectProxyResolver)(this._extHostWorkspace,d,this,this._logService,this._mainThreadTelemetryProxy,this._initData),_.mark("code/extHost/didInitProxyResolver");const u=process.send,a=this._extHostContext.getProxy(I.MainContext.MainThreadConsole);process.send=(...t)=>t.length===0||!t[0]||t[0].type!=="__$console"?u.apply(process,t):(a.$logExtensionHostMessage(t[0]),!1)}_getEntryPoint(p){return p.main}_loadCommonJSModule(p,w,d){if(w.scheme!==A.Schemas.file)throw new Error(`Cannot load URI: '${w}', must be of file-scheme`);let u=null;d.codeLoadingStart(),this._logService.info(`ExtensionService#loadCommonJSModule ${w.toString(!0)}`),this._logService.flush();try{p&&_.mark(`code/extHost/willLoadExtensionCode/${p.value}`),u=J.__$__nodeRequire(w.fsPath)}catch(a){return Promise.reject(a)}finally{p&&_.mark(`code/extHost/didLoadExtensionCode/${p.value}`),d.codeLoadingStop()}return Promise.resolve(u)}async $setRemoteEnvironment(p){if(!!this._initData.remote.isRemote)for(const w in p){const d=p[w];d===null?delete process.env[w]:process.env[w]=d}}}e.ExtHostExtensionService=g}),define(ge[280],pe([0,1,79,252,263,262,261,277,279,224,253,45,42,64,68,66,35,50,13]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g,S,p,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,_.registerSingleton)(b.IExtHostExtensionService,E.ExtHostExtensionService),(0,_.registerSingleton)(w.ILogService,n.ExtHostLogService),(0,_.registerSingleton)(k.IExtHostDebugService,D.ExtHostDebugService),(0,_.registerSingleton)(h.IExtHostOutputService,y.ExtHostOutputService2),(0,_.registerSingleton)(l.IExtHostSearch,P.NativeExtHostSearch),(0,_.registerSingleton)(g.IExtHostTask,I.ExtHostTask),(0,_.registerSingleton)(S.IExtHostTerminalService,R.ExtHostTerminalService),(0,_.registerSingleton)(p.IExtHostTunnelService,A.ExtHostTunnelService)}),define(ge[281],pe([0,1,120,292,67,18,102,129,184,222,264,26,97,25,99,19,267,280]),function(J,e,_,y,R,I,D,P,E,n,A,k,b,h,l,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let o=0;o<process.execArgv.length;o++)process.execArgv[o]==="--inspect-port=0"&&(process.execArgv.splice(o,1),o--)}();const S=y(process.argv.slice(2),{string:["uriTransformerPath","useHostProxy"]});(function(){const s=J.__$__nodeRequire("module"),o=s._load;s._load=function(r){if(r==="natives")throw new Error('Either the extension or a NPM dependency is using the "natives" node module which is unsupported as it can cause a crash of the extension host. Click [here](https://go.microsoft.com/fwlink/?linkid=871887) to find out more');return o.apply(this,arguments)}})();const p=process.exit.bind(process);function w(s){process.exit=function(o){if(s)p(o);else{const r=new Error("An extension called process.exit() and this was prevented.");console.warn(r.stack)}},process.crash=function(){const o=new Error("An extension called process.crash() and this was prevented.");console.warn(o.stack)}}let d=function(s){p()};function u(){if(process.env.VSCODE_EXTHOST_WILL_SEND_SOCKET)return new Promise((s,o)=>{let r=null,c=setTimeout(()=>{o(new Error("VSCODE_EXTHOST_IPC_SOCKET timeout"))},6e4);const v=108e5,C=3e5,m=new g.RunOnceScheduler(()=>d("renderer disconnected for too long (1)"),v),f=new g.RunOnceScheduler(()=>d("renderer disconnected for too long (2)"),C);process.on("message",(L,B)=>{if(L&&L.type==="VSCODE_EXTHOST_IPC_SOCKET"){const te=k.VSBuffer.wrap(Buffer.from(L.initialDataChunk,"base64"));let j;if(L.skipWebSocketFrames)j=new P.NodeSocket(B);else{const W=k.VSBuffer.wrap(Buffer.from(L.inflateBytes,"base64"));j=new P.WebSocketNodeSocket(new P.NodeSocket(B),L.permessageDeflate,W,!1)}r?(m.cancel(),f.cancel(),r.beginAcceptReconnection(j,te),r.endAcceptReconnection()):(clearTimeout(c),r=new D.PersistentProtocol(j,te),r.onDidDispose(()=>d("renderer disconnected")),s(r),r.onSocketClose(()=>{m.schedule()}))}if(L&&L.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(f.isScheduled())return;m.isScheduled()&&f.schedule()}});const T={type:"VSCODE_EXTHOST_IPC_READY"};process.send&&process.send(T)});{const s=process.env.VSCODE_IPC_HOOK_EXTHOST;return new Promise((o,r)=>{const c=_.createConnection(s,()=>{c.removeListener("error",r),o(new D.PersistentProtocol(new P.NodeSocket(c)))});c.once("error",r)})}}async function a(){const s=await u();return new class{constructor(){this._onMessage=new D.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,s.onMessage(o=>{(0,n.isMessageOfType)(o,2)?(this._terminating=!0,d("received terminate message from renderer")):this._onMessage.fire(o)})}send(o){this._terminating||s.send(o)}drain(){return s.drain()}}}function t(s){return new Promise(o=>{const r=s.onMessage(c=>{r.dispose();const v=JSON.parse(c.toString()),C=v.commit,m=E.default.commit;C&&m&&C!==m&&p(55);const f=[];process.on("unhandledRejection",(B,te)=>{f.push(te),setTimeout(()=>{const j=f.indexOf(te);j>=0&&te.catch(W=>{f.splice(j,1),console.warn(`rejected promise not handled within 1 second: ${W}`),W&&W.stack&&console.warn(`stack trace: ${W.stack}`),(0,I.onUnexpectedError)(B)})},1e3)}),process.on("rejectionHandled",B=>{const te=f.indexOf(B);te>=0&&f.splice(te,1)}),process.on("uncaughtException",function(B){(0,I.onUnexpectedError)(B)});let T=0;setInterval(function(){try{process.kill(v.parentPid,0),T=0}catch(B){B&&B.code==="EPERM"?(T++,T>=3&&d(`parent process ${v.parentPid} does not exist anymore (3 x EPERM): ${B.message} (code: ${B.code}) (errno: ${B.errno})`)):d(`parent process ${v.parentPid} does not exist anymore: ${B.message} (code: ${B.code}) (errno: ${B.errno})`)}},1e3);let L;try{L=J.__$__nodeRequire("native-watchdog"),L.start(v.parentPid)}catch(B){(0,I.onUnexpectedError)(B)}s.send((0,n.createMessageOfType)(0)),o({protocol:s,initData:v})});s.send((0,n.createMessageOfType)(1))})}async function i(){R.mark("code/extHost/willConnectToRenderer");const s=await a();R.mark("code/extHost/didConnectToRenderer");const o=await t(s);R.mark("code/extHost/didWaitForInitData");const{initData:r}=o;w(!!r.environment.extensionTestsLocationURI),r.environment.useHostProxy=S.useHostProxy!==void 0?S.useHostProxy!=="false":void 0;const c=new class{exit(f){p(f)}exists(f){return(0,h.exists)(f)}realpath(f){return(0,l.realpath)(f)}};let v=null;if(r.remote.authority&&S.uriTransformerPath)try{const f=J.__$__nodeRequire(S.uriTransformerPath)(r.remote.authority);v=new b.URITransformer(f)}catch(m){console.error(m)}const C=new A.ExtensionHostMain(o.protocol,r,c,v);d=m=>C.terminate(m)}e.startExtensionHostProcess=i}),define(ge[293],pe([0,1,281]),function(J,e,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,_.startExtensionHostProcess)().catch(y=>console.log(y))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/892a1083cb2b9b3987ff7edc85376b5d9764433d/core/vs/workbench/services/extensions/node/extensionHostProcess.js.map
