/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var we=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/workbench/api/common/extHostTypeConverters","vs/base/common/errors","vs/base/common/path","vs/base/common/types","vs/base/common/async","vs/workbench/api/common/extHostRpcService","vs/base/common/arrays","vs/base/common/network","vs/nls","vs/nls!vs/workbench/services/extensions/worker/extensionHostWorker","vs/platform/log/common/log","vs/base/common/cancellation","vs/base/common/platform","vs/base/common/map","vs/base/common/objects","vs/base/common/resources","vs/platform/extensions/common/extensions","vs/base/common/buffer","vs/workbench/api/common/extHostInitDataService","vs/base/common/glob","vs/base/common/uuid","vs/platform/registry/common/platform","vs/workbench/api/common/extHostWorkspace","vs/base/common/process","vs/editor/common/core/range","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/codicons","vs/base/common/extpath","vs/editor/common/core/position","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/search/common/search","vs/base/common/assert","vs/base/common/decorators","vs/base/common/json","vs/base/common/linkedList","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostWebview","vs/base/common/collections","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/stopwatch","vs/base/common/hash","vs/base/common/severity","vs/base/common/marshalling","vs/base/common/labels","vs/editor/common/modes/languageSelector","vs/base/common/errorMessage","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/contextkey/common/contextkey","vs/platform/files/common/files","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/shared/webview","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/base/common/performance","vs/base/common/numbers","vs/base/common/uint","vs/base/common/htmlContent","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/platform/instantiation/common/descriptors","vs/platform/markers/common/markers","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configuration","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/cache","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/stream","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/comparers","vs/base/common/uriIpc","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/errorMessage","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHost.api.impl","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionActivator","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/commands/common/commands","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationModels","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/theme/common/iconRegistry","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/views","vs/workbench/api/common/apiCommands","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/worker/extHostLogService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/api/common/extHostTesting","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/base/common/marked/marked","vs/workbench/services/extensions/worker/extensionHostWorker"],Ee=function(oe){for(var e=[],b=0,y=oe.length;b<y;b++)e[b]=we[oe[b]];return e};define(we[43],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function b(y,A){if(!y)throw new Error(A?`Assertion failed (${A})`:"Assertion Failed")}e.ok=b}),define(we[50],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const b=Object.prototype.hasOwnProperty;function y(P){const k=[];for(let _ in P)b.call(P,_)&&k.push(P[_]);return k}e.values=y;function A(P,k){for(let _ in P)if(b.call(P,_)&&k({key:_,value:P[_]},function(){delete P[_]})===!1)return}e.forEach=A;function I(P,k){const _=Object.create(null);for(const d of P){const s=k(d);let f=_[s];f||(f=_[s]=[]),f.push(d)}return _}e.groupBy=I;function S(P){const k=Object.create(null);return P&&P.forEach((_,d)=>{k[d]=_}),k}e.fromMap=S;function C(P,k){const _=[],d=[];for(let s of P)k.has(s)||_.push(s);for(let s of k)P.has(s)||d.push(s);return{removed:_,added:d}}e.diffSets=C;function E(P,k){const _=[],d=[];for(let[s,f]of P)k.has(s)||_.push(f);for(let[s,f]of k)P.has(s)||d.push(f);return{removed:_,added:d}}e.diffMaps=E;class n{constructor(){this.map=new Map}add(k,_){let d=this.map.get(k);d||(d=new Set,this.map.set(k,d)),d.add(_)}delete(k,_){const d=this.map.get(k);!d||(d.delete(_),d.size===0&&this.map.delete(k))}forEach(k,_){const d=this.map.get(k);!d||d.forEach(_)}}e.SetMap=n}),define(we[44],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function b(E){return(n,P,k)=>{let _=null,d=null;if(typeof k.value=="function"?(_="value",d=k.value):typeof k.get=="function"&&(_="get",d=k.get),!d)throw new Error("not supported");k[_]=E(d,P)}}e.createDecorator=b;let y=0;function A(){const E=`$memoize${y++}`;let n;const P=function(_,d,s){let f=null,v=null;if(typeof s.value=="function"?(f="value",v=s.value,v.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof s.get=="function"&&(f="get",v=s.get),!v)throw new Error("not supported");const m=`${E}:${d}`;s[f]=function(...w){return n=this,this.hasOwnProperty(m)||Object.defineProperty(this,m,{configurable:!0,enumerable:!1,writable:!0,value:v.apply(this,w)}),this[m]}};return P.clear=()=>{typeof n!="undefined"&&Object.getOwnPropertyNames(n).forEach(k=>{k.indexOf(E)===0&&delete n[k]})},P}e.createMemoizer=A;function I(E,n,P){return A()(E,n,P)}e.memoize=I;function S(E,n,P){return b((k,_)=>{const d=`$debounce$${_}`,s=`$debounce$result$${_}`;return function(...f){this[s]||(this[s]=P?P():void 0),clearTimeout(this[d]),n&&(this[s]=n(this[s],...f),f=[this[s]]),this[d]=setTimeout(()=>{k.apply(this,f),this[s]=P?P():void 0},E)}})}e.debounce=S;function C(E,n,P){return b((k,_)=>{const d=`$throttle$timer$${_}`,s=`$throttle$result$${_}`,f=`$throttle$lastRun$${_}`,v=`$throttle$pending$${_}`;return function(...m){if(this[s]||(this[s]=P?P():void 0),(this[f]===null||this[f]===void 0)&&(this[f]=-Number.MAX_VALUE),n&&(this[s]=n(this[s],...m)),!this[v]){const w=this[f]+E;w<=Date.now()?(this[f]=Date.now(),k.apply(this,[this[s]]),this[s]=P?P():void 0):(this[v]=!0,this[d]=setTimeout(()=>{this[v]=!1,this[f]=Date.now(),k.apply(this,[this[s]]),this[s]=P?P():void 0},w-Date.now()))}}})}e.throttle=C}),define(we[10],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class b{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=b,e.errorHandler=new b;function y(a){e.errorHandler.setUnexpectedErrorHandler(a)}e.setUnexpectedErrorHandler=y;function A(a){E(a)||e.errorHandler.onUnexpectedError(a)}e.onUnexpectedError=A;function I(a){E(a)||e.errorHandler.onUnexpectedExternalError(a)}e.onUnexpectedExternalError=I;function S(a){if(a instanceof Error){let{name:t,message:r}=a;const o=a.stacktrace||a.stack;return{$isError:!0,name:t,message:r,stack:o}}return a}e.transformErrorForSerialization=S;const C="Canceled";function E(a){return a instanceof Error&&a.name===C&&a.message===C}e.isPromiseCanceledError=E;class n extends Error{constructor(){super(C);this.name=this.message}}e.CancellationError=n;function P(){const a=new Error(C);return a.name=a.message,a}e.canceled=P;function k(a){return a?new Error(`Illegal argument: ${a}`):new Error("Illegal argument")}e.illegalArgument=k;function _(a){return a?new Error(`Illegal state: ${a}`):new Error("Illegal state")}e.illegalState=_;function d(a){return a?new Error(`readonly property '${a} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=d;function s(a){const t=new Error(`${a} has been disposed`);return t.name="DISPOSED",t}e.disposed=s;function f(a){return a?a.message?a.message:a.stack?a.stack.split(`
`)[0]:String(a):"Error"}e.getErrorMessage=f;class v extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=v;class m extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=m;class w extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=w;function c(a){const t=a;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=c;function u(a,t=Object.create(null)){const r=new Error(a);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=u}),define(we[15],Ee([0,1,10]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function y(M,$=0){return M[M.length-(1+$)]}e.tail=y;function A(M){if(M.length===0)throw new Error("Invalid tail call");return[M.slice(0,M.length-1),M[M.length-1]]}e.tail2=A;function I(M,$,N=(K,W)=>K===W){if(M===$)return!0;if(!M||!$||M.length!==$.length)return!1;for(let K=0,W=M.length;K<W;K++)if(!N(M[K],$[K]))return!1;return!0}e.equals=I;function S(M,$,N){let K=0,W=M.length-1;for(;K<=W;){const Z=(K+W)/2|0,ne=N(M[Z],$);if(ne<0)K=Z+1;else if(ne>0)W=Z-1;else return Z}return-(K+1)}e.binarySearch=S;function C(M,$){let N=0,K=M.length;if(K===0)return 0;for(;N<K;){const W=Math.floor((N+K)/2);$(M[W])?K=W:N=W+1}return N}e.findFirstInSorted=C;function E(M,$,N){if(M=M|0,M>=$.length)throw new TypeError("invalid index");let K=$[Math.floor($.length*Math.random())],W=[],Z=[],ne=[];for(let re of $){const Se=N(re,K);Se<0?W.push(re):Se>0?Z.push(re):ne.push(re)}return M<W.length?E(M,W,N):M<W.length+ne.length?ne[0]:E(M-(W.length+ne.length),Z,N)}e.quickSelect=E;function n(M,$){const N=[];let K;for(const W of M.slice(0).sort($))!K||$(K[0],W)!==0?(K=[W],N.push(K)):K.push(W);return N}e.groupBy=n;function P(M,$,N){const K=[];function W(re,Se,Ae){if(!(Se===0&&Ae.length===0)){const Be=K[K.length-1];Be&&Be.start+Be.deleteCount===re?(Be.deleteCount+=Se,Be.toInsert.push(...Ae)):K.push({start:re,deleteCount:Se,toInsert:Ae})}}let Z=0,ne=0;for(;;){if(Z===M.length){W(Z,0,$.slice(ne));break}if(ne===$.length){W(Z,M.length-Z,[]);break}const re=M[Z],Se=$[ne],Ae=N(re,Se);Ae===0?(Z+=1,ne+=1):Ae<0?(W(Z,1,[]),Z+=1):Ae>0&&(W(Z,0,[Se]),ne+=1)}return K}e.sortedDiff=P;function k(M,$,N){const K=P(M,$,N),W=[],Z=[];for(const ne of K)W.push(...M.slice(ne.start,ne.start+ne.deleteCount)),Z.push(...ne.toInsert);return{removed:W,added:Z}}e.delta=k;function _(M,$,N){if(N===0)return[];const K=M.slice(0,N).sort($);return s(M,$,K,N,M.length),K}e.top=_;function d(M,$,N,K,W){return N===0?Promise.resolve([]):new Promise((Z,ne)=>{(async()=>{const re=M.length,Se=M.slice(0,N).sort($);for(let Ae=N,Be=Math.min(N+K,re);Ae<re;Ae=Be,Be=Math.min(Be+K,re)){if(Ae>N&&await new Promise(Re=>setTimeout(Re)),W&&W.isCancellationRequested)throw(0,b.canceled)();s(M,$,Se,Ae,Be)}return Se})().then(Z,ne)})}e.topAsync=d;function s(M,$,N,K,W){for(const Z=N.length;K<W;K++){const ne=M[K];if($(ne,N[Z-1])<0){N.pop();const re=C(N,Se=>$(ne,Se)<0);N.splice(re,0,ne)}}}function f(M){return M.filter($=>!!$)}e.coalesce=f;function v(M){let $=0;for(let N=0;N<M.length;N++)M[N]&&(M[$]=M[N],$+=1);M.length=$}e.coalesceInPlace=v;function m(M,$,N){M.splice(N,0,M.splice($,1)[0])}e.move=m;function w(M){return!Array.isArray(M)||M.length===0}e.isFalsyOrEmpty=w;function c(M){return Array.isArray(M)&&M.length>0}e.isNonEmptyArray=c;function u(M,$){if(!$)return M.filter((K,W)=>M.indexOf(K)===W);const N=Object.create(null);return M.filter(K=>{const W=$(K);return N[W]?!1:(N[W]=!0,!0)})}e.distinct=u;function a(M){const $=new Set;return M.filter(N=>$.has(N)?!1:($.add(N),!0))}e.distinctES6=a;function t(M){const $=Object.create(null);return N=>{const K=M(N);return $[K]?!1:($[K]=!0,!0)}}e.uniqueFilter=t;function r(M,$){for(let N=M.length-1;N>=0;N--){const K=M[N];if($(K))return N}return-1}e.lastIndex=r;function o(M,$){return M.length>0?M[0]:$}e.firstOrDefault=o;function l(M,$,N=(K,W)=>K===W){let K=0;for(let W=0,Z=Math.min(M.length,$.length);W<Z&&N(M[W],$[W]);W++)K++;return K}e.commonPrefixLength=l;function i(M){return[].concat(...M)}e.flatten=i;function h(M,$){let N=typeof $=="number"?M:0;typeof $=="number"?N=M:(N=0,$=M);const K=[];if(N<=$)for(let W=N;W<$;W++)K.push(W);else for(let W=N;W>$;W--)K.push(W);return K}e.range=h;function D(M,$,N){return M.reduce((K,W)=>(K[$(W)]=N?N(W):W,K),Object.create(null))}e.index=D;function R(M,$){return M.push($),()=>p(M,$)}e.insert=R;function p(M,$){const N=M.indexOf($);if(N>-1)return M.splice(N,1),$}e.remove=p;function g(M,$,N){const K=M.slice(0,$),W=M.slice($);return K.concat(N,W)}e.arrayInsert=g;function T(M,$){let N;if(typeof $=="number"){let K=$;N=()=>{const W=Math.sin(K++)*179426549;return W-Math.floor(W)}}else N=Math.random;for(let K=M.length-1;K>0;K-=1){const W=Math.floor(N()*(K+1)),Z=M[K];M[K]=M[W],M[W]=Z}}e.shuffle=T;function F(M,$){const N=M.indexOf($);N>-1&&(M.splice(N,1),M.unshift($))}e.pushToStart=F;function H(M,$){const N=M.indexOf($);N>-1&&(M.splice(N,1),M.push($))}e.pushToEnd=H;function le(M,$){return Array.isArray(M)?M.map($):$(M)}e.mapArrayOrNot=le;function z(M){return Array.isArray(M)?M:[M]}e.asArray=z;function B(M){return M[Math.floor(Math.random()*M.length)]}e.getRandomElement=B;function Q(M,$){for(const N of M){const K=$(N);if(K!==void 0)return K}}e.mapFind=Q}),define(we[51],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function b(y){const A=this;let I=!1,S;return function(){return I||(I=!0,S=y.apply(A,arguments)),S}}e.once=b}),define(we[52],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class b{constructor(A){this._prefix=A,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=b,e.defaultGenerator=new b("id#")}),define(we[53],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var b;(function(y){function A(a){return a&&typeof a=="object"&&typeof a[Symbol.iterator]=="function"}y.is=A;const I=Object.freeze([]);function S(){return I}y.empty=S;function*C(a){yield a}y.single=C;function E(a){return a||I}y.from=E;function n(a){return!a||a[Symbol.iterator]().next().done===!0}y.isEmpty=n;function P(a){return a[Symbol.iterator]().next().value}y.first=P;function k(a,t){for(const r of a)if(t(r))return!0;return!1}y.some=k;function _(a,t){for(const r of a)if(t(r))return r}y.find=_;function*d(a,t){for(const r of a)t(r)&&(yield r)}y.filter=d;function*s(a,t){for(const r of a)yield t(r)}y.map=s;function*f(...a){for(const t of a)for(const r of t)yield r}y.concat=f;function*v(a){for(const t of a)for(const r of t)yield r}y.concatNested=v;function m(a,t,r){let o=r;for(const l of a)o=t(o,l);return o}y.reduce=m;function*w(a,t,r=a.length){for(t<0&&(t+=a.length),r<0?r+=a.length:r>a.length&&(r=a.length);t<r;t++)yield a[t]}y.slice=w;function c(a,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,a];const o=a[Symbol.iterator]();for(let l=0;l<t;l++){const i=o.next();if(i.done)return[r,y.empty()];r.push(i.value)}return[r,{[Symbol.iterator](){return o}}]}y.consume=c;function u(a,t,r=(o,l)=>o===l){const o=a[Symbol.iterator](),l=t[Symbol.iterator]();for(;;){const i=o.next(),h=l.next();if(i.done!==h.done)return!1;if(i.done)return!0;if(!r(i.value,h.value))return!1}}y.equals=u})(b=e.Iterable||(e.Iterable={}))}),define(we[45],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var b;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(b=e.ScanError||(e.ScanError={}));var y;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(y=e.SyntaxKind||(e.SyntaxKind={}));var A;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(A=e.ParseErrorCode||(e.ParseErrorCode={}));var I;(function(t){t.DEFAULT={allowTrailingComma:!0}})(I=e.ParseOptions||(e.ParseOptions={}));function S(t,r=!1){let o=0,l=t.length,i="",h=0,D=16,R=0;function p(B){let Q=0,M=0;for(;Q<B;){const $=t.charCodeAt(o);if($>=48&&$<=57)M=M*16+$-48;else if($>=65&&$<=70)M=M*16+$-65+10;else if($>=97&&$<=102)M=M*16+$-97+10;else break;o++,Q++}return Q<B&&(M=-1),M}function g(B){o=B,i="",h=0,D=16,R=0}function T(){const B=o;if(t.charCodeAt(o)===48)o++;else for(o++;o<t.length&&n(t.charCodeAt(o));)o++;if(o<t.length&&t.charCodeAt(o)===46)if(o++,o<t.length&&n(t.charCodeAt(o)))for(o++;o<t.length&&n(t.charCodeAt(o));)o++;else return R=3,t.substring(B,o);let Q=o;if(o<t.length&&(t.charCodeAt(o)===69||t.charCodeAt(o)===101))if(o++,(o<t.length&&t.charCodeAt(o)===43||t.charCodeAt(o)===45)&&o++,o<t.length&&n(t.charCodeAt(o))){for(o++;o<t.length&&n(t.charCodeAt(o));)o++;Q=o}else R=3;return t.substring(B,Q)}function F(){let B="",Q=o;for(;;){if(o>=l){B+=t.substring(Q,o),R=2;break}const M=t.charCodeAt(o);if(M===34){B+=t.substring(Q,o),o++;break}if(M===92){if(B+=t.substring(Q,o),o++,o>=l){R=2;break}switch(t.charCodeAt(o++)){case 34:B+='"';break;case 92:B+="\\";break;case 47:B+="/";break;case 98:B+="\b";break;case 102:B+="\f";break;case 110:B+=`
`;break;case 114:B+="\r";break;case 116:B+="	";break;case 117:const N=p(4);N>=0?B+=String.fromCharCode(N):R=4;break;default:R=5}Q=o;continue}if(M>=0&&M<=31)if(E(M)){B+=t.substring(Q,o),R=2;break}else R=6;o++}return B}function H(){if(i="",R=0,h=o,o>=l)return h=l,D=17;let B=t.charCodeAt(o);if(C(B)){do o++,i+=String.fromCharCode(B),B=t.charCodeAt(o);while(C(B));return D=15}if(E(B))return o++,i+=String.fromCharCode(B),B===13&&t.charCodeAt(o)===10&&(o++,i+=`
`),D=14;switch(B){case 123:return o++,D=1;case 125:return o++,D=2;case 91:return o++,D=3;case 93:return o++,D=4;case 58:return o++,D=6;case 44:return o++,D=5;case 34:return o++,i=F(),D=10;case 47:const Q=o-1;if(t.charCodeAt(o+1)===47){for(o+=2;o<l&&!E(t.charCodeAt(o));)o++;return i=t.substring(Q,o),D=12}if(t.charCodeAt(o+1)===42){o+=2;const M=l-1;let $=!1;for(;o<M;){if(t.charCodeAt(o)===42&&t.charCodeAt(o+1)===47){o+=2,$=!0;break}o++}return $||(o++,R=1),i=t.substring(Q,o),D=13}return i+=String.fromCharCode(B),o++,D=16;case 45:if(i+=String.fromCharCode(B),o++,o===l||!n(t.charCodeAt(o)))return D=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return i+=T(),D=11;default:for(;o<l&&le(B);)o++,B=t.charCodeAt(o);if(h!==o){switch(i=t.substring(h,o),i){case"true":return D=8;case"false":return D=9;case"null":return D=7}return D=16}return i+=String.fromCharCode(B),o++,D=16}}function le(B){if(C(B)||E(B))return!1;switch(B){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function z(){let B;do B=H();while(B>=12&&B<=15);return B}return{setPosition:g,getPosition:()=>o,scan:r?z:H,getToken:()=>D,getTokenValue:()=>i,getTokenOffset:()=>h,getTokenLength:()=>o-h,getTokenError:()=>R}}e.createScanner=S;function C(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function E(t){return t===10||t===13||t===8232||t===8233}function n(t){return t>=48&&t<=57}var P;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(P||(P={}));function k(t,r){const o=[],l=new Object;let i;const h={value:{},offset:0,length:0,type:"object",parent:void 0};let D=!1;function R(p,g,T,F){h.value=p,h.offset=g,h.length=T,h.type=F,h.colonOffset=void 0,i=h}try{c(t,{onObjectBegin:(p,g)=>{if(r<=p)throw l;i=void 0,D=r>p,o.push("")},onObjectProperty:(p,g,T)=>{if(r<g||(R(p,g,T,"property"),o[o.length-1]=p,r<=g+T))throw l},onObjectEnd:(p,g)=>{if(r<=p)throw l;i=void 0,o.pop()},onArrayBegin:(p,g)=>{if(r<=p)throw l;i=void 0,o.push(0)},onArrayEnd:(p,g)=>{if(r<=p)throw l;i=void 0,o.pop()},onLiteralValue:(p,g,T)=>{if(r<g||(R(p,g,T,a(p)),r<=g+T))throw l},onSeparator:(p,g,T)=>{if(r<=g)throw l;if(p===":"&&i&&i.type==="property")i.colonOffset=g,D=!1,i=void 0;else if(p===","){const F=o[o.length-1];typeof F=="number"?o[o.length-1]=F+1:(D=!0,o[o.length-1]=""),i=void 0}}})}catch(p){if(p!==l)throw p}return{path:o,previousNode:i,isAtPropertyKey:D,matches:p=>{let g=0;for(let T=0;g<p.length&&T<o.length;T++)if(p[g]===o[T]||p[g]==="*")g++;else if(p[g]!=="**")return!1;return g===p.length}}}e.getLocation=k;function _(t,r=[],o=I.DEFAULT){let l=null,i=[];const h=[];function D(p){Array.isArray(i)?i.push(p):l!==null&&(i[l]=p)}return c(t,{onObjectBegin:()=>{const p={};D(p),h.push(i),i=p,l=null},onObjectProperty:p=>{l=p},onObjectEnd:()=>{i=h.pop()},onArrayBegin:()=>{const p=[];D(p),h.push(i),i=p,l=null},onArrayEnd:()=>{i=h.pop()},onLiteralValue:D,onError:(p,g,T)=>{r.push({error:p,offset:g,length:T})}},o),i[0]}e.parse=_;function d(t,r=[],o=I.DEFAULT){let l={type:"array",offset:-1,length:-1,children:[],parent:void 0};function i(p){l.type==="property"&&(l.length=p-l.offset,l=l.parent)}function h(p){return l.children.push(p),p}c(t,{onObjectBegin:p=>{l=h({type:"object",offset:p,length:-1,parent:l,children:[]})},onObjectProperty:(p,g,T)=>{l=h({type:"property",offset:g,length:-1,parent:l,children:[]}),l.children.push({type:"string",value:p,offset:g,length:T,parent:l})},onObjectEnd:(p,g)=>{l.length=p+g-l.offset,l=l.parent,i(p+g)},onArrayBegin:(p,g)=>{l=h({type:"array",offset:p,length:-1,parent:l,children:[]})},onArrayEnd:(p,g)=>{l.length=p+g-l.offset,l=l.parent,i(p+g)},onLiteralValue:(p,g,T)=>{h({type:a(p),offset:g,length:T,parent:l,value:p}),i(g+T)},onSeparator:(p,g,T)=>{l.type==="property"&&(p===":"?l.colonOffset=g:p===","&&i(g))},onError:(p,g,T)=>{r.push({error:p,offset:g,length:T})}},o);const R=l.children[0];return R&&delete R.parent,R}e.parseTree=d;function s(t,r){if(!!t){let o=t;for(let l of r)if(typeof l=="string"){if(o.type!=="object"||!Array.isArray(o.children))return;let i=!1;for(const h of o.children)if(Array.isArray(h.children)&&h.children[0].value===l){o=h.children[1],i=!0;break}if(!i)return}else{const i=l;if(o.type!=="array"||i<0||!Array.isArray(o.children)||i>=o.children.length)return;o=o.children[i]}return o}}e.findNodeAtLocation=s;function f(t){if(!t.parent||!t.parent.children)return[];const r=f(t.parent);if(t.parent.type==="property"){const o=t.parent.children[0].value;r.push(o)}else if(t.parent.type==="array"){const o=t.parent.children.indexOf(t);o!==-1&&r.push(o)}return r}e.getNodePath=f;function v(t){switch(t.type){case"array":return t.children.map(v);case"object":const r=Object.create(null);for(let o of t.children){const l=o.children[1];l&&(r[o.children[0].value]=v(l))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=v;function m(t,r,o=!1){return r>=t.offset&&r<t.offset+t.length||o&&r===t.offset+t.length}e.contains=m;function w(t,r,o=!1){if(m(t,r,o)){const l=t.children;if(Array.isArray(l))for(let i=0;i<l.length&&l[i].offset<=r;i++){const h=w(l[i],r,o);if(h)return h}return t}}e.findNodeAtOffset=w;function c(t,r,o=I.DEFAULT){const l=S(t,!1);function i(Se){return Se?()=>Se(l.getTokenOffset(),l.getTokenLength()):()=>!0}function h(Se){return Se?Ae=>Se(Ae,l.getTokenOffset(),l.getTokenLength()):()=>!0}const D=i(r.onObjectBegin),R=h(r.onObjectProperty),p=i(r.onObjectEnd),g=i(r.onArrayBegin),T=i(r.onArrayEnd),F=h(r.onLiteralValue),H=h(r.onSeparator),le=i(r.onComment),z=h(r.onError),B=o&&o.disallowComments,Q=o&&o.allowTrailingComma;function M(){for(;;){const Se=l.scan();switch(l.getTokenError()){case 4:$(14);break;case 5:$(15);break;case 3:$(13);break;case 1:B||$(11);break;case 2:$(12);break;case 6:$(16);break}switch(Se){case 12:case 13:B?$(10):le();break;case 16:$(1);break;case 15:case 14:break;default:return Se}}}function $(Se,Ae=[],Be=[]){if(z(Se),Ae.length+Be.length>0){let Re=l.getToken();for(;Re!==17;){if(Ae.indexOf(Re)!==-1){M();break}else if(Be.indexOf(Re)!==-1)break;Re=M()}}}function N(Se){const Ae=l.getTokenValue();return Se?F(Ae):R(Ae),M(),!0}function K(){switch(l.getToken()){case 11:let Se=0;try{Se=JSON.parse(l.getTokenValue()),typeof Se!="number"&&($(2),Se=0)}catch(Ae){$(2)}F(Se);break;case 7:F(null);break;case 8:F(!0);break;case 9:F(!1);break;default:return!1}return M(),!0}function W(){return l.getToken()!==10?($(3,[],[2,5]),!1):(N(!1),l.getToken()===6?(H(":"),M(),re()||$(4,[],[2,5])):$(5,[],[2,5]),!0)}function Z(){D(),M();let Se=!1;for(;l.getToken()!==2&&l.getToken()!==17;){if(l.getToken()===5){if(Se||$(4,[],[]),H(","),M(),l.getToken()===2&&Q)break}else Se&&$(6,[],[]);W()||$(4,[],[2,5]),Se=!0}return p(),l.getToken()!==2?$(7,[2],[]):M(),!0}function ne(){g(),M();let Se=!1;for(;l.getToken()!==4&&l.getToken()!==17;){if(l.getToken()===5){if(Se||$(4,[],[]),H(","),M(),l.getToken()===4&&Q)break}else Se&&$(6,[],[]);re()||$(4,[],[4,5]),Se=!0}return T(),l.getToken()!==4?$(8,[4],[]):M(),!0}function re(){switch(l.getToken()){case 3:return ne();case 1:return Z();case 10:return N(!0);default:return K()}}return M(),l.getToken()===17?o.allowEmptyContent?!0:($(4,[],[]),!1):re()?(l.getToken()!==17&&$(9,[],[]),!0):($(4,[],[]),!1)}e.visit=c;function u(t,r){let o=S(t),l=[],i,h=0,D;do switch(D=o.getPosition(),i=o.scan(),i){case 12:case 13:case 17:h!==D&&l.push(t.substring(h,D)),r!==void 0&&l.push(o.getTokenValue().replace(/[^\r\n]/g,r)),h=o.getPosition();break}while(i!==17);return l.join("")}e.stripComments=u;function a(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=a}),define(we[103],Ee([0,1,45]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function y(E,n,P){let k,_,d,s,f;if(n){for(s=n.offset,f=s+n.length,d=s;d>0&&!C(E,d-1);)d--;let h=f;for(;h<E.length&&!C(E,h);)h++;_=E.substring(d,h),k=I(_,P)}else _=E,k=0,d=0,s=0,f=E.length;const v=S(P,E);let m=!1,w=0,c;P.insertSpaces?c=A(" ",P.tabSize||4):c="	";const u=(0,b.createScanner)(_,!1);let a=!1;function t(){return v+A(c,k+w)}function r(){let h=u.scan();for(m=!1;h===15||h===14;)m=m||h===14,h=u.scan();return a=h===16||u.getTokenError()!==0,h}const o=[];function l(h,D,R){!a&&D<f&&R>s&&E.substring(D,R)!==h&&o.push({offset:D,length:R-D,content:h})}let i=r();if(i!==17){const h=u.getTokenOffset()+d,D=A(c,k);l(D,d,h)}for(;i!==17;){let h=u.getTokenOffset()+u.getTokenLength()+d,D=r(),R="";for(;!m&&(D===12||D===13);){const g=u.getTokenOffset()+d;l(" ",h,g),h=u.getTokenOffset()+u.getTokenLength()+d,R=D===12?t():"",D=r()}if(D===2)i!==1&&(w--,R=t());else if(D===4)i!==3&&(w--,R=t());else{switch(i){case 3:case 1:w++,R=t();break;case 5:case 12:R=t();break;case 13:m?R=t():R=" ";break;case 6:R=" ";break;case 10:if(D===6){R="";break}case 7:case 8:case 9:case 11:case 2:case 4:D===12||D===13?R=" ":D!==5&&D!==17&&(a=!0);break;case 16:a=!0;break}m&&(D===12||D===13)&&(R=t())}const p=u.getTokenOffset()+d;l(R,h,p),i=D}return o}e.format=y;function A(E,n){let P="";for(let k=0;k<n;k++)P+=E;return P}function I(E,n){let P=0,k=0;const _=n.tabSize||4;for(;P<E.length;){const d=E.charAt(P);if(d===" ")k++;else if(d==="	")k+=_;else break;P++}return Math.floor(k/_)}function S(E,n){for(let P=0;P<n.length;P++){const k=n.charAt(P);if(k==="\r")return P+1<n.length&&n.charAt(P+1)===`
`?`\r
`:"\r";if(k===`
`)return`
`}return E&&E.eol||`
`}e.getEOL=S;function C(E,n){return`\r
`.indexOf(E.charAt(n))!==-1}e.isEOL=C}),define(we[104],Ee([0,1,45,103]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function A(n,P,k){return I(n,P,void 0,k)}e.removeProperty=A;function I(n,P,k,_,d){const s=P.slice(),f=[],v=(0,b.parseTree)(n,f);let m,w;for(;s.length>0&&(w=s.pop(),m=(0,b.findNodeAtLocation)(v,s),m===void 0&&k!==void 0);)typeof w=="string"?k={[w]:k}:k=[k];if(m)if(m.type==="object"&&typeof w=="string"&&Array.isArray(m.children)){const c=(0,b.findNodeAtLocation)(m,[w]);if(c!==void 0)if(k===void 0){if(!c.parent)throw new Error("Malformed AST");const u=m.children.indexOf(c.parent);let a,t=c.parent.offset+c.parent.length;if(u>0){const r=m.children[u-1];a=r.offset+r.length}else a=m.offset+1,m.children.length>1&&(t=m.children[1].offset);return S(n,{offset:a,length:t-a,content:""},_)}else return S(n,{offset:c.offset,length:c.length,content:JSON.stringify(k)},_);else{if(k===void 0)return[];const u=`${JSON.stringify(w)}: ${JSON.stringify(k)}`,a=d?d(m.children.map(r=>r.children[0].value)):m.children.length;let t;if(a>0){const r=m.children[a-1];t={offset:r.offset+r.length,length:0,content:","+u}}else m.children.length===0?t={offset:m.offset+1,length:0,content:u}:t={offset:m.offset+1,length:0,content:u+","};return S(n,t,_)}}else if(m.type==="array"&&typeof w=="number"&&Array.isArray(m.children))if(k!==void 0){const c=`${JSON.stringify(k)}`;let u;if(m.children.length===0||w===0)u={offset:m.offset+1,length:0,content:m.children.length===0?c:c+","};else{const a=w===-1||w>m.children.length?m.children.length:w,t=m.children[a-1];u={offset:t.offset+t.length,length:0,content:","+c}}return S(n,u,_)}else{const c=w,u=m.children[c];let a;if(m.children.length===1)a={offset:m.offset+1,length:m.length-2,content:""};else if(m.children.length-1===c){const t=m.children[c-1],r=t.offset+t.length,o=m.offset+m.length;a={offset:r,length:o-2-r,content:""}}else a={offset:u.offset,length:m.children[c+1].offset-u.offset,content:""};return S(n,a,_)}else throw new Error(`Can not add ${typeof w!="number"?"index":"property"} to parent of type ${m.type}`);else{if(k===void 0)throw new Error("Can not delete in empty document");return S(n,{offset:v?v.offset:0,length:v?v.length:0,content:JSON.stringify(k)},_)}}e.setProperty=I;function S(n,P,k){let _=C(n,P),d=P.offset,s=P.offset+P.content.length;if(P.length===0||P.content.length===0){for(;d>0&&!(0,y.isEOL)(_,d-1);)d--;for(;s<_.length&&!(0,y.isEOL)(_,s);)s++}const f=(0,y.format)(_,{offset:d,length:s-d},k);for(let m=f.length-1;m>=0;m--){const w=f[m];_=C(_,w),d=Math.min(d,w.offset),s=Math.max(s,w.offset+w.length),s+=w.content.length-w.length}const v=n.length-(_.length-s)-d;return[{offset:d,length:v,content:_.substring(d,s)}]}e.withFormatting=S;function C(n,P){return n.substring(0,P.offset)+P.content+n.substring(P.offset+P.length)}e.applyEdit=C;function E(n,P){let k=P.slice(0).sort((d,s)=>{const f=d.offset-s.offset;return f===0?d.length-s.length:f}),_=n.length;for(let d=k.length-1;d>=0;d--){let s=k[d];if(s.offset+s.length<=_)n=C(n,s);else throw new Error("Overlapping edit");_=s.offset}return n}e.applyEdits=E}),define(we[105],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class b{constructor(A){this.executor=A,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(A){this._error=A}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(A){return new b(()=>A(this.getValue()))}}e.Lazy=b}),define(we[6],Ee([0,1,51,53]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const A=!1;let I=null;function S(c){I=c}if(e.setDisposableTracker=S,A){const c="__is_disposable_tracked__";I=new class{trackDisposable(u){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{u[c]||console.log(a)},3e3)}markTracked(u){if(u&&u!==f.None)try{u[c]=!0}catch(a){}}}}function C(c){!I||I.markTracked(c)}function E(c){return I&&I.trackDisposable(c),c}e.trackDisposable=E;class n extends Error{constructor(u){super(`Encountered errors while disposing of store. Errors: [${u.join(", ")}]`);this.errors=u}}e.MultiDisposeError=n;function P(c){return typeof c.dispose=="function"&&c.dispose.length===0}e.isDisposable=P;function k(c){if(y.Iterable.is(c)){let u=[];for(const a of c)if(a){C(a);try{a.dispose()}catch(t){u.push(t)}}if(u.length===1)throw u[0];if(u.length>1)throw new n(u);return Array.isArray(c)?[]:c}else if(c)return C(c),c.dispose(),c}e.dispose=k;function _(...c){return c.forEach(C),d(()=>k(c))}e.combinedDisposable=_;function d(c){const u=E({dispose:()=>{C(u),c()}});return u}e.toDisposable=d;class s{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(C(this),this._isDisposed=!0,this.clear())}clear(){try{k(this._toDispose.values())}finally{this._toDispose.clear()}}add(u){if(!u)return u;if(u===this)throw new Error("Cannot register a disposable on itself!");return C(u),this._isDisposed?s.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(u),u}}e.DisposableStore=s,s.DISABLE_DISPOSED_WARNING=!1;class f{constructor(){this._store=new s,E(this)}dispose(){C(this),this._store.dispose()}_register(u){if(u===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(u)}}e.Disposable=f,f.None=Object.freeze({dispose(){}});class v{constructor(){this._isDisposed=!1,E(this)}get value(){return this._isDisposed?void 0:this._value}set value(u){var a;this._isDisposed||u===this._value||((a=this._value)===null||a===void 0||a.dispose(),u&&C(u),this._value=u)}clear(){this.value=void 0}dispose(){var u;this._isDisposed=!0,C(this),(u=this._value)===null||u===void 0||u.dispose(),this._value=void 0}}e.MutableDisposable=v;class m{constructor(){this.references=new Map}acquire(u,...a){let t=this.references.get(u);t||(t={counter:0,object:this.createReferencedObject(u,...a)},this.references.set(u,t));const{object:r}=t,o=(0,b.once)(()=>{--t.counter==0&&(this.destroyReferencedObject(u,t.object),this.references.delete(u))});return t.counter++,{object:r,dispose:o}}}e.ReferenceCollection=m;class w{constructor(u){this.object=u}dispose(){}}e.ImmortalReference=w}),define(we[46],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class b{constructor(I){this.element=I,this.next=b.Undefined,this.prev=b.Undefined}}b.Undefined=new b(void 0);class y{constructor(){this._first=b.Undefined,this._last=b.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===b.Undefined}clear(){this._first=b.Undefined,this._last=b.Undefined,this._size=0}unshift(I){return this._insert(I,!1)}push(I){return this._insert(I,!0)}_insert(I,S){const C=new b(I);if(this._first===b.Undefined)this._first=C,this._last=C;else if(S){const n=this._last;this._last=C,C.prev=n,n.next=C}else{const n=this._first;this._first=C,C.next=n,n.prev=C}this._size+=1;let E=!1;return()=>{E||(E=!0,this._remove(C))}}shift(){if(this._first!==b.Undefined){const I=this._first.element;return this._remove(this._first),I}}pop(){if(this._last!==b.Undefined){const I=this._last.element;return this._remove(this._last),I}}_remove(I){if(I.prev!==b.Undefined&&I.next!==b.Undefined){const S=I.prev;S.next=I.next,I.next.prev=S}else I.prev===b.Undefined&&I.next===b.Undefined?(this._first=b.Undefined,this._last=b.Undefined):I.next===b.Undefined?(this._last=this._last.prev,this._last.next=b.Undefined):I.prev===b.Undefined&&(this._first=this._first.next,this._first.prev=b.Undefined);this._size-=1}*[Symbol.iterator](){let I=this._first;for(;I!==b.Undefined;)yield I.element,I=I.next}}e.LinkedList=y}),function(oe,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(oe=typeof globalThis!="undefined"?globalThis:oe||self,oe.marked=e())}(this,function(){"use strict";function oe(x,ie){for(var ce=0;ce<ie.length;ce++){var j=ie[ce];j.enumerable=j.enumerable||!1,j.configurable=!0,"value"in j&&(j.writable=!0),Object.defineProperty(x,j.key,j)}}function e(x,ie,ce){return ie&&oe(x.prototype,ie),ce&&oe(x,ce),x}function b(x,ie){if(!!x){if(typeof x=="string")return y(x,ie);var ce=Object.prototype.toString.call(x).slice(8,-1);if(ce==="Object"&&x.constructor&&(ce=x.constructor.name),ce==="Map"||ce==="Set")return Array.from(x);if(ce==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ce))return y(x,ie)}}function y(x,ie){(ie==null||ie>x.length)&&(ie=x.length);for(var ce=0,j=new Array(ie);ce<ie;ce++)j[ce]=x[ce];return j}function A(x,ie){var ce;if(typeof Symbol=="undefined"||x[Symbol.iterator]==null){if(Array.isArray(x)||(ce=b(x))||ie&&x&&typeof x.length=="number"){ce&&(x=ce);var j=0;return function(){return j>=x.length?{done:!0}:{done:!1,value:x[j++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return ce=x[Symbol.iterator](),ce.next.bind(ce)}function I(x){var ie={exports:{}};return x(ie,ie.exports),ie.exports}var S=I(function(x){function ie(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function ce(j){x.exports.defaults=j}x.exports={defaults:ie(),getDefaults:ie,changeDefaults:ce}}),C=/[&<>"']/,E=/[&<>"']/g,n=/[<>"']|&(?!#?\w+;)/,P=/[<>"']|&(?!#?\w+;)/g,k={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},_=function(ie){return k[ie]};function d(x,ie){if(ie){if(C.test(x))return x.replace(E,_)}else if(n.test(x))return x.replace(P,_);return x}var s=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function f(x){return x.replace(s,function(ie,ce){return ce=ce.toLowerCase(),ce==="colon"?":":ce.charAt(0)==="#"?ce.charAt(1)==="x"?String.fromCharCode(parseInt(ce.substring(2),16)):String.fromCharCode(+ce.substring(1)):""})}var v=/(^|[^\[])\^/g;function m(x,ie){x=x.source||x,ie=ie||"";var ce={replace:function(Y,se){return se=se.source||se,se=se.replace(v,"$1"),x=x.replace(Y,se),ce},getRegex:function(){return new RegExp(x,ie)}};return ce}var w=/[^\w:]/g,c=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function u(x,ie,ce){if(x){var j;try{j=decodeURIComponent(f(ce)).replace(w,"").toLowerCase()}catch(Y){return null}if(j.indexOf("javascript:")===0||j.indexOf("vbscript:")===0||j.indexOf("data:")===0)return null}ie&&!c.test(ce)&&(ce=l(ie,ce));try{ce=encodeURI(ce).replace(/%25/g,"%")}catch(Y){return null}return ce}var a={},t=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,o=/^([^:]+:\/*[^/]*)[\s\S]*$/;function l(x,ie){a[" "+x]||(t.test(x)?a[" "+x]=x+"/":a[" "+x]=R(x,"/",!0)),x=a[" "+x];var ce=x.indexOf(":")===-1;return ie.substring(0,2)==="//"?ce?ie:x.replace(r,"$1")+ie:ie.charAt(0)==="/"?ce?ie:x.replace(o,"$1")+ie:x+ie}var i={exec:function(){}};function h(x){for(var ie=1,ce,j;ie<arguments.length;ie++){ce=arguments[ie];for(j in ce)Object.prototype.hasOwnProperty.call(ce,j)&&(x[j]=ce[j])}return x}function D(x,ie){var ce=x.replace(/\|/g,function(se,fe,ve){for(var $e=!1,Ne=fe;--Ne>=0&&ve[Ne]==="\\";)$e=!$e;return $e?"|":" |"}),j=ce.split(/ \|/),Y=0;if(j.length>ie)j.splice(ie);else for(;j.length<ie;)j.push("");for(;Y<j.length;Y++)j[Y]=j[Y].trim().replace(/\\\|/g,"|");return j}function R(x,ie,ce){var j=x.length;if(j===0)return"";for(var Y=0;Y<j;){var se=x.charAt(j-Y-1);if(se===ie&&!ce)Y++;else if(se!==ie&&ce)Y++;else break}return x.substr(0,j-Y)}function p(x,ie){if(x.indexOf(ie[1])===-1)return-1;for(var ce=x.length,j=0,Y=0;Y<ce;Y++)if(x[Y]==="\\")Y++;else if(x[Y]===ie[0])j++;else if(x[Y]===ie[1]&&(j--,j<0))return Y;return-1}function g(x){x&&x.sanitize&&!x.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function T(x,ie){if(ie<1)return"";for(var ce="";ie>1;)ie&1&&(ce+=x),ie>>=1,x+=x;return ce+x}var F={escape:d,unescape:f,edit:m,cleanUrl:u,resolveUrl:l,noopTest:i,merge:h,splitCells:D,rtrim:R,findClosingBracket:p,checkSanitizeDeprecation:g,repeatString:T},H=S.defaults,le=F.rtrim,z=F.splitCells,B=F.escape,Q=F.findClosingBracket;function M(x,ie,ce){var j=ie.href,Y=ie.title?B(ie.title):null,se=x[1].replace(/\\([\[\]])/g,"$1");return x[0].charAt(0)!=="!"?{type:"link",raw:ce,href:j,title:Y,text:se}:{type:"image",raw:ce,href:j,title:Y,text:B(se)}}function $(x,ie){var ce=x.match(/^(\s+)(?:```)/);if(ce===null)return ie;var j=ce[1];return ie.split(`
`).map(function(Y){var se=Y.match(/^\s+/);if(se===null)return Y;var fe=se[0];return fe.length>=j.length?Y.slice(j.length):Y}).join(`
`)}var N=function(){function x(ce){this.options=ce||H}var ie=x.prototype;return ie.space=function(j){var Y=this.rules.block.newline.exec(j);if(Y)return Y[0].length>1?{type:"space",raw:Y[0]}:{raw:`
`}},ie.code=function(j){var Y=this.rules.block.code.exec(j);if(Y){var se=Y[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:Y[0],codeBlockStyle:"indented",text:this.options.pedantic?se:le(se,`
`)}}},ie.fences=function(j){var Y=this.rules.block.fences.exec(j);if(Y){var se=Y[0],fe=$(se,Y[3]||"");return{type:"code",raw:se,lang:Y[2]?Y[2].trim():Y[2],text:fe}}},ie.heading=function(j){var Y=this.rules.block.heading.exec(j);if(Y){var se=Y[2].trim();if(/#$/.test(se)){var fe=le(se,"#");(this.options.pedantic||!fe||/ $/.test(fe))&&(se=fe.trim())}return{type:"heading",raw:Y[0],depth:Y[1].length,text:se}}},ie.nptable=function(j){var Y=this.rules.block.nptable.exec(j);if(Y){var se={type:"table",header:z(Y[1].replace(/^ *| *\| *$/g,"")),align:Y[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:Y[3]?Y[3].replace(/\n$/,"").split(`
`):[],raw:Y[0]};if(se.header.length===se.align.length){var fe=se.align.length,ve;for(ve=0;ve<fe;ve++)/^ *-+: *$/.test(se.align[ve])?se.align[ve]="right":/^ *:-+: *$/.test(se.align[ve])?se.align[ve]="center":/^ *:-+ *$/.test(se.align[ve])?se.align[ve]="left":se.align[ve]=null;for(fe=se.cells.length,ve=0;ve<fe;ve++)se.cells[ve]=z(se.cells[ve],se.header.length);return se}}},ie.hr=function(j){var Y=this.rules.block.hr.exec(j);if(Y)return{type:"hr",raw:Y[0]}},ie.blockquote=function(j){var Y=this.rules.block.blockquote.exec(j);if(Y){var se=Y[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:Y[0],text:se}}},ie.list=function(j){var Y=this.rules.block.list.exec(j);if(Y){var se=Y[0],fe=Y[2],ve=fe.length>1,$e={type:"list",raw:se,ordered:ve,start:ve?+fe.slice(0,-1):"",loose:!1,items:[]},Ne=Y[0].match(this.rules.block.item),Ve=!1,Qe,Ze,ct,st,me,he,ue,G,Ie=Ne.length;ct=this.rules.block.listItemStart.exec(Ne[0]);for(var Pe=0;Pe<Ie;Pe++){if(Qe=Ne[Pe],se=Qe,Pe!==Ie-1){if(st=this.rules.block.listItemStart.exec(Ne[Pe+1]),this.options.pedantic?st[1].length>ct[1].length:st[1].length>ct[0].length||st[1].length>3){Ne.splice(Pe,2,Ne[Pe]+`
`+Ne[Pe+1]),Pe--,Ie--;continue}else(!this.options.pedantic||this.options.smartLists?st[2][st[2].length-1]!==fe[fe.length-1]:ve===(st[2].length===1))&&(me=Ne.slice(Pe+1).join(`
`),$e.raw=$e.raw.substring(0,$e.raw.length-me.length),Pe=Ie-1);ct=st}Ze=Qe.length,Qe=Qe.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Qe.indexOf(`
 `)&&(Ze-=Qe.length,Qe=this.options.pedantic?Qe.replace(/^ {1,4}/gm,""):Qe.replace(new RegExp("^ {1,"+Ze+"}","gm"),"")),he=Ve||/\n\n(?!\s*$)/.test(Qe),Pe!==Ie-1&&(Ve=Qe.charAt(Qe.length-1)===`
`,he||(he=Ve)),he&&($e.loose=!0),this.options.gfm&&(ue=/^\[[ xX]\] /.test(Qe),G=void 0,ue&&(G=Qe[1]!==" ",Qe=Qe.replace(/^\[[ xX]\] +/,""))),$e.items.push({type:"list_item",raw:se,task:ue,checked:G,loose:he,text:Qe})}return $e}},ie.html=function(j){var Y=this.rules.block.html.exec(j);if(Y)return{type:this.options.sanitize?"paragraph":"html",raw:Y[0],pre:!this.options.sanitizer&&(Y[1]==="pre"||Y[1]==="script"||Y[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(Y[0]):B(Y[0]):Y[0]}},ie.def=function(j){var Y=this.rules.block.def.exec(j);if(Y){Y[3]&&(Y[3]=Y[3].substring(1,Y[3].length-1));var se=Y[1].toLowerCase().replace(/\s+/g," ");return{tag:se,raw:Y[0],href:Y[2],title:Y[3]}}},ie.table=function(j){var Y=this.rules.block.table.exec(j);if(Y){var se={type:"table",header:z(Y[1].replace(/^ *| *\| *$/g,"")),align:Y[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:Y[3]?Y[3].replace(/\n$/,"").split(`
`):[]};if(se.header.length===se.align.length){se.raw=Y[0];var fe=se.align.length,ve;for(ve=0;ve<fe;ve++)/^ *-+: *$/.test(se.align[ve])?se.align[ve]="right":/^ *:-+: *$/.test(se.align[ve])?se.align[ve]="center":/^ *:-+ *$/.test(se.align[ve])?se.align[ve]="left":se.align[ve]=null;for(fe=se.cells.length,ve=0;ve<fe;ve++)se.cells[ve]=z(se.cells[ve].replace(/^ *\| *| *\| *$/g,""),se.header.length);return se}}},ie.lheading=function(j){var Y=this.rules.block.lheading.exec(j);if(Y)return{type:"heading",raw:Y[0],depth:Y[2].charAt(0)==="="?1:2,text:Y[1]}},ie.paragraph=function(j){var Y=this.rules.block.paragraph.exec(j);if(Y)return{type:"paragraph",raw:Y[0],text:Y[1].charAt(Y[1].length-1)===`
`?Y[1].slice(0,-1):Y[1]}},ie.text=function(j){var Y=this.rules.block.text.exec(j);if(Y)return{type:"text",raw:Y[0],text:Y[0]}},ie.escape=function(j){var Y=this.rules.inline.escape.exec(j);if(Y)return{type:"escape",raw:Y[0],text:B(Y[1])}},ie.tag=function(j,Y,se){var fe=this.rules.inline.tag.exec(j);if(fe)return!Y&&/^<a /i.test(fe[0])?Y=!0:Y&&/^<\/a>/i.test(fe[0])&&(Y=!1),!se&&/^<(pre|code|kbd|script)(\s|>)/i.test(fe[0])?se=!0:se&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(fe[0])&&(se=!1),{type:this.options.sanitize?"text":"html",raw:fe[0],inLink:Y,inRawBlock:se,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(fe[0]):B(fe[0]):fe[0]}},ie.link=function(j){var Y=this.rules.inline.link.exec(j);if(Y){var se=Y[2].trim();if(!this.options.pedantic&&/^</.test(se)){if(!/>$/.test(se))return;var fe=le(se.slice(0,-1),"\\");if((se.length-fe.length)%2==0)return}else{var ve=Q(Y[2],"()");if(ve>-1){var $e=Y[0].indexOf("!")===0?5:4,Ne=$e+Y[1].length+ve;Y[2]=Y[2].substring(0,ve),Y[0]=Y[0].substring(0,Ne).trim(),Y[3]=""}}var Ve=Y[2],Qe="";if(this.options.pedantic){var Ze=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ve);Ze&&(Ve=Ze[1],Qe=Ze[3])}else Qe=Y[3]?Y[3].slice(1,-1):"";return Ve=Ve.trim(),/^</.test(Ve)&&(this.options.pedantic&&!/>$/.test(se)?Ve=Ve.slice(1):Ve=Ve.slice(1,-1)),M(Y,{href:Ve&&Ve.replace(this.rules.inline._escapes,"$1"),title:Qe&&Qe.replace(this.rules.inline._escapes,"$1")},Y[0])}},ie.reflink=function(j,Y){var se;if((se=this.rules.inline.reflink.exec(j))||(se=this.rules.inline.nolink.exec(j))){var fe=(se[2]||se[1]).replace(/\s+/g," ");if(fe=Y[fe.toLowerCase()],!fe||!fe.href){var ve=se[0].charAt(0);return{type:"text",raw:ve,text:ve}}return M(se,fe,se[0])}},ie.emStrong=function(j,Y,se){se===void 0&&(se="");var fe=this.rules.inline.emStrong.lDelim.exec(j);if(!!fe&&!(fe[3]&&se.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var ve=fe[1]||fe[2]||"";if(!ve||ve&&(se===""||this.rules.inline.punctuation.exec(se))){var $e=fe[0].length-1,Ne,Ve,Qe=$e,Ze=0,ct=fe[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(ct.lastIndex=0,Y=Y.slice(-1*j.length+$e);(fe=ct.exec(Y))!=null;)if(Ne=fe[1]||fe[2]||fe[3]||fe[4]||fe[5]||fe[6],!!Ne){if(Ve=Ne.length,fe[3]||fe[4]){Qe+=Ve;continue}else if((fe[5]||fe[6])&&$e%3&&!(($e+Ve)%3)){Ze+=Ve;continue}if(Qe-=Ve,!(Qe>0)){if(Qe+Ze-Ve<=0&&!Y.slice(ct.lastIndex).match(ct)&&(Ve=Math.min(Ve,Ve+Qe+Ze)),Math.min($e,Ve)%2)return{type:"em",raw:j.slice(0,$e+fe.index+Ve+1),text:j.slice(1,$e+fe.index+Ve)};if(Math.min($e,Ve)%2==0)return{type:"strong",raw:j.slice(0,$e+fe.index+Ve+1),text:j.slice(2,$e+fe.index+Ve-1)}}}}}},ie.codespan=function(j){var Y=this.rules.inline.code.exec(j);if(Y){var se=Y[2].replace(/\n/g," "),fe=/[^ ]/.test(se),ve=/^ /.test(se)&&/ $/.test(se);return fe&&ve&&(se=se.substring(1,se.length-1)),se=B(se,!0),{type:"codespan",raw:Y[0],text:se}}},ie.br=function(j){var Y=this.rules.inline.br.exec(j);if(Y)return{type:"br",raw:Y[0]}},ie.del=function(j){var Y=this.rules.inline.del.exec(j);if(Y)return{type:"del",raw:Y[0],text:Y[2]}},ie.autolink=function(j,Y){var se=this.rules.inline.autolink.exec(j);if(se){var fe,ve;return se[2]==="@"?(fe=B(this.options.mangle?Y(se[1]):se[1]),ve="mailto:"+fe):(fe=B(se[1]),ve=fe),{type:"link",raw:se[0],text:fe,href:ve,tokens:[{type:"text",raw:fe,text:fe}]}}},ie.url=function(j,Y){var se;if(se=this.rules.inline.url.exec(j)){var fe,ve;if(se[2]==="@")fe=B(this.options.mangle?Y(se[0]):se[0]),ve="mailto:"+fe;else{var $e;do $e=se[0],se[0]=this.rules.inline._backpedal.exec(se[0])[0];while($e!==se[0]);fe=B(se[0]),se[1]==="www."?ve="http://"+fe:ve=fe}return{type:"link",raw:se[0],text:fe,href:ve,tokens:[{type:"text",raw:fe,text:fe}]}}},ie.inlineText=function(j,Y,se){var fe=this.rules.inline.text.exec(j);if(fe){var ve;return Y?ve=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(fe[0]):B(fe[0]):fe[0]:ve=B(this.options.smartypants?se(fe[0]):fe[0]),{type:"text",raw:fe[0],text:ve}}},x}(),K=F.noopTest,W=F.edit,Z=F.merge,ne={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:K,table:K,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};ne._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,ne._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,ne.def=W(ne.def).replace("label",ne._label).replace("title",ne._title).getRegex(),ne.bullet=/(?:[*+-]|\d{1,9}[.)])/,ne.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,ne.item=W(ne.item,"gm").replace(/bull/g,ne.bullet).getRegex(),ne.listItemStart=W(/^( *)(bull)/).replace("bull",ne.bullet).getRegex(),ne.list=W(ne.list).replace(/bull/g,ne.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+ne.def.source+")").getRegex(),ne._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",ne._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,ne.html=W(ne.html,"i").replace("comment",ne._comment).replace("tag",ne._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),ne.paragraph=W(ne._paragraph).replace("hr",ne.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",ne._tag).getRegex(),ne.blockquote=W(ne.blockquote).replace("paragraph",ne.paragraph).getRegex(),ne.normal=Z({},ne),ne.gfm=Z({},ne.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),ne.gfm.nptable=W(ne.gfm.nptable).replace("hr",ne.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",ne._tag).getRegex(),ne.gfm.table=W(ne.gfm.table).replace("hr",ne.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",ne._tag).getRegex(),ne.pedantic=Z({},ne.normal,{html:W(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",ne._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:K,paragraph:W(ne.normal._paragraph).replace("hr",ne.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",ne.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var re={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:K,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:K,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};re._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",re.punctuation=W(re.punctuation).replace(/punctuation/g,re._punctuation).getRegex(),re.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,re.escapedEmSt=/\\\*|\\_/g,re._comment=W(ne._comment).replace("(?:-->|$)","-->").getRegex(),re.emStrong.lDelim=W(re.emStrong.lDelim).replace(/punct/g,re._punctuation).getRegex(),re.emStrong.rDelimAst=W(re.emStrong.rDelimAst,"g").replace(/punct/g,re._punctuation).getRegex(),re.emStrong.rDelimUnd=W(re.emStrong.rDelimUnd,"g").replace(/punct/g,re._punctuation).getRegex(),re._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,re._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,re._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,re.autolink=W(re.autolink).replace("scheme",re._scheme).replace("email",re._email).getRegex(),re._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,re.tag=W(re.tag).replace("comment",re._comment).replace("attribute",re._attribute).getRegex(),re._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,re._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,re._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,re.link=W(re.link).replace("label",re._label).replace("href",re._href).replace("title",re._title).getRegex(),re.reflink=W(re.reflink).replace("label",re._label).getRegex(),re.reflinkSearch=W(re.reflinkSearch,"g").replace("reflink",re.reflink).replace("nolink",re.nolink).getRegex(),re.normal=Z({},re),re.pedantic=Z({},re.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:W(/^!?\[(label)\]\((.*?)\)/).replace("label",re._label).getRegex(),reflink:W(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",re._label).getRegex()}),re.gfm=Z({},re.normal,{escape:W(re.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),re.gfm.url=W(re.gfm.url,"i").replace("email",re.gfm._extended_email).getRegex(),re.breaks=Z({},re.gfm,{br:W(re.br).replace("{2,}","*").getRegex(),text:W(re.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var Se={block:ne,inline:re},Ae=S.defaults,Be=Se.block,Re=Se.inline,xe=F.repeatString;function U(x){return x.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function q(x){var ie="",ce,j,Y=x.length;for(ce=0;ce<Y;ce++)j=x.charCodeAt(ce),Math.random()>.5&&(j="x"+j.toString(16)),ie+="&#"+j+";";return ie}var J=function(){function x(ce){this.tokens=[],this.tokens.links=Object.create(null),this.options=ce||Ae,this.options.tokenizer=this.options.tokenizer||new N,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var j={block:Be.normal,inline:Re.normal};this.options.pedantic?(j.block=Be.pedantic,j.inline=Re.pedantic):this.options.gfm&&(j.block=Be.gfm,this.options.breaks?j.inline=Re.breaks:j.inline=Re.gfm),this.tokenizer.rules=j}x.lex=function(j,Y){var se=new x(Y);return se.lex(j)},x.lexInline=function(j,Y){var se=new x(Y);return se.inlineTokens(j)};var ie=x.prototype;return ie.lex=function(j){return j=j.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(j,this.tokens,!0),this.inline(this.tokens),this.tokens},ie.blockTokens=function(j,Y,se){Y===void 0&&(Y=[]),se===void 0&&(se=!0),this.options.pedantic&&(j=j.replace(/^ +$/gm,""));for(var fe,ve,$e,Ne;j;){if(fe=this.tokenizer.space(j)){j=j.substring(fe.raw.length),fe.type&&Y.push(fe);continue}if(fe=this.tokenizer.code(j)){j=j.substring(fe.raw.length),Ne=Y[Y.length-1],Ne&&Ne.type==="paragraph"?(Ne.raw+=`
`+fe.raw,Ne.text+=`
`+fe.text):Y.push(fe);continue}if(fe=this.tokenizer.fences(j)){j=j.substring(fe.raw.length),Y.push(fe);continue}if(fe=this.tokenizer.heading(j)){j=j.substring(fe.raw.length),Y.push(fe);continue}if(fe=this.tokenizer.nptable(j)){j=j.substring(fe.raw.length),Y.push(fe);continue}if(fe=this.tokenizer.hr(j)){j=j.substring(fe.raw.length),Y.push(fe);continue}if(fe=this.tokenizer.blockquote(j)){j=j.substring(fe.raw.length),fe.tokens=this.blockTokens(fe.text,[],se),Y.push(fe);continue}if(fe=this.tokenizer.list(j)){for(j=j.substring(fe.raw.length),$e=fe.items.length,ve=0;ve<$e;ve++)fe.items[ve].tokens=this.blockTokens(fe.items[ve].text,[],!1);Y.push(fe);continue}if(fe=this.tokenizer.html(j)){j=j.substring(fe.raw.length),Y.push(fe);continue}if(se&&(fe=this.tokenizer.def(j))){j=j.substring(fe.raw.length),this.tokens.links[fe.tag]||(this.tokens.links[fe.tag]={href:fe.href,title:fe.title});continue}if(fe=this.tokenizer.table(j)){j=j.substring(fe.raw.length),Y.push(fe);continue}if(fe=this.tokenizer.lheading(j)){j=j.substring(fe.raw.length),Y.push(fe);continue}if(se&&(fe=this.tokenizer.paragraph(j))){j=j.substring(fe.raw.length),Y.push(fe);continue}if(fe=this.tokenizer.text(j)){j=j.substring(fe.raw.length),Ne=Y[Y.length-1],Ne&&Ne.type==="text"?(Ne.raw+=`
`+fe.raw,Ne.text+=`
`+fe.text):Y.push(fe);continue}if(j){var Ve="Infinite loop on byte: "+j.charCodeAt(0);if(this.options.silent){console.error(Ve);break}else throw new Error(Ve)}}return Y},ie.inline=function(j){var Y,se,fe,ve,$e,Ne,Ve=j.length;for(Y=0;Y<Ve;Y++)switch(Ne=j[Y],Ne.type){case"paragraph":case"text":case"heading":{Ne.tokens=[],this.inlineTokens(Ne.text,Ne.tokens);break}case"table":{for(Ne.tokens={header:[],cells:[]},ve=Ne.header.length,se=0;se<ve;se++)Ne.tokens.header[se]=[],this.inlineTokens(Ne.header[se],Ne.tokens.header[se]);for(ve=Ne.cells.length,se=0;se<ve;se++)for($e=Ne.cells[se],Ne.tokens.cells[se]=[],fe=0;fe<$e.length;fe++)Ne.tokens.cells[se][fe]=[],this.inlineTokens($e[fe],Ne.tokens.cells[se][fe]);break}case"blockquote":{this.inline(Ne.tokens);break}case"list":{for(ve=Ne.items.length,se=0;se<ve;se++)this.inline(Ne.items[se].tokens);break}}return j},ie.inlineTokens=function(j,Y,se,fe){Y===void 0&&(Y=[]),se===void 0&&(se=!1),fe===void 0&&(fe=!1);var ve,$e,Ne=j,Ve,Qe,Ze;if(this.tokens.links){var ct=Object.keys(this.tokens.links);if(ct.length>0)for(;(Ve=this.tokenizer.rules.inline.reflinkSearch.exec(Ne))!=null;)ct.includes(Ve[0].slice(Ve[0].lastIndexOf("[")+1,-1))&&(Ne=Ne.slice(0,Ve.index)+"["+xe("a",Ve[0].length-2)+"]"+Ne.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ve=this.tokenizer.rules.inline.blockSkip.exec(Ne))!=null;)Ne=Ne.slice(0,Ve.index)+"["+xe("a",Ve[0].length-2)+"]"+Ne.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ve=this.tokenizer.rules.inline.escapedEmSt.exec(Ne))!=null;)Ne=Ne.slice(0,Ve.index)+"++"+Ne.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;j;){if(Qe||(Ze=""),Qe=!1,ve=this.tokenizer.escape(j)){j=j.substring(ve.raw.length),Y.push(ve);continue}if(ve=this.tokenizer.tag(j,se,fe)){j=j.substring(ve.raw.length),se=ve.inLink,fe=ve.inRawBlock;var st=Y[Y.length-1];st&&ve.type==="text"&&st.type==="text"?(st.raw+=ve.raw,st.text+=ve.text):Y.push(ve);continue}if(ve=this.tokenizer.link(j)){j=j.substring(ve.raw.length),ve.type==="link"&&(ve.tokens=this.inlineTokens(ve.text,[],!0,fe)),Y.push(ve);continue}if(ve=this.tokenizer.reflink(j,this.tokens.links)){j=j.substring(ve.raw.length);var me=Y[Y.length-1];ve.type==="link"?(ve.tokens=this.inlineTokens(ve.text,[],!0,fe),Y.push(ve)):me&&ve.type==="text"&&me.type==="text"?(me.raw+=ve.raw,me.text+=ve.text):Y.push(ve);continue}if(ve=this.tokenizer.emStrong(j,Ne,Ze)){j=j.substring(ve.raw.length),ve.tokens=this.inlineTokens(ve.text,[],se,fe),Y.push(ve);continue}if(ve=this.tokenizer.codespan(j)){j=j.substring(ve.raw.length),Y.push(ve);continue}if(ve=this.tokenizer.br(j)){j=j.substring(ve.raw.length),Y.push(ve);continue}if(ve=this.tokenizer.del(j)){j=j.substring(ve.raw.length),ve.tokens=this.inlineTokens(ve.text,[],se,fe),Y.push(ve);continue}if(ve=this.tokenizer.autolink(j,q)){j=j.substring(ve.raw.length),Y.push(ve);continue}if(!se&&(ve=this.tokenizer.url(j,q))){j=j.substring(ve.raw.length),Y.push(ve);continue}if(ve=this.tokenizer.inlineText(j,fe,U)){j=j.substring(ve.raw.length),ve.raw.slice(-1)!=="_"&&(Ze=ve.raw.slice(-1)),Qe=!0,$e=Y[Y.length-1],$e&&$e.type==="text"?($e.raw+=ve.raw,$e.text+=ve.text):Y.push(ve);continue}if(j){var he="Infinite loop on byte: "+j.charCodeAt(0);if(this.options.silent){console.error(he);break}else throw new Error(he)}}return Y},e(x,null,[{key:"rules",get:function(){return{block:Be,inline:Re}}}]),x}(),ae=S.defaults,ge=F.cleanUrl,De=F.escape,Le=function(){function x(ce){this.options=ce||ae}var ie=x.prototype;return ie.code=function(j,Y,se){var fe=(Y||"").match(/\S*/)[0];if(this.options.highlight){var ve=this.options.highlight(j,fe);ve!=null&&ve!==j&&(se=!0,j=ve)}return j=j.replace(/\n$/,"")+`
`,fe?'<pre><code class="'+this.options.langPrefix+De(fe,!0)+'">'+(se?j:De(j,!0))+`</code></pre>
`:"<pre><code>"+(se?j:De(j,!0))+`</code></pre>
`},ie.blockquote=function(j){return`<blockquote>
`+j+`</blockquote>
`},ie.html=function(j){return j},ie.heading=function(j,Y,se,fe){return this.options.headerIds?"<h"+Y+' id="'+this.options.headerPrefix+fe.slug(se)+'">'+j+"</h"+Y+`>
`:"<h"+Y+">"+j+"</h"+Y+`>
`},ie.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},ie.list=function(j,Y,se){var fe=Y?"ol":"ul",ve=Y&&se!==1?' start="'+se+'"':"";return"<"+fe+ve+`>
`+j+"</"+fe+`>
`},ie.listitem=function(j){return"<li>"+j+`</li>
`},ie.checkbox=function(j){return"<input "+(j?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},ie.paragraph=function(j){return"<p>"+j+`</p>
`},ie.table=function(j,Y){return Y&&(Y="<tbody>"+Y+"</tbody>"),`<table>
<thead>
`+j+`</thead>
`+Y+`</table>
`},ie.tablerow=function(j){return`<tr>
`+j+`</tr>
`},ie.tablecell=function(j,Y){var se=Y.header?"th":"td",fe=Y.align?"<"+se+' align="'+Y.align+'">':"<"+se+">";return fe+j+"</"+se+`>
`},ie.strong=function(j){return"<strong>"+j+"</strong>"},ie.em=function(j){return"<em>"+j+"</em>"},ie.codespan=function(j){return"<code>"+j+"</code>"},ie.br=function(){return this.options.xhtml?"<br/>":"<br>"},ie.del=function(j){return"<del>"+j+"</del>"},ie.link=function(j,Y,se){if(j=ge(this.options.sanitize,this.options.baseUrl,j),j===null)return se;var fe='<a href="'+De(j)+'"';return Y&&(fe+=' title="'+Y+'"'),fe+=">"+se+"</a>",fe},ie.image=function(j,Y,se){if(j=ge(this.options.sanitize,this.options.baseUrl,j),j===null)return se;var fe='<img src="'+j+'" alt="'+se+'"';return Y&&(fe+=' title="'+Y+'"'),fe+=this.options.xhtml?"/>":">",fe},ie.text=function(j){return j},x}(),pe=function(){function x(){}var ie=x.prototype;return ie.strong=function(j){return j},ie.em=function(j){return j},ie.codespan=function(j){return j},ie.del=function(j){return j},ie.html=function(j){return j},ie.text=function(j){return j},ie.link=function(j,Y,se){return""+se},ie.image=function(j,Y,se){return""+se},ie.br=function(){return""},x}(),Ce=function(){function x(){this.seen={}}var ie=x.prototype;return ie.serialize=function(j){return j.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},ie.getNextSafeSlug=function(j,Y){var se=j,fe=0;if(this.seen.hasOwnProperty(se)){fe=this.seen[j];do fe++,se=j+"-"+fe;while(this.seen.hasOwnProperty(se))}return Y||(this.seen[j]=fe,this.seen[se]=0),se},ie.slug=function(j,Y){Y===void 0&&(Y={});var se=this.serialize(j);return this.getNextSafeSlug(se,Y.dryrun)},x}(),Te=S.defaults,Ue=F.unescape,be=function(){function x(ce){this.options=ce||Te,this.options.renderer=this.options.renderer||new Le,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new pe,this.slugger=new Ce}x.parse=function(j,Y){var se=new x(Y);return se.parse(j)},x.parseInline=function(j,Y){var se=new x(Y);return se.parseInline(j)};var ie=x.prototype;return ie.parse=function(j,Y){Y===void 0&&(Y=!0);var se="",fe,ve,$e,Ne,Ve,Qe,Ze,ct,st,me,he,ue,G,Ie,Pe,et,Ge,rt,lt=j.length;for(fe=0;fe<lt;fe++)switch(me=j[fe],me.type){case"space":continue;case"hr":{se+=this.renderer.hr();continue}case"heading":{se+=this.renderer.heading(this.parseInline(me.tokens),me.depth,Ue(this.parseInline(me.tokens,this.textRenderer)),this.slugger);continue}case"code":{se+=this.renderer.code(me.text,me.lang,me.escaped);continue}case"table":{for(ct="",Ze="",Ne=me.header.length,ve=0;ve<Ne;ve++)Ze+=this.renderer.tablecell(this.parseInline(me.tokens.header[ve]),{header:!0,align:me.align[ve]});for(ct+=this.renderer.tablerow(Ze),st="",Ne=me.cells.length,ve=0;ve<Ne;ve++){for(Qe=me.tokens.cells[ve],Ze="",Ve=Qe.length,$e=0;$e<Ve;$e++)Ze+=this.renderer.tablecell(this.parseInline(Qe[$e]),{header:!1,align:me.align[$e]});st+=this.renderer.tablerow(Ze)}se+=this.renderer.table(ct,st);continue}case"blockquote":{st=this.parse(me.tokens),se+=this.renderer.blockquote(st);continue}case"list":{for(he=me.ordered,ue=me.start,G=me.loose,Ne=me.items.length,st="",ve=0;ve<Ne;ve++)Pe=me.items[ve],et=Pe.checked,Ge=Pe.task,Ie="",Pe.task&&(rt=this.renderer.checkbox(et),G?Pe.tokens.length>0&&Pe.tokens[0].type==="text"?(Pe.tokens[0].text=rt+" "+Pe.tokens[0].text,Pe.tokens[0].tokens&&Pe.tokens[0].tokens.length>0&&Pe.tokens[0].tokens[0].type==="text"&&(Pe.tokens[0].tokens[0].text=rt+" "+Pe.tokens[0].tokens[0].text)):Pe.tokens.unshift({type:"text",text:rt}):Ie+=rt),Ie+=this.parse(Pe.tokens,G),st+=this.renderer.listitem(Ie,Ge,et);se+=this.renderer.list(st,he,ue);continue}case"html":{se+=this.renderer.html(me.text);continue}case"paragraph":{se+=this.renderer.paragraph(this.parseInline(me.tokens));continue}case"text":{for(st=me.tokens?this.parseInline(me.tokens):me.text;fe+1<lt&&j[fe+1].type==="text";)me=j[++fe],st+=`
`+(me.tokens?this.parseInline(me.tokens):me.text);se+=Y?this.renderer.paragraph(st):st;continue}default:{var Je='Token with "'+me.type+'" type was not found.';if(this.options.silent){console.error(Je);return}else throw new Error(Je)}}return se},ie.parseInline=function(j,Y){Y=Y||this.renderer;var se="",fe,ve,$e=j.length;for(fe=0;fe<$e;fe++)switch(ve=j[fe],ve.type){case"escape":{se+=Y.text(ve.text);break}case"html":{se+=Y.html(ve.text);break}case"link":{se+=Y.link(ve.href,ve.title,this.parseInline(ve.tokens,Y));break}case"image":{se+=Y.image(ve.href,ve.title,ve.text);break}case"strong":{se+=Y.strong(this.parseInline(ve.tokens,Y));break}case"em":{se+=Y.em(this.parseInline(ve.tokens,Y));break}case"codespan":{se+=Y.codespan(ve.text);break}case"br":{se+=Y.br();break}case"del":{se+=Y.del(this.parseInline(ve.tokens,Y));break}case"text":{se+=Y.text(ve.text);break}default:{var Ne='Token with "'+ve.type+'" type was not found.';if(this.options.silent){console.error(Ne);return}else throw new Error(Ne)}}return se},x}(),Ke=F.merge,V=F.checkSanitizeDeprecation,X=F.escape,_e=S.getDefaults,Me=S.changeDefaults,He=S.defaults;function Oe(x,ie,ce){if(typeof x=="undefined"||x===null)throw new Error("marked(): input parameter is undefined or null");if(typeof x!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(x)+", string expected");if(typeof ie=="function"&&(ce=ie,ie=null),ie=Ke({},Oe.defaults,ie||{}),V(ie),ce){var j=ie.highlight,Y;try{Y=J.lex(x,ie)}catch($e){return ce($e)}var se=function(Ne){var Ve;if(!Ne)try{Ve=be.parse(Y,ie)}catch(Qe){Ne=Qe}return ie.highlight=j,Ne?ce(Ne):ce(null,Ve)};if(!j||j.length<3||(delete ie.highlight,!Y.length))return se();var fe=0;Oe.walkTokens(Y,function($e){$e.type==="code"&&(fe++,setTimeout(function(){j($e.text,$e.lang,function(Ne,Ve){if(Ne)return se(Ne);Ve!=null&&Ve!==$e.text&&($e.text=Ve,$e.escaped=!0),fe--,fe===0&&se()})},0))}),fe===0&&se();return}try{var ve=J.lex(x,ie);return ie.walkTokens&&Oe.walkTokens(ve,ie.walkTokens),be.parse(ve,ie)}catch($e){if($e.message+=`
Please report this to https://github.com/markedjs/marked.`,ie.silent)return"<p>An error occurred:</p><pre>"+X($e.message+"",!0)+"</pre>";throw $e}}Oe.options=Oe.setOptions=function(x){return Ke(Oe.defaults,x),Me(Oe.defaults),Oe},Oe.getDefaults=_e,Oe.defaults=He,Oe.use=function(x){var ie=Ke({},x);if(x.renderer&&function(){var j=Oe.defaults.renderer||new Le,Y=function(ve){var $e=j[ve];j[ve]=function(){for(var Ne=arguments.length,Ve=new Array(Ne),Qe=0;Qe<Ne;Qe++)Ve[Qe]=arguments[Qe];var Ze=x.renderer[ve].apply(j,Ve);return Ze===!1&&(Ze=$e.apply(j,Ve)),Ze}};for(var se in x.renderer)Y(se);ie.renderer=j}(),x.tokenizer&&function(){var j=Oe.defaults.tokenizer||new N,Y=function(ve){var $e=j[ve];j[ve]=function(){for(var Ne=arguments.length,Ve=new Array(Ne),Qe=0;Qe<Ne;Qe++)Ve[Qe]=arguments[Qe];var Ze=x.tokenizer[ve].apply(j,Ve);return Ze===!1&&(Ze=$e.apply(j,Ve)),Ze}};for(var se in x.tokenizer)Y(se);ie.tokenizer=j}(),x.walkTokens){var ce=Oe.defaults.walkTokens;ie.walkTokens=function(j){x.walkTokens(j),ce&&ce(j)}}Oe.setOptions(ie)},Oe.walkTokens=function(x,ie){for(var ce=A(x),j;!(j=ce()).done;){var Y=j.value;switch(ie(Y),Y.type){case"table":{for(var se=A(Y.tokens.header),fe;!(fe=se()).done;){var ve=fe.value;Oe.walkTokens(ve,ie)}for(var $e=A(Y.tokens.cells),Ne;!(Ne=$e()).done;)for(var Ve=Ne.value,Qe=A(Ve),Ze;!(Ze=Qe()).done;){var ct=Ze.value;Oe.walkTokens(ct,ie)}break}case"list":{Oe.walkTokens(Y.items,ie);break}default:Y.tokens&&Oe.walkTokens(Y.tokens,ie)}}},Oe.parseInline=function(x,ie){if(typeof x=="undefined"||x===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof x!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(x)+", string expected");ie=Ke({},Oe.defaults,ie||{}),V(ie);try{var ce=J.lexInline(x,ie);return ie.walkTokens&&Oe.walkTokens(ce,ie.walkTokens),be.parseInline(ce,ie)}catch(j){if(j.message+=`
Please report this to https://github.com/markedjs/marked.`,ie.silent)return"<p>An error occurred:</p><pre>"+X(j.message+"",!0)+"</pre>";throw j}},Oe.Parser=be,Oe.parser=be.parse,Oe.Renderer=Le,Oe.TextRenderer=pe,Oe.Lexer=J,Oe.lexer=J.lex,Oe.Tokenizer=N,Oe.Slugger=Ce,Oe.parse=Oe;var Xe=Oe;return Xe}),define(we[78],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function b(S,C,E){return Math.min(Math.max(S,C),E)}e.clamp=b;function y(S,C){return(C+S%C)%C}e.rot=y;class A{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=A;class I{constructor(){this._n=1,this._val=0}update(C){return this._val=this._val+(C-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=I});"use strict";(function(){function oe(A){const I=[];typeof A=="number"&&I.push("code/timeOrigin",A);function S(E){I.push(E,Date.now())}function C(){const E=[];for(let n=0;n<I.length;n+=2)E.push({name:I[n],startTime:I[n+1]});return E}return{mark:S,getMarks:C}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?oe():{mark(A){performance.mark(A)},getMarks(){let A=performance.timeOrigin;typeof A!="number"&&(A=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const I=[{name:"code/timeOrigin",startTime:Math.round(A)}];for(const S of performance.getEntriesByType("mark"))I.push({name:S.name,startTime:Math.round(A+S.startTime)});return I}};if(typeof process=="object"){const A=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return oe(A)}else return console.trace("perf-util loaded in UNKNOWN environment"),oe()}function b(A){return A.MonacoPerformanceMarks||(A.MonacoPerformanceMarks=e()),A.MonacoPerformanceMarks}var y;typeof global=="object"?y=global:typeof self=="object"?y=self:y={},typeof define=="function"?define("vs/base/common/performance",[],function(){return b(y)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=b(y):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),y.perf=b(y))})(),define(we[21],Ee([0,1]),function(oe,e){"use strict";var b;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const y="en";let A=!1,I=!1,S=!1,C=!1,E=!1,n=!1,P=!1,k,_=y,d,s;const f=typeof self=="object"?self:typeof global=="object"?global:{};let v;typeof process!="undefined"?v=process:typeof f.vscode!="undefined"&&(v=f.vscode.process);const m=typeof((b=v==null?void 0:v.versions)===null||b===void 0?void 0:b.electron)=="string"&&v.type==="renderer";if(e.isElectronSandboxed=m&&(v==null?void 0:v.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const i=v==null?void 0:v.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof i=="string")return i==="none"||i==="code"||i==="bypassHeatCheck"||i==="bypassHeatCheckAndEagerCompile"?i:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!m)s=navigator.userAgent,A=s.indexOf("Windows")>=0,I=s.indexOf("Macintosh")>=0,P=(s.indexOf("Macintosh")>=0||s.indexOf("iPad")>=0||s.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,S=s.indexOf("Linux")>=0,n=!0,k=navigator.language,_=k;else if(typeof v=="object"){A=v.platform==="win32",I=v.platform==="darwin",S=v.platform==="linux",C=S&&!!v.env.SNAP&&!!v.env.SNAP_REVISION,k=y,_=y;const i=v.env.VSCODE_NLS_CONFIG;if(i)try{const h=JSON.parse(i),D=h.availableLanguages["*"];k=h.locale,_=D||y,d=h._translationsConfigFile}catch(h){}E=!0}else console.error("Unable to resolve platform.");var w;(function(i){i[i.Web=0]="Web",i[i.Mac=1]="Mac",i[i.Linux=2]="Linux",i[i.Windows=3]="Windows"})(w=e.Platform||(e.Platform={}));function c(i){switch(i){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=c;let u=0;I?u=1:A?u=3:S&&(u=2),e.isWindows=A,e.isMacintosh=I,e.isLinux=S,e.isLinuxSnap=C,e.isNative=E,e.isWeb=n,e.isIOS=P,e.platform=u,e.userAgent=s,e.language=_;var a;(function(i){function h(){return e.language}i.value=h;function D(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}i.isDefaultVariant=D;function R(){return e.language==="en"}i.isDefault=R})(a=e.Language||(e.Language={})),e.locale=k,e.translationsConfigFile=d,e.globals=f,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let D=[];e.globals.addEventListener("message",p=>{if(p.data&&p.data.vscodeSetImmediateId)for(let g=0,T=D.length;g<T;g++){const F=D[g];if(F.id===p.data.vscodeSetImmediateId){D.splice(g,1),F.callback();return}}});let R=0;return p=>{const g=++R;D.push({id:g,callback:p}),e.globals.postMessage({vscodeSetImmediateId:g},"*")}}if(typeof(v==null?void 0:v.nextTick)=="function")return v.nextTick.bind(v);const h=Promise.resolve();return D=>h.then(D)}();var t;(function(i){i[i.Windows=1]="Windows",i[i.Macintosh=2]="Macintosh",i[i.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=I||P?2:A?1:3;let r=!0,o=!1;function l(){if(!o){o=!0;const i=new Uint8Array(2);i[0]=1,i[1]=2,r=new Uint16Array(i.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=l}),define(we[32],Ee([0,1,21]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let y;if(typeof process!="undefined")y={get platform(){return process.platform},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()},nextTick(A){return process.nextTick(A)}};else if(typeof b.globals.vscode!="undefined"){const A=b.globals.vscode.process;y={get platform(){return A.platform},get env(){return A.env},cwd(){return A.cwd()},nextTick(I){return(0,b.setImmediate)(I)}}}else y={get platform(){return b.isWindows?"win32":b.isMacintosh?"darwin":"linux"},nextTick(A){return(0,b.setImmediate)(A)},get env(){return Object.create(null)},cwd(){return"/"}};e.cwd=y.cwd,e.env=y.env,e.platform=y.platform,e.nextTick=y.nextTick}),define(we[11],Ee([0,1,32]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const y=65,A=97,I=90,S=122,C=46,E=47,n=92,P=58,k=63;class _ extends Error{constructor(u,a,t){let r;typeof a=="string"&&a.indexOf("not ")===0?(r="must not be",a=a.replace(/^not /,"")):r="must be";const o=u.indexOf(".")!==-1?"property":"argument";let l=`The "${u}" ${o} ${r} of type ${a}`;l+=`. Received type ${typeof t}`,super(l),this.code="ERR_INVALID_ARG_TYPE"}}function d(c,u){if(typeof c!="string")throw new _(u,"string",c)}function s(c){return c===E||c===n}function f(c){return c===E}function v(c){return c>=y&&c<=I||c>=A&&c<=S}function m(c,u,a,t){let r="",o=0,l=-1,i=0,h=0;for(let D=0;D<=c.length;++D){if(D<c.length)h=c.charCodeAt(D);else{if(t(h))break;h=E}if(t(h)){if(!(l===D-1||i===1))if(i===2){if(r.length<2||o!==2||r.charCodeAt(r.length-1)!==C||r.charCodeAt(r.length-2)!==C){if(r.length>2){const R=r.lastIndexOf(a);R===-1?(r="",o=0):(r=r.slice(0,R),o=r.length-1-r.lastIndexOf(a)),l=D,i=0;continue}else if(r.length!==0){r="",o=0,l=D,i=0;continue}}u&&(r+=r.length>0?`${a}..`:"..",o=2)}else r.length>0?r+=`${a}${c.slice(l+1,D)}`:r=c.slice(l+1,D),o=D-l-1;l=D,i=0}else h===C&&i!==-1?++i:i=-1}return r}function w(c,u){if(u===null||typeof u!="object")throw new _("pathObject","Object",u);const a=u.dir||u.root,t=u.base||`${u.name||""}${u.ext||""}`;return a?a===u.root?`${a}${t}`:`${a}${c}${t}`:t}e.win32={resolve(...c){let u="",a="",t=!1;for(let r=c.length-1;r>=-1;r--){let o;if(r>=0){if(o=c[r],d(o,"path"),o.length===0)continue}else u.length===0?o=b.cwd():(o=b.env[`=${u}`]||b.cwd(),(o===void 0||o.slice(0,2).toLowerCase()!==u.toLowerCase()&&o.charCodeAt(2)===n)&&(o=`${u}\\`));const l=o.length;let i=0,h="",D=!1;const R=o.charCodeAt(0);if(l===1)s(R)&&(i=1,D=!0);else if(s(R))if(D=!0,s(o.charCodeAt(1))){let p=2,g=p;for(;p<l&&!s(o.charCodeAt(p));)p++;if(p<l&&p!==g){const T=o.slice(g,p);for(g=p;p<l&&s(o.charCodeAt(p));)p++;if(p<l&&p!==g){for(g=p;p<l&&!s(o.charCodeAt(p));)p++;(p===l||p!==g)&&(h=`\\\\${T}\\${o.slice(g,p)}`,i=p)}}}else i=1;else v(R)&&o.charCodeAt(1)===P&&(h=o.slice(0,2),i=2,l>2&&s(o.charCodeAt(2))&&(D=!0,i=3));if(h.length>0)if(u.length>0){if(h.toLowerCase()!==u.toLowerCase())continue}else u=h;if(t){if(u.length>0)break}else if(a=`${o.slice(i)}\\${a}`,t=D,D&&u.length>0)break}return a=m(a,!t,"\\",s),t?`${u}\\${a}`:`${u}${a}`||"."},normalize(c){d(c,"path");const u=c.length;if(u===0)return".";let a=0,t,r=!1;const o=c.charCodeAt(0);if(u===1)return f(o)?"\\":c;if(s(o))if(r=!0,s(c.charCodeAt(1))){let i=2,h=i;for(;i<u&&!s(c.charCodeAt(i));)i++;if(i<u&&i!==h){const D=c.slice(h,i);for(h=i;i<u&&s(c.charCodeAt(i));)i++;if(i<u&&i!==h){for(h=i;i<u&&!s(c.charCodeAt(i));)i++;if(i===u)return`\\\\${D}\\${c.slice(h)}\\`;i!==h&&(t=`\\\\${D}\\${c.slice(h,i)}`,a=i)}}}else a=1;else v(o)&&c.charCodeAt(1)===P&&(t=c.slice(0,2),a=2,u>2&&s(c.charCodeAt(2))&&(r=!0,a=3));let l=a<u?m(c.slice(a),!r,"\\",s):"";return l.length===0&&!r&&(l="."),l.length>0&&s(c.charCodeAt(u-1))&&(l+="\\"),t===void 0?r?`\\${l}`:l:r?`${t}\\${l}`:`${t}${l}`},isAbsolute(c){d(c,"path");const u=c.length;if(u===0)return!1;const a=c.charCodeAt(0);return s(a)||u>2&&v(a)&&c.charCodeAt(1)===P&&s(c.charCodeAt(2))},join(...c){if(c.length===0)return".";let u,a;for(let o=0;o<c.length;++o){const l=c[o];d(l,"path"),l.length>0&&(u===void 0?u=a=l:u+=`\\${l}`)}if(u===void 0)return".";let t=!0,r=0;if(typeof a=="string"&&s(a.charCodeAt(0))){++r;const o=a.length;o>1&&s(a.charCodeAt(1))&&(++r,o>2&&(s(a.charCodeAt(2))?++r:t=!1))}if(t){for(;r<u.length&&s(u.charCodeAt(r));)r++;r>=2&&(u=`\\${u.slice(r)}`)}return e.win32.normalize(u)},relative(c,u){if(d(c,"from"),d(u,"to"),c===u)return"";const a=e.win32.resolve(c),t=e.win32.resolve(u);if(a===t||(c=a.toLowerCase(),u=t.toLowerCase(),c===u))return"";let r=0;for(;r<c.length&&c.charCodeAt(r)===n;)r++;let o=c.length;for(;o-1>r&&c.charCodeAt(o-1)===n;)o--;const l=o-r;let i=0;for(;i<u.length&&u.charCodeAt(i)===n;)i++;let h=u.length;for(;h-1>i&&u.charCodeAt(h-1)===n;)h--;const D=h-i,R=l<D?l:D;let p=-1,g=0;for(;g<R;g++){const F=c.charCodeAt(r+g);if(F!==u.charCodeAt(i+g))break;F===n&&(p=g)}if(g!==R){if(p===-1)return t}else{if(D>R){if(u.charCodeAt(i+g)===n)return t.slice(i+g+1);if(g===2)return t.slice(i+g)}l>R&&(c.charCodeAt(r+g)===n?p=g:g===2&&(p=3)),p===-1&&(p=0)}let T="";for(g=r+p+1;g<=o;++g)(g===o||c.charCodeAt(g)===n)&&(T+=T.length===0?"..":"\\..");return i+=p,T.length>0?`${T}${t.slice(i,h)}`:(t.charCodeAt(i)===n&&++i,t.slice(i,h))},toNamespacedPath(c){if(typeof c!="string")return c;if(c.length===0)return"";const u=e.win32.resolve(c);if(u.length<=2)return c;if(u.charCodeAt(0)===n){if(u.charCodeAt(1)===n){const a=u.charCodeAt(2);if(a!==k&&a!==C)return`\\\\?\\UNC\\${u.slice(2)}`}}else if(v(u.charCodeAt(0))&&u.charCodeAt(1)===P&&u.charCodeAt(2)===n)return`\\\\?\\${u}`;return c},dirname(c){d(c,"path");const u=c.length;if(u===0)return".";let a=-1,t=0;const r=c.charCodeAt(0);if(u===1)return s(r)?c:".";if(s(r)){if(a=t=1,s(c.charCodeAt(1))){let i=2,h=i;for(;i<u&&!s(c.charCodeAt(i));)i++;if(i<u&&i!==h){for(h=i;i<u&&s(c.charCodeAt(i));)i++;if(i<u&&i!==h){for(h=i;i<u&&!s(c.charCodeAt(i));)i++;if(i===u)return c;i!==h&&(a=t=i+1)}}}}else v(r)&&c.charCodeAt(1)===P&&(a=u>2&&s(c.charCodeAt(2))?3:2,t=a);let o=-1,l=!0;for(let i=u-1;i>=t;--i)if(s(c.charCodeAt(i))){if(!l){o=i;break}}else l=!1;if(o===-1){if(a===-1)return".";o=a}return c.slice(0,o)},basename(c,u){u!==void 0&&d(u,"ext"),d(c,"path");let a=0,t=-1,r=!0,o;if(c.length>=2&&v(c.charCodeAt(0))&&c.charCodeAt(1)===P&&(a=2),u!==void 0&&u.length>0&&u.length<=c.length){if(u===c)return"";let l=u.length-1,i=-1;for(o=c.length-1;o>=a;--o){const h=c.charCodeAt(o);if(s(h)){if(!r){a=o+1;break}}else i===-1&&(r=!1,i=o+1),l>=0&&(h===u.charCodeAt(l)?--l==-1&&(t=o):(l=-1,t=i))}return a===t?t=i:t===-1&&(t=c.length),c.slice(a,t)}for(o=c.length-1;o>=a;--o)if(s(c.charCodeAt(o))){if(!r){a=o+1;break}}else t===-1&&(r=!1,t=o+1);return t===-1?"":c.slice(a,t)},extname(c){d(c,"path");let u=0,a=-1,t=0,r=-1,o=!0,l=0;c.length>=2&&c.charCodeAt(1)===P&&v(c.charCodeAt(0))&&(u=t=2);for(let i=c.length-1;i>=u;--i){const h=c.charCodeAt(i);if(s(h)){if(!o){t=i+1;break}continue}r===-1&&(o=!1,r=i+1),h===C?a===-1?a=i:l!==1&&(l=1):a!==-1&&(l=-1)}return a===-1||r===-1||l===0||l===1&&a===r-1&&a===t+1?"":c.slice(a,r)},format:w.bind(null,"\\"),parse(c){d(c,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return u;const a=c.length;let t=0,r=c.charCodeAt(0);if(a===1)return s(r)?(u.root=u.dir=c,u):(u.base=u.name=c,u);if(s(r)){if(t=1,s(c.charCodeAt(1))){let p=2,g=p;for(;p<a&&!s(c.charCodeAt(p));)p++;if(p<a&&p!==g){for(g=p;p<a&&s(c.charCodeAt(p));)p++;if(p<a&&p!==g){for(g=p;p<a&&!s(c.charCodeAt(p));)p++;p===a?t=p:p!==g&&(t=p+1)}}}}else if(v(r)&&c.charCodeAt(1)===P){if(a<=2)return u.root=u.dir=c,u;if(t=2,s(c.charCodeAt(2))){if(a===3)return u.root=u.dir=c,u;t=3}}t>0&&(u.root=c.slice(0,t));let o=-1,l=t,i=-1,h=!0,D=c.length-1,R=0;for(;D>=t;--D){if(r=c.charCodeAt(D),s(r)){if(!h){l=D+1;break}continue}i===-1&&(h=!1,i=D+1),r===C?o===-1?o=D:R!==1&&(R=1):o!==-1&&(R=-1)}return i!==-1&&(o===-1||R===0||R===1&&o===i-1&&o===l+1?u.base=u.name=c.slice(l,i):(u.name=c.slice(l,o),u.base=c.slice(l,i),u.ext=c.slice(o,i))),l>0&&l!==t?u.dir=c.slice(0,l-1):u.dir=u.root,u},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...c){let u="",a=!1;for(let t=c.length-1;t>=-1&&!a;t--){const r=t>=0?c[t]:b.cwd();d(r,"path"),r.length!==0&&(u=`${r}/${u}`,a=r.charCodeAt(0)===E)}return u=m(u,!a,"/",f),a?`/${u}`:u.length>0?u:"."},normalize(c){if(d(c,"path"),c.length===0)return".";const u=c.charCodeAt(0)===E,a=c.charCodeAt(c.length-1)===E;return c=m(c,!u,"/",f),c.length===0?u?"/":a?"./":".":(a&&(c+="/"),u?`/${c}`:c)},isAbsolute(c){return d(c,"path"),c.length>0&&c.charCodeAt(0)===E},join(...c){if(c.length===0)return".";let u;for(let a=0;a<c.length;++a){const t=c[a];d(t,"path"),t.length>0&&(u===void 0?u=t:u+=`/${t}`)}return u===void 0?".":e.posix.normalize(u)},relative(c,u){if(d(c,"from"),d(u,"to"),c===u||(c=e.posix.resolve(c),u=e.posix.resolve(u),c===u))return"";const a=1,t=c.length,r=t-a,o=1,l=u.length-o,i=r<l?r:l;let h=-1,D=0;for(;D<i;D++){const p=c.charCodeAt(a+D);if(p!==u.charCodeAt(o+D))break;p===E&&(h=D)}if(D===i)if(l>i){if(u.charCodeAt(o+D)===E)return u.slice(o+D+1);if(D===0)return u.slice(o+D)}else r>i&&(c.charCodeAt(a+D)===E?h=D:D===0&&(h=0));let R="";for(D=a+h+1;D<=t;++D)(D===t||c.charCodeAt(D)===E)&&(R+=R.length===0?"..":"/..");return`${R}${u.slice(o+h)}`},toNamespacedPath(c){return c},dirname(c){if(d(c,"path"),c.length===0)return".";const u=c.charCodeAt(0)===E;let a=-1,t=!0;for(let r=c.length-1;r>=1;--r)if(c.charCodeAt(r)===E){if(!t){a=r;break}}else t=!1;return a===-1?u?"/":".":u&&a===1?"//":c.slice(0,a)},basename(c,u){u!==void 0&&d(u,"ext"),d(c,"path");let a=0,t=-1,r=!0,o;if(u!==void 0&&u.length>0&&u.length<=c.length){if(u===c)return"";let l=u.length-1,i=-1;for(o=c.length-1;o>=0;--o){const h=c.charCodeAt(o);if(h===E){if(!r){a=o+1;break}}else i===-1&&(r=!1,i=o+1),l>=0&&(h===u.charCodeAt(l)?--l==-1&&(t=o):(l=-1,t=i))}return a===t?t=i:t===-1&&(t=c.length),c.slice(a,t)}for(o=c.length-1;o>=0;--o)if(c.charCodeAt(o)===E){if(!r){a=o+1;break}}else t===-1&&(r=!1,t=o+1);return t===-1?"":c.slice(a,t)},extname(c){d(c,"path");let u=-1,a=0,t=-1,r=!0,o=0;for(let l=c.length-1;l>=0;--l){const i=c.charCodeAt(l);if(i===E){if(!r){a=l+1;break}continue}t===-1&&(r=!1,t=l+1),i===C?u===-1?u=l:o!==1&&(o=1):u!==-1&&(o=-1)}return u===-1||t===-1||o===0||o===1&&u===t-1&&u===a+1?"":c.slice(u,t)},format:w.bind(null,"/"),parse(c){d(c,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return u;const a=c.charCodeAt(0)===E;let t;a?(u.root="/",t=1):t=0;let r=-1,o=0,l=-1,i=!0,h=c.length-1,D=0;for(;h>=t;--h){const R=c.charCodeAt(h);if(R===E){if(!i){o=h+1;break}continue}l===-1&&(i=!1,l=h+1),R===C?r===-1?r=h:D!==1&&(D=1):r!==-1&&(D=-1)}if(l!==-1){const R=o===0&&a?1:o;r===-1||D===0||D===1&&r===l-1&&r===o+1?u.base=u.name=c.slice(R,l):(u.name=c.slice(R,r),u.base=c.slice(R,l),u.ext=c.slice(r,l))}return o>0?u.dir=c.slice(0,o-1):a&&(u.dir="/"),u},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=b.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=b.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=b.platform==="win32"?e.win32.join:e.posix.join,e.resolve=b.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=b.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=b.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=b.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=b.platform==="win32"?e.win32.extname:e.posix.extname,e.format=b.platform==="win32"?e.win32.format:e.posix.format,e.parse=b.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=b.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=b.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=b.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(we[54],Ee([0,1,21]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const y=b.globals.performance&&typeof b.globals.performance.now=="function";class A{constructor(S){this._highResolution=y&&S,this._startTime=this._now(),this._stopTime=-1}static create(S=!0){return new A(S)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?b.globals.performance.now():Date.now()}}e.StopWatch=A}),define(we[3],Ee([0,1,10,51,6,46,54]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var C;(function(m){m.None=()=>A.Disposable.None;function w(z){return(B,Q=null,M)=>{let $=!1,N;return N=z(K=>{if(!$)return N?N.dispose():$=!0,B.call(Q,K)},null,M),$&&N.dispose(),N}}m.once=w;function c(z,B){return l((Q,M=null,$)=>z(N=>Q.call(M,B(N)),null,$))}m.map=c;function u(z,B){return l((Q,M=null,$)=>z(N=>{B(N),Q.call(M,N)},null,$))}m.forEach=u;function a(z,B){return l((Q,M=null,$)=>z(N=>B(N)&&Q.call(M,N),null,$))}m.filter=a;function t(z){return z}m.signal=t;function r(...z){return(B,Q=null,M)=>(0,A.combinedDisposable)(...z.map($=>$(N=>B.call(Q,N),null,M)))}m.any=r;function o(z,B,Q){let M=Q;return c(z,$=>(M=B(M,$),M))}m.reduce=o;function l(z){let B;const Q=new _({onFirstListenerAdd(){B=z(Q.fire,Q)},onLastListenerRemove(){B.dispose()}});return Q.event}m.snapshot=l;function i(z,B,Q=100,M=!1,$){let N,K,W,Z=0;const ne=new _({leakWarningThreshold:$,onFirstListenerAdd(){N=z(re=>{Z++,K=B(K,re),M&&!W&&(ne.fire(K),K=void 0),clearTimeout(W),W=setTimeout(()=>{const Se=K;K=void 0,W=void 0,(!M||Z>1)&&ne.fire(Se),Z=0},Q)})},onLastListenerRemove(){N.dispose()}});return ne.event}m.debounce=i;function h(z){const B=new Date().getTime();return c(w(z),Q=>new Date().getTime()-B)}m.stopwatch=h;function D(z){let B=!0,Q;return a(z,M=>{const $=B||M!==Q;return B=!1,Q=M,$})}m.latch=D;function R(z,B=!1,Q=[]){let M=Q.slice(),$=z(W=>{M?M.push(W):K.fire(W)});const N=()=>{M&&M.forEach(W=>K.fire(W)),M=null},K=new _({onFirstListenerAdd(){$||($=z(W=>K.fire(W)))},onFirstListenerDidAdd(){M&&(B?setTimeout(N):N())},onLastListenerRemove(){$&&$.dispose(),$=null}});return K.event}m.buffer=R;class p{constructor(B){this.event=B}map(B){return new p(c(this.event,B))}forEach(B){return new p(u(this.event,B))}filter(B){return new p(a(this.event,B))}reduce(B,Q){return new p(o(this.event,B,Q))}latch(){return new p(D(this.event))}debounce(B,Q=100,M=!1,$){return new p(i(this.event,B,Q,M,$))}on(B,Q,M){return this.event(B,Q,M)}once(B,Q,M){return w(this.event)(B,Q,M)}}function g(z){return new p(z)}m.chain=g;function T(z,B,Q=M=>M){const M=(...W)=>K.fire(Q(...W)),$=()=>z.on(B,M),N=()=>z.removeListener(B,M),K=new _({onFirstListenerAdd:$,onLastListenerRemove:N});return K.event}m.fromNodeEventEmitter=T;function F(z,B,Q=M=>M){const M=(...W)=>K.fire(Q(...W)),$=()=>z.addEventListener(B,M),N=()=>z.removeEventListener(B,M),K=new _({onFirstListenerAdd:$,onLastListenerRemove:N});return K.event}m.fromDOMEventEmitter=F;function H(z){const B=new _;let Q=!1;return z.then(void 0,()=>null).then(()=>{Q?B.fire(void 0):setTimeout(()=>B.fire(void 0),0)}),Q=!0,B.event}m.fromPromise=H;function le(z){return new Promise(B=>w(z)(B))}m.toPromise=le})(C=e.Event||(e.Event={}));class E{constructor(w){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${w}_${E._idPool++}`}start(w){this._stopWatch=new S.StopWatch(!0),this._listenerCount=w}stop(){if(this._stopWatch){const w=this._stopWatch.elapsed();this._elapsedOverall+=w,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${w.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}E._idPool=0;let n=-1;function P(m){const w=n;return n=m,{dispose(){n=w}}}e.setGlobalLeakWarningThreshold=P;class k{constructor(w,c=Math.random().toString(18).slice(2,5)){this.customThreshold=w,this.name=c,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(w){let c=n;if(typeof this.customThreshold=="number"&&(c=this.customThreshold),!(c<=0||w<c)){this._stacks||(this._stacks=new Map);const u=new Error().stack.split(`
`).slice(3).join(`
`),a=this._stacks.get(u)||0;if(this._stacks.set(u,a+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=c*.5;let t,r=0;for(const[o,l]of this._stacks)(!t||r<l)&&(t=o,r=l);console.warn(`[${this.name}] potential listener LEAK detected, having ${w} listeners already. MOST frequent listener (${r}):`),console.warn(t)}return()=>{const t=this._stacks.get(u)||0;this._stacks.set(u,t-1)}}}}class _{constructor(w){var c;this._disposed=!1,this._options=w,this._leakageMon=n>0?new k(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((c=this._options)===null||c===void 0?void 0:c._profName)?new E(this._options._profName):void 0}get event(){return this._event||(this._event=(w,c,u)=>{var a;this._listeners||(this._listeners=new I.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const r=this._listeners.push(c?[w,c]:w);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,w,c);const o=(a=this._leakageMon)===null||a===void 0?void 0:a.check(this._listeners.size);let l;return l={dispose:()=>{o&&o(),l.dispose=_._noop,this._disposed||(r(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},u instanceof A.DisposableStore?u.add(l):Array.isArray(u)&&u.push(l),l}),this._event}fire(w){var c,u;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new I.LinkedList);for(let a of this._listeners)this._deliveryQueue.push([a,w]);for((c=this._perfMon)===null||c===void 0||c.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[a,t]=this._deliveryQueue.shift();try{typeof a=="function"?a.call(void 0,t):a[0].call(a[1],t)}catch(r){(0,b.onUnexpectedError)(r)}}(u=this._perfMon)===null||u===void 0||u.stop()}}dispose(){var w,c,u;(w=this._listeners)===null||w===void 0||w.clear(),(c=this._deliveryQueue)===null||c===void 0||c.clear(),(u=this._leakageMon)===null||u===void 0||u.dispose(),this._disposed=!0}}e.Emitter=_,_._noop=function(){};class d extends _{constructor(w){super(w);this._isPaused=0,this._eventQueue=new I.LinkedList,this._mergeFn=w==null?void 0:w.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const w=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(w))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(w){this._listeners&&(this._isPaused!==0?this._eventQueue.push(w):super.fire(w))}}e.PauseableEmitter=d;class s{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new _({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(w){const c={event:w,listener:null};this.events.push(c),this.hasListeners&&this.hook(c);const u=()=>{this.hasListeners&&this.unhook(c);const a=this.events.indexOf(c);this.events.splice(a,1)};return(0,A.toDisposable)((0,y.once)(u))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(w=>this.hook(w))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(w=>this.unhook(w))}hook(w){w.listener=w.event(c=>this.emitter.fire(c))}unhook(w){w.listener&&w.listener.dispose(),w.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=s;class f{constructor(){this.buffers=[]}wrapEvent(w){return(c,u,a)=>w(t=>{const r=this.buffers[this.buffers.length-1];r?r.push(()=>c.call(u,t)):c.call(u,t)},void 0,a)}bufferEvents(w){const c=[];this.buffers.push(c);const u=w();return this.buffers.pop(),c.forEach(a=>a()),u}}e.EventBufferer=f;class v{constructor(){this.listening=!1,this.inputEvent=C.None,this.inputEventListener=A.Disposable.None,this.emitter=new _({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(w){this.inputEvent=w,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=w(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=v}),define(we[20],Ee([0,1,3]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const y=Object.freeze(function(C,E){const n=setTimeout(C.bind(E),0);return{dispose(){clearTimeout(n)}}});var A;(function(C){function E(n){return n===C.None||n===C.Cancelled||n instanceof I?!0:!n||typeof n!="object"?!1:typeof n.isCancellationRequested=="boolean"&&typeof n.onCancellationRequested=="function"}C.isCancellationToken=E,C.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:b.Event.None}),C.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:y})})(A=e.CancellationToken||(e.CancellationToken={}));class I{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?y:(this._emitter||(this._emitter=new b.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class S{constructor(E){this._token=void 0,this._parentListener=void 0,this._parentListener=E&&E.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new I),this._token}cancel(){this._token?this._token instanceof I&&this._token.cancel():this._token=A.Cancelled}dispose(E=!1){E&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof I&&this._token.dispose():this._token=A.None}}e.CancellationTokenSource=S}),define(we[37],Ee([0,1,3]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class y{constructor(){this._icons=new Map,this._onDidRegister=new b.Emitter}add(P){const k=this._icons.get(P.id);k?P.description?k.description=P.description:console.error(`Duplicate registration of codicon ${P.id}`):(this._icons.set(P.id,P),this._onDidRegister.fire(P))}get(P){return this._icons.get(P)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const A=new y;e.iconRegistry=A;function I(n,P){return new S(n,P)}e.registerCodicon=I;class S{constructor(P,k,_){this.id=P,this.definition=k,this.description=_,A.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=S;function C(n,P){const k=["codicon","codicon-"+n];return P&&k.push("codicon-modifier-"+P),k}e.getClassNamesArray=C;var E;(function(n){n.iconNameSegment="[A-Za-z0-9]+",n.iconNameExpression="[A-Za-z0-9\\-]+",n.iconModifierExpression="~[A-Za-z]+";const P=new RegExp(`^(${n.iconNameExpression})(${n.iconModifierExpression})?$`);function k(s){if(s instanceof S)return["codicon","codicon-"+s.id];const f=P.exec(s.id);if(!f)return k(S.error);let[,v,m]=f;const w=["codicon","codicon-"+v];return m&&w.push("codicon-modifier-"+m.substr(1)),w}n.asClassNameArray=k;function _(s){return k(s).join(" ")}n.asClassName=_;function d(s){return"."+k(s).join(".")}n.asCSSSelector=d})(E=e.CSSIcon||(e.CSSIcon={})),function(n){n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",{fontCharacter:"\\ea60"}),n.gistNew=new n("gist-new",{fontCharacter:"\\ea60"}),n.repoCreate=new n("repo-create",{fontCharacter:"\\ea60"}),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personAdd=new n("person-add",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eb0a"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnknown=new n("workspace-unknown",{fontCharacter:"\\ebc3"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition)}(S=e.Codicon||(e.Codicon={}))}),define(we[106],Ee([0,1,10,6]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function A(v){const m=v;return m&&[m.on,m.pause,m.resume,m.destroy].every(w=>typeof w=="function")}e.isReadableStream=A;function I(v){const m=v;return m&&A(m.stream)&&Array.isArray(m.buffer)&&typeof m.ended=="boolean"}e.isReadableBufferedStream=I;function S(v,m){return new C(v,m)}e.newWriteableStream=S;class C{constructor(m,w){this.reducer=m,this.options=w,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(m){var w;if(!this.state.destroyed){if(this.state.flowing)this.emitData(m);else if(this.buffer.data.push(m),typeof((w=this.options)===null||w===void 0?void 0:w.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(m){this.state.destroyed||(this.state.flowing?this.emitError(m):this.buffer.error.push(m))}end(m){this.state.destroyed||(typeof m!="undefined"&&this.write(m),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(m){this.listeners.data.slice(0).forEach(w=>w(m))}emitError(m){this.listeners.error.length===0?(0,b.onUnexpectedError)(m):this.listeners.error.slice(0).forEach(w=>w(m))}emitEnd(){this.listeners.end.slice(0).forEach(m=>m())}on(m,w){if(!this.state.destroyed)switch(m){case"data":this.listeners.data.push(w),this.resume();break;case"end":this.listeners.end.push(w),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(w),this.state.flowing&&this.flowErrors();break}}removeListener(m,w){if(!this.state.destroyed){let c;switch(m){case"data":c=this.listeners.data;break;case"end":c=this.listeners.end;break;case"error":c=this.listeners.error;break}if(c){const u=c.indexOf(w);u>=0&&c.splice(u,1)}}}flowData(){if(this.buffer.data.length>0){const m=this.reducer(this.buffer.data);this.emitData(m),this.buffer.data.length=0;const w=[...this.pendingWritePromises];this.pendingWritePromises.length=0,w.forEach(c=>c())}}flowErrors(){if(this.listeners.error.length>0){for(const m of this.buffer.error)this.emitError(m);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function E(v,m){const w=[];let c;for(;(c=v.read())!==null;)w.push(c);return m(w)}e.consumeReadable=E;function n(v,m,w){const c=[];let u;for(;(u=v.read())!==null&&c.length<w;)c.push(u);return u===null&&c.length>0?m(c):{read:()=>{if(c.length>0)return c.shift();if(typeof u!="undefined"){const a=u;return u=void 0,a}return v.read()}}}e.peekReadable=n;function P(v,m){return new Promise((w,c)=>{const u=[];k(v,{onData:a=>{m&&u.push(a)},onError:a=>{m?c(a):w(void 0)},onEnd:()=>{w(m?m(u):void 0)}})})}e.consumeStream=P;function k(v,m){v.on("error",w=>m.onError(w)),v.on("end",()=>m.onEnd()),v.on("data",w=>m.onData(w))}e.listenStream=k;function _(v,m){return new Promise((w,c)=>{const u=new y.DisposableStore,a=[],t=l=>{if(a.push(l),a.length>m)return u.dispose(),v.pause(),w({stream:v,buffer:a,ended:!1})},r=l=>c(l),o=()=>w({stream:v,buffer:a,ended:!0});u.add((0,y.toDisposable)(()=>v.removeListener("error",r))),v.on("error",r),u.add((0,y.toDisposable)(()=>v.removeListener("end",o))),v.on("end",o),u.add((0,y.toDisposable)(()=>v.removeListener("data",t))),v.on("data",t)})}e.peekStream=_;function d(v,m){const w=S(m);return w.end(v),w}e.toStream=d;function s(v){let m=!1;return{read:()=>m?null:(m=!0,v)}}e.toReadable=s;function f(v,m,w){const c=S(w);return k(v,{onData:u=>c.write(m.data(u)),onError:u=>c.error(m.error?m.error(u):u),onEnd:()=>c.end()}),c}e.transform=f}),define(we[8],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function b(x){return!x||typeof x!="string"?!0:x.trim().length===0}e.isFalsyOrWhitespace=b;const y=/{(\d+)}/g;function A(x,...ie){return ie.length===0?x:x.replace(y,function(ce,j){const Y=parseInt(j,10);return isNaN(Y)||Y<0||Y>=ie.length?ce:ie[Y]})}e.format=A;function I(x){return x.replace(/[<>&]/g,function(ie){switch(ie){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ie}})}e.escape=I;function S(x){return x.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=S;function C(x,ie){let ce=0;const j=ie.charCodeAt(0);for(let Y=x.length-1;Y>=0;Y--)x.charCodeAt(Y)===j&&ce++;return ce}e.count=C;function E(x,ie,ce="\u2026"){return x.length<=ie?x:`${x.substr(0,ie)}${ce}`}e.truncate=E;function n(x,ie=" "){const ce=P(x,ie);return k(ce,ie)}e.trim=n;function P(x,ie){if(!x||!ie)return x;const ce=ie.length;if(ce===0||x.length===0)return x;let j=0;for(;x.indexOf(ie,j)===j;)j=j+ce;return x.substring(j)}e.ltrim=P;function k(x,ie){if(!x||!ie)return x;const ce=ie.length,j=x.length;if(ce===0||j===0)return x;let Y=j,se=-1;for(;se=x.lastIndexOf(ie,Y-1),!(se===-1||se+ce!==Y);){if(se===0)return"";Y=se}return x.substring(0,Y)}e.rtrim=k;function _(x){return x.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=_;function d(x){return x.replace(/\*/g,"")}e.stripWildcards=d;function s(x,ie,ce={}){if(!x)throw new Error("Cannot create regex from empty string");ie||(x=S(x)),ce.wholeWord&&(/\B/.test(x.charAt(0))||(x="\\b"+x),/\B/.test(x.charAt(x.length-1))||(x=x+"\\b"));let j="";return ce.global&&(j+="g"),ce.matchCase||(j+="i"),ce.multiline&&(j+="m"),ce.unicode&&(j+="u"),new RegExp(x,j)}e.createRegExp=s;function f(x){return x.source==="^"||x.source==="^$"||x.source==="$"||x.source==="^\\s*$"?!1:!!(x.exec("")&&x.lastIndex===0)}e.regExpLeadsToEndlessLoop=f;function v(x){return!!x.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=v;function m(x){return(x.global?"g":"")+(x.ignoreCase?"i":"")+(x.multiline?"m":"")+(x.unicode?"u":"")}e.regExpFlags=m;function w(x){return x.split(/\r\n|\r|\n/)}e.splitLines=w;function c(x){for(let ie=0,ce=x.length;ie<ce;ie++){const j=x.charCodeAt(ie);if(j!==32&&j!==9)return ie}return-1}e.firstNonWhitespaceIndex=c;function u(x,ie=0,ce=x.length){for(let j=ie;j<ce;j++){const Y=x.charCodeAt(j);if(Y!==32&&Y!==9)return x.substring(ie,j)}return x.substring(ie,ce)}e.getLeadingWhitespace=u;function a(x,ie=x.length-1){for(let ce=ie;ce>=0;ce--){const j=x.charCodeAt(ce);if(j!==32&&j!==9)return ce}return-1}e.lastNonWhitespaceIndex=a;function t(x,ie){return x<ie?-1:x>ie?1:0}e.compare=t;function r(x,ie,ce=0,j=x.length,Y=0,se=ie.length){for(;ce<j&&Y<se;ce++,Y++){let $e=x.charCodeAt(ce),Ne=ie.charCodeAt(Y);if($e<Ne)return-1;if($e>Ne)return 1}const fe=j-ce,ve=se-Y;return fe<ve?-1:fe>ve?1:0}e.compareSubstring=r;function o(x,ie){return l(x,ie,0,x.length,0,ie.length)}e.compareIgnoreCase=o;function l(x,ie,ce=0,j=x.length,Y=0,se=ie.length){for(;ce<j&&Y<se;ce++,Y++){let $e=x.charCodeAt(ce),Ne=ie.charCodeAt(Y);if($e!==Ne){const Ve=$e-Ne;if(!(Ve===32&&h(Ne))&&!(Ve===-32&&h($e)))return i($e)&&i(Ne)?Ve:r(x.toLowerCase(),ie.toLowerCase(),ce,j,Y,se)}}const fe=j-ce,ve=se-Y;return fe<ve?-1:fe>ve?1:0}e.compareSubstringIgnoreCase=l;function i(x){return x>=97&&x<=122}e.isLowerAsciiLetter=i;function h(x){return x>=65&&x<=90}e.isUpperAsciiLetter=h;function D(x){return i(x)||h(x)}function R(x,ie){return x.length===ie.length&&p(x,ie)}e.equalsIgnoreCase=R;function p(x,ie,ce=x.length){for(let j=0;j<ce;j++){const Y=x.charCodeAt(j),se=ie.charCodeAt(j);if(Y!==se){if(D(Y)&&D(se)){const fe=Math.abs(Y-se);if(fe!==0&&fe!==32)return!1}else if(String.fromCharCode(Y).toLowerCase()!==String.fromCharCode(se).toLowerCase())return!1}}return!0}function g(x,ie){const ce=ie.length;return ie.length>x.length?!1:p(x,ie,ce)}e.startsWithIgnoreCase=g;function T(x,ie){let ce,j=Math.min(x.length,ie.length);for(ce=0;ce<j;ce++)if(x.charCodeAt(ce)!==ie.charCodeAt(ce))return ce;return j}e.commonPrefixLength=T;function F(x,ie){let ce,j=Math.min(x.length,ie.length);const Y=x.length-1,se=ie.length-1;for(ce=0;ce<j;ce++)if(x.charCodeAt(Y-ce)!==ie.charCodeAt(se-ce))return ce;return j}e.commonSuffixLength=F;function H(x){return 55296<=x&&x<=56319}e.isHighSurrogate=H;function le(x){return 56320<=x&&x<=57343}e.isLowSurrogate=le;function z(x,ie){return(x-55296<<10)+(ie-56320)+65536}e.computeCodePoint=z;function B(x,ie,ce){const j=x.charCodeAt(ce);if(H(j)&&ce+1<ie){const Y=x.charCodeAt(ce+1);if(le(Y))return z(j,Y)}return j}e.getNextCodePoint=B;function Q(x,ie){const ce=x.charCodeAt(ie-1);if(le(ce)&&ie>1){const j=x.charCodeAt(ie-2);if(H(j))return z(j,ce)}return ce}function M(x,ie){const ce=Oe.getInstance(),j=ie,Y=x.length,se=B(x,Y,ie);ie+=se>=65536?2:1;let fe=ce.getGraphemeBreakType(se);for(;ie<Y;){const ve=B(x,Y,ie),$e=ce.getGraphemeBreakType(ve);if(Me(fe,$e))break;ie+=ve>=65536?2:1,fe=$e}return ie-j}e.nextCharLength=M;function $(x,ie){const ce=Oe.getInstance(),j=ie,Y=Q(x,ie);ie-=Y>=65536?2:1;let se=ce.getGraphemeBreakType(Y);for(;ie>0;){const fe=Q(x,ie),ve=ce.getGraphemeBreakType(fe);if(Me(ve,se))break;ie-=fe>=65536?2:1,se=ve}return j-ie}e.prevCharLength=$;function N(x,ie){const ce=Oe.getInstance(),j=x.length,Y=ie,se=B(x,j,ie),fe=ce.getGraphemeBreakType(se);ie+=se>=65536?2:1;let ve=fe;for(;ie<j;){const Ne=B(x,j,ie),Ve=ce.getGraphemeBreakType(Ne);if(Me(ve,Ve))break;ie+=Ne>=65536?2:1,ve=Ve}const $e=ie;for(ie=Y,ve=fe;ie>0;){const Ne=Q(x,ie),Ve=ce.getGraphemeBreakType(Ne);if(Me(Ve,ve))break;ie-=Ne>=65536?2:1,ve=Ve}return[ie,$e]}function K(x,ie){return ie>0&&le(x.charCodeAt(ie))?N(x,ie-1):N(x,ie)}e.getCharContainingOffset=K;function W(x){const ie=x.length;let ce=0,j=0;for(;j<ie;){const fe=B(x,ie,j);j+=fe>=65536?2:1,fe<128?ce+=1:fe<2048?ce+=2:fe<65536?ce+=3:ce+=4}const Y=new Uint8Array(ce);j=0;let se=0;for(;j<ie;){const fe=B(x,ie,j);j+=fe>=65536?2:1,fe<128?Y[se++]=fe:fe<2048?(Y[se++]=192|(fe&1984)>>>6,Y[se++]=128|(fe&63)>>>0):fe<65536?(Y[se++]=224|(fe&61440)>>>12,Y[se++]=128|(fe&4032)>>>6,Y[se++]=128|(fe&63)>>>0):(Y[se++]=240|(fe&1835008)>>>18,Y[se++]=128|(fe&258048)>>>12,Y[se++]=128|(fe&4032)>>>6,Y[se++]=128|(fe&63)>>>0)}return Y}e.encodeUTF8=W;function Z(x){const ie=x.byteLength,ce=[];let j=0;for(;j<ie;){const Y=x[j];let se;if(Y>=240&&j+3<ie?se=(x[j++]&7)<<18>>>0|(x[j++]&63)<<12>>>0|(x[j++]&63)<<6>>>0|(x[j++]&63)<<0>>>0:Y>=224&&j+2<ie?se=(x[j++]&15)<<12>>>0|(x[j++]&63)<<6>>>0|(x[j++]&63)<<0>>>0:Y>=192&&j+1<ie?se=(x[j++]&31)<<6>>>0|(x[j++]&63)<<0>>>0:se=x[j++],se>=0&&se<=55295||se>=57344&&se<=65535)ce.push(String.fromCharCode(se));else if(se>=65536&&se<=1114111){const fe=se-65536,ve=55296+((fe&1047552)>>>10),$e=56320+((fe&1023)>>>0);ce.push(String.fromCharCode(ve)),ce.push(String.fromCharCode($e))}else ce.push(String.fromCharCode(65533))}return ce.join("")}e.decodeUTF8=Z;const ne=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function re(x){return ne.test(x)}e.containsRTL=re;const Se=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function Ae(x){return Se.test(x)}e.containsEmoji=Ae;const Be=/^[\t\n\r\x20-\x7E]*$/;function Re(x){return Be.test(x)}e.isBasicASCII=Re,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function xe(x){return e.UNUSUAL_LINE_TERMINATORS.test(x)}e.containsUnusualLineTerminators=xe;function U(x){for(let ie=0,ce=x.length;ie<ce;ie++)if(q(x.charCodeAt(ie)))return!0;return!1}e.containsFullWidthCharacter=U;function q(x){return x=+x,x>=11904&&x<=55215||x>=63744&&x<=64255||x>=65281&&x<=65374}e.isFullWidthCharacter=q;function J(x){return x>=127462&&x<=127487||x===8986||x===8987||x===9200||x===9203||x>=9728&&x<=10175||x===11088||x===11093||x>=127744&&x<=128591||x>=128640&&x<=128764||x>=128992&&x<=129003||x>=129280&&x<=129535||x>=129648&&x<=129750}e.isEmojiImprecise=J;function ae(x,ie){if(x.length<ie)return x;const ce=/\b/g;let j=0;for(;ce.test(x)&&!(x.length-ce.lastIndex<ie);)j=ce.lastIndex,ce.lastIndex+=1;return x.substring(j).replace(/^\s/,"")}e.lcut=ae;const ge=/\x1B\x5B[12]?K/g,De=/\x1b\[\d+m/g,Le=/\x1b\[0?m/g;function pe(x){return x&&(x=x.replace(ge,""),x=x.replace(De,""),x=x.replace(Le,"")),x}e.removeAnsiEscapeCodes=pe,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ce(x){return!!(x&&x.length>0&&x.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ce;function Te(x){return Ce(x)?x.substr(1):x}e.stripUTF8BOM=Te;function Ue(x,ie){if(!x||!ie||x.length<ie.length)return!1;const ce=ie.length,j=x.toLowerCase();let Y=0,se=-1;for(;Y<ce;){const fe=j.indexOf(ie[Y],se+1);if(fe<0)return!1;se=fe,Y++}return!0}e.fuzzyContains=Ue;function be(x,ie=!1){return x?(ie&&(x=x.replace(/\\./g,"")),x.toLowerCase()!==x):!1}e.containsUppercaseCharacter=be;function Ke(x){return x.charAt(0).toUpperCase()+x.slice(1)}e.uppercaseFirstLetter=Ke;function V(x,ie=1){if(ie===0)return"";let ce=-1;do ce=x.indexOf(`
`,ce+1),ie--;while(ie>0&&ce>=0);return ce===-1?x:(x[ce-1]==="\r"&&ce--,x.substr(0,ce))}e.getNLines=V;function X(x){const ie=90-65+1;return x=x%(2*ie),x<ie?String.fromCharCode(97+x):String.fromCharCode(65+x-ie)}e.singleLetterHash=X;function _e(x){return Oe.getInstance().getGraphemeBreakType(x)}e.getGraphemeBreakType=_e;function Me(x,ie){return x===0?ie!==5&&ie!==7:x===2&&ie===3?!1:x===4||x===2||x===3||ie===4||ie===2||ie===3?!0:!(x===8&&(ie===8||ie===9||ie===11||ie===12)||(x===11||x===9)&&(ie===9||ie===10)||(x===12||x===10)&&ie===10||ie===5||ie===13||ie===7||x===1||x===13&&ie===14||x===6&&ie===6)}e.breakBetweenGraphemeBreakType=Me;var He;(function(x){x[x.Other=0]="Other",x[x.Prepend=1]="Prepend",x[x.CR=2]="CR",x[x.LF=3]="LF",x[x.Control=4]="Control",x[x.Extend=5]="Extend",x[x.Regional_Indicator=6]="Regional_Indicator",x[x.SpacingMark=7]="SpacingMark",x[x.L=8]="L",x[x.V=9]="V",x[x.T=10]="T",x[x.LV=11]="LV",x[x.LVT=12]="LVT",x[x.ZWJ=13]="ZWJ",x[x.Extended_Pictographic=14]="Extended_Pictographic"})(He=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Oe{constructor(){this._data=Xe()}static getInstance(){return Oe._INSTANCE||(Oe._INSTANCE=new Oe),Oe._INSTANCE}getGraphemeBreakType(ie){if(ie<32)return ie===10?3:ie===13?2:4;if(ie<127)return 0;const ce=this._data,j=ce.length/3;let Y=1;for(;Y<=j;)if(ie<ce[3*Y])Y=2*Y;else if(ie>ce[3*Y+1])Y=2*Y+1;else return ce[3*Y+2];return 0}}Oe._INSTANCE=null;function Xe(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(we[26],Ee([0,1,8,106]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const A=typeof Buffer!="undefined",I=typeof TextEncoder!="undefined",S=typeof TextDecoder!="undefined";let C,E;class n{constructor(i){this.buffer=i,this.byteLength=this.buffer.byteLength}static alloc(i){return A?new n(Buffer.allocUnsafe(i)):new n(new Uint8Array(i))}static wrap(i){return A&&!Buffer.isBuffer(i)&&(i=Buffer.from(i.buffer,i.byteOffset,i.byteLength)),new n(i)}static fromString(i,h){return!((h==null?void 0:h.dontUseNodeBuffer)||!1)&&A?new n(Buffer.from(i)):I?(C||(C=new TextEncoder),new n(C.encode(i))):new n(b.encodeUTF8(i))}static concat(i,h){if(typeof h=="undefined"){h=0;for(let p=0,g=i.length;p<g;p++)h+=i[p].byteLength}const D=n.alloc(h);let R=0;for(let p=0,g=i.length;p<g;p++){const T=i[p];D.set(T,R),R+=T.byteLength}return D}toString(){return A?this.buffer.toString():S?(E||(E=new TextDecoder),E.decode(this.buffer)):b.decodeUTF8(this.buffer)}slice(i,h){return new n(this.buffer.subarray(i,h))}set(i,h){i instanceof n?this.buffer.set(i.buffer,h):this.buffer.set(i,h)}readUInt32BE(i){return _(this.buffer,i)}writeUInt32BE(i,h){d(this.buffer,i,h)}readUInt32LE(i){return s(this.buffer,i)}writeUInt32LE(i,h){f(this.buffer,i,h)}readUInt8(i){return v(this.buffer,i)}writeUInt8(i,h){m(this.buffer,i,h)}}e.VSBuffer=n;function P(l,i){return l[i+0]<<0>>>0|l[i+1]<<8>>>0}e.readUInt16LE=P;function k(l,i,h){l[h+0]=i&255,i=i>>>8,l[h+1]=i&255}e.writeUInt16LE=k;function _(l,i){return l[i]*2**24+l[i+1]*2**16+l[i+2]*2**8+l[i+3]}e.readUInt32BE=_;function d(l,i,h){l[h+3]=i,i=i>>>8,l[h+2]=i,i=i>>>8,l[h+1]=i,i=i>>>8,l[h]=i}e.writeUInt32BE=d;function s(l,i){return l[i+0]<<0>>>0|l[i+1]<<8>>>0|l[i+2]<<16>>>0|l[i+3]<<24>>>0}e.readUInt32LE=s;function f(l,i,h){l[h+0]=i&255,i=i>>>8,l[h+1]=i&255,i=i>>>8,l[h+2]=i&255,i=i>>>8,l[h+3]=i&255}e.writeUInt32LE=f;function v(l,i){return l[i]}e.readUInt8=v;function m(l,i,h){l[h]=i}e.writeUInt8=m;function w(l){return y.consumeReadable(l,i=>n.concat(i))}e.readableToBuffer=w;function c(l){return y.toReadable(l)}e.bufferToReadable=c;function u(l){return y.consumeStream(l,i=>n.concat(i))}e.streamToBuffer=u;async function a(l){return l.ended?n.concat(l.buffer):n.concat([...l.buffer,await u(l.stream)])}e.bufferedStreamToBuffer=a;function t(l){return y.toStream(l,i=>n.concat(i))}e.bufferToStream=t;function r(l){return y.transform(l,{data:i=>typeof i=="string"?n.fromString(i):n.wrap(i)},i=>n.concat(i))}e.streamToBufferReadableStream=r;function o(l){return y.newWriteableStream(i=>n.concat(i),l)}e.newWriteableBufferStream=o}),define(we[55],Ee([0,1,8]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function y(m){return A(m,0)}e.hash=y;function A(m,w){switch(typeof m){case"object":return m===null?I(349,w):Array.isArray(m)?E(m,w):n(m,w);case"string":return C(m,w);case"boolean":return S(m,w);case"number":return I(m,w);case"undefined":return I(937,w);default:return I(617,w)}}e.doHash=A;function I(m,w){return(w<<5)-w+m|0}function S(m,w){return I(m?433:863,w)}function C(m,w){w=I(149417,w);for(let c=0,u=m.length;c<u;c++)w=I(m.charCodeAt(c),w);return w}e.stringHash=C;function E(m,w){return w=I(104579,w),m.reduce((c,u)=>A(u,c),w)}function n(m,w){return w=I(181387,w),Object.keys(m).sort().reduce((c,u)=>(c=C(u,c),A(m[u],c)),w)}class P{constructor(){this._value=0}get value(){return this._value}hash(w){return this._value=A(w,this._value),this._value}}e.Hasher=P;var k;(function(m){m[m.BLOCK_SIZE=64]="BLOCK_SIZE",m[m.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function _(m,w,c=32){const u=c-w,a=~((1<<u)-1);return(m<<w|(a&m)>>>u)>>>0}function d(m,w=0,c=m.byteLength,u=0){for(let a=0;a<c;a++)m[w+a]=u}function s(m,w,c="0"){for(;m.length<w;)m=c+m;return m}function f(m,w=32){return m instanceof ArrayBuffer?Array.from(new Uint8Array(m)).map(c=>c.toString(16).padStart(2,"0")).join(""):s((m>>>0).toString(16),w/4)}e.toHexString=f;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(w){const c=w.length;if(c!==0){const u=this._buff;let a=this._buffLen,t=this._leftoverHighSurrogate,r,o;for(t!==0?(r=t,o=-1,t=0):(r=w.charCodeAt(0),o=0);;){let l=r;if(b.isHighSurrogate(r))if(o+1<c){const i=w.charCodeAt(o+1);b.isLowSurrogate(i)?(o++,l=b.computeCodePoint(r,i)):l=65533}else{t=r;break}else b.isLowSurrogate(r)&&(l=65533);if(a=this._push(u,a,l),o++,o<c)r=w.charCodeAt(o);else break}this._buffLen=a,this._leftoverHighSurrogate=t}}_push(w,c,u){return u<128?w[c++]=u:u<2048?(w[c++]=192|(u&1984)>>>6,w[c++]=128|(u&63)>>>0):u<65536?(w[c++]=224|(u&61440)>>>12,w[c++]=128|(u&4032)>>>6,w[c++]=128|(u&63)>>>0):(w[c++]=240|(u&1835008)>>>18,w[c++]=128|(u&258048)>>>12,w[c++]=128|(u&4032)>>>6,w[c++]=128|(u&63)>>>0),c>=64&&(this._step(),c-=64,this._totalLen+=64,w[0]=w[64+0],w[1]=w[64+1],w[2]=w[64+2]),c}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),f(this._h0)+f(this._h1)+f(this._h2)+f(this._h3)+f(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,d(this._buff,this._buffLen),this._buffLen>56&&(this._step(),d(this._buff));const w=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(w/4294967296),!1),this._buffDV.setUint32(60,w%4294967296,!1),this._step()}_step(){const w=v._bigBlock32,c=this._buffDV;for(let D=0;D<64;D+=4)w.setUint32(D,c.getUint32(D,!1),!1);for(let D=64;D<320;D+=4)w.setUint32(D,_(w.getUint32(D-12,!1)^w.getUint32(D-32,!1)^w.getUint32(D-56,!1)^w.getUint32(D-64,!1),1),!1);let u=this._h0,a=this._h1,t=this._h2,r=this._h3,o=this._h4,l,i,h;for(let D=0;D<80;D++)D<20?(l=a&t|~a&r,i=1518500249):D<40?(l=a^t^r,i=1859775393):D<60?(l=a&t|a&r|t&r,i=2400959708):(l=a^t^r,i=3395469782),h=_(u,5)+l+o+i+w.getUint32(D*4,!1)&4294967295,o=r,r=t,t=_(a,30),a=u,u=h;this._h0=this._h0+u&4294967295,this._h1=this._h1+a&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+o&4294967295}}e.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))}),define(we[56],Ee([0,1,8]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var y;(function(A){A[A.Ignore=0]="Ignore",A[A.Info=1]="Info",A[A.Warning=2]="Warning",A[A.Error=3]="Error"})(y||(y={})),function(A){const I="error",S="warning",C="warn",E="info";function n(P){return P?b.equalsIgnoreCase(I,P)?A.Error:b.equalsIgnoreCase(S,P)||b.equalsIgnoreCase(C,P)?A.Warning:b.equalsIgnoreCase(E,P)?A.Info:A.Ignore:A.Ignore}A.fromValue=n}(y||(y={})),e.default=y}),define(we[12],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function b(i){return Array.isArray(i)}e.isArray=b;function y(i){return typeof i=="string"}e.isString=y;function A(i){return Array.isArray(i)&&i.every(h=>y(h))}e.isStringArray=A;function I(i){return typeof i=="object"&&i!==null&&!Array.isArray(i)&&!(i instanceof RegExp)&&!(i instanceof Date)}e.isObject=I;function S(i){return typeof i=="number"&&!isNaN(i)}e.isNumber=S;function C(i){return i===!0||i===!1}e.isBoolean=C;function E(i){return typeof i=="undefined"}e.isUndefined=E;function n(i){return!P(i)}e.isDefined=n;function P(i){return E(i)||i===null}e.isUndefinedOrNull=P;function k(i,h){if(!i)throw new Error(h?`Unexpected type, expected '${h}'`:"Unexpected type")}e.assertType=k;function _(i){if(P(i))throw new Error("Assertion Failed: argument is undefined or null");return i}e.assertIsDefined=_;function d(...i){const h=[];for(let D=0;D<i.length;D++){const R=i[D];if(P(R))throw new Error(`Assertion Failed: argument at index ${D} is undefined or null`);h.push(R)}return h}e.assertAllDefined=d;const s=Object.prototype.hasOwnProperty;function f(i){if(!I(i))return!1;for(let h in i)if(s.call(i,h))return!1;return!0}e.isEmptyObject=f;function v(i){return typeof i=="function"}e.isFunction=v;function m(...i){return i.length>0&&i.every(v)}e.areFunctions=m;function w(i,h){const D=Math.min(i.length,h.length);for(let R=0;R<D;R++)c(i[R],h[R])}e.validateConstraints=w;function c(i,h){if(y(h)){if(typeof i!==h)throw new Error(`argument does not match constraint: typeof ${h}`)}else if(v(h)){try{if(i instanceof h)return}catch(D){}if(!P(i)&&i.constructor===h||h.length===1&&h.call(void 0,i)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=c;function u(i){let h=[],D=Object.getPrototypeOf(i);for(;Object.prototype!==D;)h=h.concat(Object.getOwnPropertyNames(D)),D=Object.getPrototypeOf(D);return h}e.getAllPropertyNames=u;function a(i){const h=[];for(const D of u(i))typeof i[D]=="function"&&h.push(D);return h}e.getAllMethodNames=a;function t(i,h){const D=p=>function(){const g=Array.prototype.slice.call(arguments,0);return h(p,g)};let R={};for(const p of i)R[p]=D(p);return R}e.createProxyObject=t;function r(i){return i===null?void 0:i}e.withNullAsUndefined=r;function o(i){return typeof i=="undefined"?null:i}e.withUndefinedAsNull=o;function l(i){return class{constructor(){return new Proxy({},{get(h,D){if(h[D])return h[D];throw new Error(`Not Implemented: ${i}->${String(D)}`)}})}}}e.NotImplementedProxy=l}),define(we[38],Ee([0,1,21,8,11,12]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function S(r){return r===47||r===92}e.isPathSeparator=S;function C(r){return r.replace(/[\\/]/g,A.posix.sep)}e.toSlashes=C;function E(r,o=A.posix.sep){if(!r)return"";const l=r.length,i=r.charCodeAt(0);if(S(i)){if(S(r.charCodeAt(1))&&!S(r.charCodeAt(2))){let D=3;const R=D;for(;D<l&&!S(r.charCodeAt(D));D++);if(R!==D&&!S(r.charCodeAt(D+1))){for(D+=1;D<l;D++)if(S(r.charCodeAt(D)))return r.slice(0,D+1).replace(/[\\/]/g,o)}}return o}else if(v(i)&&r.charCodeAt(1)===58)return S(r.charCodeAt(2))?r.slice(0,2)+o:r.slice(0,2);let h=r.indexOf("://");if(h!==-1){for(h+=3;h<l;h++)if(S(r.charCodeAt(h)))return r.slice(0,h+1)}return""}e.getRoot=E;function n(r){if(!b.isWindows||!r||r.length<5)return!1;let o=r.charCodeAt(0);if(o!==92||(o=r.charCodeAt(1),o!==92))return!1;let l=2;const i=l;for(;l<r.length&&(o=r.charCodeAt(l),o!==92);l++);return!(i===l||(o=r.charCodeAt(l+1),isNaN(o)||o===92))}e.isUNC=n;const P=/[\\/:\*\?"<>\|]/g,k=/[\\/]/g,_=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function d(r,o=b.isWindows){const l=o?P:k;return!(!r||r.length===0||/^\s+$/.test(r)||(l.lastIndex=0,l.test(r))||o&&_.test(r)||r==="."||r===".."||o&&r[r.length-1]==="."||o&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=d;function s(r,o,l){const i=r===o;return!l||i?i:!r||!o?!1:(0,y.equalsIgnoreCase)(r,o)}e.isEqual=s;function f(r,o,l,i=A.sep){if(r===o)return!0;if(!r||!o||o.length>r.length)return!1;if(l){if(!(0,y.startsWithIgnoreCase)(r,o))return!1;if(o.length===r.length)return!0;let D=o.length;return o.charAt(o.length-1)===i&&D--,r.charAt(D)===i}return o.charAt(o.length-1)!==i&&(o+=i),r.indexOf(o)===0}e.isEqualOrParent=f;function v(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=v;function m(r,o){return b.isWindows&&r.endsWith(":")&&(r+=A.sep),(0,A.isAbsolute)(r)||(r=(0,A.join)(o,r)),r=(0,A.normalize)(r),b.isWindows?(r=(0,y.rtrim)(r,A.sep),r.endsWith(":")&&(r+=A.sep)):(r=(0,y.rtrim)(r,A.sep),r||(r=A.sep)),r}e.sanitizeFilePath=m;function w(r){const o=(0,A.normalize)(r);return b.isWindows?r.length>3?!1:c(o)&&(r.length===2||o.charCodeAt(2)===92):o===A.posix.sep}e.isRootOrDriveLetter=w;function c(r){return b.isWindows?v(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function u(r){return c(r)?r[0]:void 0}e.getDriveLetter=u;function a(r,o,l){return o.length>r.length?-1:r===o?0:(l&&(r=r.toLowerCase(),o=o.toLowerCase()),r.indexOf(o))}e.indexOfPath=a;function t(r){const o=r.split(":");let l,i,h;if(o.forEach(D=>{const R=Number(D);(0,I.isNumber)(R)?i===void 0?i=R:h===void 0&&(h=R):l=l?[l,D].join(":"):D}),!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:i!==void 0?i:void 0,column:h!==void 0?h:i!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(we[23],Ee([0,1,12]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function y(s){if(!s||typeof s!="object"||s instanceof RegExp)return s;const f=Array.isArray(s)?[]:{};return Object.keys(s).forEach(v=>{s[v]&&typeof s[v]=="object"?f[v]=y(s[v]):f[v]=s[v]}),f}e.deepClone=y;function A(s){if(!s||typeof s!="object")return s;const f=[s];for(;f.length>0;){const v=f.shift();Object.freeze(v);for(const m in v)if(I.call(v,m)){const w=v[m];typeof w=="object"&&!Object.isFrozen(w)&&f.push(w)}}return s}e.deepFreeze=A;const I=Object.prototype.hasOwnProperty;function S(s,f){return C(s,f,new Set)}e.cloneAndChange=S;function C(s,f,v){if((0,b.isUndefinedOrNull)(s))return s;const m=f(s);if(typeof m!="undefined")return m;if((0,b.isArray)(s)){const w=[];for(const c of s)w.push(C(c,f,v));return w}if((0,b.isObject)(s)){if(v.has(s))throw new Error("Cannot clone recursive data-structure");v.add(s);const w={};for(let c in s)I.call(s,c)&&(w[c]=C(s[c],f,v));return v.delete(s),w}return s}function E(s,f,v=!0){return(0,b.isObject)(s)?((0,b.isObject)(f)&&Object.keys(f).forEach(m=>{m in s?v&&((0,b.isObject)(s[m])&&(0,b.isObject)(f[m])?E(s[m],f[m],v):s[m]=f[m]):s[m]=f[m]}),s):f}e.mixin=E;function n(s,f){if(s===f)return!0;if(s==null||f===null||f===void 0||typeof s!=typeof f||typeof s!="object"||Array.isArray(s)!==Array.isArray(f))return!1;let v,m;if(Array.isArray(s)){if(s.length!==f.length)return!1;for(v=0;v<s.length;v++)if(!n(s[v],f[v]))return!1}else{const w=[];for(m in s)w.push(m);w.sort();const c=[];for(m in f)c.push(m);if(c.sort(),!n(w,c))return!1;for(v=0;v<w.length;v++)if(!n(s[w[v]],f[w[v]]))return!1}return!0}e.equals=n;function P(s){const f=new Set;return JSON.stringify(s,(v,m)=>{if((0,b.isObject)(m)||Array.isArray(m)){if(f.has(m))return"[Circular]";f.add(m)}return m})}e.safeStringify=P;function k(s,f,v){const m=f(s);return typeof m=="undefined"?v:m}e.getOrDefault=k;function _(s,f){const v=Object.create(null);return!s||!f||Object.keys(f).forEach(w=>{const c=s[w],u=f[w];n(c,u)||(v[w]=u)}),v}e.distinct=_;function d(s,f){const v=f.toLowerCase(),m=Object.keys(s).find(w=>w.toLowerCase()===v);return m?s[m]:s[f]}e.getCaseInsensitive=d}),define(we[79],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var b;(function(I){I[I.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",I[I.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",I[I.MAX_UINT_8=255]="MAX_UINT_8",I[I.MAX_UINT_16=65535]="MAX_UINT_16",I[I.MAX_UINT_32=4294967295]="MAX_UINT_32",I[I.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(b=e.Constants||(e.Constants={}));function y(I){return I<0?0:I>255?255:I|0}e.toUint8=y;function A(I){return I<0?0:I>4294967295?4294967295:I|0}e.toUint32=A}),define(we[2],Ee([0,1,21,11]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const A=/^\w[\w\d+.-]*$/,I=/^\//,S=/^\/\//;function C(o,l){if(!o.scheme&&l)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${o.authority}", path: "${o.path}", query: "${o.query}", fragment: "${o.fragment}"}`);if(o.scheme&&!A.test(o.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(o.path){if(o.authority){if(!I.test(o.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(S.test(o.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function E(o,l){return!o&&!l?"file":o}function n(o,l){switch(o){case"https":case"http":case"file":l?l[0]!==k&&(l=k+l):l=k;break}return l}const P="",k="/",_=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class d{constructor(l,i,h,D,R,p=!1){typeof l=="object"?(this.scheme=l.scheme||P,this.authority=l.authority||P,this.path=l.path||P,this.query=l.query||P,this.fragment=l.fragment||P):(this.scheme=E(l,p),this.authority=i||P,this.path=n(this.scheme,h||P),this.query=D||P,this.fragment=R||P,C(this,p))}static isUri(l){return l instanceof d?!0:l?typeof l.authority=="string"&&typeof l.fragment=="string"&&typeof l.path=="string"&&typeof l.query=="string"&&typeof l.scheme=="string"&&typeof l.fsPath=="string"&&typeof l.with=="function"&&typeof l.toString=="function":!1}get fsPath(){return c(this,!1)}with(l){if(!l)return this;let{scheme:i,authority:h,path:D,query:R,fragment:p}=l;return i===void 0?i=this.scheme:i===null&&(i=P),h===void 0?h=this.authority:h===null&&(h=P),D===void 0?D=this.path:D===null&&(D=P),R===void 0?R=this.query:R===null&&(R=P),p===void 0?p=this.fragment:p===null&&(p=P),i===this.scheme&&h===this.authority&&D===this.path&&R===this.query&&p===this.fragment?this:new f(i,h,D,R,p)}static parse(l,i=!1){const h=_.exec(l);return h?new f(h[2]||P,r(h[4]||P),r(h[5]||P),r(h[7]||P),r(h[9]||P),i):new f(P,P,P,P,P)}static file(l){let i=P;if(b.isWindows&&(l=l.replace(/\\/g,k)),l[0]===k&&l[1]===k){const h=l.indexOf(k,2);h===-1?(i=l.substring(2),l=k):(i=l.substring(2,h),l=l.substring(h)||k)}return new f("file",i,l,P,P)}static from(l){return new f(l.scheme,l.authority,l.path,l.query,l.fragment)}static joinPath(l,...i){if(!l.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let h;return b.isWindows&&l.scheme==="file"?h=d.file(y.win32.join(c(l,!0),...i)).path:h=y.posix.join(l.path,...i),l.with({path:h})}toString(l=!1){return u(this,l)}toJSON(){return this}static revive(l){if(l){if(l instanceof d)return l;{const i=new f(l);return i._formatted=l.external,i._fsPath=l._sep===s?l.fsPath:null,i}}else return l}}e.URI=d;const s=b.isWindows?1:void 0;class f extends d{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=c(this,!1)),this._fsPath}toString(l=!1){return l?u(this,!0):(this._formatted||(this._formatted=u(this,!1)),this._formatted)}toJSON(){const l={$mid:1};return this._fsPath&&(l.fsPath=this._fsPath,l._sep=s),this._formatted&&(l.external=this._formatted),this.path&&(l.path=this.path),this.scheme&&(l.scheme=this.scheme),this.authority&&(l.authority=this.authority),this.query&&(l.query=this.query),this.fragment&&(l.fragment=this.fragment),l}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function m(o,l){let i,h=-1;for(let D=0;D<o.length;D++){const R=o.charCodeAt(D);if(R>=97&&R<=122||R>=65&&R<=90||R>=48&&R<=57||R===45||R===46||R===95||R===126||l&&R===47)h!==-1&&(i+=encodeURIComponent(o.substring(h,D)),h=-1),i!==void 0&&(i+=o.charAt(D));else{i===void 0&&(i=o.substr(0,D));const p=v[R];p!==void 0?(h!==-1&&(i+=encodeURIComponent(o.substring(h,D)),h=-1),i+=p):h===-1&&(h=D)}}return h!==-1&&(i+=encodeURIComponent(o.substring(h))),i!==void 0?i:o}function w(o){let l;for(let i=0;i<o.length;i++){const h=o.charCodeAt(i);h===35||h===63?(l===void 0&&(l=o.substr(0,i)),l+=v[h]):l!==void 0&&(l+=o[i])}return l!==void 0?l:o}function c(o,l){let i;return o.authority&&o.path.length>1&&o.scheme==="file"?i=`//${o.authority}${o.path}`:o.path.charCodeAt(0)===47&&(o.path.charCodeAt(1)>=65&&o.path.charCodeAt(1)<=90||o.path.charCodeAt(1)>=97&&o.path.charCodeAt(1)<=122)&&o.path.charCodeAt(2)===58?l?i=o.path.substr(1):i=o.path[1].toLowerCase()+o.path.substr(2):i=o.path,b.isWindows&&(i=i.replace(/\//g,"\\")),i}e.uriToFsPath=c;function u(o,l){const i=l?w:m;let h="",{scheme:D,authority:R,path:p,query:g,fragment:T}=o;if(D&&(h+=D,h+=":"),(R||D==="file")&&(h+=k,h+=k),R){let F=R.indexOf("@");if(F!==-1){const H=R.substr(0,F);R=R.substr(F+1),F=H.indexOf(":"),F===-1?h+=i(H,!1):(h+=i(H.substr(0,F),!1),h+=":",h+=i(H.substr(F+1),!1)),h+="@"}R=R.toLowerCase(),F=R.indexOf(":"),F===-1?h+=i(R,!1):(h+=i(R.substr(0,F),!1),h+=R.substr(F))}if(p){if(p.length>=3&&p.charCodeAt(0)===47&&p.charCodeAt(2)===58){const F=p.charCodeAt(1);F>=65&&F<=90&&(p=`/${String.fromCharCode(F+32)}:${p.substr(3)}`)}else if(p.length>=2&&p.charCodeAt(1)===58){const F=p.charCodeAt(0);F>=65&&F<=90&&(p=`${String.fromCharCode(F+32)}:${p.substr(2)}`)}h+=i(p,!0)}return g&&(h+="?",h+=i(g,!1)),T&&(h+="#",h+=l?T:m(T,!1)),h}function a(o){try{return decodeURIComponent(o)}catch(l){return o.length>3?o.substr(0,3)+a(o.substr(3)):o}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(o){return o.match(t)?o.replace(t,l=>a(l)):o}}),define(we[22],Ee([0,1,2,8]),function(oe,e,b,y){"use strict";var A,I;Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function S(u,a,t){let r=u.get(a);return r===void 0&&(r=t,u.set(a,r)),r}e.getOrSet=S;function C(u){const a=[];return u.forEach((t,r)=>{a.push(`${r} => ${t}`)}),`Map(${u.size}) {${a.join(", ")}}`}e.mapToString=C;function E(u){const a=[];return u.forEach(t=>{a.push(t)}),`Set(${u.size}) {${a.join(", ")}}`}e.setToString=E;class n{constructor(){this._value="",this._pos=0}reset(a){return this._value=a,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(a){const t=a.charCodeAt(0),r=this._value.charCodeAt(this._pos);return t-r}value(){return this._value[this._pos]}}e.StringIterator=n;class P{constructor(a=!0){this._caseSensitive=a}reset(a){return this._value=a,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(a)this._from++;else break;else a=!1;return this}cmp(a){return this._caseSensitive?(0,y.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,y.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=P;class k{constructor(a=!0,t=!0){this._splitOnBackslash=a,this._caseSensitive=t}reset(a){return this._value=a.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++){const t=this._value.charCodeAt(this._to);if(t===47||this._splitOnBackslash&&t===92)if(a)this._from++;else break;else a=!1}return this}cmp(a){return this._caseSensitive?(0,y.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,y.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=k;var _;(function(u){u[u.Scheme=1]="Scheme",u[u.Authority=2]="Authority",u[u.Path=3]="Path",u[u.Query=4]="Query",u[u.Fragment=5]="Fragment"})(_||(_={}));class d{constructor(a){this._ignorePathCasing=a,this._states=[],this._stateIdx=0}reset(a){return this._value=a,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new k(!1,!this._ignorePathCasing(a)),this._pathIterator.reset(a.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(a){if(this._states[this._stateIdx]===1)return(0,y.compareIgnoreCase)(a,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,y.compareIgnoreCase)(a,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(a);if(this._states[this._stateIdx]===4)return(0,y.compare)(a,this._value.query);if(this._states[this._stateIdx]===5)return(0,y.compare)(a,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=d;class s{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class f{constructor(a){this._iter=a}static forUris(a=()=>!1){return new f(new d(a))}static forPaths(){return new f(new k)}static forStrings(){return new f(new n)}static forConfigKeys(){return new f(new P)}clear(){this._root=void 0}set(a,t){const r=this._iter.reset(a);let o;for(this._root||(this._root=new s,this._root.segment=r.value()),o=this._root;;){const i=r.cmp(o.segment);if(i>0)o.left||(o.left=new s,o.left.segment=r.value()),o=o.left;else if(i<0)o.right||(o.right=new s,o.right.segment=r.value()),o=o.right;else if(r.hasNext())r.next(),o.mid||(o.mid=new s,o.mid.segment=r.value()),o=o.mid;else break}const l=o.value;return o.value=t,o.key=a,l}get(a){var t;return(t=this._getNode(a))===null||t===void 0?void 0:t.value}_getNode(a){const t=this._iter.reset(a);let r=this._root;for(;r;){const o=t.cmp(r.segment);if(o>0)r=r.left;else if(o<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else break}return r}has(a){const t=this._getNode(a);return!((t==null?void 0:t.value)===void 0&&(t==null?void 0:t.mid)===void 0)}delete(a){return this._delete(a,!1)}deleteSuperstr(a){return this._delete(a,!0)}_delete(a,t){const r=this._iter.reset(a),o=[];let l=this._root;for(;l;){const i=r.cmp(l.segment);if(i>0)o.push([1,l]),l=l.left;else if(i<0)o.push([-1,l]),l=l.right;else if(r.hasNext())r.next(),o.push([0,l]),l=l.mid;else{for(t?(l.left=void 0,l.mid=void 0,l.right=void 0):l.value=void 0;o.length>0&&l.isEmpty();){let[h,D]=o.pop();switch(h){case 1:D.left=void 0;break;case 0:D.mid=void 0;break;case-1:D.right=void 0;break}l=D}break}}}findSubstr(a){const t=this._iter.reset(a);let r=this._root,o;for(;r;){const l=t.cmp(r.segment);if(l>0)r=r.left;else if(l<0)r=r.right;else if(t.hasNext())t.next(),o=r.value||o,r=r.mid;else break}return r&&r.value||o}findSuperstr(a){const t=this._iter.reset(a);let r=this._root;for(;r;){const o=t.cmp(r.segment);if(o>0)r=r.left;else if(o<0)r=r.right;else if(t.hasNext())t.next(),r=r.mid;else return r.mid?this._entries(r.mid):void 0}}forEach(a){for(const[t,r]of this)a(r,t)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(a){a&&(yield*this._entries(a.left),a.value&&(yield[a.key,a.value]),yield*this._entries(a.mid),yield*this._entries(a.right))}}e.TernarySearchTree=f;class v{constructor(a,t){this[A]="ResourceMap",a instanceof v?(this.map=new Map(a.map),this.toKey=t!=null?t:v.defaultToKey):(this.map=new Map,this.toKey=a!=null?a:v.defaultToKey)}set(a,t){return this.map.set(this.toKey(a),t),this}get(a){return this.map.get(this.toKey(a))}has(a){return this.map.has(this.toKey(a))}get size(){return this.map.size}clear(){this.map.clear()}delete(a){return this.map.delete(this.toKey(a))}forEach(a,t){typeof t!="undefined"&&(a=a.bind(t));for(let[r,o]of this.map)a(o,b.URI.parse(r),this)}values(){return this.map.values()}*keys(){for(let a of this.map.keys())yield b.URI.parse(a)}*entries(){for(let a of this.map.entries())yield[b.URI.parse(a[0]),a[1]]}*[(A=Symbol.toStringTag,Symbol.iterator)](){for(let a of this.map)yield[b.URI.parse(a[0]),a[1]]}}e.ResourceMap=v,v.defaultToKey=u=>u.toString();var m;(function(u){u[u.None=0]="None",u[u.AsOld=1]="AsOld",u[u.AsNew=2]="AsNew"})(m=e.Touch||(e.Touch={}));class w{constructor(){this[I]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var a;return(a=this._head)===null||a===void 0?void 0:a.value}get last(){var a;return(a=this._tail)===null||a===void 0?void 0:a.value}has(a){return this._map.has(a)}get(a,t=0){const r=this._map.get(a);if(!!r)return t!==0&&this.touch(r,t),r.value}set(a,t,r=0){let o=this._map.get(a);if(o)o.value=t,r!==0&&this.touch(o,r);else{switch(o={key:a,value:t,next:void 0,previous:void 0},r){case 0:this.addItemLast(o);break;case 1:this.addItemFirst(o);break;case 2:this.addItemLast(o);break;default:this.addItemLast(o);break}this._map.set(a,o),this._size++}return this}delete(a){return!!this.remove(a)}remove(a){const t=this._map.get(a);if(!!t)return this._map.delete(a),this.removeItem(t),this._size--,t.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const a=this._head;return this._map.delete(a.key),this.removeItem(a),this._size--,a.value}}forEach(a,t){const r=this._state;let o=this._head;for(;o;){if(t?a.bind(t)(o.value,o.key,this):a(o.value,o.key,this),this._state!==r)throw new Error("LinkedMap got modified during iteration.");o=o.next}}keys(){const a=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const l={value:r.key,done:!1};return r=r.next,l}else return{value:void 0,done:!0}}};return o}values(){const a=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const l={value:r.value,done:!1};return r=r.next,l}else return{value:void 0,done:!0}}};return o}entries(){const a=this,t=this._state;let r=this._head;const o={[Symbol.iterator](){return o},next(){if(a._state!==t)throw new Error("LinkedMap got modified during iteration.");if(r){const l={value:[r.key,r.value],done:!1};return r=r.next,l}else return{value:void 0,done:!0}}};return o}[(I=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(a){if(!(a>=this.size)){if(a===0){this.clear();return}let t=this._head,r=this.size;for(;t&&r>a;)this._map.delete(t.key),t=t.next,r--;this._head=t,this._size=r,t&&(t.previous=void 0),this._state++}}addItemFirst(a){if(!this._head&&!this._tail)this._tail=a;else if(this._head)a.next=this._head,this._head.previous=a;else throw new Error("Invalid list");this._head=a,this._state++}addItemLast(a){if(!this._head&&!this._tail)this._head=a;else if(this._tail)a.previous=this._tail,this._tail.next=a;else throw new Error("Invalid list");this._tail=a,this._state++}removeItem(a){if(a===this._head&&a===this._tail)this._head=void 0,this._tail=void 0;else if(a===this._head){if(!a.next)throw new Error("Invalid list");a.next.previous=void 0,this._head=a.next}else if(a===this._tail){if(!a.previous)throw new Error("Invalid list");a.previous.next=void 0,this._tail=a.previous}else{const t=a.next,r=a.previous;if(!t||!r)throw new Error("Invalid list");t.previous=r,r.next=t}a.next=void 0,a.previous=void 0,this._state++}touch(a,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(t!==1&&t!==2)){if(t===1){if(a===this._head)return;const r=a.next,o=a.previous;a===this._tail?(o.next=void 0,this._tail=o):(r.previous=o,o.next=r),a.previous=void 0,a.next=this._head,this._head.previous=a,this._head=a,this._state++}else if(t===2){if(a===this._tail)return;const r=a.next,o=a.previous;a===this._head?(r.previous=void 0,this._head=r):(r.previous=o,o.next=r),a.next=void 0,a.previous=this._tail,this._tail.next=a,this._tail=a,this._state++}}}toJSON(){const a=[];return this.forEach((t,r)=>{a.push([r,t])}),a}fromJSON(a){this.clear();for(const[t,r]of a)this.set(t,r)}}e.LinkedMap=w;class c extends w{constructor(a,t=1){super();this._limit=a,this._ratio=Math.min(Math.max(0,t),1)}get limit(){return this._limit}set limit(a){this._limit=a,this.checkTrim()}get ratio(){return this._ratio}set ratio(a){this._ratio=Math.min(Math.max(0,a),1),this.checkTrim()}get(a,t=2){return super.get(a,t)}peek(a){return super.get(a,0)}set(a,t){return super.set(a,t,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=c}),define(we[107],Ee([0,1,22,8]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function A(...pe){return function(Ce,Te){for(let Ue=0,be=pe.length;Ue<be;Ue++){const Ke=pe[Ue](Ce,Te);if(Ke)return Ke}return null}}e.or=A,e.matchesStrictPrefix=I.bind(void 0,!1),e.matchesPrefix=I.bind(void 0,!0);function I(pe,Ce,Te){if(!Te||Te.length<Ce.length)return null;let Ue;return pe?Ue=y.startsWithIgnoreCase(Te,Ce):Ue=Te.indexOf(Ce)===0,Ue?Ce.length>0?[{start:0,end:Ce.length}]:[]:null}function S(pe,Ce){const Te=Ce.toLowerCase().indexOf(pe.toLowerCase());return Te===-1?null:[{start:Te,end:Te+pe.length}]}e.matchesContiguousSubString=S;function C(pe,Ce){return E(pe.toLowerCase(),Ce.toLowerCase(),0,0)}e.matchesSubString=C;function E(pe,Ce,Te,Ue){if(Te===pe.length)return[];if(Ue===Ce.length)return null;if(pe[Te]===Ce[Ue]){let be=null;return(be=E(pe,Ce,Te+1,Ue+1))?m({start:Ue,end:Ue+1},be):null}return E(pe,Ce,Te,Ue+1)}function n(pe){return 97<=pe&&pe<=122}function P(pe){return 65<=pe&&pe<=90}e.isUpper=P;function k(pe){return 48<=pe&&pe<=57}function _(pe){return pe===32||pe===9||pe===10||pe===13}const d=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(pe=>d.add(pe.charCodeAt(0)));function s(pe){return _(pe)||d.has(pe)}function f(pe,Ce){return pe===Ce||s(pe)&&s(Ce)}function v(pe){return n(pe)||P(pe)||k(pe)}function m(pe,Ce){return Ce.length===0?Ce=[pe]:pe.end===Ce[0].start?Ce[0].start=pe.start:Ce.unshift(pe),Ce}function w(pe,Ce){for(let Te=Ce;Te<pe.length;Te++){const Ue=pe.charCodeAt(Te);if(P(Ue)||k(Ue)||Te>0&&!v(pe.charCodeAt(Te-1)))return Te}return pe.length}function c(pe,Ce,Te,Ue){if(Te===pe.length)return[];if(Ue===Ce.length)return null;if(pe[Te]!==Ce[Ue].toLowerCase())return null;{let be=null,Ke=Ue+1;for(be=c(pe,Ce,Te+1,Ue+1);!be&&(Ke=w(Ce,Ke))<Ce.length;)be=c(pe,Ce,Te+1,Ke),Ke++;return be===null?null:m({start:Ue,end:Ue+1},be)}}function u(pe){let Ce=0,Te=0,Ue=0,be=0,Ke=0;for(let He=0;He<pe.length;He++)Ke=pe.charCodeAt(He),P(Ke)&&Ce++,n(Ke)&&Te++,v(Ke)&&Ue++,k(Ke)&&be++;const V=Ce/pe.length,X=Te/pe.length,_e=Ue/pe.length,Me=be/pe.length;return{upperPercent:V,lowerPercent:X,alphaPercent:_e,numericPercent:Me}}function a(pe){const{upperPercent:Ce,lowerPercent:Te}=pe;return Te===0&&Ce>.6}function t(pe){const{upperPercent:Ce,lowerPercent:Te,alphaPercent:Ue,numericPercent:be}=pe;return Te>.2&&Ce<.8&&Ue>.6&&be<.2}function r(pe){let Ce=0,Te=0,Ue=0,be=0;for(let Ke=0;Ke<pe.length;Ke++)Ue=pe.charCodeAt(Ke),P(Ue)&&Ce++,n(Ue)&&Te++,_(Ue)&&be++;return(Ce===0||Te===0)&&be===0?pe.length<=30:Ce<=5}function o(pe,Ce){if(!Ce||(Ce=Ce.trim(),Ce.length===0)||!r(pe)||Ce.length>60)return null;const Te=u(Ce);if(!t(Te)){if(!a(Te))return null;Ce=Ce.toLowerCase()}let Ue=null,be=0;for(pe=pe.toLowerCase();be<Ce.length&&(Ue=c(pe,Ce,0,be))===null;)be=w(Ce,be+1);return Ue}e.matchesCamelCase=o;function l(pe,Ce,Te=!1){if(!Ce||Ce.length===0)return null;let Ue=null,be=0;for(pe=pe.toLowerCase(),Ce=Ce.toLowerCase();be<Ce.length&&(Ue=i(pe,Ce,0,be,Te))===null;)be=h(Ce,be+1);return Ue}e.matchesWords=l;function i(pe,Ce,Te,Ue,be){if(Te===pe.length)return[];if(Ue===Ce.length)return null;if(f(pe.charCodeAt(Te),Ce.charCodeAt(Ue))){let Ke=null,V=Ue+1;if(Ke=i(pe,Ce,Te+1,Ue+1,be),!be)for(;!Ke&&(V=h(Ce,V))<Ce.length;)Ke=i(pe,Ce,Te+1,V,be),V++;return Ke===null?null:m({start:Ue,end:Ue+1},Ke)}else return null}function h(pe,Ce){for(let Te=Ce;Te<pe.length;Te++)if(s(pe.charCodeAt(Te))||Te>0&&s(pe.charCodeAt(Te-1)))return Te;return pe.length}const D=A(e.matchesPrefix,o,S),R=A(e.matchesPrefix,o,C),p=new b.LRUCache(1e4);function g(pe,Ce,Te=!1){if(typeof pe!="string"||typeof Ce!="string")return null;let Ue=p.get(pe);Ue||(Ue=new RegExp(y.convertSimple2RegExpPattern(pe),"i"),p.set(pe,Ue));const be=Ue.exec(Ce);return be?[{start:be.index,end:be.index+be[0].length}]:Te?R(pe,Ce):D(pe,Ce)}e.matchesFuzzy=g;function T(pe,Ce){const Te=U(pe,pe.toLowerCase(),0,Ce,Ce.toLowerCase(),0,!0);return Te?H(Te):null}e.matchesFuzzy2=T;function F(pe,Ce,Te,Ue,be,Ke){const V=Math.min(13,pe.length);for(;Te<V;Te++){const X=U(pe,Ce,Te,Ue,be,Ke,!1);if(X)return X}return[0,Ke]}e.anyScore=F;function H(pe){if(typeof pe=="undefined")return[];const Ce=[],Te=pe[1];for(let Ue=pe.length-1;Ue>1;Ue--){const be=pe[Ue]+Te,Ke=Ce[Ce.length-1];Ke&&Ke.end===be?Ke.end=be+1:Ce.push({start:be,end:be+1})}return Ce}e.createMatches=H;const le=128;function z(){const pe=[],Ce=[];for(let Te=0;Te<=le;Te++)Ce[Te]=0;for(let Te=0;Te<=le;Te++)pe.push(Ce.slice(0));return pe}function B(pe){const Ce=[];for(let Te=0;Te<=pe;Te++)Ce[Te]=0;return Ce}const Q=B(2*le),M=B(2*le),$=z(),N=z(),K=z(),W=!1;function Z(pe,Ce,Te,Ue,be){function Ke(X,_e,Me=" "){for(;X.length<_e;)X=Me+X;return X}let V=` |   |${Ue.split("").map(X=>Ke(X,3)).join("|")}
`;for(let X=0;X<=Te;X++)X===0?V+=" |":V+=`${Ce[X-1]}|`,V+=pe[X].slice(0,be+1).map(_e=>Ke(_e.toString(),3)).join("|")+`
`;return V}function ne(pe,Ce,Te,Ue){pe=pe.substr(Ce),Te=Te.substr(Ue),console.log(Z(N,pe,pe.length,Te,Te.length)),console.log(Z(K,pe,pe.length,Te,Te.length)),console.log(Z($,pe,pe.length,Te,Te.length))}function re(pe,Ce){if(Ce<0||Ce>=pe.length)return!1;const Te=pe.codePointAt(Ce);switch(Te){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!y.isEmojiImprecise(Te)}}function Se(pe,Ce){if(Ce<0||Ce>=pe.length)return!1;switch(pe.charCodeAt(Ce)){case 32:case 9:return!0;default:return!1}}function Ae(pe,Ce,Te){return Ce[pe]!==Te[pe]}function Be(pe,Ce,Te,Ue,be,Ke,V=!1){for(;Ce<Te&&be<Ke;)pe[Ce]===Ue[be]&&(V&&(Q[Ce]=be),Ce+=1),be+=1;return Ce===Te}e.isPatternInWord=Be;var Re;(function(pe){pe[pe.Diag=1]="Diag",pe[pe.Left=2]="Left",pe[pe.LeftLeft=3]="LeftLeft"})(Re||(Re={}));var xe;(function(pe){pe.Default=[-100,0];function Ce(Te){return!Te||Te.length===2&&Te[0]===-100&&Te[1]===0}pe.isDefault=Ce})(xe=e.FuzzyScore||(e.FuzzyScore={}));function U(pe,Ce,Te,Ue,be,Ke,V){const X=pe.length>le?le:pe.length,_e=Ue.length>le?le:Ue.length;if(!(Te>=X||Ke>=_e||X-Te>_e-Ke)&&!!Be(Ce,Te,X,be,Ke,_e,!0)){q(X,_e,Te,Ke,Ce,be);let Me=1,He=1,Oe=Te,Xe=Ke;const x=[!1];for(Me=1,Oe=Te;Oe<X;Me++,Oe++){const se=Q[Oe],fe=M[Oe],ve=Oe+1<X?M[Oe+1]:_e;for(He=se-Ke+1,Xe=se;Xe<ve;He++,Xe++){let $e=Number.MIN_SAFE_INTEGER,Ne=!1;Xe<=fe&&($e=J(pe,Ce,Oe,Te,Ue,be,Xe,_e,Ke,$[Me-1][He-1]===0,x));let Ve=0;$e!==Number.MAX_SAFE_INTEGER&&(Ne=!0,Ve=$e+N[Me-1][He-1]);const Qe=Xe>se,Ze=Qe?N[Me][He-1]+($[Me][He-1]>0?-5:0):0,ct=Xe>se+1&&$[Me][He-1]>0,st=ct?N[Me][He-2]+($[Me][He-2]>0?-5:0):0;if(ct&&(!Qe||st>=Ze)&&(!Ne||st>=Ve))N[Me][He]=st,K[Me][He]=3,$[Me][He]=0;else if(Qe&&(!Ne||Ze>=Ve))N[Me][He]=Ze,K[Me][He]=2,$[Me][He]=0;else if(Ne)N[Me][He]=Ve,K[Me][He]=1,$[Me][He]=$[Me-1][He-1]+1;else throw new Error("not possible")}}if(W&&ne(pe,Te,Ue,Ke),!(!x[0]&&!V)){Me--,He--;const ie=[N[Me][He],Ke];let ce=0,j=0;for(;Me>=1;){let se=He;do{const fe=K[Me][se];if(fe===3)se=se-2;else if(fe===2)se=se-1;else break}while(se>=1);ce>1&&Ce[Te+Me-1]===be[Ke+He-1]&&!Ae(se+Ke-1,Ue,be)&&ce+1>$[Me][se]&&(se=He),se===He?ce++:ce=1,j||(j=se),Me--,He=se-1,ie.push(He)}_e===X&&(ie[0]+=2);const Y=j-X;return ie[0]-=Y,ie}}}e.fuzzyScore=U;function q(pe,Ce,Te,Ue,be,Ke){let V=pe-1,X=Ce-1;for(;V>=Te&&X>=Ue;)be[V]===Ke[X]&&(M[V]=X,V--),X--}function J(pe,Ce,Te,Ue,be,Ke,V,X,_e,Me,He){if(Ce[Te]!==Ke[V])return Number.MIN_SAFE_INTEGER;let Oe=1,Xe=!1;return V===Te-Ue?Oe=pe[Te]===be[V]?7:5:Ae(V,be,Ke)&&(V===0||!Ae(V-1,be,Ke))?(Oe=pe[Te]===be[V]?7:5,Xe=!0):re(Ke,V)&&(V===0||!re(Ke,V-1))?Oe=5:(re(Ke,V-1)||Se(Ke,V-1))&&(Oe=5,Xe=!0),Oe>1&&Te===Ue&&(He[0]=!0),Xe||(Xe=Ae(V,be,Ke)||re(Ke,V-1)||Se(Ke,V-1)),Te===Ue?V>_e&&(Oe-=Xe?3:5):Me?Oe+=Xe?2:0:Oe+=Xe?0:1,V+1===X&&(Oe-=Xe?3:5),Oe}function ae(pe,Ce,Te,Ue,be,Ke,V){return De(pe,Ce,Te,Ue,be,Ke,!0,V)}e.fuzzyScoreGracefulAggressive=ae;function ge(pe,Ce,Te,Ue,be,Ke,V){return De(pe,Ce,Te,Ue,be,Ke,!1,V)}e.fuzzyScoreGraceful=ge;function De(pe,Ce,Te,Ue,be,Ke,V,X){let _e=U(pe,Ce,Te,Ue,be,Ke,X);if(_e&&!V)return _e;if(pe.length>=3){const Me=Math.min(7,pe.length-1);for(let He=Te+1;He<Me;He++){const Oe=Le(pe,He);if(Oe){const Xe=U(Oe,Oe.toLowerCase(),Te,Ue,be,Ke,X);Xe&&(Xe[0]-=3,(!_e||Xe[0]>_e[0])&&(_e=Xe))}}}return _e}function Le(pe,Ce){if(!(Ce+1>=pe.length)){const Te=pe[Ce],Ue=pe[Ce+1];if(Te!==Ue)return pe.slice(0,Ce)+Ue+Te+pe.slice(Ce+2)}}}),define(we[108],Ee([0,1,37,107,8]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const I=new RegExp(`\\$\\(${b.CSSIcon.iconNameExpression}(?:${b.CSSIcon.iconModifierExpression})?\\)`,"g"),S=new RegExp(`(\\\\)?${I.source}`,"g");function C(f){return f.replace(S,(v,m)=>m?v:`\\${v}`)}e.escapeIcons=C;const E=new RegExp(`\\\\${I.source}`,"g");function n(f){return f.replace(E,v=>`\\${v}`)}e.markdownEscapeEscapedIcons=n;const P=new RegExp(`(\\s)?(\\\\)?${I.source}(\\s)?`,"g");function k(f){return f.indexOf(e.iconStartMarker)===-1?f:f.replace(P,(v,m,w,c)=>w?v:m||c||"")}e.stripIcons=k;function _(f){const v=f.indexOf(e.iconStartMarker);return v===-1?{text:f}:d(f,v)}e.parseLabelWithIcons=_;function d(f,v){const m=[];let w="";function c(h){if(h){w+=h;for(const D of h)m.push(t)}}let u=-1,a="",t=0,r,o,l=v;const i=f.length;for(c(f.substr(0,v));l<i;)r=f[l],o=f[l+1],r===e.iconStartMarker[0]&&o===e.iconStartMarker[1]?(u=l,c(a),a=e.iconStartMarker,l++):r===")"&&u!==-1?(t+=l-u+1,u=-1,a=""):u!==-1?/^[a-z0-9\-]$/i.test(r)?a+=r:(c(a),u=-1,a=""):c(r),l++;return c(a),{text:w,iconOffsets:m}}function s(f,v,m=!1){const{text:w,iconOffsets:c}=v;if(!c||c.length===0)return(0,y.matchesFuzzy)(f,w,m);const u=(0,A.ltrim)(w," "),a=w.length-u.length,t=(0,y.matchesFuzzy)(f,u,m);if(t)for(const r of t){const o=c[r.start+a]+a;r.start+=o,r.end+=o}return t}e.matchesFuzzyIconAware=s}),define(we[80],Ee([0,1,15,108,10]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markedStringsEquals=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var I;(function(s){s[s.Paragraph=0]="Paragraph",s[s.Break=1]="Break"})(I=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class S{constructor(f="",v=!1){var m,w;if(this.value=f,typeof this.value!="string")throw(0,A.illegalArgument)("value");typeof v=="boolean"?(this.isTrusted=v,this.supportThemeIcons=!1):(this.isTrusted=(m=v.isTrusted)!==null&&m!==void 0?m:void 0,this.supportThemeIcons=(w=v.supportThemeIcons)!==null&&w!==void 0?w:!1)}appendText(f,v=0){return this.value+=k(this.supportThemeIcons?(0,y.escapeIcons)(f):f).replace(/([ \t]+)/g,(m,w)=>"&nbsp;".repeat(w.length)).replace(/^>/gm,"\\>").replace(/\n/g,v===1?`\\
`:`

`),this}appendMarkdown(f){return this.value+=f,this}appendCodeblock(f,v){return this.value+="\n```",this.value+=f,this.value+=`
`,this.value+=v,this.value+="\n```\n",this}}e.MarkdownString=S;function C(s){return E(s)?!s.value:Array.isArray(s)?s.every(C):!0}e.isEmptyMarkdownString=C;function E(s){return s instanceof S?!0:s&&typeof s=="object"?typeof s.value=="string"&&(typeof s.isTrusted=="boolean"||s.isTrusted===void 0)&&(typeof s.supportThemeIcons=="boolean"||s.supportThemeIcons===void 0):!1}e.isMarkdownString=E;function n(s,f){return!s&&!f?!0:!s||!f?!1:Array.isArray(s)&&Array.isArray(f)?(0,b.equals)(s,f,P):E(s)&&E(f)?P(s,f):!1}e.markedStringsEquals=n;function P(s,f){return s===f?!0:!s||!f?!1:s.value===f.value&&s.isTrusted===f.isTrusted&&s.supportThemeIcons===f.supportThemeIcons}function k(s){return s.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=k;function _(s){return s&&s.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=_;function d(s){const f=[],v=s.split("|").map(w=>w.trim());s=v[0];const m=v[1];if(m){const w=/height=(\d+)/.exec(m),c=/width=(\d+)/.exec(m),u=w?w[1]:"",a=c?c[1]:"",t=isFinite(parseInt(a)),r=isFinite(parseInt(u));t&&f.push(`width="${a}"`),r&&f.push(`height="${u}"`)}return{href:s,dimensions:f}}e.parseHrefAndDimensions=d}),define(we[57],Ee([0,1,26,8,2]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function I(n){return JSON.stringify(n,C)}e.stringify=I;function S(n){let P=JSON.parse(n);return P=E(P),P}e.parse=S;function C(n,P){return P instanceof RegExp?{$mid:2,source:P.source,flags:(0,y.regExpFlags)(P)}:P}function E(n,P=0){if(!n||P>200)return n;if(typeof n=="object"){switch(n.$mid){case 1:return A.URI.revive(n);case 2:return new RegExp(n.source,n.flags)}if(n instanceof b.VSBuffer||n instanceof Uint8Array)return n;if(Array.isArray(n))for(let k=0;k<n.length;++k)n[k]=E(n[k],P+1);else for(const k in n)Object.hasOwnProperty.call(n,k)&&(n[k]=E(n[k],P+1))}return n}e.revive=E}),define(we[16],Ee([0,1,2,21]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var A;(function(C){C.inMemory="inmemory",C.vscode="vscode",C.internal="private",C.walkThrough="walkThrough",C.walkThroughSnippet="walkThroughSnippet",C.http="http",C.https="https",C.file="file",C.mailto="mailto",C.untitled="untitled",C.data="data",C.command="command",C.vscodeRemote="vscode-remote",C.vscodeRemoteResource="vscode-remote-resource",C.userData="vscode-userdata",C.vscodeCustomEditor="vscode-custom-editor",C.vscodeNotebook="vscode-notebook",C.vscodeNotebookCell="vscode-notebook-cell",C.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",C.vscodeSettings="vscode-settings",C.vscodeWorkspaceTrust="vscode-workspace-trust",C.webviewPanel="webview-panel",C.vscodeWebview="vscode-webview",C.vscodeWebviewResource="vscode-webview-resource",C.extension="extension",C.vscodeFileResource="vscode-file"})(A=e.Schemas||(e.Schemas={}));class I{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(E){this._preferredWebSchema=E}setDelegate(E){this._delegate=E}set(E,n,P){this._hosts[E]=n,this._ports[E]=P}setConnectionToken(E,n){this._connectionTokens[E]=n}rewrite(E){if(this._delegate)return this._delegate(E);const n=E.authority;let P=this._hosts[n];P&&P.indexOf(":")!==-1&&(P=`[${P}]`);const k=this._ports[n],_=this._connectionTokens[n];let d=`path=${encodeURIComponent(E.path)}`;return typeof _=="string"&&(d+=`&tkn=${encodeURIComponent(_)}`),b.URI.from({scheme:y.isWeb?this._preferredWebSchema:A.vscodeRemoteResource,authority:`${P}:${k}`,path:"/vscode-remote-resource",query:d})}}e.RemoteAuthorities=new I;class S{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(E,n,P){const k=this.toUri(E,n);return k.scheme===A.vscodeRemote?e.RemoteAuthorities.rewrite(k):y.isNative&&(P||y.isPreferringBrowserCodeLoad)&&k.scheme===A.file?k.with({scheme:A.vscodeFileResource,authority:k.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):k}asFileUri(E,n){const P=this.toUri(E,n);return P.scheme===A.vscodeFileResource?P.with({scheme:A.file,authority:P.authority!==this.FALLBACK_AUTHORITY?P.authority:null,query:null,fragment:null}):P}toUri(E,n){return b.URI.isUri(E)?E:b.URI.parse(n.toUrl(E))}}e.FileAccess=new S}),define(we[24],Ee([0,1,38,11,2,8,16,21]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function E(d){return(0,A.uriToFsPath)(d,!0)}e.originalFSPath=E;class n{constructor(s){this._ignorePathCasing=s}compare(s,f,v=!1){return s===f?0:(0,I.compare)(this.getComparisonKey(s,v),this.getComparisonKey(f,v))}isEqual(s,f,v=!1){return s===f?!0:!s||!f?!1:this.getComparisonKey(s,v)===this.getComparisonKey(f,v)}getComparisonKey(s,f=!1){return s.with({path:this._ignorePathCasing(s)?s.path.toLowerCase():void 0,fragment:f?null:void 0}).toString()}ignorePathCasing(s){return this._ignorePathCasing(s)}isEqualOrParent(s,f,v=!1){if(s.scheme===f.scheme){if(s.scheme===S.Schemas.file)return b.isEqualOrParent(E(s),E(f),this._ignorePathCasing(s))&&s.query===f.query&&(v||s.fragment===f.fragment);if((0,e.isEqualAuthority)(s.authority,f.authority))return b.isEqualOrParent(s.path,f.path,this._ignorePathCasing(s),"/")&&s.query===f.query&&(v||s.fragment===f.fragment)}return!1}joinPath(s,...f){return A.URI.joinPath(s,...f)}basenameOrAuthority(s){return(0,e.basename)(s)||s.authority}basename(s){return y.posix.basename(s.path)}extname(s){return y.posix.extname(s.path)}dirname(s){if(s.path.length===0)return s;let f;return s.scheme===S.Schemas.file?f=A.URI.file(y.dirname(E(s))).path:(f=y.posix.dirname(s.path),s.authority&&f.length&&f.charCodeAt(0)!==47&&(console.error(`dirname("${s.toString})) resulted in a relative path`),f="/")),s.with({path:f})}normalizePath(s){if(!s.path.length)return s;let f;return s.scheme===S.Schemas.file?f=A.URI.file(y.normalize(E(s))).path:f=y.posix.normalize(s.path),s.with({path:f})}relativePath(s,f){if(!(s.scheme!==f.scheme||!(0,e.isEqualAuthority)(s.authority,f.authority))){if(s.scheme===S.Schemas.file){const w=y.relative(E(s),E(f));return C.isWindows?b.toSlashes(w):w}let v=s.path||"/",m=f.path||"/";if(this._ignorePathCasing(s)){let w=0;for(const c=Math.min(v.length,m.length);w<c&&!(v.charCodeAt(w)!==m.charCodeAt(w)&&v.charAt(w).toLowerCase()!==m.charAt(w).toLowerCase());w++);v=m.substr(0,w)+v.substr(w)}return y.posix.relative(v,m)}}resolvePath(s,f){if(s.scheme===S.Schemas.file){const v=A.URI.file(y.resolve(E(s),f));return s.with({authority:v.authority,path:v.path})}return f.indexOf("/")===-1&&(f=b.toSlashes(f),/^[a-zA-Z]:(\/|$)/.test(f)&&(f="/"+f)),s.with({path:y.posix.resolve(s.path,f)})}isAbsolutePath(s){return!!s.path&&s.path[0]==="/"}isEqualAuthority(s,f){return s===f||(0,I.equalsIgnoreCase)(s,f)}hasTrailingPathSeparator(s,f=y.sep){if(s.scheme===S.Schemas.file){const v=E(s);return v.length>b.getRoot(v).length&&v[v.length-1]===f}else{const v=s.path;return v.length>1&&v.charCodeAt(v.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(s.fsPath)}}removeTrailingPathSeparator(s,f=y.sep){return(0,e.hasTrailingPathSeparator)(s,f)?s.with({path:s.path.substr(0,s.path.length-1)}):s}addTrailingPathSeparator(s,f=y.sep){let v=!1;if(s.scheme===S.Schemas.file){const m=E(s);v=m!==void 0&&m.length===b.getRoot(m).length&&m[m.length-1]===f}else{f="/";const m=s.path;v=m.length===1&&m.charCodeAt(m.length-1)===47}return!v&&!(0,e.hasTrailingPathSeparator)(s,f)?s.with({path:s.path+"/"}):s}}e.ExtUri=n,e.extUri=new n(()=>!1),e.extUriBiasedIgnorePathCase=new n(d=>d.scheme===S.Schemas.file?!C.isLinux:!0),e.extUriIgnorePathCase=new n(d=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function P(d,s){const f=[];for(let v=0;v<d.length;v++){const m=s(d[v]);d.some((w,c)=>c===v?!1:(0,e.isEqualOrParent)(m,s(w)))||f.push(d[v])}return f}e.distinctParents=P;var k;(function(d){d.META_DATA_LABEL="label",d.META_DATA_DESCRIPTION="description",d.META_DATA_SIZE="size",d.META_DATA_MIME="mime";function s(f){const v=new Map;f.path.substring(f.path.indexOf(";")+1,f.path.lastIndexOf(";")).split(";").forEach(c=>{const[u,a]=c.split(":");u&&a&&v.set(u,a)});const w=f.path.substring(0,f.path.indexOf(";"));return w&&v.set(d.META_DATA_MIME,w),v}d.parseMetaData=s})(k=e.DataUri||(e.DataUri={}));function _(d,s,f){if(s){let v=d.path;return v&&v[0]!==y.posix.sep&&(v=y.posix.sep+v),d.with({scheme:f,authority:s,path:v})}return d.with({scheme:f})}e.toLocalResource=_}),define(we[13],Ee([0,1,20,10,3,6,46,24]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function E(N){return!!N&&typeof N.then=="function"}e.isThenable=E;function n(N){const K=new b.CancellationTokenSource,W=N(K.token),Z=new Promise((ne,re)=>{K.token.onCancellationRequested(()=>{re((0,y.canceled)())}),Promise.resolve(W).then(Se=>{K.dispose(),ne(Se)},Se=>{K.dispose(),re(Se)})});return new class{cancel(){K.cancel()}then(ne,re){return Z.then(ne,re)}catch(ne){return this.then(void 0,ne)}finally(ne){return Z.finally(ne)}}}e.createCancelablePromise=n;function P(N,K,W){return Promise.race([N,new Promise(Z=>K.onCancellationRequested(()=>Z(W)))])}e.raceCancellation=P;async function k(N){let K=-1;const W=N.map((ne,re)=>ne.then(Se=>(K=re,Se))),Z=await Promise.race(W);return N.forEach((ne,re)=>{re!==K&&ne.cancel()}),Z}e.raceCancellablePromises=k;function _(N,K,W){let Z;const ne=setTimeout(()=>{Z==null||Z(void 0),W==null||W()},K);return Promise.race([N.finally(()=>clearTimeout(ne)),new Promise(re=>Z=re)])}e.raceTimeout=_;function d(N){return new Promise((K,W)=>{const Z=N();E(Z)?Z.then(K,W):K(Z)})}e.asPromise=d;class s{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(K){if(this.activePromise){if(this.queuedPromiseFactory=K,!this.queuedPromise){const W=()=>{this.queuedPromise=null;const Z=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,Z};this.queuedPromise=new Promise(Z=>{this.activePromise.then(W,W).then(Z)})}return new Promise((W,Z)=>{this.queuedPromise.then(W,Z)})}return this.activePromise=K(),new Promise((W,Z)=>{this.activePromise.then(ne=>{this.activePromise=null,W(ne)},ne=>{this.activePromise=null,Z(ne)})})}}e.Throttler=s;class f{constructor(){this.current=Promise.resolve(null)}queue(K){return this.current=this.current.then(()=>K(),()=>K())}}e.Sequencer=f;class v{constructor(){this.promiseMap=new Map}queue(K,W){var Z;const re=((Z=this.promiseMap.get(K))!==null&&Z!==void 0?Z:Promise.resolve()).catch(()=>{}).then(W).finally(()=>{this.promiseMap.get(K)===re&&this.promiseMap.delete(K)});return this.promiseMap.set(K,re),re}}e.SequencerByKey=v;class m{constructor(K){this.defaultDelay=K,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(K,W=this.defaultDelay){return this.task=K,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((Z,ne)=>{this.doResolve=Z,this.doReject=ne}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const Z=this.task;return this.task=null,Z()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},W),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,y.canceled)()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=m;class w{constructor(K){this.delayer=new m(K),this.throttler=new s}trigger(K,W){return this.delayer.trigger(()=>this.throttler.queue(K),W)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=w;class c{constructor(){this._isOpen=!1,this._promise=new Promise((K,W)=>{this._completePromise=K})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=c;class u extends c{constructor(K){super();this._timeout=setTimeout(()=>this.open(),K)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=u;function a(N,K){return K?new Promise((W,Z)=>{const ne=setTimeout(W,N);K.onCancellationRequested(()=>{clearTimeout(ne),Z((0,y.canceled)())})}):n(W=>a(N,W))}e.timeout=a;function t(N,K=0){const W=setTimeout(N,K);return(0,I.toDisposable)(()=>clearTimeout(W))}e.disposableTimeout=t;function r(N){return N.then(void 0,K=>{})}e.ignoreErrors=r;function o(N){const K=[];let W=0;const Z=N.length;function ne(){return W<Z?N[W++]():null}function re(Se){Se!=null&&K.push(Se);const Ae=ne();return Ae?Ae.then(re):Promise.resolve(K)}return Promise.resolve(null).then(re)}e.sequence=o;function l(N,K=Z=>!!Z,W=null){let Z=0;const ne=N.length,re=()=>{if(Z>=ne)return Promise.resolve(W);const Se=N[Z++];return Promise.resolve(Se()).then(Be=>K(Be)?Promise.resolve(Be):re())};return re()}e.first=l;function i(N,K=Z=>!!Z,W=null){if(N.length===0)return Promise.resolve(W);let Z=N.length;const ne=()=>{var re,Se;Z=-1;for(const Ae of N)(Se=(re=Ae).cancel)===null||Se===void 0||Se.call(re)};return new Promise((re,Se)=>{for(const Ae of N)Ae.then(Be=>{--Z>=0&&K(Be)?(ne(),re(Be)):Z===0&&re(W)}).catch(Be=>{--Z>=0&&(ne(),Se(Be))})})}e.firstParallel=i;class h{constructor(K){this._size=0,this.maxDegreeOfParalellism=K,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new A.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(K){return this._size++,new Promise((W,Z)=>{this.outstandingPromises.push({factory:K,c:W,e:Z}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const K=this.outstandingPromises.shift();this.runningPromises++;const W=K.factory();W.then(K.c,K.e),W.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=h;class D extends h{constructor(){super(1)}}e.Queue=D;class R{constructor(){this.queues=new Map}queueFor(K,W=C.extUri){const Z=W.getComparisonKey(K);let ne=this.queues.get(Z);return ne||(ne=new D,A.Event.once(ne.onFinished)(()=>{ne==null||ne.dispose(),this.queues.delete(Z)}),this.queues.set(Z,ne)),ne}dispose(){this.queues.forEach(K=>K.dispose()),this.queues.clear()}}e.ResourceQueue=R;class p{constructor(K,W){this._token=-1,typeof K=="function"&&typeof W=="number"&&this.setIfNotSet(K,W)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(K,W){this.cancel(),this._token=setTimeout(()=>{this._token=-1,K()},W)}setIfNotSet(K,W){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,K()},W))}}e.TimeoutTimer=p;class g{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(K,W){this.cancel(),this._token=setInterval(()=>{K()},W)}}e.IntervalTimer=g;class T{constructor(K,W){this.timeoutToken=-1,this.runner=K,this.timeout=W,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(K=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,K)}get delay(){return this.timeout}set delay(K){this.timeout=K}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=T;class F extends T{constructor(K,W){super(K,W);this.units=[]}work(K){this.units.push(K),this.isScheduled()||this.schedule()}doRun(){const K=this.units;this.units=[],this.runner&&this.runner(K)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=F,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const N=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=K=>{const W=setTimeout(()=>K(N));let Z=!1;return{dispose(){Z||(Z=!0,clearTimeout(W))}}}}else e.runWhenIdle=(N,K)=>{const W=requestIdleCallback(N,typeof K=="number"?{timeout:K}:void 0);let Z=!1;return{dispose(){Z||(Z=!0,cancelIdleCallback(W))}}}}();class H{constructor(K){this._didRun=!1,this._executor=()=>{try{this._value=K()}catch(W){this._error=W}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=H;async function le(N,K,W){let Z;for(let ne=0;ne<W;ne++)try{return await N()}catch(re){Z=re,await a(K)}throw Z}e.retry=le;class z{hasPending(K){return this._pending?typeof K=="number"?this._pending.taskId===K:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var K;(K=this._pending)===null||K===void 0||K.cancel()}setPending(K,W,Z){return this._pending={taskId:K,cancel:()=>Z==null?void 0:Z(),promise:W},W.then(()=>this.donePending(K),()=>this.donePending(K)),W}donePending(K){this._pending&&K===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const K=this._next;this._next=void 0,K.run().then(K.promiseResolve,K.promiseReject)}}setNext(K){if(this._next)this._next.run=K;else{let W,Z;const ne=new Promise((re,Se)=>{W=re,Z=Se});this._next={run:K,promise:ne,promiseResolve:W,promiseReject:Z}}return this._next.promise}}e.TaskSequentializer=z;class B{constructor(K){this.interval=K,this.lastIncrementTime=0,this.value=0}increment(){const K=Date.now();return K-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=K,this.value=0),this.value++,this.value}}e.IntervalCounter=B;class Q{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((K,W)=>{this.completeCallback=K,this.errorCallback=W})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(K){return new Promise(W=>{this.completeCallback(K),this.resolved=!0,W()})}error(K){return new Promise(W=>{this.errorCallback(K),this.rejected=!0,W()})}cancel(){new Promise(K=>{this.errorCallback((0,y.canceled)()),this.rejected=!0,K()})}}e.DeferredPromise=Q;class M extends A.Emitter{async fireAsync(K,W,Z){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new S.LinkedList);for(const ne of this._listeners)this._asyncDeliveryQueue.push([ne,K]);for(;this._asyncDeliveryQueue.size>0&&!W.isCancellationRequested;){const[ne,re]=this._asyncDeliveryQueue.shift(),Se=[],Ae=Object.assign(Object.assign({},re),{waitUntil:Be=>{if(Object.isFrozen(Se))throw new Error("waitUntil can NOT be called asynchronous");Z&&(Be=Z(Be,typeof ne=="function"?ne:ne[0])),Se.push(Be)}});try{typeof ne=="function"?ne.call(void 0,Ae):ne[0].call(ne[1],Ae)}catch(Be){(0,y.onUnexpectedError)(Be);continue}Object.freeze(Se),await $.settled(Se).catch(Be=>(0,y.onUnexpectedError)(Be))}}}}e.AsyncEmitter=M;var $;(function(N){async function K(re){return typeof Promise.allSettled=="function"?W(re):Z(re)}N.allSettled=K;async function W(re){return Promise.allSettled(re)}async function Z(re){return Promise.all(re.map(Se=>Se.then(Ae=>({status:"fulfilled",value:Ae}),Ae=>({status:"rejected",reason:Ae}))))}async function ne(re){let Se;const Ae=await Promise.all(re.map(Be=>Be.then(Re=>Re,Re=>{Se||(Se=Re)})));if(typeof Se!="undefined")throw Se;return Ae}N.settled=ne})($=e.Promises||(e.Promises={}))}),define(we[109],Ee([0,1,11,13]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesDefault=e.compareFileNames=void 0;const A=new y.IdleValue(()=>{const u=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:u,collatorIsNumeric:u.resolvedOptions().numeric}}),I=new y.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),S=new y.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function C(u,a,t=!1){const r=u||"",o=a||"",l=A.value.collator.compare(r,o);return A.value.collatorIsNumeric&&l===0&&r!==o?r<o?-1:1:l}e.compareFileNames=C;function E(u,a){const t=I.value.collator;return u=u||"",a=a||"",f(t,u,a)}e.compareFileNamesDefault=E;function n(u,a,t=!1){t||(u=u&&u.toLowerCase(),a=a&&a.toLowerCase());const[r,o]=d(u),[l,i]=d(a);return r!==l?r<l?-1:1:o===i?0:o<i?-1:1}e.noIntlCompareFileNames=n;function P(u,a){const[t,r]=d(u),[o,l]=d(a);let i=A.value.collator.compare(r,l);if(i===0){if(A.value.collatorIsNumeric&&r!==l)return r<l?-1:1;if(i=A.value.collator.compare(t,o),A.value.collatorIsNumeric&&i===0&&t!==o)return t<o?-1:1}return i}e.compareFileExtensions=P;function k(u,a){u=u||"",a=a||"";const t=s(u),r=s(a),o=I.value.collator,l=S.value.collator;let i;return i=f(l,t,r),i!==0?i:f(o,u,a)}e.compareFileExtensionsDefault=k;const _=/^(.*?)(\.([^.]*))?$/;function d(u,a=!1){const t=u?_.exec(u):[];let r=[t&&t[1]||"",t&&t[3]||""];return a&&(!r[0]&&r[1]||r[0]&&r[0].charAt(0)===".")&&(r=[r[0]+"."+r[1],""]),r}function s(u){const a=u?_.exec(u):[];return a&&a[1]&&a[1].charAt(0)!=="."&&a[3]||""}function f(u,a,t){let r=u.compare(a,t);return r!==0?r:a.length!==t.length?a.length<t.length?-1:1:0}function v(u,a,t=!1){return t||(u=u&&u.toLowerCase(),a=a&&a.toLowerCase()),u===a?0:u<a?-1:1}function m(u,a,t=!1){const r=u.split(b.sep),o=a.split(b.sep),l=r.length-1,i=o.length-1;let h,D;for(let R=0;;R++){if(h=l===R,D=i===R,h&&D)return C(r[R],o[R],t);if(h)return-1;if(D)return 1;const p=v(r[R],o[R],t);if(p!==0)return p}}e.comparePaths=m;function w(u,a,t){const r=u.toLowerCase(),o=a.toLowerCase(),l=c(u,a,t);if(l)return l;const i=r.endsWith(t),h=o.endsWith(t);if(i!==h)return i?-1:1;const D=C(r,o);return D!==0?D:r.localeCompare(o)}e.compareAnything=w;function c(u,a,t){const r=u.toLowerCase(),o=a.toLowerCase(),l=r.startsWith(t),i=o.startsWith(t);if(l!==i)return l?-1:1;if(l&&i){if(r.length<o.length)return-1;if(r.length>o.length)return 1}return 0}e.compareByPrefix=c}),define(we[28],Ee([0,1,8,38,11,22,13]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function C(){return Object.create(null)}e.getEmptyExpression=C;const E="**",n="/",P="[/\\\\]",k="[^/\\\\]",_=/\//g;function d(W){switch(W){case 0:return"";case 1:return`${k}*?`;default:return`(?:${P}|${k}+${P}|${P}${k}+)*?`}}function s(W,Z){if(!W)return[];const ne=[];let re=!1,Se=!1,Ae="";for(const Be of W){switch(Be){case Z:if(!re&&!Se){ne.push(Ae),Ae="";continue}break;case"{":re=!0;break;case"}":re=!1;break;case"[":Se=!0;break;case"]":Se=!1;break}Ae+=Be}return Ae&&ne.push(Ae),ne}e.splitGlobAware=s;function f(W){if(!W)return"";let Z="";const ne=s(W,n);if(ne.every(re=>re===E))Z=".*";else{let re=!1;ne.forEach((Se,Ae)=>{if(Se===E){re||(Z+=d(2),re=!0);return}let Be=!1,Re="",xe=!1,U="";for(const q of Se){if(q!=="}"&&Be){Re+=q;continue}if(xe&&(q!=="]"||!U)){let J;q==="-"?J=q:(q==="^"||q==="!")&&!U?J="^":q===n?J="":J=b.escapeRegExpCharacters(q),U+=J;continue}switch(q){case"{":Be=!0;continue;case"[":xe=!0;continue;case"}":Z+=`(?:${s(Re,",").map(ge=>f(ge)).join("|")})`,Be=!1,Re="";break;case"]":Z+="["+U+"]",xe=!1,U="";break;case"?":Z+=k;continue;case"*":Z+=d(1);continue;default:Z+=b.escapeRegExpCharacters(q)}}Ae<ne.length-1&&(ne[Ae+1]!==E||Ae+2<ne.length)&&(Z+=P),re=!1})}return Z}const v=/^\*\*\/\*\.[\w\.-]+$/,m=/^\*\*\/([\w\.-]+)\/?$/,w=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,c=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,u=/^\*\*((\/[\w\.-]+)+)\/?$/,a=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new I.LRUCache(1e4),r=function(){return!1},o=function(){return null};function l(W,Z){if(!W)return o;let ne;typeof W!="string"?ne=W.pattern:ne=W,ne=ne.trim();const re=`${ne}_${!!Z.trimForExclusions}`;let Se=t.get(re);if(Se)return i(Se,W);let Ae;if(v.test(ne)){const Be=ne.substr(4);Se=function(Re,xe){return typeof Re=="string"&&Re.endsWith(Be)?ne:null}}else(Ae=m.exec(h(ne,Z)))?Se=D(Ae[1],ne):(Z.trimForExclusions?c:w).test(ne)?Se=R(ne,Z):(Ae=u.exec(h(ne,Z)))?Se=p(Ae[1].substr(1),ne,!0):(Ae=a.exec(h(ne,Z)))?Se=p(Ae[1],ne,!1):Se=g(ne);return t.set(re,Se),i(Se,W)}function i(W,Z){return typeof Z=="string"?W:function(ne,re){return y.isEqualOrParent(ne,Z.base)?W(A.relative(Z.base,ne),re):null}}function h(W,Z){return Z.trimForExclusions&&W.endsWith("/**")?W.substr(0,W.length-2):W}function D(W,Z){const ne=`/${W}`,re=`\\${W}`,Se=function(Be,Re){return typeof Be!="string"?null:Re?Re===W?Z:null:Be===W||Be.endsWith(ne)||Be.endsWith(re)?Z:null},Ae=[W];return Se.basenames=Ae,Se.patterns=[Z],Se.allBasenames=Ae,Se}function R(W,Z){const ne=K(W.slice(1,-1).split(",").map(Re=>l(Re,Z)).filter(Re=>Re!==o),W),re=ne.length;if(!re)return o;if(re===1)return ne[0];const Se=function(Re,xe){for(let U=0,q=ne.length;U<q;U++)if(ne[U](Re,xe))return W;return null},Ae=ne.find(Re=>!!Re.allBasenames);Ae&&(Se.allBasenames=Ae.allBasenames);const Be=ne.reduce((Re,xe)=>xe.allPaths?Re.concat(xe.allPaths):Re,[]);return Be.length&&(Se.allPaths=Be),Se}function p(W,Z,ne){const re=A.sep===A.posix.sep,Se=re?W:W.replace(_,A.sep),Ae=A.sep+Se,Be=A.posix.sep+W,Re=ne?function(xe,U){return typeof xe=="string"&&(xe===Se||xe.endsWith(Ae)||!re&&(xe===W||xe.endsWith(Be)))?Z:null}:function(xe,U){return typeof xe=="string"&&(xe===Se||!re&&xe===W)?Z:null};return Re.allPaths=[(ne?"*/":"./")+W],Re}function g(W){try{const Z=new RegExp(`^${f(W)}$`);return function(ne){return Z.lastIndex=0,typeof ne=="string"&&Z.test(ne)?W:null}}catch(Z){return o}}function T(W,Z,ne){return!W||typeof Z!="string"?!1:F(W)(Z,void 0,ne)}e.match=T;function F(W,Z={}){if(!W)return r;if(typeof W=="string"||B(W)){const ne=l(W,Z);if(ne===o)return r;const re=function(Se,Ae){return!!ne(Se,Ae)};return ne.allBasenames&&(re.allBasenames=ne.allBasenames),ne.allPaths&&(re.allPaths=ne.allPaths),re}return $(W,Z)}e.parse=F;function H(W){if(!!W){let Z;return ne=>(Z||(Z=(W()||Promise.resolve([])).then(re=>re?z(re):{})),Z.then(re=>!!re[ne]))}}e.hasSiblingPromiseFn=H;function le(W){if(!!W){let Z;return ne=>{if(!Z){const re=W();Z=re?z(re):{}}return!!Z[ne]}}}e.hasSiblingFn=le;function z(W){const Z={};for(const ne of W)Z[ne]=!0;return Z}function B(W){const Z=W;return Z&&typeof Z.base=="string"&&typeof Z.pattern=="string"}e.isRelativePattern=B;function Q(W){return W.allBasenames||[]}e.getBasenameTerms=Q;function M(W){return W.allPaths||[]}e.getPathTerms=M;function $(W,Z){const ne=K(Object.getOwnPropertyNames(W).map(Re=>N(Re,W[Re],Z)).filter(Re=>Re!==o)),re=ne.length;if(!re)return o;if(!ne.some(Re=>!!Re.requiresSiblings)){if(re===1)return ne[0];const Re=function(q,J){for(let ae=0,ge=ne.length;ae<ge;ae++){const De=ne[ae](q,J);if(De)return De}return null},xe=ne.find(q=>!!q.allBasenames);xe&&(Re.allBasenames=xe.allBasenames);const U=ne.reduce((q,J)=>J.allPaths?q.concat(J.allPaths):q,[]);return U.length&&(Re.allPaths=U),Re}const Se=function(Re,xe,U){let q;for(let J=0,ae=ne.length;J<ae;J++){const ge=ne[J];ge.requiresSiblings&&U&&(xe||(xe=A.basename(Re)),q||(q=xe.substr(0,xe.length-A.extname(Re).length)));const De=ge(Re,xe,q,U);if(De)return De}return null},Ae=ne.find(Re=>!!Re.allBasenames);Ae&&(Se.allBasenames=Ae.allBasenames);const Be=ne.reduce((Re,xe)=>xe.allPaths?Re.concat(xe.allPaths):Re,[]);return Be.length&&(Se.allPaths=Be),Se}function N(W,Z,ne){if(Z===!1)return o;const re=l(W,ne);if(re===o)return o;if(typeof Z=="boolean")return re;if(Z){const Se=Z.when;if(typeof Se=="string"){const Ae=(Be,Re,xe,U)=>{if(!U||!re(Be,Re))return null;const q=Se.replace("$(basename)",xe),J=U(q);return(0,S.isThenable)(J)?J.then(ae=>ae?W:null):J?W:null};return Ae.requiresSiblings=!0,Ae}}return re}function K(W,Z){const ne=W.filter(Re=>!!Re.basenames);if(ne.length<2)return W;const re=ne.reduce((Re,xe)=>{const U=xe.basenames;return U?Re.concat(U):Re},[]);let Se;if(Z){Se=[];for(let Re=0,xe=re.length;Re<xe;Re++)Se.push(Z)}else Se=ne.reduce((Re,xe)=>{const U=xe.patterns;return U?Re.concat(U):Re},[]);const Ae=function(Re,xe){if(typeof Re!="string")return null;if(!xe){let q;for(q=Re.length;q>0;q--){const J=Re.charCodeAt(q-1);if(J===47||J===92)break}xe=Re.substr(q)}const U=re.indexOf(xe);return U!==-1?Se[U]:null};Ae.basenames=re,Ae.patterns=Se,Ae.allBasenames=re;const Be=W.filter(Re=>!Re.basenames);return Be.push(Ae),Be}}),define(we[58],Ee([0,1,2,11,8,16,21,24,38]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function n(l,i,h){if(typeof l=="string"&&(l=b.URI.file(l)),h){const R=h.getWorkspaceFolder(l);if(R){const p=h.getWorkspace().folders.length>1;let g;if((0,C.isEqual)(R.uri,l)?g="":g=(0,C.relativePath)(R.uri,l),p){const T=R.name?R.name:(0,C.basename)(R.uri);g=g?T+" \u2022 "+g:T}return g}}if(l.scheme!==I.Schemas.file&&l.scheme!==I.Schemas.untitled)return l.with({query:null,fragment:null}).toString(!0);if((0,E.hasDriveLetter)(l.fsPath))return(0,y.normalize)(k(l.fsPath));let D=(0,y.normalize)(l.fsPath);return!S.isWindows&&(i==null?void 0:i.userHome)&&(D=d(D,i.userHome.fsPath)),D}e.getPathLabel=n;function P(l){if(!!l){typeof l=="string"&&(l=b.URI.file(l));const i=(0,C.basename)(l)||(l.scheme===I.Schemas.file?l.fsPath:l.path);return S.isWindows&&(0,E.isRootOrDriveLetter)(i)?k(i):i}}e.getBaseLabel=P;function k(l){return(0,E.hasDriveLetter)(l)?l.charAt(0).toUpperCase()+l.slice(1):l}e.normalizeDriveLetter=k;let _=Object.create(null);function d(l,i){if(S.isWindows||!l||!i)return l;let h=_.original===i?_.normalized:void 0;return h||(h=`${(0,A.rtrim)(i,y.posix.sep)}${y.posix.sep}`,_={original:i,normalized:h}),(S.isLinux?l.startsWith(h):(0,A.startsWithIgnoreCase)(l,h))&&(l=`~/${l.substr(h.length)}`),l}e.tildify=d;function s(l,i){return l.replace(/^~($|\/|\\)/,`${i}$1`)}e.untildify=s;const f="\u2026",v="\\\\",m="~";function w(l,i=y.sep){const h=new Array(l.length);let D=!1;for(let R=0;R<l.length;R++){let p=l[R];if(p===""){h[R]=`.${i}`;continue}if(!p){h[R]=p;continue}D=!0;let g="";p.indexOf(v)===0?(g=p.substr(0,p.indexOf(v)+v.length),p=p.substr(p.indexOf(v)+v.length)):p.indexOf(i)===0?(g=p.substr(0,p.indexOf(i)+i.length),p=p.substr(p.indexOf(i)+i.length)):p.indexOf(m)===0&&(g=p.substr(0,p.indexOf(m)+m.length),p=p.substr(p.indexOf(m)+m.length));const T=p.split(i);for(let F=1;D&&F<=T.length;F++)for(let H=T.length-F;D&&H>=0;H--){D=!1;let le=T.slice(H,H+F).join(i);for(let z=0;!D&&z<l.length;z++)if(z!==R&&l[z]&&l[z].indexOf(le)>-1){const B=H+F===T.length,Q=H>0&&l[z].indexOf(i)>-1?i+le:le,M=l[z].endsWith(Q);D=!B||M}if(!D){let z="";(T[0].endsWith(":")||g!=="")&&(H===1&&(H=0,F++,le=T[0]+i+le),H>0&&(z=T[0]+i),z=g+z),H>0&&(z=z+f+i),z=z+le,H+F<T.length&&(z=z+i+f),h[R]=z}}D&&(h[R]=p)}return h}e.shorten=w;var c;(function(l){l[l.TEXT=0]="TEXT",l[l.VARIABLE=1]="VARIABLE",l[l.SEPARATOR=2]="SEPARATOR"})(c||(c={}));function u(l,i=Object.create(null)){const h=[];let D=!1,R="";for(const p of l)if(p==="$"||D&&p==="{")R&&h.push({value:R,type:c.TEXT}),R="",D=!0;else if(p==="}"&&D){const g=i[R];if(typeof g=="string")g.length&&h.push({value:g,type:c.VARIABLE});else if(g){const T=h[h.length-1];(!T||T.type!==c.SEPARATOR)&&h.push({value:g.label,type:c.SEPARATOR})}R="",D=!1}else R+=p;return R&&!D&&h.push({value:R,type:c.TEXT}),h.filter((p,g)=>{if(p.type===c.SEPARATOR){const T=h[g-1],F=h[g+1];return[T,F].every(H=>H&&(H.type===c.VARIABLE||H.type===c.TEXT)&&H.value.length>0)}return!0}).map(p=>p.value).join("")}e.template=u;function a(l,i){return S.isMacintosh||i?l.replace(/\(&&\w\)|&&/g,"").replace(/&/g,S.isMacintosh?"&":"&&"):l.replace(/&&|&/g,h=>h==="&"?"&&":"&")}e.mnemonicMenuLabel=a;function t(l,i){return S.isMacintosh||i?l.replace(/\(&&\w\)|&&/g,""):S.isWindows?l.replace(/&&|&/g,h=>h==="&"?"&&":"&"):l.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(l){return l.replace(/&/g,"&&")}e.unmnemonicLabel=r;function o(l){const i=l.indexOf("/")!==-1?y.posix:y.win32,h=i.basename(l),D=i.dirname(l);return h.length?{name:h,parentPath:D}:{name:D,parentPath:""}}e.splitName=o}),define(we[110],Ee([0,1,2]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function y(P){return P.toJSON()}class A{constructor(k){this._uriTransformer=k}transformIncoming(k){const _=this._uriTransformer.transformIncoming(k);return _===k?k:y(b.URI.from(_))}transformOutgoing(k){const _=this._uriTransformer.transformOutgoing(k);return _===k?k:y(b.URI.from(_))}transformOutgoingURI(k){const _=this._uriTransformer.transformOutgoing(k);return _===k?k:b.URI.from(_)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=A,e.DefaultURITransformer=new class{transformIncoming(P){return P}transformOutgoing(P){return P}transformOutgoingURI(P){return P}transformOutgoingScheme(P){return P}};function I(P,k,_){if(!P||_>200)return null;if(typeof P=="object"){if(P instanceof b.URI)return k.transformOutgoing(P);for(let d in P)if(Object.hasOwnProperty.call(P,d)){const s=I(P[d],k,_+1);s!==null&&(P[d]=s)}}return null}function S(P,k){const _=I(P,k,0);return _===null?P:_}e.transformOutgoingURIs=S;function C(P,k,_,d){if(!P||d>200)return null;if(typeof P=="object"){if(P.$mid===1)return _?b.URI.revive(k.transformIncoming(P)):k.transformIncoming(P);for(let s in P)if(Object.hasOwnProperty.call(P,s)){const f=C(P[s],k,_,d+1);f!==null&&(P[s]=f)}}return null}function E(P,k){const _=C(P,k,!1,0);return _===null?P:_}e.transformIncomingURIs=E;function n(P,k){const _=C(P,k,!0,0);return _===null?P:_}e.transformAndReviveIncomingURIs=n}),define(we[29],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const b=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function y(E){return b.test(E)}e.isUUID=y;const A=new Uint8Array(16),I=[];for(let E=0;E<256;E++)I.push(E.toString(16).padStart(2,"0"));let S;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?S=crypto.getRandomValues.bind(crypto):S=function(E){for(let n=0;n<E.length;n++)E[n]=Math.floor(Math.random()*256);return E};function C(){S(A),A[6]=A[6]&15|64,A[8]=A[8]&63|128;let E=0,n="";return n+=I[A[E++]],n+=I[A[E++]],n+=I[A[E++]],n+=I[A[E++]],n+="-",n+=I[A[E++]],n+=I[A[E++]],n+="-",n+=I[A[E++]],n+=I[A[E++]],n+="-",n+=I[A[E++]],n+=I[A[E++]],n+="-",n+=I[A[E++]],n+=I[A[E++]],n+=I[A[E++]],n+=I[A[E++]],n+=I[A[E++]],n+=I[A[E++]],n}e.generateUuid=C}),define(we[81],Ee([0,1,79]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class y{constructor(C){let E=(0,b.toUint8)(C);this._defaultValue=E,this._asciiMap=y._createAsciiMap(E),this._map=new Map}static _createAsciiMap(C){let E=new Uint8Array(256);for(let n=0;n<256;n++)E[n]=C;return E}set(C,E){let n=(0,b.toUint8)(E);C>=0&&C<256?this._asciiMap[C]=n:this._map.set(C,n)}get(C){return C>=0&&C<256?this._asciiMap[C]:this._map.get(C)||this._defaultValue}}e.CharacterClassifier=y;var A;(function(S){S[S.False=0]="False",S[S.True=1]="True"})(A||(A={}));class I{constructor(){this._actual=new y(0)}add(C){this._actual.set(C,1)}has(C){return this._actual.get(C)===1}}e.CharacterSet=I}),define(we[111],Ee([0,1,81]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var y;(function(S){S[S.Regular=0]="Regular",S[S.Whitespace=1]="Whitespace",S[S.WordSeparator=2]="WordSeparator"})(y=e.WordCharacterClass||(e.WordCharacterClass={}));class A extends b.CharacterClassifier{constructor(C){super(0);for(let E=0,n=C.length;E<n;E++)this.set(C.charCodeAt(E),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=A;function I(S){let C={};return E=>(C.hasOwnProperty(E)||(C[E]=S(E)),C[E])}e.getMapForWordSeparators=I(S=>new A(S))}),define(we[39],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class b{constructor(A,I){this.lineNumber=A,this.column=I}with(A=this.lineNumber,I=this.column){return A===this.lineNumber&&I===this.column?this:new b(A,I)}delta(A=0,I=0){return this.with(this.lineNumber+A,this.column+I)}equals(A){return b.equals(this,A)}static equals(A,I){return!A&&!I?!0:!!A&&!!I&&A.lineNumber===I.lineNumber&&A.column===I.column}isBefore(A){return b.isBefore(this,A)}static isBefore(A,I){return A.lineNumber<I.lineNumber?!0:I.lineNumber<A.lineNumber?!1:A.column<I.column}isBeforeOrEqual(A){return b.isBeforeOrEqual(this,A)}static isBeforeOrEqual(A,I){return A.lineNumber<I.lineNumber?!0:I.lineNumber<A.lineNumber?!1:A.column<=I.column}static compare(A,I){let S=A.lineNumber|0,C=I.lineNumber|0;if(S===C){let E=A.column|0,n=I.column|0;return E-n}return S-C}clone(){return new b(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(A){return new b(A.lineNumber,A.column)}static isIPosition(A){return A&&typeof A.lineNumber=="number"&&typeof A.column=="number"}}e.Position=b}),define(we[33],Ee([0,1,39]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class y{constructor(I,S,C,E){I>C||I===C&&S>E?(this.startLineNumber=C,this.startColumn=E,this.endLineNumber=I,this.endColumn=S):(this.startLineNumber=I,this.startColumn=S,this.endLineNumber=C,this.endColumn=E)}isEmpty(){return y.isEmpty(this)}static isEmpty(I){return I.startLineNumber===I.endLineNumber&&I.startColumn===I.endColumn}containsPosition(I){return y.containsPosition(this,I)}static containsPosition(I,S){return!(S.lineNumber<I.startLineNumber||S.lineNumber>I.endLineNumber||S.lineNumber===I.startLineNumber&&S.column<I.startColumn||S.lineNumber===I.endLineNumber&&S.column>I.endColumn)}containsRange(I){return y.containsRange(this,I)}static containsRange(I,S){return!(S.startLineNumber<I.startLineNumber||S.endLineNumber<I.startLineNumber||S.startLineNumber>I.endLineNumber||S.endLineNumber>I.endLineNumber||S.startLineNumber===I.startLineNumber&&S.startColumn<I.startColumn||S.endLineNumber===I.endLineNumber&&S.endColumn>I.endColumn)}strictContainsRange(I){return y.strictContainsRange(this,I)}static strictContainsRange(I,S){return!(S.startLineNumber<I.startLineNumber||S.endLineNumber<I.startLineNumber||S.startLineNumber>I.endLineNumber||S.endLineNumber>I.endLineNumber||S.startLineNumber===I.startLineNumber&&S.startColumn<=I.startColumn||S.endLineNumber===I.endLineNumber&&S.endColumn>=I.endColumn)}plusRange(I){return y.plusRange(this,I)}static plusRange(I,S){let C,E,n,P;return S.startLineNumber<I.startLineNumber?(C=S.startLineNumber,E=S.startColumn):S.startLineNumber===I.startLineNumber?(C=S.startLineNumber,E=Math.min(S.startColumn,I.startColumn)):(C=I.startLineNumber,E=I.startColumn),S.endLineNumber>I.endLineNumber?(n=S.endLineNumber,P=S.endColumn):S.endLineNumber===I.endLineNumber?(n=S.endLineNumber,P=Math.max(S.endColumn,I.endColumn)):(n=I.endLineNumber,P=I.endColumn),new y(C,E,n,P)}intersectRanges(I){return y.intersectRanges(this,I)}static intersectRanges(I,S){let C=I.startLineNumber,E=I.startColumn,n=I.endLineNumber,P=I.endColumn,k=S.startLineNumber,_=S.startColumn,d=S.endLineNumber,s=S.endColumn;return C<k?(C=k,E=_):C===k&&(E=Math.max(E,_)),n>d?(n=d,P=s):n===d&&(P=Math.min(P,s)),C>n||C===n&&E>P?null:new y(C,E,n,P)}equalsRange(I){return y.equalsRange(this,I)}static equalsRange(I,S){return!!I&&!!S&&I.startLineNumber===S.startLineNumber&&I.startColumn===S.startColumn&&I.endLineNumber===S.endLineNumber&&I.endColumn===S.endColumn}getEndPosition(){return y.getEndPosition(this)}static getEndPosition(I){return new b.Position(I.endLineNumber,I.endColumn)}getStartPosition(){return y.getStartPosition(this)}static getStartPosition(I){return new b.Position(I.startLineNumber,I.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(I,S){return new y(this.startLineNumber,this.startColumn,I,S)}setStartPosition(I,S){return new y(I,S,this.endLineNumber,this.endColumn)}collapseToStart(){return y.collapseToStart(this)}static collapseToStart(I){return new y(I.startLineNumber,I.startColumn,I.startLineNumber,I.startColumn)}static fromPositions(I,S=I){return new y(I.lineNumber,I.column,S.lineNumber,S.column)}static lift(I){return I?new y(I.startLineNumber,I.startColumn,I.endLineNumber,I.endColumn):null}static isIRange(I){return I&&typeof I.startLineNumber=="number"&&typeof I.startColumn=="number"&&typeof I.endLineNumber=="number"&&typeof I.endColumn=="number"}static areIntersectingOrTouching(I,S){return!(I.endLineNumber<S.startLineNumber||I.endLineNumber===S.startLineNumber&&I.endColumn<S.startColumn||S.endLineNumber<I.startLineNumber||S.endLineNumber===I.startLineNumber&&S.endColumn<I.startColumn)}static areIntersecting(I,S){return!(I.endLineNumber<S.startLineNumber||I.endLineNumber===S.startLineNumber&&I.endColumn<=S.startColumn||S.endLineNumber<I.startLineNumber||S.endLineNumber===I.startLineNumber&&S.endColumn<=I.startColumn)}static compareRangesUsingStarts(I,S){if(I&&S){const n=I.startLineNumber|0,P=S.startLineNumber|0;if(n===P){const k=I.startColumn|0,_=S.startColumn|0;if(k===_){const d=I.endLineNumber|0,s=S.endLineNumber|0;if(d===s){const f=I.endColumn|0,v=S.endColumn|0;return f-v}return d-s}return k-_}return n-P}return(I?1:0)-(S?1:0)}static compareRangesUsingEnds(I,S){return I.endLineNumber===S.endLineNumber?I.endColumn===S.endColumn?I.startLineNumber===S.startLineNumber?I.startColumn-S.startColumn:I.startLineNumber-S.startLineNumber:I.endColumn-S.endColumn:I.endLineNumber-S.endLineNumber}static spansMultipleLines(I){return I.endLineNumber>I.startLineNumber}}e.Range=y}),define(we[112],Ee([0,1,39,33]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var A;(function(S){S[S.LTR=0]="LTR",S[S.RTL=1]="RTL"})(A=e.SelectionDirection||(e.SelectionDirection={}));class I extends y.Range{constructor(C,E,n,P){super(C,E,n,P);this.selectionStartLineNumber=C,this.selectionStartColumn=E,this.positionLineNumber=n,this.positionColumn=P}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(C){return I.selectionsEqual(this,C)}static selectionsEqual(C,E){return C.selectionStartLineNumber===E.selectionStartLineNumber&&C.selectionStartColumn===E.selectionStartColumn&&C.positionLineNumber===E.positionLineNumber&&C.positionColumn===E.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(C,E){return this.getDirection()===0?new I(this.startLineNumber,this.startColumn,C,E):new I(C,E,this.startLineNumber,this.startColumn)}getPosition(){return new b.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(C,E){return this.getDirection()===0?new I(C,E,this.endLineNumber,this.endColumn):new I(this.endLineNumber,this.endColumn,C,E)}static fromPositions(C,E=C){return new I(C.lineNumber,C.column,E.lineNumber,E.column)}static liftSelection(C){return new I(C.selectionStartLineNumber,C.selectionStartColumn,C.positionLineNumber,C.positionColumn)}static selectionsArrEqual(C,E){if(C&&!E||!C&&E)return!1;if(!C&&!E)return!0;if(C.length!==E.length)return!1;for(let n=0,P=C.length;n<P;n++)if(!this.selectionsEqual(C[n],E[n]))return!1;return!0}static isISelection(C){return C&&typeof C.selectionStartLineNumber=="number"&&typeof C.selectionStartColumn=="number"&&typeof C.positionLineNumber=="number"&&typeof C.positionColumn=="number"}static createWithDirection(C,E,n,P,k){return k===0?new I(C,E,n,P):new I(n,P,C,E)}}e.Selection=I}),define(we[82],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var b;(function(d){d[d.Left=1]="Left",d[d.Center=2]="Center",d[d.Right=4]="Right",d[d.Full=7]="Full"})(b=e.OverviewRulerLane||(e.OverviewRulerLane={}));var y;(function(d){d[d.Inline=1]="Inline",d[d.Gutter=2]="Gutter"})(y=e.MinimapPosition||(e.MinimapPosition={}));var A;(function(d){d[d.TextDefined=0]="TextDefined",d[d.LF=1]="LF",d[d.CRLF=2]="CRLF"})(A=e.EndOfLinePreference||(e.EndOfLinePreference={}));var I;(function(d){d[d.LF=1]="LF",d[d.CRLF=2]="CRLF"})(I=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var S;(function(d){d[d.LF=0]="LF",d[d.CRLF=1]="CRLF"})(S=e.EndOfLineSequence||(e.EndOfLineSequence={}));class C{constructor(s){this.tabSize=Math.max(1,s.tabSize|0),this.indentSize=s.tabSize|0,this.insertSpaces=Boolean(s.insertSpaces),this.defaultEOL=s.defaultEOL|0,this.trimAutoWhitespace=Boolean(s.trimAutoWhitespace)}equals(s){return this.tabSize===s.tabSize&&this.indentSize===s.indentSize&&this.insertSpaces===s.insertSpaces&&this.defaultEOL===s.defaultEOL&&this.trimAutoWhitespace===s.trimAutoWhitespace}createChangeEvent(s){return{tabSize:this.tabSize!==s.tabSize,indentSize:this.indentSize!==s.indentSize,insertSpaces:this.insertSpaces!==s.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==s.trimAutoWhitespace}}}e.TextModelResolvedOptions=C;class E{constructor(s,f){this.range=s,this.matches=f}}e.FindMatch=E;var n;(function(d){d[d.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",d[d.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",d[d.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",d[d.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(n=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var P;(function(d){d[d.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(P=e.ModelConstants||(e.ModelConstants={}));class k{constructor(s,f,v,m,w,c){this.identifier=s,this.range=f,this.text=v,this.forceMoveMarkers=m,this.isAutoWhitespaceEdit=w,this._isTracked=c}}e.ValidAnnotatedEditOperation=k;class _{constructor(s,f,v){this.reverseEdits=s,this.changes=f,this.trimAutoWhitespaceLineNumbers=v}}e.ApplyEditsResult=_}),define(we[113],Ee([0,1,8,111,39,33,82]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const C=999;class E{constructor(c,u,a,t){this.searchString=c,this.isRegex=u,this.matchCase=a,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let c;this.isRegex?c=n(this.searchString):c=this.searchString.indexOf(`
`)>=0;let u=null;try{u=b.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:c,global:!0,unicode:!0})}catch(t){return null}if(!u)return null;let a=!this.isRegex&&!c;return a&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(a=this.matchCase),new P(u,this.wordSeparators?(0,y.getMapForWordSeparators)(this.wordSeparators):null,a?this.searchString:null)}}e.SearchParams=E;function n(w){if(!w||w.length===0)return!1;for(let c=0,u=w.length;c<u;c++)if(w.charCodeAt(c)===92){if(c++,c>=u)break;const t=w.charCodeAt(c);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=n;class P{constructor(c,u,a){this.regex=c,this.wordSeparators=u,this.simpleSearch=a}}e.SearchData=P;function k(w,c,u){if(!u)return new S.FindMatch(w,null);let a=[];for(let t=0,r=c.length;t<r;t++)a[t]=c[t];return new S.FindMatch(w,a)}e.createFindMatch=k;class _{constructor(c){let u=[],a=0;for(let t=0,r=c.length;t<r;t++)c.charCodeAt(t)===10&&(u[a++]=t);this._lineFeedsOffsets=u}findLineFeedCountBeforeOffset(c){const u=this._lineFeedsOffsets;let a=0,t=u.length-1;if(t===-1||c<=u[0])return 0;for(;a<t;){const r=a+((t-a)/2>>0);u[r]>=c?t=r-1:u[r+1]>=c?(a=r,t=r):a=r+1}return a+1}}class d{static findMatches(c,u,a,t,r){const o=u.parseSearchRequest();return o?o.regex.multiline?this._doFindMatchesMultiline(c,a,new m(o.wordSeparators,o.regex),t,r):this._doFindMatchesLineByLine(c,a,o,t,r):[]}static _getMultilineMatchRange(c,u,a,t,r,o){let l,i=0;t?(i=t.findLineFeedCountBeforeOffset(r),l=u+r+i):l=u+r;let h;if(t){let g=t.findLineFeedCountBeforeOffset(r+o.length)-i;h=l+o.length+g}else h=l+o.length;const D=c.getPositionAt(l),R=c.getPositionAt(h);return new I.Range(D.lineNumber,D.column,R.lineNumber,R.column)}static _doFindMatchesMultiline(c,u,a,t,r){const o=c.getOffsetAt(u.getStartPosition()),l=c.getValueInRange(u,1),i=c.getEOL()===`\r
`?new _(l):null,h=[];let D=0,R;for(a.reset(0);R=a.next(l);)if(h[D++]=k(this._getMultilineMatchRange(c,o,l,i,R.index,R[0]),R,t),D>=r)return h;return h}static _doFindMatchesLineByLine(c,u,a,t,r){const o=[];let l=0;if(u.startLineNumber===u.endLineNumber){const h=c.getLineContent(u.startLineNumber).substring(u.startColumn-1,u.endColumn-1);return l=this._findMatchesInLine(a,h,u.startLineNumber,u.startColumn-1,l,o,t,r),o}const i=c.getLineContent(u.startLineNumber).substring(u.startColumn-1);l=this._findMatchesInLine(a,i,u.startLineNumber,u.startColumn-1,l,o,t,r);for(let h=u.startLineNumber+1;h<u.endLineNumber&&l<r;h++)l=this._findMatchesInLine(a,c.getLineContent(h),h,0,l,o,t,r);if(l<r){const h=c.getLineContent(u.endLineNumber).substring(0,u.endColumn-1);l=this._findMatchesInLine(a,h,u.endLineNumber,0,l,o,t,r)}return o}static _findMatchesInLine(c,u,a,t,r,o,l,i){const h=c.wordSeparators;if(!l&&c.simpleSearch){const p=c.simpleSearch,g=p.length,T=u.length;let F=-g;for(;(F=u.indexOf(p,F+g))!==-1;)if((!h||v(h,u,T,F,g))&&(o[r++]=new S.FindMatch(new I.Range(a,F+1+t,a,F+1+g+t),null),r>=i))return r;return r}const D=new m(c.wordSeparators,c.regex);let R;D.reset(0);do if(R=D.next(u),R&&(o[r++]=k(new I.Range(a,R.index+1+t,a,R.index+1+R[0].length+t),R,l),r>=i))return r;while(R);return r}static findNextMatch(c,u,a,t){const r=u.parseSearchRequest();if(!r)return null;const o=new m(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindNextMatchMultiline(c,a,o,t):this._doFindNextMatchLineByLine(c,a,o,t)}static _doFindNextMatchMultiline(c,u,a,t){const r=new A.Position(u.lineNumber,1),o=c.getOffsetAt(r),l=c.getLineCount(),i=c.getValueInRange(new I.Range(r.lineNumber,r.column,l,c.getLineMaxColumn(l)),1),h=c.getEOL()===`\r
`?new _(i):null;a.reset(u.column-1);let D=a.next(i);return D?k(this._getMultilineMatchRange(c,o,i,h,D.index,D[0]),D,t):u.lineNumber!==1||u.column!==1?this._doFindNextMatchMultiline(c,new A.Position(1,1),a,t):null}static _doFindNextMatchLineByLine(c,u,a,t){const r=c.getLineCount(),o=u.lineNumber,l=c.getLineContent(o),i=this._findFirstMatchInLine(a,l,o,u.column,t);if(i)return i;for(let h=1;h<=r;h++){const D=(o+h-1)%r,R=c.getLineContent(D+1),p=this._findFirstMatchInLine(a,R,D+1,1,t);if(p)return p}return null}static _findFirstMatchInLine(c,u,a,t,r){c.reset(t-1);const o=c.next(u);return o?k(new I.Range(a,o.index+1,a,o.index+1+o[0].length),o,r):null}static findPreviousMatch(c,u,a,t){const r=u.parseSearchRequest();if(!r)return null;const o=new m(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindPreviousMatchMultiline(c,a,o,t):this._doFindPreviousMatchLineByLine(c,a,o,t)}static _doFindPreviousMatchMultiline(c,u,a,t){const r=this._doFindMatchesMultiline(c,new I.Range(1,1,u.lineNumber,u.column),a,t,10*C);if(r.length>0)return r[r.length-1];const o=c.getLineCount();return u.lineNumber!==o||u.column!==c.getLineMaxColumn(o)?this._doFindPreviousMatchMultiline(c,new A.Position(o,c.getLineMaxColumn(o)),a,t):null}static _doFindPreviousMatchLineByLine(c,u,a,t){const r=c.getLineCount(),o=u.lineNumber,l=c.getLineContent(o).substring(0,u.column-1),i=this._findLastMatchInLine(a,l,o,t);if(i)return i;for(let h=1;h<=r;h++){const D=(r+o-h-1)%r,R=c.getLineContent(D+1),p=this._findLastMatchInLine(a,R,D+1,t);if(p)return p}return null}static _findLastMatchInLine(c,u,a,t){let r=null,o;for(c.reset(0);o=c.next(u);)r=k(new I.Range(a,o.index+1,a,o.index+1+o[0].length),o,t);return r}}e.TextModelSearch=d;function s(w,c,u,a,t){if(a===0)return!0;const r=c.charCodeAt(a-1);if(w.get(r)!==0||r===13||r===10)return!0;if(t>0){const o=c.charCodeAt(a);if(w.get(o)!==0)return!0}return!1}function f(w,c,u,a,t){if(a+t===u)return!0;const r=c.charCodeAt(a+t);if(w.get(r)!==0||r===13||r===10)return!0;if(t>0){const o=c.charCodeAt(a+t-1);if(w.get(o)!==0)return!0}return!1}function v(w,c,u,a,t){return s(w,c,u,a,t)&&f(w,c,u,a,t)}e.isValidMatch=v;class m{constructor(c,u){this._wordSeparators=c,this._searchRegex=u,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(c){this._searchRegex.lastIndex=c,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(c){const u=c.length;let a;do{if(this._prevMatchStartIndex+this._prevMatchLength===u||(a=this._searchRegex.exec(c),!a))return null;const t=a.index,r=a[0].length;if(t===this._prevMatchStartIndex&&r===this._prevMatchLength){if(r===0){b.getNextCodePoint(c,u,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=r,!this._wordSeparators||v(this._wordSeparators,c,u,t,r))return a}while(a);return null}}e.Searcher=m}),define(we[83],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function b(C=""){let E="(-?\\d*\\.\\d\\w*)|([^";for(const n of e.USUAL_WORD_SEPARATORS)C.indexOf(n)>=0||(E+="\\"+n);return E+="\\s]+)",new RegExp(E,"g")}e.DEFAULT_WORD_REGEXP=b();function y(C){let E=e.DEFAULT_WORD_REGEXP;if(C&&C instanceof RegExp)if(C.global)E=C;else{let n="g";C.ignoreCase&&(n+="i"),C.multiline&&(n+="m"),C.unicode&&(n+="u"),E=new RegExp(C.source,n)}return E.lastIndex=0,E}e.ensureValidWordDefinition=y;const A={maxLen:1e3,windowSize:15,timeBudget:150};function I(C,E,n,P,k=A){if(n.length>k.maxLen){let v=C-k.maxLen/2;return v<0?v=0:P+=v,n=n.substring(v,C+k.maxLen/2),I(C,E,n,P,k)}const _=Date.now(),d=C-1-P;let s=-1,f=null;for(let v=1;!(Date.now()-_>=k.timeBudget);v++){const m=d-k.windowSize*v;E.lastIndex=Math.max(0,m);const w=S(E,n,d,s);if(!w&&f||(f=w,m<=0))break;s=m}if(f){let v={word:f[0],startColumn:P+1+f.index,endColumn:P+1+f.index+f[0].length};return E.lastIndex=0,v}return null}e.getWordAtText=I;function S(C,E,n,P){let k;for(;k=C.exec(E);){const _=k.index||0;if(_<=n&&C.lastIndex>=n)return k;if(P>0&&_>P)return null}return null}}),define(we[114],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var b;(function(S){S[S.None=0]="None",S[S.Indent=1]="Indent",S[S.IndentOutdent=2]="IndentOutdent",S[S.Outdent=3]="Outdent"})(b=e.IndentAction||(e.IndentAction={}));class y{constructor(C){if(this.open=C.open,this.close=C.close,this._standardTokenMask=0,Array.isArray(C.notIn))for(let E=0,n=C.notIn.length;E<n;E++)switch(C.notIn[E]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(C){return(this._standardTokenMask&C)==0}}e.StandardAutoClosingPairConditional=y;class A{constructor(C){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const E of C)I(this.autoClosingPairsOpenByStart,E.open.charAt(0),E),I(this.autoClosingPairsOpenByEnd,E.open.charAt(E.open.length-1),E),I(this.autoClosingPairsCloseByStart,E.close.charAt(0),E),I(this.autoClosingPairsCloseByEnd,E.close.charAt(E.close.length-1),E),E.close.length===1&&E.open.length===1&&I(this.autoClosingPairsCloseSingleChar,E.close,E)}}e.AutoClosingPairs=A;function I(S,C,E){S.has(C)?S.get(C).push(E):S.set(C,[E])}}),define(we[59],Ee([0,1,28,11]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function A(I,S,C,E){if(Array.isArray(I)){let n=0;for(const P of I){const k=A(P,S,C,E);if(k===10)return k;k>n&&(n=k)}return n}else{if(typeof I=="string")return E?I==="*"?5:I===C?10:0:0;if(I){const{language:n,pattern:P,scheme:k,hasAccessToAllModels:_}=I;if(!E&&!_)return 0;let d=0;if(k)if(k===S.scheme)d=10;else if(k==="*")d=5;else return 0;if(n)if(n===C)d=10;else if(n==="*")d=Math.max(d,5);else return 0;if(P){let s;if(typeof P=="string"?s=P:s=Object.assign(Object.assign({},P),{base:(0,y.normalize)(P.base)}),s===S.fsPath||(0,b.match)(s,S.fsPath))d=10;else return 0}return d}else return 0}}e.score=A}),define(we[115],Ee([0,1,81]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var y;(function(d){d[d.Invalid=0]="Invalid",d[d.Start=1]="Start",d[d.H=2]="H",d[d.HT=3]="HT",d[d.HTT=4]="HTT",d[d.HTTP=5]="HTTP",d[d.F=6]="F",d[d.FI=7]="FI",d[d.FIL=8]="FIL",d[d.BeforeColon=9]="BeforeColon",d[d.AfterColon=10]="AfterColon",d[d.AlmostThere=11]="AlmostThere",d[d.End=12]="End",d[d.Accept=13]="Accept",d[d.LastKnownState=14]="LastKnownState"})(y=e.State||(e.State={}));class A{constructor(s,f,v){const m=new Uint8Array(s*f);for(let w=0,c=s*f;w<c;w++)m[w]=v;this._data=m,this.rows=s,this.cols=f}get(s,f){return this._data[s*this.cols+f]}set(s,f,v){this._data[s*this.cols+f]=v}}e.Uint8Matrix=A;class I{constructor(s){let f=0,v=0;for(let w=0,c=s.length;w<c;w++){let[u,a,t]=s[w];a>f&&(f=a),u>v&&(v=u),t>v&&(v=t)}f++,v++;let m=new A(v,f,0);for(let w=0,c=s.length;w<c;w++){let[u,a,t]=s[w];m.set(u,a,t)}this._states=m,this._maxCharCode=f}nextState(s,f){return f<0||f>=this._maxCharCode?0:this._states.get(s,f)}}e.StateMachine=I;let S=null;function C(){return S===null&&(S=new I([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),S}var E;(function(d){d[d.None=0]="None",d[d.ForceTermination=1]="ForceTermination",d[d.CannotEndIn=2]="CannotEndIn"})(E||(E={}));let n=null;function P(){if(n===null){n=new b.CharacterClassifier(0);const d=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let f=0;f<d.length;f++)n.set(d.charCodeAt(f),1);const s=".,;";for(let f=0;f<s.length;f++)n.set(s.charCodeAt(f),2)}return n}class k{static _createLink(s,f,v,m,w){let c=w-1;do{const u=f.charCodeAt(c);if(s.get(u)!==2)break;c--}while(c>m);if(m>0){const u=f.charCodeAt(m-1),a=f.charCodeAt(c);(u===40&&a===41||u===91&&a===93||u===123&&a===125)&&c--}return{range:{startLineNumber:v,startColumn:m+1,endLineNumber:v,endColumn:c+2},url:f.substring(m,c+1)}}static computeLinks(s,f=C()){const v=P();let m=[];for(let w=1,c=s.getLineCount();w<=c;w++){const u=s.getLineContent(w),a=u.length;let t=0,r=0,o=0,l=1,i=!1,h=!1,D=!1,R=!1;for(;t<a;){let p=!1;const g=u.charCodeAt(t);if(l===13){let T;switch(g){case 40:i=!0,T=0;break;case 41:T=i?0:1;break;case 91:D=!0,h=!0,T=0;break;case 93:D=!1,T=h?0:1;break;case 123:R=!0,T=0;break;case 125:T=R?0:1;break;case 39:T=o===34||o===96?0:1;break;case 34:T=o===39||o===96?0:1;break;case 96:T=o===39||o===34?0:1;break;case 42:T=o===42?1:0;break;case 124:T=o===124?1:0;break;case 32:T=D?0:1;break;default:T=v.get(g)}T===1&&(m.push(k._createLink(v,u,w,r,t)),p=!0)}else if(l===12){let T;g===91?(h=!0,T=0):T=v.get(g),T===1?p=!0:l=13}else l=f.nextState(l,g),l===0&&(p=!0);p&&(l=1,i=!1,h=!1,R=!1,r=t+1,o=g),t++}l===13&&m.push(k._createLink(v,u,w,r,a))}return m}}e.LinkComputer=k;function _(d){return!d||typeof d.getLineCount!="function"||typeof d.getLineContent!="function"?[]:k.computeLinks(d)}e.computeLinks=_}),define(we[116],Ee([0,1,3,6]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class A{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new b.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(S){this._onDidChange.fire({changedLanguages:S,changedColorMap:!1})}register(S,C){return this._map.set(S,C),this.fire([S]),(0,y.toDisposable)(()=>{this._map.get(S)===C&&(this._map.delete(S),this.fire([S]))})}registerPromise(S,C){let E=null,n=!1;return this._promises.set(S,C.then(P=>{this._promises.delete(S),!(n||!P)&&(E=this.register(S,P))})),(0,y.toDisposable)(()=>{n=!0,E&&E.dispose()})}getPromise(S){const C=this.get(S);if(C)return Promise.resolve(C);const E=this._promises.get(S);return E?E.then(n=>this.get(S)):null}get(S){return this._map.get(S)||null}setColorMap(S){this._colorMap=S,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=A}),define(we[84],Ee([0,1,26,21]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var A;(function(k){k[k.Full=1]="Full",k[k.Delta=2]="Delta"})(A||(A={}));function I(k){for(let _=0,d=k.length;_<d;_+=4){const s=k[_+0],f=k[_+1],v=k[_+2],m=k[_+3];k[_+0]=m,k[_+1]=v,k[_+2]=f,k[_+3]=s}}function S(k){const _=new Uint8Array(k.buffer,k.byteOffset,k.length*4);return y.isLittleEndian()||I(_),b.VSBuffer.wrap(_)}function C(k){const _=k.buffer;if(y.isLittleEndian()||I(_),_.byteOffset%4==0)return new Uint32Array(_.buffer,_.byteOffset,_.length/4);{const d=new Uint8Array(_.byteLength);return d.set(_),new Uint32Array(d.buffer,d.byteOffset,d.length/4)}}function E(k){const _=new Uint32Array(n(k));let d=0;if(_[d++]=k.id,k.type==="full")_[d++]=1,_[d++]=k.data.length,_.set(k.data,d),d+=k.data.length;else{_[d++]=2,_[d++]=k.deltas.length;for(const s of k.deltas)_[d++]=s.start,_[d++]=s.deleteCount,s.data?(_[d++]=s.data.length,_.set(s.data,d),d+=s.data.length):_[d++]=0}return S(_)}e.encodeSemanticTokensDto=E;function n(k){let _=0;if(_+=1+1,k.type==="full")_+=1+k.data.length;else{_+=1,_+=(1+1+1)*k.deltas.length;for(const d of k.deltas)d.data&&(_+=d.data.length)}return _}function P(k){const _=C(k);let d=0;const s=_[d++];if(_[d++]===1){const w=_[d++],c=_.subarray(d,d+w);return d+=w,{id:s,type:"full",data:c}}const v=_[d++];let m=[];for(let w=0;w<v;w++){const c=_[d++],u=_[d++],a=_[d++];let t;a>0&&(t=_.subarray(d,d+a),d+=a),m[w]={start:c,deleteCount:u,data:t}}return{id:s,type:"delta",deltas:m}}e.decodeSemanticTokensDto=P}),define(we[85],Ee([0,1,79]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class y{constructor(S,C){this.index=S,this.remainder=C}}e.PrefixSumIndexOfResult=y;class A{constructor(S){this.values=S,this.prefixSum=new Uint32Array(S.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(S,C){S=(0,b.toUint32)(S);const E=this.values,n=this.prefixSum,P=C.length;return P===0?!1:(this.values=new Uint32Array(E.length+P),this.values.set(E.subarray(0,S),0),this.values.set(E.subarray(S),S+P),this.values.set(C,S),S-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=S-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(n.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(S,C){return S=(0,b.toUint32)(S),C=(0,b.toUint32)(C),this.values[S]===C?!1:(this.values[S]=C,S-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=S-1),!0)}removeValues(S,C){S=(0,b.toUint32)(S),C=(0,b.toUint32)(C);const E=this.values,n=this.prefixSum;if(S>=E.length)return!1;let P=E.length-S;return C>=P&&(C=P),C===0?!1:(this.values=new Uint32Array(E.length-C),this.values.set(E.subarray(0,S),0),this.values.set(E.subarray(S+C),S),this.prefixSum=new Uint32Array(this.values.length),S-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=S-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(n.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(S){return S<0?0:(S=(0,b.toUint32)(S),this._getAccumulatedValue(S))}_getAccumulatedValue(S){if(S<=this.prefixSumValidIndex[0])return this.prefixSum[S];let C=this.prefixSumValidIndex[0]+1;C===0&&(this.prefixSum[0]=this.values[0],C++),S>=this.values.length&&(S=this.values.length-1);for(let E=C;E<=S;E++)this.prefixSum[E]=this.prefixSum[E-1]+this.values[E];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],S),this.prefixSum[S]}getIndexOf(S){S=Math.floor(S),this.getTotalValue();let C=0,E=this.values.length-1,n=0,P=0,k=0;for(;C<=E;)if(n=C+(E-C)/2|0,P=this.prefixSum[n],k=P-this.values[n],S<k)E=n-1;else if(S>=P)C=n+1;else break;return new y(n,S-k)}}e.PrefixSumComputer=A}),define(we[117],Ee([0,1,8,39,85]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class I{constructor(C,E,n,P){this._uri=C,this._lines=E,this._eol=n,this._versionId=P,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(C){C.eol&&C.eol!==this._eol&&(this._eol=C.eol,this._lineStarts=null);const E=C.changes;for(const n of E)this._acceptDeleteRange(n.range),this._acceptInsertText(new y.Position(n.range.startLineNumber,n.range.startColumn),n.text);this._versionId=C.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const C=this._eol.length,E=this._lines.length,n=new Uint32Array(E);for(let P=0;P<E;P++)n[P]=this._lines[P].length+C;this._lineStarts=new A.PrefixSumComputer(n)}}_setLineText(C,E){this._lines[C]=E,this._lineStarts&&this._lineStarts.changeValue(C,this._lines[C].length+this._eol.length)}_acceptDeleteRange(C){if(C.startLineNumber===C.endLineNumber){if(C.startColumn===C.endColumn)return;this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.startLineNumber-1].substring(C.endColumn-1));return}this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.endLineNumber-1].substring(C.endColumn-1)),this._lines.splice(C.startLineNumber,C.endLineNumber-C.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(C.startLineNumber,C.endLineNumber-C.startLineNumber)}_acceptInsertText(C,E){if(E.length!==0){let n=(0,b.splitLines)(E);if(n.length===1){this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+n[0]+this._lines[C.lineNumber-1].substring(C.column-1));return}n[n.length-1]+=this._lines[C.lineNumber-1].substring(C.column-1),this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+n[0]);let P=new Uint32Array(n.length-1);for(let k=1;k<n.length;k++)this._lines.splice(C.lineNumber+k-1,0,n[k]),P[k-1]=n[k].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(C.lineNumber,P)}}}e.MirrorTextModel=I}),define(we[118],Ee([17,18]),function(oe,e){return oe.create("vs/base/common/errorMessage",e)}),define(we[60],Ee([0,1,118,12,15]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function I(n,P){return P&&(n.stack||n.stacktrace)?b.localize(0,null,C(n),S(n.stack)||S(n.stacktrace)):C(n)}function S(n){return Array.isArray(n)?n.join(`
`):n}function C(n){return typeof n.code=="string"&&typeof n.errno=="number"&&typeof n.syscall=="string"?b.localize(1,null,n.message):n.message||b.localize(2,null)}function E(n=null,P=!1){if(!n)return b.localize(3,null);if(Array.isArray(n)){const k=A.coalesce(n),_=E(k[0],P);return k.length>1?b.localize(4,null,_,k.length):_}if(y.isString(n))return n;if(n.detail){const k=n.detail;if(k.error)return I(k.error,P);if(k.exception)return I(k.exception,P)}return n.stack?I(n,P):n.message?n.message:b.localize(5,null)}e.toErrorMessage=E}),define(we[119],Ee([17,18]),function(oe,e){return oe.create("vs/editor/common/config/editorOptions",e)}),define(we[120],Ee([0,1,119,21,83]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var I;(function(V){V[V.None=0]="None",V[V.Keep=1]="Keep",V[V.Brackets=2]="Brackets",V[V.Advanced=3]="Advanced",V[V.Full=4]="Full"})(I=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class S{constructor(X){this._values=X}hasChanged(X){return this._values[X]}}e.ConfigurationChangedEvent=S;class C{constructor(){this._values=[]}_read(X){return this._values[X]}get(X){return this._values[X]}_write(X,_e){this._values[X]=_e}}e.ValidatedEditorOptions=C;class E{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=E;class n{constructor(X,_e,Me,He){this.id=X,this.name=_e,this.defaultValue=Me,this.schema=He}compute(X,_e,Me){return Me}}class P{constructor(X,_e=null){this.schema=void 0,this.id=X,this.name="_never_",this.defaultValue=void 0,this.deps=_e}validate(X){return this.defaultValue}}class k{constructor(X,_e,Me,He){this.id=X,this.name=_e,this.defaultValue=Me,this.schema=He}validate(X){return typeof X=="undefined"?this.defaultValue:X}compute(X,_e,Me){return Me}}function _(V,X){return typeof V=="undefined"?X:V==="false"?!1:Boolean(V)}e.boolean=_;class d extends k{constructor(X,_e,Me,He=void 0){typeof He!="undefined"&&(He.type="boolean",He.default=Me),super(X,_e,Me,He)}validate(X){return _(X,this.defaultValue)}}class s extends k{constructor(X,_e,Me,He,Oe,Xe=void 0){typeof Xe!="undefined"&&(Xe.type="integer",Xe.default=Me,Xe.minimum=He,Xe.maximum=Oe),super(X,_e,Me,Xe),this.minimum=He,this.maximum=Oe}static clampedInt(X,_e,Me,He){if(typeof X=="undefined")return _e;let Oe=parseInt(X,10);return isNaN(Oe)?_e:(Oe=Math.max(Me,Oe),Oe=Math.min(He,Oe),Oe|0)}validate(X){return s.clampedInt(X,this.defaultValue,this.minimum,this.maximum)}}class f extends k{constructor(X,_e,Me,He,Oe){typeof Oe!="undefined"&&(Oe.type="number",Oe.default=Me),super(X,_e,Me,Oe),this.validationFn=He}static clamp(X,_e,Me){return X<_e?_e:X>Me?Me:X}static float(X,_e){if(typeof X=="number")return X;if(typeof X=="undefined")return _e;const Me=parseFloat(X);return isNaN(Me)?_e:Me}validate(X){return this.validationFn(f.float(X,this.defaultValue))}}class v extends k{static string(X,_e){return typeof X!="string"?_e:X}constructor(X,_e,Me,He=void 0){typeof He!="undefined"&&(He.type="string",He.default=Me),super(X,_e,Me,He)}validate(X){return v.string(X,this.defaultValue)}}function m(V,X,_e){return typeof V!="string"||_e.indexOf(V)===-1?X:V}e.stringSet=m;class w extends k{constructor(X,_e,Me,He,Oe=void 0){typeof Oe!="undefined"&&(Oe.type="string",Oe.enum=He,Oe.default=Me),super(X,_e,Me,Oe),this._allowedValues=He}validate(X){return m(X,this.defaultValue,this._allowedValues)}}class c extends n{constructor(X,_e,Me,He,Oe,Xe,x=void 0){typeof x!="undefined"&&(x.type="string",x.enum=Oe,x.default=He),super(X,_e,Me,x),this._allowedValues=Oe,this._convert=Xe}validate(X){return typeof X!="string"?this.defaultValue:this._allowedValues.indexOf(X)===-1?this.defaultValue:this._convert(X)}}function u(V){switch(V){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class a extends n{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[b.localize(0,null),b.localize(1,null),b.localize(2,null)],default:"auto",description:b.localize(3,null)})}validate(X){switch(X){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(X,_e,Me){return Me===0?X.accessibilitySupport:Me}}class t extends n{constructor(){const X={insertSpace:!0,ignoreEmptyLines:!0};super(16,"comments",X,{"editor.comments.insertSpace":{type:"boolean",default:X.insertSpace,description:b.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:X.ignoreEmptyLines,description:b.localize(5,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{insertSpace:_(_e.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:_(_e.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var r;(function(V){V[V.Hidden=0]="Hidden",V[V.Blink=1]="Blink",V[V.Smooth=2]="Smooth",V[V.Phase=3]="Phase",V[V.Expand=4]="Expand",V[V.Solid=5]="Solid"})(r=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function o(V){switch(V){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var l;(function(V){V[V.Line=1]="Line",V[V.Block=2]="Block",V[V.Underline=3]="Underline",V[V.LineThin=4]="LineThin",V[V.BlockOutline=5]="BlockOutline",V[V.UnderlineThin=6]="UnderlineThin"})(l=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function i(V){switch(V){case l.Line:return"line";case l.Block:return"block";case l.Underline:return"underline";case l.LineThin:return"line-thin";case l.BlockOutline:return"block-outline";case l.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=i;function h(V){switch(V){case"line":return l.Line;case"block":return l.Block;case"underline":return l.Underline;case"line-thin":return l.LineThin;case"block-outline":return l.BlockOutline;case"underline-thin":return l.UnderlineThin}}class D extends P{constructor(){super(121,[60,29])}compute(X,_e,Me){const He=["monaco-editor"];return _e.get(29)&&He.push(_e.get(29)),X.extraEditorClassName&&He.push(X.extraEditorClassName),_e.get(60)==="default"?He.push("mouse-default"):_e.get(60)==="copy"&&He.push("mouse-copy"),_e.get(95)&&He.push("showUnused"),_e.get(119)&&He.push("showDeprecated"),He.join(" ")}}class R extends d{constructor(){super(28,"emptySelectionClipboard",!0,{description:b.localize(6,null)})}compute(X,_e,Me){return Me&&X.emptySelectionClipboard}}class p extends n{constructor(){const X={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(31,"find",X,{"editor.find.cursorMoveOnType":{type:"boolean",default:X.cursorMoveOnType,description:b.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:X.seedSearchStringFromSelection,description:b.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:X.autoFindInSelection,enumDescriptions:[b.localize(9,null),b.localize(10,null),b.localize(11,null)],description:b.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:X.globalFindClipboard,description:b.localize(13,null),included:y.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:X.addExtraSpaceOnTop,description:b.localize(14,null)},"editor.find.loop":{type:"boolean",default:X.loop,description:b.localize(15,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{cursorMoveOnType:_(_e.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:_(_e.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof X.autoFindInSelection=="boolean"?X.autoFindInSelection?"always":"never":m(_e.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:_(_e.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:_(_e.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:_(_e.loop,this.defaultValue.loop)}}}class g extends n{constructor(){super(39,"fontLigatures",g.OFF,{anyOf:[{type:"boolean",description:b.localize(16,null)},{type:"string",description:b.localize(17,null)}],description:b.localize(18,null),default:!1})}validate(X){return typeof X=="undefined"?this.defaultValue:typeof X=="string"?X==="false"?g.OFF:X==="true"?g.ON:X:Boolean(X)?g.ON:g.OFF}}e.EditorFontLigatures=g,g.OFF='"liga" off, "calt" off',g.ON='"liga" on, "calt" on';class T extends P{constructor(){super(38)}compute(X,_e,Me){return X.fontInfo}}class F extends k{constructor(){super(40,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:b.localize(19,null)})}validate(X){let _e=f.float(X,this.defaultValue);return _e===0?e.EDITOR_FONT_DEFAULTS.fontSize:f.clamp(_e,6,100)}compute(X,_e,Me){return X.fontInfo.fontSize}}class H extends n{constructor(){super(41,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:H.MINIMUM_VALUE,maximum:H.MAXIMUM_VALUE,errorMessage:b.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:H.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:b.localize(21,null)})}validate(X){return X==="normal"||X==="bold"?X:String(s.clampedInt(X,e.EDITOR_FONT_DEFAULTS.fontWeight,H.MINIMUM_VALUE,H.MAXIMUM_VALUE))}}H.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],H.MINIMUM_VALUE=1,H.MAXIMUM_VALUE=1e3;class le extends n{constructor(){const X={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},_e={type:"string",enum:["peek","gotoAndPeek","goto"],default:X.multiple,enumDescriptions:[b.localize(22,null),b.localize(23,null),b.localize(24,null)]};super(45,"gotoLocation",X,{"editor.gotoLocation.multiple":{deprecationMessage:b.localize(25,null)},"editor.gotoLocation.multipleDefinitions":Object.assign({description:b.localize(26,null)},_e),"editor.gotoLocation.multipleTypeDefinitions":Object.assign({description:b.localize(27,null)},_e),"editor.gotoLocation.multipleDeclarations":Object.assign({description:b.localize(28,null)},_e),"editor.gotoLocation.multipleImplementations":Object.assign({description:b.localize(29,null)},_e),"editor.gotoLocation.multipleReferences":Object.assign({description:b.localize(30,null)},_e),"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:X.alternativeDefinitionCommand,description:b.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:X.alternativeTypeDefinitionCommand,description:b.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:X.alternativeDeclarationCommand,description:b.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:X.alternativeImplementationCommand,description:b.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:X.alternativeReferenceCommand,description:b.localize(35,null)}})}validate(X){var _e,Me,He,Oe,Xe;if(!X||typeof X!="object")return this.defaultValue;const x=X;return{multiple:m(x.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:(_e=x.multipleDefinitions)!==null&&_e!==void 0?_e:m(x.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:(Me=x.multipleTypeDefinitions)!==null&&Me!==void 0?Me:m(x.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:(He=x.multipleDeclarations)!==null&&He!==void 0?He:m(x.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:(Oe=x.multipleImplementations)!==null&&Oe!==void 0?Oe:m(x.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:(Xe=x.multipleReferences)!==null&&Xe!==void 0?Xe:m(x.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:v.string(x.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:v.string(x.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:v.string(x.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:v.string(x.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:v.string(x.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class z extends n{constructor(){const X={enabled:!0,delay:300,sticky:!0};super(48,"hover",X,{"editor.hover.enabled":{type:"boolean",default:X.enabled,description:b.localize(36,null)},"editor.hover.delay":{type:"number",default:X.delay,description:b.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:X.sticky,description:b.localize(38,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{enabled:_(_e.enabled,this.defaultValue.enabled),delay:s.clampedInt(_e.delay,this.defaultValue.delay,0,1e4),sticky:_(_e.sticky,this.defaultValue.sticky)}}}var B;(function(V){V[V.None=0]="None",V[V.Text=1]="Text",V[V.Blocks=2]="Blocks"})(B=e.RenderMinimap||(e.RenderMinimap={}));class Q extends P{constructor(){super(124,[44,52,33,59,87,54,55,89,111,114,115,116,2])}compute(X,_e,Me){return Q.computeLayout(_e,{memory:X.memory,outerWidth:X.outerWidth,outerHeight:X.outerHeight,isDominatedByLongLines:X.isDominatedByLongLines,lineHeight:X.fontInfo.lineHeight,viewLineCount:X.viewLineCount,lineNumbersDigitCount:X.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:X.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:X.fontInfo.maxDigitWidth,pixelRatio:X.pixelRatio})}static computeContainedMinimapLineCount(X){const _e=X.height/X.lineHeight,Me=X.scrollBeyondLastLine?_e-1:0,He=(X.viewLineCount+Me)/(X.pixelRatio*X.height),Oe=Math.floor(X.viewLineCount/He);return{typicalViewportLineCount:_e,extraLinesBeyondLastLine:Me,desiredRatio:He,minimapLineCount:Oe}}static _computeMinimapLayout(X,_e){const Me=X.outerWidth,He=X.outerHeight,Oe=X.pixelRatio;if(!X.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Oe*He),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:He};const Xe=_e.stableMinimapLayoutInput,x=Xe&&X.outerHeight===Xe.outerHeight&&X.lineHeight===Xe.lineHeight&&X.typicalHalfwidthCharacterWidth===Xe.typicalHalfwidthCharacterWidth&&X.pixelRatio===Xe.pixelRatio&&X.scrollBeyondLastLine===Xe.scrollBeyondLastLine&&X.minimap.enabled===Xe.minimap.enabled&&X.minimap.side===Xe.minimap.side&&X.minimap.size===Xe.minimap.size&&X.minimap.showSlider===Xe.minimap.showSlider&&X.minimap.renderCharacters===Xe.minimap.renderCharacters&&X.minimap.maxColumn===Xe.minimap.maxColumn&&X.minimap.scale===Xe.minimap.scale&&X.verticalScrollbarWidth===Xe.verticalScrollbarWidth&&X.isViewportWrapping===Xe.isViewportWrapping,ie=X.lineHeight,ce=X.typicalHalfwidthCharacterWidth,j=X.scrollBeyondLastLine,Y=X.minimap.renderCharacters;let se=Oe>=2?Math.round(X.minimap.scale*2):X.minimap.scale;const fe=X.minimap.maxColumn,ve=X.minimap.size,$e=X.minimap.side,Ne=X.verticalScrollbarWidth,Ve=X.viewLineCount,Qe=X.remainingWidth,Ze=X.isViewportWrapping,ct=Y?2:3;let st=Math.floor(Oe*He);const me=st/Oe;let he=!1,ue=!1,G=ct*se,Ie=se/Oe,Pe=1;if(ve==="fill"||ve==="fit"){const{typicalViewportLineCount:dt,extraLinesBeyondLastLine:at,desiredRatio:Dt,minimapLineCount:gt}=Q.computeContainedMinimapLineCount({viewLineCount:Ve,scrollBeyondLastLine:j,height:He,lineHeight:ie,pixelRatio:Oe});if(Ve/gt>1)he=!0,ue=!0,se=1,G=1,Ie=se/Oe;else{let wt=!1,Et=se+1;if(ve==="fit"){const mt=Math.ceil((Ve+at)*G);Ze&&x&&Qe<=_e.stableFitRemainingWidth?(wt=!0,Et=_e.stableFitMaxMinimapScale):(wt=mt>st,Ze&&wt?(_e.stableMinimapLayoutInput=X,_e.stableFitRemainingWidth=Qe):(_e.stableMinimapLayoutInput=null,_e.stableFitRemainingWidth=0))}if(ve==="fill"||wt){he=!0;const mt=se;G=Math.min(ie*Oe,Math.max(1,Math.floor(1/Dt))),se=Math.min(Et,Math.max(1,Math.floor(G/ct))),se>mt&&(Pe=Math.min(2,se/mt)),Ie=se/Oe/Pe,st=Math.ceil(Math.max(dt,Ve+at)*G),Ze&&wt&&(_e.stableFitMaxMinimapScale=se)}}}const et=Math.floor(fe*Ie),Ge=Math.min(et,Math.max(0,Math.floor((Qe-Ne-2)*Ie/(ce+Ie)))+e.MINIMAP_GUTTER_WIDTH);let rt=Math.floor(Oe*Ge);const lt=rt/Oe;rt=Math.floor(rt*Pe);const Je=Y?1:2,it=$e==="left"?0:Me-Ge-Ne;return{renderMinimap:Je,minimapLeft:it,minimapWidth:Ge,minimapHeightIsEditorHeight:he,minimapIsSampling:ue,minimapScale:se,minimapLineHeight:G,minimapCanvasInnerWidth:rt,minimapCanvasInnerHeight:st,minimapCanvasOuterWidth:lt,minimapCanvasOuterHeight:me}}static computeLayout(X,_e){const Me=_e.outerWidth|0,He=_e.outerHeight|0,Oe=_e.lineHeight|0,Xe=_e.lineNumbersDigitCount|0,x=_e.typicalHalfwidthCharacterWidth,ie=_e.maxDigitWidth,ce=_e.pixelRatio,j=_e.viewLineCount,Y=X.get(116),se=Y==="inherit"?X.get(115):Y,fe=se==="inherit"?X.get(111):se,ve=X.get(114),$e=X.get(2),Ne=_e.isDominatedByLongLines,Ve=X.get(44),Qe=X.get(54).renderType!==0,Ze=X.get(55),ct=X.get(89),st=X.get(59),me=X.get(87),he=me.verticalScrollbarSize,ue=me.verticalHasArrows,G=me.arrowSize,Ie=me.horizontalScrollbarSize,Pe=X.get(52),et=X.get(33);let Ge;if(typeof Pe=="string"&&/^\d+(\.\d+)?ch$/.test(Pe)){const ht=parseFloat(Pe.substr(0,Pe.length-2));Ge=s.clampedInt(ht*x,0,0,1e3)}else Ge=s.clampedInt(Pe,0,0,1e3);et&&(Ge+=16);let rt=0;if(Qe){const ht=Math.max(Xe,Ze);rt=Math.round(ht*ie)}let lt=0;Ve&&(lt=Oe);let Je=0,it=Je+lt,dt=it+rt,at=dt+Ge;const Dt=Me-lt-rt-Ge;let gt=!1,Ct=!1,wt=-1;$e!==2&&(se==="inherit"&&Ne?(gt=!0,Ct=!0):fe==="on"||fe==="bounded"?Ct=!0:fe==="wordWrapColumn"&&(wt=ve));const Et=Q._computeMinimapLayout({outerWidth:Me,outerHeight:He,lineHeight:Oe,typicalHalfwidthCharacterWidth:x,pixelRatio:ce,scrollBeyondLastLine:ct,minimap:st,verticalScrollbarWidth:he,viewLineCount:j,remainingWidth:Dt,isViewportWrapping:Ct},_e.memory||new E);Et.renderMinimap!==0&&Et.minimapLeft===0&&(Je+=Et.minimapWidth,it+=Et.minimapWidth,dt+=Et.minimapWidth,at+=Et.minimapWidth);const mt=Dt-Et.minimapWidth,Rt=Math.max(1,Math.floor((mt-he-2)/x)),Ft=ue?G:0;return Ct&&(wt=Math.max(1,Rt),fe==="bounded"&&(wt=Math.min(wt,ve))),{width:Me,height:He,glyphMarginLeft:Je,glyphMarginWidth:lt,lineNumbersLeft:it,lineNumbersWidth:rt,decorationsLeft:dt,decorationsWidth:Ge,contentLeft:at,contentWidth:mt,minimap:Et,viewportColumn:Rt,isWordWrapMinified:gt,isViewportWrapping:Ct,wrappingColumn:wt,verticalScrollbarWidth:he,horizontalScrollbarHeight:Ie,overviewRuler:{top:Ft,width:he,height:He-2*Ft,right:0}}}}e.EditorLayoutInfoComputer=Q;class M extends n{constructor(){const X={enabled:!0};super(51,"lightbulb",X,{"editor.lightbulb.enabled":{type:"boolean",default:X.enabled,description:b.localize(39,null)}})}validate(X){return!X||typeof X!="object"?this.defaultValue:{enabled:_(X.enabled,this.defaultValue.enabled)}}}class $ extends n{constructor(){const X={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(120,"inlineHints",X,{"editor.inlineHints.enabled":{type:"boolean",default:X.enabled,description:b.localize(40,null)},"editor.inlineHints.fontSize":{type:"number",default:X.fontSize,description:b.localize(41,null)},"editor.inlineHints.fontFamily":{type:"string",default:X.fontFamily,description:b.localize(42,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{enabled:_(_e.enabled,this.defaultValue.enabled),fontSize:s.clampedInt(_e.fontSize,this.defaultValue.fontSize,0,100),fontFamily:v.string(_e.fontFamily,this.defaultValue.fontFamily)}}}class N extends s{constructor(){super(53,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,0,150,{description:b.localize(43,null)})}compute(X,_e,Me){return X.fontInfo.lineHeight}}class K extends n{constructor(){const X={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(59,"minimap",X,{"editor.minimap.enabled":{type:"boolean",default:X.enabled,description:b.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[b.localize(45,null),b.localize(46,null),b.localize(47,null)],default:X.size,description:b.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:X.side,description:b.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:X.showSlider,description:b.localize(50,null)},"editor.minimap.scale":{type:"number",default:X.scale,minimum:1,maximum:3,enum:[1,2,3],description:b.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:X.renderCharacters,description:b.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:X.maxColumn,description:b.localize(53,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{enabled:_(_e.enabled,this.defaultValue.enabled),size:m(_e.size,this.defaultValue.size,["proportional","fill","fit"]),side:m(_e.side,this.defaultValue.side,["right","left"]),showSlider:m(_e.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:_(_e.renderCharacters,this.defaultValue.renderCharacters),scale:s.clampedInt(_e.scale,1,1,3),maxColumn:s.clampedInt(_e.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function W(V){return V==="ctrlCmd"?y.isMacintosh?"metaKey":"ctrlKey":"altKey"}class Z extends n{constructor(){super(69,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:b.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:b.localize(55,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{top:s.clampedInt(_e.top,0,0,1e3),bottom:s.clampedInt(_e.bottom,0,0,1e3)}}}class ne extends n{constructor(){const X={enabled:!0,cycle:!1};super(70,"parameterHints",X,{"editor.parameterHints.enabled":{type:"boolean",default:X.enabled,description:b.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:X.cycle,description:b.localize(57,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{enabled:_(_e.enabled,this.defaultValue.enabled),cycle:_(_e.cycle,this.defaultValue.cycle)}}}class re extends P{constructor(){super(122)}compute(X,_e,Me){return X.pixelRatio}}class Se extends n{constructor(){const X={other:!0,comments:!1,strings:!1};super(73,"quickSuggestions",X,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:X.strings,description:b.localize(58,null)},comments:{type:"boolean",default:X.comments,description:b.localize(59,null)},other:{type:"boolean",default:X.other,description:b.localize(60,null)}}}],default:X,description:b.localize(61,null)});this.defaultValue=X}validate(X){if(typeof X=="boolean")return X;if(X&&typeof X=="object"){const _e=X,Me={other:_(_e.other,this.defaultValue.other),comments:_(_e.comments,this.defaultValue.comments),strings:_(_e.strings,this.defaultValue.strings)};return Me.other&&Me.comments&&Me.strings?!0:!Me.other&&!Me.comments&&!Me.strings?!1:Me}return this.defaultValue}}var Ae;(function(V){V[V.Off=0]="Off",V[V.On=1]="On",V[V.Relative=2]="Relative",V[V.Interval=3]="Interval",V[V.Custom=4]="Custom"})(Ae=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Be extends n{constructor(){super(54,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[b.localize(62,null),b.localize(63,null),b.localize(64,null),b.localize(65,null)],default:"on",description:b.localize(66,null)})}validate(X){let _e=this.defaultValue.renderType,Me=this.defaultValue.renderFn;return typeof X!="undefined"&&(typeof X=="function"?(_e=4,Me=X):X==="interval"?_e=3:X==="relative"?_e=2:X==="on"?_e=1:_e=0),{renderType:_e,renderFn:Me}}}function Re(V){const X=V.get(82);return X==="editable"?V.get(75):X!=="on"}e.filterValidationDecorations=Re;class xe extends n{constructor(){const X=[],_e={type:"number",description:b.localize(67,null)};super(86,"rulers",X,{type:"array",items:{anyOf:[_e,{type:["object"],properties:{column:_e,color:{type:"string",description:b.localize(68,null),format:"color-hex"}}}]},default:X,description:b.localize(69,null)})}validate(X){if(Array.isArray(X)){let _e=[];for(let Me of X)if(typeof Me=="number")_e.push({column:s.clampedInt(Me,0,0,1e4),color:null});else if(Me&&typeof Me=="object"){const He=Me;_e.push({column:s.clampedInt(He.column,0,0,1e4),color:He.color})}return _e.sort((Me,He)=>Me.column-He.column),_e}return this.defaultValue}}function U(V,X){if(typeof V!="string")return X;switch(V){case"hidden":return 2;case"visible":return 3;default:return 1}}class q extends n{constructor(){super(87,"scrollbar",{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X,Me=s.clampedInt(_e.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),He=s.clampedInt(_e.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:s.clampedInt(_e.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:U(_e.vertical,this.defaultValue.vertical),horizontal:U(_e.horizontal,this.defaultValue.horizontal),useShadows:_(_e.useShadows,this.defaultValue.useShadows),verticalHasArrows:_(_e.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:_(_e.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:_(_e.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:_(_e.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Me,horizontalSliderSize:s.clampedInt(_e.horizontalSliderSize,Me,0,1e3),verticalScrollbarSize:He,verticalSliderSize:s.clampedInt(_e.verticalSliderSize,He,0,1e3),scrollByPage:_(_e.scrollByPage,this.defaultValue.scrollByPage)}}}class J extends n{constructor(){const X={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(101,"suggest",X,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[b.localize(70,null),b.localize(71,null)],default:X.insertMode,description:b.localize(72,null)},"editor.suggest.filterGraceful":{type:"boolean",default:X.filterGraceful,description:b.localize(73,null)},"editor.suggest.localityBonus":{type:"boolean",default:X.localityBonus,description:b.localize(74,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:X.shareSuggestSelections,markdownDescription:b.localize(75,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:X.snippetsPreventQuickSuggestions,description:b.localize(76,null)},"editor.suggest.showIcons":{type:"boolean",default:X.showIcons,description:b.localize(77,null)},"editor.suggest.showStatusBar":{type:"boolean",default:X.showStatusBar,description:b.localize(78,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:X.showInlineDetails,description:b.localize(79,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:b.localize(80,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:b.localize(81,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:b.localize(82,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:b.localize(83,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:b.localize(84,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:b.localize(85,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:b.localize(86,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:b.localize(87,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:b.localize(88,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:b.localize(89,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:b.localize(90,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:b.localize(91,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:b.localize(92,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:b.localize(93,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:b.localize(94,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:b.localize(95,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:b.localize(96,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:b.localize(97,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:b.localize(98,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:b.localize(99,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:b.localize(100,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:b.localize(101,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:b.localize(102,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:b.localize(103,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:b.localize(104,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:b.localize(105,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:b.localize(106,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:b.localize(107,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:b.localize(108,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:b.localize(109,null)}})}validate(X){if(!X||typeof X!="object")return this.defaultValue;const _e=X;return{insertMode:m(_e.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:_(_e.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:_(_e.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:_(_e.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:_(_e.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:_(_e.showIcons,this.defaultValue.showIcons),showStatusBar:_(_e.showStatusBar,this.defaultValue.showStatusBar),showInlineDetails:_(_e.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:_(_e.showMethods,this.defaultValue.showMethods),showFunctions:_(_e.showFunctions,this.defaultValue.showFunctions),showConstructors:_(_e.showConstructors,this.defaultValue.showConstructors),showFields:_(_e.showFields,this.defaultValue.showFields),showVariables:_(_e.showVariables,this.defaultValue.showVariables),showClasses:_(_e.showClasses,this.defaultValue.showClasses),showStructs:_(_e.showStructs,this.defaultValue.showStructs),showInterfaces:_(_e.showInterfaces,this.defaultValue.showInterfaces),showModules:_(_e.showModules,this.defaultValue.showModules),showProperties:_(_e.showProperties,this.defaultValue.showProperties),showEvents:_(_e.showEvents,this.defaultValue.showEvents),showOperators:_(_e.showOperators,this.defaultValue.showOperators),showUnits:_(_e.showUnits,this.defaultValue.showUnits),showValues:_(_e.showValues,this.defaultValue.showValues),showConstants:_(_e.showConstants,this.defaultValue.showConstants),showEnums:_(_e.showEnums,this.defaultValue.showEnums),showEnumMembers:_(_e.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:_(_e.showKeywords,this.defaultValue.showKeywords),showWords:_(_e.showWords,this.defaultValue.showWords),showColors:_(_e.showColors,this.defaultValue.showColors),showFiles:_(_e.showFiles,this.defaultValue.showFiles),showReferences:_(_e.showReferences,this.defaultValue.showReferences),showFolders:_(_e.showFolders,this.defaultValue.showFolders),showTypeParameters:_(_e.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:_(_e.showSnippets,this.defaultValue.showSnippets),showUsers:_(_e.showUsers,this.defaultValue.showUsers),showIssues:_(_e.showIssues,this.defaultValue.showIssues)}}}class ae extends n{constructor(){super(97,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:b.localize(110,null),default:!0,type:"boolean"}})}validate(X){return!X||typeof X!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:_(X.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class ge extends P{constructor(){super(123,[75])}compute(X,_e,Me){return _e.get(75)?!0:X.tabFocusMode}}var De;(function(V){V[V.None=0]="None",V[V.Same=1]="Same",V[V.Indent=2]="Indent",V[V.DeepIndent=3]="DeepIndent"})(De=e.WrappingIndent||(e.WrappingIndent={}));function Le(V){switch(V){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class pe extends P{constructor(){super(125,[124])}compute(X,_e,Me){const He=_e.get(124);return{isDominatedByLongLines:X.isDominatedByLongLines,isWordWrapMinified:He.isWordWrapMinified,isViewportWrapping:He.isViewportWrapping,wrappingColumn:He.wrappingColumn}}}const Ce="Consolas, 'Courier New', monospace",Te="Menlo, Monaco, 'Courier New', monospace",Ue="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:y.isMacintosh?Te:y.isLinux?Ue:Ce,fontWeight:"normal",fontSize:y.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function be(V){return e.editorOptionsRegistry[V.id]=V,V}var Ke;(function(V){V[V.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",V[V.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",V[V.accessibilitySupport=2]="accessibilitySupport",V[V.accessibilityPageSize=3]="accessibilityPageSize",V[V.ariaLabel=4]="ariaLabel",V[V.autoClosingBrackets=5]="autoClosingBrackets",V[V.autoClosingOvertype=6]="autoClosingOvertype",V[V.autoClosingQuotes=7]="autoClosingQuotes",V[V.autoIndent=8]="autoIndent",V[V.automaticLayout=9]="automaticLayout",V[V.autoSurround=10]="autoSurround",V[V.codeLens=11]="codeLens",V[V.codeLensFontFamily=12]="codeLensFontFamily",V[V.codeLensFontSize=13]="codeLensFontSize",V[V.colorDecorators=14]="colorDecorators",V[V.columnSelection=15]="columnSelection",V[V.comments=16]="comments",V[V.contextmenu=17]="contextmenu",V[V.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",V[V.cursorBlinking=19]="cursorBlinking",V[V.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",V[V.cursorStyle=21]="cursorStyle",V[V.cursorSurroundingLines=22]="cursorSurroundingLines",V[V.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",V[V.cursorWidth=24]="cursorWidth",V[V.disableLayerHinting=25]="disableLayerHinting",V[V.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",V[V.dragAndDrop=27]="dragAndDrop",V[V.emptySelectionClipboard=28]="emptySelectionClipboard",V[V.extraEditorClassName=29]="extraEditorClassName",V[V.fastScrollSensitivity=30]="fastScrollSensitivity",V[V.find=31]="find",V[V.fixedOverflowWidgets=32]="fixedOverflowWidgets",V[V.folding=33]="folding",V[V.foldingStrategy=34]="foldingStrategy",V[V.foldingHighlight=35]="foldingHighlight",V[V.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",V[V.fontFamily=37]="fontFamily",V[V.fontInfo=38]="fontInfo",V[V.fontLigatures=39]="fontLigatures",V[V.fontSize=40]="fontSize",V[V.fontWeight=41]="fontWeight",V[V.formatOnPaste=42]="formatOnPaste",V[V.formatOnType=43]="formatOnType",V[V.glyphMargin=44]="glyphMargin",V[V.gotoLocation=45]="gotoLocation",V[V.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",V[V.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",V[V.hover=48]="hover",V[V.inDiffEditor=49]="inDiffEditor",V[V.letterSpacing=50]="letterSpacing",V[V.lightbulb=51]="lightbulb",V[V.lineDecorationsWidth=52]="lineDecorationsWidth",V[V.lineHeight=53]="lineHeight",V[V.lineNumbers=54]="lineNumbers",V[V.lineNumbersMinChars=55]="lineNumbersMinChars",V[V.linkedEditing=56]="linkedEditing",V[V.links=57]="links",V[V.matchBrackets=58]="matchBrackets",V[V.minimap=59]="minimap",V[V.mouseStyle=60]="mouseStyle",V[V.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",V[V.mouseWheelZoom=62]="mouseWheelZoom",V[V.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",V[V.multiCursorModifier=64]="multiCursorModifier",V[V.multiCursorPaste=65]="multiCursorPaste",V[V.occurrencesHighlight=66]="occurrencesHighlight",V[V.overviewRulerBorder=67]="overviewRulerBorder",V[V.overviewRulerLanes=68]="overviewRulerLanes",V[V.padding=69]="padding",V[V.parameterHints=70]="parameterHints",V[V.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",V[V.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",V[V.quickSuggestions=73]="quickSuggestions",V[V.quickSuggestionsDelay=74]="quickSuggestionsDelay",V[V.readOnly=75]="readOnly",V[V.renameOnType=76]="renameOnType",V[V.renderControlCharacters=77]="renderControlCharacters",V[V.renderIndentGuides=78]="renderIndentGuides",V[V.renderFinalNewline=79]="renderFinalNewline",V[V.renderLineHighlight=80]="renderLineHighlight",V[V.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",V[V.renderValidationDecorations=82]="renderValidationDecorations",V[V.renderWhitespace=83]="renderWhitespace",V[V.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",V[V.roundedSelection=85]="roundedSelection",V[V.rulers=86]="rulers",V[V.scrollbar=87]="scrollbar",V[V.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",V[V.scrollBeyondLastLine=89]="scrollBeyondLastLine",V[V.scrollPredominantAxis=90]="scrollPredominantAxis",V[V.selectionClipboard=91]="selectionClipboard",V[V.selectionHighlight=92]="selectionHighlight",V[V.selectOnLineNumbers=93]="selectOnLineNumbers",V[V.showFoldingControls=94]="showFoldingControls",V[V.showUnused=95]="showUnused",V[V.snippetSuggestions=96]="snippetSuggestions",V[V.smartSelect=97]="smartSelect",V[V.smoothScrolling=98]="smoothScrolling",V[V.stickyTabStops=99]="stickyTabStops",V[V.stopRenderingLineAfter=100]="stopRenderingLineAfter",V[V.suggest=101]="suggest",V[V.suggestFontSize=102]="suggestFontSize",V[V.suggestLineHeight=103]="suggestLineHeight",V[V.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",V[V.suggestSelection=105]="suggestSelection",V[V.tabCompletion=106]="tabCompletion",V[V.tabIndex=107]="tabIndex",V[V.unusualLineTerminators=108]="unusualLineTerminators",V[V.useTabStops=109]="useTabStops",V[V.wordSeparators=110]="wordSeparators",V[V.wordWrap=111]="wordWrap",V[V.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",V[V.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",V[V.wordWrapColumn=114]="wordWrapColumn",V[V.wordWrapOverride1=115]="wordWrapOverride1",V[V.wordWrapOverride2=116]="wordWrapOverride2",V[V.wrappingIndent=117]="wrappingIndent",V[V.wrappingStrategy=118]="wrappingStrategy",V[V.showDeprecated=119]="showDeprecated",V[V.inlineHints=120]="inlineHints",V[V.editorClassName=121]="editorClassName",V[V.pixelRatio=122]="pixelRatio",V[V.tabFocusMode=123]="tabFocusMode",V[V.layoutInfo=124]="layoutInfo",V[V.wrappingInfo=125]="wrappingInfo"})(Ke=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:be(new d(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:b.localize(111,null)})),acceptSuggestionOnEnter:be(new w(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",b.localize(112,null),""],markdownDescription:b.localize(113,null)})),accessibilitySupport:be(new a),accessibilityPageSize:be(new s(3,"accessibilityPageSize",10,1,1073741824,{description:b.localize(114,null),deprecationMessage:b.localize(115,null)})),ariaLabel:be(new v(4,"ariaLabel",b.localize(116,null))),autoClosingBrackets:be(new w(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",b.localize(117,null),b.localize(118,null),""],description:b.localize(119,null)})),autoClosingOvertype:be(new w(6,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",b.localize(120,null),""],description:b.localize(121,null)})),autoClosingQuotes:be(new w(7,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",b.localize(122,null),b.localize(123,null),""],description:b.localize(124,null)})),autoIndent:be(new c(8,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],u,{enumDescriptions:[b.localize(125,null),b.localize(126,null),b.localize(127,null),b.localize(128,null),b.localize(129,null)],description:b.localize(130,null)})),automaticLayout:be(new d(9,"automaticLayout",!1)),autoSurround:be(new w(10,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[b.localize(131,null),b.localize(132,null),b.localize(133,null),""],description:b.localize(134,null)})),stickyTabStops:be(new d(99,"stickyTabStops",!1,{description:b.localize(135,null)})),codeLens:be(new d(11,"codeLens",!0,{description:b.localize(136,null)})),codeLensFontFamily:be(new v(12,"codeLensFontFamily","",{description:b.localize(137,null)})),codeLensFontSize:be(new s(13,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,description:b.localize(138,null)})),colorDecorators:be(new d(14,"colorDecorators",!0,{description:b.localize(139,null)})),columnSelection:be(new d(15,"columnSelection",!1,{description:b.localize(140,null)})),comments:be(new t),contextmenu:be(new d(17,"contextmenu",!0)),copyWithSyntaxHighlighting:be(new d(18,"copyWithSyntaxHighlighting",!0,{description:b.localize(141,null)})),cursorBlinking:be(new c(19,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],o,{description:b.localize(142,null)})),cursorSmoothCaretAnimation:be(new d(20,"cursorSmoothCaretAnimation",!1,{description:b.localize(143,null)})),cursorStyle:be(new c(21,"cursorStyle",l.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],h,{description:b.localize(144,null)})),cursorSurroundingLines:be(new s(22,"cursorSurroundingLines",0,0,1073741824,{description:b.localize(145,null)})),cursorSurroundingLinesStyle:be(new w(23,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[b.localize(146,null),b.localize(147,null)],description:b.localize(148,null)})),cursorWidth:be(new s(24,"cursorWidth",0,0,1073741824,{markdownDescription:b.localize(149,null)})),disableLayerHinting:be(new d(25,"disableLayerHinting",!1)),disableMonospaceOptimizations:be(new d(26,"disableMonospaceOptimizations",!1)),dragAndDrop:be(new d(27,"dragAndDrop",!0,{description:b.localize(150,null)})),emptySelectionClipboard:be(new R),extraEditorClassName:be(new v(29,"extraEditorClassName","")),fastScrollSensitivity:be(new f(30,"fastScrollSensitivity",5,V=>V<=0?5:V,{markdownDescription:b.localize(151,null)})),find:be(new p),fixedOverflowWidgets:be(new d(32,"fixedOverflowWidgets",!1)),folding:be(new d(33,"folding",!0,{description:b.localize(152,null)})),foldingStrategy:be(new w(34,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[b.localize(153,null),b.localize(154,null)],description:b.localize(155,null)})),foldingHighlight:be(new d(35,"foldingHighlight",!0,{description:b.localize(156,null)})),unfoldOnClickAfterEndOfLine:be(new d(36,"unfoldOnClickAfterEndOfLine",!1,{description:b.localize(157,null)})),fontFamily:be(new v(37,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:b.localize(158,null)})),fontInfo:be(new T),fontLigatures2:be(new g),fontSize:be(new F),fontWeight:be(new H),formatOnPaste:be(new d(42,"formatOnPaste",!1,{description:b.localize(159,null)})),formatOnType:be(new d(43,"formatOnType",!1,{description:b.localize(160,null)})),glyphMargin:be(new d(44,"glyphMargin",!0,{description:b.localize(161,null)})),gotoLocation:be(new le),hideCursorInOverviewRuler:be(new d(46,"hideCursorInOverviewRuler",!1,{description:b.localize(162,null)})),highlightActiveIndentGuide:be(new d(47,"highlightActiveIndentGuide",!0,{description:b.localize(163,null)})),hover:be(new z),inDiffEditor:be(new d(49,"inDiffEditor",!1)),letterSpacing:be(new f(50,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,V=>f.clamp(V,-5,20),{description:b.localize(164,null)})),lightbulb:be(new M),lineDecorationsWidth:be(new k(52,"lineDecorationsWidth",10)),lineHeight:be(new N),lineNumbers:be(new Be),lineNumbersMinChars:be(new s(55,"lineNumbersMinChars",5,1,300)),linkedEditing:be(new d(56,"linkedEditing",!1,{description:b.localize(165,null)})),links:be(new d(57,"links",!0,{description:b.localize(166,null)})),matchBrackets:be(new w(58,"matchBrackets","always",["always","near","never"],{description:b.localize(167,null)})),minimap:be(new K),mouseStyle:be(new w(60,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:be(new f(61,"mouseWheelScrollSensitivity",1,V=>V===0?1:V,{markdownDescription:b.localize(168,null)})),mouseWheelZoom:be(new d(62,"mouseWheelZoom",!1,{markdownDescription:b.localize(169,null)})),multiCursorMergeOverlapping:be(new d(63,"multiCursorMergeOverlapping",!0,{description:b.localize(170,null)})),multiCursorModifier:be(new c(64,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],W,{markdownEnumDescriptions:[b.localize(171,null),b.localize(172,null)],markdownDescription:b.localize(173,null)})),multiCursorPaste:be(new w(65,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[b.localize(174,null),b.localize(175,null)],markdownDescription:b.localize(176,null)})),occurrencesHighlight:be(new d(66,"occurrencesHighlight",!0,{description:b.localize(177,null)})),overviewRulerBorder:be(new d(67,"overviewRulerBorder",!0,{description:b.localize(178,null)})),overviewRulerLanes:be(new s(68,"overviewRulerLanes",3,0,3)),padding:be(new Z),parameterHints:be(new ne),peekWidgetDefaultFocus:be(new w(71,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[b.localize(179,null),b.localize(180,null)],description:b.localize(181,null)})),definitionLinkOpensInPeek:be(new d(72,"definitionLinkOpensInPeek",!1,{description:b.localize(182,null)})),quickSuggestions:be(new Se),quickSuggestionsDelay:be(new s(74,"quickSuggestionsDelay",10,0,1073741824,{description:b.localize(183,null)})),readOnly:be(new d(75,"readOnly",!1)),renameOnType:be(new d(76,"renameOnType",!1,{description:b.localize(184,null),markdownDeprecationMessage:b.localize(185,null)})),renderControlCharacters:be(new d(77,"renderControlCharacters",!1,{description:b.localize(186,null)})),renderIndentGuides:be(new d(78,"renderIndentGuides",!0,{description:b.localize(187,null)})),renderFinalNewline:be(new d(79,"renderFinalNewline",!0,{description:b.localize(188,null)})),renderLineHighlight:be(new w(80,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",b.localize(189,null)],description:b.localize(190,null)})),renderLineHighlightOnlyWhenFocus:be(new d(81,"renderLineHighlightOnlyWhenFocus",!1,{description:b.localize(191,null)})),renderValidationDecorations:be(new w(82,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:be(new w(83,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",b.localize(192,null),b.localize(193,null),b.localize(194,null),""],description:b.localize(195,null)})),revealHorizontalRightPadding:be(new s(84,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:be(new d(85,"roundedSelection",!0,{description:b.localize(196,null)})),rulers:be(new xe),scrollbar:be(new q),scrollBeyondLastColumn:be(new s(88,"scrollBeyondLastColumn",5,0,1073741824,{description:b.localize(197,null)})),scrollBeyondLastLine:be(new d(89,"scrollBeyondLastLine",!0,{description:b.localize(198,null)})),scrollPredominantAxis:be(new d(90,"scrollPredominantAxis",!0,{description:b.localize(199,null)})),selectionClipboard:be(new d(91,"selectionClipboard",!0,{description:b.localize(200,null),included:y.isLinux})),selectionHighlight:be(new d(92,"selectionHighlight",!0,{description:b.localize(201,null)})),selectOnLineNumbers:be(new d(93,"selectOnLineNumbers",!0)),showFoldingControls:be(new w(94,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[b.localize(202,null),b.localize(203,null)],description:b.localize(204,null)})),showUnused:be(new d(95,"showUnused",!0,{description:b.localize(205,null)})),showDeprecated:be(new d(119,"showDeprecated",!0,{description:b.localize(206,null)})),inlineHints:be(new $),snippetSuggestions:be(new w(96,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[b.localize(207,null),b.localize(208,null),b.localize(209,null),b.localize(210,null)],description:b.localize(211,null)})),smartSelect:be(new ae),smoothScrolling:be(new d(98,"smoothScrolling",!1,{description:b.localize(212,null)})),stopRenderingLineAfter:be(new s(100,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:be(new J),suggestFontSize:be(new s(102,"suggestFontSize",0,0,1e3,{markdownDescription:b.localize(213,null)})),suggestLineHeight:be(new s(103,"suggestLineHeight",0,0,1e3,{markdownDescription:b.localize(214,null)})),suggestOnTriggerCharacters:be(new d(104,"suggestOnTriggerCharacters",!0,{description:b.localize(215,null)})),suggestSelection:be(new w(105,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[b.localize(216,null),b.localize(217,null),b.localize(218,null)],description:b.localize(219,null)})),tabCompletion:be(new w(106,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[b.localize(220,null),b.localize(221,null),b.localize(222,null)],description:b.localize(223,null)})),tabIndex:be(new s(107,"tabIndex",0,-1,1073741824)),unusualLineTerminators:be(new w(108,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[b.localize(224,null),b.localize(225,null),b.localize(226,null)],description:b.localize(227,null)})),useTabStops:be(new d(109,"useTabStops",!0,{description:b.localize(228,null)})),wordSeparators:be(new v(110,"wordSeparators",A.USUAL_WORD_SEPARATORS,{description:b.localize(229,null)})),wordWrap:be(new w(111,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[b.localize(230,null),b.localize(231,null),b.localize(232,null),b.localize(233,null)],description:b.localize(234,null)})),wordWrapBreakAfterCharacters:be(new v(112,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:be(new v(113,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:be(new s(114,"wordWrapColumn",80,1,1073741824,{markdownDescription:b.localize(235,null)})),wordWrapOverride1:be(new w(115,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:be(new w(116,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:be(new c(117,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Le,{enumDescriptions:[b.localize(236,null),b.localize(237,null),b.localize(238,null),b.localize(239,null)],description:b.localize(240,null)})),wrappingStrategy:be(new w(118,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[b.localize(241,null),b.localize(242,null)],description:b.localize(243,null)})),editorClassName:be(new D),pixelRatio:be(new re),tabFocusMode:be(new ge),layoutInfo:be(new Q),wrappingInfo:be(new pe)}}),define(we[121],Ee([17,18]),function(oe,e){return oe.create("vs/platform/configuration/common/configurationRegistry",e)}),define(we[122],Ee([17,18]),function(oe,e){return oe.create("vs/platform/files/common/files",e)}),define(we[123],Ee([17,18]),function(oe,e){return oe.create("vs/platform/markers/common/markers",e)}),define(we[124],Ee([17,18]),function(oe,e){return oe.create("vs/platform/theme/common/iconRegistry",e)}),define(we[125],Ee([17,18]),function(oe,e){return oe.create("vs/platform/workspaces/common/workspaces",e)}),define(we[126],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHost.api.impl",e)}),define(we[127],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(we[128],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostExtensionActivator",e)}),define(we[129],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostExtensionService",e)}),define(we[130],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostProgress",e)}),define(we[131],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostStatusBar",e)}),define(we[132],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostTerminalService",e)}),define(we[133],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostTreeViews",e)}),define(we[134],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/api/common/extHostWorkspace",e)}),define(we[135],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/common/views",e)}),define(we[136],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(we[137],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(we[138],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(we[139],Ee([17,18]),function(oe,e){return oe.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(we[140],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=void 0;var b;(function(S){S[S.ACTIVATE=0]="ACTIVATE",S[S.RESTORE=1]="RESTORE",S[S.PRESERVE=2]="PRESERVE"})(b=e.EditorActivation||(e.EditorActivation={}));var y;(function(S){S[S.PICK=1]="PICK",S[S.DISABLED=2]="DISABLED"})(y=e.EditorOverride||(e.EditorOverride={}));var A;(function(S){S[S.API=0]="API",S[S.USER=1]="USER"})(A=e.EditorOpenContext||(e.EditorOpenContext={}));var I;(function(S){S[S.Center=0]="Center",S[S.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",S[S.NearTop=2]="NearTop",S[S.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(I=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(we[86],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class b{constructor(I,S=[],C=!1){this.ctor=I,this.staticArguments=S,this.supportsDelayedInstantiation=C}}e.SyncDescriptor=b;const y=(A,...I)=>new b(A,I);e.createSyncDescriptor=y}),define(we[61],Ee([0,1,86]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const y=[];function A(S,C,E){C instanceof b.SyncDescriptor||(C=new b.SyncDescriptor(C,[],E)),y.push([S,C])}e.registerSingleton=A;function I(){return y}e.getSingletonServiceDescriptors=I}),define(we[141],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class b{constructor(I){this.incoming=new Map,this.outgoing=new Map,this.data=I}}e.Node=b;class y{constructor(I){this._hashFn=I,this._nodes=new Map}roots(){const I=[];for(let S of this._nodes.values())S.outgoing.size===0&&I.push(S);return I}insertEdge(I,S){const C=this.lookupOrInsertNode(I),E=this.lookupOrInsertNode(S);C.outgoing.set(this._hashFn(S),E),E.incoming.set(this._hashFn(I),C)}removeNode(I){const S=this._hashFn(I);this._nodes.delete(S);for(let C of this._nodes.values())C.outgoing.delete(S),C.incoming.delete(S)}lookupOrInsertNode(I){const S=this._hashFn(I);let C=this._nodes.get(S);return C||(C=new b(I),this._nodes.set(S,C)),C}lookup(I){return this._nodes.get(this._hashFn(I))}isEmpty(){return this._nodes.size===0}toString(){let I=[];for(let[S,C]of this._nodes)I.push(`${S}, (incoming)[${[...C.incoming.keys()].join(", ")}], (outgoing)[${[...C.outgoing.keys()].join(",")}]`);return I.join(`
`)}}e.Graph=y}),define(we[4],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var b;(function(C){C.serviceIds=new Map,C.DI_TARGET="$di$target",C.DI_DEPENDENCIES="$di$dependencies";function E(n){return n[C.DI_DEPENDENCIES]||[]}C.getServiceDependencies=E})(b=e._util||(e._util={})),e.IInstantiationService=A("instantiationService");function y(C,E,n,P){E[b.DI_TARGET]===E?E[b.DI_DEPENDENCIES].push({id:C,index:n,optional:P}):(E[b.DI_DEPENDENCIES]=[{id:C,index:n,optional:P}],E[b.DI_TARGET]=E)}function A(C){if(b.serviceIds.has(C))return b.serviceIds.get(C);const E=function(n,P,k){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");y(E,n,k,!1)};return E.toString=()=>C,b.serviceIds.set(C,E),E}e.createDecorator=A;function I(C){return C}e.refineServiceDecorator=I;function S(C){return function(E,n,P){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");y(C,E,P,!0)}}e.optional=S}),define(we[142],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=(0,b.createDecorator)("modelService");function y(A){return!A.isTooLargeForSyncing()&&!A.isForSimpleWidget}e.shouldSynchronizeModel=y}),define(we[143],Ee([0,1,3,55,6,22,78,59,142]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function n(_){return typeof _=="string"?!1:Array.isArray(_)?_.every(n):!!_.exclusive}class P{constructor(){this._clock=0,this._entries=[],this._onDidChange=new b.Emitter}get onDidChange(){return this._onDidChange.event}register(d,s){let f={selector:d,provider:s,_score:-1,_time:this._clock++};return this._entries.push(f),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),(0,A.toDisposable)(()=>{if(f){let v=this._entries.indexOf(f);v>=0&&(this._entries.splice(v,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),f=void 0)}})}has(d){return this.all(d).length>0}all(d){if(!d)return[];this._updateScores(d);const s=[];for(let f of this._entries)f._score>0&&s.push(f.provider);return s}ordered(d){const s=[];return this._orderedForEach(d,f=>s.push(f.provider)),s}orderedGroups(d){const s=[];let f,v;return this._orderedForEach(d,m=>{f&&v===m._score?f.push(m.provider):(v=m._score,f=[m.provider],s.push(f))}),s}_orderedForEach(d,s){if(!!d){this._updateScores(d);for(const f of this._entries)f._score>0&&s(f)}}_updateScores(d){let s={uri:d.uri.toString(),language:d.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===s.language&&this._lastCandidate.uri===s.uri)){this._lastCandidate=s;for(let f of this._entries)if(f._score=(0,C.score)(f.selector,d.uri,d.getLanguageIdentifier().language,(0,E.shouldSynchronizeModel)(d)),n(f.selector)&&f._score>0){for(let v of this._entries)v._score=0;f._score=1e3;break}this._entries.sort(P._compareByScoreAndTime)}}static _compareByScoreAndTime(d,s){return d._score<s._score?1:d._score>s._score?-1:d._time<s._time?1:d._time>s._time?-1:0}}e.LanguageFeatureRegistry=P;class k{constructor(d,s,f=Number.MAX_SAFE_INTEGER){this._registry=d,this.min=s,this.max=f,this._cache=new I.LRUCache(50,.7)}_key(d){return d.id+(0,y.hash)(this._registry.all(d))}_clamp(d){return d===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(d*1.3)))}get(d){const s=this._key(d),f=this._cache.get(s);return this._clamp(f==null?void 0:f.value)}update(d,s){const f=this._key(d);let v=this._cache.get(f);return v||(v=new S.MovingAverage,this._cache.set(f,v)),v.update(s),this.get(d)}}e.LanguageFeatureRequestDelays=k}),define(we[62],Ee([0,1,2,33,143,116,37]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlineHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlineHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var C;(function(p){p[p.Null=0]="Null",p[p.PlainText=1]="PlainText"})(C=e.LanguageId||(e.LanguageId={}));class E{constructor(g,T){this.language=g,this.id=T}}e.LanguageIdentifier=E;var n;(function(p){p[p.NotSet=-1]="NotSet",p[p.None=0]="None",p[p.Italic=1]="Italic",p[p.Bold=2]="Bold",p[p.Underline=4]="Underline"})(n=e.FontStyle||(e.FontStyle={}));var P;(function(p){p[p.None=0]="None",p[p.DefaultForeground=1]="DefaultForeground",p[p.DefaultBackground=2]="DefaultBackground"})(P=e.ColorId||(e.ColorId={}));var k;(function(p){p[p.Other=0]="Other",p[p.Comment=1]="Comment",p[p.String=2]="String",p[p.RegEx=4]="RegEx"})(k=e.StandardTokenType||(e.StandardTokenType={}));var _;(function(p){p[p.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",p[p.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",p[p.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",p[p.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",p[p.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",p[p.ITALIC_MASK=2048]="ITALIC_MASK",p[p.BOLD_MASK=4096]="BOLD_MASK",p[p.UNDERLINE_MASK=8192]="UNDERLINE_MASK",p[p.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",p[p.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",p[p.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",p[p.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",p[p.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",p[p.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",p[p.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",p[p.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",p[p.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",p[p.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(_=e.MetadataConsts||(e.MetadataConsts={}));class d{static getLanguageId(g){return(g&255)>>>0}static getTokenType(g){return(g&1792)>>>8}static getFontStyle(g){return(g&14336)>>>11}static getForeground(g){return(g&8372224)>>>14}static getBackground(g){return(g&4286578688)>>>23}static getClassNameFromMetadata(g){let T=this.getForeground(g),F="mtk"+T,H=this.getFontStyle(g);return H&1&&(F+=" mtki"),H&2&&(F+=" mtkb"),H&4&&(F+=" mtku"),F}static getInlineStyleFromMetadata(g,T){const F=this.getForeground(g),H=this.getFontStyle(g);let le=`color: ${T[F]};`;return H&1&&(le+="font-style: italic;"),H&2&&(le+="font-weight: bold;"),H&4&&(le+="text-decoration: underline;"),le}}e.TokenMetadata=d;var s;(function(p){p[p.Method=0]="Method",p[p.Function=1]="Function",p[p.Constructor=2]="Constructor",p[p.Field=3]="Field",p[p.Variable=4]="Variable",p[p.Class=5]="Class",p[p.Struct=6]="Struct",p[p.Interface=7]="Interface",p[p.Module=8]="Module",p[p.Property=9]="Property",p[p.Event=10]="Event",p[p.Operator=11]="Operator",p[p.Unit=12]="Unit",p[p.Value=13]="Value",p[p.Constant=14]="Constant",p[p.Enum=15]="Enum",p[p.EnumMember=16]="EnumMember",p[p.Keyword=17]="Keyword",p[p.Text=18]="Text",p[p.Color=19]="Color",p[p.File=20]="File",p[p.Reference=21]="Reference",p[p.Customcolor=22]="Customcolor",p[p.Folder=23]="Folder",p[p.TypeParameter=24]="TypeParameter",p[p.User=25]="User",p[p.Issue=26]="Issue",p[p.Snippet=27]="Snippet"})(s=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let p=Object.create(null);return p[0]="symbol-method",p[1]="symbol-function",p[2]="symbol-constructor",p[3]="symbol-field",p[4]="symbol-variable",p[5]="symbol-class",p[6]="symbol-struct",p[7]="symbol-interface",p[8]="symbol-module",p[9]="symbol-property",p[10]="symbol-event",p[11]="symbol-operator",p[12]="symbol-unit",p[13]="symbol-value",p[14]="symbol-constant",p[15]="symbol-enum",p[16]="symbol-enum-member",p[17]="symbol-keyword",p[27]="symbol-snippet",p[18]="symbol-text",p[19]="symbol-color",p[20]="symbol-file",p[21]="symbol-reference",p[22]="symbol-customcolor",p[23]="symbol-folder",p[24]="symbol-type-parameter",p[25]="account",p[26]="issues",function(g){const T=p[g];let F=T&&S.iconRegistry.get(T);return F||(console.info("No codicon found for CompletionItemKind "+g),F=S.Codicon.symbolProperty),F.classNames}}(),e.completionKindFromString=function(){let p=Object.create(null);return p.method=0,p.function=1,p.constructor=2,p.field=3,p.variable=4,p.class=5,p.struct=6,p.interface=7,p.module=8,p.property=9,p.event=10,p.operator=11,p.unit=12,p.value=13,p.constant=14,p.enum=15,p["enum-member"]=16,p.enumMember=16,p.keyword=17,p.snippet=27,p.text=18,p.color=19,p.file=20,p.reference=21,p.customcolor=22,p.folder=23,p["type-parameter"]=24,p.typeParameter=24,p.account=25,p.issue=26,function(g,T){let F=p[g];return typeof F=="undefined"&&!T&&(F=9),F}}();var f;(function(p){p[p.Deprecated=1]="Deprecated"})(f=e.CompletionItemTag||(e.CompletionItemTag={}));var v;(function(p){p[p.KeepWhitespace=1]="KeepWhitespace",p[p.InsertAsSnippet=4]="InsertAsSnippet"})(v=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var m;(function(p){p[p.Invoke=0]="Invoke",p[p.TriggerCharacter=1]="TriggerCharacter",p[p.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(m=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var w;(function(p){p[p.Auto=1]="Auto",p[p.Manual=2]="Manual"})(w=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var c;(function(p){p[p.Invoke=1]="Invoke",p[p.TriggerCharacter=2]="TriggerCharacter",p[p.ContentChange=3]="ContentChange"})(c=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var u;(function(p){p[p.Text=0]="Text",p[p.Read=1]="Read",p[p.Write=2]="Write"})(u=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function a(p){return p&&b.URI.isUri(p.uri)&&y.Range.isIRange(p.range)&&(y.Range.isIRange(p.originSelectionRange)||y.Range.isIRange(p.targetSelectionRange))}e.isLocationLink=a;var t;(function(p){p[p.File=0]="File",p[p.Module=1]="Module",p[p.Namespace=2]="Namespace",p[p.Package=3]="Package",p[p.Class=4]="Class",p[p.Method=5]="Method",p[p.Property=6]="Property",p[p.Field=7]="Field",p[p.Constructor=8]="Constructor",p[p.Enum=9]="Enum",p[p.Interface=10]="Interface",p[p.Function=11]="Function",p[p.Variable=12]="Variable",p[p.Constant=13]="Constant",p[p.String=14]="String",p[p.Number=15]="Number",p[p.Boolean=16]="Boolean",p[p.Array=17]="Array",p[p.Object=18]="Object",p[p.Key=19]="Key",p[p.Null=20]="Null",p[p.EnumMember=21]="EnumMember",p[p.Struct=22]="Struct",p[p.Event=23]="Event",p[p.Operator=24]="Operator",p[p.TypeParameter=25]="TypeParameter"})(t=e.SymbolKind||(e.SymbolKind={}));var r;(function(p){p[p.Deprecated=1]="Deprecated"})(r=e.SymbolTag||(e.SymbolTag={}));var o;(function(p){const g=new Map;g.set("file",0),g.set("module",1),g.set("namespace",2),g.set("package",3),g.set("class",4),g.set("method",5),g.set("property",6),g.set("field",7),g.set("constructor",8),g.set("enum",9),g.set("interface",10),g.set("function",11),g.set("variable",12),g.set("constant",13),g.set("string",14),g.set("number",15),g.set("boolean",16),g.set("array",17),g.set("object",18),g.set("key",19),g.set("null",20),g.set("enum-member",21),g.set("struct",22),g.set("event",23),g.set("operator",24),g.set("type-parameter",25);const T=new Map;T.set(0,"file"),T.set(1,"module"),T.set(2,"namespace"),T.set(3,"package"),T.set(4,"class"),T.set(5,"method"),T.set(6,"property"),T.set(7,"field"),T.set(8,"constructor"),T.set(9,"enum"),T.set(10,"interface"),T.set(11,"function"),T.set(12,"variable"),T.set(13,"constant"),T.set(14,"string"),T.set(15,"number"),T.set(16,"boolean"),T.set(17,"array"),T.set(18,"object"),T.set(19,"key"),T.set(20,"null"),T.set(21,"enum-member"),T.set(22,"struct"),T.set(23,"event"),T.set(24,"operator"),T.set(25,"type-parameter");function F(z){return g.get(z)}p.fromString=F;function H(z){return T.get(z)}p.toString=H;function le(z,B){const Q=T.get(z);let M=Q&&S.iconRegistry.get("symbol-"+Q);return M||(console.info("No codicon found for SymbolKind "+z),M=S.Codicon.symbolProperty),`${B?"inline":"block"} ${M.classNames}`}p.toCssClassName=le})(o=e.SymbolKinds||(e.SymbolKinds={}));class l{constructor(g){this.value=g}}e.FoldingRangeKind=l,l.Comment=new l("comment"),l.Imports=new l("imports"),l.Region=new l("region");var i;(function(p){p[p.Collapsed=0]="Collapsed",p[p.Expanded=1]="Expanded"})(i=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var h;(function(p){p[p.Editing=0]="Editing",p[p.Preview=1]="Preview"})(h=e.CommentMode||(e.CommentMode={}));var D;(function(p){p[p.Other=0]="Other",p[p.Type=1]="Type",p[p.Parameter=2]="Parameter"})(D=e.InlineHintKind||(e.InlineHintKind={})),e.ReferenceProviderRegistry=new A.LanguageFeatureRegistry,e.RenameProviderRegistry=new A.LanguageFeatureRegistry,e.CompletionProviderRegistry=new A.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new A.LanguageFeatureRegistry,e.HoverProviderRegistry=new A.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new A.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new A.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new A.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new A.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new A.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new A.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new A.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new A.LanguageFeatureRegistry,e.InlineHintsProviderRegistry=new A.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new A.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new A.LanguageFeatureRegistry,e.LinkProviderRegistry=new A.LanguageFeatureRegistry,e.ColorProviderRegistry=new A.LanguageFeatureRegistry,e.SelectionRangeRegistry=new A.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new A.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new A.LanguageFeatureRegistry,e.TokenizationRegistry=new I.TokenizationRegistryImpl;var R;(function(p){p[p.None=0]="None",p[p.Option=1]="Option",p[p.Default=2]="Default",p[p.Preferred=3]="Preferred"})(R=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(we[144],Ee([0,1,6,12,4,3,46,53]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullCommandService=e.CommandsRegistry=e.ICommandService=void 0,e.ICommandService=(0,A.createDecorator)("commandService"),e.CommandsRegistry=new class{constructor(){this._commands=new Map,this._onDidRegisterCommand=new I.Emitter,this.onDidRegisterCommand=this._onDidRegisterCommand.event}registerCommand(E,n){if(!E)throw new Error("invalid command");if(typeof E=="string"){if(!n)throw new Error("invalid command");return this.registerCommand({id:E,handler:n})}if(E.description){const s=[];for(let v of E.description.args)s.push(v.constraint);const f=E.handler;E.handler=function(v,...m){return(0,y.validateConstraints)(m,s),f(v,...m)}}const{id:P}=E;let k=this._commands.get(P);k||(k=new S.LinkedList,this._commands.set(P,k));let _=k.unshift(E),d=(0,b.toDisposable)(()=>{_();const s=this._commands.get(P);(s==null?void 0:s.isEmpty())&&this._commands.delete(P)});return this._onDidRegisterCommand.fire(P),d}registerCommandAlias(E,n){return e.CommandsRegistry.registerCommand(E,(P,...k)=>P.get(e.ICommandService).executeCommand(n,...k))}getCommand(E){const n=this._commands.get(E);if(!(!n||n.isEmpty()))return C.Iterable.first(n)}getCommands(){const E=new Map;for(const n of this._commands.keys()){const P=this.getCommand(n);P&&E.set(n,P)}return E}},e.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:()=>b.Disposable.None,onDidExecuteCommand:()=>b.Disposable.None,executeCommand(){return Promise.resolve(void 0)}}}),define(we[63],Ee([0,1,8,4,21]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let I=A.userAgent||"";const S=new Map;S.set("false",!1),S.set("true",!0),S.set("isMac",A.isMacintosh),S.set("isLinux",A.isLinux),S.set("isWindows",A.isWindows),S.set("isWeb",A.isWeb),S.set("isMacNative",A.isMacintosh&&!A.isWeb),S.set("isEdge",I.indexOf("Edg/")>=0),S.set("isFirefox",I.indexOf("Firefox")>=0),S.set("isChrome",I.indexOf("Chrome")>=0),S.set("isSafari",I.indexOf("Safari")>=0),S.set("isIPad",I.indexOf("iPad")>=0);const C=Object.prototype.hasOwnProperty;var E;(function(p){p[p.False=0]="False",p[p.True=1]="True",p[p.Defined=2]="Defined",p[p.Not=3]="Not",p[p.Equals=4]="Equals",p[p.NotEquals=5]="NotEquals",p[p.And=6]="And",p[p.Regex=7]="Regex",p[p.NotRegex=8]="NotRegex",p[p.Or=9]="Or",p[p.In=10]="In",p[p.NotIn=11]="NotIn",p[p.Greater=12]="Greater",p[p.GreaterEquals=13]="GreaterEquals",p[p.Smaller=14]="Smaller",p[p.SmallerEquals=15]="SmallerEquals"})(E=e.ContextKeyExprType||(e.ContextKeyExprType={}));class n{static false(){return k.INSTANCE}static true(){return _.INSTANCE}static has(g){return d.create(g)}static equals(g,T){return s.create(g,T)}static notEquals(g,T){return m.create(g,T)}static regex(g,T){return r.create(g,T)}static in(g,T){return f.create(g,T)}static not(g){return w.create(g)}static and(...g){return l.create(g)}static or(...g){return i.create(g)}static greater(g,T){return c.create(g,T)}static less(g,T){return a.create(g,T)}static deserialize(g,T=!1){if(!!g)return this._deserializeOrExpression(g,T)}static _deserializeOrExpression(g,T){let F=g.split("||");return i.create(F.map(H=>this._deserializeAndExpression(H,T)))}static _deserializeAndExpression(g,T){let F=g.split("&&");return l.create(F.map(H=>this._deserializeOne(H,T)))}static _deserializeOne(g,T){if(g=g.trim(),g.indexOf("!=")>=0){let F=g.split("!=");return m.create(F[0].trim(),this._deserializeValue(F[1],T))}if(g.indexOf("==")>=0){let F=g.split("==");return s.create(F[0].trim(),this._deserializeValue(F[1],T))}if(g.indexOf("=~")>=0){let F=g.split("=~");return r.create(F[0].trim(),this._deserializeRegexValue(F[1],T))}if(g.indexOf(" in ")>=0){let F=g.split(" in ");return f.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(g)){const F=g.split(">=");return u.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(g)){const F=g.split(">");return c.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(g)){const F=g.split("<=");return t.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(g)){const F=g.split("<");return a.create(F[0].trim(),F[1].trim())}return/^\!\s*/.test(g)?w.create(g.substr(1).trim()):d.create(g)}static _deserializeValue(g,T){if(g=g.trim(),g==="true")return!0;if(g==="false")return!1;let F=/^'([^']*)'$/.exec(g);return F?F[1].trim():g}static _deserializeRegexValue(g,T){if((0,b.isFalsyOrWhitespace)(g)){if(T)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let F=g.indexOf("/"),H=g.lastIndexOf("/");if(F===H||F<0){if(T)throw new Error(`bad regexp-value '${g}', missing /-enclosure`);return console.warn(`bad regexp-value '${g}', missing /-enclosure`),null}let le=g.slice(F+1,H),z=g[H+1]==="i"?"i":"";try{return new RegExp(le,z)}catch(B){if(T)throw new Error(`bad regexp-value '${g}', parse error: ${B}`);return console.warn(`bad regexp-value '${g}', parse error: ${B}`),null}}}e.ContextKeyExpr=n;function P(p,g){return p.cmp(g)}class k{constructor(){this.type=0}cmp(g){return this.type-g.type}equals(g){return g.type===this.type}evaluate(g){return!1}serialize(){return"false"}keys(){return[]}map(g){return this}negate(){return _.INSTANCE}}e.ContextKeyFalseExpr=k,k.INSTANCE=new k;class _{constructor(){this.type=1}cmp(g){return this.type-g.type}equals(g){return g.type===this.type}evaluate(g){return!0}serialize(){return"true"}keys(){return[]}map(g){return this}negate(){return k.INSTANCE}}e.ContextKeyTrueExpr=_,_.INSTANCE=new _;class d{constructor(g){this.key=g,this.type=2}static create(g){const T=S.get(g);return typeof T=="boolean"?T?_.INSTANCE:k.INSTANCE:new d(g)}cmp(g){return g.type!==this.type?this.type-g.type:D(this.key,g.key)}equals(g){return g.type===this.type?this.key===g.key:!1}evaluate(g){return!!g.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(g){return g.mapDefined(this.key)}negate(){return w.create(this.key)}}e.ContextKeyDefinedExpr=d;class s{constructor(g,T){this.key=g,this.value=T,this.type=4}static create(g,T){if(typeof T=="boolean")return T?d.create(g):w.create(g);const F=S.get(g);return typeof F=="boolean"?T===(F?"true":"false")?_.INSTANCE:k.INSTANCE:new s(g,T)}cmp(g){return g.type!==this.type?this.type-g.type:R(this.key,this.value,g.key,g.value)}equals(g){return g.type===this.type?this.key===g.key&&this.value===g.value:!1}evaluate(g){return g.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(g){return g.mapEquals(this.key,this.value)}negate(){return m.create(this.key,this.value)}}e.ContextKeyEqualsExpr=s;class f{constructor(g,T){this.key=g,this.valueKey=T,this.type=10}static create(g,T){return new f(g,T)}cmp(g){return g.type!==this.type?this.type-g.type:R(this.key,this.valueKey,g.key,g.valueKey)}equals(g){return g.type===this.type?this.key===g.key&&this.valueKey===g.valueKey:!1}evaluate(g){const T=g.getValue(this.valueKey),F=g.getValue(this.key);return Array.isArray(T)?T.indexOf(F)>=0:typeof F=="string"&&typeof T=="object"&&T!==null?C.call(T,F):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(g){return g.mapIn(this.key,this.valueKey)}negate(){return v.create(this)}}e.ContextKeyInExpr=f;class v{constructor(g){this._actual=g,this.type=11}static create(g){return new v(g)}cmp(g){return g.type!==this.type?this.type-g.type:this._actual.cmp(g._actual)}equals(g){return g.type===this.type?this._actual.equals(g._actual):!1}evaluate(g){return!this._actual.evaluate(g)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(g){return new v(this._actual.map(g))}negate(){return this._actual}}e.ContextKeyNotInExpr=v;class m{constructor(g,T){this.key=g,this.value=T,this.type=5}static create(g,T){if(typeof T=="boolean")return T?w.create(g):d.create(g);const F=S.get(g);return typeof F=="boolean"?T===(F?"true":"false")?k.INSTANCE:_.INSTANCE:new m(g,T)}cmp(g){return g.type!==this.type?this.type-g.type:R(this.key,this.value,g.key,g.value)}equals(g){return g.type===this.type?this.key===g.key&&this.value===g.value:!1}evaluate(g){return g.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(g){return g.mapNotEquals(this.key,this.value)}negate(){return s.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=m;class w{constructor(g){this.key=g,this.type=3}static create(g){const T=S.get(g);return typeof T=="boolean"?T?k.INSTANCE:_.INSTANCE:new w(g)}cmp(g){return g.type!==this.type?this.type-g.type:D(this.key,g.key)}equals(g){return g.type===this.type?this.key===g.key:!1}evaluate(g){return!g.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(g){return g.mapNot(this.key)}negate(){return d.create(this.key)}}e.ContextKeyNotExpr=w;class c{constructor(g,T){this.key=g,this.value=T,this.type=12}static create(g,T){return new c(g,T)}cmp(g){return g.type!==this.type?this.type-g.type:R(this.key,this.value,g.key,g.value)}equals(g){return g.type===this.type?this.key===g.key&&this.value===g.value:!1}evaluate(g){return parseFloat(g.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(g){return g.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=c;class u{constructor(g,T){this.key=g,this.value=T,this.type=13}static create(g,T){return new u(g,T)}cmp(g){return g.type!==this.type?this.type-g.type:R(this.key,this.value,g.key,g.value)}equals(g){return g.type===this.type?this.key===g.key&&this.value===g.value:!1}evaluate(g){return parseFloat(g.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(g){return g.mapGreaterEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=u;class a{constructor(g,T){this.key=g,this.value=T,this.type=14}static create(g,T){return new a(g,T)}cmp(g){return g.type!==this.type?this.type-g.type:R(this.key,this.value,g.key,g.value)}equals(g){return g.type===this.type?this.key===g.key&&this.value===g.value:!1}evaluate(g){return parseFloat(g.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(g){return g.mapSmaller(this.key,this.value)}negate(){return u.create(this.key,this.value)}}e.ContextKeySmallerExpr=a;class t{constructor(g,T){this.key=g,this.value=T,this.type=15}static create(g,T){return new t(g,T)}cmp(g){return g.type!==this.type?this.type-g.type:R(this.key,this.value,g.key,g.value)}equals(g){return g.type===this.type?this.key===g.key&&this.value===g.value:!1}evaluate(g){return parseFloat(g.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(g){return g.mapSmallerEquals(this.key,this.value)}negate(){return c.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class r{constructor(g,T){this.key=g,this.regexp=T,this.type=7}static create(g,T){return new r(g,T)}cmp(g){if(g.type!==this.type)return this.type-g.type;if(this.key<g.key)return-1;if(this.key>g.key)return 1;const T=this.regexp?this.regexp.source:"",F=g.regexp?g.regexp.source:"";return T<F?-1:T>F?1:0}equals(g){if(g.type===this.type){const T=this.regexp?this.regexp.source:"",F=g.regexp?g.regexp.source:"";return this.key===g.key&&T===F}return!1}evaluate(g){let T=g.getValue(this.key);return this.regexp?this.regexp.test(T):!1}serialize(){const g=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${g}`}keys(){return[this.key]}map(g){return g.mapRegex(this.key,this.regexp)}negate(){return o.create(this)}}e.ContextKeyRegexExpr=r;class o{constructor(g){this._actual=g,this.type=8}static create(g){return new o(g)}cmp(g){return g.type!==this.type?this.type-g.type:this._actual.cmp(g._actual)}equals(g){return g.type===this.type?this._actual.equals(g._actual):!1}evaluate(g){return!this._actual.evaluate(g)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(g){return new o(this._actual.map(g))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=o;class l{constructor(g){this.expr=g,this.type=6}static create(g){return l._normalizeArr(g)}cmp(g){if(g.type!==this.type)return this.type-g.type;if(this.expr.length<g.expr.length)return-1;if(this.expr.length>g.expr.length)return 1;for(let T=0,F=this.expr.length;T<F;T++){const H=P(this.expr[T],g.expr[T]);if(H!==0)return H}return 0}equals(g){if(g.type===this.type){if(this.expr.length!==g.expr.length)return!1;for(let T=0,F=this.expr.length;T<F;T++)if(!this.expr[T].equals(g.expr[T]))return!1;return!0}return!1}evaluate(g){for(let T=0,F=this.expr.length;T<F;T++)if(!this.expr[T].evaluate(g))return!1;return!0}static _normalizeArr(g){const T=[];let F=!1;for(const H of g)if(!!H){if(H.type===1){F=!0;continue}if(H.type===0)return k.INSTANCE;if(H.type===6){T.push(...H.expr);continue}T.push(H)}if(T.length===0&&F)return _.INSTANCE;if(T.length!==0){if(T.length===1)return T[0];for(T.sort(P);T.length>1;){const H=T[T.length-1];if(H.type!==9)break;T.pop();const le=T.pop(),z=i.create(H.expr.map(B=>l.create([B,le])));z&&(T.push(z),T.sort(P))}return T.length===1?T[0]:new l(T)}}serialize(){return this.expr.map(g=>g.serialize()).join(" && ")}keys(){const g=[];for(let T of this.expr)g.push(...T.keys());return g}map(g){return new l(this.expr.map(T=>T.map(g)))}negate(){let g=[];for(let T of this.expr)g.push(T.negate());return i.create(g)}}e.ContextKeyAndExpr=l;class i{constructor(g){this.expr=g,this.type=9}static create(g){const T=i._normalizeArr(g);if(T.length!==0)return T.length===1?T[0]:new i(T)}cmp(g){if(g.type!==this.type)return this.type-g.type;if(this.expr.length<g.expr.length)return-1;if(this.expr.length>g.expr.length)return 1;for(let T=0,F=this.expr.length;T<F;T++){const H=P(this.expr[T],g.expr[T]);if(H!==0)return H}return 0}equals(g){if(g.type===this.type){if(this.expr.length!==g.expr.length)return!1;for(let T=0,F=this.expr.length;T<F;T++)if(!this.expr[T].equals(g.expr[T]))return!1;return!0}return!1}evaluate(g){for(let T=0,F=this.expr.length;T<F;T++)if(this.expr[T].evaluate(g))return!0;return!1}static _normalizeArr(g){let T=[],F=!1;if(g){for(let H=0,le=g.length;H<le;H++){const z=g[H];if(!!z){if(z.type===0){F=!0;continue}if(z.type===1)return[_.INSTANCE];if(z.type===9){T=T.concat(z.expr);continue}T.push(z)}}if(T.length===0&&F)return[k.INSTANCE];T.sort(P)}return T}serialize(){return this.expr.map(g=>g.serialize()).join(" || ")}keys(){const g=[];for(let T of this.expr)g.push(...T.keys());return g}map(g){return new i(this.expr.map(T=>T.map(g)))}negate(){let g=[];for(let F of this.expr)g.push(F.negate());const T=F=>F.type===9?F.expr:[F];for(;g.length>1;){const F=g.shift(),H=g.shift(),le=[];for(const z of T(F))for(const B of T(H))le.push(n.and(z,B));g.unshift(n.or(...le))}return g[0]}}e.ContextKeyOrExpr=i;class h extends d{constructor(g,T,F){super(g);this.key=g,this._defaultValue=T,typeof F=="object"?h._info.push(Object.assign(Object.assign({},F),{key:g})):F!==!0&&h._info.push({key:g,description:F,type:T!=null?typeof T:void 0})}static all(){return h._info.values()}bindTo(g){return g.createKey(this.key,this._defaultValue)}getValue(g){return g.getContextKeyValue(this.key)}toNegated(){return n.not(this.key)}isEqualTo(g){return n.equals(this.key,g)}notEqualsTo(g){return n.notEquals(this.key,g)}}e.RawContextKey=h,h._info=[],e.IContextKeyService=(0,y.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function D(p,g){return p<g?-1:p>g?1:0}function R(p,g,T,F){return p<T?-1:p>T?1:g<F?-1:g>F?1:0}}),define(we[145],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,b.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,b.refineServiceDecorator)(e.IEnvironmentService)}),define(we[25],Ee([0,1,8,4]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function A(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(!n.uuid||typeof n.uuid=="string")}e.isIExtensionIdentifier=A,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var I;(function(n){n[n.System=0]="System",n[n.User=1]="User"})(I=e.ExtensionType||(e.ExtensionType={}));class S{constructor(P){this.value=P,this._lower=P.toLowerCase()}static equals(P,k){if(typeof P=="undefined"||P===null)return typeof k=="undefined"||k===null;if(typeof k=="undefined"||k===null)return!1;if(typeof P=="string"||typeof k=="string"){let _=typeof P=="string"?P:P.value,d=typeof k=="string"?k:k.value;return b.equalsIgnoreCase(_,d)}return P._lower===k._lower}static toKey(P){return typeof P=="string"?P.toLowerCase():P._lower}}e.ExtensionIdentifier=S;function C(n){return n.contributes&&n.contributes.localizations?n.contributes.localizations.length>0:!1}e.isLanguagePackExtension=C;function E(n){return n.contributes&&n.contributes.authentication?n.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=E,e.IBuiltinExtensionsScannerService=(0,y.createDecorator)("IBuiltinExtensionsScannerService")}),define(we[146],Ee([0,1,8,25]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function A(d,s){return d.uuid&&s.uuid?d.uuid===s.uuid:d.id===s.id?!0:(0,b.compareIgnoreCase)(d.id,s.id)===0}e.areSameExtensions=A;class I{constructor(s,f){this.version=f,this.id=s.id,this.uuid=s.uuid}key(){return`${this.id}-${this.version}`}equals(s){return s instanceof I?A(this,s)&&this.version===s.version:!1}}e.ExtensionIdentifierWithVersion=I;function S(d,s){return`${d}.${s}`}e.getExtensionId=S;function C(d){return d.toLocaleLowerCase()}e.adoptToGalleryExtensionId=C;function E(d,s){return C(S(d,s))}e.getGalleryExtensionId=E;function n(d,s){const f=[],v=m=>{for(const w of f)if(w.some(c=>A(s(c),s(m))))return w;return null};for(const m of d){const w=v(m);w?w.push(m):f.push([m])}return f}e.groupByExtension=n;function P(d){return{id:d.identifier.id,name:d.manifest.name,galleryId:null,publisherId:d.publisherId,publisherName:d.manifest.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:d.manifest.extensionDependencies&&d.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=P;function k(d){return Object.assign({id:d.identifier.id,name:d.name,galleryId:d.identifier.uuid,publisherId:d.publisherId,publisherName:d.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:!!(d.properties.dependencies&&d.properties.dependencies.length>0)},d.telemetryData)}e.getGalleryExtensionTelemetryData=k,e.BetterMergeId=new y.ExtensionIdentifier("pprice.better-merge");function _(d){const s=new Set;for(const f of d)f.malicious&&s.add(f.id.id);return s}e.getMaliciousExtensionsSet=_}),define(we[64],Ee([0,1,122,11,2,4,8,12,22]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,I.createDecorator)("fileService");function n(z){return z.create===!0}e.isFileOpenForWriteOptions=n;var P;(function(z){z[z.Unknown=0]="Unknown",z[z.File=1]="File",z[z.Directory=2]="Directory",z[z.SymbolicLink=64]="SymbolicLink"})(P=e.FileType||(e.FileType={}));var k;(function(z){z[z.FileReadWrite=2]="FileReadWrite",z[z.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",z[z.FileReadStream=16]="FileReadStream",z[z.FileFolderCopy=8]="FileFolderCopy",z[z.PathCaseSensitive=1024]="PathCaseSensitive",z[z.Readonly=2048]="Readonly",z[z.Trash=4096]="Trash",z[z.FileWriteUnlock=8192]="FileWriteUnlock"})(k=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function _(z){return!!(z.capabilities&2)}e.hasReadWriteCapability=_;function d(z){return!!(z.capabilities&8)}e.hasFileFolderCopyCapability=d;function s(z){return!!(z.capabilities&4)}e.hasOpenReadWriteCloseCapability=s;function f(z){return!!(z.capabilities&16)}e.hasFileReadStreamCapability=f;var v;(function(z){z.FileExists="EntryExists",z.FileNotFound="EntryNotFound",z.FileNotADirectory="EntryNotADirectory",z.FileIsADirectory="EntryIsADirectory",z.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",z.FileTooLarge="EntryTooLarge",z.FileWriteLocked="EntryWriteLocked",z.NoPermissions="NoPermissions",z.Unavailable="Unavailable",z.Unknown="Unknown"})(v=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class m extends Error{constructor(B,Q){super(B);this.code=Q}}e.FileSystemProviderError=m;function w(z,B){const Q=new m(z.toString(),B);return u(Q,B),Q}e.createFileSystemProviderError=w;function c(z){return z||w((0,b.localize)(0,null),v.Unknown)}e.ensureFileSystemProviderError=c;function u(z,B){return z.name=B?`${B} (FileSystemError)`:"FileSystemError",z}e.markAsFileSystemProviderError=u;function a(z){if(!z)return v.Unknown;if(z instanceof m)return z.code;const B=/^(.+) \(FileSystemError\)$/.exec(z.name);if(!B)return v.Unknown;switch(B[1]){case v.FileExists:return v.FileExists;case v.FileIsADirectory:return v.FileIsADirectory;case v.FileNotADirectory:return v.FileNotADirectory;case v.FileNotFound:return v.FileNotFound;case v.FileExceedsMemoryLimit:return v.FileExceedsMemoryLimit;case v.FileTooLarge:return v.FileTooLarge;case v.FileWriteLocked:return v.FileWriteLocked;case v.NoPermissions:return v.NoPermissions;case v.Unavailable:return v.Unavailable}return v.Unknown}e.toFileSystemProviderErrorCode=a;function t(z){if(z instanceof D)return z.fileOperationResult;switch(a(z)){case v.FileNotFound:return 1;case v.FileIsADirectory:return 0;case v.FileNotADirectory:return 10;case v.FileWriteLocked:return 5;case v.NoPermissions:return 6;case v.FileExists:return 4;case v.FileExceedsMemoryLimit:return 9;case v.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=t;var r;(function(z){z[z.CREATE=0]="CREATE",z[z.DELETE=1]="DELETE",z[z.MOVE=2]="MOVE",z[z.COPY=3]="COPY"})(r=e.FileOperation||(e.FileOperation={}));class o{constructor(B,Q,M){this.resource=B,this.operation=Q,this.target=M}isOperation(B){return this.operation===B}}e.FileOperationEvent=o;var l;(function(z){z[z.UPDATED=0]="UPDATED",z[z.ADDED=1]="ADDED",z[z.DELETED=2]="DELETED"})(l=e.FileChangeType||(e.FileChangeType={}));class i{constructor(B,Q){this.ignorePathCasing=Q,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=B;for(const M of B)switch(M.type){case 1:this.added||(this.added=E.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(M.resource,M);break;case 0:this.updated||(this.updated=E.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(M.resource,M);break;case 2:this.deleted||(this.deleted=E.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(M.resource,M);break}}contains(B,...Q){return this.doContains(B,{includeChildren:!1},...Q)}affects(B,...Q){return this.doContains(B,{includeChildren:!0},...Q)}doContains(B,Q,...M){var $,N,K,W,Z,ne;if(!B)return!1;const re=M.length>0;return!!((!re||M.includes(1))&&((($=this.added)===null||$===void 0?void 0:$.get(B))||Q.includeChildren&&((N=this.added)===null||N===void 0?void 0:N.findSuperstr(B)))||(!re||M.includes(0))&&(((K=this.updated)===null||K===void 0?void 0:K.get(B))||Q.includeChildren&&((W=this.updated)===null||W===void 0?void 0:W.findSuperstr(B)))||(!re||M.includes(2))&&(((Z=this.deleted)===null||Z===void 0?void 0:Z.findSubstr(B))||Q.includeChildren&&((ne=this.deleted)===null||ne===void 0?void 0:ne.findSuperstr(B))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(B){const Q=[],M=B===1?this.added:B===0?this.updated:this.deleted;if(M)for(const[,$]of M)Q.push($);return Q}filter(B){return new i(this.changes.filter(Q=>B(Q)),this.ignorePathCasing)}}e.FileChangesEvent=i;function h(z,B,Q){return!z||!B||z===B||B.length>z.length?!1:(B.charAt(B.length-1)!==y.sep&&(B+=y.sep),Q?(0,S.startsWithIgnoreCase)(z,B):z.indexOf(B)===0)}e.isParent=h;class D extends Error{constructor(B,Q,M){super(B);this.fileOperationResult=Q,this.options=M}static isFileOperationError(B){return B instanceof Error&&!(0,C.isUndefinedOrNull)(B.fileOperationResult)}}e.FileOperationError=D;var R;(function(z){z[z.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",z[z.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",z[z.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",z[z.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",z[z.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",z[z.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",z[z.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",z[z.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",z[z.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",z[z.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",z[z.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",z[z.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(R=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var p;(function(z){z[z.FILE=0]="FILE",z[z.FOLDER=1]="FOLDER",z[z.ROOT_FOLDER=2]="ROOT_FOLDER"})(p=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function g(z){if(!(typeof z.size!="number"||typeof z.mtime!="number"))return z.mtime.toString(29)+z.size.toString(31)}e.etag=g;async function T(z,B){if(!B.canHandleResource(A.URI.from({scheme:z.scheme})))return new Promise(Q=>{const M=B.onDidChangeFileSystemProviderRegistrations($=>{$.scheme===z.scheme&&$.added&&(M.dispose(),Q())})})}e.whenProviderRegistered=T,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class F{static formatSize(B){return(0,C.isNumber)(B)||(B=0),B<F.KB?(0,b.localize)(1,null,B.toFixed(0)):B<F.MB?(0,b.localize)(2,null,(B/F.KB).toFixed(2)):B<F.GB?(0,b.localize)(3,null,(B/F.MB).toFixed(2)):B<F.TB?(0,b.localize)(4,null,(B/F.GB).toFixed(2)):(0,b.localize)(5,null,(B/F.TB).toFixed(2))}}e.ByteSize=F,F.KB=1024,F.MB=F.KB*F.KB,F.GB=F.MB*F.KB,F.TB=F.GB*F.KB;var H;(function(z){z[z.IA32=0]="IA32",z[z.OTHER=1]="OTHER"})(H=e.Arch||(e.Arch={}));function le(z){return{maxFileSize:z===0?300*F.MB:16*F.GB,maxHeapSize:z===0?700*F.MB:2*700*F.MB}}e.getPlatformLimits=le}),define(we[65],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class b{constructor(...A){this._entries=new Map;for(let[I,S]of A)this.set(I,S)}set(A,I){const S=this._entries.get(A);return this._entries.set(A,I),S}has(A){return this._entries.has(A)}get(A){return this._entries.get(A)}}e.ServiceCollection=b}),define(we[147],Ee([0,1,10,141,86,4,65,13]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const E=!1;class n extends Error{constructor(s){super("cyclic dependency between services");this.message=s.toString()}}class P{constructor(s=new S.ServiceCollection,f=!1,v){this._activeInstantiations=new Set,this._services=s,this._strict=f,this._parent=v,this._services.set(I.IInstantiationService,this)}createChild(s){return new P(s,this._strict,this)}invokeFunction(s,...f){let v=_.traceInvocation(s),m=!1;try{return s({get:(c,u)=>{if(m)throw(0,b.illegalState)("service accessor is only valid during the invocation of its target method");const a=this._getOrCreateServiceInstance(c,v);if(!a&&u!==I.optional)throw new Error(`[invokeFunction] unknown service '${c}'`);return a}},...f)}finally{m=!0,v.stop()}}createInstance(s,...f){let v,m;return s instanceof A.SyncDescriptor?(v=_.traceCreation(s.ctor),m=this._createInstance(s.ctor,s.staticArguments.concat(f),v)):(v=_.traceCreation(s),m=this._createInstance(s,f,v)),v.stop(),m}_createInstance(s,f=[],v){let m=I._util.getServiceDependencies(s).sort((u,a)=>u.index-a.index),w=[];for(const u of m){let a=this._getOrCreateServiceInstance(u.id,v);if(!a&&this._strict&&!u.optional)throw new Error(`[createInstance] ${s.name} depends on UNKNOWN service ${u.id}.`);w.push(a)}let c=m.length>0?m[0].index:f.length;if(f.length!==c){console.warn(`[createInstance] First service dependency of ${s.name} at position ${c+1} conflicts with ${f.length} static arguments`);let u=c-f.length;u>0?f=f.concat(new Array(u)):f=f.slice(0,c)}return new s(...[...f,...w])}_setServiceInstance(s,f){if(this._services.get(s)instanceof A.SyncDescriptor)this._services.set(s,f);else if(this._parent)this._parent._setServiceInstance(s,f);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(s){let f=this._services.get(s);return!f&&this._parent?this._parent._getServiceInstanceOrDescriptor(s):f}_getOrCreateServiceInstance(s,f){let v=this._getServiceInstanceOrDescriptor(s);return v instanceof A.SyncDescriptor?this._safeCreateAndCacheServiceInstance(s,v,f.branch(s,!0)):(f.branch(s,!1),v)}_safeCreateAndCacheServiceInstance(s,f,v){if(this._activeInstantiations.has(s))throw new Error(`illegal state - RECURSIVELY instantiating service '${s}'`);this._activeInstantiations.add(s);try{return this._createAndCacheServiceInstance(s,f,v)}finally{this._activeInstantiations.delete(s)}}_createAndCacheServiceInstance(s,f,v){const m=new y.Graph(u=>u.id.toString());let w=0;const c=[{id:s,desc:f,_trace:v}];for(;c.length;){const u=c.pop();if(m.lookupOrInsertNode(u),w++>1e3)throw new n(m);for(let a of I._util.getServiceDependencies(u.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(a.id);if(!t&&!a.optional&&console.warn(`[createInstance] ${s} depends on ${a.id} which is NOT registered.`),t instanceof A.SyncDescriptor){const r={id:a.id,desc:t,_trace:u._trace.branch(a.id,!0)};m.insertEdge(u,r),c.push(r)}}}for(;;){const u=m.roots();if(u.length===0){if(!m.isEmpty())throw new n(m);break}for(const{data:a}of u){if(this._getServiceInstanceOrDescriptor(a.id)instanceof A.SyncDescriptor){const r=this._createServiceInstanceWithOwner(a.id,a.desc.ctor,a.desc.staticArguments,a.desc.supportsDelayedInstantiation,a._trace);this._setServiceInstance(a.id,r)}m.removeNode(a)}}return this._getServiceInstanceOrDescriptor(s)}_createServiceInstanceWithOwner(s,f,v=[],m,w){if(this._services.get(s)instanceof A.SyncDescriptor)return this._createServiceInstance(f,v,m,w);if(this._parent)return this._parent._createServiceInstanceWithOwner(s,f,v,m,w);throw new Error(`illegalState - creating UNKNOWN service instance ${f.name}`)}_createServiceInstance(s,f=[],v,m){if(v){const w=new C.IdleValue(()=>this._createInstance(s,f,m));return new Proxy(Object.create(null),{get(c,u){if(u in c)return c[u];let a=w.value,t=a[u];return typeof t!="function"||(t=t.bind(a),c[u]=t),t},set(c,u,a){return w.value[u]=a,!0}})}else return this._createInstance(s,f,m)}}e.InstantiationService=P;var k;(function(d){d[d.Creation=0]="Creation",d[d.Invocation=1]="Invocation",d[d.Branch=2]="Branch"})(k||(k={}));class _{constructor(s,f){this.type=s,this.name=f,this._start=Date.now(),this._dep=[]}static traceInvocation(s){return E?new _(1,s.name||s.toString().substring(0,42).replace(/\n/g,"")):_._None}static traceCreation(s){return E?new _(0,s.name):_._None}branch(s,f){let v=new _(2,s.toString());return this._dep.push([s,f,v]),v}stop(){let s=Date.now()-this._start;_._totals+=s;let f=!1;function v(w,c){let u=[],a=new Array(w+1).join("	");for(const[t,r,o]of c._dep)if(r&&o){f=!0,u.push(`${a}CREATES -> ${t}`);let l=v(w+1,o);l&&u.push(l)}else u.push(`${a}uses -> ${t}`);return u.join(`
`)}let m=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${v(1,this)}`,`DONE, took ${s.toFixed(2)}ms (grand total ${_._totals.toFixed(2)}ms)`];(s>2||f)&&console.log(m.join(`
`))}}_._None=new class extends _{constructor(){super(-1,null)}stop(){}branch(){return this}},_._totals=0}),define(we[19],Ee([0,1,4,6,21,3,60]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,b.createDecorator)("logService"),e.ILoggerService=(0,b.createDecorator)("loggerService");function C(){return new Date().toISOString()}var E;(function(u){u[u.Trace=0]="Trace",u[u.Debug=1]="Debug",u[u.Info=2]="Info",u[u.Warning=3]="Warning",u[u.Error=4]="Error",u[u.Critical=5]="Critical",u[u.Off=6]="Off"})(E=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=E.Info;class n extends y.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new I.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(a){this.level!==a&&(this.level=a,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=n;class P extends n{constructor(a){super();this.logAlways=a}checkLogLevel(a){return this.logAlways||this.getLevel()<=a}trace(a,...t){this.checkLogLevel(E.Trace)&&this.log(E.Trace,this.format([a,...t]))}debug(a,...t){this.checkLogLevel(E.Debug)&&this.log(E.Debug,this.format([a,...t]))}info(a,...t){this.checkLogLevel(E.Info)&&this.log(E.Info,this.format([a,...t]))}warn(a,...t){this.checkLogLevel(E.Warning)&&this.log(E.Warning,this.format([a,...t]))}error(a,...t){if(this.checkLogLevel(E.Error))if(a instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=a.stack,this.log(E.Error,this.format(r))}else this.log(E.Error,this.format([a,...t]))}critical(a,...t){this.checkLogLevel(E.Critical)&&this.log(E.Critical,this.format([a,...t]))}flush(){}format(a){let t="";for(let r=0;r<a.length;r++){let o=a[r];if(typeof o=="object")try{o=JSON.stringify(o)}catch(l){}t+=(r>0?" ":"")+o}return t}}e.AbstractMessageLogger=P;class k extends n{constructor(a=e.DEFAULT_LOG_LEVEL){super();this.setLevel(a),this.useColors=!A.isWindows}trace(a,...t){this.getLevel()<=E.Trace&&(this.useColors?console.log(`[90m[main ${C()}][0m`,a,...t):console.log(`[main ${C()}]`,a,...t))}debug(a,...t){this.getLevel()<=E.Debug&&(this.useColors?console.log(`[90m[main ${C()}][0m`,a,...t):console.log(`[main ${C()}]`,a,...t))}info(a,...t){this.getLevel()<=E.Info&&(this.useColors?console.log(`[90m[main ${C()}][0m`,a,...t):console.log(`[main ${C()}]`,a,...t))}warn(a,...t){this.getLevel()<=E.Warning&&(this.useColors?console.warn(`[93m[main ${C()}][0m`,a,...t):console.warn(`[main ${C()}]`,a,...t))}error(a,...t){this.getLevel()<=E.Error&&(this.useColors?console.error(`[91m[main ${C()}][0m`,a,...t):console.error(`[main ${C()}]`,a,...t))}critical(a,...t){this.getLevel()<=E.Critical&&(this.useColors?console.error(`[90m[main ${C()}][0m`,a,...t):console.error(`[main ${C()}]`,a,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=k;class _ extends n{constructor(a=e.DEFAULT_LOG_LEVEL){super();this.setLevel(a)}trace(a,...t){this.getLevel()<=E.Trace&&console.log("%cTRACE","color: #888",a,...t)}debug(a,...t){this.getLevel()<=E.Debug&&console.log("%cDEBUG","background: #eee; color: #888",a,...t)}info(a,...t){this.getLevel()<=E.Info&&console.log("%c INFO","color: #33f",a,...t)}warn(a,...t){this.getLevel()<=E.Warning&&console.log("%c WARN","color: #993",a,...t)}error(a,...t){this.getLevel()<=E.Error&&console.log("%c  ERR","color: #f33",a,...t)}critical(a,...t){this.getLevel()<=E.Critical&&console.log("%cCRITI","background: #f33; color: white",a,...t)}dispose(){}flush(){}}e.ConsoleLogger=_;class d extends n{constructor(a,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=a,this.setLevel(t)}trace(a,...t){this.getLevel()<=E.Trace&&this.adapter.log(E.Trace,[this.extractMessage(a),...t])}debug(a,...t){this.getLevel()<=E.Debug&&this.adapter.log(E.Debug,[this.extractMessage(a),...t])}info(a,...t){this.getLevel()<=E.Info&&this.adapter.log(E.Info,[this.extractMessage(a),...t])}warn(a,...t){this.getLevel()<=E.Warning&&this.adapter.log(E.Warning,[this.extractMessage(a),...t])}error(a,...t){this.getLevel()<=E.Error&&this.adapter.log(E.Error,[this.extractMessage(a),...t])}critical(a,...t){this.getLevel()<=E.Critical&&this.adapter.log(E.Critical,[this.extractMessage(a),...t])}extractMessage(a){return typeof a=="string"?a:(0,S.toErrorMessage)(a,this.getLevel()<=E.Trace)}dispose(){}flush(){}}e.AdapterLogger=d;class s extends n{constructor(a){super();this.logServices=a,a.length&&this.setLevel(a[0].getLevel())}setLevel(a){for(const t of this.logServices)t.setLevel(a);super.setLevel(a)}trace(a,...t){for(const r of this.logServices)r.trace(a,...t)}debug(a,...t){for(const r of this.logServices)r.debug(a,...t)}info(a,...t){for(const r of this.logServices)r.info(a,...t)}warn(a,...t){for(const r of this.logServices)r.warn(a,...t)}error(a,...t){for(const r of this.logServices)r.error(a,...t)}critical(a,...t){for(const r of this.logServices)r.critical(a,...t)}flush(){for(const a of this.logServices)a.flush()}dispose(){for(const a of this.logServices)a.dispose()}}e.MultiplexLogService=s;class f extends y.Disposable{constructor(a){super();this.logger=a,this._register(a)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(a){this.logger.setLevel(a)}getLevel(){return this.logger.getLevel()}trace(a,...t){this.logger.trace(a,...t)}debug(a,...t){this.logger.debug(a,...t)}info(a,...t){this.logger.info(a,...t)}warn(a,...t){this.logger.warn(a,...t)}error(a,...t){this.logger.error(a,...t)}critical(a,...t){this.logger.critical(a,...t)}flush(){this.logger.flush()}}e.LogService=f;class v{constructor(){this.onDidChangeLogLevel=new I.Emitter().event}setLevel(a){}getLevel(){return E.Info}trace(a,...t){}debug(a,...t){}info(a,...t){}warn(a,...t){}error(a,...t){}critical(a,...t){}dispose(){}flush(){}}e.NullLogService=v;function m(u){if(u.verbose)return E.Trace;if(typeof u.logLevel=="string"){const a=w(u.logLevel.toLowerCase());if(a!==void 0)return a}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=m;function w(u){switch(u){case"trace":return E.Trace;case"debug":return E.Debug;case"info":return E.Info;case"warn":return E.Warning;case"error":return E.Error;case"critical":return E.Critical;case"off":return E.Off}}e.parseLogLevel=w;function c(u){switch(u){case E.Trace:return"trace";case E.Debug:return"debug";case E.Info:return"info";case E.Warning:return"warn";case E.Error:return"error";case E.Critical:return"critical";case E.Off:return"off"}}e.LogLevelToString=c}),define(we[87],Ee([0,1,4,123,56]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var I;(function(E){E[E.Unnecessary=1]="Unnecessary",E[E.Deprecated=2]="Deprecated"})(I=e.MarkerTag||(e.MarkerTag={}));var S;(function(E){E[E.Hint=1]="Hint",E[E.Info=2]="Info",E[E.Warning=4]="Warning",E[E.Error=8]="Error"})(S=e.MarkerSeverity||(e.MarkerSeverity={})),function(E){function n(s,f){return f-s}E.compare=n;const P=Object.create(null);P[E.Error]=(0,y.localize)(0,null),P[E.Warning]=(0,y.localize)(1,null),P[E.Info]=(0,y.localize)(2,null);function k(s){return P[s]||""}E.toString=k;function _(s){switch(s){case A.default.Error:return E.Error;case A.default.Warning:return E.Warning;case A.default.Info:return E.Info;case A.default.Ignore:return E.Hint}}E.fromSeverity=_;function d(s){switch(s){case E.Error:return A.default.Error;case E.Warning:return A.default.Warning;case E.Info:return A.default.Info;case E.Hint:return A.default.Ignore}}E.toSeverity=d}(S=e.MarkerSeverity||(e.MarkerSeverity={}));var C;(function(E){const n="";function P(_){return k(_,!0)}E.makeKey=P;function k(_,d){let s=[n];return _.source?s.push(_.source.replace("\xA6","\\\xA6")):s.push(n),_.code?typeof _.code=="string"?s.push(_.code.replace("\xA6","\\\xA6")):s.push(_.code.value.replace("\xA6","\\\xA6")):s.push(n),_.severity!==void 0&&_.severity!==null?s.push(S.toString(_.severity)):s.push(n),_.message&&d?s.push(_.message.replace("\xA6","\\\xA6")):s.push(n),_.startLineNumber!==void 0&&_.startLineNumber!==null?s.push(_.startLineNumber.toString()):s.push(n),_.startColumn!==void 0&&_.startColumn!==null?s.push(_.startColumn.toString()):s.push(n),_.endLineNumber!==void 0&&_.endLineNumber!==null?s.push(_.endLineNumber.toString()):s.push(n),_.endColumn!==void 0&&_.endColumn!==null?s.push(_.endColumn.toString()):s.push(n),s.push(n),s.join("\xA6")}E.makeKeyOptionalMessage=k})(C=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,b.createDecorator)("markerService")}),define(we[148],Ee([0,1,56,4,3]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=b.default,e.INotificationService=(0,y.createDecorator)("notificationService");var I;(function(n){n[n.WORKSPACE=0]="WORKSPACE",n[n.GLOBAL=1]="GLOBAL"})(I=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var S;(function(n){n[n.OFF=0]="OFF",n[n.SILENT=1]="SILENT",n[n.ERROR=2]="ERROR"})(S=e.NotificationsFilter||(e.NotificationsFilter={}));class C{constructor(){this.progress=new E,this.onDidClose=A.Event.None,this.onDidChangeVisibility=A.Event.None}updateSeverity(P){}updateMessage(P){}updateActions(P){}close(){}}e.NoOpNotification=C;class E{infinite(){}done(){}total(P){}worked(P){}}e.NoOpProgress=E});var je=this&&this.__decorate||function(oe,e,b,y){var A=arguments.length,I=A<3?e:y===null?y=Object.getOwnPropertyDescriptor(e,b):y,S;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")I=Reflect.decorate(oe,e,b,y);else for(var C=oe.length-1;C>=0;C--)(S=oe[C])&&(I=(A<3?S(I):A>3?S(e,b,I):S(e,b))||I);return A>3&&I&&Object.defineProperty(e,b,I),I},qe=this&&this.__param||function(oe,e){return function(b,y){e(b,y,oe)}};define(we[149],Ee([0,1,4,20,6,13]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,b.createDecorator)("progressService");var S;(function(P){P[P.Explorer=1]="Explorer",P[P.Scm=3]="Scm",P[P.Extensions=5]="Extensions",P[P.Window=10]="Window",P[P.Notification=15]="Notification",P[P.Dialog=20]="Dialog"})(S=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class C{constructor(k){this.callback=k}get value(){return this._value}report(k){this._value=k,this.callback(this._value)}}e.Progress=C,C.None=Object.freeze({report(){}});let E=class extends A.Disposable{constructor(k,_){super();this.deferred=new I.DeferredPromise,_.withProgress(k,d=>(this.reporter=d,this.lastStep&&d.report(this.lastStep),this.deferred.p)),this._register((0,A.toDisposable)(()=>this.deferred.complete()))}report(k){this.reporter?this.reporter.report(k):this.lastStep=k}};E=je([qe(1,e.IProgressService)],E),e.UnmanagedProgress=E;class n extends A.Disposable{constructor(k){super();this.progressIndicator=k,this.currentOperationId=0,this.currentOperationDisposables=this._register(new A.DisposableStore)}start(k){this.stop();const _=++this.currentOperationId,d=new y.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{_===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},k),this.currentOperationDisposables.add((0,A.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,A.toDisposable)(()=>d.cancel())),this.currentOperationDisposables.add((0,A.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:_,token:d.token,stop:()=>this.doStop(_),isCurrent:()=>this.currentOperationId===_}}stop(){this.doStop(this.currentOperationId)}doStop(k){this.currentOperationId===k&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=n,e.IEditorProgressService=(0,b.createDecorator)("editorProgressService")}),define(we[30],Ee([0,1,12,43]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class A{constructor(){this.data=new Map}add(S,C){y.ok(b.isString(S)),y.ok(b.isObject(C)),y.ok(!this.data.has(S),"There is already an extension with this id"),this.data.set(S,C)}knows(S){return this.data.has(S)}as(S){return this.data.get(S)||null}}e.Registry=new A}),define(we[88],Ee([0,1,30,3]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function A(C){return C.length>0&&C.charAt(C.length-1)==="#"?C.substring(0,C.length-1):C}class I{constructor(){this._onDidChangeSchema=new y.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(E,n){this.schemasById[A(E)]=n,this._onDidChangeSchema.fire(E)}notifySchemaChanged(E){this._onDidChangeSchema.fire(E)}getSchemaContributions(){return{schemas:this.schemasById}}}const S=new I;b.Registry.add(e.Extensions.JSONContribution,S)}),define(we[66],Ee([0,1,121,3,30,12,88]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var C;(function(v){v[v.APPLICATION=1]="APPLICATION",v[v.MACHINE=2]="MACHINE",v[v.WINDOW=3]="WINDOW",v[v.RESOURCE=4]="RESOURCE",v[v.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",v[v.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(C=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const E=A.Registry.as(S.Extensions.JSONContribution);class n{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new y.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new y.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:b.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(m,w=!0){this.registerConfigurations([m],w)}registerConfigurations(m,w=!0){const c=[];m.forEach(u=>{c.push(...this.validateAndRegisterProperties(u,w)),this.configurationContributors.push(u),this.registerJSONConfiguration(u)}),E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(c)}deregisterConfigurations(m){const w=[],c=u=>{if(u.properties)for(const a in u.properties)w.push(a),delete this.configurationProperties[a],this.removeFromSchema(a,u.properties[a]);u.allOf&&u.allOf.forEach(a=>c(a))};for(const u of m){c(u);const a=this.configurationContributors.indexOf(u);a!==-1&&this.configurationContributors.splice(a,1)}E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(w)}registerDefaultConfigurations(m){const w=[],c=[];for(const u of m)for(const a in u)if(w.push(a),e.OVERRIDE_PROPERTY_PATTERN.test(a)){this.defaultValues[a]=Object.assign(Object.assign({},this.defaultValues[a]||{}),u[a]);const t={type:"object",default:this.defaultValues[a],description:b.localize(1,null,a),$ref:e.resourceLanguageSettingsSchemaId};c.push(k(a)),this.configurationProperties[a]=t,this.defaultLanguageConfigurationOverridesNode.properties[a]=t}else{this.defaultValues[a]=u[a];const t=this.configurationProperties[a];t&&(this.updatePropertyDefaultValue(a,t),this.updateSchema(a,t))}this.registerOverrideIdentifiers(c),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(w)}deregisterDefaultConfigurations(m){const w=[];for(const c of m)for(const u in c)if(w.push(u),delete this.defaultValues[u],e.OVERRIDE_PROPERTY_PATTERN.test(u))delete this.configurationProperties[u],delete this.defaultLanguageConfigurationOverridesNode.properties[u];else{const a=this.configurationProperties[u];a&&(this.updatePropertyDefaultValue(u,a),this.updateSchema(u,a))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(w)}notifyConfigurationSchemaUpdated(...m){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(m){for(const w of m)this.overrideIdentifiers.add(w);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(m,w=!0,c=3){c=I.isUndefinedOrNull(m.scope)?c:m.scope;let u=[],a=m.properties;if(a)for(let r in a){if(w&&s(r)){delete a[r];continue}const o=a[r];if(this.updatePropertyDefaultValue(r,o),e.OVERRIDE_PROPERTY_PATTERN.test(r)?o.scope=void 0:o.scope=I.isUndefinedOrNull(o.scope)?c:o.scope,a[r].hasOwnProperty("included")&&!a[r].included){this.excludedConfigurationProperties[r]=a[r],delete a[r];continue}else this.configurationProperties[r]=a[r];!a[r].deprecationMessage&&a[r].markdownDeprecationMessage&&(a[r].deprecationMessage=a[r].markdownDeprecationMessage),u.push(r)}let t=m.allOf;if(t)for(let r of t)u.push(...this.validateAndRegisterProperties(r,w,c));return u}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(m){const w=c=>{let u=c.properties;if(u)for(const t in u)this.updateSchema(t,u[t]);let a=c.allOf;a&&a.forEach(w)};w(m)}updateSchema(m,w){switch(e.allSettings.properties[m]=w,w.scope){case 1:e.applicationSettings.properties[m]=w;break;case 2:e.machineSettings.properties[m]=w;break;case 6:e.machineOverridableSettings.properties[m]=w;break;case 3:e.windowSettings.properties[m]=w;break;case 4:e.resourceSettings.properties[m]=w;break;case 5:e.resourceSettings.properties[m]=w,this.resourceLanguageSettingsSchema.properties[m]=w;break}}removeFromSchema(m,w){switch(delete e.allSettings.properties[m],w.scope){case 1:delete e.applicationSettings.properties[m];break;case 2:delete e.machineSettings.properties[m];break;case 6:delete e.machineOverridableSettings.properties[m];break;case 3:delete e.windowSettings.properties[m];break;case 4:case 5:delete e.resourceSettings.properties[m];break}}updateOverridePropertyPatternKey(){for(const m of this.overrideIdentifiers.values()){const w=`[${m}]`,c={type:"object",description:b.localize(2,null),errorMessage:b.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(w,c),e.allSettings.properties[w]=c,e.applicationSettings.properties[w]=c,e.machineSettings.properties[w]=c,e.machineOverridableSettings.properties[w]=c,e.windowSettings.properties[w]=c,e.resourceSettings.properties[w]=c}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(m,w){let c=this.defaultValues[m];I.isUndefined(c)&&(c=w.default),I.isUndefined(c)&&(c=_(w.type)),w.default=c}}const P="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(P);function k(v){return v.substring(1,v.length-1)}e.overrideIdentifierFromKey=k;function _(v){switch(Array.isArray(v)?v[0]:v){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=_;const d=new n;A.Registry.add(e.Extensions.Configuration,d);function s(v){return v.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(v)?b.localize(5,null,v):d.getConfigurationProperties()[v]!==void 0?b.localize(6,null,v):null:b.localize(4,null)}e.validateProperty=s;function f(){const v=[],m=d.getConfigurationProperties();for(const w of Object.keys(m))v.push([w,m[w].scope]);return v.push(["launch",4]),v.push(["task",4]),v}e.getScopes=f}),define(we[89],Ee([0,1,23,12,2,30,4,66]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,S.createDecorator)("configurationService");function E(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof A.URI)}e.isConfigurationOverrides=E;var n;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(n=e.ConfigurationTarget||(e.ConfigurationTarget={}));function P(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=P;function k(r,o){const l=o?r?o.keys.filter(T=>r.keys.indexOf(T)===-1):[...o.keys]:[],i=r?o?r.keys.filter(T=>o.keys.indexOf(T)===-1):[...r.keys]:[],h=[];if(o&&r){for(const T of r.keys)if(o.keys.indexOf(T)!==-1){const F=m(r.contents,T),H=m(o.contents,T);b.equals(F,H)||h.push(T)}}const D=[],R=T=>{const F={};for(const H of T)for(const le of H.identifiers)F[a(le)]=H;return F},p=o?R(o.overrides):{},g=r?R(r.overrides):{};if(Object.keys(p).length)for(const T of l){const F=p[T];F&&D.push([(0,C.overrideIdentifierFromKey)(T),F.keys])}if(Object.keys(g).length)for(const T of i){const F=g[T];F&&D.push([(0,C.overrideIdentifierFromKey)(T),F.keys])}if(Object.keys(p).length&&Object.keys(g).length)for(const T of h){const F=g[T],H=p[T];if(F&&H){const le=k({contents:F.contents,keys:F.keys,overrides:[]},{contents:H.contents,keys:H.keys,overrides:[]});D.push([(0,C.overrideIdentifierFromKey)(T),[...le.added,...le.removed,...le.updated]])}}return{added:l,removed:i,updated:h,overrides:D}}e.compare=k;function _(r,o){const l=[];for(const i of Object.keys(r))if(C.OVERRIDE_PROPERTY_PATTERN.test(i)){const h={};for(const D in r[i])h[D]=r[i][D];l.push({identifiers:[(0,C.overrideIdentifierFromKey)(i).trim()],keys:Object.keys(h),contents:d(h,o)})}return l}e.toOverrides=_;function d(r,o){const l=Object.create(null);for(let i in r)s(l,i,r[i],o);return l}e.toValuesTree=d;function s(r,o,l,i){const h=o.split("."),D=h.pop();let R=r;for(let p=0;p<h.length;p++){let g=h[p],T=R[g];switch(typeof T){case"undefined":T=R[g]=Object.create(null);break;case"object":break;default:i(`Ignoring ${o} as ${h.slice(0,p+1).join(".")} is ${JSON.stringify(T)}`);return}R=T}if(typeof R=="object"&&R!==null)try{R[D]=l}catch(p){i(`Ignoring ${o} as ${h.join(".")} is ${JSON.stringify(R)}`)}else i(`Ignoring ${o} as ${h.join(".")} is ${JSON.stringify(R)}`)}e.addToValueTree=s;function f(r,o){const l=o.split(".");v(r,l)}e.removeFromValueTree=f;function v(r,o){const l=o.shift();if(o.length===0){delete r[l];return}if(Object.keys(r).indexOf(l)!==-1){const i=r[l];typeof i=="object"&&!Array.isArray(i)&&(v(i,o),Object.keys(i).length===0&&delete r[l])}}function m(r,o,l){function i(R,p){let g=R;for(const T of p){if(typeof g!="object"||g===null)return;g=g[T]}return g}const h=o.split("."),D=i(r,h);return typeof D=="undefined"?l:D}e.getConfigurationValue=m;function w(r,o,l){Object.keys(o).forEach(i=>{i!=="__proto__"&&(i in r?y.isObject(r[i])&&y.isObject(o[i])?w(r[i],o[i],l):l&&(r[i]=o[i]):r[i]=o[i])})}e.merge=w;function c(){const r=I.Registry.as(C.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=c;function u(){const r=Object.create(null),o=I.Registry.as(C.Extensions.Configuration).getConfigurationProperties();for(let l in o){let i=o[l].default;s(r,l,i,h=>console.error(`Conflict in default settings: ${h}`))}return r}e.getDefaultValues=u;function a(r){return`[${r}]`}e.keyFromOverrideIdentifier=a;function t(r,o,l){const i=r.inspect(o),h=r.inspect(l);return typeof i.userValue!="undefined"||typeof i.workspaceValue!="undefined"||typeof i.workspaceFolderValue!="undefined"?i.value:typeof h.userValue!="undefined"||typeof h.workspaceValue!="undefined"||typeof h.workspaceFolderValue!="undefined"?h.value:i.defaultValue}e.getMigratedSettingValue=t}),define(we[150],Ee([0,1,45,22,15,12,23,2,66,89,30,6,3]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class d{constructor(t={},r=[],o=[]){this._contents=t,this._keys=r,this._overrides=o,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?(0,n.getConfigurationValue)(this.contents,t):this.contents}getOverrideValue(t,r){const o=this.getContentsForOverrideIdentifer(r);return o?t?(0,n.getConfigurationValue)(o,t):o:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let o={};for(const l of A.distinct([...Object.keys(this.contents),...Object.keys(r)])){let i=this.contents[l],h=r[l];h&&(typeof i=="object"&&typeof h=="object"?(i=S.deepClone(i),this.mergeContents(i,h)):i=h),o[l]=i}return new d(o,this.keys,this.overrides)}merge(...t){const r=S.deepClone(this.contents),o=S.deepClone(this.overrides),l=[...this.keys];for(const i of t){this.mergeContents(r,i.contents);for(const h of i.overrides){const[D]=o.filter(R=>A.equals(R.identifiers,h.identifiers));D?this.mergeContents(D.contents,h.contents):o.push(S.deepClone(h))}for(const h of i.keys)l.indexOf(h)===-1&&l.push(h)}return new d(r,l,o)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const o of Object.keys(r)){if(o in t&&I.isObject(t[o])&&I.isObject(r[o])){this.mergeContents(t[o],r[o]);continue}t[o]=S.deepClone(r[o])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?S.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),(0,n.addToValueTree)(this.contents,t,r,o=>{throw new Error(o)})}removeValue(t){this.removeKey(t)&&(0,n.removeFromValueTree)(this.contents,t)}addKey(t){let r=this.keys.length;for(let o=0;o<r;o++)t.indexOf(this.keys[o])===0&&(r=o);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=d;class s extends d{constructor(){const t=(0,n.getDefaultValues)(),r=(0,n.getConfigurationKeys)(),o=[];for(const l of Object.keys(t))E.OVERRIDE_PROPERTY_PATTERN.test(l)&&o.push({identifiers:[(0,E.overrideIdentifierFromKey)(l).trim()],keys:Object.keys(t[l]),contents:(0,n.toValuesTree)(t[l],i=>console.error(`Conflict in default settings file: ${i}`))});super(t,r,o)}}e.DefaultConfigurationModel=s;class f{constructor(t,r){this._name=t,this._scopes=r,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new d}get errors(){return this._parseErrors}parseContent(t){if(!I.isUndefinedOrNull(t)){const r=this.doParseContent(t);this.parseRaw(r)}}parseRaw(t){this._raw=t;const r=this.doParseRaw(t);this._configurationModel=new d(r.contents,r.keys,r.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let r={},o=null,l=[],i=[],h=[];function D(p){Array.isArray(l)?l.push(p):o&&(l[o]=p)}let R={onObjectBegin:()=>{let p={};D(p),i.push(l),l=p,o=null},onObjectProperty:p=>{o=p},onObjectEnd:()=>{l=i.pop()},onArrayBegin:()=>{let p=[];D(p),i.push(l),l=p,o=null},onArrayEnd:()=>{l=i.pop()},onLiteralValue:D,onError:(p,g,T)=>{h.push({error:p,offset:g,length:T})}};if(t)try{b.visit(t,R),r=l[0]||{}}catch(p){console.error(`Error while parsing settings file ${this._name}: ${p}`),this._parseErrors=[p]}return r}doParseRaw(t){if(this._scopes){const i=P.Registry.as(E.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,i,!0,this._scopes)}const r=(0,n.toValuesTree)(t,i=>console.error(`Conflict in settings file ${this._name}: ${i}`)),o=Object.keys(t),l=(0,n.toOverrides)(t,i=>console.error(`Conflict in settings file ${this._name}: ${i}`));return{contents:r,keys:o,overrides:l}}filterByScope(t,r,o,l){const i={};for(let h in t)if(E.OVERRIDE_PROPERTY_PATTERN.test(h)&&o)i[h]=this.filterByScope(t[h],r,!1,l);else{const D=this.getScope(h,r);(D===void 0||l.indexOf(D)!==-1)&&(i[h]=t[h])}return i}getScope(t,r){const o=r[t];return o?typeof o.scope!="undefined"?o.scope:3:void 0}}e.ConfigurationModelParser=f;class v extends k.Disposable{constructor(t,r,o,l){super();this.userSettingsResource=t,this.scopes=r,this.fileService=l,this._onDidChange=this._register(new _.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new f(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(o.dirname(this.userSettingsResource))),this._register(_.Event.filter(this.fileService.onDidFilesChange,i=>i.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new d}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=v;class m{constructor(t,r,o=new d,l=new d,i=new y.ResourceMap,h=new d,D=new y.ResourceMap,R=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=o,this._workspaceConfiguration=l,this._folderConfigurations=i,this._memoryConfiguration=h,this._memoryConfigurationByResource=D,this._freeze=R,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new y.ResourceMap,this._userConfiguration=null}getValue(t,r,o){return this.getConsolidateConfigurationModel(r,o).getValue(t)}updateValue(t,r,o={}){let l;o.resource?(l=this._memoryConfigurationByResource.get(o.resource),l||(l=new d,this._memoryConfigurationByResource.set(o.resource,l))):l=this._memoryConfiguration,r===void 0?l.removeValue(t):l.setValue(t,r),o.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,o){const l=this.getConsolidateConfigurationModel(r,o),i=this.getFolderConfigurationModelForResource(r.resource,o),h=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,D=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),R=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),p=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),g=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),T=o?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,F=i?r.overrideIdentifier?i.freeze().override(r.overrideIdentifier).getValue(t):i.freeze().getValue(t):void 0,H=r.overrideIdentifier?h.override(r.overrideIdentifier).getValue(t):h.getValue(t),le=l.getValue(t),z=A.distinct(A.flatten(l.overrides.map(B=>B.identifiers))).filter(B=>l.getOverrideValue(t,B)!==void 0);return{defaultValue:D,userValue:R,userLocalValue:p,userRemoteValue:g,workspaceValue:T,workspaceFolderValue:F,memoryValue:H,value:le,default:D!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:R!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:p!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:g!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:T!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:F!==void 0?{value:i==null?void 0:i.freeze().getValue(t),override:r.overrideIdentifier?i==null?void 0:i.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:H!==void 0?{value:h.getValue(t),override:r.overrideIdentifier?h.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:z.length?z:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const o=r.filter(l=>E.OVERRIDE_PROPERTY_PATTERN.test(l)).map(l=>{const i=(0,E.overrideIdentifierFromKey)(l),h=this._defaultConfiguration.getKeysForOverrideIdentifier(i),D=t.getKeysForOverrideIdentifier(i),R=[...D.filter(p=>h.indexOf(p)===-1),...h.filter(p=>D.indexOf(p)===-1),...h.filter(p=>!S.equals(this._defaultConfiguration.override(i).getValue(p),t.override(i).getValue(p)))];return[i,R]});return this.updateDefaultConfiguration(t),{keys:r,overrides:o}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:o,removed:l,overrides:i}=(0,n.compare)(this.localUserConfiguration,t),h=[...r,...o,...l];return h.length&&this.updateLocalUserConfiguration(t),{keys:h,overrides:i}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:o,removed:l,overrides:i}=(0,n.compare)(this.remoteUserConfiguration,t);let h=[...r,...o,...l];return h.length&&this.updateRemoteUserConfiguration(t),{keys:h,overrides:i}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:o,removed:l,overrides:i}=(0,n.compare)(this.workspaceConfiguration,t);let h=[...r,...o,...l];return h.length&&this.updateWorkspaceConfiguration(t),{keys:h,overrides:i}}compareAndUpdateFolderConfiguration(t,r){const o=this.folderConfigurations.get(t),{added:l,updated:i,removed:h,overrides:D}=(0,n.compare)(o,r);let R=[...l,...i,...h];return(R.length||!o)&&this.updateFolderConfiguration(t,r),{keys:R,overrides:D}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:o,updated:l,removed:i,overrides:h}=(0,n.compare)(r,void 0);return{keys:[...o,...l,...i],overrides:h}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let o=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?o.override(t.overrideIdentifier):o}getConsolidatedConfigurationModelForResource({resource:t},r){let o=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const l=r.getFolder(t);l&&(o=this.getFolderConsolidatedConfiguration(l.uri)||o);const i=this._memoryConfigurationByResource.get(t);i&&(o=o.merge(i))}return o}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const o=this.getWorkspaceConsolidatedConfiguration(),l=this._folderConfigurations.get(t);l?(r=o.merge(l),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=o}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const o=r.getFolder(t);if(o)return this._folderConfigurations.get(o.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:o,overrides:l,keys:i}=this._folderConfigurations.get(r);return t.push([r,{contents:o,overrides:l,keys:i}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(o=>t.add(o))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o)),this._folderConfigurations.forEach(o=>o.getKeysForOverrideIdentifier(t).forEach(l=>r.add(l))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),o=this.parseConfigurationModel(t.user),l=this.parseConfigurationModel(t.workspace),i=t.folders.reduce((h,D)=>(h.set(C.URI.revive(D[0]),this.parseConfigurationModel(D[1])),h),new y.ResourceMap);return new m(r,o,new d,l,i,new d,new y.ResourceMap,!1)}static parseConfigurationModel(t){return new d(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=m;function w(...a){if(a.length===0)return{keys:[],overrides:[]};if(a.length===1)return a[0];const t=new Set,r=new Map;for(const l of a)l.keys.forEach(i=>t.add(i)),l.overrides.forEach(([i,h])=>{const D=(0,y.getOrSet)(r,i,new Set);h.forEach(R=>D.add(R))});const o=[];return r.forEach((l,i)=>o.push([i,[...l.values()]])),{keys:[...t.values()],overrides:o}}e.mergeChanges=w;class c{constructor(t,r,o,l){this.change=t,this.previous=r,this.currentConfiguraiton=o,this.currentWorkspace=l,this._previousConfiguration=void 0;const i=new Set;t.keys.forEach(D=>i.add(D)),t.overrides.forEach(([,D])=>D.forEach(R=>i.add(R))),this.affectedKeys=[...i.values()];const h=new d;this.affectedKeys.forEach(D=>h.setValue(D,{})),this.affectedKeysTree=h.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=m.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){var o;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const l=this.previousConfiguration?this.previousConfiguration.getValue(t,r,(o=this.previous)===null||o===void 0?void 0:o.workspace):void 0,i=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!S.equals(l,i)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let o=(0,n.toValuesTree)({[r]:!0},()=>{}),l;for(;typeof o=="object"&&(l=Object.keys(o)[0]);){if(t=t[l],!t)return!1;o=o[l]}return!0}}e.ConfigurationChangeEvent=c;class u extends c{constructor(t,r,o,l){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=o,this.sourceConfig=l}}e.AllKeysConfigurationChangeEvent=u}),define(we[90],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,b.createDecorator)("remoteAuthorityResolverService");var y;(function(I){I.Unknown="Unknown",I.NotAvailable="NotAvailable",I.TemporarilyNotAvailable="TemporarilyNotAvailable",I.NoResolverFound="NoResolverFound"})(y=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class A extends Error{constructor(S,C=y.Unknown,E){super(S);this._message=S,this._code=C,this._detail=E,this.isHandled=C===y.NotAvailable&&E===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,A.prototype)}static isTemporarilyNotAvailable(S){return S instanceof A&&S._code===y.TemporarilyNotAvailable}static isNoResolverFound(S){return S instanceof A&&S._code===y.NoResolverFound}static isHandled(S){return S instanceof A&&S.isHandled}}e.RemoteAuthorityResolverError=A}),define(we[91],Ee([0,1,16]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function y(I){return I.scheme===b.Schemas.vscodeRemote?I.authority:void 0}e.getRemoteAuthority=y;function A(I){if(!!I){const S=I.indexOf("+");return S<0?I:I.substr(0,S)}}e.getRemoteName=A}),define(we[151],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class b{constructor(A){this._callback=A,this._terminalBufferMap=new Map}dispose(){for(const A of this._terminalBufferMap.values())A.dispose()}startBuffering(A,I,S=5){let C;return C=I(E=>{const n=typeof E=="string"?E:E.data;let P=this._terminalBufferMap.get(A);if(P){P.data.push(n);return}const k=setTimeout(()=>this._flushBuffer(A),S);P={data:[n],timeoutId:k,dispose:()=>{clearTimeout(k),this._flushBuffer(A),C.dispose()}},this._terminalBufferMap.set(A,P)}),C}stopBuffering(A){const I=this._terminalBufferMap.get(A);I&&I.dispose()}_flushBuffer(A){const I=this._terminalBufferMap.get(A);I&&(this._terminalBufferMap.delete(A),this._callback(A,I.data.join("")))}}e.TerminalDataBufferer=b}),define(we[152],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var b;(function(y){y.DARK="dark",y.LIGHT="light",y.HIGH_CONTRAST="hc"})(b=e.ColorScheme||(e.ColorScheme={}))}),define(we[153],Ee([0,1,4,6,30,3,152,37]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,b.createDecorator)("themeService");var E;(function(v){function m(w){return w&&typeof w=="object"&&typeof w.id=="string"}v.isThemeColor=m})(E=e.ThemeColor||(e.ThemeColor={}));function n(v){return{id:v}}e.themeColorFromId=n;var P;(function(v){function m(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||E.isThemeColor(t.color))}v.isThemeIcon=m;const w=new RegExp(`^\\$\\((${C.CSSIcon.iconNameExpression}(?:${C.CSSIcon.iconModifierExpression})?)\\)$`);function c(t){const r=w.exec(t);if(!!r){let[,o]=r;return{id:o}}}v.fromString=c;function u(t,r){let o=t.id;const l=o.lastIndexOf("~");return l!==-1&&(o=o.substring(0,l)),r&&(o=`${o}~${r}`),{id:o}}v.modify=u;function a(t,r){var o,l;return t.id===r.id&&((o=t.color)===null||o===void 0?void 0:o.id)===((l=r.color)===null||l===void 0?void 0:l.id)}v.isEqual=a,v.asClassNameArray=C.CSSIcon.asClassNameArray,v.asClassName=C.CSSIcon.asClassName,v.asCSSSelector=C.CSSIcon.asCSSSelector})(P=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=C.Codicon.file,e.FolderThemeIcon=C.Codicon.folder;function k(v){switch(v){case S.ColorScheme.DARK:return"vs-dark";case S.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class _{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new I.Emitter}onColorThemeChange(m){return this.themingParticipants.push(m),this.onThemingParticipantAddedEmitter.fire(m),(0,y.toDisposable)(()=>{const w=this.themingParticipants.indexOf(m);this.themingParticipants.splice(w,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let d=new _;A.Registry.add(e.Extensions.ThemingContribution,d);function s(v){return d.onColorThemeChange(v)}e.registerThemingParticipant=s;class f extends y.Disposable{constructor(m){super();this.themeService=m,this.theme=m.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(w=>this.onThemeChange(w)))}onThemeChange(m){this.theme=m,this.updateStyles()}updateStyles(){}getColor(m,w){let c=this.theme.getColor(m);return c&&w&&(c=w(c,this.theme)),c?c.toString():null}}e.Themable=f}),define(we[154],Ee([0,1,30,153,3,124,88,13,37]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.syncing=e.gotoNextLocation=e.gotoPreviousLocation=e.widgetClose=e.iconsSchemaId=e.getIconRegistry=e.registerIcon=e.Extensions=void 0,e.Extensions={IconContribution:"base.contributions.icons"};class n{constructor(){this._onDidChange=new A.Emitter,this.onDidChange=this._onDidChange.event,this.iconSchema={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,I.localize)(0,null)},fontCharacter:{type:"string",description:(0,I.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.iconReferenceSchema={type:"string",pattern:`^${E.CSSIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.iconsById={},this.iconFontsById={}}registerIcon(m,w,c,u){const a=this.iconsById[m];if(a){if(c&&!a.description){a.description=c,this.iconSchema.properties[m].markdownDescription=`${c} $(${m})`;const o=this.iconReferenceSchema.enum.indexOf(m);o!==-1&&(this.iconReferenceSchema.enumDescriptions[o]=c),this._onDidChange.fire()}return a}let t={id:m,description:c,defaults:w,deprecationMessage:u};this.iconsById[m]=t;let r={$ref:"#/definitions/icons"};return u&&(r.deprecationMessage=u),c&&(r.markdownDescription=`${c}: $(${m})`),this.iconSchema.properties[m]=r,this.iconReferenceSchema.enum.push(m),this.iconReferenceSchema.enumDescriptions.push(c||""),this._onDidChange.fire(),{id:m}}deregisterIcon(m){delete this.iconsById[m],delete this.iconSchema.properties[m];const w=this.iconReferenceSchema.enum.indexOf(m);w!==-1&&(this.iconReferenceSchema.enum.splice(w,1),this.iconReferenceSchema.enumDescriptions.splice(w,1)),this._onDidChange.fire()}getIcons(){return Object.keys(this.iconsById).map(m=>this.iconsById[m])}getIcon(m){return this.iconsById[m]}getIconSchema(){return this.iconSchema}getIconReferenceSchema(){return this.iconReferenceSchema}registerIconFont(m,w){const c=this.iconFontsById[m];if(c)return c;let u={id:m,definition:w};return this.iconFontsById[m]=u,this._onDidChange.fire(),u}deregisterIconFont(m){delete this.iconFontsById[m]}getIconFonts(){return Object.keys(this.iconFontsById).map(m=>this.iconFontsById[m])}getIconFont(m){return this.iconFontsById[m]}toString(){const m=(a,t)=>a.id.localeCompare(t.id),w=a=>{for(;y.ThemeIcon.isThemeIcon(a.defaults);)a=this.iconsById[a.defaults.id];return`codicon codicon-${a?a.id:""}`};let c=[];c.push("| preview     | identifier                        | default codicon ID                | description"),c.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const u=Object.keys(this.iconsById).map(a=>this.iconsById[a]);for(const a of u.filter(t=>!!t.description).sort(m))c.push(`|<i class="${w(a)}"></i>|${a.id}|${y.ThemeIcon.isThemeIcon(a.defaults)?a.defaults.id:a.id}|${a.description||""}|`);c.push("| preview     | identifier                        "),c.push("| ----------- | --------------------------------- |");for(const a of u.filter(t=>!y.ThemeIcon.isThemeIcon(t.defaults)).sort(m))c.push(`|<i class="${w(a)}"></i>|${a.id}|`);return c.join(`
`)}}const P=new n;b.Registry.add(e.Extensions.IconContribution,P);function k(v,m,w,c){return P.registerIcon(v,m,w,c)}e.registerIcon=k;function _(){return P}e.getIconRegistry=_;function d(){for(const v of E.iconRegistry.all)P.registerIcon(v.id,v.definition,v.description);E.iconRegistry.onDidRegister(v=>P.registerIcon(v.id,v.definition,v.description))}d(),e.iconsSchemaId="vscode://schemas/icons";let s=b.Registry.as(S.Extensions.JSONContribution);s.registerSchema(e.iconsSchemaId,P.getIconSchema());const f=new C.RunOnceScheduler(()=>s.notifySchemaChanged(e.iconsSchemaId),200);P.onDidChange(()=>{f.isScheduled()||f.schedule()}),e.widgetClose=k("widget-close",E.Codicon.close,(0,I.localize)(2,null)),e.gotoPreviousLocation=k("goto-previous-location",E.Codicon.arrowUp,(0,I.localize)(3,null)),e.gotoNextLocation=k("goto-next-location",E.Codicon.arrowDown,(0,I.localize)(4,null)),e.syncing=y.ThemeIcon.modify(E.Codicon.sync,"spin")}),define(we[47],Ee([0,1,2,24,4,22]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,A.createDecorator)("contextService");var S;(function(_){_[_.EMPTY=1]="EMPTY",_[_.FOLDER=2]="FOLDER",_[_.WORKSPACE=3]="WORKSPACE"})(S=e.WorkbenchState||(e.WorkbenchState={}));function C(_){const d=_;return!!(d&&typeof d=="object"&&typeof d.id=="string"&&Array.isArray(d.folders))}e.isWorkspace=C;function E(_){const d=_;return!!(d&&typeof d=="object"&&b.URI.isUri(d.uri)&&typeof d.name=="string"&&typeof d.toResource=="function")}e.isWorkspaceFolder=E;class n{constructor(d,s,f,v){this._id=d,this._configuration=f,this._ignorePathCasing=v,this._foldersMap=I.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=s}update(d){this._id=d.id,this._configuration=d.configuration,this._ignorePathCasing=d._ignorePathCasing,this.folders=d.folders}get folders(){return this._folders}set folders(d){this._folders=d,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(d){this._configuration=d}getFolder(d){return d&&this._foldersMap.findSubstr(d.with({scheme:d.scheme,authority:d.authority,path:d.path}))||null}updateFoldersMap(){this._foldersMap=I.TernarySearchTree.forUris(this._ignorePathCasing);for(const d of this.folders)this._foldersMap.set(d.uri,d)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=n;class P{constructor(d,s){this.raw=s,this.uri=d.uri,this.index=d.index,this.name=d.name}toResource(d){return(0,y.joinPath)(this.uri,d)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=P;function k(_){return new P({uri:_,index:0,name:(0,y.basenameOrAuthority)(_)},{uri:_.toString()})}e.toWorkspaceFolder=k}),define(we[155],Ee([0,1,4,125,47,2,21,11,24,104,45,16,58,38,91]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const f=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,y.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function v(Q){return(typeof Q=="string"?(0,C.extname)(Q):(0,E.extname)(Q))===f}e.hasWorkspaceFileExtension=v,e.IWorkspacesService=(0,b.createDecorator)("workspacesService");function m(Q){return Q.hasOwnProperty("workspace")}e.isRecentWorkspace=m;function w(Q){return Q.hasOwnProperty("folderUri")}e.isRecentFolder=w;function c(Q){return Q.hasOwnProperty("fileUri")}e.isRecentFile=c;function u(Q){const M=Q;return typeof(M==null?void 0:M.id)=="string"&&I.URI.isUri(M.uri)}e.isSingleFolderWorkspaceIdentifier=u;function a(Q){if(Q.configuration)return{id:Q.id,configPath:Q.configuration};if(Q.folders.length===1)return{id:Q.id,uri:Q.folders[0].uri}}e.toWorkspaceIdentifier=a;function t(Q){const M=Q;return typeof(M==null?void 0:M.id)=="string"&&I.URI.isUri(M.configPath)}e.isWorkspaceIdentifier=t;function r(Q){const M=Q;if(M==null?void 0:M.uri)return{id:M.id,uri:I.URI.revive(M.uri)};const $=Q;if($==null?void 0:$.configPath)return{id:$.id,configPath:I.URI.revive($.configPath)};if(Q==null?void 0:Q.id)return{id:Q.id}}e.reviveIdentifier=r;function o(Q,M){return E.extUriBiasedIgnorePathCase.isEqualOrParent(Q,M.untitledWorkspacesHome)}e.isUntitledWorkspace=o;function l(Q){return i(Q)||h(Q)}e.isStoredWorkspaceFolder=l;function i(Q){const M=Q;return typeof(M==null?void 0:M.path)=="string"&&(!M.name||typeof M.name=="string")}e.isRawFileWorkspaceFolder=i;function h(Q){const M=Q;return typeof(M==null?void 0:M.uri)=="string"&&(!M.name||typeof M.name=="string")}e.isRawUriWorkspaceFolder=h;function D(Q,M,$,N,K=!S.isWindows,W){if(Q.scheme!==N.scheme)return{name:$,uri:Q.toString(!0)};let Z=M?void 0:W.relativePath(N,Q);if(Z!==void 0)Z.length===0?Z=".":S.isWindows&&Q.scheme===k.Schemas.file&&!K&&(Z=Z.replace(/\//g,"\\"));else if(Q.scheme===k.Schemas.file)Z=Q.fsPath,S.isWindows&&(Z=(0,_.normalizeDriveLetter)(Z),K&&(Z=(0,d.toSlashes)(Z)));else{if(!W.isEqualAuthority(Q.authority,N.authority))return{name:$,uri:Q.toString(!0)};Z=Q.path}return{name:$,path:Z}}e.getStoredWorkspaceFolder=D;function R(Q,M,$){let N=[],K=new Set;const W=$.dirname(M);for(let Z of Q){let ne=null;if(i(Z))Z.path&&(ne=$.resolvePath(W,Z.path));else if(h(Z))try{ne=I.URI.parse(Z.uri),ne.path[0]!=="/"&&(ne=ne.with({path:"/"+ne.path}))}catch(re){console.warn(re)}if(ne){let re=$.getComparisonKey(ne);if(!K.has(re)){K.add(re);const Se=Z.name||$.basenameOrAuthority(ne);N.push(new A.WorkspaceFolder({uri:ne,name:Se,index:N.length},Z))}}}return N}e.toWorkspaceFolders=R;function p(Q,M,$,N,K){let W=g(M,Q);const Z=K.dirname(M),ne=K.dirname(N),re=[],Se=T(W.folders);for(const xe of W.folders){const U=i(xe)?K.resolvePath(Z,xe.path):I.URI.parse(xe.uri);let q;$?q=!1:q=!i(xe)||(0,C.isAbsolute)(xe.path),re.push(D(U,q,xe.name,ne,Se,K))}const Ae={insertSpaces:!1,tabSize:4,eol:S.isLinux||S.isMacintosh?`
`:`\r
`},Be=n.setProperty(Q,["folders"],re,Ae);let Re=n.applyEdits(Q,Be);return W.remoteAuthority===(0,s.getRemoteAuthority)(N)&&(Re=n.applyEdits(Re,n.removeProperty(Re,["remoteAuthority"],Ae))),Re}e.rewriteWorkspaceFileForNewLocation=p;function g(Q,M){let $=P.parse(M);if($&&Array.isArray($.folders))$.folders=$.folders.filter(N=>l(N));else throw new Error(`${Q} looks like an invalid workspace file.`);return $}function T(Q){return S.isWindows?Q.some(M=>i(M)&&M.path.indexOf("/")>=0):!0}e.useSlashForPath=T;function F(Q){return Q.workspace&&typeof Q.workspace=="object"&&typeof Q.workspace.id=="string"&&typeof Q.workspace.configPath=="string"}function H(Q){return typeof Q.folderUri=="string"}function le(Q){return typeof Q.fileUri=="string"}function z(Q,M){const $={workspaces:[],files:[]};if(Q){const N=function(W,Z){for(let ne=0;ne<W.length;ne++)try{Z(W[ne],ne)}catch(re){M.warn(`Error restoring recent entry ${JSON.stringify(W[ne])}: ${re.toString()}. Skip entry.`)}},K=Q;if(Array.isArray(K.entries))N(K.entries,W=>{const Z=W.label,ne=W.remoteAuthority;F(W)?$.workspaces.push({label:Z,remoteAuthority:ne,workspace:{id:W.workspace.id,configPath:I.URI.parse(W.workspace.configPath)}}):H(W)?$.workspaces.push({label:Z,remoteAuthority:ne,folderUri:I.URI.parse(W.folderUri)}):le(W)&&$.files.push({label:Z,remoteAuthority:ne,fileUri:I.URI.parse(W.fileUri)})});else{const W=Q;Array.isArray(W.workspaces3)&&N(W.workspaces3,(Z,ne)=>{const re=Array.isArray(W.workspaceLabels)&&W.workspaceLabels[ne]||void 0;typeof Z=="object"&&typeof Z.id=="string"&&typeof Z.configURIPath=="string"?$.workspaces.push({label:re,workspace:{id:Z.id,configPath:I.URI.parse(Z.configURIPath)}}):typeof Z=="string"&&$.workspaces.push({label:re,folderUri:I.URI.parse(Z)})}),Array.isArray(W.files2)&&N(W.files2,(Z,ne)=>{const re=Array.isArray(W.fileLabels)&&W.fileLabels[ne]||void 0;typeof Z=="string"&&$.files.push({label:re,fileUri:I.URI.parse(Z)})})}}return $}e.restoreRecentlyOpened=z;function B(Q){const M={entries:[]};for(const $ of Q.workspaces)w($)?M.entries.push({folderUri:$.folderUri.toString(),label:$.label,remoteAuthority:$.remoteAuthority}):M.entries.push({workspace:{id:$.workspace.id,configPath:$.workspace.configPath.toString()},label:$.label,remoteAuthority:$.remoteAuthority});for(const $ of Q.files)M.entries.push({fileUri:$.fileUri.toString(),label:$.label,remoteAuthority:$.remoteAuthority});return M}e.toStoreData=B}),define(we[92],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class b{constructor(A){this.id=A,this._data=new Map,this._idPool=1}add(A){const I=this._idPool++;return this._data.set(I,A),this.logDebugInfo(),I}get(A,I){return this._data.has(A)?this._data.get(A)[I]:void 0}delete(A){this._data.delete(A),this.logDebugInfo()}logDebugInfo(){!b.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=b,b.enableDebugLogging=!1}),define(we[156],Ee([0,1,2,3]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=void 0;class A{constructor(){this._onDidChangeTabs=new y.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(S){this._tabs=S.map(C=>({name:C.name,group:C.group,resource:b.URI.revive(C.resource)})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=A}),define(we[48],Ee([0,1,16,4]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class A{constructor(){this._systemSchemes=new Set(Object.keys(b.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(S,C){C===null?this._providerInfo.delete(S):this._providerInfo.set(S,C)}isFreeScheme(S){return!this._providerInfo.has(S)&&!this._systemSchemes.has(S)}getCapabilities(S){return this._providerInfo.get(S)}}e.ExtHostFileSystemInfo=A,e.IExtHostFileSystemInfo=(0,y.createDecorator)("IExtHostFileSystemInfo")}),define(we[27],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,b.createDecorator)("IExtHostInitDataService")}),define(we[157],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class b{constructor(I,S,C){this._id=I,this._shared=S,this._storage=C,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(E=>(this._value=E,this)),this._storageListener=this._storage.onDidChangeStorage(E=>{E.shared===this._shared&&E.key===this._id&&(this._value=E.value)})}get whenReady(){return this._init}get(I,S){let C=this._value[I];return typeof C=="undefined"&&(C=S),C}update(I,S){return this._value[I]=S,this._storage.setValue(this._shared,this._id,this._value)}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=b;class y extends b{constructor(I,S){super(I.identifier.value,!0,S);this._extension=I}setKeysForSync(I){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},I)}}e.ExtensionGlobalMemento=y}),define(we[14],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,b.createDecorator)("IExtHostRpcService");class y{constructor(I){this.getProxy=I.getProxy.bind(I),this.set=I.set.bind(I),this.assertRegistered=I.assertRegistered.bind(I),this.drain=I.drain.bind(I)}}e.ExtHostRpcService=y});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[158],Ee([0,1,25,3]),function(oe,e,b,y){"use strict";var A;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class I{constructor(C,E){A.set(this,void 0),this._onDidChange=new y.Emitter,this.onDidChange=this._onDidChange.event,this._id=b.ExtensionIdentifier.toKey(C.identifier),tt(this,A,E),We(this,A).onDidChangePassword(n=>{n.extensionId===this._id&&this._onDidChange.fire({key:n.key})})}get(C){return We(this,A).get(this._id,C)}store(C,E){return We(this,A).store(this._id,C,E)}delete(C){return We(this,A).delete(this._id,C)}}e.ExtensionSecrets=I,A=new WeakMap}),define(we[93],Ee([0,1,4,3]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class A{constructor(){this._onDidChangeTelemetryEnabled=new y.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(S){this._enabled=S}$onDidChangeTelemetryEnabled(S){this._enabled=S,this._onDidChangeTelemetryEnabled.fire(S)}}e.ExtHostTelemetry=A,e.IExtHostTelemetry=(0,b.createDecorator)("IExtHostTelemetry")}),define(we[67],Ee([0,1,4,3,14]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var I;(function(C){function E(P){return{remoteAddress:P.remoteAddress,localAddress:P.localAddress,public:!!P.public}}C.fromApiTunnel=E;function n(P){return{remoteAddress:{host:P.tunnelRemoteHost,port:P.tunnelRemotePort},localAddress:P.localAddress,public:P.public}}C.fromServiceTunnel=n})(I=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=(0,b.createDecorator)("IExtHostTunnelService");let S=class{constructor(E){this.onDidChangeTunnels=new y.Emitter().event}async $applyCandidateFilter(E){return E}async openTunnel(E,n){}async getTunnels(){return[]}async setTunnelExtensionFunctions(E){return{dispose:()=>{}}}registerPortsAttributesProvider(E,n){return{dispose:()=>{}}}async $providePortAttributes(E,n,P,k,_){return[]}async $forwardPort(E,n){}async $closeTunnel(E){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};S=je([qe(0,A.IExtHostRpcService)],S),e.ExtHostTunnelService=S});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[7],Ee([0,1,15,10,80,22,12,2,29,64,90]),function(oe,e,b,y,A,I,S,C,E,n,P){"use strict";var k,_,d,s,f,v,m,w,c,u,a,t,r,o,l,i;Object.defineProperty(e,"__esModule",{value:!0}),e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.TestMessage=e.TestState=e.TestItem=e.TestMessageSeverity=e.TestResult=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookRunState=e.NotebookCellRunState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlineHint=e.InlineHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function h(O){function L(){return Reflect.construct(O,arguments,this.constructor)}return Object.defineProperty(L,"name",Object.getOwnPropertyDescriptor(O,"name")),Object.setPrototypeOf(L,O),Object.setPrototypeOf(L.prototype,O.prototype),L}let D=d=class{constructor(L){k.set(this,void 0),tt(this,k,L)}static from(...L){let te=L;return new d(function(){if(te){for(const ye of te)ye&&typeof ye.dispose=="function"&&ye.dispose();te=void 0}})}dispose(){typeof We(this,k)=="function"&&(We(this,k).call(this),tt(this,k,void 0))}};k=new WeakMap,D=d=je([h],D),e.Disposable=D;let R=s=class{constructor(L,te){if(L<0)throw(0,y.illegalArgument)("line must be non-negative");if(te<0)throw(0,y.illegalArgument)("character must be non-negative");this._line=L,this._character=te}static Min(...L){if(L.length===0)throw new TypeError;let te=L[0];for(let ye=1;ye<L.length;ye++){const ze=L[ye];ze.isBefore(te)&&(te=ze)}return te}static Max(...L){if(L.length===0)throw new TypeError;let te=L[0];for(let ye=1;ye<L.length;ye++){const ze=L[ye];ze.isAfter(te)&&(te=ze)}return te}static isPosition(L){if(!L)return!1;if(L instanceof s)return!0;let{line:te,character:ye}=L;return typeof te=="number"&&typeof ye=="number"}get line(){return this._line}get character(){return this._character}isBefore(L){return this._line<L._line?!0:L._line<this._line?!1:this._character<L._character}isBeforeOrEqual(L){return this._line<L._line?!0:L._line<this._line?!1:this._character<=L._character}isAfter(L){return!this.isBeforeOrEqual(L)}isAfterOrEqual(L){return!this.isBefore(L)}isEqual(L){return this._line===L._line&&this._character===L._character}compareTo(L){return this._line<L._line?-1:this._line>L.line?1:this._character<L._character?-1:this._character>L._character?1:0}translate(L,te=0){if(L===null||te===null)throw(0,y.illegalArgument)();let ye;return typeof L=="undefined"?ye=0:typeof L=="number"?ye=L:(ye=typeof L.lineDelta=="number"?L.lineDelta:0,te=typeof L.characterDelta=="number"?L.characterDelta:0),ye===0&&te===0?this:new s(this.line+ye,this.character+te)}with(L,te=this.character){if(L===null||te===null)throw(0,y.illegalArgument)();let ye;return typeof L=="undefined"?ye=this.line:typeof L=="number"?ye=L:(ye=typeof L.line=="number"?L.line:this.line,te=typeof L.character=="number"?L.character:this.character),ye===this.line&&te===this.character?this:new s(ye,te)}toJSON(){return{line:this.line,character:this.character}}};R=s=je([h],R),e.Position=R;let p=f=class{constructor(L,te,ye,ze){let Ye,nt;if(typeof L=="number"&&typeof te=="number"&&typeof ye=="number"&&typeof ze=="number"?(Ye=new R(L,te),nt=new R(ye,ze)):L instanceof R&&te instanceof R&&(Ye=L,nt=te),!Ye||!nt)throw new Error("Invalid arguments");Ye.isBefore(nt)?(this._start=Ye,this._end=nt):(this._start=nt,this._end=Ye)}static isRange(L){return L instanceof f?!0:L?R.isPosition(L.start)&&R.isPosition(L.end):!1}get start(){return this._start}get end(){return this._end}contains(L){return L instanceof f?this.contains(L._start)&&this.contains(L._end):L instanceof R?!(L.isBefore(this._start)||this._end.isBefore(L)):!1}isEqual(L){return this._start.isEqual(L._start)&&this._end.isEqual(L._end)}intersection(L){const te=R.Max(L.start,this._start),ye=R.Min(L.end,this._end);if(!te.isAfter(ye))return new f(te,ye)}union(L){if(this.contains(L))return this;if(L.contains(this))return L;const te=R.Min(L.start,this._start),ye=R.Max(L.end,this.end);return new f(te,ye)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(L,te=this.end){if(L===null||te===null)throw(0,y.illegalArgument)();let ye;return L?R.isPosition(L)?ye=L:(ye=L.start||this.start,te=L.end||this.end):ye=this.start,ye.isEqual(this._start)&&te.isEqual(this.end)?this:new f(ye,te)}toJSON(){return[this.start,this.end]}};p=f=je([h],p),e.Range=p;let g=v=class extends p{constructor(L,te,ye,ze){let Ye,nt;if(typeof L=="number"&&typeof te=="number"&&typeof ye=="number"&&typeof ze=="number"?(Ye=new R(L,te),nt=new R(ye,ze)):L instanceof R&&te instanceof R&&(Ye=L,nt=te),!Ye||!nt)throw new Error("Invalid arguments");super(Ye,nt);this._anchor=Ye,this._active=nt}static isSelection(L){return L instanceof v?!0:L?p.isRange(L)&&R.isPosition(L.anchor)&&R.isPosition(L.active)&&typeof L.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};g=v=je([h],g),e.Selection=g;class T{constructor(L,te,ye){if(typeof L!="string"||L.length===0)throw(0,y.illegalArgument)("host");if(typeof te!="number"||te===0||Math.round(te)!==te)throw(0,y.illegalArgument)("port");if(typeof ye!="undefined"&&(typeof ye!="string"||ye.length===0||!/^[0-9A-Za-z\-]+$/.test(ye)))throw(0,y.illegalArgument)("connectionToken");this.host=L,this.port=Math.round(te),this.connectionToken=ye}}e.ResolvedAuthority=T;class F extends Error{constructor(L,te=P.RemoteAuthorityResolverErrorCode.Unknown,ye){super(L);this._message=L,this._code=te,this._detail=ye,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,F.prototype)}static NotAvailable(L,te){return new F(L,P.RemoteAuthorityResolverErrorCode.NotAvailable,te)}static TemporarilyNotAvailable(L){return new F(L,P.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=F;var H;(function(O){O[O.LF=1]="LF",O[O.CRLF=2]="CRLF"})(H=e.EndOfLine||(e.EndOfLine={}));var le;(function(O){O[O.Replace=1]="Replace",O[O.Append=2]="Append",O[O.Prepend=3]="Prepend"})(le=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let z=m=class{constructor(L,te){this._range=L,this._newText=te}static isTextEdit(L){return L instanceof m?!0:L?p.isRange(L)&&typeof L.newText=="string":!1}static replace(L,te){return new m(L,te)}static insert(L,te){return m.replace(new p(L,L),te)}static delete(L){return m.replace(L,"")}static setEndOfLine(L){const te=new m(new p(new R(0,0),new R(0,0)),"");return te.newEol=L,te}get range(){return this._range}set range(L){if(L&&!p.isRange(L))throw(0,y.illegalArgument)("range");this._range=L}get newText(){return this._newText||""}set newText(L){if(L&&typeof L!="string")throw(0,y.illegalArgument)("newText");this._newText=L}get newEol(){return this._newEol}set newEol(L){if(L&&typeof L!="number")throw(0,y.illegalArgument)("newEol");this._newEol=L}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};z=m=je([h],z),e.TextEdit=z;var B;(function(O){O[O.File=1]="File",O[O.Text=2]="Text",O[O.Cell=3]="Cell",O[O.CellOutput=4]="CellOutput",O[O.CellReplace=5]="CellReplace",O[O.CellOutputItem=6]="CellOutputItem"})(B=e.FileEditType||(e.FileEditType={}));let Q=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(L,te,ye,ze){this._edits.push({_type:1,from:L,to:te,options:ye,metadata:ze})}createFile(L,te,ye){this._edits.push({_type:1,from:void 0,to:L,options:te,metadata:ye})}deleteFile(L,te,ye){this._edits.push({_type:1,from:L,to:void 0,options:te,metadata:ye})}replaceNotebookMetadata(L,te,ye){this._edits.push({_type:3,metadata:ye,uri:L,edit:{editType:5,metadata:te},notebookMetadata:te})}replaceNotebookCells(L,te,ye,ze,Ye){(te!==ye||ze.length>0)&&this._edits.push({_type:5,uri:L,index:te,count:ye-te,cells:ze,metadata:Ye})}replaceNotebookCellOutput(L,te,ye,ze){this._editNotebookCellOutput(L,te,!1,ye,ze)}appendNotebookCellOutput(L,te,ye,ze){this._editNotebookCellOutput(L,te,!0,ye,ze)}replaceNotebookCellOutputItems(L,te,ye,ze,Ye){this._editNotebookCellOutputItems(L,te,ye,!1,ze,Ye)}appendNotebookCellOutputItems(L,te,ye,ze,Ye){this._editNotebookCellOutputItems(L,te,ye,!0,ze,Ye)}_editNotebookCellOutputItems(L,te,ye,ze,Ye,nt){this._edits.push({_type:6,metadata:nt,uri:L,index:te,outputId:ye,append:ze,newOutputItems:Ye})}_editNotebookCellOutput(L,te,ye,ze,Ye){this._edits.push({_type:4,metadata:Ye,uri:L,index:te,append:ye,newOutputs:ze,newMetadata:void 0})}replaceNotebookCellMetadata(L,te,ye,ze){this._edits.push({_type:3,metadata:ze,uri:L,edit:{editType:3,index:te,metadata:ye}})}replace(L,te,ye,ze){this._edits.push({_type:2,uri:L,edit:new z(te,ye),metadata:ze})}insert(L,te,ye,ze){this.replace(L,new p(te,te),ye,ze)}delete(L,te,ye){this.replace(L,te,"",ye)}has(L){return this._edits.some(te=>te._type===2&&te.uri.toString()===L.toString())}set(L,te){if(te)for(const ye of te)ye&&this._edits.push({_type:2,uri:L,edit:ye});else{for(let ye=0;ye<this._edits.length;ye++){const ze=this._edits[ye];ze._type===2&&ze.uri.toString()===L.toString()&&(this._edits[ye]=void 0)}(0,b.coalesceInPlace)(this._edits)}}get(L){const te=[];for(let ye of this._edits)ye._type===2&&ye.uri.toString()===L.toString()&&te.push(ye.edit);return te}entries(){const L=new I.ResourceMap;for(let te of this._edits)if(te._type===2){let ye=L.get(te.uri);ye||(ye=[te.uri,[]],L.set(te.uri,ye)),ye[1].push(te.edit)}return[...L.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};Q=je([h],Q),e.WorkspaceEdit=Q;let M=w=class{constructor(L){this._tabstop=1,this.value=L||""}static isSnippetString(L){return L instanceof w?!0:L?typeof L.value=="string":!1}static _escape(L){return L.replace(/\$|}|\\/g,"\\$&")}appendText(L){return this.value+=w._escape(L),this}appendTabstop(L=this._tabstop++){return this.value+="$",this.value+=L,this}appendPlaceholder(L,te=this._tabstop++){if(typeof L=="function"){const ye=new w;ye._tabstop=this._tabstop,L(ye),this._tabstop=ye._tabstop,L=ye.value}else L=w._escape(L);return this.value+="${",this.value+=te,this.value+=":",this.value+=L,this.value+="}",this}appendChoice(L,te=this._tabstop++){const ye=L.map(ze=>ze.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=te,this.value+="|",this.value+=ye,this.value+="|}",this}appendVariable(L,te){if(typeof te=="function"){const ye=new w;ye._tabstop=this._tabstop,te(ye),this._tabstop=ye._tabstop,te=ye.value}else typeof te=="string"&&(te=te.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=L,te&&(this.value+=":",this.value+=te),this.value+="}",this}};M=w=je([h],M),e.SnippetString=M;var $;(function(O){O[O.Unnecessary=1]="Unnecessary",O[O.Deprecated=2]="Deprecated"})($=e.DiagnosticTag||(e.DiagnosticTag={}));var N;(function(O){O[O.Hint=3]="Hint",O[O.Information=2]="Information",O[O.Warning=1]="Warning",O[O.Error=0]="Error"})(N=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let K=c=class{constructor(L,te){if(this.uri=L,te)if(te instanceof p)this.range=te;else if(te instanceof R)this.range=new p(te,te);else throw new Error("Illegal argument")}static isLocation(L){return L instanceof c?!0:L?p.isRange(L.range)&&C.URI.isUri(L.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};K=c=je([h],K),e.Location=K;let W=class{constructor(L,te){this.location=L,this.message=te}static is(L){return L?typeof L.message=="string"&&L.location&&p.isRange(L.location.range)&&C.URI.isUri(L.location.uri):!1}static isEqual(L,te){return L===te?!0:!L||!te?!1:L.message===te.message&&L.location.range.isEqual(te.location.range)&&L.location.uri.toString()===te.location.uri.toString()}};W=je([h],W),e.DiagnosticRelatedInformation=W;let Z=class{constructor(L,te,ye=N.Error){if(!p.isRange(L))throw new TypeError("range must be set");if(!te)throw new TypeError("message must be set");this.range=L,this.message=te,this.severity=ye}toJSON(){return{severity:N[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(L,te){return L===te?!0:!L||!te?!1:L.message===te.message&&L.severity===te.severity&&L.code===te.code&&L.severity===te.severity&&L.source===te.source&&L.range.isEqual(te.range)&&(0,b.equals)(L.tags,te.tags)&&(0,b.equals)(L.relatedInformation,te.relatedInformation,W.isEqual)}};Z=je([h],Z),e.Diagnostic=Z;let ne=class{constructor(L,te){if(!L)throw new Error("Illegal argument, contents must be defined");Array.isArray(L)?this.contents=L:(0,A.isMarkdownString)(L)?this.contents=[L]:this.contents=[L],this.range=te}};ne=je([h],ne),e.Hover=ne;var re;(function(O){O[O.Text=0]="Text",O[O.Read=1]="Read",O[O.Write=2]="Write"})(re=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Se=class{constructor(L,te=re.Text){this.range=L,this.kind=te}toJSON(){return{range:this.range,kind:re[this.kind]}}};Se=je([h],Se),e.DocumentHighlight=Se;var Ae;(function(O){O[O.File=0]="File",O[O.Module=1]="Module",O[O.Namespace=2]="Namespace",O[O.Package=3]="Package",O[O.Class=4]="Class",O[O.Method=5]="Method",O[O.Property=6]="Property",O[O.Field=7]="Field",O[O.Constructor=8]="Constructor",O[O.Enum=9]="Enum",O[O.Interface=10]="Interface",O[O.Function=11]="Function",O[O.Variable=12]="Variable",O[O.Constant=13]="Constant",O[O.String=14]="String",O[O.Number=15]="Number",O[O.Boolean=16]="Boolean",O[O.Array=17]="Array",O[O.Object=18]="Object",O[O.Key=19]="Key",O[O.Null=20]="Null",O[O.EnumMember=21]="EnumMember",O[O.Struct=22]="Struct",O[O.Event=23]="Event",O[O.Operator=24]="Operator",O[O.TypeParameter=25]="TypeParameter"})(Ae=e.SymbolKind||(e.SymbolKind={}));var Be;(function(O){O[O.Deprecated=1]="Deprecated"})(Be=e.SymbolTag||(e.SymbolTag={}));let Re=u=class{constructor(L,te,ye,ze,Ye){this.name=L,this.kind=te,this.containerName=Ye,typeof ye=="string"&&(this.containerName=ye),ze instanceof K?this.location=ze:ye instanceof p&&(this.location=new K(ze,ye)),u.validate(this)}static validate(L){if(!L.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Ae[this.kind],location:this.location,containerName:this.containerName}}};Re=u=je([h],Re),e.SymbolInformation=Re;let xe=a=class{constructor(L,te,ye,ze,Ye){this.name=L,this.detail=te,this.kind=ye,this.range=ze,this.selectionRange=Ye,this.children=[],a.validate(this)}static validate(L){if(!L.name)throw new Error("name must not be falsy");if(!L.range.contains(L.selectionRange))throw new Error("selectionRange must be contained in fullRange");L.children&&L.children.forEach(a.validate)}};xe=a=je([h],xe),e.DocumentSymbol=xe;var U;(function(O){O[O.Automatic=1]="Automatic",O[O.Manual=2]="Manual"})(U=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let q=class{constructor(L,te){this.title=L,this.kind=te}};q=je([h],q),e.CodeAction=q;let J=t=class{constructor(L){this.value=L}append(L){return new t(this.value?this.value+t.sep+L:L)}intersects(L){return this.contains(L)||L.contains(this)}contains(L){return this.value===L.value||L.value.startsWith(this.value+t.sep)}};J.sep=".",J=t=je([h],J),e.CodeActionKind=J,J.Empty=new J(""),J.QuickFix=J.Empty.append("quickfix"),J.Refactor=J.Empty.append("refactor"),J.RefactorExtract=J.Refactor.append("extract"),J.RefactorInline=J.Refactor.append("inline"),J.RefactorRewrite=J.Refactor.append("rewrite"),J.Source=J.Empty.append("source"),J.SourceOrganizeImports=J.Source.append("organizeImports"),J.SourceFixAll=J.Source.append("fixAll");let ae=class{constructor(L,te){if(this.range=L,this.parent=te,te&&!te.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};ae=je([h],ae),e.SelectionRange=ae;class ge{constructor(L,te,ye,ze,Ye,nt){this.kind=L,this.name=te,this.detail=ye,this.uri=ze,this.range=Ye,this.selectionRange=nt}}e.CallHierarchyItem=ge;class De{constructor(L,te){this.fromRanges=te,this.from=L}}e.CallHierarchyIncomingCall=De;class Le{constructor(L,te){this.fromRanges=te,this.to=L}}e.CallHierarchyOutgoingCall=Le;let pe=class{constructor(L,te){this.range=L,this.command=te}get isResolved(){return!!this.command}};pe=je([h],pe),e.CodeLens=pe;let Ce=r=class{constructor(L,te=!1){_.set(this,void 0),tt(this,_,new A.MarkdownString(L,{supportThemeIcons:te}))}static isMarkdownString(L){return L instanceof r?!0:L&&L.appendCodeblock&&L.appendMarkdown&&L.appendText&&L.value!==void 0}get value(){return We(this,_).value}set value(L){We(this,_).value=L}get isTrusted(){return We(this,_).isTrusted}set isTrusted(L){We(this,_).isTrusted=L}get supportThemeIcons(){return We(this,_).supportThemeIcons}appendText(L){return We(this,_).appendText(L),this}appendMarkdown(L){return We(this,_).appendMarkdown(L),this}appendCodeblock(L,te){return We(this,_).appendCodeblock(te!=null?te:"",L),this}};_=new WeakMap,Ce=r=je([h],Ce),e.MarkdownString=Ce;let Te=class{constructor(L,te){this.label=L,this.documentation=te}};Te=je([h],Te),e.ParameterInformation=Te;let Ue=class{constructor(L,te){this.label=L,this.documentation=te,this.parameters=[]}};Ue=je([h],Ue),e.SignatureInformation=Ue;let be=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};be=je([h],be),e.SignatureHelp=be;var Ke;(function(O){O[O.Invoke=1]="Invoke",O[O.TriggerCharacter=2]="TriggerCharacter",O[O.ContentChange=3]="ContentChange"})(Ke=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var V;(function(O){O[O.Other=0]="Other",O[O.Type=1]="Type",O[O.Parameter=2]="Parameter"})(V=e.InlineHintKind||(e.InlineHintKind={}));let X=class{constructor(L,te,ye){this.text=L,this.range=te,this.kind=ye}};X=je([h],X),e.InlineHint=X;var _e;(function(O){O[O.Invoke=0]="Invoke",O[O.TriggerCharacter=1]="TriggerCharacter",O[O.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(_e=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Me;(function(O){O[O.Text=0]="Text",O[O.Method=1]="Method",O[O.Function=2]="Function",O[O.Constructor=3]="Constructor",O[O.Field=4]="Field",O[O.Variable=5]="Variable",O[O.Class=6]="Class",O[O.Interface=7]="Interface",O[O.Module=8]="Module",O[O.Property=9]="Property",O[O.Unit=10]="Unit",O[O.Value=11]="Value",O[O.Enum=12]="Enum",O[O.Keyword=13]="Keyword",O[O.Snippet=14]="Snippet",O[O.Color=15]="Color",O[O.File=16]="File",O[O.Reference=17]="Reference",O[O.Folder=18]="Folder",O[O.EnumMember=19]="EnumMember",O[O.Constant=20]="Constant",O[O.Struct=21]="Struct",O[O.Event=22]="Event",O[O.Operator=23]="Operator",O[O.TypeParameter=24]="TypeParameter",O[O.User=25]="User",O[O.Issue=26]="Issue"})(Me=e.CompletionItemKind||(e.CompletionItemKind={}));var He;(function(O){O[O.Deprecated=1]="Deprecated"})(He=e.CompletionItemTag||(e.CompletionItemTag={}));let Oe=class{constructor(L,te){this.label=L,this.kind=te}toJSON(){return{label:this.label,label2:this.label2,kind:this.kind&&Me[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};Oe=je([h],Oe),e.CompletionItem=Oe;let Xe=class{constructor(L=[],te=!1){this.items=L,this.isIncomplete=te}};Xe=je([h],Xe),e.CompletionList=Xe;var x;(function(O){O[O.Active=-1]="Active",O[O.Beside=-2]="Beside",O[O.One=1]="One",O[O.Two=2]="Two",O[O.Three=3]="Three",O[O.Four=4]="Four",O[O.Five=5]="Five",O[O.Six=6]="Six",O[O.Seven=7]="Seven",O[O.Eight=8]="Eight",O[O.Nine=9]="Nine"})(x=e.ViewColumn||(e.ViewColumn={}));var ie;(function(O){O[O.Left=1]="Left",O[O.Right=2]="Right"})(ie=e.StatusBarAlignment||(e.StatusBarAlignment={}));var ce;(function(O){O[O.Off=0]="Off",O[O.On=1]="On",O[O.Relative=2]="Relative"})(ce=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var j;(function(O){O[O.Manual=1]="Manual",O[O.AfterDelay=2]="AfterDelay",O[O.FocusOut=3]="FocusOut"})(j=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Y;(function(O){O[O.Default=0]="Default",O[O.InCenter=1]="InCenter",O[O.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",O[O.AtTop=3]="AtTop"})(Y=e.TextEditorRevealType||(e.TextEditorRevealType={}));var se;(function(O){O[O.Keyboard=1]="Keyboard",O[O.Mouse=2]="Mouse",O[O.Command=3]="Command"})(se=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var fe;(function(O){O[O.OpenOpen=0]="OpenOpen",O[O.ClosedClosed=1]="ClosedClosed",O[O.OpenClosed=2]="OpenClosed",O[O.ClosedOpen=3]="ClosedOpen"})(fe=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(O){function L(te){switch(te){case"keyboard":return O.Keyboard;case"mouse":return O.Mouse;case"api":return O.Command}}O.fromValue=L}(se=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let ve=class{constructor(L,te){if(te&&!C.URI.isUri(te))throw(0,y.illegalArgument)("target");if(!p.isRange(L)||L.isEmpty)throw(0,y.illegalArgument)("range");this.range=L,this.target=te}};ve=je([h],ve),e.DocumentLink=ve;let $e=class{constructor(L,te,ye,ze){this.red=L,this.green=te,this.blue=ye,this.alpha=ze}};$e=je([h],$e),e.Color=$e;let Ne=class{constructor(L,te){if(te&&!(te instanceof $e))throw(0,y.illegalArgument)("color");if(!p.isRange(L)||L.isEmpty)throw(0,y.illegalArgument)("range");this.range=L,this.color=te}};Ne=je([h],Ne),e.ColorInformation=Ne;let Ve=class{constructor(L){if(!L||typeof L!="string")throw(0,y.illegalArgument)("label");this.label=L}};Ve=je([h],Ve),e.ColorPresentation=Ve;var Qe;(function(O){O[O.RGB=0]="RGB",O[O.HEX=1]="HEX",O[O.HSL=2]="HSL"})(Qe=e.ColorFormat||(e.ColorFormat={}));var Ze;(function(O){O[O.Error=0]="Error",O[O.Warning=1]="Warning",O[O.Information=2]="Information"})(Ze=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var ct;(function(O){O[O.Always=1]="Always",O[O.Silent=2]="Silent",O[O.Never=3]="Never"})(ct=e.TaskRevealKind||(e.TaskRevealKind={}));var st;(function(O){O[O.Shared=1]="Shared",O[O.Dedicated=2]="Dedicated",O[O.New=3]="New"})(st=e.TaskPanelKind||(e.TaskPanelKind={}));let me=o=class{constructor(L,te){if(typeof L!="string"||typeof te!="string")throw(0,y.illegalArgument)("name");this._id=L}static from(L){switch(L){case"clean":return o.Clean;case"build":return o.Build;case"rebuild":return o.Rebuild;case"test":return o.Test;default:return}}get id(){return this._id}};me.Clean=new o("clean","Clean"),me.Build=new o("build","Build"),me.Rebuild=new o("rebuild","Rebuild"),me.Test=new o("test","Test"),me=o=je([h],me),e.TaskGroup=me;function he(O){let L="";for(let te=0;te<O.length;te++)L+=O[te].replace(/,/g,",,")+",";return L}let ue=class{constructor(L,te,ye){if(typeof L!="string")throw(0,y.illegalArgument)("process");this._args=[],this._process=L,te!==void 0&&(Array.isArray(te)?(this._args=te,this._options=ye):this._options=te)}get process(){return this._process}set process(L){if(typeof L!="string")throw(0,y.illegalArgument)("process");this._process=L}get args(){return this._args}set args(L){Array.isArray(L)||(L=[]),this._args=L}get options(){return this._options}set options(L){this._options=L}computeId(){const L=[];if(L.push("process"),this._process!==void 0&&L.push(this._process),this._args&&this._args.length>0)for(let te of this._args)L.push(te);return he(L)}};ue=je([h],ue),e.ProcessExecution=ue;let G=class{constructor(L,te,ye){if(this._args=[],Array.isArray(te)){if(!L)throw(0,y.illegalArgument)("command can't be undefined or null");if(typeof L!="string"&&typeof L.value!="string")throw(0,y.illegalArgument)("command");this._command=L,this._args=te,this._options=ye}else{if(typeof L!="string")throw(0,y.illegalArgument)("commandLine");this._commandLine=L,this._options=te}}get commandLine(){return this._commandLine}set commandLine(L){if(typeof L!="string")throw(0,y.illegalArgument)("commandLine");this._commandLine=L}get command(){return this._command?this._command:""}set command(L){if(typeof L!="string"&&typeof L.value!="string")throw(0,y.illegalArgument)("command");this._command=L}get args(){return this._args}set args(L){this._args=L||[]}get options(){return this._options}set options(L){this._options=L}computeId(){const L=[];if(L.push("shell"),this._commandLine!==void 0&&L.push(this._commandLine),this._command!==void 0&&L.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let te of this._args)L.push(typeof te=="string"?te:te.value);return he(L)}};G=je([h],G),e.ShellExecution=G;var Ie;(function(O){O[O.Escape=1]="Escape",O[O.Strong=2]="Strong",O[O.Weak=3]="Weak"})(Ie=e.ShellQuoting||(e.ShellQuoting={}));var Pe;(function(O){O[O.Global=1]="Global",O[O.Workspace=2]="Workspace"})(Pe=e.TaskScope||(e.TaskScope={}));class et{constructor(L){this._callback=L}computeId(){return"customExecution"+(0,E.generateUuid)()}set callback(L){this._callback=L}get callback(){return this._callback}}e.CustomExecution=et;let Ge=l=class{constructor(L,te,ye,ze,Ye,nt){this.__deprecated=!1,this._definition=this.definition=L;let ot;typeof te=="string"?(this._name=this.name=te,this._source=this.source=ye,this.execution=ze,ot=Ye,this.__deprecated=!0):te===Pe.Global||te===Pe.Workspace?(this.target=te,this._name=this.name=ye,this._source=this.source=ze,this.execution=Ye,ot=nt):(this.target=te,this._name=this.name=ye,this._source=this.source=ze,this.execution=Ye,ot=nt),typeof ot=="string"?(this._problemMatchers=[ot],this._hasDefinedMatchers=!0):Array.isArray(ot)?(this._problemMatchers=ot,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(L){this.__id=L}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof ue?this._definition={type:l.ProcessType,id:this._execution.computeId()}:this._execution instanceof G?this._definition={type:l.ShellType,id:this._execution.computeId()}:this._execution instanceof et?this._definition={type:l.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:l.EmptyType,id:(0,E.generateUuid)()}}get definition(){return this._definition}set definition(L){if(L==null)throw(0,y.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=L}get scope(){return this._scope}set target(L){this.clear(),this._scope=L}get name(){return this._name}set name(L){if(typeof L!="string")throw(0,y.illegalArgument)("name");this.clear(),this._name=L}get execution(){return this._execution}set execution(L){L===null&&(L=void 0),this.clear(),this._execution=L;const te=this._definition.type;(l.EmptyType===te||l.ProcessType===te||l.ShellType===te||l.ExtensionCallbackType===te)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(L){if(Array.isArray(L))this.clear(),this._problemMatchers=L,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(L){L!==!0&&L!==!1&&(L=!1),this.clear(),this._isBackground=L}get source(){return this._source}set source(L){if(typeof L!="string"||L.length===0)throw(0,y.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=L}get group(){return this._group}set group(L){L===null&&(L=void 0),this.clear(),this._group=L}get detail(){return this._detail}set detail(L){L===null&&(L=void 0),this._detail=L}get presentationOptions(){return this._presentationOptions}set presentationOptions(L){L==null&&(L=Object.create(null)),this.clear(),this._presentationOptions=L}get runOptions(){return this._runOptions}set runOptions(L){L==null&&(L=Object.create(null)),this.clear(),this._runOptions=L}};Ge.ExtensionCallbackType="customExecution",Ge.ProcessType="process",Ge.ShellType="shell",Ge.EmptyType="$empty",Ge=l=je([h],Ge),e.Task=Ge;var rt;(function(O){O[O.SourceControl=1]="SourceControl",O[O.Window=10]="Window",O[O.Notification=15]="Notification"})(rt=e.ProgressLocation||(e.ProgressLocation={}));let lt=class{constructor(L,te=Je.None){this.collapsibleState=te,C.URI.isUri(L)?this.resourceUri=L:this.label=L}};lt=je([h],lt),e.TreeItem=lt;var Je;(function(O){O[O.None=0]="None",O[O.Collapsed=1]="Collapsed",O[O.Expanded=2]="Expanded"})(Je=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let it=class{constructor(L,te){this.id=L,this.color=te}};it=je([h],it),e.ThemeIcon=it,it.File=new it("file"),it.Folder=new it("folder");let dt=class{constructor(L){this.id=L}};dt=je([h],dt),e.ThemeColor=dt;var at;(function(O){O[O.Global=1]="Global",O[O.Workspace=2]="Workspace",O[O.WorkspaceFolder=3]="WorkspaceFolder"})(at=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Dt=class{constructor(L,te){if(typeof L!="string"&&(!L||!C.URI.isUri(L)&&!C.URI.isUri(L.uri)))throw(0,y.illegalArgument)("base");if(typeof te!="string")throw(0,y.illegalArgument)("pattern");typeof L=="string"?(this.baseFolder=C.URI.file(L),this.base=L):C.URI.isUri(L)?(this.baseFolder=L,this.base=L.fsPath):(this.baseFolder=L.uri,this.base=L.uri.fsPath),this.pattern=te}};Dt=je([h],Dt),e.RelativePattern=Dt;let gt=class{constructor(L,te,ye,ze){this.enabled=typeof L=="boolean"?L:!0,typeof te=="string"&&(this.condition=te),typeof ye=="string"&&(this.hitCondition=ye),typeof ze=="string"&&(this.logMessage=ze)}get id(){return this._id||(this._id=(0,E.generateUuid)()),this._id}};gt=je([h],gt),e.Breakpoint=gt;let Ct=class extends gt{constructor(L,te,ye,ze,Ye){super(te,ye,ze,Ye);if(L===null)throw(0,y.illegalArgument)("location");this.location=L}};Ct=je([h],Ct),e.SourceBreakpoint=Ct;let wt=class extends gt{constructor(L,te,ye,ze,Ye){super(te,ye,ze,Ye);this.functionName=L}};wt=je([h],wt),e.FunctionBreakpoint=wt;let Et=class extends gt{constructor(L,te,ye,ze,Ye,nt,ot){super(ze,Ye,nt,ot);if(!te)throw(0,y.illegalArgument)("dataId");this.label=L,this.dataId=te,this.canPersist=ye}};Et=je([h],Et),e.DataBreakpoint=Et;let mt=class{constructor(L,te,ye){this.command=L,this.args=te||[],this.options=ye}};mt=je([h],mt),e.DebugAdapterExecutable=mt;let Rt=class{constructor(L,te){this.port=L,this.host=te}};Rt=je([h],Rt),e.DebugAdapterServer=Rt;let Ft=class{constructor(L){this.path=L}};Ft=je([h],Ft),e.DebugAdapterNamedPipeServer=Ft;let ht=class{constructor(L){this.implementation=L}};ht=je([h],ht),e.DebugAdapterInlineImplementation=ht;let St=class{constructor(L,te){this.range=L,this.expression=te}};St=je([h],St),e.EvaluatableExpression=St;let Ut=class{constructor(L,te){this.range=L,this.text=te}};Ut=je([h],Ut),e.InlineValueText=Ut;let $t=class{constructor(L,te,ye=!0){this.range=L,this.variableName=te,this.caseSensitiveLookup=ye}};$t=je([h],$t),e.InlineValueVariableLookup=$t;let Lt=class{constructor(L,te){this.range=L,this.expression=te}};Lt=je([h],Lt),e.InlineValueEvaluatableExpression=Lt;let ut=class{constructor(L,te){this.frameId=L,this.stoppedLocation=te}};ut=je([h],ut),e.InlineValueContext=ut;var ln;(function(O){O[O.Changed=1]="Changed",O[O.Created=2]="Created",O[O.Deleted=3]="Deleted"})(ln=e.FileChangeType||(e.FileChangeType={}));let It=i=class extends Error{constructor(L,te=n.FileSystemProviderErrorCode.Unknown,ye){var ze;super(C.URI.isUri(L)?L.toString(!0):L);this.code=(ze=ye==null?void 0:ye.name)!==null&&ze!==void 0?ze:"Unknown",(0,n.markAsFileSystemProviderError)(this,te),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,i.prototype),typeof Error.captureStackTrace=="function"&&typeof ye=="function"&&Error.captureStackTrace(this,ye)}static FileExists(L){return new i(L,n.FileSystemProviderErrorCode.FileExists,i.FileExists)}static FileNotFound(L){return new i(L,n.FileSystemProviderErrorCode.FileNotFound,i.FileNotFound)}static FileNotADirectory(L){return new i(L,n.FileSystemProviderErrorCode.FileNotADirectory,i.FileNotADirectory)}static FileIsADirectory(L){return new i(L,n.FileSystemProviderErrorCode.FileIsADirectory,i.FileIsADirectory)}static NoPermissions(L){return new i(L,n.FileSystemProviderErrorCode.NoPermissions,i.NoPermissions)}static Unavailable(L){return new i(L,n.FileSystemProviderErrorCode.Unavailable,i.Unavailable)}};It=i=je([h],It),e.FileSystemError=It;let At=class{constructor(L,te,ye){this.start=L,this.end=te,this.kind=ye}};At=je([h],At),e.FoldingRange=At;var Yt;(function(O){O[O.Comment=1]="Comment",O[O.Imports=2]="Imports",O[O.Region=3]="Region"})(Yt=e.FoldingRangeKind||(e.FoldingRangeKind={}));var un;(function(O){O[O.Collapsed=0]="Collapsed",O[O.Expanded=1]="Expanded"})(un=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Xt;(function(O){O[O.Editing=0]="Editing",O[O.Preview=1]="Preview"})(Xt=e.CommentMode||(e.CommentMode={}));class cn{constructor(L,te=[]){this.tokenTypes=L,this.tokenModifiers=te}}e.SemanticTokensLegend=cn;function Zt(O){return typeof O=="undefined"||(0,S.isStringArray)(O)}class Pt{constructor(L){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,L){this._hasLegend=!0;for(let te=0,ye=L.tokenTypes.length;te<ye;te++)this._tokenTypeStrToInt.set(L.tokenTypes[te],te);for(let te=0,ye=L.tokenModifiers.length;te<ye;te++)this._tokenModifierStrToInt.set(L.tokenModifiers[te],te)}}push(L,te,ye,ze,Ye){if(typeof L=="number"&&typeof te=="number"&&typeof ye=="number"&&typeof ze=="number"&&(typeof Ye=="number"||typeof Ye=="undefined"))return typeof Ye=="undefined"&&(Ye=0),this._pushEncoded(L,te,ye,ze,Ye);if(p.isRange(L)&&typeof te=="string"&&Zt(ye))return this._push(L,te,ye);throw(0,y.illegalArgument)()}_push(L,te,ye){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(L.start.line!==L.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(te))throw new Error("`tokenType` is not in the provided legend");const ze=L.start.line,Ye=L.start.character,nt=L.end.character-L.start.character,ot=this._tokenTypeStrToInt.get(te);let pt=0;if(ye)for(const vt of ye){if(!this._tokenModifierStrToInt.has(vt))throw new Error("`tokenModifier` is not in the provided legend");const _t=this._tokenModifierStrToInt.get(vt);pt|=1<<_t>>>0}this._pushEncoded(ze,Ye,nt,ot,pt)}_pushEncoded(L,te,ye,ze,Ye){if(this._dataIsSortedAndDeltaEncoded&&(L<this._prevLine||L===this._prevLine&&te<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const pt=this._data.length/5|0;let vt=0,_t=0;for(let bt=0;bt<pt;bt++){let yt=this._data[5*bt],Qt=this._data[5*bt+1];yt===0?(yt=vt,Qt+=_t):yt+=vt,this._data[5*bt]=yt,this._data[5*bt+1]=Qt,vt=yt,_t=Qt}}let nt=L,ot=te;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(nt-=this._prevLine,nt===0&&(ot-=this._prevChar)),this._data[this._dataLen++]=nt,this._data[this._dataLen++]=ot,this._data[this._dataLen++]=ye,this._data[this._dataLen++]=ze,this._data[this._dataLen++]=Ye,this._prevLine=L,this._prevChar=te}static _sortAndDeltaEncode(L){let te=[];const ye=L.length/5|0;for(let ot=0;ot<ye;ot++)te[ot]=ot;te.sort((ot,pt)=>{const vt=L[5*ot],_t=L[5*pt];if(vt===_t){const bt=L[5*ot+1],yt=L[5*pt+1];return bt-yt}return vt-_t});const ze=new Uint32Array(L.length);let Ye=0,nt=0;for(let ot=0;ot<ye;ot++){const pt=5*te[ot],vt=L[pt+0],_t=L[pt+1],bt=L[pt+2],yt=L[pt+3],Qt=L[pt+4],yn=vt-Ye,In=yn===0?_t-nt:_t,Jt=5*ot;ze[Jt+0]=yn,ze[Jt+1]=In,ze[Jt+2]=bt,ze[Jt+3]=yt,ze[Jt+4]=Qt,Ye=vt,nt=_t}return ze}build(L){return this._dataIsSortedAndDeltaEncoded?new Bt(new Uint32Array(this._data),L):new Bt(Pt._sortAndDeltaEncode(this._data),L)}}e.SemanticTokensBuilder=Pt;class Bt{constructor(L,te){this.resultId=te,this.data=L}}e.SemanticTokens=Bt;class xt{constructor(L,te,ye){this.start=L,this.deleteCount=te,this.data=ye}}e.SemanticTokensEdit=xt;class Ht{constructor(L,te){this.resultId=te,this.edits=L}}e.SemanticTokensEdits=Ht;var dn;(function(O){O[O.Separate=0]="Separate",O[O.MergeWithParent=1]="MergeWithParent"})(dn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var hn;(function(O){O[O.Initial=1]="Initial",O[O.Dynamic=2]="Dynamic"})(hn=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let kt=class{constructor(){}};kt.Back={iconPath:new it("arrow-left")},kt=je([h],kt),e.QuickInputButtons=kt;var fn;(function(O){O[O.UI=1]="UI",O[O.Workspace=2]="Workspace"})(fn=e.ExtensionKind||(e.ExtensionKind={}));class mn{constructor(L,te,ye){this.badge=L,this.tooltip=te,this.color=ye}static validate(L){if(L.badge&&L.badge.length!==1&&L.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!L.color&&!L.badge&&!L.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=mn;let zt=class{constructor(L){this.kind=L}};zt=je([h],zt),e.ColorTheme=zt;var gn;(function(O){O[O.Light=1]="Light",O[O.Dark=2]="Dark",O[O.HighContrast=3]="HighContrast"})(gn=e.ColorThemeKind||(e.ColorThemeKind={}));class Vt{constructor(L,te){if(L<0)throw(0,y.illegalArgument)("start must be positive");if(te<L)throw(0,y.illegalArgument)("end cannot be smaller than start");this._start=L,this._end=te}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}}e.NotebookCellRange=Vt;class Wt{constructor(L,te,ye,ze,Ye,nt,ot,pt,vt,_t,bt){this.editable=L,this.breakpointMargin=te,this.hasExecutionOrder=ye,this.executionOrder=ze,this.runState=Ye,this.runStartTime=nt,this.statusMessage=ot,this.lastRunDuration=pt,this.inputCollapsed=vt,this.outputCollapsed=_t,this.custom=bt}with(L){let{editable:te,breakpointMargin:ye,hasExecutionOrder:ze,executionOrder:Ye,runState:nt,runStartTime:ot,statusMessage:pt,lastRunDuration:vt,inputCollapsed:_t,outputCollapsed:bt,custom:yt}=L;return te===void 0?te=this.editable:te===null&&(te=void 0),ye===void 0?ye=this.breakpointMargin:ye===null&&(ye=void 0),ze===void 0?ze=this.hasExecutionOrder:ze===null&&(ze=void 0),Ye===void 0?Ye=this.executionOrder:Ye===null&&(Ye=void 0),nt===void 0?nt=this.runState:nt===null&&(nt=void 0),ot===void 0?ot=this.runStartTime:ot===null&&(ot=void 0),pt===void 0?pt=this.statusMessage:pt===null&&(pt=void 0),vt===void 0?vt=this.lastRunDuration:vt===null&&(vt=void 0),_t===void 0?_t=this.inputCollapsed:_t===null&&(_t=void 0),bt===void 0?bt=this.outputCollapsed:bt===null&&(bt=void 0),yt===void 0?yt=this.custom:yt===null&&(yt=void 0),te===this.editable&&ye===this.breakpointMargin&&ze===this.hasExecutionOrder&&Ye===this.executionOrder&&nt===this.runState&&ot===this.runStartTime&&pt===this.statusMessage&&vt===this.lastRunDuration&&_t===this.inputCollapsed&&bt===this.outputCollapsed&&yt===this.custom?this:new Wt(te,ye,ze,Ye,nt,ot,pt,vt,_t,bt,yt)}}e.NotebookCellMetadata=Wt;class Mt{constructor(L=!0,te=!0,ye=!0,ze={},Ye=en.Idle,nt=!0){this.editable=L,this.cellEditable=te,this.cellHasExecutionOrder=ye,this.custom=ze,this.runState=Ye,this.trusted=nt}with(L){let{editable:te,cellEditable:ye,cellHasExecutionOrder:ze,custom:Ye,runState:nt,trusted:ot}=L;return te===void 0?te=this.editable:te===null&&(te=void 0),ye===void 0?ye=this.cellEditable:ye===null&&(ye=void 0),ze===void 0?ze=this.cellHasExecutionOrder:ze===null&&(ze=void 0),Ye===void 0?Ye=this.custom:Ye===null&&(Ye=void 0),nt===void 0?nt=this.runState:nt===null&&(nt=void 0),ot===void 0?ot=this.trusted:ot===null&&(ot=void 0),te===this.editable&&ye===this.cellEditable&&ze===this.cellHasExecutionOrder&&Ye===this.custom&&nt===this.runState&&ot===this.trusted?this:new Mt(te,ye,ze,Ye,nt,ot)}}e.NotebookDocumentMetadata=Mt;class jt{constructor(L,te,ye,ze,Ye){this.kind=L,this.source=te,this.language=ye,this.outputs=ze!=null?ze:[],this.metadata=Ye}}e.NotebookCellData=jt;class Fe{constructor(L,te){this.cells=L,this.metadata=te!=null?te:new Mt}}e.NotebookData=Fe;class Ot{constructor(L,te,ye){this.mime=L,this.value=te,this.metadata=ye}static isNotebookCellOutputItem(L){return L instanceof Ot}}e.NotebookCellOutputItem=Ot;class qt{constructor(L,te,ye){this.outputs=L,typeof te=="string"?(this.id=te,this.metadata=ye):(this.id=(0,E.generateUuid)(),this.metadata=te!=null?te:ye)}}e.NotebookCellOutput=qt;var ft;(function(O){O[O.Markdown=1]="Markdown",O[O.Code=2]="Code"})(ft=e.NotebookCellKind||(e.NotebookCellKind={}));var pn;(function(O){O[O.Running=1]="Running",O[O.Idle=2]="Idle",O[O.Success=3]="Success",O[O.Error=4]="Error"})(pn=e.NotebookCellRunState||(e.NotebookCellRunState={}));var en;(function(O){O[O.Running=1]="Running",O[O.Idle=2]="Idle"})(en=e.NotebookRunState||(e.NotebookRunState={}));var tn;(function(O){O[O.Left=1]="Left",O[O.Right=2]="Right"})(tn=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var nn;(function(O){O[O.Default=0]="Default",O[O.InCenter=1]="InCenter",O[O.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",O[O.AtTop=3]="AtTop"})(nn=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));let Kt=class{constructor(L,te){this.label=L,this.timestamp=te}};Kt=je([h],Kt),e.TimelineItem=Kt;var vn;(function(O){O[O.Production=1]="Production",O[O.Development=2]="Development",O[O.Test=3]="Test"})(vn=e.ExtensionMode||(e.ExtensionMode={}));var _n;(function(O){O[O.Node=1]="Node",O[O.Webworker=2]="Webworker"})(_n=e.ExtensionRuntime||(e.ExtensionRuntime={}));var bn;(function(O){O[O.Other=0]="Other",O[O.Comment=1]="Comment",O[O.String=2]="String",O[O.RegEx=4]="RegEx"})(bn=e.StandardTokenType||(e.StandardTokenType={}));class rn{constructor(L,te){this.ranges=L,this.wordPattern=te}}e.LinkedEditingRanges=rn;var wn;(function(O){O[O.Unset=0]="Unset",O[O.Queued=1]="Queued",O[O.Running=2]="Running",O[O.Passed=3]="Passed",O[O.Failed=4]="Failed",O[O.Skipped=5]="Skipped",O[O.Errored=6]="Errored"})(wn=e.TestResult||(e.TestResult={}));var sn;(function(O){O[O.Error=0]="Error",O[O.Warning=1]="Warning",O[O.Information=2]="Information",O[O.Hint=3]="Hint"})(sn=e.TestMessageSeverity||(e.TestMessageSeverity={}));class En{constructor(L,te){this.label=te,this.runnable=!0,this.debuggable=!1,this.children=[],Object.defineProperty(this,"id",{value:L,enumerable:!0,writable:!1})}}e.TestItem=En;class Sn{constructor(L){this.state=L,this.messages=[]}}e.TestState=Sn;class Gt{constructor(L){this.message=L,this.severity=sn.Error}static diff(L,te,ye){const ze=new Gt(L);return ze.expectedOutput=te,ze.actualOutput=ye,ze}}e.TestMessage=Gt;var ee;(function(O){O[O.None=0]="None",O[O.Option=1]="Option",O[O.Default=2]="Default",O[O.Preferred=3]="Preferred"})(ee=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var de;(function(O){O[O.Untrusted=0]="Untrusted",O[O.Trusted=1]="Trusted",O[O.Unknown=2]="Unknown"})(de=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var ke;(function(O){O[O.Notify=1]="Notify",O[O.OpenBrowser=2]="OpenBrowser",O[O.OpenPreview=3]="OpenPreview",O[O.Silent=4]="Silent",O[O.Ignore=5]="Ignore"})(ke=e.PortAutoForwardAction||(e.PortAutoForwardAction={}))}),define(we[94],Ee([0,1,43,16,8,117,83,7,15]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const n=new Map;function P(s,f){f?n.set(s,f):n.delete(s)}e.setWordDefinitionFor=P;function k(s){return n.get(s)}e.getWordDefinitionFor=k;class _ extends I.MirrorTextModel{constructor(f,v,m,w,c,u,a,t){super(v,m,w,c);this._proxy=f,this._languageId=u,this._isDirty=a,this._notebook=t,this._isDisposed=!1}dispose(){(0,b.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(f){return(0,E.equals)(this._lines,f)}get document(){if(!this._document){const f=this;this._document={get uri(){return f._uri},get fileName(){return f._uri.fsPath},get isUntitled(){return f._uri.scheme===y.Schemas.untitled},get languageId(){return f._languageId},get version(){return f._versionId},get isClosed(){return f._isDisposed},get isDirty(){return f._isDirty},get notebook(){return f._notebook},save(){return f._save()},getText(v){return v?f._getTextInRange(v):f.getText()},get eol(){return f._eol===`
`?C.EndOfLine.LF:C.EndOfLine.CRLF},get lineCount(){return f._lines.length},lineAt(v){return f._lineAt(v)},offsetAt(v){return f._offsetAt(v)},positionAt(v){return f._positionAt(v)},validateRange(v){return f._validateRange(v)},validatePosition(v){return f._validatePosition(v)},getWordRangeAtPosition(v,m){return f._getWordRangeAtPosition(v,m)}}}return Object.freeze(this._document)}_acceptLanguageId(f){(0,b.ok)(!this._isDisposed),this._languageId=f}_acceptIsDirty(f){(0,b.ok)(!this._isDisposed),this._isDirty=f}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(f){const v=this._validateRange(f);if(v.isEmpty)return"";if(v.isSingleLine)return this._lines[v.start.line].substring(v.start.character,v.end.character);const m=this._eol,w=v.start.line,c=v.end.line,u=[];u.push(this._lines[w].substring(v.start.character));for(let a=w+1;a<c;a++)u.push(this._lines[a]);return u.push(this._lines[c].substring(0,v.end.character)),u.join(m)}_lineAt(f){let v;if(f instanceof C.Position?v=f.line:typeof f=="number"&&(v=f),typeof v!="number"||v<0||v>=this._lines.length||Math.floor(v)!==v)throw new Error("Illegal value for `line`");return new d(v,this._lines[v],v===this._lines.length-1)}_offsetAt(f){return f=this._validatePosition(f),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(f.line-1)+f.character}_positionAt(f){f=Math.floor(f),f=Math.max(0,f),this._ensureLineStarts();const v=this._lineStarts.getIndexOf(f),m=this._lines[v.index].length;return new C.Position(v.index,Math.min(v.remainder,m))}_validateRange(f){if(!(f instanceof C.Range))throw new Error("Invalid argument");const v=this._validatePosition(f.start),m=this._validatePosition(f.end);return v===f.start&&m===f.end?f:new C.Range(v.line,v.character,m.line,m.character)}_validatePosition(f){if(!(f instanceof C.Position))throw new Error("Invalid argument");if(this._lines.length===0)return f.with(0,0);let{line:v,character:m}=f,w=!1;if(v<0)v=0,m=0,w=!0;else if(v>=this._lines.length)v=this._lines.length-1,m=this._lines[v].length,w=!0;else{const c=this._lines[v].length;m<0?(m=0,w=!0):m>c&&(m=c,w=!0)}return w?new C.Position(v,m):f}_getWordRangeAtPosition(f,v){const m=this._validatePosition(f);if(!v)v=k(this._languageId);else if((0,A.regExpLeadsToEndlessLoop)(v))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${v.source}' because it matches the empty string.`);const w=(0,S.getWordAtText)(m.character+1,(0,S.ensureValidWordDefinition)(v),this._lines[m.line],0);if(w)return new C.Range(m.line,w.startColumn-1,m.line,w.endColumn-1)}}e.ExtHostDocumentData=_;class d{constructor(f,v,m){this._line=f,this._text=v,this._isLastLine=m}get lineNumber(){return this._line}get text(){return this._text}get range(){return new C.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new C.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=d}),define(we[159],Ee([0,1,7,3,85,6,59,22,2,29]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class P{constructor(_,d,s,f){this._notebook=s,this._selector=f,this._disposables=new I.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new y.Emitter,this.onDidChange=this._onDidChange.event,this.uri=E.URI.from({scheme:"vscode-concat-doc",path:(0,n.generateUuid)()}),this._init(),this._disposables.add(d.onDidChangeDocument(m=>{const w=this._cellUris.get(m.document.uri);w!==void 0&&(this._cellLengths.changeValue(w,this._cells[w].document.getText().length+1),this._cellLines.changeValue(w,this._cells[w].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const v=m=>{m===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(_.onDidChangeNotebookCells(m=>v(m.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new C.ResourceMap;const _=[],d=[];for(const s of this._notebook.cells)s.kind===b.NotebookCellKind.Code&&(!this._selector||(0,S.score)(this._selector,s.document.uri,s.document.languageId,!0))&&(this._cellUris.set(s.document.uri,this._cells.length),this._cells.push(s),_.push(s.document.getText().length+1),d.push(s.document.lineCount));this._cellLengths=new A.PrefixSumComputer(new Uint32Array(_)),this._cellLines=new A.PrefixSumComputer(new Uint32Array(d))}get version(){return this._versionId}getText(_){var d,s;if(!_){let c="";for(const u of this._cells)c+=u.document.getText()+`
`;return c=c.slice(0,-1),c}if(_.isEmpty)return"";const f=this.locationAt(_.start),v=this.locationAt(_.end),m=this._cells[(d=this._cellUris.get(f.uri))!==null&&d!==void 0?d:-1],w=this._cells[(s=this._cellUris.get(v.uri))!==null&&s!==void 0?s:-1];if(!m||!w)return"";if(m===w)return m.document.getText(new b.Range(f.range.start,v.range.end));{const c=m.document.getText(new b.Range(f.range.start,new b.Position(m.document.lineCount,0))),u=w.document.getText(new b.Range(new b.Position(0,0),v.range.end));return c+`
`+u}}offsetAt(_){const d=this._cellLines.getIndexOf(_.line),s=this._cellLengths.getAccumulatedValue(d.index-1),f=this._cells[d.index].document.offsetAt(_.with(d.remainder));return s+f}positionAt(_){if(typeof _=="number"){const s=this._cellLengths.getIndexOf(_),f=this._cellLines.getAccumulatedValue(s.index-1);return this._cells[s.index].document.positionAt(s.remainder).translate(f)}const d=this._cellUris.get(_.uri);if(d!==void 0){const s=this._cellLines.getAccumulatedValue(d-1);return new b.Position(s+_.range.start.line,_.range.start.character)}return new b.Position(0,0)}locationAt(_){b.Range.isRange(_)||(_=new b.Range(_,_));const d=this._cellLines.getIndexOf(_.start.line);let s=d;_.isEmpty||(s=this._cellLines.getIndexOf(_.end.line));const f=new b.Position(d.remainder,_.start.character),v=new b.Position(s.remainder,_.end.character),m=new b.Range(f,v),w=this._cells[d.index];return new b.Location(w.document.uri,w.document.validateRange(m))}contains(_){return this._cellUris.has(_)}validateRange(_){const d=this.validatePosition(_.start),s=this.validatePosition(_.end);return _.with(d,s)}validatePosition(_){const d=this._cellLines.getIndexOf(_.line),s=new b.Position(d.remainder,_.character),f=this._cells[d.index].document.validatePosition(s),v=this._cellLines.getAccumulatedValue(d.index-1);return new b.Position(v+f.line,f.character)}}e.ExtHostNotebookConcatDocument=P}),define(we[160],Ee([0,1,7,14,3]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let I=class{constructor(C){this._actual=new b.ColorTheme(b.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new A.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(C){let E=C==="light"?b.ColorThemeKind.Light:C==="dark"?b.ColorThemeKind.Dark:b.ColorThemeKind.HighContrast;this._actual=new b.ColorTheme(E),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};I=je([qe(0,y.IExtHostRpcService)],I),e.ExtHostTheming=I}),define(we[68],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,b.createDecorator)("IURITransformerService");class y{constructor(I){I?(this.transformIncoming=I.transformIncoming.bind(I),this.transformOutgoing=I.transformOutgoing.bind(I),this.transformOutgoingURI=I.transformOutgoingURI.bind(I),this.transformOutgoingScheme=I.transformOutgoingScheme.bind(I)):(this.transformIncoming=S=>S,this.transformOutgoing=S=>S,this.transformOutgoingURI=S=>S,this.transformOutgoingScheme=S=>S)}}e.URITransformerService=y}),define(we[69],Ee([0,1,2]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=void 0;function y(I,S,C){const E=I.webviewResourceRoot.replace("{{resource}}",C.scheme+A(C)).replace("{{uuid}}",S);return b.URI.parse(E)}e.asWebviewUri=y;function A(I){return I.toString().replace(/^\S+?:/,"")}}),define(we[161],Ee([0,1,3,6,69,29]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class S{constructor(E,n,P){this._proxy=E,this._editors=n,this._initData=P,this._handlePool=0,this._disposables=new y.DisposableStore,this._insets=new Map,this._disposables.add(n.onDidChangeVisibleTextEditors(()=>{const k=n.getVisibleTextEditors();for(const _ of this._insets.values())k.indexOf(_.editor)<0&&_.inset.dispose()}))}dispose(){this._insets.forEach(E=>E.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(E,n,P,k,_){let d;for(const u of this._editors.getVisibleTextEditors(!0))if(u.value===E){d=u;break}if(!d)throw new Error("not a visible editor");const s=this,f=this._handlePool++,v=new b.Emitter,m=new b.Emitter,w=new class{constructor(){this._uuid=(0,I.generateUuid)(),this._html="",this._options=Object.create(null)}asWebviewUri(u){return(0,A.asWebviewUri)(s._initData,this._uuid,u)}get cspSource(){return s._initData.webviewCspSource}set options(u){this._options=u,s._proxy.$setOptions(f,u)}get options(){return this._options}set html(u){this._html=u,s._proxy.$setHtml(f,u)}get html(){return this._html}get onDidReceiveMessage(){return v.event}postMessage(u){return s._proxy.$postMessage(f,u)}},c=new class{constructor(){this.editor=E,this.line=n,this.height=P,this.webview=w,this.onDidDispose=m.event}dispose(){s._insets.has(f)&&(s._insets.delete(f),s._proxy.$disposeEditorInset(f),m.fire(),m.dispose(),v.dispose())}};return this._proxy.$createEditorInset(f,d.id,d.value.document.uri,n+1,P,k||{},_.identifier,_.extensionLocation),this._insets.set(f,{editor:E,inset:c,onDidReceiveMessage:v}),c}$onDidDispose(E){const n=this._insets.get(E);n&&n.inset.dispose()}$onDidReceiveMessage(E,n){const P=this._insets.get(E);P&&P.onDidReceiveMessage.fire(n)}}e.ExtHostEditorInsets=S}),define(we[162],Ee([0,1,3,63,135,4,6,22,30,15,50,23,37,154]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvableTreeItem=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.IViewDescriptorService=e.getVisbileViewContextKey=e.FocusedViewContext=e.IViewsService=e.ViewContentGroups=e.getEnabledViewContainerContextKey=e.ViewContainerLocationToString=e.ViewContainerLocation=e.Extensions=e.defaultViewIcon=void 0,e.defaultViewIcon=(0,d.registerIcon)("default-view-icon",_.Codicon.window,(0,A.localize)(0,null));var s;(function(i){i.ViewContainersRegistry="workbench.registry.view.containers",i.ViewsRegistry="workbench.registry.view"})(s=e.Extensions||(e.Extensions={}));var f;(function(i){i[i.Sidebar=0]="Sidebar",i[i.Panel=1]="Panel"})(f=e.ViewContainerLocation||(e.ViewContainerLocation={}));function v(i){switch(i){case 0:return"sidebar";case 1:return"panel"}}e.ViewContainerLocationToString=v;function m(i){return`viewContainer.${i}.enabled`}e.getEnabledViewContainerContextKey=m;class w extends S.Disposable{constructor(){super(...arguments);this._onDidRegister=this._register(new b.Emitter),this.onDidRegister=this._onDidRegister.event,this._onDidDeregister=this._register(new b.Emitter),this.onDidDeregister=this._onDidDeregister.event,this.viewContainers=new Map,this.defaultViewContainers=[]}get all(){return(0,n.flatten)([...this.viewContainers.values()])}registerViewContainer(h,D,R){var p;const g=this.get(h.id);if(g)return g;const T=h;return T.openCommandActionDescriptor=(R==null?void 0:R.donotRegisterOpenCommand)?void 0:(p=T.openCommandActionDescriptor)!==null&&p!==void 0?p:{id:T.id},(0,C.getOrSet)(this.viewContainers,D,[]).push(T),(R==null?void 0:R.isDefault)&&this.defaultViewContainers.push(T),this._onDidRegister.fire({viewContainer:T,viewContainerLocation:D}),T}deregisterViewContainer(h){for(const D of this.viewContainers.keys()){const R=this.viewContainers.get(D),p=R==null?void 0:R.indexOf(h);if(p!==-1){R==null||R.splice(p,1),R.length===0&&this.viewContainers.delete(D),this._onDidDeregister.fire({viewContainer:h,viewContainerLocation:D});return}}}get(h){return this.all.filter(D=>D.id===h)[0]}getViewContainers(h){return[...this.viewContainers.get(h)||[]]}getViewContainerLocation(h){return[...this.viewContainers.keys()].filter(D=>this.getViewContainers(D).filter(R=>(R==null?void 0:R.id)===h.id).length>0)[0]}getDefaultViewContainer(h){return this.defaultViewContainers.find(D=>this.getViewContainerLocation(D)===h)}}E.Registry.add(s.ViewContainersRegistry,new w);var c;(function(i){i.Open="2_open",i.Debug="4_debug",i.SCM="5_scm",i.More="9_more"})(c=e.ViewContentGroups||(e.ViewContentGroups={}));function u(i,h){var D,R,p,g;const T=(D=i.group)!==null&&D!==void 0?D:c.More,F=(R=h.group)!==null&&R!==void 0?R:c.More;return T!==F?T.localeCompare(F):((p=i.order)!==null&&p!==void 0?p:5)-((g=h.order)!==null&&g!==void 0?g:5)}class a extends S.Disposable{constructor(){super(...arguments);this._onViewsRegistered=this._register(new b.Emitter),this.onViewsRegistered=this._onViewsRegistered.event,this._onViewsDeregistered=this._register(new b.Emitter),this.onViewsDeregistered=this._onViewsDeregistered.event,this._onDidChangeContainer=this._register(new b.Emitter),this.onDidChangeContainer=this._onDidChangeContainer.event,this._onDidChangeViewWelcomeContent=this._register(new b.Emitter),this.onDidChangeViewWelcomeContent=this._onDidChangeViewWelcomeContent.event,this._viewContainers=[],this._views=new Map,this._viewWelcomeContents=new P.SetMap}registerViews(h,D){this.registerViews2([{views:h,viewContainer:D}])}registerViews2(h){h.forEach(({views:D,viewContainer:R})=>this.addViews(D,R)),this._onViewsRegistered.fire(h)}deregisterViews(h,D){const R=this.removeViews(h,D);R.length&&this._onViewsDeregistered.fire({views:R,viewContainer:D})}moveViews(h,D){for(const R of this._views.keys())if(R!==D){const p=this.removeViews(h,R);p.length&&(this.addViews(p,D),this._onDidChangeContainer.fire({views:p,from:R,to:D}))}}getViews(h){return this._views.get(h)||[]}getView(h){for(const D of this._viewContainers){const R=(this._views.get(D)||[]).filter(p=>p.id===h)[0];if(R)return R}return null}getViewContainer(h){for(const D of this._viewContainers)if((this._views.get(D)||[]).filter(p=>p.id===h)[0])return D;return null}registerViewWelcomeContent(h,D){return this._viewWelcomeContents.add(h,D),this._onDidChangeViewWelcomeContent.fire(h),(0,S.toDisposable)(()=>{this._viewWelcomeContents.delete(h,D),this._onDidChangeViewWelcomeContent.fire(h)})}registerViewWelcomeContent2(h,D){const R=new Map;for(const[p,g]of D)this._viewWelcomeContents.add(h,g),R.set(p,(0,S.toDisposable)(()=>{this._viewWelcomeContents.delete(h,g),this._onDidChangeViewWelcomeContent.fire(h)}));return this._onDidChangeViewWelcomeContent.fire(h),R}getViewWelcomeContent(h){const D=[];return this._viewWelcomeContents.forEach(h,R=>D.push(R)),D.sort(u)}addViews(h,D){let R=this._views.get(D);R||(R=[],this._views.set(D,R),this._viewContainers.push(D));for(const p of h){if(this.getView(p.id)!==null)throw new Error((0,A.localize)(1,null,p.id));R.push(p)}}removeViews(h,D){const R=this._views.get(D);if(!R)return[];const p=[],g=[];for(const T of R)h.includes(T)?p.push(T):g.push(T);return p.length&&(g.length?this._views.set(D,g):(this._views.delete(D),this._viewContainers.splice(this._viewContainers.indexOf(D),1))),p}}E.Registry.add(s.ViewsRegistry,new a),e.IViewsService=(0,I.createDecorator)("viewsService"),e.FocusedViewContext=new y.RawContextKey("focusedView","",(0,A.localize)(2,null));function t(i){return`view.${i}.visible`}e.getVisbileViewContextKey=t,e.IViewDescriptorService=(0,I.createDecorator)("viewDescriptorService");var r;(function(i){i[i.Default=0]="Default",i[i.Expand=1]="Expand"})(r=e.ViewVisibilityState||(e.ViewVisibilityState={}));var o;(function(i){i[i.None=0]="None",i[i.Collapsed=1]="Collapsed",i[i.Expanded=2]="Expanded"})(o=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));class l{constructor(h,D){this.resolved=!1,this._hasResolve=!1,(0,k.mixin)(this,h),this._hasResolve=!!D,this.resolve=async R=>{var p,g;if(D&&!this.resolved){const T=await D(R);T&&(this.tooltip=(p=this.tooltip)!==null&&p!==void 0?p:T.tooltip,this.command=(g=this.command)!==null&&g!==void 0?g:T.command)}R.isCancellationRequested||(this.resolved=!0)}}get hasResolve(){return this._hasResolve}resetResolve(){this.resolved=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.ResolvableTreeItem=l}),define(we[163],Ee([0,1,2,144,155,19,145,162]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MoveViewsAPICommand=e.OpenIssueReporter=e.RemoveFromRecentlyOpenedAPICommand=e.NewWindowAPICommand=void 0;function E(f){return(v,...m)=>f(v.get(y.ICommandService),...m)}class n{static execute(v,m){const w={forceReuseWindow:m&&m.reuseWindow,remoteAuthority:m&&m.remoteAuthority};return v.executeCommand("_files.newWindow",w)}}e.NewWindowAPICommand=n,n.ID="vscode.newWindow",y.CommandsRegistry.registerCommand({id:n.ID,handler:E(n.execute),description:{description:"Opens an new window",args:[]}}),y.CommandsRegistry.registerCommand("_workbench.removeFromRecentlyOpened",function(f,v){return f.get(A.IWorkspacesService).removeRecentlyOpened([v])});class P{static execute(v,m){return typeof m=="string"?m=m.match(/^[^:/?#]+:\/\//)?b.URI.parse(m):b.URI.file(m):m=b.URI.revive(m),v.executeCommand("_workbench.removeFromRecentlyOpened",m)}}e.RemoveFromRecentlyOpenedAPICommand=P,P.ID="vscode.removeFromRecentlyOpened",y.CommandsRegistry.registerCommand(P.ID,E(P.execute));class k{static execute(v,m){const w=typeof m=="string"?{extensionId:m}:m;return v.executeCommand("workbench.action.openIssueReporter",w)}}e.OpenIssueReporter=k,k.ID="vscode.openIssueReporter",y.CommandsRegistry.registerCommand("_workbench.addToRecentlyOpened",async function(f,v){const m=f.get(A.IWorkspacesService);let w;const c=v.uri,u=v.label,a=v.remoteAuthority;return v.type==="workspace"?w={workspace:await m.getWorkspaceIdentifier(c),label:u,remoteAuthority:a}:v.type==="folder"?w={folderUri:c,label:u,remoteAuthority:a}:w={fileUri:c,label:u,remoteAuthority:a},m.addRecentlyOpened([w])}),y.CommandsRegistry.registerCommand("_workbench.getRecentlyOpened",async function(f){return f.get(A.IWorkspacesService).getRecentlyOpened()}),y.CommandsRegistry.registerCommand("_extensionTests.setLogLevel",function(f,v){const m=f.get(I.ILogService),w=f.get(S.IEnvironmentService);w.isExtensionDevelopment&&!!w.extensionTestsLocationURI&&m.setLevel(v)}),y.CommandsRegistry.registerCommand("_extensionTests.getLogLevel",function(f){return f.get(I.ILogService).getLevel()}),y.CommandsRegistry.registerCommand("_workbench.action.moveViews",async function(f,v){const m=f.get(C.IViewDescriptorService),w=m.getViewContainerById(v.destinationId);if(!!w){for(const c of v.viewIds){const u=m.getViewDescriptorById(c);(u==null?void 0:u.canMoveView)&&m.moveViewsToContainer([u],w,C.ViewVisibilityState.Default)}await f.get(C.IViewsService).openViewContainer(w.id,!0)}});class _{static execute(v,m){return!Array.isArray(m==null?void 0:m.viewIds)||typeof(m==null?void 0:m.destinationId)!="string"?Promise.reject("Invalid arguments"):v.executeCommand("_workbench.action.moveViews",m)}}e.MoveViewsAPICommand=_,_.ID="vscode.moveViews",y.CommandsRegistry.registerCommand({id:_.ID,handler:E(_.execute),description:{description:"Move Views",args:[]}});class d{static execute(v,m){return v.executeCommand("_workbench.open",m)}}d.ID="vscode.open",y.CommandsRegistry.registerCommand(d.ID,E(d.execute));class s{static execute(v,m,w,c,u){return v.executeCommand("_workbench.diff",[m,w,c])}}s.ID="vscode.diff",y.CommandsRegistry.registerCommand(s.ID,E(s.execute))}),define(we[164],Ee([0,1,3,13,136]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class I{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new b.Emitter,this._onExit=new b.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(C){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=C}onEvent(C){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=C}onRequest(C){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=C}sendResponse(C){C.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${C.command}`)):this.internalSend("response",C)}sendRequest(C,E,n,P){const k={command:C};if(E&&Object.keys(E).length>0&&(k.arguments=E),this.internalSend("request",k),typeof P=="number"){const _=setTimeout(()=>{clearTimeout(_);const d=this.pendingRequests.get(k.seq);if(d){this.pendingRequests.delete(k.seq);const s={type:"response",seq:0,request_seq:k.seq,success:!1,command:C,message:(0,A.localize)(0,null,P,C)};d(s)}},P)}return n&&this.pendingRequests.set(k.seq,n),k.seq}acceptMessage(C){this.messageCallback?this.messageCallback(C):(this.queue.push(C),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(C,E){return C.type!=="event"||E.type!=="event"}async processQueue(){let C;for(;this.queue.length;){if((!C||this.needsTaskBoundaryBetween(this.queue[0],C))&&await(0,y.timeout)(0),C=this.queue.shift(),!C)return;switch(C.type){case"event":this.eventCallback&&this.eventCallback(C);break;case"request":this.requestCallback&&this.requestCallback(C);break;case"response":const E=C,n=this.pendingRequests.get(E.request_seq);n&&(this.pendingRequests.delete(E.request_seq),n(E));break}}}internalSend(C,E){E.type=C,E.seq=this.sequence++,this.sendMessage(E)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const C=new Map;this.pendingRequests.forEach((E,n)=>C.set(n,E)),await(0,y.timeout)(500),C.forEach((E,n)=>{E({type:"response",seq:0,request_seq:n,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(n)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=I}),define(we[165],Ee([0,1,8,2,11,23,16]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const C=/{([^}]+)}/g;function E(r,o,l){return r.replace(C,function(i,h){return o&&h.length>0&&h[0]!=="_"?i:l&&l.hasOwnProperty(h)?l[h]:i})}e.formatPII=E;function n(r){const o={};for(const l of Object.keys(r))l.startsWith("!")||(o[l]=r[l]);return o}e.filterExceptionsFromTelemetry=n;function P(r){return r.configuration.request==="attach"&&!k(r)}e.isSessionAttach=P;function k(r){let o=r.configuration.type;if(!!o)return o==="vslsShare"&&(o=r.configuration.adapterProxy.configuration.type),(0,b.equalsIgnoreCase)(o,"extensionhost")||(0,b.equalsIgnoreCase)(o,"pwa-extensionhost")?r:r.parentSession?k(r.parentSession):void 0}e.getExtensionHostDebugSession=k;function _(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=_;function d(r,o,l){let i,h=0,D=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,R=null;for(;R=D.exec(r);){let p=R.index+1,g=p+R[0].length;if(p<=o&&g>=l){i=R[0],h=p;break}}if(i){let p=/\w+/g,g=null;for(;(g=p.exec(i))&&!(g.index+1+h+g[0].length>=l););g&&(i=i.substring(0,p.lastIndex))}return i?{start:h,end:h+i.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=d;const s=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function f(r){return!!(r&&r.match(s))}e.isUri=f;function v(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(f(r.path))return y.URI.parse(r.path);if((0,A.isAbsolute)(r.path))return y.URI.file(r.path)}return r.path}function m(r){if(typeof r.path=="object"){const o=y.URI.revive(r.path);if(o)return o.scheme===S.Schemas.file?o.fsPath:o.toString()}return r.path}function w(r,o){const l=o?v:m,i=(0,I.deepClone)(r);return u(i,(h,D)=>{h&&D&&(D.path=l(D))}),i}e.convertToDAPaths=w;function c(r,o){const l=o?v:m,i=(0,I.deepClone)(r);return u(i,(h,D)=>{!h&&D&&(D.path=l(D))}),i}e.convertToVSCPaths=c;function u(r,o){switch(r.type){case"event":const l=r;switch(l.event){case"output":o(!1,l.body.source);break;case"loadedSource":o(!1,l.body.source);break;case"breakpoint":o(!1,l.body.breakpoint.source);break;default:break}break;case"request":const i=r;switch(i.command){case"setBreakpoints":o(!0,i.arguments.source);break;case"breakpointLocations":o(!0,i.arguments.source);break;case"source":o(!0,i.arguments.source);break;case"gotoTargets":o(!0,i.arguments.source);break;case"launchVSCode":i.arguments.args.forEach(D=>o(!1,D));break;default:break}break;case"response":const h=r;if(h.success&&h.body)switch(h.command){case"stackTrace":h.body.stackFrames.forEach(D=>o(!1,D.source));break;case"loadedSources":h.body.sources.forEach(D=>o(!1,D));break;case"scopes":h.body.scopes.forEach(D=>o(!1,D.source));break;case"setFunctionBreakpoints":h.body.breakpoints.forEach(D=>o(!1,D.source));break;case"setBreakpoints":h.body.breakpoints.forEach(D=>o(!1,D.source));break;default:break}break}}function a(r){return r.filter(o=>{var l;return!((l=o.presentation)===null||l===void 0?void 0:l.hidden)}).sort((o,l)=>o.presentation?l.presentation?o.presentation.group?l.presentation.group?o.presentation.group!==l.presentation.group?o.presentation.group.localeCompare(l.presentation.group):t(o.presentation.order,l.presentation.order):-1:l.presentation.group?1:t(o.presentation.order,l.presentation.order):-1:l.presentation?1:0)}e.getVisibleAndSorted=a;function t(r,o){return typeof r!="number"?typeof o!="number"?0:1:typeof o!="number"?-1:r-o}}),define(we[70],Ee([0,1,28,16,11,21,63]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cellRangeContains=e.reduceRanges=e.cellRangesToIndexes=e.cellIndexesToRanges=e.CellStatusbarAlignment=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBarKey=e.CellToolbarLocKey=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.getCellUndoRedoComparisonKey=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.NotebookCellRunState=e.notebookDocumentMetadataDefaults=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var C;(function(g){g[g.Markdown=1]="Markdown",g[g.Code=2]="Code"})(C=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml","text/markdown","image/png","image/jpeg","text/plain"],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=["text/markdown","application/json","text/plain","text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var E;(function(g){g[g.Running=1]="Running",g[g.Idle=2]="Idle"})(E=e.NotebookRunState||(e.NotebookRunState={})),e.notebookDocumentMetadataDefaults={editable:!0,cellEditable:!0,cellHasExecutionOrder:!0,custom:{},runState:E.Idle,trusted:!0};var n;(function(g){g[g.Running=1]="Running",g[g.Idle=2]="Idle",g[g.Success=3]="Success",g[g.Error=4]="Error"})(n=e.NotebookCellRunState||(e.NotebookCellRunState={}));var P;(function(g){g[g.ModelChange=1]="ModelChange",g[g.Move=2]="Move",g[g.CellClearOutput=3]="CellClearOutput",g[g.CellsClearOutput=4]="CellsClearOutput",g[g.ChangeLanguage=5]="ChangeLanguage",g[g.Initialize=6]="Initialize",g[g.ChangeCellMetadata=7]="ChangeCellMetadata",g[g.Output=8]="Output",g[g.OutputItem=9]="OutputItem",g[g.ChangeCellContent=10]="ChangeCellContent",g[g.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",g[g.Unknown=12]="Unknown"})(P=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var k;(function(g){g[g.Handle=0]="Handle",g[g.Index=1]="Index"})(k=e.SelectionStateType||(e.SelectionStateType={}));var _;(function(g){g[g.Replace=1]="Replace",g[g.Output=2]="Output",g[g.Metadata=3]="Metadata",g[g.CellLanguage=4]="CellLanguage",g[g.DocumentMetadata=5]="DocumentMetadata",g[g.OutputsSplice=6]="OutputsSplice",g[g.Move=7]="Move",g[g.Unknown=8]="Unknown",g[g.CellContent=9]="CellContent",g[g.OutputItems=10]="OutputItems"})(_=e.CellEditType||(e.CellEditType={}));function d(g){const T=s.parse(g);return T?T.notebook.toString():g.toString()}e.getCellUndoRedoComparisonKey=d;var s;(function(g){g.scheme=y.Schemas.vscodeNotebookCell;const T=/^ch(\d{7,})/;function F(B,Q){return B.with({scheme:g.scheme,fragment:`ch${Q.toString().padStart(7,"0")}${B.scheme!==y.Schemas.file?B.scheme:""}`})}g.generate=F;function H(B){if(B.scheme===g.scheme){const Q=T.exec(B.fragment);if(!!Q)return{handle:Number(Q[1]),notebook:B.with({scheme:B.fragment.substr(Q[0].length)||y.Schemas.file,fragment:null})}}}g.parse=H;function le(B,Q){return B.with({scheme:y.Schemas.vscodeNotebookCellMetadata,fragment:`ch${Q.toString().padStart(7,"0")}${B.scheme!==y.Schemas.file?B.scheme:""}`})}g.generateCellMetadataUri=le;function z(B){if(B.scheme===y.Schemas.vscodeNotebookCellMetadata){const Q=T.exec(B.fragment);if(!!Q)return{handle:Number(Q[1]),notebook:B.with({scheme:B.fragment.substr(Q[0].length)||y.Schemas.file,fragment:null})}}}g.parseCellMetadataUri=z})(s=e.CellUri||(e.CellUri={}));const f=new Map([["application/json",{alwaysSecure:!0,supportedByCore:!0}],["text/markdown",{alwaysSecure:!0,supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["text/plain",{alwaysSecure:!0,supportedByCore:!0}],["application/javascript",{supportedByCore:!0}],["text/html",{supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["image/jpeg",{supportedByCore:!0}],["text/x-javascript",{supportedByCore:!0}],["application/x.notebook.error-traceback",{alwaysSecure:!0,supportedByCore:!0}]]);function v(g){var T,F;return(F=(T=f.get(g))===null||T===void 0?void 0:T.alwaysSecure)!==null&&F!==void 0?F:!1}e.mimeTypeIsAlwaysSecure=v;function m(g){var T,F;return(F=(T=f.get(g))===null||T===void 0?void 0:T.supportedByCore)!==null&&F!==void 0?F:!1}e.mimeTypeSupportedByCore=m;function w(g,T){return I.isWindows&&(g=g.replace(/\//g,"\\"),T=T.replace(/\//g,"\\")),b.match(g,T)}function c(g,T,F){let H=0;for(let le=0;le<T.length;le++){if(w(T[le],g))return H;H++}for(let le=0;le<F.length;le++){if(w(F[le],g))return H;H++}return H}function u(g,T,F){return g.sort((H,le)=>c(H,T,F)-c(le,T,F))}e.sortMimeTypes=u;function a(g,T,F,H=(le,z)=>le===z){const le=[];function z(M,$,N){if(!($===0&&N.length===0)){const K=le[le.length-1];K&&K.start+K.deleteCount===M?(K.deleteCount+=$,K.toInsert.push(...N)):le.push({start:M,deleteCount:$,toInsert:N})}}let B=0,Q=0;for(;;){if(B===g.length){z(B,0,T.slice(Q));break}if(Q===T.length){z(B,g.length-B,[]);break}const M=g[B],$=T[Q];if(H(M,$)){B+=1,Q+=1;continue}F($)?(z(B,1,[]),B+=1):(z(B,0,[$]),Q+=1)}return le}e.diff=a,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new S.RawContextKey("notebookEditorCursorAtBoundary","none"),e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=new S.RawContextKey("notebookEditorCursorAtEditorBeginEnd",!1);var t;(function(g){g.default="default",g.option="option"})(t=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function r(g){const T=g;return!!((typeof T.include=="string"||b.isRelativePattern(T.include))&&(typeof T.exclude=="string"||b.isRelativePattern(T.exclude)))}e.isDocumentExcludePattern=r;function o(g,T,F){if(Array.isArray(g.viewType)&&g.viewType.indexOf(T)>=0||g.viewType===T)return!0;if(g.filenamePattern){let H=r(g.filenamePattern)?g.filenamePattern.include:g.filenamePattern,le=r(g.filenamePattern)?g.filenamePattern.exclude:void 0;if(b.match(H,(0,A.basename)(F.fsPath).toLowerCase()))return!(le&&b.match(le,(0,A.basename)(F.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=o;class l{constructor(T){this.textModel=T}getElements(){const T=new Int32Array(this.textModel.cells.length);for(let F=0;F<this.textModel.cells.length;F++)T[F]=this.textModel.cells[F].getHashValue();return T}}e.CellSequence=l,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocKey="notebook.cellToolbarLocation",e.ShowCellStatusBarKey="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview";var i;(function(g){g[g.LEFT=0]="LEFT",g[g.RIGHT=1]="RIGHT"})(i=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));function h(g){g.sort((F,H)=>F-H);const T=g.shift();return T===void 0?[]:g.reduce(function(F,H){return H<=F[0][1]?F[0][1]=H+1:F.unshift([H,H+1]),F},[[T,T+1]]).reverse().map(F=>({start:F[0],end:F[1]}))}e.cellIndexesToRanges=h;function D(g){return g.reduce((F,H)=>{for(let le=H.start;le<H.end;le++)F.push(le);return F},[])}e.cellRangesToIndexes=D;function R(g){const T=g.sort((H,le)=>H.start-le.start),F=T[0];return F?T.reduce((H,le)=>{const z=H[H.length-1];return z.end>=le.start?z.end=Math.max(z.end,le.end):H.push(le),H},[F]):[]}e.reduceRanges=R;function p(g,T){return T.start>=g.start&&T.end<=g.end}e.cellRangeContains=p}),define(we[166],Ee([0,1,138,4,63]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new A.RawContextKey("customExecutionSupported",!0,b.localize(0,null)),e.ShellExecutionSupportedContext=new A.RawContextKey("shellExecutionSupported",!1,b.localize(1,null)),e.ProcessExecutionSupportedContext=new A.RawContextKey("processExecutionSupported",!1,b.localize(2,null)),e.ITaskService=(0,y.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(we[167],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function b(A){return[...A.entries()]}e.serializeEnvironmentVariableCollection=b;function y(A){return new Map(A)}e.deserializeEnvironmentVariableCollection=y}),define(we[168],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.getTestSubscriptionKey=e.TestDiffOpType=void 0;var b;(function(S){S[S.Add=0]="Add",S[S.Update=1]="Update",S[S.Remove=2]="Remove",S[S.DeltaDiscoverComplete=3]="DeltaDiscoverComplete",S[S.DeltaRootsComplete=4]="DeltaRootsComplete"})(b=e.TestDiffOpType||(e.TestDiffOpType={}));const y=(S,C)=>`${S}:${C.toString()}`;e.getTestSubscriptionKey=y;class A{add(C){}update(C){}remove(C,E){}complete(){}}e.IncrementalChangeCollector=A;class I{constructor(){this.items=new Map,this.roots=new Set}apply(C){const E=this.createChangeCollector();for(const n of C)switch(n[0]){case 0:{const P=n[1];if(P.parent){if(this.items.has(P.parent)){const k=this.items.get(P.parent);k.children.add(P.item.extId);const _=this.createItem(P,k);this.items.set(P.item.extId,_),E.add(_)}}else{this.roots.add(P.item.extId);const k=this.createItem(P);this.items.set(P.item.extId,k),E.add(k)}break}case 1:{const P=n[1],k=this.items.get(P.item.extId);k&&(Object.assign(k.item,P.item),E.update(k));break}case 2:{const P=this.items.get(n[1]);if(!P)break;P.parent?this.items.get(P.parent).children.delete(P.item.extId):this.roots.delete(P.item.extId);const k=[[n[1]]];for(;k.length;)for(const _ of k.pop()){const d=this.items.get(_);d&&(k.push(d.children),this.items.delete(_),E.remove(d,d!==P))}break}case 3:this.updateBusyProviders(n[1]);break;case 4:this.updatePendingRoots(n[1]);break}E.complete()}updateBusyProviders(C){}updatePendingRoots(C){}createChangeCollector(){return new A}}e.AbstractIncrementalTestCollection=I}),define(we[169],Ee([0,1,11,32,12,23,21,58,139]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class n{constructor(k,_,d){if(this._contributedVariables=new Map,this._context=k,this._labelService=_,d)if(S.isWindows){const s=Object.create(null);this._envVariables=s,Object.keys(d).forEach(f=>{s[f.toLowerCase()]=d[f]})}else this._envVariables=d}resolve(k,_){return this.recursiveResolve(k?k.uri:void 0,_)}resolveAnyBase(k,_,d,s){const f=I.deepClone(_);return S.isWindows&&f.windows?Object.keys(f.windows).forEach(v=>f[v]=f.windows[v]):S.isMacintosh&&f.osx?Object.keys(f.osx).forEach(v=>f[v]=f.osx[v]):S.isLinux&&f.linux&&Object.keys(f.linux).forEach(v=>f[v]=f.linux[v]),delete f.windows,delete f.osx,delete f.linux,this.recursiveResolve(k?k.uri:void 0,f,d,s)}resolveAny(k,_,d){return this.resolveAnyBase(k,_,d)}resolveAnyMap(k,_,d){const s=new Map;return{newConfig:this.resolveAnyBase(k,_,d,s),resolvedVariables:s}}resolveWithInteractionReplace(k,_,d,s){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(k,_,d,s){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(k,_){if(this._contributedVariables.has(k))throw new Error("Variable "+k+" is contributed twice.");this._contributedVariables.set(k,_)}recursiveResolve(k,_,d,s){if(A.isString(_))return this.resolveString(k,_,d,s);if(A.isArray(_))return _.map(f=>this.recursiveResolve(k,f,d,s));if(A.isObject(_)){let f=Object.create(null);return Object.keys(_).forEach(v=>{const m=this.resolveString(k,v,d,s);f[m]=this.recursiveResolve(k,_[v],d,s)}),f}return _}resolveString(k,_,d,s){return _.replace(n.VARIABLE_REGEXP,(v,m)=>{if(m.includes(n.VARIABLE_LHS))return v;let w=this.evaluateSingleVariable(v,m,k,d);return s&&s.set(m,w),w})}fsPath(k){return this._labelService?this._labelService.getUriLabel(k,{noPrefix:!0}):k.fsPath}evaluateSingleVariable(k,_,d,s){let f;const v=_.split(":");v.length>1&&(_=v[0],f=v[1]);const m=()=>{const u=this._context.getFilePath();if(u)return u;throw new Error((0,E.localize)(0,null,k))},w=()=>{const u=m();if(this._context.getWorkspaceFolderPathForFile){const a=this._context.getWorkspaceFolderPathForFile();if(a)return a}throw new Error((0,E.localize)(1,null,k,b.basename(u)))},c=()=>{if(f){const u=this._context.getFolderUri(f);if(u)return u;throw new Error((0,E.localize)(2,null,k,f))}if(d)return d;throw this._context.getWorkspaceFolderCount()>1?new Error((0,E.localize)(3,null,k)):new Error((0,E.localize)(4,null,k))};switch(_){case"env":if(f){if(this._envVariables){const u=this._envVariables[S.isWindows?f.toLowerCase():f];if(A.isString(u))return u}return""}throw new Error((0,E.localize)(5,null,k));case"config":if(f){const u=this._context.getConfigurationValue(d,f);if(A.isUndefinedOrNull(u))throw new Error((0,E.localize)(6,null,k,f));if(A.isObject(u))throw new Error((0,E.localize)(7,null,k,f));return u}throw new Error((0,E.localize)(8,null,k));case"command":return this.resolveFromMap(k,f,s,"command");case"input":return this.resolveFromMap(k,f,s,"input");default:switch(_){case"workspaceRoot":case"workspaceFolder":return(0,C.normalizeDriveLetter)(this.fsPath(c()));case"cwd":return d||f?(0,C.normalizeDriveLetter)(this.fsPath(c())):y.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return b.basename(this.fsPath(c()));case"lineNumber":const u=this._context.getLineNumber();if(u)return u;throw new Error((0,E.localize)(9,null,k));case"selectedText":const a=this._context.getSelectedText();if(a)return a;throw new Error((0,E.localize)(10,null,k));case"file":return m();case"fileWorkspaceFolder":return w();case"relativeFile":return d||f?b.relative(this.fsPath(c()),m()):m();case"relativeFileDirname":const t=b.dirname(m());if(d||f){const i=b.relative(this.fsPath(c()),t);return i.length===0?".":i}return t;case"fileDirname":return b.dirname(m());case"fileExtname":return b.extname(m());case"fileBasename":return b.basename(m());case"fileBasenameNoExtension":const r=b.basename(m());return r.slice(0,r.length-b.extname(r).length);case"fileDirnameBasename":return b.basename(b.dirname(m()));case"execPath":const o=this._context.getExecPath();return o||k;case"execInstallFolder":const l=this._context.getAppRoot();return l||k;case"pathSeparator":return b.sep;default:try{const i=f?`${_}:${f}`:_;return this.resolveFromMap(k,i,s,void 0)}catch(i){return k}}}}resolveFromMap(k,_,d,s){if(_&&d){const f=s===void 0?d[_]:d[s+":"+_];if(typeof f=="string")return f;throw new Error((0,E.localize)(11,null,k))}return k}}e.AbstractVariableResolverService=n,n.VARIABLE_LHS="${",n.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(we[170],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,b.createDecorator)("editorGroupsService");var y;(function(_){_[_.UP=0]="UP",_[_.DOWN=1]="DOWN",_[_.LEFT=2]="LEFT",_[_.RIGHT=3]="RIGHT"})(y=e.GroupDirection||(e.GroupDirection={}));var A;(function(_){_[_.HORIZONTAL=0]="HORIZONTAL",_[_.VERTICAL=1]="VERTICAL"})(A=e.GroupOrientation||(e.GroupOrientation={}));var I;(function(_){_[_.FIRST=0]="FIRST",_[_.LAST=1]="LAST",_[_.NEXT=2]="NEXT",_[_.PREVIOUS=3]="PREVIOUS"})(I=e.GroupLocation||(e.GroupLocation={}));var S;(function(_){_[_.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",_[_.EVEN=1]="EVEN",_[_.TOGGLE=2]="TOGGLE"})(S=e.GroupsArrangement||(e.GroupsArrangement={}));var C;(function(_){_[_.COPY_EDITORS=0]="COPY_EDITORS",_[_.MOVE_EDITORS=1]="MOVE_EDITORS"})(C=e.MergeGroupMode||(e.MergeGroupMode={}));var E;(function(_){_[_.CREATION_TIME=0]="CREATION_TIME",_[_.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",_[_.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(E=e.GroupsOrder||(e.GroupsOrder={}));var n;(function(_){_[_.GROUP_ACTIVE=0]="GROUP_ACTIVE",_[_.GROUP_INDEX=1]="GROUP_INDEX",_[_.EDITOR_OPEN=2]="EDITOR_OPEN",_[_.EDITOR_CLOSE=3]="EDITOR_CLOSE",_[_.EDITOR_MOVE=4]="EDITOR_MOVE",_[_.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",_[_.EDITOR_LABEL=6]="EDITOR_LABEL",_[_.EDITOR_PIN=7]="EDITOR_PIN",_[_.EDITOR_STICKY=8]="EDITOR_STICKY",_[_.EDITOR_DIRTY=9]="EDITOR_DIRTY"})(n=e.GroupChangeKind||(e.GroupChangeKind={}));var P;(function(_){_[_.NEW_EDITOR=1]="NEW_EDITOR",_[_.MOVE_EDITOR=2]="MOVE_EDITOR",_[_.COPY_EDITOR=3]="COPY_EDITOR"})(P=e.OpenEditorContext||(e.OpenEditorContext={}));function k(_){return _.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=k}),define(we[171],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,b.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(we[9],Ee([0,1,62,7,140,2,33,80,87,171,12,224,57,23,15,70]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeActionTriggerKind=e.TestResults=e.TestItem=e.TestMessage=e.TestState=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookCellKind=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlineHintKind=e.InlineHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var v;(function(me){function he(G){const{selectionStartLineNumber:Ie,selectionStartColumn:Pe,positionLineNumber:et,positionColumn:Ge}=G,rt=new y.Position(Ie-1,Pe-1),lt=new y.Position(et-1,Ge-1);return new y.Selection(rt,lt)}me.to=he;function ue(G){const{anchor:Ie,active:Pe}=G;return{selectionStartLineNumber:Ie.line+1,selectionStartColumn:Ie.character+1,positionLineNumber:Pe.line+1,positionColumn:Pe.character+1}}me.from=ue})(v=e.Selection||(e.Selection={}));var m;(function(me){function he(G){if(!!G){const{start:Ie,end:Pe}=G;return{startLineNumber:Ie.line+1,startColumn:Ie.character+1,endLineNumber:Pe.line+1,endColumn:Pe.character+1}}}me.from=he;function ue(G){if(!!G){const{startLineNumber:Ie,startColumn:Pe,endLineNumber:et,endColumn:Ge}=G;return new y.Range(Ie-1,Pe-1,et-1,Ge-1)}}me.to=ue})(m=e.Range||(e.Range={}));var w;(function(me){function he(ue){switch(ue){case 1:return y.StandardTokenType.Comment;case 0:return y.StandardTokenType.Other;case 4:return y.StandardTokenType.RegEx;case 2:return y.StandardTokenType.String}}me.to=he})(w=e.TokenType||(e.TokenType={}));var c;(function(me){function he(G){return new y.Position(G.lineNumber-1,G.column-1)}me.to=he;function ue(G){return{lineNumber:G.line+1,column:G.character+1}}me.from=ue})(c=e.Position||(e.Position={}));var u;(function(me){function he(G){switch(G){case y.DiagnosticTag.Unnecessary:return 1;case y.DiagnosticTag.Deprecated:return 2}}me.from=he;function ue(G){switch(G){case 1:return y.DiagnosticTag.Unnecessary;case 2:return y.DiagnosticTag.Deprecated;default:return}}me.to=ue})(u=e.DiagnosticTag||(e.DiagnosticTag={}));var a;(function(me){function he(G){let Ie;return G.code&&((0,P.isString)(G.code)||(0,P.isNumber)(G.code)?Ie=String(G.code):Ie={value:String(G.code.value),target:G.code.target}),Object.assign(Object.assign({},m.from(G.range)),{message:G.message,source:G.source,code:Ie,severity:r.from(G.severity),relatedInformation:G.relatedInformation&&G.relatedInformation.map(t.from),tags:Array.isArray(G.tags)?(0,s.coalesce)(G.tags.map(u.from)):void 0})}me.from=he;function ue(G){var Ie;const Pe=new y.Diagnostic(m.to(G),G.message,r.to(G.severity));return Pe.source=G.source,Pe.code=(0,P.isString)(G.code)?G.code:(Ie=G.code)===null||Ie===void 0?void 0:Ie.value,Pe.relatedInformation=G.relatedInformation&&G.relatedInformation.map(t.to),Pe.tags=G.tags&&(0,s.coalesce)(G.tags.map(u.to)),Pe}me.to=ue})(a=e.Diagnostic||(e.Diagnostic={}));var t;(function(me){function he(G){return Object.assign(Object.assign({},m.from(G.location.range)),{message:G.message,resource:G.location.uri})}me.from=he;function ue(G){return new y.DiagnosticRelatedInformation(new y.Location(G.resource,m.to(G)),G.message)}me.to=ue})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var r;(function(me){function he(G){switch(G){case y.DiagnosticSeverity.Error:return E.MarkerSeverity.Error;case y.DiagnosticSeverity.Warning:return E.MarkerSeverity.Warning;case y.DiagnosticSeverity.Information:return E.MarkerSeverity.Info;case y.DiagnosticSeverity.Hint:return E.MarkerSeverity.Hint}return E.MarkerSeverity.Error}me.from=he;function ue(G){switch(G){case E.MarkerSeverity.Info:return y.DiagnosticSeverity.Information;case E.MarkerSeverity.Warning:return y.DiagnosticSeverity.Warning;case E.MarkerSeverity.Error:return y.DiagnosticSeverity.Error;case E.MarkerSeverity.Hint:return y.DiagnosticSeverity.Hint;default:return y.DiagnosticSeverity.Error}}me.to=ue})(r=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var o;(function(me){function he(G){return typeof G=="number"&&G>=y.ViewColumn.One?G-1:G===y.ViewColumn.Beside?n.SIDE_GROUP:n.ACTIVE_GROUP}me.from=he;function ue(G){if(typeof G=="number"&&G>=0)return G+1;throw new Error("invalid 'EditorGroupColumn'")}me.to=ue})(o=e.ViewColumn||(e.ViewColumn={}));function l(me){return typeof me.range!="undefined"}function i(me){return me.length===0?!0:!!l(me[0])}e.isDecorationOptionsArr=i;var h;(function(me){function he(Ge){return Ge.map(me.from)}me.fromMany=he;function ue(Ge){return Ge&&typeof Ge=="object"&&typeof Ge.language=="string"&&typeof Ge.value=="string"}function G(Ge){let rt;if(ue(Ge)){const{language:dt,value:at}=Ge;rt={value:"```"+dt+`
`+at+"\n```\n"}}else y.MarkdownString.isMarkdownString(Ge)?rt={value:Ge.value,isTrusted:Ge.isTrusted,supportThemeIcons:Ge.supportThemeIcons}:typeof Ge=="string"?rt={value:Ge}:rt={value:""};const lt=Object.create(null);rt.uris=lt;const Je=dt=>{try{let at=I.URI.parse(dt,!0);at=at.with({query:Ie(at.query,lt)}),lt[dt]=at}catch(at){}return""},it=new k.Renderer;return it.link=Je,it.image=dt=>Je(C.parseHrefAndDimensions(dt).href),k(rt.value,{renderer:it}),rt}me.from=G;function Ie(Ge,rt){if(!Ge)return Ge;let lt;try{lt=(0,_.parse)(Ge)}catch(it){}if(!lt)return Ge;let Je=!1;return lt=(0,d.cloneAndChange)(lt,it=>{if(I.URI.isUri(it)){const dt=`__uri_${Math.random().toString(16).slice(2,8)}`;return rt[dt]=it,Je=!0,dt}else return}),Je?JSON.stringify(lt):Ge}function Pe(Ge){const rt=new y.MarkdownString(Ge.value,Ge.supportThemeIcons);return rt.isTrusted=Ge.isTrusted,rt}me.to=Pe;function et(Ge){if(!!Ge)return typeof Ge=="string"?Ge:me.from(Ge)}me.fromStrict=et})(h=e.MarkdownString||(e.MarkdownString={}));function D(me){return i(me)?me.map(he=>({range:m.from(he.range),hoverMessage:Array.isArray(he.hoverMessage)?h.fromMany(he.hoverMessage):he.hoverMessage?h.from(he.hoverMessage):void 0,renderOptions:he.renderOptions})):me.map(he=>({range:m.from(he)}))}e.fromRangeOrRangeWithMessage=D;function R(me){return typeof me=="undefined"?me:typeof me=="string"?I.URI.file(me):me}e.pathOrURIToURI=R;var p;(function(me){function he(ue){return typeof ue=="undefined"?ue:{contentText:ue.contentText,contentIconPath:ue.contentIconPath?R(ue.contentIconPath):void 0,border:ue.border,borderColor:ue.borderColor,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,color:ue.color,backgroundColor:ue.backgroundColor,margin:ue.margin,width:ue.width,height:ue.height}}me.from=he})(p=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var g;(function(me){function he(ue){return typeof ue=="undefined"?ue:{backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?R(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?p.from(ue.before):void 0,after:ue.after?p.from(ue.after):void 0}}me.from=he})(g=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var T;(function(me){function he(ue){if(typeof ue=="undefined")return ue;switch(ue){case y.DecorationRangeBehavior.OpenOpen:return 0;case y.DecorationRangeBehavior.ClosedClosed:return 1;case y.DecorationRangeBehavior.OpenClosed:return 2;case y.DecorationRangeBehavior.ClosedOpen:return 3}}me.from=he})(T=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var F;(function(me){function he(ue){return{isWholeLine:ue.isWholeLine,rangeBehavior:ue.rangeBehavior?T.from(ue.rangeBehavior):void 0,overviewRulerLane:ue.overviewRulerLane,light:ue.light?g.from(ue.light):void 0,dark:ue.dark?g.from(ue.dark):void 0,backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?R(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?p.from(ue.before):void 0,after:ue.after?p.from(ue.after):void 0}}me.from=he})(F=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var H;(function(me){function he(G){return{text:G.newText,eol:G.newEol&&X.from(G.newEol),range:m.from(G.range)}}me.from=he;function ue(G){const Ie=new y.TextEdit(m.to(G.range),G.text);return Ie.newEol=typeof G.eol=="undefined"?void 0:X.to(G.eol),Ie}me.to=ue})(H=e.TextEdit||(e.TextEdit={}));var le;(function(me){function he(G,Ie,Pe){var et,Ge,rt;const lt={edits:[]};if(G instanceof y.WorkspaceEdit)for(let Je of G._allEntries())if(Je._type===1)lt.edits.push({_type:1,oldUri:Je.from,newUri:Je.to,options:Je.options,metadata:Je.metadata});else if(Je._type===2){const it=Ie==null?void 0:Ie.getDocument(Je.uri);lt.edits.push({_type:2,resource:Je.uri,edit:H.from(Je.edit),modelVersionId:it==null?void 0:it.version,metadata:Je.metadata})}else Je._type===3?lt.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:Je.edit,notebookMetadata:Je.notebookMetadata,notebookVersionId:(et=Pe==null?void 0:Pe.lookupNotebookDocument(Je.uri))===null||et===void 0?void 0:et.notebookDocument.version}):Je._type===4?(Je.newOutputs&&lt.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:{editType:2,index:Je.index,append:Je.append,outputs:Je.newOutputs.map(ve.from)}}),Je.newMetadata&&lt.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:{editType:3,index:Je.index,metadata:Je.newMetadata}})):Je._type===5?lt.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,notebookVersionId:(Ge=Pe==null?void 0:Pe.lookupNotebookDocument(Je.uri))===null||Ge===void 0?void 0:Ge.notebookDocument.version,edit:{editType:1,index:Je.index,count:Je.count,cells:Je.cells.map(se.from)}}):Je._type===6&&lt.edits.push({_type:3,metadata:Je.metadata,resource:Je.uri,edit:{editType:10,index:Je.index,outputId:Je.outputId,items:((rt=Je.newOutputItems)===null||rt===void 0?void 0:rt.map(fe.from))||[],append:Je.append}});return lt}me.from=he;function ue(G){const Ie=new y.WorkspaceEdit;for(const Pe of G.edits)Pe.edit?Ie.replace(I.URI.revive(Pe.resource),m.to(Pe.edit.range),Pe.edit.text):Ie.renameFile(I.URI.revive(Pe.oldUri),I.URI.revive(Pe.newUri),Pe.options);return Ie}me.to=ue})(le=e.WorkspaceEdit||(e.WorkspaceEdit={}));var z;(function(me){const he=Object.create(null);he[y.SymbolKind.File]=0,he[y.SymbolKind.Module]=1,he[y.SymbolKind.Namespace]=2,he[y.SymbolKind.Package]=3,he[y.SymbolKind.Class]=4,he[y.SymbolKind.Method]=5,he[y.SymbolKind.Property]=6,he[y.SymbolKind.Field]=7,he[y.SymbolKind.Constructor]=8,he[y.SymbolKind.Enum]=9,he[y.SymbolKind.Interface]=10,he[y.SymbolKind.Function]=11,he[y.SymbolKind.Variable]=12,he[y.SymbolKind.Constant]=13,he[y.SymbolKind.String]=14,he[y.SymbolKind.Number]=15,he[y.SymbolKind.Boolean]=16,he[y.SymbolKind.Array]=17,he[y.SymbolKind.Object]=18,he[y.SymbolKind.Key]=19,he[y.SymbolKind.Null]=20,he[y.SymbolKind.EnumMember]=21,he[y.SymbolKind.Struct]=22,he[y.SymbolKind.Event]=23,he[y.SymbolKind.Operator]=24,he[y.SymbolKind.TypeParameter]=25;function ue(Ie){return typeof he[Ie]=="number"?he[Ie]:6}me.from=ue;function G(Ie){for(const Pe in he)if(he[Pe]===Ie)return Number(Pe);return y.SymbolKind.Property}me.to=G})(z=e.SymbolKind||(e.SymbolKind={}));var B;(function(me){function he(G){switch(G){case y.SymbolTag.Deprecated:return 1}}me.from=he;function ue(G){switch(G){case 1:return y.SymbolTag.Deprecated}}me.to=ue})(B=e.SymbolTag||(e.SymbolTag={}));var Q;(function(me){function he(G){return{name:G.name,kind:z.from(G.kind),tags:G.tags&&G.tags.map(B.from),containerName:G.containerName,location:W.from(G.location)}}me.from=he;function ue(G){const Ie=new y.SymbolInformation(G.name,z.to(G.kind),G.containerName,W.to(G.location));return Ie.tags=G.tags&&G.tags.map(B.to),Ie}me.to=ue})(Q=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var M;(function(me){function he(G){var Ie,Pe;const et={name:G.name||"!!MISSING: name!!",detail:G.detail,range:m.from(G.range),selectionRange:m.from(G.selectionRange),kind:z.from(G.kind),tags:(Pe=(Ie=G.tags)===null||Ie===void 0?void 0:Ie.map(B.from))!==null&&Pe!==void 0?Pe:[]};return G.children&&(et.children=G.children.map(he)),et}me.from=he;function ue(G){const Ie=new y.DocumentSymbol(G.name,G.detail,z.to(G.kind),m.to(G.range),m.to(G.selectionRange));return(0,s.isNonEmptyArray)(G.tags)&&(Ie.tags=G.tags.map(B.to)),G.children&&(Ie.children=G.children.map(ue)),Ie}me.to=ue})(M=e.DocumentSymbol||(e.DocumentSymbol={}));var $;(function(me){function he(ue){const G=new y.CallHierarchyItem(z.to(ue.kind),ue.name,ue.detail||"",I.URI.revive(ue.uri),m.to(ue.range),m.to(ue.selectionRange));return G._sessionId=ue._sessionId,G._itemId=ue._itemId,G}me.to=he})($=e.CallHierarchyItem||(e.CallHierarchyItem={}));var N;(function(me){function he(ue){return new y.CallHierarchyIncomingCall($.to(ue.from),ue.fromRanges.map(G=>m.to(G)))}me.to=he})(N=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var K;(function(me){function he(ue){return new y.CallHierarchyOutgoingCall($.to(ue.to),ue.fromRanges.map(G=>m.to(G)))}me.to=he})(K=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var W;(function(me){function he(G){return{range:G.range&&m.from(G.range),uri:G.uri}}me.from=he;function ue(G){return new y.Location(I.URI.revive(G.uri),m.to(G.range))}me.to=ue})(W=e.location||(e.location={}));var Z;(function(me){function he(G){const Ie=G,Pe=G;return{originSelectionRange:Ie.originSelectionRange?m.from(Ie.originSelectionRange):void 0,uri:Ie.targetUri?Ie.targetUri:Pe.uri,range:m.from(Ie.targetRange?Ie.targetRange:Pe.range),targetSelectionRange:Ie.targetSelectionRange?m.from(Ie.targetSelectionRange):void 0}}me.from=he;function ue(G){return{targetUri:I.URI.revive(G.uri),targetRange:m.to(G.range),targetSelectionRange:G.targetSelectionRange?m.to(G.targetSelectionRange):void 0,originSelectionRange:G.originSelectionRange?m.to(G.originSelectionRange):void 0}}me.to=ue})(Z=e.DefinitionLink||(e.DefinitionLink={}));var ne;(function(me){function he(G){return{range:m.from(G.range),contents:h.fromMany(G.contents)}}me.from=he;function ue(G){return new y.Hover(G.contents.map(h.to),m.to(G.range))}me.to=ue})(ne=e.Hover||(e.Hover={}));var re;(function(me){function he(G){return{range:m.from(G.range),expression:G.expression}}me.from=he;function ue(G){return new y.EvaluatableExpression(m.to(G.range),G.expression)}me.to=ue})(re=e.EvaluatableExpression||(e.EvaluatableExpression={}));var Se;(function(me){function he(G){if(G instanceof y.InlineValueText)return{type:"text",range:m.from(G.range),text:G.text};if(G instanceof y.InlineValueVariableLookup)return{type:"variable",range:m.from(G.range),variableName:G.variableName,caseSensitiveLookup:G.caseSensitiveLookup};if(G instanceof y.InlineValueEvaluatableExpression)return{type:"expression",range:m.from(G.range),expression:G.expression};throw new Error("Unknown 'InlineValue' type")}me.from=he;function ue(G){switch(G.type){case"text":return{range:m.to(G.range),text:G.text};case"variable":return{range:m.to(G.range),variableName:G.variableName,caseSensitiveLookup:G.caseSensitiveLookup};case"expression":return{range:m.to(G.range),expression:G.expression}}}me.to=ue})(Se=e.InlineValue||(e.InlineValue={}));var Ae;(function(me){function he(G){return{frameId:G.frameId,stoppedLocation:m.from(G.stoppedLocation)}}me.from=he;function ue(G){return new y.InlineValueContext(G.frameId,m.to(G.stoppedLocation))}me.to=ue})(Ae=e.InlineValueContext||(e.InlineValueContext={}));var Be;(function(me){function he(G){return{range:m.from(G.range),kind:G.kind}}me.from=he;function ue(G){return new y.DocumentHighlight(m.to(G.range),G.kind)}me.to=ue})(Be=e.DocumentHighlight||(e.DocumentHighlight={}));var Re;(function(me){function he(ue){switch(ue){case 1:return y.CompletionTriggerKind.TriggerCharacter;case 2:return y.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return y.CompletionTriggerKind.Invoke}}me.to=he})(Re=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var xe;(function(me){function he(ue){return{triggerKind:Re.to(ue.triggerKind),triggerCharacter:ue.triggerCharacter}}me.to=he})(xe=e.CompletionContext||(e.CompletionContext={}));var U;(function(me){function he(G){switch(G){case y.CompletionItemTag.Deprecated:return 1}}me.from=he;function ue(G){switch(G){case 1:return y.CompletionItemTag.Deprecated}}me.to=ue})(U=e.CompletionItemTag||(e.CompletionItemTag={}));var q;(function(me){const he=new Map([[y.CompletionItemKind.Method,0],[y.CompletionItemKind.Function,1],[y.CompletionItemKind.Constructor,2],[y.CompletionItemKind.Field,3],[y.CompletionItemKind.Variable,4],[y.CompletionItemKind.Class,5],[y.CompletionItemKind.Interface,7],[y.CompletionItemKind.Struct,6],[y.CompletionItemKind.Module,8],[y.CompletionItemKind.Property,9],[y.CompletionItemKind.Unit,12],[y.CompletionItemKind.Value,13],[y.CompletionItemKind.Constant,14],[y.CompletionItemKind.Enum,15],[y.CompletionItemKind.EnumMember,16],[y.CompletionItemKind.Keyword,17],[y.CompletionItemKind.Snippet,27],[y.CompletionItemKind.Text,18],[y.CompletionItemKind.Color,19],[y.CompletionItemKind.File,20],[y.CompletionItemKind.Reference,21],[y.CompletionItemKind.Folder,23],[y.CompletionItemKind.Event,10],[y.CompletionItemKind.Operator,11],[y.CompletionItemKind.TypeParameter,24],[y.CompletionItemKind.Issue,26],[y.CompletionItemKind.User,25]]);function ue(Pe){var et;return(et=he.get(Pe))!==null&&et!==void 0?et:9}me.from=ue;const G=new Map([[0,y.CompletionItemKind.Method],[1,y.CompletionItemKind.Function],[2,y.CompletionItemKind.Constructor],[3,y.CompletionItemKind.Field],[4,y.CompletionItemKind.Variable],[5,y.CompletionItemKind.Class],[7,y.CompletionItemKind.Interface],[6,y.CompletionItemKind.Struct],[8,y.CompletionItemKind.Module],[9,y.CompletionItemKind.Property],[12,y.CompletionItemKind.Unit],[13,y.CompletionItemKind.Value],[14,y.CompletionItemKind.Constant],[15,y.CompletionItemKind.Enum],[16,y.CompletionItemKind.EnumMember],[17,y.CompletionItemKind.Keyword],[27,y.CompletionItemKind.Snippet],[18,y.CompletionItemKind.Text],[19,y.CompletionItemKind.Color],[20,y.CompletionItemKind.File],[21,y.CompletionItemKind.Reference],[23,y.CompletionItemKind.Folder],[10,y.CompletionItemKind.Event],[11,y.CompletionItemKind.Operator],[24,y.CompletionItemKind.TypeParameter],[25,y.CompletionItemKind.User],[26,y.CompletionItemKind.Issue]]);function Ie(Pe){var et;return(et=G.get(Pe))!==null&&et!==void 0?et:y.CompletionItemKind.Property}me.to=Ie})(q=e.CompletionItemKind||(e.CompletionItemKind={}));var J;(function(me){function he(ue,G){var Ie;const Pe=new y.CompletionItem(typeof ue.label=="string"?ue.label:ue.label.name);return typeof ue.label!="string"&&(Pe.label2=ue.label),Pe.insertText=ue.insertText,Pe.kind=q.to(ue.kind),Pe.tags=(Ie=ue.tags)===null||Ie===void 0?void 0:Ie.map(U.to),Pe.detail=ue.detail,Pe.documentation=C.isMarkdownString(ue.documentation)?h.to(ue.documentation):ue.documentation,Pe.sortText=ue.sortText,Pe.filterText=ue.filterText,Pe.preselect=ue.preselect,Pe.commitCharacters=ue.commitCharacters,S.Range.isIRange(ue.range)?Pe.range=m.to(ue.range):typeof ue.range=="object"&&(Pe.range={inserting:m.to(ue.range.insert),replacing:m.to(ue.range.replace)}),Pe.keepWhitespace=typeof ue.insertTextRules=="undefined"?!1:Boolean(ue.insertTextRules&1),typeof ue.insertTextRules!="undefined"&&ue.insertTextRules&4?Pe.insertText=new y.SnippetString(ue.insertText):(Pe.insertText=ue.insertText,Pe.textEdit=Pe.range instanceof y.Range?new y.TextEdit(Pe.range,Pe.insertText):void 0),ue.additionalTextEdits&&ue.additionalTextEdits.length>0&&(Pe.additionalTextEdits=ue.additionalTextEdits.map(et=>H.to(et))),Pe.command=G&&ue.command?G.fromInternal(ue.command):void 0,Pe}me.to=he})(J=e.CompletionItem||(e.CompletionItem={}));var ae;(function(me){function he(G){return{label:G.label,documentation:G.documentation?h.fromStrict(G.documentation):void 0}}me.from=he;function ue(G){return{label:G.label,documentation:C.isMarkdownString(G.documentation)?h.to(G.documentation):G.documentation}}me.to=ue})(ae=e.ParameterInformation||(e.ParameterInformation={}));var ge;(function(me){function he(G){return{label:G.label,documentation:G.documentation?h.fromStrict(G.documentation):void 0,parameters:Array.isArray(G.parameters)?G.parameters.map(ae.from):[],activeParameter:G.activeParameter}}me.from=he;function ue(G){return{label:G.label,documentation:C.isMarkdownString(G.documentation)?h.to(G.documentation):G.documentation,parameters:Array.isArray(G.parameters)?G.parameters.map(ae.to):[],activeParameter:G.activeParameter}}me.to=ue})(ge=e.SignatureInformation||(e.SignatureInformation={}));var De;(function(me){function he(G){return{activeSignature:G.activeSignature,activeParameter:G.activeParameter,signatures:Array.isArray(G.signatures)?G.signatures.map(ge.from):[]}}me.from=he;function ue(G){return{activeSignature:G.activeSignature,activeParameter:G.activeParameter,signatures:Array.isArray(G.signatures)?G.signatures.map(ge.to):[]}}me.to=ue})(De=e.SignatureHelp||(e.SignatureHelp={}));var Le;(function(me){function he(G){var Ie;return{text:G.text,range:m.from(G.range),kind:pe.from((Ie=G.kind)!==null&&Ie!==void 0?Ie:y.InlineHintKind.Other),description:G.description&&h.fromStrict(G.description),whitespaceBefore:G.whitespaceBefore,whitespaceAfter:G.whitespaceAfter}}me.from=he;function ue(G){const Ie=new y.InlineHint(G.text,m.to(G.range),pe.to(G.kind));return Ie.whitespaceAfter=G.whitespaceAfter,Ie.whitespaceBefore=G.whitespaceBefore,Ie.description=C.isMarkdownString(G.description)?h.to(G.description):G.description,Ie}me.to=ue})(Le=e.InlineHint||(e.InlineHint={}));var pe;(function(me){function he(G){return G}me.from=he;function ue(G){return G}me.to=ue})(pe=e.InlineHintKind||(e.InlineHintKind={}));var Ce;(function(me){function he(G){return{range:m.from(G.range),url:G.target,tooltip:G.tooltip}}me.from=he;function ue(G){let Ie;if(G.url)try{Ie=typeof G.url=="string"?I.URI.parse(G.url,!0):I.URI.revive(G.url)}catch(Pe){}return new y.DocumentLink(m.to(G.range),Ie)}me.to=ue})(Ce=e.DocumentLink||(e.DocumentLink={}));var Te;(function(me){function he(G){const Ie=new y.ColorPresentation(G.label);return G.textEdit&&(Ie.textEdit=H.to(G.textEdit)),G.additionalTextEdits&&(Ie.additionalTextEdits=G.additionalTextEdits.map(Pe=>H.to(Pe))),Ie}me.to=he;function ue(G){return{label:G.label,textEdit:G.textEdit?H.from(G.textEdit):void 0,additionalTextEdits:G.additionalTextEdits?G.additionalTextEdits.map(Ie=>H.from(Ie)):void 0}}me.from=ue})(Te=e.ColorPresentation||(e.ColorPresentation={}));var Ue;(function(me){function he(G){return new y.Color(G[0],G[1],G[2],G[3])}me.to=he;function ue(G){return[G.red,G.green,G.blue,G.alpha]}me.from=ue})(Ue=e.Color||(e.Color={}));var be;(function(me){function he(G){return{range:m.from(G.range)}}me.from=he;function ue(G){return new y.SelectionRange(m.to(G.range))}me.to=ue})(be=e.SelectionRange||(e.SelectionRange={}));var Ke;(function(me){function he(ue){switch(ue){case 2:return y.TextDocumentSaveReason.AfterDelay;case 1:return y.TextDocumentSaveReason.Manual;case 3:case 4:return y.TextDocumentSaveReason.FocusOut}}me.to=he})(Ke=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var V;(function(me){function he(G){switch(G){case y.TextEditorLineNumbersStyle.Off:return 0;case y.TextEditorLineNumbersStyle.Relative:return 2;case y.TextEditorLineNumbersStyle.On:default:return 1}}me.from=he;function ue(G){switch(G){case 0:return y.TextEditorLineNumbersStyle.Off;case 2:return y.TextEditorLineNumbersStyle.Relative;case 1:default:return y.TextEditorLineNumbersStyle.On}}me.to=ue})(V=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var X;(function(me){function he(G){if(G===y.EndOfLine.CRLF)return 1;if(G===y.EndOfLine.LF)return 0}me.from=he;function ue(G){if(G===1)return y.EndOfLine.CRLF;if(G===0)return y.EndOfLine.LF}me.to=ue})(X=e.EndOfLine||(e.EndOfLine={}));var _e;(function(me){function he(ue){if(typeof ue=="object")return ue.viewId;switch(ue){case y.ProgressLocation.SourceControl:return 3;case y.ProgressLocation.Window:return 10;case y.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}me.from=he})(_e=e.ProgressLocation||(e.ProgressLocation={}));var Me;(function(me){function he(ue){const G={start:ue.start+1,end:ue.end+1};return ue.kind&&(G.kind=He.from(ue.kind)),G}me.from=he})(Me=e.FoldingRange||(e.FoldingRange={}));var He;(function(me){function he(ue){if(ue)switch(ue){case y.FoldingRangeKind.Comment:return b.FoldingRangeKind.Comment;case y.FoldingRangeKind.Imports:return b.FoldingRangeKind.Imports;case y.FoldingRangeKind.Region:return b.FoldingRangeKind.Region}}me.from=he})(He=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Oe;(function(me){function he(ue){if(ue)return{pinned:typeof ue.preview=="boolean"?!ue.preview:void 0,inactive:ue.background,preserveFocus:ue.preserveFocus,selection:typeof ue.selection=="object"?m.from(ue.selection):void 0,override:typeof ue.override=="boolean"?A.EditorOverride.DISABLED:void 0}}me.from=he})(Oe=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Xe;(function(me){function he(G){return G instanceof y.RelativePattern||typeof G=="string"?G:ue(G)?new y.RelativePattern(G.base,G.pattern):G}me.from=he;function ue(G){const Ie=G;return Ie&&typeof Ie.base=="string"&&typeof Ie.pattern=="string"}})(Xe=e.GlobPattern||(e.GlobPattern={}));var x;(function(me){function he(ue){if(ue){if(Array.isArray(ue))return ue.map(he);if(typeof ue=="string")return ue;{const G=ue;return{language:G.language,scheme:G.scheme,pattern:typeof G.pattern=="undefined"?void 0:Xe.from(G.pattern),exclusive:G.exclusive}}}else return}me.from=he})(x=e.LanguageSelector||(e.LanguageSelector={}));var ie;(function(me){function he(G){return{start:G.start,end:G.end}}me.from=he;function ue(G){return new y.NotebookCellRange(G.start,G.end)}me.to=ue})(ie=e.NotebookCellRange||(e.NotebookCellRange={}));var ce;(function(me){function he(ue){return new y.NotebookCellMetadata(ue.editable,ue.breakpointMargin,ue.hasExecutionOrder,ue.executionOrder,ue.runState,ue.runStartTime,ue.statusMessage,ue.lastRunDuration,ue.inputCollapsed,ue.outputCollapsed,ue.custom)}me.to=he})(ce=e.NotebookCellMetadata||(e.NotebookCellMetadata={}));var j;(function(me){function he(G){return G}me.from=he;function ue(G){return new y.NotebookDocumentMetadata(G.editable,G.cellEditable,G.cellHasExecutionOrder,G.custom,G.runState,G.trusted)}me.to=ue})(j=e.NotebookDocumentMetadata||(e.NotebookDocumentMetadata={}));var Y;(function(me){function he(G){switch(G){case y.NotebookCellKind.Markdown:return f.CellKind.Markdown;case y.NotebookCellKind.Code:default:return f.CellKind.Code}}me.from=he;function ue(G){switch(G){case f.CellKind.Markdown:return y.NotebookCellKind.Markdown;case f.CellKind.Code:default:return y.NotebookCellKind.Code}}me.to=ue})(Y=e.NotebookCellKind||(e.NotebookCellKind={}));var se;(function(me){function he(ue){return{cellKind:Y.from(ue.kind),language:ue.language,source:ue.source,metadata:ue.metadata,outputs:ue.outputs?ue.outputs.map(ve.from):[]}}me.from=he})(se=e.NotebookCellData||(e.NotebookCellData={}));var fe;(function(me){function he(G){return{mime:G.mime,value:G.value,metadata:G.metadata}}me.from=he;function ue(G){return new y.NotebookCellOutputItem(G.mime,G.value,G.metadata)}me.to=ue})(fe=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var ve;(function(me){function he(G){return{outputId:G.id,outputs:G.outputs.map(fe.from),metadata:G.metadata}}me.from=he;function ue(G){const Ie=G.outputs.map(fe.to);return new y.NotebookCellOutput(Ie,G.outputId,G.metadata)}me.to=ue})(ve=e.NotebookCellOutput||(e.NotebookCellOutput={}));var $e;(function(me){function he(Pe){if(Pe!=null){if(Pe instanceof y.RelativePattern||typeof Pe=="string")return Pe;if(Ie(Pe))return new y.RelativePattern(Pe.base,Pe.pattern);if(G(Pe))return{include:Xe.from(Pe.include)||void 0,exclude:Xe.from(Pe.exclude)||void 0}}}me.from=he;function ue(Pe){return typeof Pe=="string"?Pe:Ie(Pe)?{base:Pe.base,pattern:Pe.pattern}:{include:Pe.include,exclude:Pe.exclude}}me.to=ue;function G(Pe){const et=Pe,Ge=Xe.from(et.include);if(!(Ge&&Ge instanceof y.RelativePattern||typeof Ge=="string"))return!1;const rt=Xe.from(et.exclude);return!!(rt&&rt instanceof y.RelativePattern||typeof rt=="string")}function Ie(Pe){const et=Pe;return et&&typeof et.base=="string"&&typeof et.pattern=="string"}})($e=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var Ne;(function(me){function he(ue){return{backgroundColor:ue.backgroundColor,borderColor:ue.borderColor,top:ue.top?p.from(ue.top):void 0}}me.from=he})(Ne=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var Ve;(function(me){function he(G){return{state:G.state,duration:G.duration,messages:G.messages.map(Qe.from)}}me.from=he;function ue(G){const Ie=new y.TestState(G.state);return Ie.duration=G.duration,Ie.messages=G.messages.map(Qe.to),Ie}me.to=ue})(Ve=e.TestState||(e.TestState={}));var Qe;(function(me){function he(G){return{message:h.fromStrict(G.message)||"",severity:G.severity,expectedOutput:G.expectedOutput,actualOutput:G.actualOutput,location:G.location?W.from(G.location):void 0}}me.from=he;function ue(G){const Ie=new y.TestMessage(typeof G.message=="string"?G.message:h.to(G.message));return Ie.severity=G.severity,Ie.actualOutput=G.actualOutput,Ie.expectedOutput=G.expectedOutput,Ie}me.to=ue})(Qe=e.TestMessage||(e.TestMessage={}));var Ze;(function(me){function he(Ie){var Pe,et;return{extId:Ie.id,label:Ie.label,location:Ie.location?W.from(Ie.location):void 0,debuggable:(Pe=Ie.debuggable)!==null&&Pe!==void 0?Pe:!1,description:Ie.description,runnable:(et=Ie.runnable)!==null&&et!==void 0?et:!0}}me.from=he;function ue(Ie){return{id:Ie.extId,label:Ie.label,location:Ie.location&&W.to({range:Ie.location.range,uri:I.URI.revive(Ie.location.uri)}),debuggable:Ie.debuggable,description:Ie.description,runnable:Ie.runnable}}me.toPlainShallow=ue;function G(Ie){const Pe=new y.TestItem(Ie.extId,Ie.label);return Ie.location&&(Pe.location=W.to({range:Ie.location.range,uri:I.URI.revive(Ie.location.uri)})),Pe.debuggable=Ie.debuggable,Pe.description=Ie.description,Pe.runnable=Ie.runnable,Pe}me.toShallow=G})(Ze=e.TestItem||(e.TestItem={}));var ct;(function(me){function he(Ie,Pe){var et,Ge,rt;const lt={completedAt:Pe.completedAt,id:Ie,items:[]},Je=[[null,Pe.results]];for(;Je.length;){const[it,dt]=Je.pop();for(const at of dt){const Dt={children:(Ge=(et=at.children)===null||et===void 0?void 0:et.map(gt=>gt.id))!==null&&Ge!==void 0?Ge:[],computedState:at.result.state,item:Ze.from(at),state:Ve.from(at.result),retired:void 0,parent:(rt=it==null?void 0:it.item.extId)!==null&&rt!==void 0?rt:null,providerId:"",direct:!it};lt.items.push(Dt),at.children&&Je.push([Dt,at.children])}}return lt}me.from=he;const ue=(Ie,Pe)=>Object.assign(Object.assign({},Ze.toPlainShallow(Ie.item)),{result:Ve.to(Ie.state),children:Ie.children.map(et=>Pe.get(et)).filter(P.isDefined).map(et=>ue(et,Pe))});function G(Ie){const Pe=[],et=new Map;for(const Ge of Ie.items)et.set(Ge.item.extId,Ge),Ge.direct&&Pe.push(Ge);return{completedAt:Ie.completedAt,results:Pe.map(Ge=>ue(Ge,et))}}me.to=G})(ct=e.TestResults||(e.TestResults={}));var st;(function(me){function he(ue){switch(ue){case 1:return y.CodeActionTriggerKind.Automatic;case 2:return y.CodeActionTriggerKind.Manual}}me.to=he})(st=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}))}),define(we[172],Ee([0,1,2,10,7,9,46]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class C{constructor(n,P,k,_={timeout:1500,errors:3}){this._logService=n,this._documents=P,this._mainThreadBulkEdits=k,this._thresholds=_,this._callbacks=new S.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(n){return(P,k,_)=>{const s={dispose:this._callbacks.push([P,k,n])};return Array.isArray(_)&&_.push(s),s}}async $participateInSave(n,P){const k=b.URI.revive(n);let _=!1;const d=setTimeout(()=>_=!0,this._thresholds.timeout),s=[];try{for(let f of[...this._callbacks]){if(_)break;const v=this._documents.getDocument(k),m=await this._deliverEventAsyncAndBlameBadListeners(f,{document:v,reason:I.TextDocumentSaveReason.to(P)});s.push(m)}}finally{clearTimeout(d)}return s}_deliverEventAsyncAndBlameBadListeners([n,P,k],_){const d=this._badListeners.get(n);return typeof d=="number"&&d>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(k,n,P,_).then(()=>!0,s=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' threw ERROR`),this._logService.error(s),!(s instanceof Error)||s.message!=="concurrent_edits"){const f=this._badListeners.get(n);this._badListeners.set(n,f?f+1:1),typeof f=="number"&&f>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(n,P,k,_){const d=[],s=Date.now(),{document:f,reason:v}=_,{version:m}=f,w=Object.freeze({document:f,reason:v,waitUntil(c){if(Object.isFrozen(d))throw(0,y.illegalState)("waitUntil can not be called async");d.push(Promise.resolve(c))}});try{P.apply(k,[w])}catch(c){return Promise.reject(c)}return Object.freeze(d),new Promise((c,u)=>{const a=setTimeout(()=>u(new Error("timeout")),this._thresholds.timeout);return Promise.all(d).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${n.identifier.value}' finished after ${Date.now()-s}ms`),clearTimeout(a),c(t)}).catch(t=>{clearTimeout(a),u(t)})}).then(c=>{const u={edits:[]};for(const a of c)if(Array.isArray(a)&&a.every(t=>t instanceof A.TextEdit))for(const{newText:t,newEol:r,range:o}of a)u.edits.push({_type:2,resource:f.uri,edit:{range:o&&I.Range.from(o),text:t,eol:r&&I.EndOfLine.from(r)}});if(u.edits.length!==0)return m===f.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(u):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=C}),define(we[173],Ee([0,1,3,13,28,2,9,7]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class E{constructor(k,_,d,s,f){this._onDidCreate=new b.Emitter,this._onDidChange=new b.Emitter,this._onDidDelete=new b.Emitter,this._config=0,d&&(this._config+=1),s&&(this._config+=2),f&&(this._config+=4);const v=(0,A.parse)(_),m=k(w=>{if(!d)for(let c of w.created){const u=I.URI.revive(c);v(u.fsPath)&&this._onDidCreate.fire(u)}if(!s)for(let c of w.changed){const u=I.URI.revive(c);v(u.fsPath)&&this._onDidChange.fire(u)}if(!f)for(let c of w.deleted){const u=I.URI.revive(c);v(u.fsPath)&&this._onDidDelete.fire(u)}});this._disposable=C.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,m)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class n{constructor(k,_,d){this._logService=_,this._extHostDocumentsAndEditors=d,this._onFileSystemEvent=new b.Emitter,this._onDidRenameFile=new b.Emitter,this._onDidCreateFile=new b.Emitter,this._onDidDeleteFile=new b.Emitter,this._onWillRenameFile=new y.AsyncEmitter,this._onWillCreateFile=new y.AsyncEmitter,this._onWillDeleteFile=new y.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(k,_,d,s){return new E(this._onFileSystemEvent.event,k,_,d,s)}$onFileEvent(k){this._onFileSystemEvent.fire(k)}$onDidRunFileOperation(k,_){switch(k){case 2:this._onDidRenameFile.fire(Object.freeze({files:_.map(d=>({oldUri:I.URI.revive(d.source),newUri:I.URI.revive(d.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:_.map(d=>I.URI.revive(d.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:_.map(d=>I.URI.revive(d.target))}));break;default:}}getOnWillRenameFileEvent(k){return this._createWillExecuteEvent(k,this._onWillRenameFile)}getOnWillCreateFileEvent(k){return this._createWillExecuteEvent(k,this._onWillCreateFile)}getOnWillDeleteFileEvent(k){return this._createWillExecuteEvent(k,this._onWillDeleteFile)}_createWillExecuteEvent(k,_){return(d,s,f)=>{const v=function(w){d.call(s,w)};return v.extension=k,_.event(v,void 0,f)}}async $onWillRunFileOperation(k,_,d,s){switch(k){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:_.map(f=>({oldUri:I.URI.revive(f.source),newUri:I.URI.revive(f.target)}))},d,s);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:_.map(f=>I.URI.revive(f.target))},d,s);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:_.map(f=>I.URI.revive(f.target))},d,s)}}async _fireWillEvent(k,_,d,s){const f=new Set,v=[];if(await k.fireAsync(_,s,async(w,c)=>{var u;const a=Date.now(),t=await Promise.resolve(w);t instanceof C.WorkspaceEdit&&(v.push(t),f.add((u=c.extension.displayName)!==null&&u!==void 0?u:c.extension.identifier.value)),Date.now()-a>d&&this._logService.warn("SLOW file-participant",c.extension.identifier)}),!s.isCancellationRequested&&v.length!==0){const m={edits:[]};for(let w of v){let{edits:c}=S.WorkspaceEdit.from(w,this._extHostDocumentsAndEditors);m.edits=m.edits.concat(c)}return{edit:m,extensionNames:Array.from(f)}}}}e.ExtHostFileSystemEventService=n}),define(we[174],Ee([0,1,3,6,16,23,2,9,70]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class n{constructor(d,s,f,v){this.start=d,this.deletedCount=s,this.deletedItems=f,this.items=v}static asApiEvents(d){return d.map(s=>({start:s.start,deletedCount:s.deletedCount,deletedItems:s.deletedItems,items:s.items.map(f=>f.cell)}))}}class P{constructor(d,s,f){var v;this._notebook=d,this._extHostDocument=s,this._cellData=f,this._onDidDispose=new b.Emitter,this.onDidDispose=this._onDidDispose.event,this.handle=f.handle,this.uri=S.URI.revive(f.uri),this.cellKind=f.cellKind,this._outputs=f.outputs.map(C.NotebookCellOutput.to),this._metadata=C.NotebookCellMetadata.to((v=f.metadata)!==null&&v!==void 0?v:{})}static asModelAddData(d,s){return{EOL:s.eol,lines:s.source,modeId:s.language,uri:s.uri,isDirty:!1,versionId:1,notebook:d}}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get cell(){if(!this._cell){const d=this,s=this._extHostDocument.getDocument(this.uri);if(!s)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._cell=Object.freeze({get index(){return d._notebook.getCellIndex(d)},notebook:d._notebook.notebookDocument,kind:C.NotebookCellKind.to(this._cellData.cellKind),document:s.document,get outputs(){return d._outputs.slice(0)},get metadata(){return d._metadata}})}return this._cell}setOutputs(d){this._outputs=d.map(C.NotebookCellOutput.to)}setOutputItems(d,s,f){const v=f.map(C.NotebookCellOutputItem.to),m=this._outputs.find(w=>w.id===d);m&&(s||(m.outputs.length=0),m.outputs.push(...v))}setMetadata(d){this._metadata=C.NotebookCellMetadata.to(d)}}e.ExtHostCell=P;class k extends y.Disposable{constructor(d,s,f,v,m,w,c){super();this._proxy=d,this._textDocumentsAndEditors=s,this._textDocuments=f,this._emitter=v,this._viewType=m,this._metadata=w,this.uri=c,this.handle=k._handlePool++,this._cells=[],this._cellDisposableMapping=new Map,this._versionId=0,this._isDirty=!1,this._disposed=!1}dispose(){this._disposed=!0,super.dispose(),(0,y.dispose)(this._cellDisposableMapping.values())}get notebookDocument(){if(!this._notebook){const d=this;this._notebook=Object.freeze({get uri(){return d.uri},get version(){return d._versionId},get fileName(){return d.uri.fsPath},get viewType(){return d._viewType},get isDirty(){return d._isDirty},get isUntitled(){return d.uri.scheme===A.Schemas.untitled},get cells(){return d._cells.map(s=>s.cell)},get metadata(){return d._metadata},set metadata(s){throw new Error("Use WorkspaceEdit to update metadata.")},save(){return d._save()}})}return this._notebook}updateBackup(d){var s;(s=this._backup)===null||s===void 0||s.delete(),this._backup=d}disposeBackup(){var d;(d=this._backup)===null||d===void 0||d.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(d){d.metadata&&(this._metadata=this._metadata.with(d.metadata))}acceptModelChanged(d,s){this._versionId=d.versionId,this._isDirty=s;for(const f of d.rawEvents)f.kind===E.NotebookCellsChangeType.Initialize&&this._spliceNotebookCells(f.changes,!0),f.kind===E.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(f.changes,!1):f.kind===E.NotebookCellsChangeType.Move?this._moveCell(f.index,f.newIdx):f.kind===E.NotebookCellsChangeType.Output?this._setCellOutputs(f.index,f.outputs):f.kind===E.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(f.index,f.outputId,f.append,f.outputItems):f.kind===E.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(f.index,f.language):f.kind===E.NotebookCellsChangeType.ChangeCellMetadata&&this._changeCellMetadata(f.index,f.metadata)}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveDocument(this.uri)}_spliceNotebookCells(d,s){if(!this._disposed){const f=[],v=[],m=[];d.reverse().forEach(w=>{var c;const a=w[2].map(o=>{const l=new P(this,this._textDocumentsAndEditors,o);if(s||v.push(P.asModelAddData(this.notebookDocument,o)),!this._cellDisposableMapping.has(l.handle)){const i=new y.DisposableStore;i.add(l),this._cellDisposableMapping.set(l.handle,i)}return l});for(let o=w[0];o<w[0]+w[1];o++)(c=this._cellDisposableMapping.get(this._cells[o].handle))===null||c===void 0||c.dispose(),this._cellDisposableMapping.delete(this._cells[o].handle);const t=new n(w[0],w[1],[],a),r=this._cells.splice(w[0],w[1],...a);for(let o of r)m.push(o.uri),t.deletedItems.push(o.cell);f.push(t)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:v,removedDocuments:m}),s||this._emitter.emitModelChange((0,I.deepFreeze)({document:this.notebookDocument,changes:n.asApiEvents(f)}))}}_moveCell(d,s){const f=this._cells.splice(d,1);this._cells.splice(s,0,...f);const v=[new n(d,1,f.map(m=>m.cell),[]),new n(s,0,[],f)];this._emitter.emitModelChange((0,I.deepFreeze)({document:this.notebookDocument,changes:n.asApiEvents(v)}))}_setCellOutputs(d,s){const f=this._cells[d];f.setOutputs(s),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.notebookDocument,cells:[f.cell]}))}_setCellOutputItems(d,s,f,v){const m=this._cells[d];m.setOutputItems(s,f,v),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.notebookDocument,cells:[m.cell]}))}_changeCellLanguage(d,s){const f=this._cells[d];f.cell.document.languageId!==s&&this._textDocuments.$acceptModelModeChanged(f.uri,s)}_changeCellMetadata(d,s){const f=this._cells[d];f.setMetadata(s||{}),this._emitter.emitCellMetadataChange((0,I.deepFreeze)({document:this.notebookDocument,cell:f.cell}))}getCellFromIndex(d){return this._cells[d]}getCell(d){return this._cells.find(s=>s.handle===d)}getCellIndex(d){return this._cells.indexOf(d)}}e.ExtHostNotebookDocument=k,k._handlePool=0}),define(we[175],Ee([0,1,3,7,9]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class I{constructor(E){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=E}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(E){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:E})}replaceCellMetadata(E,n){this._throwIfFinalized(),this._collectedEdits.push({editType:3,index:E,metadata:n})}replaceCellOutput(E,n){this._throwIfFinalized(),this._collectedEdits.push({editType:2,index:E,outputs:n.map(P=>A.NotebookCellOutput.from(P))})}replaceCells(E,n,P){this._throwIfFinalized(),!(E===n&&P.length===0)&&this._collectedEdits.push({editType:1,index:E,count:n-E,cells:P.map(A.NotebookCellData.from)})}}class S{constructor(E,n,P,k,_,d,s){this.id=E,this._viewType=n,this._proxy=P,this.notebookData=k,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._onDidDispose=new b.Emitter,this.onDidDispose=this._onDidDispose.event,this._selections=d,this._visibleRanges=_,this._viewColumn=s}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get editor(){if(!this._editor){const E=this;this._editor={get document(){return E.notebookData.notebookDocument},get selection(){var n;const P=E._selections[0];return P&&((n=E.notebookData.getCellFromIndex(P.start))===null||n===void 0?void 0:n.cell)},get selections(){return E._selections},get visibleRanges(){return E._visibleRanges},revealRange(n,P){E._proxy.$tryRevealRange(E.id,A.NotebookCellRange.from(n),P!=null?P:y.NotebookEditorRevealType.Default)},get viewColumn(){return E._viewColumn},get onDidDispose(){return E.onDidDispose},edit(n){const P=new I(this.document.version);return n(P),E._applyEdit(P.finalize())},get kernel(){return E._kernel},setDecorations(n,P){return E.setDecorations(n,P)}}}return this._editor}_acceptKernel(E){this._kernel=E}get visible(){return this._visible}_acceptVisibility(E){this._visible=E}_acceptVisibleRanges(E){this._visibleRanges=E}_acceptSelections(E){this._selections=E}_applyEdit(E){if(E.cellEdits.length===0)return Promise.resolve(!0);const n=[];let P=-1;for(let k=0;k<E.cellEdits.length;k++){if(P<0){n.push(E.cellEdits[k]),P++;continue}const d=n[P];if(d.editType===1&&E.cellEdits[k].editType===1){const s=E.cellEdits[k];if(s.editType!==5&&d.index===s.index){d.cells.push(...E.cellEdits[k].cells),d.count+=E.cellEdits[k].count;continue}}n.push(E.cellEdits[k]),P++}return this._proxy.$tryApplyEdits(this._viewType,this.notebookData.uri,E.documentVersionId,n)}setDecorations(E,n){if(!(n.isEmpty&&!this._hasDecorationsForKey.has(E.key)))return n.isEmpty?this._hasDecorationsForKey.delete(E.key):this._hasDecorationsForKey.add(E.key),this._proxy.$trySetDecorations(this.id,A.NotebookCellRange.from(n),E.key)}}e.ExtHostNotebookEditor=S}),define(we[176],Ee([0,1,9,149,130,20,44]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class C{constructor(k){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=k}withProgress(k,_,d){const s=this._handles++,{title:f,location:v,cancellable:m}=_,w=(0,A.localize)(0,null,k.displayName||k.name);return this._proxy.$startProgress(s,{location:b.ProgressLocation.from(v),title:f,source:w,cancellable:m},k),this._withProgress(s,d,!!m)}_withProgress(k,_,d){let s;d&&(s=new I.CancellationTokenSource,this._mapHandleToCancellationSource.set(k,s));const f=m=>{this._proxy.$progressEnd(m),this._mapHandleToCancellationSource.delete(m),s&&s.dispose()};let v;try{v=_(new n(this._proxy,k),d&&s?s.token:I.CancellationToken.None)}catch(m){throw f(k),m}return v.then(m=>f(k),m=>f(k)),v}$acceptProgressCanceled(k){const _=this._mapHandleToCancellationSource.get(k);_&&(_.cancel(),this._mapHandleToCancellationSource.delete(k))}}e.ExtHostProgress=C;function E(P,k){return P.message=k.message,typeof k.increment=="number"&&(typeof P.increment=="number"?P.increment+=k.increment:P.increment=k.increment),P}class n extends y.Progress{constructor(k,_){super(d=>this.throttledReport(d));this._proxy=k,this._handle=_}throttledReport(k){this._proxy.$progressReport(this._handle,k)}}je([(0,S.throttle)(100,(P,k)=>E(P,k),()=>Object.create(null))],n.prototype,"throttledReport",null)}),define(we[95],Ee([0,1,43,10,52,9,7]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class C{constructor(_,d){const s=C._Keys.nextId();_.$registerTextEditorDecorationType(s,I.DecorationRenderOptions.from(d)),this.value=Object.freeze({key:s,dispose(){_.$removeTextEditorDecorationType(s)}})}}e.TextEditorDecorationType=C,C._Keys=new A.IdGenerator("TextEditorDecorationType");class E{constructor(_,d){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=_,this._documentVersionId=_.version,this._undoStopBefore=d.undoStopBefore,this._undoStopAfter=d.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(_,d){this._throwIfFinalized();let s=null;if(_ instanceof S.Position)s=new S.Range(_,_);else if(_ instanceof S.Range)s=_;else throw new Error("Unrecognized location");this._pushEdit(s,d,!1)}insert(_,d){this._throwIfFinalized(),this._pushEdit(new S.Range(_,_),d,!0)}delete(_){this._throwIfFinalized();let d=null;if(_ instanceof S.Range)d=_;else throw new Error("Unrecognized location");this._pushEdit(d,null,!0)}_pushEdit(_,d,s){const f=this._document.validateRange(_);this._collectedEdits.push({range:f,text:d,forceMoveMarkers:s})}setEndOfLine(_){if(this._throwIfFinalized(),_!==S.EndOfLine.LF&&_!==S.EndOfLine.CRLF)throw(0,y.illegalArgument)("endOfLine");this._setEndOfLine=_}}e.TextEditorEdit=E;class n{constructor(_,d,s,f){this._proxy=_,this._id=d,this._accept(s),this._logService=f;const v=this;this.value={get tabSize(){return v._tabSize},set tabSize(m){v._setTabSize(m)},get insertSpaces(){return v._insertSpaces},set insertSpaces(m){v._setInsertSpaces(m)},get cursorStyle(){return v._cursorStyle},set cursorStyle(m){v._setCursorStyle(m)},get lineNumbers(){return v._lineNumbers},set lineNumbers(m){v._setLineNumbers(m)}}}_accept(_){this._tabSize=_.tabSize,this._insertSpaces=_.insertSpaces,this._cursorStyle=_.cursorStyle,this._lineNumbers=I.TextEditorLineNumbersStyle.to(_.lineNumbers)}_validateTabSize(_){if(_==="auto")return"auto";if(typeof _=="number"){const d=Math.floor(_);return d>0?d:null}if(typeof _=="string"){const d=parseInt(_,10);return isNaN(d)?null:d>0?d:null}return null}_setTabSize(_){const d=this._validateTabSize(_);if(d!==null){if(typeof d=="number"){if(this._tabSize===d)return;this._tabSize=d}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:d}))}}_validateInsertSpaces(_){return _==="auto"?"auto":_==="false"?!1:Boolean(_)}_setInsertSpaces(_){const d=this._validateInsertSpaces(_);if(typeof d=="boolean"){if(this._insertSpaces===d)return;this._insertSpaces=d}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:d}))}_setCursorStyle(_){this._cursorStyle!==_&&(this._cursorStyle=_,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:_})))}_setLineNumbers(_){this._lineNumbers!==_&&(this._lineNumbers=_,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:I.TextEditorLineNumbersStyle.from(_)})))}assign(_){const d={};let s=!1;if(typeof _.tabSize!="undefined"){const f=this._validateTabSize(_.tabSize);f==="auto"?(s=!0,d.tabSize=f):typeof f=="number"&&this._tabSize!==f&&(this._tabSize=f,s=!0,d.tabSize=f)}if(typeof _.insertSpaces!="undefined"){const f=this._validateInsertSpaces(_.insertSpaces);f==="auto"?(s=!0,d.insertSpaces=f):this._insertSpaces!==f&&(this._insertSpaces=f,s=!0,d.insertSpaces=f)}typeof _.cursorStyle!="undefined"&&this._cursorStyle!==_.cursorStyle&&(this._cursorStyle=_.cursorStyle,s=!0,d.cursorStyle=_.cursorStyle),typeof _.lineNumbers!="undefined"&&this._lineNumbers!==_.lineNumbers&&(this._lineNumbers=_.lineNumbers,s=!0,d.lineNumbers=I.TextEditorLineNumbersStyle.from(_.lineNumbers)),s&&this._warnOnError(this._proxy.$trySetOptions(this._id,d))}_warnOnError(_){_.catch(d=>this._logService.warn(d))}}e.ExtHostTextEditorOptions=n;class P{constructor(_,d,s,f,v,m,w,c){this.id=_,this._proxy=d,this._logService=s,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=v,this._options=new n(this._proxy,this.id,m,s),this._visibleRanges=w,this._viewColumn=c;const u=this;this.value=Object.freeze({get document(){return f.getValue()},set document(a){throw(0,y.readonly)("document")},get selection(){return u._selections&&u._selections[0]},set selection(a){if(!(a instanceof S.Selection))throw(0,y.illegalArgument)("selection");u._selections=[a],u._trySetSelection()},get selections(){return u._selections},set selections(a){if(!Array.isArray(a)||a.some(t=>!(t instanceof S.Selection)))throw(0,y.illegalArgument)("selections");u._selections=a,u._trySetSelection()},get visibleRanges(){return u._visibleRanges},set visibleRanges(a){throw(0,y.readonly)("visibleRanges")},get options(){return u._options.value},set options(a){u._disposed||u._options.assign(a)},get viewColumn(){return u._viewColumn},set viewColumn(a){throw(0,y.readonly)("viewColumn")},edit(a,t={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const r=new E(f.getValue(),t);return a(r),u._applyEdit(r)},insertSnippet(a,t,r={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let o;if(!t||Array.isArray(t)&&t.length===0)o=u._selections.map(l=>I.Range.from(l));else if(t instanceof S.Position){const{lineNumber:l,column:i}=I.Position.from(t);o=[{startLineNumber:l,startColumn:i,endLineNumber:l,endColumn:i}]}else if(t instanceof S.Range)o=[I.Range.from(t)];else{o=[];for(const l of t)if(l instanceof S.Range)o.push(I.Range.from(l));else{const{lineNumber:i,column:h}=I.Position.from(l);o.push({startLineNumber:i,startColumn:h,endLineNumber:i,endColumn:h})}}return d.$tryInsertSnippet(_,a.value,o,r)},setDecorations(a,t){const r=t.length===0;r&&!u._hasDecorationsForKey.has(a.key)||(r?u._hasDecorationsForKey.delete(a.key):u._hasDecorationsForKey.add(a.key),u._runOnProxy(()=>{if(I.isDecorationOptionsArr(t))return d.$trySetDecorations(_,a.key,I.fromRangeOrRangeWithMessage(t));{const o=new Array(4*t.length);for(let l=0,i=t.length;l<i;l++){const h=t[l];o[4*l]=h.start.line+1,o[4*l+1]=h.start.character+1,o[4*l+2]=h.end.line+1,o[4*l+3]=h.end.character+1}return d.$trySetDecorationsFast(_,a.key,o)}}))},revealRange(a,t){u._runOnProxy(()=>d.$tryRevealRange(_,I.Range.from(a),t||S.TextEditorRevealType.Default))},show(a){d.$tryShowEditor(_,I.ViewColumn.from(a))},hide(){d.$tryHideEditor(_)}})}dispose(){(0,b.ok)(!this._disposed),this._disposed=!0}_acceptOptions(_){(0,b.ok)(!this._disposed),this._options._accept(_)}_acceptVisibleRanges(_){(0,b.ok)(!this._disposed),this._visibleRanges=_}_acceptViewColumn(_){(0,b.ok)(!this._disposed),this._viewColumn=_}_acceptSelections(_){(0,b.ok)(!this._disposed),this._selections=_}async _trySetSelection(){const _=this._selections.map(I.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,_)),this.value}_applyEdit(_){const d=_.finalize();if(d.edits.length===0&&!d.setEndOfLine)return Promise.resolve(!0);const s=d.edits.map(v=>v.range);s.sort((v,m)=>v.end.line===m.end.line?v.end.character===m.end.character?v.start.line===m.start.line?v.start.character-m.start.character:v.start.line-m.start.line:v.end.character-m.end.character:v.end.line-m.end.line);for(let v=0,m=s.length-1;v<m;v++){const w=s[v].end;if(s[v+1].start.isBefore(w))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const f=d.edits.map(v=>({range:I.Range.from(v.range),text:v.text,forceMoveMarkers:v.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,d.documentVersionId,f,{setEndOfLine:typeof d.setEndOfLine=="number"?I.EndOfLine.from(d.setEndOfLine):void 0,undoStopBefore:d.undoStopBefore,undoStopAfter:d.undoStopAfter})}_runOnProxy(_){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):_().then(()=>this,d=>(d instanceof Error&&d.name==="DISPOSED"||this._logService.warn(d),null))}}e.ExtHostTextEditor=P}),define(we[177],Ee([0,1,133,24,2,3,6,13,7,12,15,9,20]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function d(v,m){if((0,n.isString)(v))return{label:v};if(v&&typeof v=="object"&&typeof v.label=="string"){let w;return Array.isArray(v.highlights)&&(w=v.highlights.filter(c=>c.length===2&&typeof c[0]=="number"&&typeof c[1]=="number"),w=w.length?w:void 0),{label:v.label,highlights:w}}}class s{constructor(m,w,c){this._proxy=m,this.commands=w,this.logService=c,this.treeViews=new Map;function u(a){return a&&a.$treeViewId&&a.$treeItemHandle}w.registerArgumentProcessor({processArgument:a=>u(a)?this.convertArgument(a):Array.isArray(a)&&a.length>0?a.map(t=>u(t)?this.convertArgument(t):t):a})}registerTreeDataProvider(m,w,c){const u=this.createTreeView(m,{treeDataProvider:w},c);return{dispose:()=>u.dispose()}}createTreeView(m,w,c){if(!w||!w.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const u=this._proxy.$registerTreeViewDataProvider(m,{showCollapseAll:!!w.showCollapseAll,canSelectMany:!!w.canSelectMany}),a=this.createExtHostTreeView(m,w,c);return{get onDidCollapseElement(){return a.onDidCollapseElement},get onDidExpandElement(){return a.onDidExpandElement},get selection(){return a.selectedElements},get onDidChangeSelection(){return a.onDidChangeSelection},get visible(){return a.visible},get onDidChangeVisibility(){return a.onDidChangeVisibility},get message(){return a.message},set message(t){a.message=t},get title(){return a.title},set title(t){a.title=t},get description(){return a.description},set description(t){a.description=t},reveal:(t,r)=>a.reveal(t,r),dispose:async()=>{await u,this.treeViews.delete(m),a.dispose()}}}$getChildren(m,w){const c=this.treeViews.get(m);return c?c.getChildren(w):Promise.reject(new Error((0,b.localize)(0,null,m)))}async $hasResolve(m){const w=this.treeViews.get(m);if(!w)throw new Error((0,b.localize)(1,null,m));return w.hasResolve}$resolve(m,w,c){const u=this.treeViews.get(m);if(!u)throw new Error((0,b.localize)(2,null,m));return u.resolveTreeItem(w,c)}$setExpanded(m,w,c){const u=this.treeViews.get(m);if(!u)throw new Error((0,b.localize)(3,null,m));u.setExpanded(w,c)}$setSelection(m,w){const c=this.treeViews.get(m);if(!c)throw new Error((0,b.localize)(4,null,m));c.setSelection(w)}$setVisible(m,w){const c=this.treeViews.get(m);if(!c)throw new Error((0,b.localize)(5,null,m));c.setVisible(w)}createExtHostTreeView(m,w,c){const u=new f(m,w,this._proxy,this.commands.converter,this.logService,c);return this.treeViews.set(m,u),u}convertArgument(m){const w=this.treeViews.get(m.$treeViewId);return w?w.getExtensionElement(m.$treeItemHandle):null}}e.ExtHostTreeViews=s;class f extends S.Disposable{constructor(m,w,c,u,a,t){super();if(this.viewId=m,this.proxy=c,this.commands=u,this.logService=a,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new I.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new I.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new I.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new I.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new I.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new _.CancellationTokenSource,t.contributes&&t.contributes.views)for(const l in t.contributes.views)for(const i of t.contributes.views[l])i.id===m&&(this._title=i.name);this.dataProvider=w.treeDataProvider,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(l=>this._onDidChangeData.fire({message:!1,element:l})));let r,o;this._register(I.Event.debounce(this._onDidChangeData.event,(l,i)=>(l||(l={message:!1,elements:[]}),i.element!==!1&&(r||(r=new Promise(h=>o=h),this.refreshPromise=this.refreshPromise.then(()=>r)),l.elements.push(i.element)),i.message&&(l.message=!0),l),200,!0)(({message:l,elements:i})=>{i.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const h=o;return r=null,this.refresh(i).then(()=>h())})),l&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(m=>this.getExtensionElement(m)).filter(m=>!(0,n.isUndefinedOrNull)(m))}getChildren(m){const w=m?this.getExtensionElement(m):void 0;if(m&&!w)return this.logService.error(`No tree item with id '${m}' found.`),Promise.resolve([]);const c=this.getChildrenNodes(m);return(c?Promise.resolve(c):this.fetchChildrenNodes(w)).then(u=>u.map(a=>a.item))}getExtensionElement(m){return this.elements.get(m)}reveal(m,w){w=w||{select:!0,focus:!1};const c=(0,n.isUndefinedOrNull)(w.select)?!0:w.select,u=(0,n.isUndefinedOrNull)(w.focus)?!1:w.focus,a=(0,n.isUndefinedOrNull)(w.expand)?!1:w.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):m?this.refreshPromise.then(()=>this.resolveUnknownParentChain(m)).then(t=>this.resolveTreeNode(m,t[t.length-1]).then(r=>this.proxy.$reveal(this.viewId,{item:r.item,parentChain:t.map(o=>o.item)},{select:c,focus:u,expand:a})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:c,focus:u,expand:a})}get message(){return this._message}set message(m){this._message=m,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(m){this._title=m,this.proxy.$setTitle(this.viewId,m,this._description)}get description(){return this._description}set description(m){this._description=m,this.proxy.$setTitle(this.viewId,this._title,m)}setExpanded(m,w){const c=this.getExtensionElement(m);c&&(w?this._onDidExpandElement.fire(Object.freeze({element:c})):this._onDidCollapseElement.fire(Object.freeze({element:c})))}setSelection(m){(0,P.equals)(this._selectedHandles,m)||(this._selectedHandles=m,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(m){m!==this._visible&&(this._visible=m,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(m,w){var c;if(!!this.dataProvider.resolveTreeItem){const u=this.elements.get(m);if(u){const a=this.nodes.get(u);if(a){const t=(c=await this.dataProvider.resolveTreeItem(a.extensionItem,u,w))!==null&&c!==void 0?c:a.extensionItem;return a.item.tooltip=this.getTooltip(t.tooltip),a.item.command=this.getCommand(a.disposableStore,t.command),a.item}}}}resolveUnknownParentChain(m){return this.resolveParent(m).then(w=>w?this.resolveUnknownParentChain(w).then(c=>this.resolveTreeNode(w,c[c.length-1]).then(u=>(c.push(u),c))):Promise.resolve([]))}resolveParent(m){const w=this.nodes.get(m);return w?Promise.resolve(w.parent?this.elements.get(w.parent.item.handle):void 0):(0,C.asPromise)(()=>this.dataProvider.getParent(m))}resolveTreeNode(m,w){const c=this.nodes.get(m);return c?Promise.resolve(c):(0,C.asPromise)(()=>this.dataProvider.getTreeItem(m)).then(u=>this.createHandle(m,u,w,!0)).then(u=>this.getChildren(w?w.item.handle:void 0).then(()=>{const a=this.getExtensionElement(u);if(a){const t=this.nodes.get(a);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${u}`)}))}getChildrenNodes(m){if(m){let w;if(typeof m=="string"){const c=this.getExtensionElement(m);w=c?this.nodes.get(c):void 0}else w=m;return w&&w.children||null}return this.roots}async fetchChildrenNodes(m){this.clearChildren(m);const w=new _.CancellationTokenSource(this._refreshCancellationSource.token);try{const c=m?this.nodes.get(m):void 0,u=await this.dataProvider.getChildren(m);if(w.token.isCancellationRequested)return[];const a=await Promise.all((0,P.coalesce)(u||[]).map(async t=>{const r=await this.dataProvider.getTreeItem(t);return r&&!w.token.isCancellationRequested?this.createAndRegisterTreeNode(t,r,c):null}));return w.token.isCancellationRequested?[]:(0,P.coalesce)(a)}finally{w.dispose()}}refresh(m){if(m.some(c=>!c))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new _.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const c=this.getHandlesToRefresh(m);if(c.length)return this.refreshHandles(c)}return Promise.resolve(void 0)}getHandlesToRefresh(m){const w=new Set;for(const u of m){const a=this.nodes.get(u);if(a&&!w.has(a.item.handle)){let t=a;for(;t&&t.parent&&!w.has(t.parent.item.handle);){const r=this.elements.get(t.parent.item.handle);t=r?this.nodes.get(r):void 0}t&&!t.parent&&w.add(a.item.handle)}}const c=[];return w.forEach(u=>{const a=this.elements.get(u);if(a){const t=this.nodes.get(a);t&&(!t.parent||!w.has(t.parent.item.handle))&&c.push(u)}}),c}refreshHandles(m){const w={};return Promise.all(m.map(c=>this.refreshNode(c).then(u=>{u&&(w[c]=u.item)}))).then(()=>Object.keys(w).length?this.proxy.$refresh(this.viewId,w):void 0)}refreshNode(m){const w=this.getExtensionElement(m);if(w){const c=this.nodes.get(w);if(c)return this.clearChildren(w),(0,C.asPromise)(()=>this.dataProvider.getTreeItem(w)).then(u=>{if(u){const a=this.createTreeNode(w,u,c.parent);return this.updateNodeCache(w,a,c,c.parent),c.dispose(),a}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(m,w,c){const u=this.createTreeNode(m,w,c);if(w.id&&this.elements.has(u.item.handle))throw new Error((0,b.localize)(6,null,w.id));return this.addNodeToCache(m,u),this.addNodeToParentCache(u,c),u}getTooltip(m){return E.MarkdownString.isMarkdownString(m)?k.MarkdownString.from(m):m}getCommand(m,w){return w?this.commands.toInternal(w,m):void 0}createTreeNode(m,w,c){const u=new S.DisposableStore,a=this.createHandle(m,w,c),t=this.getLightIconPath(w);return{item:{handle:a,parentHandle:c?c.item.handle:void 0,label:d(w.label,this.extension),description:w.description,resourceUri:w.resourceUri,tooltip:this.getTooltip(w.tooltip),command:this.getCommand(u,w.command),contextValue:w.contextValue,icon:t,iconDark:this.getDarkIconPath(w)||t,themeIcon:this.getThemeIcon(w),collapsibleState:(0,n.isUndefinedOrNull)(w.collapsibleState)?E.TreeItemCollapsibleState.None:w.collapsibleState,accessibilityInformation:w.accessibilityInformation},extensionItem:w,parent:c,children:void 0,disposableStore:u,dispose(){u.dispose()}}}getThemeIcon(m){return m.iconPath instanceof E.ThemeIcon?m.iconPath:void 0}createHandle(m,{id:w,label:c,resourceUri:u},a,t){if(w)return`${f.ID_HANDLE_PREFIX}/${w}`;const r=d(c,this.extension),o=a?a.item.handle:f.LABEL_HANDLE_PREFIX;let l=r?r.label:u?(0,y.basename)(u):"";l=l.indexOf("/")!==-1?l.replace("/","//"):l;const i=this.nodes.has(m)?this.nodes.get(m).item.handle:void 0,h=this.getChildrenNodes(a)||[];let D,R=0;do{if(D=`${o}/${R}:${l}`,t||!this.elements.has(D)||i===D)break;R++}while(R<=h.length);return D}getLightIconPath(m){if(m.iconPath&&!(m.iconPath instanceof E.ThemeIcon))return typeof m.iconPath=="string"||A.URI.isUri(m.iconPath)?this.getIconPath(m.iconPath):this.getIconPath(m.iconPath.light)}getDarkIconPath(m){if(m.iconPath&&!(m.iconPath instanceof E.ThemeIcon)&&m.iconPath.dark)return this.getIconPath(m.iconPath.dark)}getIconPath(m){return A.URI.isUri(m)?m:A.URI.file(m)}addNodeToCache(m,w){this.elements.set(w.item.handle,m),this.nodes.set(m,w)}updateNodeCache(m,w,c,u){this.elements.delete(w.item.handle),this.nodes.delete(m),w.item.handle!==c.item.handle&&this.elements.delete(c.item.handle),this.addNodeToCache(m,w);const a=this.getChildrenNodes(u)||[],t=a.filter(r=>r.item.handle===c.item.handle)[0];t&&a.splice(a.indexOf(t),1,w)}addNodeToParentCache(m,w){w?(w.children||(w.children=[]),w.children.push(m)):(this.roots||(this.roots=[]),this.roots.push(m))}clearChildren(m){if(m){const w=this.nodes.get(m);if(w){if(w.children)for(const c of w.children){const u=this.elements.get(c.item.handle);u&&this.clear(u)}w.children=void 0}}else this.clearAll()}clear(m){const w=this.nodes.get(m);if(w){if(w.children)for(const c of w.children){const u=this.elements.get(c.item.handle);u&&this.clear(u)}this.nodes.delete(m),this.elements.delete(w.item.handle),w.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(m=>m.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}f.LABEL_HANDLE_PREFIX="0",f.ID_HANDLE_PREFIX="1"}),define(we[178],Ee([0,1,15,13,44,9]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=e.OwnedTestCollection=void 0;class S{constructor(){this.testIdsToInternal=new Set}getTestById(s){return(0,b.mapFind)(this.testIdsToInternal,f=>{const v=f.get(s);return v&&[f,v]})}createForHierarchy(s=()=>{}){return new n(this.createIdMap(),s)}createIdMap(){const s=new E;return this.testIdsToInternal.add(s),{object:s,dispose:()=>this.testIdsToInternal.delete(s)}}}e.OwnedTestCollection=S;var C;(function(d){d[d.Disconnected=0]="Disconnected",d[d.IsChild=1]="IsChild",d[d.IsParent=2]="IsParent",d[d.IsSame=3]="IsSame"})(C=e.TestPosition||(e.TestPosition={}));class E{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(s){if(this.map.has(s.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${s.item.extId}`);this.map.set(s.item.extId,s),s.parent||this._roots.add(s)}has(s){return this.map.has(s)}delete(s){const f=this.map.get(s);return f?(this.map.delete(s),this._roots.delete(f),!0):!1}get(s){return this.map.get(s)}comparePositions(s,f){const v=typeof s=="string"?this.map.get(s):s,m=typeof f=="string"?this.map.get(f):f;if(!v||!m)return 0;if(v===m)return 3;for(let w=this.map.get(m.parent);w;w=this.map.get(w.parent))if(w===v)return 1;for(let w=this.map.get(v.parent);w;w=this.map.get(w.parent))if(w===m)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=E;class n{constructor(s,f){this.testIdToInternal=s,this.publishDiff=f,this.testItemToInternal=new Map,this.diff=[],this.disposed=!1,this.debounceSendDiff=new y.RunOnceScheduler(()=>this.throttleSendDiff(),2)}addRoot(s,f){this.addItem(s,f,null),this.debounceSendDiff.schedule()}getTestByReference(s){return this.testItemToInternal.get(s)}onItemChange(s,f){const v=this.testItemToInternal.get(s);if(!v){this.disposed||console.warn("Received a TestProvider.onDidChangeTest for a test that wasn't seen before as a child.");return}this.addItem(s,f,v.parent),this.debounceSendDiff.schedule()}collectDiff(){const s=this.diff;return this.diff=[],s}pushDiff(s){this.diff.push(s),this.debounceSendDiff.schedule()}dispose(){this.testIdToInternal.dispose(),this.diff=[],this.disposed=!0}addItem(s,f,v){let m=this.testItemToInternal.get(s);if(m)m.previousEquals(s)||(m.item=I.TestItem.from(s),m.previousEquals=_(s),this.diff.push([1,{parent:v,providerId:f,item:m.item}]));else{if(this.testIdToInternal.object.has(s.id))throw new Error(`Attempted to insert a duplicate test item ID ${s.id}`);m={actual:s,parent:v,item:I.TestItem.from(s),providerId:f,previousChildren:new Set,previousEquals:_(s)},this.testIdToInternal.object.add(m),this.testItemToInternal.set(s,m),this.diff.push([0,{parent:v,providerId:f,item:m.item}])}if(s.children){const w=m.previousChildren,c=new Set;for(const u of s.children){const a=this.testIdToInternal.object.get(u.id);a&&a.actual!==u&&this.removeItembyId(u.id);const t=this.addItem(u,f,m.item.extId);w.delete(t.item.extId),c.add(t.item.extId)}for(const u of w)this.removeItembyId(u);m.previousChildren=c}return m}removeItembyId(s){this.diff.push([2,s]);const f=[this.testIdToInternal.object.get(s)];for(;f.length;){const v=f.pop();if(!!v){this.testIdToInternal.object.delete(v.item.extId),this.testItemToInternal.delete(v.actual);for(const m of v.previousChildren)f.push(this.testIdToInternal.object.get(m))}}}throttleSendDiff(){this.flushDiff()}flushDiff(){const s=this.collectDiff();s.length&&this.publishDiff(s)}}je([(0,A.throttle)(200)],n.prototype,"throttleSendDiff",null),e.SingleUseTestCollection=n;const k=Object.keys({id:null,label:null,location:null,debuggable:null,description:null,runnable:null}),_=d=>{const s=[];for(const f of k)s.push(d[f]);return f=>{for(let v=0;v<k.length;v++)if(s[v]!==f[k[v]])return!1;return!0}}}),define(we[179],Ee([0,1,25,3,11]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class I{constructor(P){this.removedDueToLooping=P}}e.DeltaExtensionsResult=I;class S{constructor(P){this._onDidChange=new y.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=P,this._initialize()}_initialize(){this._extensionDescriptions.sort(E),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const P of this._extensionDescriptions){if(this._extensionsMap.has(b.ExtensionIdentifier.toKey(P.identifier))){console.error("Extension `"+P.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(b.ExtensionIdentifier.toKey(P.identifier),P),this._extensionsArr.push(P),Array.isArray(P.activationEvents))for(let k of P.activationEvents)k==="onUri"&&(k=`onUri:${b.ExtensionIdentifier.toKey(P.identifier)}`),this._activationMap.has(k)||this._activationMap.set(k,[]),this._activationMap.get(k).push(P)}}keepOnly(P){const k=new Set;P.forEach(_=>k.add(b.ExtensionIdentifier.toKey(_))),this._extensionDescriptions=this._extensionDescriptions.filter(_=>k.has(b.ExtensionIdentifier.toKey(_.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(P,k){P.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(P));const _=S._findLoopingExtensions(this._extensionDescriptions);if(k=k.concat(_.map(d=>d.identifier)),k.length>0){const d=new Set;k.forEach(s=>d.add(b.ExtensionIdentifier.toKey(s))),this._extensionDescriptions=this._extensionDescriptions.filter(s=>!d.has(b.ExtensionIdentifier.toKey(s.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new I(_)}static _findLoopingExtensions(P){const k=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(v){this._nodesSet.has(v)||(this._nodesSet.add(v),this._nodesArr.push(v))}addArc(v,m){this.addNode(v),this.addNode(m),this._arcs.has(v)?this._arcs.get(v).push(m):this._arcs.set(v,[m])}getArcs(v){return this._arcs.has(v)?this._arcs.get(v):[]}hasOnlyGoodArcs(v,m){const w=k.getArcs(v);for(let c=0;c<w.length;c++)if(!m.has(w[c]))return!1;return!0}getNodes(){return this._nodesArr}};let _=new Map;for(let v of P){const m=b.ExtensionIdentifier.toKey(v.identifier);if(_.set(m,v),v.extensionDependencies)for(let w of v.extensionDependencies){const c=b.ExtensionIdentifier.toKey(w);k.addArc(m,c)}}let d=new Set;k.getNodes().filter(v=>k.getArcs(v).length===0).forEach(v=>d.add(v));let s=k.getNodes().filter(v=>!d.has(v)),f;do{f=!1;for(let v=0;v<s.length;v++){const m=s[v];k.hasOnlyGoodArcs(m,d)&&(s.splice(v,1),v--,d.add(m),f=!0)}}while(f);return s.map(v=>_.get(v))}containsActivationEvent(P){return this._activationMap.has(P)}containsExtension(P){return this._extensionsMap.has(b.ExtensionIdentifier.toKey(P))}getExtensionDescriptionsForActivationEvent(P){const k=this._activationMap.get(P);return k?k.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(P){const k=this._extensionsMap.get(b.ExtensionIdentifier.toKey(P));return k||void 0}}e.ExtensionDescriptionRegistry=S;var C;(function(n){n[n.Builtin=0]="Builtin",n[n.User=1]="User",n[n.Dev=2]="Dev"})(C||(C={}));function E(n,P){const k=n.isBuiltin?0:n.isUnderDevelopment?2:1,_=P.isBuiltin?0:P.isUnderDevelopment?2:1;if(k!==_)return k-_;const d=A.posix.basename(n.extensionLocation.path),s=A.posix.basename(P.extensionLocation.path);return d<s?-1:d>s?1:0}}),define(we[180],Ee([0,1,26]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var y;(function(C){C[C.VersionMismatch=55]="VersionMismatch",C[C.UnexpectedError=81]="UnexpectedError"})(y=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var A;(function(C){C[C.Initialized=0]="Initialized",C[C.Ready=1]="Ready",C[C.Terminate=2]="Terminate"})(A=e.MessageType||(e.MessageType={}));function I(C){const E=b.VSBuffer.alloc(1);switch(C){case 0:E.writeUInt8(1,0);break;case 1:E.writeUInt8(2,0);break;case 2:E.writeUInt8(3,0);break}return E}e.createMessageOfType=I;function S(C,E){if(C.byteLength!==1)return!1;switch(C.readUInt8(0)){case 1:return E===0;case 2:return E===1;case 3:return E===2;default:return!1}}e.isMessageOfType=S}),define(we[34],Ee([0,1,3,2,4,25,146]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwRequiresWorkspaceTrustError=e.checkRequiresWorkspaceTrust=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingDependencyError=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new I.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:y.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,A.createDecorator)("extensionService");class C{constructor(u){this.dependency=u}}e.MissingDependencyError=C;var E;(function(c){c[c.LocalProcess=0]="LocalProcess",c[c.LocalWebWorker=1]="LocalWebWorker",c[c.Remote=2]="Remote"})(E=e.ExtensionHostKind||(e.ExtensionHostKind={}));class n{constructor(u,a,t,r){this.codeLoadingTime=u,this.activateCallTime=a,this.activateResolvedTime=t,this.activationReason=r}}e.ActivationTimes=n;class P{constructor(u,a){this.description=u,this.value=a}}e.ExtensionPointContribution=P,e.ExtensionHostLogFileName="exthost";var k;(function(c){c[c.Normal=0]="Normal",c[c.Immediate=1]="Immediate"})(k=e.ActivationKind||(e.ActivationKind={}));function _(c){c.enableProposedApi||d(c)}e.checkProposedApiEnabled=_;function d(c){throw new Error(`[${c.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${c.identifier.value}`)}e.throwProposedApiError=d;function s(c){c.requiresWorkspaceTrust||f(c)}e.checkRequiresWorkspaceTrust=s;function f(c){throw new Error(`[${c.identifier.value}]: This API is only available when the "requiresWorkspaceTrust" is set to "onStart" or "onDemand" in the extension's package.json.`)}e.throwRequiresWorkspaceTrustError=f;function v(c){return{type:c.isBuiltin?0:1,isBuiltin:c.isBuiltin||c.isUserBuiltin,identifier:{id:(0,S.getGalleryExtensionId)(c.publisher,c.name),uuid:c.uuid},manifest:c,location:c.extensionLocation}}e.toExtension=v;function m(c){return Object.assign(Object.assign({identifier:new I.ExtensionIdentifier(c.identifier.id),isBuiltin:c.type===0,isUserBuiltin:c.type===1&&c.isBuiltin,isUnderDevelopment:!1,extensionLocation:c.location},c.manifest),{uuid:c.identifier.uuid})}e.toExtensionDescription=m;class w{constructor(){this.onDidRegisterExtensions=b.Event.None,this.onDidChangeExtensionsStatus=b.Event.None,this.onDidChangeExtensions=b.Event.None,this.onWillActivateByEvent=b.Event.None,this.onDidChangeResponsiveChange=b.Event.None}activateByEvent(u){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(u){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(u){return Promise.resolve(0)}restartExtensionHost(){}async setRemoteEnvironment(u){}canAddExtension(){return!1}canRemoveExtension(){return!1}_logOrShowMessage(u,a){}_activateById(u,a){return Promise.resolve()}_onWillActivateExtension(u){}_onDidActivateExtension(u,a,t,r,o){}_onExtensionRuntimeError(u,a){}_onExtensionHostExit(u){}}e.NullExtensionService=w}),define(we[181],Ee([0,1,128,25,34,19]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const S=Promise.resolve(void 0);class C{constructor(f,v,m,w){this.startup=f,this.codeLoadingTime=v,this.activateCallTime=m,this.activateResolvedTime=w}}e.ExtensionActivationTimes=C,C.NONE=new C(!1,-1,-1,-1);class E{constructor(f){this._startup=f,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(f,v){return f===-1||v===-1?-1:v-f}build(){return new C(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=E;class n{constructor(f,v,m,w,c,u){this.activationFailed=f,this.activationFailedError=v,this.activationTimes=m,this.module=w,this.exports=c,this.subscriptions=u}}e.ActivatedExtension=n;class P extends n{constructor(f){super(!1,null,f,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=P;class k extends n{constructor(){super(!1,null,C.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=k;class _ extends n{constructor(f){super(!0,f,C.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=_;let d=class{constructor(f,v,m,w,c){this._logService=c,this._registry=f,this._resolvedExtensionsSet=new Set,v.forEach(u=>this._resolvedExtensionsSet.add(y.ExtensionIdentifier.toKey(u))),this._hostExtensionsMap=new Map,m.forEach(u=>this._hostExtensionsMap.set(y.ExtensionIdentifier.toKey(u),u)),this._host=w,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(f){const v=y.ExtensionIdentifier.toKey(f);return this._activatedExtensions.has(v)}getActivatedExtension(f){const v=y.ExtensionIdentifier.toKey(f),m=this._activatedExtensions.get(v);if(!m)throw new Error("Extension `"+f.value+"` is not known or not activated");return m}activateByEvent(f,v){if(this._alreadyActivatedEvents[f])return S;const m=this._registry.getExtensionDescriptionsForActivationEvent(f);return this._activateExtensions(m.map(w=>({id:w.identifier,reason:{startup:v,extensionId:w.identifier,activationEvent:f}}))).then(()=>{this._alreadyActivatedEvents[f]=!0})}activateById(f,v){const m=this._registry.getExtensionDescription(f);if(!m)throw new Error("Extension `"+f+"` is not known");return this._activateExtensions([{id:m.identifier,reason:v}])}_handleActivateRequest(f,v,m){if(this._hostExtensionsMap.has(y.ExtensionIdentifier.toKey(f.id))){v[y.ExtensionIdentifier.toKey(f.id)]=f;return}const w=this._registry.getExtensionDescription(f.id);if(!w){this._host.onExtensionActivationError(f.id,new A.MissingDependencyError(f.id.value));const a=new Error(`Unknown dependency '${f.id.value}'`);this._activatedExtensions.set(y.ExtensionIdentifier.toKey(f.id),new _(a));return}const c=typeof w.extensionDependencies=="undefined"?[]:w.extensionDependencies;let u=!0;for(let a=0,t=c.length;a<t;a++){const r=c[a];if(!this._resolvedExtensionsSet.has(y.ExtensionIdentifier.toKey(r))){const o=this._activatedExtensions.get(y.ExtensionIdentifier.toKey(r));if(!(o&&!o.activationFailed)){if(o&&o.activationFailed){this._host.onExtensionActivationError(w.identifier,b.localize(0,null,w.displayName||w.identifier.value,r));const h=new Error(`Dependency ${r} failed to activate`);h.detail=o.activationFailedError,this._activatedExtensions.set(y.ExtensionIdentifier.toKey(w.identifier),new _(h));return}if(this._hostExtensionsMap.has(y.ExtensionIdentifier.toKey(r))){u=!1,v[y.ExtensionIdentifier.toKey(r)]={id:this._hostExtensionsMap.get(y.ExtensionIdentifier.toKey(r)),reason:f.reason};continue}const l=this._registry.getExtensionDescription(r);if(l){u=!1,v[y.ExtensionIdentifier.toKey(r)]={id:l.identifier,reason:f.reason};continue}this._host.onExtensionActivationError(w.identifier,new A.MissingDependencyError(r));const i=new Error(`Unknown dependency '${r}'`);this._activatedExtensions.set(y.ExtensionIdentifier.toKey(w.identifier),new _(i));return}}}u?v[y.ExtensionIdentifier.toKey(w.identifier)]=f:m.push(f)}_activateExtensions(f){if(f.length===0||(f=f.filter(c=>!this._activatedExtensions.has(y.ExtensionIdentifier.toKey(c.id))),f.length===0))return Promise.resolve(void 0);const v=Object.create(null),m=[];for(let c=0,u=f.length;c<u;c++)this._handleActivateRequest(f[c],v,m);for(let c=0,u=m.length;c<u;c++){const a=y.ExtensionIdentifier.toKey(m[c].id);v[a]&&delete v[a]}const w=Object.keys(v).map(c=>v[c]);return m.length===0?Promise.all(w.map(c=>this._activateExtension(c.id,c.reason))).then(c=>{}):this._activateExtensions(w).then(c=>this._activateExtensions(m))}_activateExtension(f,v){const m=y.ExtensionIdentifier.toKey(f);if(this._activatedExtensions.has(m))return Promise.resolve(void 0);const w=this._activatingExtensions.get(m);if(w)return w;const c=this._host.actualActivateExtension(f,v).then(void 0,u=>(this._host.onExtensionActivationError(f,b.localize(1,null,f.value,u.message)),this._logService.error(`Activating extension ${f.value} failed due to an error:`),this._logService.error(u),new _(u))).then(u=>{this._activatedExtensions.set(m,u),this._activatingExtensions.delete(m)});return this._activatingExtensions.set(m,c),c}};d=je([qe(4,I.ILogService)],d),e.ExtensionsActivator=d}),define(we[182],Ee([0,1,10]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class y{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((I,S)=>{this._actualOk=I,this._actualErr=S,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(I){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=I,this._actual&&this._actualOk(I))}resolveErr(I){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=I,this._actual?this._actualErr(I):(0,b.onUnexpectedError)(I))}then(I,S){return this._ensureActual().then(I,S)}catch(I){return this._ensureActual().then(void 0,I)}finally(I){return this._ensureActual().finally(I)}}e.LazyPromise=y}),define(we[96],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class b{constructor(E,n){this.isMain=E,this.sid=n,this.nid=++b.count}}e.ProxyIdentifier=b,b.count=0;const y=[];function A(C){const E=new b(!0,C);return y[E.nid]=E,E}e.createMainContextProxyIdentifier=A;function I(C){const E=new b(!1,C);return y[E.nid]=E,E}e.createExtHostContextProxyIdentifier=I;function S(C){return y[C].sid}e.getStringIdentifierForProxy=S}),define(we[5],Ee([0,1,2,96,57]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.CellKind=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var I;(function(c){c[c.Desktop=1]="Desktop",c[c.Web=2]="Web"})(I=e.UIKind||(e.UIKind={}));var S;(function(c){c[c.Default=0]="Default",c[c.InCenter=1]="InCenter",c[c.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",c[c.AtTop=3]="AtTop"})(S=e.TextEditorRevealType||(e.TextEditorRevealType={}));var C;(function(c){c[c.Editable=0]="Editable",c[c.SupportsHotExit=1]="SupportsHotExit"})(C=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var E;(function(c){c[c.Markdown=1]="Markdown",c[c.Code=2]="Code"})(E=e.CellKind||(e.CellKind={}));var n;(function(c){c[c.Text=1]="Text",c[c.Error=2]="Error",c[c.Rich=3]="Rich"})(n=e.CellOutputKind||(e.CellOutputKind={}));var P;(function(c){c[c.Default=0]="Default",c[c.InCenter=1]="InCenter",c[c.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",c[c.AtTop=3]="AtTop"})(P=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var k;(function(c){c[c.None=0]="None",c[c.Process=1]="Process",c[c.Output=2]="Output"})(k=e.CandidatePortSource||(e.CandidatePortSource={}));var _;(function(c){c.name="$ident";function u(t,r){return Object.defineProperty(t,c.name,{value:r,enumerable:!0}),t}c.mixin=u;function a(t){return t[c.name]}c.of=a})(_=e.ObjectIdentifier||(e.ObjectIdentifier={}));class d{static mixin(u){return u._id=d._n++,u}}e.IdObject=d,d._n=0;var s;(function(c){c.label="a",c.kind="b",c.detail="c",c.documentation="d",c.sortText="e",c.filterText="f",c.preselect="g",c.insertText="h",c.insertTextRules="i",c.range="j",c.commitCharacters="k",c.additionalTextEdits="l",c.command="m",c.kindModifier="n",c.label2="o"})(s=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var f;(function(c){c.defaultRanges="a",c.completions="b",c.isIncomplete="c",c.duration="d"})(f=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var v;(function(c){c[c.File=1]="File",c[c.Text=2]="Text",c[c.Cell=3]="Cell"})(v=e.WorkspaceEditType||(e.WorkspaceEditType={}));function m(c){if(c&&c.edits)for(const u of c.edits)typeof u.resource=="object"?u.resource=b.URI.revive(u.resource):(u.newUri=b.URI.revive(u.newUri),u.oldUri=b.URI.revive(u.oldUri)),u.metadata&&u.metadata.iconPath&&(u.metadata=(0,A.revive)(u.metadata));return c}e.reviveWorkspaceEditDto=m;var w;(function(c){c[c.Workspace=0]="Workspace",c[c.TextDocument=1]="TextDocument"})(w=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,y.createMainContextProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,y.createMainContextProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,y.createMainContextProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,y.createMainContextProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,y.createMainContextProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,y.createMainContextProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,y.createMainContextProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,y.createMainContextProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,y.createMainContextProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,y.createMainContextProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,y.createMainContextProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,y.createMainContextProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,y.createMainContextProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,y.createMainContextProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,y.createMainContextProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,y.createMainContextProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,y.createMainContextProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,y.createMainContextProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,y.createMainContextProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,y.createMainContextProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,y.createMainContextProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,y.createMainContextProxyIdentifier)("MainThreadLanguages"),MainThreadLog:(0,y.createMainContextProxyIdentifier)("MainThread"),MainThreadMessageService:(0,y.createMainContextProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,y.createMainContextProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,y.createMainContextProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,y.createMainContextProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,y.createMainContextProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,y.createMainContextProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,y.createMainContextProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,y.createMainContextProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,y.createMainContextProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,y.createMainContextProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,y.createMainContextProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,y.createMainContextProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,y.createMainContextProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,y.createMainContextProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,y.createMainContextProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,y.createMainContextProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,y.createMainContextProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,y.createMainContextProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,y.createMainContextProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,y.createMainContextProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,y.createMainContextProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,y.createMainContextProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,y.createMainContextProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,y.createMainContextProxyIdentifier)("MainThreadNotebook"),MainThreadTheming:(0,y.createMainContextProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,y.createMainContextProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,y.createMainContextProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,y.createMainContextProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,y.createExtHostContextProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,y.createExtHostContextProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,y.createExtHostContextProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,y.createExtHostContextProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,y.createExtHostContextProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,y.createExtHostContextProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:(0,y.createExtHostContextProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,y.createExtHostContextProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,y.createExtHostContextProxyIdentifier)("ExtHostExtensionService"),ExtHostLogService:(0,y.createExtHostContextProxyIdentifier)("ExtHostLogService"),ExtHostTerminalService:(0,y.createExtHostContextProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,y.createExtHostContextProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,y.createExtHostContextProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,y.createExtHostContextProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,y.createExtHostContextProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,y.createExtHostContextProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,y.createMainContextProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,y.createMainContextProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,y.createMainContextProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,y.createMainContextProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,y.createExtHostContextProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,y.createExtHostContextProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,y.createMainContextProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,y.createMainContextProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,y.createMainContextProxyIdentifier)("ExtHostNotebook"),ExtHostTheming:(0,y.createMainContextProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,y.createMainContextProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,y.createMainContextProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,y.createMainContextProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,y.createMainContextProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,y.createMainContextProxyIdentifier)("ExtHostTelemetry")}}),define(we[71],Ee([0,1,5,3,4]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class I{constructor(C){this._onDidChangePassword=new y.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=C.getProxy(b.MainContext.MainThreadSecretState)}async $onDidChangePassword(C){this._onDidChangePassword.fire(C)}get(C,E){return this._proxy.$getPassword(C,E)}store(C,E,n){return this._proxy.$setPassword(C,E,n)}delete(C,E){return this._proxy.$deletePassword(C,E)}}e.ExtHostSecretState=I,e.IExtHostSecretState=(0,A.createDecorator)("IExtHostSecretState")}),define(we[72],Ee([0,1,4,19,5,14]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,b.createDecorator)("IExtHostApiDeprecationService");let S=class{constructor(E,n){this._extHostLogService=n,this._reportedUsages=new Set,this._telemetryShape=E.getProxy(A.MainContext.MainThreadTelemetry)}report(E,n,P){const k=this.getUsageKey(E,n);this._reportedUsages.has(k)||(this._reportedUsages.add(k),n.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${E}' is deprecated. ${P}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:n.identifier.value,apiId:E}))}getUsageKey(E,n){return`${E}-${n.identifier.value}`}};S=je([qe(0,I.IExtHostRpcService),qe(1,y.ILogService)],S),e.ExtHostApiDeprecationService=S,e.NullApiDeprecationService=Object.freeze(new class{report(C,E,n){}})}),define(we[183],Ee([0,1,3,5,7,25]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class S{constructor(E){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new b.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new b.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=E.getProxy(y.MainContext.MainThreadAuthentication)}$setProviders(E){return this._providers=E,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(E,n,P,k={}){const _=I.ExtensionIdentifier.toKey(E.identifier),d=this._inFlightRequests.get(_)||[],s=P.sort().join(" ");let f=d.find(v=>v.scopes===s);if(f)return f.result;{const v=this._getSession(E,_,n,P,k);f={scopes:s,result:v},d.push(f),this._inFlightRequests.set(_,d);try{await v}finally{const m=d.findIndex(w=>w.scopes===s);m>-1&&(d.splice(m),this._inFlightRequests.set(_,d))}return v}}async _getSession(E,n,P,k,_={}){await this._proxy.$ensureProvider(P);const d=E.displayName||E.name;return this._proxy.$getSession(P,k,n,d,_)}async removeSession(E,n){const P=this._authenticationProviders.get(E);return P?P.provider.removeSession(n):this._proxy.$removeSession(E,n)}registerAuthenticationProvider(E,n,P,k){var _;if(this._authenticationProviders.get(E))throw new Error(`An authentication provider with id '${E}' is already registered.`);this._authenticationProviders.set(E,{label:n,provider:P,options:k!=null?k:{supportsMultipleAccounts:!1}}),this._providers.find(s=>s.id===E)||this._providers.push({id:E,label:n});const d=P.onDidChangeSessions(s=>{var f,v,m;this._proxy.$sendDidChangeSessions(E,{added:(f=s.added)!==null&&f!==void 0?f:[],changed:(v=s.changed)!==null&&v!==void 0?v:[],removed:(m=s.removed)!==null&&m!==void 0?m:[]})});return this._proxy.$registerAuthenticationProvider(E,n,(_=k==null?void 0:k.supportsMultipleAccounts)!==null&&_!==void 0?_:!1),new A.Disposable(()=>{d.dispose(),this._authenticationProviders.delete(E);const s=this._providers.findIndex(f=>f.id===E);s>-1&&this._providers.splice(s),this._proxy.$unregisterAuthenticationProvider(E)})}$createSession(E,n){const P=this._authenticationProviders.get(E);if(P)return Promise.resolve(P.provider.createSession(n));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$removeSession(E,n){const P=this._authenticationProviders.get(E);if(P)return Promise.resolve(P.provider.removeSession(n));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$getSessions(E,n){const P=this._authenticationProviders.get(E);if(P)return Promise.resolve(P.provider.getSessions(n));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$onDidChangeAuthenticationSessions(E,n){return this._onDidChangeSessions.fire({provider:{id:E,label:n}}),Promise.resolve()}$onDidChangeAuthenticationProviders(E,n){return E.forEach(P=>{this._providers.some(k=>k.id===P.id)||this._providers.push(P)}),n.forEach(P=>{const k=this._providers.findIndex(_=>_.id===P.id);k>-1&&this._providers.splice(k)}),this._onDidChangeAuthenticationProviders.fire({added:E,removed:n}),Promise.resolve()}}e.ExtHostAuthentication=S}),define(we[184],Ee([0,1,5,14,9]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let I=class{constructor(C,E){this._extHostDocumentsAndEditors=E,this._proxy=C.getProxy(b.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(C){const E=A.WorkspaceEdit.from(C,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(E)}};I=je([qe(0,y.IExtHostRpcService)],I),e.ExtHostBulkEdits=I}),define(we[185],Ee([0,1,5]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class y{constructor(I){const S=I.getProxy(b.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return S.$readText()},writeText(C){return S.$writeText(C)}})}}e.ExtHostClipboard=y}),define(we[73],Ee([0,1,12,7,9,23,5,15,19,57,33,39,2,6,4,14]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let v=class{constructor(t,r){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(S.MainContext.MainThreadCommands),this._logService=r,this.converter=new m(this,o=>{const l=this._apiCommands.get(o);return(l==null?void 0:l.result)===c.Void?l:void 0},r),this._argumentProcessors=[{processArgument(o){return(0,n.revive)(o)}},{processArgument(o){return(0,I.cloneAndChange)(o,function(l){if(P.Range.isIRange(l))return A.Range.to(l);if(k.Position.isIPosition(l))return A.Position.to(l);if(P.Range.isIRange(l.range)&&_.URI.isUri(l.uri))return A.location.to(l);if(!Array.isArray(l))return l})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const r=this.registerCommand(!1,t.id,async(...o)=>{const l=t.args.map((h,D)=>{if(!h.validate(o[D]))throw new Error(`Invalid argument '${h.name}' when running '${t.id}', received: ${o[D]}`);return h.convert(o[D])}),i=await this.executeCommand(t.internalId,...l);return t.result.convert(i,o,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new y.Disposable(()=>{r.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,r,o,l,i){if(this._logService.trace("ExtHostCommands#registerCommand",r),!r.trim().length)throw new Error("invalid id");if(this._commands.has(r))throw new Error(`command '${r}' already exists`);return this._commands.set(r,{callback:o,thisArg:l,description:i}),t&&this._proxy.$registerCommand(r),new y.Disposable(()=>{this._commands.delete(r)&&t&&this._proxy.$unregisterCommand(r)})}executeCommand(t,...r){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,r,!0)}async _doExecuteCommand(t,r,o){if(this._commands.has(t))return this._executeContributedCommand(t,r);{const l=(0,I.cloneAndChange)(r,function(i){if(i instanceof y.Position)return A.Position.from(i);if(i instanceof y.Range)return A.Range.from(i);if(i instanceof y.Location)return A.location.from(i);if(!Array.isArray(i))return i});try{const i=await this._proxy.$executeCommand(t,l,o);return(0,n.revive)(i)}catch(i){if(i instanceof Error&&i.message==="$executeCommand:retry")return this._doExecuteCommand(t,r,!1);throw i}}}async _executeContributedCommand(t,r){const o=this._commands.get(t);if(!o)throw new Error("Unknown command");let{callback:l,thisArg:i,description:h}=o;if(h)for(let D=0;D<h.args.length;D++)try{(0,b.validateConstraint)(r[D],h.args[D].constraint)}catch(R){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${h.args[D].name}' - ${h.args[D].description}`)}try{return await l.apply(i,r)}catch(D){if(t===this.converter.delegatingCommandId){const R=this.converter.getActualCommand(...r);R&&(t=R.command)}throw this._logService.error(D,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...r){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(r=r.map(o=>this._argumentProcessors.reduce((l,i)=>i.processArgument(l),o)),this._executeContributedCommand(t,r)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(r=>(t&&(r=r.filter(o=>o[0]!=="_")),r))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[r,o]of this._commands){let{description:l}=o;l&&(t[r]=l)}return Promise.resolve(t)}};v=je([qe(0,f.IExtHostRpcService),qe(1,E.ILogService)],v),e.ExtHostCommands=v,e.IExtHostCommands=(0,s.createDecorator)("IExtHostCommands");class m{constructor(t,r,o){this._commands=t,this._lookupApiCommand=r,this._logService=o,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,r){if(!!t){const o={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return o;const l=this._lookupApiCommand(t.command);if(l)o.id=l.internalId,o.arguments=l.args.map((i,h)=>i.convert(t.arguments&&t.arguments[h]));else if((0,C.isNonEmptyArray)(t.arguments)){const i=++this._cachIdPool;this._cache.set(i,t),r.add((0,d.toDisposable)(()=>{this._cache.delete(i),this._logService.trace("CommandsConverter#DISPOSE",i)})),o.$ident=i,o.id=this.delegatingCommandId,o.arguments=[i],this._logService.trace("CommandsConverter#CREATE",t.command,i)}return o}}fromInternal(t){const r=S.ObjectIdentifier.of(t);return typeof r=="number"?this._cache.get(r):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const r=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],r?r.command:"MISSING"),r?this._commands.executeCommand(r.command,...r.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=m;class w{constructor(t,r,o,l){this.name=t,this.description=r,this.validate=o,this.convert=l}optional(){return new w(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,r){return new w(t!=null?t:this.name,r!=null?r:this.description,this.validate,this.convert)}}e.ApiCommandArgument=w,w.Uri=new w("uri","Uri of a text document",a=>_.URI.isUri(a),a=>a),w.Position=new w("position","A position in a text document",a=>y.Position.isPosition(a),A.Position.from),w.Range=new w("range","A range in a text document",a=>y.Range.isRange(a),A.Range.from),w.Selection=new w("selection","A selection in a text document",a=>y.Selection.isSelection(a),A.Selection.from),w.Number=new w("number","",a=>typeof a=="number",a=>a),w.String=new w("string","",a=>typeof a=="string",a=>a),w.CallHierarchyItem=new w("item","A call hierarchy item",a=>a instanceof y.CallHierarchyItem,A.CallHierarchyItem.to);class c{constructor(t,r){this.description=t,this.convert=r}}e.ApiCommandResult=c,c.Void=new c("no result",a=>a);class u{constructor(t,r,o,l,i){this.id=t,this.internalId=r,this.description=o,this.args=l,this.result=i}}e.ApiCommand=u}),define(we[186],Ee([0,1,6,9,7,62,73,163,15,84]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const P=[new S.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",_(y.DocumentHighlight.to))),new S.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[S.ApiCommandArgument.Uri],new S.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",(s,f)=>{if(!(0,E.isFalsyOrEmpty)(s)){class v extends A.SymbolInformation{static to(w){const c=new v(w.name,y.SymbolKind.to(w.kind),w.containerName||"",new A.Location(f[0],y.Range.to(w.range)));return c.detail=w.detail,c.range=c.location.range,c.selectionRange=y.Range.to(w.selectionRange),c.children=w.children?w.children.map(v.to):[],c}}return s.map(v.to)}})),new S.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[S.ApiCommandArgument.Uri,new S.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new S.ApiCommandResult("A promise that resolves to an array of TextEdits.",_(y.TextEdit.to))),new S.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Range,new S.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new S.ApiCommandResult("A promise that resolves to an array of TextEdits.",_(y.TextEdit.to))),new S.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position,new S.ApiCommandArgument("ch","Trigger character",s=>typeof s=="string",s=>s),new S.ApiCommandArgument("options","Formatting options",s=>!0,s=>s)],new S.ApiCommandResult("A promise that resolves to an array of TextEdits.",_(y.TextEdit.to))),new S.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new S.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new S.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new S.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",d)),new S.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A promise that resolves to an array of Location-instances.",_(y.location.to))),new S.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A promise that resolves to an array of Hover-instances.",_(y.Hover.to))),new S.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[S.ApiCommandArgument.Uri,new S.ApiCommandArgument("position","A position in a text document",s=>Array.isArray(s)&&s.every(f=>A.Position.isPosition(f)),s=>s.map(y.Position.from))],new S.ApiCommandResult("A promise that resolves to an array of ranges.",s=>s.map(f=>{let v;for(const m of f.reverse())v=new A.SelectionRange(y.Range.to(m),v);return v}))),new S.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[S.ApiCommandArgument.String.with("query","Search string")],new S.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",s=>{const f=[];if(Array.isArray(s))for(let v of s)f.push(...v[1].map(y.WorkspaceSymbol.to));return f})),new S.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position],new S.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(y.CallHierarchyItem.to))),new S.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[S.ApiCommandArgument.CallHierarchyItem],new S.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(y.CallHierarchyIncomingCall.to))),new S.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[S.ApiCommandArgument.CallHierarchyItem],new S.ApiCommandResult("A CallHierarchyItem or undefined",s=>s.map(y.CallHierarchyOutgoingCall.to))),new S.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position,S.ApiCommandArgument.String.with("newName","The new symbol name")],new S.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",s=>{if(!!s){if(s.rejectReason)throw new Error(s.rejectReason);return y.WorkspaceEdit.to(s)}})),new S.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new S.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",s=>s.map(y.DocumentLink.to))),new S.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[S.ApiCommandArgument.Uri],new S.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",s=>{if(!!s)return new A.SemanticTokensLegend(s.tokenTypes,s.tokenModifiers)})),new S.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[S.ApiCommandArgument.Uri],new S.ApiCommandResult("A promise that resolves to SemanticTokens.",s=>{if(!!s){const f=(0,n.decodeSemanticTokensDto)(s);if(f.type==="full")return new A.SemanticTokens(f.data,void 0)}})),new S.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[S.ApiCommandArgument.Uri],new S.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",s=>{if(!!s)return new A.SemanticTokensLegend(s.tokenTypes,s.tokenModifiers)})),new S.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Range],new S.ApiCommandResult("A promise that resolves to SemanticTokens.",s=>{if(!!s){const f=(0,n.decodeSemanticTokensDto)(s);if(f.type==="full")return new A.SemanticTokens(f.data,void 0)}})),new S.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position,S.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),S.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new S.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(s,f,v)=>{if(!s)return new A.CompletionList([]);const m=s.suggestions.map(w=>y.CompletionItem.to(w,v));return new A.CompletionList(m,s.incomplete)})),new S.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Position,S.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new S.ApiCommandResult("A promise that resolves to SignatureHelp.",s=>{if(s)return y.SignatureHelp.to(s)})),new S.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new S.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(s,f,v)=>_(m=>new A.CodeLens(y.Range.to(m.range),m.command&&v.fromInternal(m.command)))(s))),new S.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[S.ApiCommandArgument.Uri,new S.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",s=>A.Range.isRange(s),s=>A.Selection.isSelection(s)?y.Selection.from(s):y.Range.from(s)),S.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),S.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new S.ApiCommandResult("A promise that resolves to an array of Command-instances.",(s,f,v)=>_(m=>{if(m._isSynthetic){if(!m.command)throw new Error("Synthetic code actions must have a command");return v.fromInternal(m.command)}else{const w=new A.CodeAction(m.title,m.kind?new A.CodeActionKind(m.kind):void 0);return m.edit&&(w.edit=y.WorkspaceEdit.to(m.edit)),m.command&&(w.command=v.fromInternal(m.command)),w.isPreferred=m.isPreferred,w}})(s))),new S.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[S.ApiCommandArgument.Uri],new S.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",s=>s?s.map(f=>new A.ColorInformation(y.Range.to(f.range),y.Color.to(f.color))):[])),new S.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new S.ApiCommandArgument("color","The color to show and insert",s=>s instanceof A.Color,y.Color.from),new S.ApiCommandArgument("context","Context object with uri and range",s=>!0,s=>({uri:s.uri,range:y.Range.from(s.range)}))],new S.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",s=>s?s.map(y.ColorPresentation.to):[])),new S.ApiCommand("vscode.executeInlineHintProvider","_executeInlineHintProvider","Execute inline hints provider",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Range],new S.ApiCommandResult("A promise that resolves to an array of InlineHint objects",s=>s.map(y.InlineHint.to))),new S.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new S.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",_(s=>({viewType:s.viewType,displayName:s.displayName,options:{transientOutputs:s.options.transientOutputs,transientMetadata:s.options.transientMetadata},filenamePattern:s.filenamePattern.map(f=>y.NotebookExclusiveDocumentPattern.to(f))})))),new S.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[S.ApiCommandArgument.Uri,S.ApiCommandArgument.Range],new S.ApiCommandResult("A promise that resolves to an array of InlineValue objects",s=>s.map(y.InlineValue.to))),new S.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[S.ApiCommandArgument.Uri,new S.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="number"||typeof s=="object",s=>s&&(typeof s=="number"?[s,void 0]:[y.ViewColumn.from(s.viewColumn),y.TextEditorOpenOptions.from(s)])).optional(),S.ApiCommandArgument.String.with("label","").optional()],S.ApiCommandResult.Void),new S.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[S.ApiCommandArgument.Uri.with("resource","Resource to open"),S.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new S.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="number"||typeof s=="object",s=>s&&(typeof s=="number"?[s,void 0]:[y.ViewColumn.from(s.viewColumn),y.TextEditorOpenOptions.from(s)])).optional()],S.ApiCommandResult.Void),new S.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[S.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),S.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),S.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new S.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",s=>s===void 0||typeof s=="object",s=>s&&[y.ViewColumn.from(s.viewColumn),y.TextEditorOpenOptions.from(s)]).optional()],S.ApiCommandResult.Void)];class k{constructor(f){this._disposables=new b.DisposableStore,this._commands=f}static register(f){return P.forEach(f.registerApiCommand,f),new k(f).registerCommands()}registerCommands(){const f=v=>(...m)=>v(this._commands,...m);this._register(C.RemoveFromRecentlyOpenedAPICommand.ID,f(C.RemoveFromRecentlyOpenedAPICommand.execute),{description:"Removes an entry with the given path from the recently opened list.",args:[{name:"path",description:"Path to remove from recently opened.",constraint:v=>typeof v=="string"}]}),this._register(C.OpenIssueReporter.ID,f(C.OpenIssueReporter.execute),{description:"Opens the issue reporter with the provided extension id as the selected source",args:[{name:"extensionId",description:"extensionId to report an issue on",constraint:v=>typeof v=="string"||typeof v=="object"&&typeof v.extensionId=="string"}]})}_register(f,v,m){const w=this._commands.registerCommand(!1,f,v,this,m);this._disposables.add(w)}}e.ExtHostApiCommands=k;function _(s){return f=>{if(Array.isArray(f))return f.map(s)}}function d(s){if(!!Array.isArray(s)){const f=[];for(const v of s)I.isLocationLink(v)?f.push(y.DefinitionLink.to(v)):f.push(y.location.to(v));return f}}}),define(we[187],Ee([0,1,13,44,3,6,2,62,25,9,7,5]),function(oe,e,b,y,A,I,S,C,E,n,P,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class _{constructor(u,a,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=u.getProxy(k.MainContext.MainThreadComments),a.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===6){const o=this._commentControllers.get(r.handle);return o||r}else if(r&&r.$mid===7){const o=this._commentControllers.get(r.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.commentThreadHandle);return l||r}else if(r&&r.$mid===8){const o=this._commentControllers.get(r.thread.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.thread.commentThreadHandle);return l?{thread:l,text:r.text}:r}else if(r&&r.$mid===9){const o=this._commentControllers.get(r.thread.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.thread.commentThreadHandle);if(!l)return r;let i=r.commentUniqueId,h=l.getCommentByUniqueId(i);return h||r}else if(r&&r.$mid===10){const o=this._commentControllers.get(r.thread.commentControlHandle);if(!o)return r;const l=o.getCommentThread(r.thread.commentThreadHandle);if(!l)return r;let i=r.text,h=r.commentUniqueId,D=l.getCommentByUniqueId(h);return D?(D.body=i,D):r}return r}})}createCommentController(u,a,t){const r=_.handlePool++,o=new s(u,r,this._proxy,a,t);this._commentControllers.set(o.handle,o);const l=this._commentControllersByExtension.get(E.ExtensionIdentifier.toKey(u.identifier))||[];return l.push(o),this._commentControllersByExtension.set(E.ExtensionIdentifier.toKey(u.identifier),l),o}$createCommentThreadTemplate(u,a,t){const r=this._commentControllers.get(u);!r||r.$createCommentThreadTemplate(a,t)}async $updateCommentThreadTemplate(u,a,t){const r=this._commentControllers.get(u);!r||r.$updateCommentThreadTemplate(a,t)}$deleteCommentThread(u,a){const t=this._commentControllers.get(u);t&&t.$deleteCommentThread(a)}$provideCommentingRanges(u,a,t){const r=this._commentControllers.get(u);if(!r||!r.commentingRangeProvider)return Promise.resolve(void 0);const o=this._documents.getDocument(S.URI.revive(a));return(0,b.asPromise)(()=>r.commentingRangeProvider.provideCommentingRanges(o,t)).then(l=>l?l.map(i=>n.Range.from(i)):void 0)}$toggleReaction(u,a,t,r,o){const l=this._commentControllers.get(u);return!l||!l.reactionHandler?Promise.resolve(void 0):(0,b.asPromise)(()=>{const i=l.getCommentThread(a);if(i){const h=i.getCommentByUniqueId(r.uniqueIdInThread);if(l!==void 0&&h&&l.reactionHandler)return l.reactionHandler(h,m(o))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=_,_.handlePool=0;class d{constructor(u,a,t,r,o,l,i){this._proxy=u,this._commentController=a,this._id=t,this._uri=r,this._range=o,this._comments=l,this.handle=d._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new A.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new I.MutableDisposable,this._acceptInputDisposables.value=new I.DisposableStore,this._id===void 0&&(this._id=`${a.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,n.Range.from(this._range),i),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=l}set threadId(u){this._id=u}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(u){u.isEqual(this._range)||(this._range=u,this.modifications.range=u,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(u){this._canReply!==u&&(this._canReply=u,this.modifications.canReply=u,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(u){this._label=u,this.modifications.label=u,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(u){this._contextValue=u,this.modifications.contextValue=u,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(u){this._comments=u,this.modifications.comments=u,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(u){this._collapseState=u,this.modifications.collapsibleState=u,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(!this._isDiposed){this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new I.DisposableStore);const u=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),a={};u("range")&&(a.range=n.Range.from(this._range)),u("label")&&(a.label=this.label),u("contextValue")&&(a.contextValue=this.contextValue),u("comments")&&(a.comments=this._comments.map(t=>f(this,this._commentController,t,this._commentsMap))),u("collapsibleState")&&(a.collapseState=w(this._collapseState)),u("canReply")&&(a.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,a)}}getCommentByUniqueId(u){for(let a of this._commentsMap){let t=a[0],r=a[1];if(u===r)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(u=>u.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}d._handlePool=0,je([(0,y.debounce)(100)],d.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=d;class s{constructor(u,a,t,r,o){this._extension=u,this._handle=a,this._proxy=t,this._id=r,this._label=o,this._threads=new Map,this._proxy.$registerCommentController(this.handle,r,o)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(u){this._reactionHandler=u,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!u})}get options(){return this._options}set options(u){this._options=u,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(u,a,t,r){if(typeof u=="string"){const o=new d(this._proxy,this,u,a,t,r,this._extension.identifier);return this._threads.set(o.handle,o),o}else{const o=new d(this._proxy,this,void 0,u,a,t,this._extension.identifier);return this._threads.set(o.handle,o),o}}$createCommentThreadTemplate(u,a){const t=new d(this._proxy,this,void 0,S.URI.revive(u),n.Range.to(a),[],this._extension.identifier);return t.collapsibleState=C.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(u,a){let t=this._threads.get(u);t&&(t.range=n.Range.to(a))}$deleteCommentThread(u){let a=this._threads.get(u);a&&a.dispose(),this._threads.delete(u)}getCommentThread(u){return this._threads.get(u)}dispose(){this._threads.forEach(u=>{u.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function f(c,u,a,t){let r=t.get(a);r||(r=++c.commentHandle,t.set(a,r));const o=a.author&&a.author.iconPath?a.author.iconPath.toString():void 0;return{mode:a.mode,contextValue:a.contextValue,uniqueIdInThread:r,body:n.MarkdownString.from(a.body),userName:a.author.name,userIconPath:o,label:a.label,commentReactions:a.reactions?a.reactions.map(l=>v(l)):void 0}}function v(c){return{label:c.label,iconPath:c.iconPath?n.pathOrURIToURI(c.iconPath):void 0,count:c.count,hasReacted:c.authorHasReacted}}function m(c){return{label:c.label||"",count:c.count||0,iconPath:c.iconPath?S.URI.revive(c.iconPath):"",authorHasReacted:c.hasReacted||!1}}function w(c){if(c!==void 0)switch(c){case P.CommentThreadCollapsibleState.Expanded:return C.CommentThreadCollapsibleState.Expanded;case P.CommentThreadCollapsibleState.Collapsed:return C.CommentThreadCollapsibleState.Collapsed}return C.CommentThreadCollapsibleState.Collapsed}}),define(we[97],Ee([0,1,2,5,7,4,14,19,15,8,11]),function(oe,e,b,y,A,I,S,C,E,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let k=class on{constructor(d,s){this._logService=s,this._provider=new Map,this._proxy=d.getProxy(y.MainContext.MainThreadDecorations)}registerFileDecorationProvider(d,s){const f=on._handlePool++;this._provider.set(f,{provider:d,extensionId:s}),this._proxy.$registerDecorationProvider(f,s.value);const v=d.onDidChangeFileDecorations&&d.onDidChangeFileDecorations(m=>{if(!m){this._proxy.$onDidChange(f,null);return}let w=(0,E.asArray)(m);if(w.length<=on._maxEventSize){this._proxy.$onDidChange(f,w);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",s.value,w.length);const c=w.map(t=>({uri:t,rank:(0,n.count)(t.path,"/")})),u=(0,E.groupBy)(c,(t,r)=>t.rank-r.rank||(0,n.compare)(t.uri.path,r.uri.path));let a=[];e:for(let t of u){let r;for(let o of t){let l=(0,P.dirname)(o.uri.path);if(r!==l&&(r=l,a.push(o.uri)>=on._maxEventSize))break e}}this._proxy.$onDidChange(f,a)});return new A.Disposable(()=>{v==null||v.dispose(),this._proxy.$unregisterDecorationProvider(f),this._provider.delete(f)})}async $provideDecorations(d,s,f){if(!this._provider.has(d))return Object.create(null);const v=Object.create(null),{provider:m,extensionId:w}=this._provider.get(d);return await Promise.all(s.map(async c=>{try{const{uri:u,id:a}=c,t=await Promise.resolve(m.provideFileDecoration(b.URI.revive(u),f));if(!t)return;try{A.FileDecoration.validate(t),v[a]=[t.propagate,t.tooltip,t.badge,t.color]}catch(r){this._logService.warn(`INVALID decoration from extension '${w.value}': ${r}`)}}catch(u){this._logService.error(u)}})),v}};k._handlePool=0,k._maxEventSize=250,k=je([qe(0,S.IExtHostRpcService),qe(1,C.ILogService)],k),e.ExtHostDecorations=k,e.IExtHostDecorations=(0,I.createDecorator)("IExtHostDecorations")}),define(we[188],Ee([0,1,127,87,2,5,7,9,3,19,22]),function(oe,e,b,y,A,I,S,C,E,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class k{constructor(s,f,v,m,w){this._name=s,this._owner=f,this._maxDiagnosticsPerFile=v,this._proxy=m,this._onDidChangeDiagnostics=w,this._isDisposed=!1,this._data=new P.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(s,f){if(!s){this.clear();return}this._checkDisposed();let v=[];if(A.URI.isUri(s)){if(!f){this.delete(s);return}this._data.set(s,f.slice()),v=[s]}else if(Array.isArray(s)){v=[];let w;s=[...s].sort(k._compareIndexedTuplesByUri);for(const c of s){const[u,a]=c;if((!w||u.toString()!==w.toString())&&(w&&this._data.get(w).length===0&&this._data.delete(w),w=u,v.push(u),this._data.set(u,[])),a){const t=this._data.get(u);t&&t.push(...a)}else{const t=this._data.get(u);t&&(t.length=0)}}}if(this._onDidChangeDiagnostics.fire(v),!!this._proxy){const m=[];for(let w of v){let c=[];const u=this._data.get(w);if(u)if(u.length>this._maxDiagnosticsPerFile){c=[];const a=[S.DiagnosticSeverity.Error,S.DiagnosticSeverity.Warning,S.DiagnosticSeverity.Information,S.DiagnosticSeverity.Hint];e:for(let t=0;t<4;t++)for(let r of u)if(r.severity===a[t]&&c.push(C.Diagnostic.from(r))===this._maxDiagnosticsPerFile)break e;c.push({severity:y.MarkerSeverity.Info,message:(0,b.localize)(0,null,u.length-this._maxDiagnosticsPerFile),startLineNumber:c[c.length-1].startLineNumber,startColumn:c[c.length-1].startColumn,endLineNumber:c[c.length-1].endLineNumber,endColumn:c[c.length-1].endColumn})}else c=u.map(a=>C.Diagnostic.from(a));m.push([w,c])}this._proxy.$changeMany(this._owner,m)}}delete(s){this._checkDisposed(),this._onDidChangeDiagnostics.fire([s]),this._data.delete(s),this._proxy&&this._proxy.$changeMany(this._owner,[[s,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(s,f){this._checkDisposed();for(let v of this._data.keys())s.apply(f,[v,this.get(v),this])}get(s){this._checkDisposed();const f=this._data.get(s);return Array.isArray(f)?Object.freeze(f.slice(0)):[]}has(s){return this._checkDisposed(),Array.isArray(this._data.get(s))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(s,f){return s[0].toString()<f[0].toString()?-1:s[0].toString()>f[0].toString()?1:0}}e.DiagnosticCollection=k;let _=class Nt{constructor(s,f){this._logService=f,this._collections=new Map,this._onDidChangeDiagnostics=new E.Emitter,this.onDidChangeDiagnostics=E.Event.map(E.Event.debounce(this._onDidChangeDiagnostics.event,Nt._debouncer,50),Nt._mapper),this._proxy=s.getProxy(I.MainContext.MainThreadDiagnostics)}static _debouncer(s,f){return s?s.concat(f):f}static _mapper(s){const f=[],v=new Set;for(const m of s)typeof m=="string"?v.has(m)||(v.add(m),f.push(A.URI.parse(m))):v.has(m.toString())||(v.add(m.toString()),f.push(m));return Object.freeze(f),{uris:f}}createDiagnosticCollection(s,f){const{_collections:v,_proxy:m,_onDidChangeDiagnostics:w,_logService:c}=this,u=new class{$changeMany(r,o){m.$changeMany(r,o),c.trace("[DiagnosticCollection] change many (extension, owner, uris)",s.value,r,o.length===0?"CLEARING":o)}$clear(r){m.$clear(r),c.trace("[DiagnosticCollection] remove all (extension, owner)",s.value,r)}dispose(){m.dispose()}};let a;if(!f)f="_generated_diagnostic_collection_name_#"+Nt._idPool++,a=f;else if(!v.has(f))a=f;else{this._logService.warn(`DiagnosticCollection with name '${f}' does already exist.`);do a=f+Nt._idPool++;while(v.has(a))}return new class extends k{constructor(){super(f,a,Nt._maxDiagnosticsPerFile,u,w);v.set(a,this)}dispose(){super.dispose(),v.delete(a)}}}getDiagnostics(s){if(s)return this._getDiagnostics(s);{const f=new Map,v=[];for(const m of this._collections.values())m.forEach((w,c)=>{let u=f.get(w.toString());typeof u=="undefined"&&(u=v.length,f.set(w.toString(),u),v.push([w,[]])),v[u][1]=v[u][1].concat(...c)});return v}}_getDiagnostics(s){let f=[];for(let v of this._collections.values())v.has(s)&&(f=f.concat(v.get(s)));return f}$acceptMarkersChange(s){if(!this._mirrorCollection){const f="_generated_mirror",v=new k(f,f,Nt._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(f,v),this._mirrorCollection=v}for(const[f,v]of s)this._mirrorCollection.set(A.URI.revive(f),v.map(C.Diagnostic.to))}};_._idPool=0,_._maxDiagnosticsPerFile=1e3,_=je([qe(1,n.ILogService)],_),e.ExtHostDiagnostics=_}),define(we[189],Ee([0,1,2,5]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class A{constructor(S){this._proxy=S.getProxy(y.MainContext.MainThreadDialogs)}showOpenDialog(S){return this._proxy.$showOpenDialog(S).then(C=>C?C.map(E=>b.URI.revive(E)):void 0)}showSaveDialog(S){return this._proxy.$showSaveDialog(S).then(C=>C?b.URI.revive(C):void 0)}}e.ExtHostDialogs=A}),define(we[190],Ee([0,1,10,2,7,5,16,20,8]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class n{constructor(k,_,d){this._documentsAndEditors=_,this._logService=d,this._documentContentProviders=new Map,this._proxy=k.getProxy(I.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(k,_){if(Object.keys(S.Schemas).indexOf(k)>=0)throw new Error(`scheme '${k}' already registered`);const d=n._handlePool++;this._documentContentProviders.set(d,_),this._proxy.$registerTextContentProvider(d,k);let s;return typeof _.onDidChange=="function"&&(s=_.onDidChange(f=>{if(f.scheme!==k){this._logService.warn(`Provider for scheme '${k}' is firing event for schema '${f.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(f)&&this.$provideTextDocumentContent(d,f).then(v=>{if(!(!v&&typeof v!="string")){const m=this._documentsAndEditors.getDocument(f);if(!!m){const w=(0,E.splitLines)(v);if(!m.equalLines(w))return this._proxy.$onVirtualDocumentChange(f,v)}}},b.onUnexpectedError)})),new A.Disposable(()=>{this._documentContentProviders.delete(d)&&this._proxy.$unregisterTextContentProvider(d),s&&(s.dispose(),s=void 0)})}$provideTextDocumentContent(k,_){const d=this._documentContentProviders.get(k);return d?Promise.resolve(d.provideTextDocumentContent(y.URI.revive(_),C.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${_.scheme}`))}}e.ExtHostDocumentContentProvider=n,n._handlePool=0}),define(we[191],Ee([0,1,3,6,2,5,94,9,12,23]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class P{constructor(_,d){this._onDidAddDocument=new b.Emitter,this._onDidRemoveDocument=new b.Emitter,this._onDidChangeDocument=new b.Emitter,this._onDidSaveDocument=new b.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new y.DisposableStore,this._documentLoader=new Map,this._proxy=_.getProxy(I.MainContext.MainThreadDocuments),this._documentsAndEditors=d,this._documentsAndEditors.onDidRemoveDocuments(s=>{for(const f of s)this._onDidRemoveDocument.fire(f.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(s=>{for(const f of s)this._onDidAddDocument.fire(f.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(_){if(!!_){const d=this._documentsAndEditors.getDocument(_);if(d)return d}}getDocument(_){const d=this.getDocumentData(_);if(!(d==null?void 0:d.document))throw new Error(`Unable to retrieve document from URI '${_}'`);return d.document}ensureDocumentData(_){const d=this._documentsAndEditors.getDocument(_);if(d)return Promise.resolve(d);let s=this._documentLoader.get(_.toString());return s||(s=this._proxy.$tryOpenDocument(_).then(f=>{this._documentLoader.delete(_.toString());const v=A.URI.revive(f);return(0,E.assertIsDefined)(this._documentsAndEditors.getDocument(v))},f=>(this._documentLoader.delete(_.toString()),Promise.reject(f))),this._documentLoader.set(_.toString(),s)),s}createDocumentData(_){return this._proxy.$tryCreateDocument(_).then(d=>A.URI.revive(d))}$acceptModelModeChanged(_,d){const s=A.URI.revive(_),f=this._documentsAndEditors.getDocument(s);if(!f)throw new Error("unknown document");this._onDidRemoveDocument.fire(f.document),f._acceptLanguageId(d),this._onDidAddDocument.fire(f.document)}$acceptModelSaved(_){const d=A.URI.revive(_),s=this._documentsAndEditors.getDocument(d);if(!s)throw new Error("unknown document");this.$acceptDirtyStateChanged(_,!1),this._onDidSaveDocument.fire(s.document)}$acceptDirtyStateChanged(_,d){const s=A.URI.revive(_),f=this._documentsAndEditors.getDocument(s);if(!f)throw new Error("unknown document");f._acceptIsDirty(d),this._onDidChangeDocument.fire({document:f.document,contentChanges:[]})}$acceptModelChanged(_,d,s){const f=A.URI.revive(_),v=this._documentsAndEditors.getDocument(f);if(!v)throw new Error("unknown document");v._acceptIsDirty(s),v.onEvents(d),this._onDidChangeDocument.fire((0,n.deepFreeze)({document:v.document,contentChanges:d.changes.map(m=>({range:C.Range.to(m.range),rangeOffset:m.rangeOffset,rangeLength:m.rangeLength,text:m.text}))}))}setWordDefinitionFor(_,d){(0,S.setWordDefinitionFor)(_,d)}}e.ExtHostDocuments=P}),define(we[40],Ee([0,1,43,3,6,2,4,5,94,14,95,9,19,22,16,53,105]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class m{constructor(u){this.value=u,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let w=class{constructor(u,a){this._extHostRpc=u,this._logService=a,this._activeEditorId=null,this._editors=new Map,this._documents=new d.ResourceMap,this._onDidAddDocuments=new y.Emitter,this._onDidRemoveDocuments=new y.Emitter,this._onDidChangeVisibleTextEditors=new y.Emitter,this._onDidChangeActiveTextEditor=new y.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(u){this.acceptDocumentsAndEditorsDelta(u)}acceptDocumentsAndEditorsDelta(u){const a=[],t=[],r=[];if(u.removedDocuments)for(const o of u.removedDocuments){const l=I.URI.revive(o),i=this._documents.get(l);(i==null?void 0:i.unref())&&(this._documents.delete(l),a.push(i.value))}if(u.addedDocuments)for(const o of u.addedDocuments){const l=I.URI.revive(o.uri);let i=this._documents.get(l);if(i&&l.scheme!==s.Schemas.vscodeNotebookCell)throw new Error(`document '${l} already exists!'`);i||(i=new m(new E.ExtHostDocumentData(this._extHostRpc.getProxy(C.MainContext.MainThreadDocuments),l,o.lines,o.EOL,o.versionId,o.modeId,o.isDirty,o.notebook)),this._documents.set(l,i),t.push(i.value)),i.ref()}if(u.removedEditors)for(const o of u.removedEditors){const l=this._editors.get(o);this._editors.delete(o),l&&r.push(l)}if(u.addedEditors)for(const o of u.addedEditors){const l=I.URI.revive(o.documentUri);b.ok(this._documents.has(l),`document '${l}' does not exist`),b.ok(!this._editors.has(o.id),`editor '${o.id}' already exists!`);const i=this._documents.get(l).value,h=new P.ExtHostTextEditor(o.id,this._extHostRpc.getProxy(C.MainContext.MainThreadTextEditors),this._logService,new v.Lazy(()=>i.document),o.selections.map(k.Selection.to),o.options,o.visibleRanges.map(D=>k.Range.to(D)),typeof o.editorPosition=="number"?k.ViewColumn.to(o.editorPosition):void 0);this._editors.set(o.id,h)}u.newActiveEditor!==void 0&&(b.ok(u.newActiveEditor===null||this._editors.has(u.newActiveEditor),`active editor '${u.newActiveEditor}' does not exist`),this._activeEditorId=u.newActiveEditor),(0,A.dispose)(a),(0,A.dispose)(r),u.removedDocuments&&this._onDidRemoveDocuments.fire(a),u.addedDocuments&&this._onDidAddDocuments.fire(t),(u.removedEditors||u.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(o=>o.value)),u.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(u){var a;return(a=this._documents.get(u))===null||a===void 0?void 0:a.value}allDocuments(){return f.Iterable.map(this._documents.values(),u=>u.value)}getEditor(u){return this._editors.get(u)}activeEditor(u){if(!!this._activeEditorId){const a=this._editors.get(this._activeEditorId);return u?a:a==null?void 0:a.value}}allEditors(){return[...this._editors.values()]}};w=je([qe(0,n.IExtHostRpcService),qe(1,_.ILogService)],w),e.ExtHostDocumentsAndEditors=w,e.IExtHostDocumentsAndEditors=(0,S.createDecorator)("IExtHostDocumentsAndEditors")}),define(we[192],Ee([0,1,2,5,6,7,9,115,8,26]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class P{constructor(){this._schemes=[]}add(d){this._stateMachine=void 0,this._schemes.push(d)}delete(d){const s=this._schemes.indexOf(d);s>=0&&(this._schemes.splice(s,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const d=this._schemes.sort(),s=[];let f,v,m=14,w=14;for(const c of d){let u=f?(0,E.commonPrefixLength)(f,c):0;for(u===0?v=1:v=w;u<c.length;u++)u+1===c.length?(m=w,w=9):w+=1,s.push([v,c.toUpperCase().charCodeAt(u),w]),s.push([v,c.toLowerCase().charCodeAt(u),w]),v=w;f=c,w=m}s.push([9,58,10]),s.push([10,47,12]),this._stateMachine=new C.StateMachine(s)}}provideDocumentLinks(d){this._initStateMachine();const s=[],f=C.LinkComputer.computeLinks({getLineContent(v){return d.lineAt(v-1).text},getLineCount(){return d.lineCount}},this._stateMachine);for(const v of f){const m=S.DocumentLink.to(v);m.target&&s.push(m)}return s}}class k{constructor(d,s){this._extHostLanguageFeatures=s,this._linkProvider=new P,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=d.getProxy(y.MainContext.MainThreadFileSystem)}dispose(){var d;(d=this._linkProviderRegistration)===null||d===void 0||d.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(d,s,f,v={}){if(this._registeredSchemes.has(s))throw new Error(`a provider for the scheme '${s}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const m=this._handlePool++;this._linkProvider.add(s),this._registeredSchemes.add(s),this._fsProvider.set(m,f);let w=2;v.isCaseSensitive&&(w+=1024),v.isReadonly&&(w+=2048),typeof f.copy=="function"&&(w+=8),typeof f.open=="function"&&typeof f.close=="function"&&typeof f.read=="function"&&typeof f.write=="function"&&(w+=4),this._proxy.$registerFileSystemProvider(m,s,w).catch(u=>{console.error(`FAILED to register filesystem provider of ${d.value}-extension for the scheme ${s}`),console.error(u)});const c=f.onDidChangeFile(u=>{const a=[];for(const t of u){let{uri:r,type:o}=t;if(r.scheme===s){let l;switch(o){case I.FileChangeType.Changed:l=0;break;case I.FileChangeType.Created:l=1;break;case I.FileChangeType.Deleted:l=2;break;default:throw new Error("Unknown FileChangeType")}a.push({resource:r,type:l})}}this._proxy.$onFileSystemChange(m,a)});return(0,A.toDisposable)(()=>{c.dispose(),this._linkProvider.delete(s),this._registeredSchemes.delete(s),this._fsProvider.delete(m),this._proxy.$unregisterProvider(m)})}static _asIStat(d){const{type:s,ctime:f,mtime:v,size:m}=d;return{type:s,ctime:f,mtime:v,size:m}}$stat(d,s){return Promise.resolve(this._getFsProvider(d).stat(b.URI.revive(s))).then(k._asIStat)}$readdir(d,s){return Promise.resolve(this._getFsProvider(d).readDirectory(b.URI.revive(s)))}$readFile(d,s){return Promise.resolve(this._getFsProvider(d).readFile(b.URI.revive(s))).then(f=>n.VSBuffer.wrap(f))}$writeFile(d,s,f,v){return Promise.resolve(this._getFsProvider(d).writeFile(b.URI.revive(s),f.buffer,v))}$delete(d,s,f){return Promise.resolve(this._getFsProvider(d).delete(b.URI.revive(s),f))}$rename(d,s,f,v){return Promise.resolve(this._getFsProvider(d).rename(b.URI.revive(s),b.URI.revive(f),v))}$copy(d,s,f,v){const m=this._getFsProvider(d);if(!m.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(m.copy(b.URI.revive(s),b.URI.revive(f),v))}$mkdir(d,s){return Promise.resolve(this._getFsProvider(d).createDirectory(b.URI.revive(s)))}$watch(d,s,f,v){const m=this._getFsProvider(d).watch(b.URI.revive(f),v);this._watches.set(s,m)}$unwatch(d,s){const f=this._watches.get(s);f&&(f.dispose(),this._watches.delete(s))}$open(d,s,f){const v=this._getFsProvider(d);if(!v.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(v.open(b.URI.revive(s),f))}$close(d,s){const f=this._getFsProvider(d);if(!f.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(f.close(s))}$read(d,s,f,v){const m=this._getFsProvider(d);if(!m.read)throw new Error('FileSystemProvider does not implement "read"');const w=n.VSBuffer.alloc(v);return Promise.resolve(m.read(s,f,w.buffer,0,v)).then(c=>w.slice(0,c))}$write(d,s,f,v){const m=this._getFsProvider(d);if(!m.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(m.write(s,f,v.buffer,0,v.byteLength))}_getFsProvider(d){const s=this._fsProvider.get(d);if(!s){const f=new Error;throw f.name="ENOPRO",f.message="no provider",f}return s}}e.ExtHostFileSystem=k}),define(we[74],Ee([0,1,5,64,7,26,4,14,48]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let n=class Tt{constructor(k,_){const d=k.getProxy(b.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(s){return d.$stat(s).catch(Tt._handleError)},readDirectory(s){return d.$readdir(s).catch(Tt._handleError)},createDirectory(s){return d.$mkdir(s).catch(Tt._handleError)},async readFile(s){return d.$readFile(s).then(f=>f.buffer).catch(Tt._handleError)},writeFile(s,f){return d.$writeFile(s,I.VSBuffer.wrap(f)).catch(Tt._handleError)},delete(s,f){return d.$delete(s,Object.assign({recursive:!1,useTrash:!1},f)).catch(Tt._handleError)},rename(s,f,v){return d.$rename(s,f,Object.assign({overwrite:!1},v)).catch(Tt._handleError)},copy(s,f,v){return d.$copy(s,f,Object.assign({overwrite:!1},v)).catch(Tt._handleError)},isWritableFileSystem(s){const f=_.getCapabilities(s);if(typeof f=="number")return!(f&2048)}})}static _handleError(k){if(!(k instanceof Error))throw new A.FileSystemError(String(k));if(k.name==="ENOPRO")throw A.FileSystemError.Unavailable(k.message);switch(k.name){case y.FileSystemProviderErrorCode.FileExists:throw A.FileSystemError.FileExists(k.message);case y.FileSystemProviderErrorCode.FileNotFound:throw A.FileSystemError.FileNotFound(k.message);case y.FileSystemProviderErrorCode.FileNotADirectory:throw A.FileSystemError.FileNotADirectory(k.message);case y.FileSystemProviderErrorCode.FileIsADirectory:throw A.FileSystemError.FileIsADirectory(k.message);case y.FileSystemProviderErrorCode.NoPermissions:throw A.FileSystemError.NoPermissions(k.message);case y.FileSystemProviderErrorCode.Unavailable:throw A.FileSystemError.Unavailable(k.message);default:throw new A.FileSystemError(k.message,k.name)}}};n=je([qe(0,C.IExtHostRpcService),qe(1,E.IExtHostFileSystemInfo)],n),e.ExtHostConsumerFileSystem=n,e.IExtHostConsumerFileSystem=(0,S.createDecorator)("IExtHostConsumerFileSystem")}),define(we[193],Ee([0,1,6,5]),function(oe,e,b,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class A{constructor(S){this._handlePool=0,this._proxy=S.getProxy(y.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(S){const C=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(C,S),(0,b.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(C)})}}e.ExtHostLabelService=A}),define(we[194],Ee([0,1,2,23,9,7,13,5,8,33,15,12,112,6,84,52,92,54,10]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class c{constructor(U,q){this._documents=U,this._provider=q}provideDocumentSymbols(U,q){const J=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideDocumentSymbols(J,q)).then(ae=>{if(!(0,P.isFalsyOrEmpty)(ae))return ae[0]instanceof I.DocumentSymbol?ae.map(A.DocumentSymbol.from):c._asDocumentSymbolTree(ae)})}static _asDocumentSymbolTree(U){var q;U=U.slice(0).sort((ge,De)=>{let Le=ge.location.range.start.compareTo(De.location.range.start);return Le===0&&(Le=De.location.range.end.compareTo(ge.location.range.end)),Le});const J=[],ae=[];for(const ge of U){const De={name:ge.name||"!!MISSING: name!!",kind:A.SymbolKind.from(ge.kind),tags:((q=ge.tags)===null||q===void 0?void 0:q.map(A.SymbolTag.from))||[],detail:"",containerName:ge.containerName,range:A.Range.from(ge.location.range),selectionRange:A.Range.from(ge.location.range),children:[]};for(;;){if(ae.length===0){ae.push(De),J.push(De);break}const Le=ae[ae.length-1];if(n.Range.containsRange(Le.range,De.range)&&!n.Range.equalsRange(Le.range,De.range)){Le.children&&Le.children.push(De),ae.push(De);break}ae.pop()}}return J}}class u{constructor(U,q,J){this._documents=U,this._commands=q,this._provider=J,this._cache=new v.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(U,q){const J=this._documents.getDocument(U),ae=await this._provider.provideCodeLenses(J,q);if(!(!ae||q.isCancellationRequested)){const ge=this._cache.add(ae),De=new d.DisposableStore;this._disposables.set(ge,De);const Le={cacheId:ge,lenses:[]};for(let pe=0;pe<ae.length;pe++)Le.lenses.push({cacheId:[ge,pe],range:A.Range.from(ae[pe].range),command:this._commands.toInternal(ae[pe].command,De)});return Le}}async resolveCodeLens(U,q){var J;const ae=U.cacheId&&this._cache.get(...U.cacheId);if(!!ae){let ge;if(typeof this._provider.resolveCodeLens!="function"||ae.isResolved?ge=ae:ge=await this._provider.resolveCodeLens(ae,q),ge||(ge=ae),!q.isCancellationRequested){const De=U.cacheId&&this._disposables.get(U.cacheId[0]);if(!!De)return U.command=this._commands.toInternal((J=ge.command)!==null&&J!==void 0?J:u._badCmd,De),U}}}releaseCodeLenses(U){var q;(q=this._disposables.get(U))===null||q===void 0||q.dispose(),this._disposables.delete(U),this._cache.delete(U)}}u._badCmd={command:"missing",title:"!!MISSING: command!!"};function a(xe){return Array.isArray(xe)?xe.map(A.DefinitionLink.from):xe?[A.DefinitionLink.from(xe)]:[]}class t{constructor(U,q){this._documents=U,this._provider=q}provideDefinition(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideDefinition(ae,ge,J)).then(a)}}class r{constructor(U,q){this._documents=U,this._provider=q}provideDeclaration(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideDeclaration(ae,ge,J)).then(a)}}class o{constructor(U,q){this._documents=U,this._provider=q}provideImplementation(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideImplementation(ae,ge,J)).then(a)}}class l{constructor(U,q){this._documents=U,this._provider=q}provideTypeDefinition(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideTypeDefinition(ae,ge,J)).then(a)}}class i{constructor(U,q){this._documents=U,this._provider=q}provideHover(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideHover(ae,ge,J)).then(De=>{if(!(!De||(0,P.isFalsyOrEmpty)(De.contents)))return De.range||(De.range=ae.getWordRangeAtPosition(ge)),De.range||(De.range=new I.Range(ge,ge)),A.Hover.from(De)})}}class h{constructor(U,q){this._documents=U,this._provider=q}provideEvaluatableExpression(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideEvaluatableExpression(ae,ge,J)).then(De=>{if(De)return A.EvaluatableExpression.from(De)})}}class D{constructor(U,q){this._documents=U,this._provider=q}provideInlineValues(U,q,J,ae){const ge=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideInlineValues(ge,A.Range.to(q),A.InlineValueContext.to(J),ae)).then(De=>{if(Array.isArray(De))return De.map(Le=>A.InlineValue.from(Le))})}}class R{constructor(U,q){this._documents=U,this._provider=q}provideDocumentHighlights(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideDocumentHighlights(ae,ge,J)).then(De=>{if(Array.isArray(De))return De.map(A.DocumentHighlight.from)})}}class p{constructor(U,q){this._documents=U,this._provider=q}provideLinkedEditingRanges(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideLinkedEditingRanges(ae,ge,J)).then(De=>{if(De&&Array.isArray(De.ranges))return{ranges:(0,P.coalesce)(De.ranges.map(A.Range.from)),wordPattern:De.wordPattern}})}}class g{constructor(U,q){this._documents=U,this._provider=q}provideReferences(U,q,J,ae){const ge=this._documents.getDocument(U),De=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideReferences(ge,De,J,ae)).then(Le=>{if(Array.isArray(Le))return Le.map(A.location.from)})}}class T{constructor(U,q,J,ae,ge,De,Le){this._documents=U,this._commands=q,this._diagnostics=J,this._provider=ae,this._logService=ge,this._extension=De,this._apiDeprecation=Le,this._cache=new v.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(U,q,J,ae){const ge=this._documents.getDocument(U),De=_.Selection.isISelection(q)?A.Selection.to(q):A.Range.to(q),Le=[];for(const Ce of this._diagnostics.getDiagnostics(U))if(De.intersection(Ce.range)&&Le.push(Ce)>T._maxCodeActionsPerFile)break;const pe={diagnostics:Le,only:J.only?new I.CodeActionKind(J.only):void 0,triggerKind:A.CodeActionTriggerKind.to(J.trigger)};return(0,S.asPromise)(()=>this._provider.provideCodeActions(ge,De,pe,ae)).then(Ce=>{var Te;if(!(!(0,P.isNonEmptyArray)(Ce)||ae.isCancellationRequested)){const Ue=this._cache.add(Ce),be=new d.DisposableStore;this._disposables.set(Ue,be);const Ke=[];for(let V=0;V<Ce.length;V++){const X=Ce[V];!X||(T._isCommand(X)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Ke.push({_isSynthetic:!0,title:X.title,command:this._commands.toInternal(X,be)})):(pe.only&&(X.kind?pe.only.contains(X.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${pe.only.value} 'requested but returned code action is of kind '${X.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${pe.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Ke.push({cacheId:[Ue,V],title:X.title,command:X.command&&this._commands.toInternal(X.command,be),diagnostics:X.diagnostics&&X.diagnostics.map(A.Diagnostic.from),edit:X.edit&&A.WorkspaceEdit.from(X.edit),kind:X.kind&&X.kind.value,isPreferred:X.isPreferred,disabled:(Te=X.disabled)===null||Te===void 0?void 0:Te.reason})))}return{cacheId:Ue,actions:Ke}}})}async resolveCodeAction(U,q){var J;const[ae,ge]=U,De=this._cache.get(ae,ge);if(!(!De||T._isCommand(De))&&!!this._provider.resolveCodeAction){const Le=(J=await this._provider.resolveCodeAction(De,q))!==null&&J!==void 0?J:De;return(Le==null?void 0:Le.edit)?A.WorkspaceEdit.from(Le.edit):void 0}}releaseCodeActions(U){var q;(q=this._disposables.get(U))===null||q===void 0||q.dispose(),this._disposables.delete(U),this._cache.delete(U)}static _isCommand(U){return typeof U.command=="string"&&typeof U.title=="string"}}T._maxCodeActionsPerFile=1e3;class F{constructor(U,q){this._documents=U,this._provider=q}provideDocumentFormattingEdits(U,q,J){const ae=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideDocumentFormattingEdits(ae,q,J)).then(ge=>{if(Array.isArray(ge))return ge.map(A.TextEdit.from)})}}class H{constructor(U,q){this._documents=U,this._provider=q}provideDocumentRangeFormattingEdits(U,q,J,ae){const ge=this._documents.getDocument(U),De=A.Range.to(q);return(0,S.asPromise)(()=>this._provider.provideDocumentRangeFormattingEdits(ge,De,J,ae)).then(Le=>{if(Array.isArray(Le))return Le.map(A.TextEdit.from)})}}class le{constructor(U,q){this._documents=U,this._provider=q,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(U,q,J,ae,ge){const De=this._documents.getDocument(U),Le=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideOnTypeFormattingEdits(De,Le,J,ae,ge)).then(pe=>{if(Array.isArray(pe))return pe.map(A.TextEdit.from)})}}class z{constructor(U,q){this._provider=U,this._logService=q,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(U,q){const J=C.IdObject.mixin({symbols:[]});return(0,S.asPromise)(()=>this._provider.provideWorkspaceSymbols(U,q)).then(ae=>{if((0,P.isNonEmptyArray)(ae)){for(const ge of ae)if(!!ge){if(!ge.name){this._logService.warn("INVALID SymbolInformation, lacks name",ge);continue}const De=C.IdObject.mixin(A.WorkspaceSymbol.from(ge));this._symbolCache.set(De._id,ge),J.symbols.push(De)}}}).then(()=>(J.symbols.length>0&&this._resultCache.set(J._id,[J.symbols[0]._id,J.symbols[J.symbols.length-1]._id]),J))}async resolveWorkspaceSymbol(U,q){if(typeof this._provider.resolveWorkspaceSymbol!="function")return U;const J=this._symbolCache.get(U._id);if(J){const ae=await(0,S.asPromise)(()=>this._provider.resolveWorkspaceSymbol(J,q));return ae&&(0,y.mixin)(U,A.WorkspaceSymbol.from(ae),!0)}}releaseWorkspaceSymbols(U){const q=this._resultCache.get(U);if(q){for(let[J,ae]=q;J<=ae;J++)this._symbolCache.delete(J);this._resultCache.delete(U)}}}class B{constructor(U,q,J){this._documents=U,this._provider=q,this._logService=J}static supportsResolving(U){return typeof U.prepareRename=="function"}provideRenameEdits(U,q,J,ae){const ge=this._documents.getDocument(U),De=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.provideRenameEdits(ge,De,J,ae)).then(Le=>{if(!!Le)return A.WorkspaceEdit.from(Le)},Le=>{const pe=B._asMessage(Le);return pe?{rejectReason:pe,edits:void 0}:Promise.reject(Le)})}resolveRenameLocation(U,q,J){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const ae=this._documents.getDocument(U),ge=A.Position.to(q);return(0,S.asPromise)(()=>this._provider.prepareRename(ae,ge,J)).then(De=>{let Le,pe;if(I.Range.isRange(De)?(Le=De,pe=ae.getText(De)):(0,k.isObject)(De)&&(Le=De.range,pe=De.placeholder),!!Le){if(Le.start.line>ge.line||Le.end.line<ge.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:A.Range.from(Le),text:pe}}},De=>{const Le=B._asMessage(De);return Le?{rejectReason:Le,range:void 0,text:void 0}:Promise.reject(De)})}static _asMessage(U){return typeof U=="string"?U:U instanceof Error&&typeof U.message=="string"?U.message:void 0}}class Q{constructor(U,q){this.resultId=U,this.tokens=q}}class M{constructor(U,q){this._documents=U,this._provider=q,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(U,q,J){const ae=this._documents.getDocument(U),ge=q!==0?this._previousResults.get(q):null;return(0,S.asPromise)(()=>ge&&typeof ge.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(ae,ge.resultId,J):this._provider.provideDocumentSemanticTokens(ae,J)).then(De=>(ge&&this._previousResults.delete(q),De?(De=M._fixProvidedSemanticTokens(De),this._send(M._convertToEdits(ge,De),De)):null))}async releaseDocumentSemanticColoring(U){this._previousResults.delete(U)}static _fixProvidedSemanticTokens(U){return M._isSemanticTokens(U)?M._isCorrectSemanticTokens(U)?U:new I.SemanticTokens(new Uint32Array(U.data),U.resultId):M._isSemanticTokensEdits(U)?M._isCorrectSemanticTokensEdits(U)?U:new I.SemanticTokensEdits(U.edits.map(q=>new I.SemanticTokensEdit(q.start,q.deleteCount,q.data?new Uint32Array(q.data):q.data)),U.resultId):U}static _isSemanticTokens(U){return U&&!!U.data}static _isCorrectSemanticTokens(U){return U.data instanceof Uint32Array}static _isSemanticTokensEdits(U){return U&&Array.isArray(U.edits)}static _isCorrectSemanticTokensEdits(U){for(const q of U.edits)if(!(q.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(U,q){if(!M._isSemanticTokens(q)||!U||!U.tokens)return q;const J=U.tokens,ae=J.length,ge=q.data,De=ge.length;let Le=0;const pe=Math.min(ae,De);for(;Le<pe&&J[Le]===ge[Le];)Le++;if(Le===ae&&Le===De)return new I.SemanticTokensEdits([],q.resultId);let Ce=0;const Te=pe-Le;for(;Ce<Te&&J[ae-Ce-1]===ge[De-Ce-1];)Ce++;return new I.SemanticTokensEdits([{start:Le,deleteCount:ae-Le-Ce,data:ge.subarray(Le,De-Ce)}],q.resultId)}_send(U,q){if(M._isSemanticTokens(U)){const J=this._nextResultId++;return this._previousResults.set(J,new Q(U.resultId,U.data)),(0,s.encodeSemanticTokensDto)({id:J,type:"full",data:U.data})}if(M._isSemanticTokensEdits(U)){const J=this._nextResultId++;return M._isSemanticTokens(q)?this._previousResults.set(J,new Q(q.resultId,q.data)):this._previousResults.set(J,new Q(U.resultId)),(0,s.encodeSemanticTokensDto)({id:J,type:"delta",deltas:(U.edits||[]).map(ae=>({start:ae.start,deleteCount:ae.deleteCount,data:ae.data}))})}return null}}e.DocumentSemanticTokensAdapter=M;class ${constructor(U,q){this._documents=U,this._provider=q}provideDocumentRangeSemanticTokens(U,q,J){const ae=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideDocumentRangeSemanticTokens(ae,A.Range.to(q),J)).then(ge=>ge?this._send(ge):null)}_send(U){return(0,s.encodeSemanticTokensDto)({id:0,type:"full",data:U.data})}}e.DocumentRangeSemanticTokensAdapter=$;class N{constructor(U,q,J,ae,ge){this._documents=U,this._commands=q,this._provider=J,this._apiDeprecation=ae,this._extension=ge,this._cache=new v.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(U){return typeof U.resolveCompletionItem=="function"}async provideCompletionItems(U,q,J,ae){const ge=this._documents.getDocument(U),De=A.Position.to(q),Le=ge.getWordRangeAtPosition(De)||new I.Range(De,De),pe=Le.with({end:De}),Ce=new m.StopWatch(!0),Te=await(0,S.asPromise)(()=>this._provider.provideCompletionItems(ge,De,ae,A.CompletionContext.to(J)));if(!!Te&&!ae.isCancellationRequested){const Ue=Array.isArray(Te)?new I.CompletionList(Te):Te,be=N.supportsResolving(this._provider)?this._cache.add(Ue.items):this._cache.add([]),Ke=new d.DisposableStore;this._disposables.set(be,Ke);const V=[],X={x:be,b:V,a:{replace:A.Range.from(Le),insert:A.Range.from(pe)},c:Ue.isIncomplete||void 0,d:Ce.elapsed()};for(let _e=0;_e<Ue.items.length;_e++){const Me=Ue.items[_e],He=this._convertCompletionItem(Me,[be,_e],pe,Le);V.push(He)}return X}}async resolveCompletionItem(U,q){if(typeof this._provider.resolveCompletionItem=="function"){const J=this._cache.get(...U);if(!!J){const ae=await(0,S.asPromise)(()=>this._provider.resolveCompletionItem(J,q));if(!!ae)return this._convertCompletionItem(ae,U)}}}releaseCompletionItems(U){var q;(q=this._disposables.get(U))===null||q===void 0||q.dispose(),this._disposables.delete(U),this._cache.delete(U)}_convertCompletionItem(U,q,J,ae){var ge;const De=this._disposables.get(q[0]);if(!De)throw Error("DisposableStore is missing...");const Le={x:q,a:(ge=U.label)!==null&&ge!==void 0?ge:"",o:U.label2,b:U.kind!==void 0?A.CompletionItemKind.from(U.kind):void 0,n:U.tags&&U.tags.map(A.CompletionItemTag.from),c:U.detail,d:typeof U.documentation=="undefined"?void 0:A.MarkdownString.fromStrict(U.documentation),e:U.sortText!==U.label?U.sortText:void 0,f:U.filterText!==U.label?U.filterText:void 0,g:U.preselect||void 0,i:U.keepWhitespace?1:0,k:U.commitCharacters,l:U.additionalTextEdits&&U.additionalTextEdits.map(A.TextEdit.from),m:this._commands.toInternal(U.command,De)};U.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Le.h=U.textEdit.newText):typeof U.insertText=="string"?Le.h=U.insertText:U.insertText instanceof I.SnippetString&&(Le.h=U.insertText.value,Le.i|=4);let pe;return U.textEdit?pe=U.textEdit.range:U.range&&(pe=U.range),I.Range.isRange(pe)?Le.j=A.Range.from(pe):pe&&(!(J==null?void 0:J.isEqual(pe.inserting))||!(ae==null?void 0:ae.isEqual(pe.replacing)))&&(Le.j={insert:A.Range.from(pe.inserting),replace:A.Range.from(pe.replacing)}),Le}}class K{constructor(U,q){this._documents=U,this._provider=q,this._cache=new v.Cache("SignatureHelp")}provideSignatureHelp(U,q,J,ae){const ge=this._documents.getDocument(U),De=A.Position.to(q),Le=this.reviveContext(J);return(0,S.asPromise)(()=>this._provider.provideSignatureHelp(ge,De,ae,Le)).then(pe=>{if(pe){const Ce=this._cache.add([pe]);return Object.assign(Object.assign({},A.SignatureHelp.from(pe)),{id:Ce})}})}reviveContext(U){let q;if(U.activeSignatureHelp){const J=A.SignatureHelp.to(U.activeSignatureHelp),ae=this._cache.get(U.activeSignatureHelp.id,0);ae?(q=ae,q.activeSignature=J.activeSignature,q.activeParameter=J.activeParameter):q=J}return Object.assign(Object.assign({},U),{activeSignatureHelp:q})}releaseSignatureHelp(U){this._cache.delete(U)}}class W{constructor(U,q){this._documents=U,this._provider=q}provideInlineHints(U,q,J){const ae=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideInlineHints(ae,A.Range.to(q),J)).then(ge=>ge?{hints:ge.map(A.InlineHint.from)}:void 0)}}class Z{constructor(U,q){this._documents=U,this._provider=q,this._cache=new v.Cache("DocumentLink")}provideLinks(U,q){const J=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideDocumentLinks(J,q)).then(ae=>{if(!(!Array.isArray(ae)||ae.length===0)&&!q.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:ae.map(A.DocumentLink.from)};{const ge=this._cache.add(ae),De={links:[],id:ge};for(let Le=0;Le<ae.length;Le++){const pe=A.DocumentLink.from(ae[Le]);pe.cacheId=[ge,Le],De.links.push(pe)}return De}}})}resolveLink(U,q){if(typeof this._provider.resolveDocumentLink!="function")return Promise.resolve(void 0);const J=this._cache.get(...U);return J?(0,S.asPromise)(()=>this._provider.resolveDocumentLink(J,q)).then(ae=>ae&&A.DocumentLink.from(ae)||void 0):Promise.resolve(void 0)}releaseLinks(U){this._cache.delete(U)}}class ne{constructor(U,q){this._documents=U,this._provider=q}provideColors(U,q){const J=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideDocumentColors(J,q)).then(ae=>Array.isArray(ae)?ae.map(De=>({color:A.Color.from(De.color),range:A.Range.from(De.range)})):[])}provideColorPresentations(U,q,J){const ae=this._documents.getDocument(U),ge=A.Range.to(q.range),De=A.Color.to(q.color);return(0,S.asPromise)(()=>this._provider.provideColorPresentations(De,{document:ae,range:ge},J)).then(Le=>{if(!!Array.isArray(Le))return Le.map(A.ColorPresentation.from)})}}class re{constructor(U,q){this._documents=U,this._provider=q}provideFoldingRanges(U,q,J){const ae=this._documents.getDocument(U);return(0,S.asPromise)(()=>this._provider.provideFoldingRanges(ae,q,J)).then(ge=>{if(!!Array.isArray(ge))return ge.map(A.FoldingRange.from)})}}class Se{constructor(U,q,J){this._documents=U,this._provider=q,this._logService=J}provideSelectionRanges(U,q,J){const ae=this._documents.getDocument(U),ge=q.map(A.Position.to);return(0,S.asPromise)(()=>this._provider.provideSelectionRanges(ae,ge,J)).then(De=>{if(!(0,P.isNonEmptyArray)(De))return[];if(De.length!==ge.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Le=[];for(let pe=0;pe<ge.length;pe++){const Ce=[];Le.push(Ce);let Te=ge[pe],Ue=De[pe];for(;;){if(!Ue.range.contains(Te))throw new Error("INVALID selection range, must contain the previous range");if(Ce.push(A.SelectionRange.from(Ue)),!Ue.parent)break;Te=Ue.range,Ue=Ue.parent}}return Le})}}class Ae{constructor(U,q){this._documents=U,this._provider=q,this._idPool=new f.IdGenerator(""),this._cache=new Map}async prepareSession(U,q,J){const ae=this._documents.getDocument(U),ge=A.Position.to(q),De=await this._provider.prepareCallHierarchy(ae,ge,J);if(!!De){const Le=this._idPool.nextId();return this._cache.set(Le,new Map),Array.isArray(De)?De.map(pe=>this._cacheAndConvertItem(Le,pe)):[this._cacheAndConvertItem(Le,De)]}}async provideCallsTo(U,q,J){const ae=this._itemFromCache(U,q);if(!ae)throw new Error("missing call hierarchy item");const ge=await this._provider.provideCallHierarchyIncomingCalls(ae,J);if(!!ge)return ge.map(De=>({from:this._cacheAndConvertItem(U,De.from),fromRanges:De.fromRanges.map(Le=>A.Range.from(Le))}))}async provideCallsFrom(U,q,J){const ae=this._itemFromCache(U,q);if(!ae)throw new Error("missing call hierarchy item");const ge=await this._provider.provideCallHierarchyOutgoingCalls(ae,J);if(!!ge)return ge.map(De=>({to:this._cacheAndConvertItem(U,De.to),fromRanges:De.fromRanges.map(Le=>A.Range.from(Le))}))}releaseSession(U){this._cache.delete(U)}_cacheAndConvertItem(U,q){var J;const ae=this._cache.get(U),ge={_sessionId:U,_itemId:ae.size.toString(36),name:q.name,detail:q.detail,kind:A.SymbolKind.from(q.kind),uri:q.uri,range:A.Range.from(q.range),selectionRange:A.Range.from(q.selectionRange),tags:(J=q.tags)===null||J===void 0?void 0:J.map(A.SymbolTag.from)};return ae.set(ge._itemId,q),ge}_itemFromCache(U,q){const J=this._cache.get(U);return J==null?void 0:J.get(q)}}class Be{constructor(U,q){this.adapter=U,this.extension=q}}class Re{constructor(U,q,J,ae,ge,De,Le){this._adapter=new Map,this._uriTransformer=q,this._proxy=U.getProxy(C.MainContext.MainThreadLanguageFeatures),this._documents=J,this._commands=ae,this._diagnostics=ge,this._logService=De,this._apiDeprecation=Le}_transformDocumentSelector(U){return(0,P.coalesce)((0,P.asArray)(U).map(q=>this._doTransformDocumentSelector(q)))}_doTransformDocumentSelector(U){if(typeof U=="string")return{$serialized:!0,language:U};if(U)return{$serialized:!0,language:U.language,scheme:this._transformScheme(U.scheme),pattern:typeof U.pattern=="undefined"?void 0:A.GlobPattern.from(U.pattern),exclusive:U.exclusive}}_transformScheme(U){return this._uriTransformer&&typeof U=="string"?this._uriTransformer.transformOutgoingScheme(U):U}_createDisposable(U){return new I.Disposable(()=>{this._adapter.delete(U),this._proxy.$unregister(U)})}_nextHandle(){return Re._handlePool++}_withAdapter(U,q,J,ae,ge=!1){const De=this._adapter.get(U);if(!De)return Promise.resolve(ae);if(De.adapter instanceof q){let Le;De.extension&&(Le=Date.now(),this._logService.trace(`[${De.extension.identifier.value}] INVOKE provider '${q.name}'`));const pe=J(De.adapter,De.extension),Ce=De.extension;return Ce&&Promise.resolve(pe).then(()=>this._logService.trace(`[${Ce.identifier.value}] provider DONE after ${Date.now()-Le}ms`),Te=>{ge&&Te instanceof w.CancellationError||(this._logService.error(`[${Ce.identifier.value}] provider FAILED`),this._logService.error(Te))}),pe}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(U,q){const J=this._nextHandle();return this._adapter.set(J,new Be(U,q)),J}static _extLabel(U){return U.displayName||U.name}registerDocumentSymbolProvider(U,q,J,ae){const ge=this._addNewAdapter(new c(this._documents,J),U),De=ae&&ae.label||Re._extLabel(U);return this._proxy.$registerDocumentSymbolProvider(ge,this._transformDocumentSelector(q),De),this._createDisposable(ge)}$provideDocumentSymbols(U,q,J){return this._withAdapter(U,c,ae=>ae.provideDocumentSymbols(b.URI.revive(q),J),void 0)}registerCodeLensProvider(U,q,J){const ae=this._nextHandle(),ge=typeof J.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(ae,new Be(new u(this._documents,this._commands.converter,J),U)),this._proxy.$registerCodeLensSupport(ae,this._transformDocumentSelector(q),ge);let De=this._createDisposable(ae);if(ge!==void 0){const Le=J.onDidChangeCodeLenses(pe=>this._proxy.$emitCodeLensEvent(ge));De=I.Disposable.from(De,Le)}return De}$provideCodeLenses(U,q,J){return this._withAdapter(U,u,ae=>ae.provideCodeLenses(b.URI.revive(q),J),void 0)}$resolveCodeLens(U,q,J){return this._withAdapter(U,u,ae=>ae.resolveCodeLens(q,J),void 0)}$releaseCodeLenses(U,q){this._withAdapter(U,u,J=>Promise.resolve(J.releaseCodeLenses(q)),void 0)}registerDefinitionProvider(U,q,J){const ae=this._addNewAdapter(new t(this._documents,J),U);return this._proxy.$registerDefinitionSupport(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideDefinition(U,q,J,ae){return this._withAdapter(U,t,ge=>ge.provideDefinition(b.URI.revive(q),J,ae),[])}registerDeclarationProvider(U,q,J){const ae=this._addNewAdapter(new r(this._documents,J),U);return this._proxy.$registerDeclarationSupport(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideDeclaration(U,q,J,ae){return this._withAdapter(U,r,ge=>ge.provideDeclaration(b.URI.revive(q),J,ae),[])}registerImplementationProvider(U,q,J){const ae=this._addNewAdapter(new o(this._documents,J),U);return this._proxy.$registerImplementationSupport(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideImplementation(U,q,J,ae){return this._withAdapter(U,o,ge=>ge.provideImplementation(b.URI.revive(q),J,ae),[])}registerTypeDefinitionProvider(U,q,J){const ae=this._addNewAdapter(new l(this._documents,J),U);return this._proxy.$registerTypeDefinitionSupport(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideTypeDefinition(U,q,J,ae){return this._withAdapter(U,l,ge=>ge.provideTypeDefinition(b.URI.revive(q),J,ae),[])}registerHoverProvider(U,q,J,ae){const ge=this._addNewAdapter(new i(this._documents,J),U);return this._proxy.$registerHoverProvider(ge,this._transformDocumentSelector(q)),this._createDisposable(ge)}$provideHover(U,q,J,ae){return this._withAdapter(U,i,ge=>ge.provideHover(b.URI.revive(q),J,ae),void 0)}registerEvaluatableExpressionProvider(U,q,J,ae){const ge=this._addNewAdapter(new h(this._documents,J),U);return this._proxy.$registerEvaluatableExpressionProvider(ge,this._transformDocumentSelector(q)),this._createDisposable(ge)}$provideEvaluatableExpression(U,q,J,ae){return this._withAdapter(U,h,ge=>ge.provideEvaluatableExpression(b.URI.revive(q),J,ae),void 0)}registerInlineValuesProvider(U,q,J,ae){const ge=typeof J.onDidChangeInlineValues=="function"?this._nextHandle():void 0,De=this._addNewAdapter(new D(this._documents,J),U);this._proxy.$registerInlineValuesProvider(De,this._transformDocumentSelector(q),ge);let Le=this._createDisposable(De);if(ge!==void 0){const pe=J.onDidChangeInlineValues(Ce=>this._proxy.$emitInlineValuesEvent(ge));Le=I.Disposable.from(Le,pe)}return Le}$provideInlineValues(U,q,J,ae,ge){return this._withAdapter(U,D,De=>De.provideInlineValues(b.URI.revive(q),J,ae,ge),void 0)}registerDocumentHighlightProvider(U,q,J){const ae=this._addNewAdapter(new R(this._documents,J),U);return this._proxy.$registerDocumentHighlightProvider(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideDocumentHighlights(U,q,J,ae){return this._withAdapter(U,R,ge=>ge.provideDocumentHighlights(b.URI.revive(q),J,ae),void 0)}registerLinkedEditingRangeProvider(U,q,J){const ae=this._addNewAdapter(new p(this._documents,J),U);return this._proxy.$registerLinkedEditingRangeProvider(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideLinkedEditingRanges(U,q,J,ae){return this._withAdapter(U,p,async ge=>{const De=await ge.provideLinkedEditingRanges(b.URI.revive(q),J,ae);if(De)return{ranges:De.ranges,wordPattern:De.wordPattern?Re._serializeRegExp(De.wordPattern):void 0}},void 0)}registerReferenceProvider(U,q,J){const ae=this._addNewAdapter(new g(this._documents,J),U);return this._proxy.$registerReferenceSupport(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideReferences(U,q,J,ae,ge){return this._withAdapter(U,g,De=>De.provideReferences(b.URI.revive(q),J,ae,ge),void 0)}registerCodeActionProvider(U,q,J,ae){var ge,De;const Le=new d.DisposableStore,pe=this._addNewAdapter(new T(this._documents,this._commands.converter,this._diagnostics,J,this._logService,U,this._apiDeprecation),U);return this._proxy.$registerQuickFixSupport(pe,this._transformDocumentSelector(q),{providedKinds:(ge=ae==null?void 0:ae.providedCodeActionKinds)===null||ge===void 0?void 0:ge.map(Ce=>Ce.value),documentation:(De=ae==null?void 0:ae.documentation)===null||De===void 0?void 0:De.map(Ce=>({kind:Ce.kind.value,command:this._commands.converter.toInternal(Ce.command,Le)}))},Re._extLabel(U),Boolean(J.resolveCodeAction)),Le.add(this._createDisposable(pe)),Le}$provideCodeActions(U,q,J,ae,ge){return this._withAdapter(U,T,De=>De.provideCodeActions(b.URI.revive(q),J,ae,ge),void 0)}$resolveCodeAction(U,q,J){return this._withAdapter(U,T,ae=>ae.resolveCodeAction(q,J),void 0)}$releaseCodeActions(U,q){this._withAdapter(U,T,J=>Promise.resolve(J.releaseCodeActions(q)),void 0)}registerDocumentFormattingEditProvider(U,q,J){const ae=this._addNewAdapter(new F(this._documents,J),U);return this._proxy.$registerDocumentFormattingSupport(ae,this._transformDocumentSelector(q),U.identifier,U.displayName||U.name),this._createDisposable(ae)}$provideDocumentFormattingEdits(U,q,J,ae){return this._withAdapter(U,F,ge=>ge.provideDocumentFormattingEdits(b.URI.revive(q),J,ae),void 0)}registerDocumentRangeFormattingEditProvider(U,q,J){const ae=this._addNewAdapter(new H(this._documents,J),U);return this._proxy.$registerRangeFormattingSupport(ae,this._transformDocumentSelector(q),U.identifier,U.displayName||U.name),this._createDisposable(ae)}$provideDocumentRangeFormattingEdits(U,q,J,ae,ge){return this._withAdapter(U,H,De=>De.provideDocumentRangeFormattingEdits(b.URI.revive(q),J,ae,ge),void 0)}registerOnTypeFormattingEditProvider(U,q,J,ae){const ge=this._addNewAdapter(new le(this._documents,J),U);return this._proxy.$registerOnTypeFormattingSupport(ge,this._transformDocumentSelector(q),ae,U.identifier),this._createDisposable(ge)}$provideOnTypeFormattingEdits(U,q,J,ae,ge,De){return this._withAdapter(U,le,Le=>Le.provideOnTypeFormattingEdits(b.URI.revive(q),J,ae,ge,De),void 0)}registerWorkspaceSymbolProvider(U,q){const J=this._addNewAdapter(new z(q,this._logService),U);return this._proxy.$registerNavigateTypeSupport(J),this._createDisposable(J)}$provideWorkspaceSymbols(U,q,J){return this._withAdapter(U,z,ae=>ae.provideWorkspaceSymbols(q,J),{symbols:[]})}$resolveWorkspaceSymbol(U,q,J){return this._withAdapter(U,z,ae=>ae.resolveWorkspaceSymbol(q,J),void 0)}$releaseWorkspaceSymbols(U,q){this._withAdapter(U,z,J=>J.releaseWorkspaceSymbols(q),void 0)}registerRenameProvider(U,q,J){const ae=this._addNewAdapter(new B(this._documents,J,this._logService),U);return this._proxy.$registerRenameSupport(ae,this._transformDocumentSelector(q),B.supportsResolving(J)),this._createDisposable(ae)}$provideRenameEdits(U,q,J,ae,ge){return this._withAdapter(U,B,De=>De.provideRenameEdits(b.URI.revive(q),J,ae,ge),void 0)}$resolveRenameLocation(U,q,J,ae){return this._withAdapter(U,B,ge=>ge.resolveRenameLocation(b.URI.revive(q),J,ae),void 0)}registerDocumentSemanticTokensProvider(U,q,J,ae){const ge=this._nextHandle(),De=typeof J.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(ge,new Be(new M(this._documents,J),U)),this._proxy.$registerDocumentSemanticTokensProvider(ge,this._transformDocumentSelector(q),ae,De);let Le=this._createDisposable(ge);if(De){const pe=J.onDidChangeSemanticTokens(Ce=>this._proxy.$emitDocumentSemanticTokensEvent(De));Le=I.Disposable.from(Le,pe)}return Le}$provideDocumentSemanticTokens(U,q,J,ae){return this._withAdapter(U,M,ge=>ge.provideDocumentSemanticTokens(b.URI.revive(q),J,ae),null,!0)}$releaseDocumentSemanticTokens(U,q){this._withAdapter(U,M,J=>J.releaseDocumentSemanticColoring(q),void 0)}registerDocumentRangeSemanticTokensProvider(U,q,J,ae){const ge=this._addNewAdapter(new $(this._documents,J),U);return this._proxy.$registerDocumentRangeSemanticTokensProvider(ge,this._transformDocumentSelector(q),ae),this._createDisposable(ge)}$provideDocumentRangeSemanticTokens(U,q,J,ae){return this._withAdapter(U,$,ge=>ge.provideDocumentRangeSemanticTokens(b.URI.revive(q),J,ae),null,!0)}registerCompletionItemProvider(U,q,J,ae){const ge=this._addNewAdapter(new N(this._documents,this._commands.converter,J,this._apiDeprecation,U),U);return this._proxy.$registerSuggestSupport(ge,this._transformDocumentSelector(q),ae,N.supportsResolving(J),`${U.identifier.value}(${ae.join("")})`),this._createDisposable(ge)}$provideCompletionItems(U,q,J,ae,ge){return this._withAdapter(U,N,De=>De.provideCompletionItems(b.URI.revive(q),J,ae,ge),void 0)}$resolveCompletionItem(U,q,J){return this._withAdapter(U,N,ae=>ae.resolveCompletionItem(q,J),void 0)}$releaseCompletionItems(U,q){this._withAdapter(U,N,J=>J.releaseCompletionItems(q),void 0)}registerSignatureHelpProvider(U,q,J,ae){const ge=Array.isArray(ae)?{triggerCharacters:ae,retriggerCharacters:[]}:ae,De=this._addNewAdapter(new K(this._documents,J),U);return this._proxy.$registerSignatureHelpProvider(De,this._transformDocumentSelector(q),ge),this._createDisposable(De)}$provideSignatureHelp(U,q,J,ae,ge){return this._withAdapter(U,K,De=>De.provideSignatureHelp(b.URI.revive(q),J,ae,ge),void 0)}$releaseSignatureHelp(U,q){this._withAdapter(U,K,J=>J.releaseSignatureHelp(q),void 0)}registerInlineHintsProvider(U,q,J){const ae=typeof J.onDidChangeInlineHints=="function"?this._nextHandle():void 0,ge=this._addNewAdapter(new W(this._documents,J),U);this._proxy.$registerInlineHintsProvider(ge,this._transformDocumentSelector(q),ae);let De=this._createDisposable(ge);if(ae!==void 0){const Le=J.onDidChangeInlineHints(pe=>this._proxy.$emitInlineHintsEvent(ae));De=I.Disposable.from(De,Le)}return De}$provideInlineHints(U,q,J,ae){return this._withAdapter(U,W,ge=>ge.provideInlineHints(b.URI.revive(q),J,ae),void 0)}registerDocumentLinkProvider(U,q,J){const ae=this._addNewAdapter(new Z(this._documents,J),U);return this._proxy.$registerDocumentLinkProvider(ae,this._transformDocumentSelector(q),typeof J.resolveDocumentLink=="function"),this._createDisposable(ae)}$provideDocumentLinks(U,q,J){return this._withAdapter(U,Z,ae=>ae.provideLinks(b.URI.revive(q),J),void 0)}$resolveDocumentLink(U,q,J){return this._withAdapter(U,Z,ae=>ae.resolveLink(q,J),void 0)}$releaseDocumentLinks(U,q){this._withAdapter(U,Z,J=>J.releaseLinks(q),void 0)}registerColorProvider(U,q,J){const ae=this._addNewAdapter(new ne(this._documents,J),U);return this._proxy.$registerDocumentColorProvider(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideDocumentColors(U,q,J){return this._withAdapter(U,ne,ae=>ae.provideColors(b.URI.revive(q),J),[])}$provideColorPresentations(U,q,J,ae){return this._withAdapter(U,ne,ge=>ge.provideColorPresentations(b.URI.revive(q),J,ae),void 0)}registerFoldingRangeProvider(U,q,J){const ae=this._nextHandle(),ge=typeof J.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(ae,new Be(new re(this._documents,J),U)),this._proxy.$registerFoldingRangeProvider(ae,this._transformDocumentSelector(q),ge);let De=this._createDisposable(ae);if(ge!==void 0){const Le=J.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(ge));De=I.Disposable.from(De,Le)}return De}$provideFoldingRanges(U,q,J,ae){return this._withAdapter(U,re,ge=>ge.provideFoldingRanges(b.URI.revive(q),J,ae),void 0)}registerSelectionRangeProvider(U,q,J){const ae=this._addNewAdapter(new Se(this._documents,J,this._logService),U);return this._proxy.$registerSelectionRangeProvider(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$provideSelectionRanges(U,q,J,ae){return this._withAdapter(U,Se,ge=>ge.provideSelectionRanges(b.URI.revive(q),J,ae),[])}registerCallHierarchyProvider(U,q,J){const ae=this._addNewAdapter(new Ae(this._documents,J),U);return this._proxy.$registerCallHierarchyProvider(ae,this._transformDocumentSelector(q)),this._createDisposable(ae)}$prepareCallHierarchy(U,q,J,ae){return this._withAdapter(U,Ae,ge=>Promise.resolve(ge.prepareSession(b.URI.revive(q),J,ae)),void 0)}$provideCallHierarchyIncomingCalls(U,q,J,ae){return this._withAdapter(U,Ae,ge=>ge.provideCallsTo(q,J,ae),void 0)}$provideCallHierarchyOutgoingCalls(U,q,J,ae){return this._withAdapter(U,Ae,ge=>ge.provideCallsFrom(q,J,ae),void 0)}$releaseCallHierarchy(U,q){this._withAdapter(U,Ae,J=>Promise.resolve(J.releaseSession(q)),void 0)}static _serializeRegExp(U){return{pattern:U.source,flags:(0,E.regExpFlags)(U)}}static _serializeIndentationRule(U){return{decreaseIndentPattern:Re._serializeRegExp(U.decreaseIndentPattern),increaseIndentPattern:Re._serializeRegExp(U.increaseIndentPattern),indentNextLinePattern:U.indentNextLinePattern?Re._serializeRegExp(U.indentNextLinePattern):void 0,unIndentedLinePattern:U.unIndentedLinePattern?Re._serializeRegExp(U.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(U){return{beforeText:Re._serializeRegExp(U.beforeText),afterText:U.afterText?Re._serializeRegExp(U.afterText):void 0,previousLineText:U.previousLineText?Re._serializeRegExp(U.previousLineText):void 0,action:U.action}}static _serializeOnEnterRules(U){return U.map(Re._serializeOnEnterRule)}setLanguageConfiguration(U,q,J){let{wordPattern:ae}=J;if(ae&&(0,E.regExpLeadsToEndlessLoop)(ae))throw new Error(`Invalid language configuration: wordPattern '${ae}' is not allowed to match the empty string.`);ae?this._documents.setWordDefinitionFor(q,ae):this._documents.setWordDefinitionFor(q,void 0),J.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",U,"Do not use."),J.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",U,"Do not use.");const ge=this._nextHandle(),De={comments:J.comments,brackets:J.brackets,wordPattern:J.wordPattern?Re._serializeRegExp(J.wordPattern):void 0,indentationRules:J.indentationRules?Re._serializeIndentationRule(J.indentationRules):void 0,onEnterRules:J.onEnterRules?Re._serializeOnEnterRules(J.onEnterRules):void 0,__electricCharacterSupport:J.__electricCharacterSupport,__characterPairSupport:J.__characterPairSupport};return this._proxy.$setLanguageConfiguration(ge,q,De),this._createDisposable(ge)}$setWordDefinitions(U){for(const q of U)this._documents.setWordDefinitionFor(q.languageId,new RegExp(q.regexSource,q.regexFlags))}}e.ExtHostLanguageFeatures=Re,Re._handlePool=0}),define(we[195],Ee([0,1,5,9,7]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class I{constructor(C,E){this._proxy=C.getProxy(b.MainContext.MainThreadLanguages),this._documents=E}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(C,E){await this._proxy.$changeLanguage(C,E);const n=this._documents.getDocumentData(C);if(!n)throw new Error(`document '${C.toString}' NOT found`);return n.document}async tokenAtPosition(C,E){var n;const P=C.version,k=y.Position.from(E),_=await this._proxy.$tokensAtPosition(C.uri,k),d={type:A.StandardTokenType.Other,range:(n=C.getWordRangeAtPosition(E))!==null&&n!==void 0?n:new A.Range(E.line,E.character,E.line,E.character)};if(!_)return d;const s={range:y.Range.to(_.range),type:y.TokenType.to(_.type)};return!s.range.contains(E)||P!==C.version?d:s}}e.ExtHostLanguages=I}),define(we[196],Ee([0,1,5,19,34]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function I(C){return C&&C.title}let S=class{constructor(E,n){this._logService=n,this._proxy=E.getProxy(b.MainContext.MainThreadMessageService)}showMessage(E,n,P,k,_){const d={extension:E};let s;typeof k=="string"||I(k)?s=[k,..._]:(d.modal=k&&k.modal,d.useCustom=k&&k.useCustom,s=_),d.useCustom&&(0,A.checkProposedApiEnabled)(E);const f=[];for(let v=0;v<s.length;v++){const m=s[v];if(typeof m=="string")f.push({title:m,handle:v,isCloseAffordance:!1});else if(typeof m=="object"){let{title:w,isCloseAffordance:c}=m;f.push({title:w,isCloseAffordance:!!c,handle:v})}else this._logService.warn("Invalid message item:",m)}return this._proxy.$showMessage(n,P,d,f).then(v=>{if(typeof v=="number")return s[v]})}};S=je([qe(1,y.ILogService)],S),e.ExtHostMessageService=S}),define(we[197],Ee([0,1,20,3,6,2,29,5,9,7,69,70,22,174,175,52,12,55]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookCellStatusBarItemInternal=e.ExtHostNotebookController=e.NotebookEditorDecorationType=e.ExtHostNotebookKernelProviderAdapter=void 0;class w extends A.Disposable{constructor(i,h,D,R,p){super();this._editorId=i,this.uri=h,this._proxy=D,this._webviewInitData=R,this.document=p,this._onDidReceiveDocumentMessage=new y.Emitter,this._rendererIdToEmitters=new Map,this.contentProviderComm={editorId:this._editorId,onDidReceiveMessage:this._onDidReceiveDocumentMessage.event,postMessage:g=>this._proxy.$postMessage(this._editorId,void 0,g),asWebviewUri:g=>this._asWebviewUri(g)}}onDidReceiveMessage(i,h){var D;this._onDidReceiveDocumentMessage.fire(h),i!==void 0&&((D=this._rendererIdToEmitters.get(i))===null||D===void 0||D.fire(h))}getRendererComm(i){const h=new y.Emitter;return this._rendererIdToEmitters.set(i,h),{editorId:this._editorId,onDidReceiveMessage:h.event,postMessage:D=>this._proxy.$postMessage(this._editorId,i,D),asWebviewUri:D=>this._asWebviewUri(D)}}_asWebviewUri(i){return(0,P.asWebviewUri)(this._webviewInitData,this._editorId,i)}}class c extends A.Disposable{constructor(i,h,D,R){super();this._proxy=i,this._handle=h,this._extension=D,this._provider=R,this._kernelToFriendlyId=new _.ResourceMap,this._friendlyIdToKernel=new _.ResourceMap,this._provider.onDidChangeKernels&&this._register(this._provider.onDidChangeKernels(p=>{const g=p==null?void 0:p.uri;this._proxy.$onNotebookKernelChange(this._handle,g)}))}async provideKernels(i,h){const D=await this._provider.provideKernels(i.notebookDocument,h)||[],R=new Map;let p=0;const g=new Set,T=this._kernelToFriendlyId.get(i.uri),F=D.map(le=>{let z=T==null?void 0:T.get(le);return z===void 0&&(le.id&&g.has(le.id)?z=`${this._extension.identifier.value}_${le.id}_${p++}`:z=`${this._extension.identifier.value}_${le.id||S.generateUuid()}`),R.set(le,z),{id:le.id,friendlyId:z,label:le.label,extension:this._extension.identifier,extensionLocation:this._extension.extensionLocation,providerHandle:this._handle,description:le.description,detail:le.detail,isPreferred:le.isPreferred,preloads:le.preloads,supportedLanguages:le.supportedLanguages}});this._kernelToFriendlyId.set(i.uri,R);const H=new Map;return R.forEach((le,z)=>{H.set(le,z)}),this._friendlyIdToKernel.set(i.uri,H),F}getKernelByFriendlyId(i,h){var D;return(D=this._friendlyIdToKernel.get(i))===null||D===void 0?void 0:D.get(h)}async resolveNotebook(i,h,D,R){var p;const g=(p=this._friendlyIdToKernel.get(h.uri))===null||p===void 0?void 0:p.get(i);if(g&&this._provider.resolveKernel)return this._provider.resolveKernel(g,h.notebookDocument,D,R)}async executeNotebook(i,h,D){var R;const p=(R=this._friendlyIdToKernel.get(h.uri))===null||R===void 0?void 0:R.get(i);if(!!p)return u(D?g=>p.executeCell(h.notebookDocument,D.cell,g):g=>p.executeAllCells(h.notebookDocument,g))}async cancelNotebook(i,h,D){var R;const p=(R=this._friendlyIdToKernel.get(h.uri))===null||R===void 0?void 0:R.get(i);if(!!p)return D?p.cancelCellExecution(h.notebookDocument,D.cell):p.cancelAllCellsExecution(h.notebookDocument)}}e.ExtHostNotebookKernelProviderAdapter=c;async function u(l){const i=new b.CancellationTokenSource;try{await l(i.token)}finally{i.dispose()}}class a{constructor(i,h){const D=a._Keys.nextId();i.$registerNotebookEditorDecorationType(D,E.NotebookDecorationRenderOptions.from(h)),this.value={key:D,dispose(){i.$removeNotebookEditorDecorationType(D)}}}}e.NotebookEditorDecorationType=a,a._Keys=new f.IdGenerator("NotebookEditorDecorationType");class t{constructor(i,h,D,R,p,g,T){this._textDocumentsAndEditors=D,this._textDocuments=R,this._webviewInitData=p,this.logService=g,this._extensionStoragePaths=T,this._notebookContentProviders=new Map,this._notebookKernelProviders=new Map,this._documents=new _.ResourceMap,this._editors=new Map,this._webviewComm=new Map,this._onDidChangeNotebookEditorSelection=new y.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this._onDidChangeNotebookEditorVisibleRanges=new y.Emitter,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event,this._onDidChangeNotebookDocumentMetadata=new y.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidChangeNotebookCells=new y.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new y.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new y.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new y.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new y.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new y.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidSaveNotebookDocument=new y.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeActiveNotebookKernel=new y.Emitter,this.onDidChangeActiveNotebookKernel=this._onDidChangeActiveNotebookKernel.event,this._onDidChangeVisibleNotebookEditors=new y.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._backupIdPool=0,this._proxy=i.getProxy(C.MainContext.MainThreadNotebook),this._commandsConverter=h.converter,h.registerArgumentProcessor({processArgument:F=>{var H;if(F&&F.$mid===12){const le=(H=F.notebookEditor)===null||H===void 0?void 0:H.notebookUri,z=F.cell.handle,B=this._documents.get(le),Q=B==null?void 0:B.getCell(z);if(Q)return Q.cell}return F}})}get activeNotebookEditor(){var i;return(i=this._activeNotebookEditor)===null||i===void 0?void 0:i.editor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(i=>i.editor)}get notebookDocuments(){return[...this._documents.values()]}lookupNotebookDocument(i){return this._documents.get(i)}_getNotebookDocument(i){const h=this._documents.get(i);if(!h)throw new Error(`NO notebook document for '${i}'`);return h}_getProviderData(i){const h=this._notebookContentProviders.get(i);if(!h)throw new Error(`NO provider for '${i}'`);return h}registerNotebookContentProvider(i,h,D,R){var p,g,T;if(this._notebookContentProviders.has(h))throw new Error(`Notebook provider for '${h}' already registered`);this._notebookContentProviders.set(h,{extension:i,provider:D});let F;D.onDidChangeNotebookContentOptions&&(F=D.onDidChangeNotebookContentOptions(()=>{this._proxy.$updateNotebookProviderOptions(h,D.options)}));const H=(p=R==null?void 0:R.viewOptions)===null||p===void 0?void 0:p.filenamePattern.map(le=>E.NotebookExclusiveDocumentPattern.from(le)).filter(le=>le!==void 0);return((g=R==null?void 0:R.viewOptions)===null||g===void 0?void 0:g.filenamePattern)&&!H&&console.warn(`Notebook content provider view options file name pattern is invalid ${(T=R==null?void 0:R.viewOptions)===null||T===void 0?void 0:T.filenamePattern}`),this._proxy.$registerNotebookProvider({id:i.identifier,location:i.extensionLocation,description:i.description},h,{transientOutputs:(R==null?void 0:R.transientOutputs)||!1,transientMetadata:(R==null?void 0:R.transientMetadata)||{},viewOptions:(R==null?void 0:R.viewOptions)&&H?{displayName:R.viewOptions.displayName,filenamePattern:H,exclusive:R.viewOptions.exclusive||!1}:void 0}),new n.Disposable(()=>{F==null||F.dispose(),this._notebookContentProviders.delete(h),this._proxy.$unregisterNotebookProvider(h)})}registerNotebookKernelProvider(i,h,D){const R=t._notebookKernelProviderHandlePool++,p=new c(this._proxy,R,i,D);return this._notebookKernelProviders.set(R,p),this._proxy.$registerNotebookKernelProvider({id:i.identifier,location:i.extensionLocation,description:i.description},R,{viewType:h.viewType,filenamePattern:h.filenamePattern?E.NotebookExclusiveDocumentPattern.from(h.filenamePattern):void 0}),new n.Disposable(()=>{p.dispose(),this._notebookKernelProviders.delete(R),this._proxy.$unregisterNotebookKernelProvider(R)})}createNotebookEditorDecorationType(i){return new a(this._proxy,i).value}async openNotebookDocument(i){const h=this._documents.get(i);if(h)return h.notebookDocument;const D=await this._proxy.$tryOpenDocument(i),R=this._documents.get(I.URI.revive(D));return(0,v.assertIsDefined)(R==null?void 0:R.notebookDocument)}_withAdapter(i,h,D){const R=this._documents.get(I.URI.revive(h));if(!R)return[];const p=this._notebookKernelProviders.get(i);return p?D(p,R):[]}async showNotebookDocument(i,h){var D;I.URI.isUri(i)&&(i=await this.openNotebookDocument(i));let R;typeof h=="object"?R={position:E.ViewColumn.from(h.viewColumn),preserveFocus:h.preserveFocus,selection:h.selection&&E.NotebookCellRange.from(h.selection),pinned:typeof h.preview=="boolean"?!h.preview:void 0}:R={preserveFocus:!1};const p=await this._proxy.$tryShowNotebookDocument(i.uri,i.viewType,R),g=p&&((D=this._editors.get(p))===null||D===void 0?void 0:D.editor);if(g)return g.editor;throw p?new Error(`Could NOT open editor for "${i.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${i.toString()}".`)}async $provideNotebookKernels(i,h,D){return this._withAdapter(i,h,(R,p)=>R.provideKernels(p,D))}async $resolveNotebookKernel(i,h,D,R,p){await this._withAdapter(i,D,async(g,T)=>{const F=this._webviewComm.get(h);F&&await g.resolveNotebook(R,T,F.contentProviderComm,p)})}async $resolveNotebookEditor(i,h,D){const R=this._notebookContentProviders.get(i),p=I.URI.revive(h),g=this._documents.get(p);if(!(!g||!R)){let T=this._webviewComm.get(D);T||(T=new w(D,p,this._proxy,this._webviewInitData,g),this._webviewComm.set(D,T)),!!R.provider.resolveNotebook&&await R.provider.resolveNotebook(g.notebookDocument,T.contentProviderComm)}}async $executeNotebookKernelFromProvider(i,h,D,R){await this._withAdapter(i,h,async(p,g)=>{const T=R!==void 0?g.getCell(R):void 0;return p.executeNotebook(D,g,T)})}async $cancelNotebookKernelFromProvider(i,h,D,R){await this._withAdapter(i,h,async(p,g)=>{const T=R!==void 0?g.getCell(R):void 0;return p.cancelNotebook(D,g,T)})}async $openNotebook(i,h,D,R,p){const{provider:g}=this._getProviderData(i),T=await g.openNotebook(I.URI.revive(h),{backupId:D,untitledDocumentData:p==null?void 0:p.buffer},R);return{metadata:E.NotebookDocumentMetadata.from(T.metadata),cells:T.cells.map(E.NotebookCellData.from)}}async $saveNotebook(i,h,D){const R=this._getNotebookDocument(I.URI.revive(h)),{provider:p}=this._getProviderData(i);return await p.saveNotebook(R.notebookDocument,D),!0}async $saveNotebookAs(i,h,D,R){const p=this._getNotebookDocument(I.URI.revive(h)),{provider:g}=this._getProviderData(i);return await g.saveNotebookAs(I.URI.revive(D),p.notebookDocument,R),!0}async $backupNotebook(i,h,D){var R;const p=this._getNotebookDocument(I.URI.revive(h)),g=this._getProviderData(i),T=(R=this._extensionStoragePaths.workspaceValue(g.extension))!==null&&R!==void 0?R:this._extensionStoragePaths.globalValue(g.extension),F=String((0,m.hash)([p.uri.toString(),this._backupIdPool++])),H=I.URI.joinPath(T,F),le=await g.provider.backupNotebook(p.notebookDocument,{destination:H},D);return p.updateBackup(le),le.id}$acceptNotebookActiveKernelChange(i){i.providerHandle!==void 0&&this._withAdapter(i.providerHandle,i.uri,async(h,D)=>{const R=i.kernelFriendlyId?h.getKernelByFriendlyId(I.URI.revive(i.uri),i.kernelFriendlyId):void 0;this._editors.forEach(p=>{p.editor.notebookData===D&&p.editor._acceptKernel(R)}),this._onDidChangeActiveNotebookKernel.fire({document:D.notebookDocument,kernel:R})})}$onDidReceiveMessage(i,h,D){var R;(R=this._webviewComm.get(i))===null||R===void 0||R.onDidReceiveMessage(h,D)}$acceptModelChanged(i,h,D){this._getNotebookDocument(I.URI.revive(i)).acceptModelChanged(h,D)}$acceptDirtyStateChanged(i,h){const D=this._getNotebookDocument(I.URI.revive(i));D.acceptModelChanged({rawEvents:[],versionId:D.notebookDocument.version},h)}$acceptModelSaved(i){const h=this._getNotebookDocument(I.URI.revive(i));this._onDidSaveNotebookDocument.fire(h.notebookDocument)}$acceptEditorPropertiesChanged(i,h){this.logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",i,h);const D=this._editors.get(i);if(!D)throw new Error(`unknown text editor: ${i}`);h.visibleRanges&&D.editor._acceptVisibleRanges(h.visibleRanges.ranges.map(E.NotebookCellRange.to)),h.selections&&D.editor._acceptSelections(h.selections.selections.map(E.NotebookCellRange.to)),h.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:D.editor.editor,visibleRanges:D.editor.editor.visibleRanges}),h.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:D.editor.editor,selections:D.editor.editor.selections}))}$acceptDocumentPropertiesChanged(i,h){this.logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",i.path,h);const D=this._getNotebookDocument(I.URI.revive(i));D.acceptDocumentPropertiesChanged(h),h.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:D.notebookDocument})}_createExtHostEditor(i,h,D){var R;const p=i.uri;let g=this._webviewComm.get(h);g||(g=new w(h,p,this._proxy,this._webviewInitData,i),this._webviewComm.set(h,g));const T=new s.ExtHostNotebookEditor(h,i.notebookDocument.viewType,this._proxy,i,D.visibleRanges.map(E.NotebookCellRange.to),D.selections.map(E.NotebookCellRange.to),typeof D.viewColumn=="number"?E.ViewColumn.to(D.viewColumn):void 0);(R=this._editors.get(h))===null||R===void 0||R.editor.dispose(),this._editors.set(h,{editor:T})}$acceptDocumentAndEditorsDelta(i){var h,D,R,p;let g=!1;if(i.removedDocuments)for(const F of i.removedDocuments){const H=I.URI.revive(F),le=this._documents.get(H);le&&(le.dispose(),this._documents.delete(H),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:le.notebookDocument.cells.map(z=>z.document.uri)}),this._onDidCloseNotebookDocument.fire(le.notebookDocument));for(const z of this._editors.values())z.editor.notebookData.uri.toString()===H.toString()&&(z.editor.dispose(),this._editors.delete(z.editor.id),g=!0)}if(i.addedDocuments){const F=[];for(const H of i.addedDocuments){const le=I.URI.revive(H.uri),z=H.viewType;if(this._documents.has(le))throw new Error(`adding EXISTING notebook ${le}`);const B=this,Q=new d.ExtHostNotebookDocument(this._proxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(M){B._onDidChangeNotebookCells.fire(M)},emitCellOutputsChange(M){B._onDidChangeCellOutputs.fire(M)},emitCellMetadataChange(M){B._onDidChangeCellMetadata.fire(M)}},z,H.metadata?E.NotebookDocumentMetadata.to(H.metadata):new n.NotebookDocumentMetadata,le);Q.acceptModelChanged({versionId:H.versionId,rawEvents:[{kind:k.NotebookCellsChangeType.Initialize,changes:[[0,0,H.cells]]}]},!1),F.push(...H.cells.map(M=>d.ExtHostCell.asModelAddData(Q.notebookDocument,M))),(h=this._documents.get(le))===null||h===void 0||h.dispose(),this._documents.set(le,Q),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:F}),this._onDidOpenNotebookDocument.fire(Q.notebookDocument)}}if(i.addedEditors)for(const F of i.addedEditors){if(this._editors.has(F.id))return;const H=I.URI.revive(F.documentUri),le=this._documents.get(H);le&&(this._createExtHostEditor(le,F.id,F),g=!0)}const T=[];if(i.removedEditors)for(const F of i.removedEditors){const H=this._editors.get(F);H&&(g=!0,this._editors.delete(F),((D=this._activeNotebookEditor)===null||D===void 0?void 0:D.id)===H.editor.id&&(this._activeNotebookEditor=void 0),T.push(H))}if(g&&T.forEach(F=>{F.editor.dispose()}),i.visibleEditors){this._visibleNotebookEditors=i.visibleEditors.map(H=>this._editors.get(H).editor).filter(H=>!!H);const F=new Set;this._visibleNotebookEditors.forEach(H=>F.add(H.id));for(const H of this._editors.values()){const le=F.has(H.editor.id);H.editor._acceptVisibility(le)}this._visibleNotebookEditors=[...this._editors.values()].map(H=>H.editor).filter(H=>H.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}i.newActiveEditor===null?this._activeNotebookEditor=void 0:i.newActiveEditor&&(this._activeNotebookEditor=(R=this._editors.get(i.newActiveEditor))===null||R===void 0?void 0:R.editor),i.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire((p=this._activeNotebookEditor)===null||p===void 0?void 0:p.editor)}createNotebookCellStatusBarItemInternal(i,h,D){const R=new r(this._proxy,this._commandsConverter,i,h,D),p=k.CellUri.parse(i.document.uri);if(p){const g=this._documents.get(p.notebook);if(g){const T=g.getCell(p.handle);T&&y.Event.once(T.onDidDispose)(()=>R.dispose())}}return R}}e.ExtHostNotebookController=t,t._notebookKernelProviderHandlePool=0;class r extends A.Disposable{constructor(i,h,D,R,p){super();this._proxy=i,this._commands=h,this._cell=D,this._priority=p,this._id=r.NEXT_ID++,this._isDisposed=!1,this._text="",this._visible=!1,this._internalCommandRegistration=this._register(new A.DisposableStore),this._alignment=R!=null?R:n.NotebookCellStatusBarAlignment.Left}get apiItem(){return this._apiItem||(this._apiItem=o(this)),this._apiItem}get cell(){return this._cell}get alignment(){return this._alignment}set alignment(i){this._alignment=i,this.update()}get priority(){return this._priority}set priority(i){this._priority=i,this.update()}get text(){return this._text}set text(i){this._text=i,this.update()}get tooltip(){return this._tooltip}set tooltip(i){this._tooltip=i,this.update()}get command(){var i;return(i=this._command)===null||i===void 0?void 0:i.fromApi}set command(i){var h;((h=this._command)===null||h===void 0?void 0:h.fromApi)!==i&&(this._internalCommandRegistration.clear(),typeof i=="string"?this._command={fromApi:i,internal:this._commands.toInternal({title:"",command:i},this._internalCommandRegistration)}:i?this._command={fromApi:i,internal:this._commands.toInternal(i,this._internalCommandRegistration)}:this._command=void 0,this.update())}get accessibilityInformation(){return this._accessibilityInformation}set accessibilityInformation(i){this._accessibilityInformation=i,this.update()}show(){this._visible=!0,this.update()}hide(){this._visible=!1,this.update()}dispose(){this.hide(),this._isDisposed=!0,this._internalCommandRegistration.dispose()}update(){var i;if(!this._isDisposed){const h={alignment:this.alignment===n.NotebookCellStatusBarAlignment.Left?0:1,cellResource:this.cell.document.uri,command:(i=this._command)===null||i===void 0?void 0:i.internal,text:this.text,tooltip:this.tooltip,accessibilityInformation:this.accessibilityInformation,priority:this.priority,visible:this._visible};this._proxy.$setStatusBarEntry(this._id,h)}}}e.NotebookCellStatusBarItemInternal=r,r.NEXT_ID=0;function o(l){return Object.freeze({cell:l.cell,get alignment(){return l.alignment},set alignment(i){l.alignment=i},get priority(){return l.priority},set priority(i){l.priority=i},get text(){return l.text},set text(i){l.text=i},get tooltip(){return l.tooltip},set tooltip(i){l.tooltip=i},get command(){return l.command},set command(i){l.command=i},get accessibilityInformation(){return l.accessibilityInformation},set accessibilityInformation(i){l.accessibilityInformation=i},show(){l.show()},hide(){l.hide()},dispose(){l.dispose()}})}}),define(we[98],Ee([0,1,5,3,6,26,4,14]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class E extends A.Disposable{constructor(s,f,v,m){super();this._onDidAppend=this._register(new y.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=s,this._proxy=m,this._id=m.$register(this.name,f,v),this._disposed=!1,this._offset=0}get name(){return this._name}append(s){this.validate(),this._offset+=s?I.VSBuffer.fromString(s).byteLength:0}update(){this._id.then(s=>this._proxy.$update(s))}appendLine(s){this.validate(),this.append(s+`
`)}clear(){this.validate();const s=this._offset;this._id.then(f=>this._proxy.$clear(f,s))}show(s,f){this.validate(),this._id.then(v=>this._proxy.$reveal(v,!!(typeof s=="boolean"?s:f)))}hide(){this.validate(),this._id.then(s=>this._proxy.$close(s))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(s=>this._proxy.$dispose(s)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=E;class n extends E{constructor(s,f){super(s,!1,void 0,f)}append(s){super.append(s),this._id.then(f=>this._proxy.$append(f,s)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=n;class P extends E{constructor(s,f,v){super(s,!0,f,v)}append(s){throw new Error("Not supported")}}class k{constructor(s,f){this.name=s,this._channel=f}append(s){this._channel.then(f=>f.append(s))}appendLine(s){this._channel.then(f=>f.appendLine(s))}clear(){this._channel.then(s=>s.clear())}show(s,f){this._channel.then(v=>v.show(s,f))}hide(){this._channel.then(s=>s.hide())}dispose(){this._channel.then(s=>s.dispose())}}e.LazyOutputChannel=k;let _=class{constructor(s){this._proxy=s.getProxy(b.MainContext.MainThreadOutputService)}$setVisibleChannel(s){}createOutputChannel(s){if(s=s.trim(),!s)throw new Error("illegal argument `name`. must not be falsy");return new n(s,this._proxy)}createOutputChannelFromLogFile(s,f){if(s=s.trim(),!s)throw new Error("illegal argument `name`. must not be falsy");if(!f)throw new Error("illegal argument `file`. must not be falsy");return new P(s,f,this._proxy)}};_=je([qe(0,C.IExtHostRpcService)],_),e.ExtHostOutputService=_,e.IExtHostOutputService=(0,S.createDecorator)("IExtHostOutputService")}),define(we[198],Ee([0,1,13,20,3,6,5,2,7,10,15]),function(oe,e,b,y,A,I,S,C,E,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function k(_,d,s){const f=_.getProxy(S.MainContext.MainThreadQuickOpen);class v{constructor(o,l){this._sessions=new Map,this._instances=0,this._workspace=o,this._commands=l}showQuickPick(o,l,i,h=y.CancellationToken.None){this._onDidSelectItem=void 0;const D=Promise.resolve(o),R=++this._instances,p=f.$show(R,{placeHolder:i&&i.placeHolder,matchOnDescription:i&&i.matchOnDescription,matchOnDetail:i&&i.matchOnDetail,ignoreFocusLost:i&&i.ignoreFocusOut,canPickMany:i&&i.canPickMany},h),g={},T=p.then(()=>g);return Promise.race([T,D]).then(F=>{if(F!==g)return D.then(H=>{const le=[];for(let z=0;z<H.length;z++){const B=H[z];let Q,M,$,N,K;typeof B=="string"?Q=B:(Q=B.label,M=B.description,$=B.detail,N=B.picked,K=B.alwaysShow),le.push({label:Q,description:M,handle:z,detail:$,picked:N,alwaysShow:K})}return i&&typeof i.onDidSelectItem=="function"&&(this._onDidSelectItem=z=>{i.onDidSelectItem(H[z])}),f.$setItems(R,le),p.then(z=>{if(typeof z=="number")return H[z];if(Array.isArray(z))return z.map(B=>H[B])})})}).then(void 0,F=>{if(!(0,n.isPromiseCanceledError)(F))return f.$setError(R,F),Promise.reject(F)})}$onItemSelected(o){this._onDidSelectItem&&this._onDidSelectItem(o)}showInput(o,l=y.CancellationToken.None){return this._validateInput=o?o.validateInput:void 0,f.$input(o,typeof this._validateInput=="function",l).then(void 0,i=>{if(!(0,n.isPromiseCanceledError)(i))return Promise.reject(i)})}$validateInput(o){return this._validateInput?(0,b.asPromise)(()=>this._validateInput(o)):Promise.resolve(void 0)}async showWorkspaceFolderPick(o,l=y.CancellationToken.None){const i=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[o]);if(!!i){const h=await this._workspace.getWorkspaceFolders2();if(!!h)return h.find(D=>D.uri.toString()===i.uri.toString())}}createQuickPick(o,l){const i=new a(o,l,()=>this._sessions.delete(i._id));return this._sessions.set(i._id,i),i}createInputBox(o){const l=new t(o,()=>this._sessions.delete(l._id));return this._sessions.set(l._id,l),l}$onDidChangeValue(o,l){const i=this._sessions.get(o);i&&i._fireDidChangeValue(l)}$onDidAccept(o){const l=this._sessions.get(o);l&&l._fireDidAccept()}$onDidChangeActive(o,l){const i=this._sessions.get(o);i instanceof a&&i._fireDidChangeActive(l)}$onDidChangeSelection(o,l){const i=this._sessions.get(o);i instanceof a&&i._fireDidChangeSelection(l)}$onDidTriggerButton(o,l){const i=this._sessions.get(o);i&&i._fireDidTriggerButton(l)}$onDidHide(o){const l=this._sessions.get(o);l&&l._fireDidHide()}}class m{constructor(o,l){this._extensionId=o,this._onDidDispose=l,this._id=a._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new A.Emitter,this._onDidChangeValueEmitter=new A.Emitter,this._onDidTriggerButtonEmitter=new A.Emitter,this._onDidHideEmitter=new A.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(o){this._title=o,this.update({title:o})}get step(){return this._steps}set step(o){this._steps=o,this.update({step:o})}get totalSteps(){return this._totalSteps}set totalSteps(o){this._totalSteps=o,this.update({totalSteps:o})}get enabled(){return this._enabled}set enabled(o){this._enabled=o,this.update({enabled:o})}get busy(){return this._busy}set busy(o){this._busy=o,this.update({busy:o})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(o){this._ignoreFocusOut=o,this.update({ignoreFocusOut:o})}get value(){return this._value}set value(o){this._value=o,this.update({value:o})}get placeholder(){return this._placeholder}set placeholder(o){this._placeholder=o,this.update({placeholder:o})}get buttons(){return this._buttons}set buttons(o){this._buttons=o.slice(),this._handlesToButtons.clear(),o.forEach((l,i)=>{const h=l===E.QuickInputButtons.Back?-1:i;this._handlesToButtons.set(h,l)}),this.update({buttons:o.map((l,i)=>({iconPath:w(l.iconPath),tooltip:l.tooltip,handle:l===E.QuickInputButtons.Back?-1:i}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(o){this._value=o,this._onDidChangeValueEmitter.fire(o)}_fireDidTriggerButton(o){const l=this._handlesToButtons.get(o);l&&this._onDidTriggerButtonEmitter.fire(l)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,I.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),f.$dispose(this._id))}update(o){if(!this._disposed){for(const l of Object.keys(o)){const i=o[l];this._pendingUpdate[l]=i===void 0?null:i}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){f.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}m._nextId=1;function w(r){if(r instanceof E.ThemeIcon)return{id:r.id};const o=u(r),l=c(r);return{dark:typeof o=="string"?C.URI.file(o):o,light:typeof l=="string"?C.URI.file(l):l}}function c(r){return typeof r=="object"&&"light"in r?r.light:r}function u(r){return typeof r=="object"&&"dark"in r?r.dark:r}class a extends m{constructor(o,l,i){super(o,i);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new A.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new A.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(o){this._items=o.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),o.forEach((l,i)=>{this._handlesToItems.set(i,l),this._itemsToHandles.set(l,i)}),this.update({items:o.map((l,i)=>({label:l.label,description:l.description,handle:i,detail:l.detail,picked:l.picked,alwaysShow:l.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(o){this._canSelectMany=o,this.update({canSelectMany:o})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(o){this._matchOnDescription=o,this.update({matchOnDescription:o})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(o){this._matchOnDetail=o,this.update({matchOnDetail:o})}get sortByLabel(){return this._sortByLabel}set sortByLabel(o){this._sortByLabel=o,this.update({sortByLabel:o})}get activeItems(){return this._activeItems}set activeItems(o){this._activeItems=o.filter(l=>this._itemsToHandles.has(l)),this.update({activeItems:this._activeItems.map(l=>this._itemsToHandles.get(l))})}get selectedItems(){return this._selectedItems}set selectedItems(o){this._selectedItems=o.filter(l=>this._itemsToHandles.has(l)),this.update({selectedItems:this._selectedItems.map(l=>this._itemsToHandles.get(l))})}_fireDidChangeActive(o){const l=(0,P.coalesce)(o.map(i=>this._handlesToItems.get(i)));this._activeItems=l,this._onDidChangeActiveEmitter.fire(l)}_fireDidChangeSelection(o){const l=(0,P.coalesce)(o.map(i=>this._handlesToItems.get(i)));this._selectedItems=l,this._onDidChangeSelectionEmitter.fire(l)}}class t extends m{constructor(o,l){super(o,l);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(o){this._password=o,this.update({password:o})}get prompt(){return this._prompt}set prompt(o){this._prompt=o,this.update({prompt:o})}get validationMessage(){return this._validationMessage}set validationMessage(o){this._validationMessage=o,this.update({validationMessage:o})}}return new v(d,s)}e.createExtHostQuickOpen=k}),define(we[199],Ee([0,1,2,3,44,6,13,5,15,109,19,25,34]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function d(l){if(l)return typeof l.iconPath=="string"?b.URI.file(l.iconPath):l.iconPath}function s(l,i){if(!l.iconPath&&!i.iconPath)return 0;if(l.iconPath){if(!i.iconPath)return 1}else return-1;const h=typeof l.iconPath=="string"?l.iconPath:l.iconPath.fsPath,D=typeof i.iconPath=="string"?i.iconPath:i.iconPath.fsPath;return(0,n.comparePaths)(h,D)}function f(l,i){let h=0;if(l.strikeThrough!==i.strikeThrough)return l.strikeThrough?1:-1;if(l.faded!==i.faded)return l.faded?1:-1;if(l.tooltip!==i.tooltip)return(l.tooltip||"").localeCompare(i.tooltip||"");if(h=s(l,i),h!==0)return h;if(l.light&&i.light)h=s(l.light,i.light);else{if(l.light)return 1;if(i.light)return-1}if(h!==0)return h;if(l.dark&&i.dark)h=s(l.dark,i.dark);else{if(l.dark)return 1;if(i.dark)return-1}return h}function v(l,i){if(l.command!==i.command)return l.command<i.command?-1:1;if(l.title!==i.title)return l.title<i.title?-1:1;if(l.tooltip!==i.tooltip){if(l.tooltip!==void 0&&i.tooltip!==void 0)return l.tooltip<i.tooltip?-1:1;if(l.tooltip!==void 0)return 1;if(i.tooltip!==void 0)return-1}if(l.arguments===i.arguments)return 0;if(l.arguments)if(i.arguments){if(l.arguments.length!==i.arguments.length)return l.arguments.length-i.arguments.length}else return 1;else return-1;for(let h=0;h<l.arguments.length;h++){const D=l.arguments[h],R=i.arguments[h];if(D!==R)return D<R?-1:1}return 0}function m(l,i){let h=(0,n.comparePaths)(l.resourceUri.fsPath,i.resourceUri.fsPath,!0);if(h!==0)return h;if(l.command&&i.command)h=v(l.command,i.command);else{if(l.command)return 1;if(i.command)return-1}if(h!==0)return h;if(l.decorations&&i.decorations)h=f(l.decorations,i.decorations);else{if(l.decorations)return 1;if(i.decorations)return-1}return h}function w(l,i){for(let h=0;h<l.length;h++)if(l[h]!==i[h])return!1;return!0}function c(l,i){return l.command===i.command&&l.title===i.title&&l.tooltip===i.tooltip&&(l.arguments&&i.arguments?w(l.arguments,i.arguments):l.arguments===i.arguments)}function u(l,i){return(0,E.equals)(l,i,c)}class a{constructor(i,h,D){this._extension=i,this._proxy=h,this._sourceControlHandle=D,this._value="",this._onDidChange=new y.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(i){this._proxy.$setInputBoxValue(this._sourceControlHandle,i),this.updateValue(i)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(i){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,i),this._placeholder=i}get validateInput(){return(0,_.checkProposedApiEnabled)(this._extension),this._validateInput}set validateInput(i){if((0,_.checkProposedApiEnabled)(this._extension),i&&typeof i!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=i,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!i)}get visible(){return this._visible}set visible(i){i=!!i,this._visible!==i&&(this._visible=i,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,i))}$onInputBoxValueChange(i){this.updateValue(i)}updateValue(i){this._value=i,this._onDidChange.fire(i)}}e.ExtHostSCMInputBox=a;class t{constructor(i,h,D,R,p){this._proxy=i,this._commands=h,this._sourceControlHandle=D,this._id=R,this._label=p,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new y.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new y.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(i){this._label=i,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,i)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(i){this._hideWhenEmpty=i,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(i){this._resourceStates=[...i],this._onDidUpdateResourceStates.fire()}getResourceState(i){return this._resourceStatesMap.get(i)}$executeResourceCommand(i,h){const D=this._resourceStatesCommandsMap.get(i);return D?(0,S.asPromise)(()=>this._commands.executeCommand(D.command,...D.arguments||[],h)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){var i;const h=[...this._resourceStates].sort(m),R=(0,E.sortedDiff)(this._resourceSnapshot,h,m).map(T=>{const F=T.toInsert.map(H=>{const le=this._resourceHandlePool++;this._resourceStatesMap.set(le,H);const z=H.resourceUri,B=d(H.decorations),Q=H.decorations&&d(H.decorations.light)||B,M=H.decorations&&d(H.decorations.dark)||B,$=[];let N;if(H.command)if(H.command.command==="vscode.open"||H.command.command==="vscode.diff"){const Se=new I.DisposableStore;N=this._commands.converter.toInternal(H.command,Se),this._resourceStatesDisposablesMap.set(le,Se)}else this._resourceStatesCommandsMap.set(le,H.command);Q&&$.push(Q),M&&M.toString()!==(Q==null?void 0:Q.toString())&&$.push(M);const K=H.decorations&&H.decorations.tooltip||"",W=H.decorations&&!!H.decorations.strikeThrough,Z=H.decorations&&!!H.decorations.faded,ne=H.contextValue||"";return{rawResource:[le,z,$,K,W,Z,ne,N],handle:le}});return{start:T.start,deleteCount:T.deleteCount,toInsert:F}}),p=R.map(({start:T,deleteCount:F,toInsert:H})=>[T,F,H.map(le=>le.rawResource)]),g=R.reverse();for(const{start:T,deleteCount:F,toInsert:H}of g){const le=H.map(B=>B.handle),z=this._handlesSnapshot.splice(T,F,...le);for(const B of z)this._resourceStatesMap.delete(B),this._resourceStatesCommandsMap.delete(B),(i=this._resourceStatesDisposablesMap.get(B))===null||i===void 0||i.dispose(),this._resourceStatesDisposablesMap.delete(B)}return this._resourceSnapshot=h,p}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class r{constructor(i,h,D,R,p,g){this._proxy=h,this._commands=D,this._id=R,this._label=p,this._rootUri=g,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new I.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new I.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new y.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=r._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new a(i,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,R,p,g)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(i){this._count!==i&&(this._count=i,this._proxy.$updateSourceControl(this.handle,{count:i}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(i){this._quickDiffProvider=i,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!i})}get commitTemplate(){return this._commitTemplate}set commitTemplate(i){i!==this._commitTemplate&&(this._commitTemplate=i,this._proxy.$updateSourceControl(this.handle,{commitTemplate:i}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(i){this._acceptInputDisposables.value=new I.DisposableStore,this._acceptInputCommand=i;const h=this._commands.converter.toInternal(i,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:h})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(i){if(!(this._statusBarCommands&&i&&u(this._statusBarCommands,i))){this._statusBarDisposables.value=new I.DisposableStore,this._statusBarCommands=i;const h=(i||[]).map(D=>this._commands.converter.toInternal(D,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:h})}}get selected(){return this._selected}createResourceGroup(i,h){const D=new t(this._proxy,this._commands,this.handle,i,h),R=y.Event.once(D.onDidDispose)(()=>this.createdResourceGroups.delete(D));return this.createdResourceGroups.set(D,R),this.eventuallyAddResourceGroups(),D}eventuallyAddResourceGroups(){const i=[],h=[];for(const[D,R]of this.createdResourceGroups){R.dispose();const p=D.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(D),this.eventuallyUpdateResourceStates()});y.Event.once(D.onDidDispose)(()=>{this.updatedResourceGroups.delete(D),p.dispose(),this._groups.delete(D.handle),this._proxy.$unregisterGroup(this.handle,D.handle)}),i.push([D.handle,D.id,D.label,D.features]);const g=D._takeResourceStateSnapshot();g.length>0&&h.push([D.handle,g]),this._groups.set(D.handle,D)}this._proxy.$registerGroups(this.handle,i,h),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const i=[];this.updatedResourceGroups.forEach(h=>{const D=h._takeResourceStateSnapshot();D.length!==0&&i.push([h.handle,D])}),i.length>0&&this._proxy.$spliceResourceStates(this.handle,i),this.updatedResourceGroups.clear()}getResourceGroup(i){return this._groups.get(i)}setSelectionState(i){this._selected=i,this._onDidChangeSelection.fire(i)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(i=>i.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}r._handlePool=0,je([(0,A.debounce)(100)],r.prototype,"eventuallyAddResourceGroups",null),je([(0,A.debounce)(100)],r.prototype,"eventuallyUpdateResourceStates",null);let o=class Dn{constructor(i,h,D){this._commands=h,this.logService=D,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new y.Emitter,this._proxy=i.getProxy(C.MainContext.MainThreadSCM),this._telemetry=i.getProxy(C.MainContext.MainThreadTelemetry),h.registerArgumentProcessor({processArgument:R=>{if(R&&R.$mid===3){const p=this._sourceControls.get(R.sourceControlHandle);if(!p)return R;const g=p.getResourceGroup(R.groupHandle);return g?g.getResourceState(R.handle):R}else if(R&&R.$mid===4){const p=this._sourceControls.get(R.sourceControlHandle);return p?p.getResourceGroup(R.groupHandle):R}else if(R&&R.$mid===5){const p=this._sourceControls.get(R.handle);return p||R}return R}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(i,h,D,R){this.logService.trace("ExtHostSCM#createSourceControl",i.identifier.value,h,D,R),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:i.identifier.value});const p=Dn._handlePool++,g=new r(i,this._proxy,this._commands,h,D,R);this._sourceControls.set(p,g);const T=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(i.identifier))||[];return T.push(g),this._sourceControlsByExtension.set(k.ExtensionIdentifier.toKey(i.identifier),T),g}getLastInputBox(i){this.logService.trace("ExtHostSCM#getLastInputBox",i.identifier.value);const h=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(i.identifier)),D=h&&h[h.length-1];return D&&D.inputBox}$provideOriginalResource(i,h,D){const R=b.URI.revive(h);this.logService.trace("ExtHostSCM#$provideOriginalResource",i,R.toString());const p=this._sourceControls.get(i);return!p||!p.quickDiffProvider||!p.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,S.asPromise)(()=>p.quickDiffProvider.provideOriginalResource(R,D)).then(g=>g||null)}$onInputBoxValueChange(i,h){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",i);const D=this._sourceControls.get(i);return D&&D.inputBox.$onInputBoxValueChange(h),Promise.resolve(void 0)}$executeResourceCommand(i,h,D,R){this.logService.trace("ExtHostSCM#$executeResourceCommand",i,h,D);const p=this._sourceControls.get(i);if(!p)return Promise.resolve(void 0);const g=p.getResourceGroup(h);return g?g.$executeResourceCommand(D,R):Promise.resolve(void 0)}$validateInput(i,h,D){this.logService.trace("ExtHostSCM#$validateInput",i);const R=this._sourceControls.get(i);return!R||!R.inputBox.validateInput?Promise.resolve(void 0):(0,S.asPromise)(()=>R.inputBox.validateInput(h,D)).then(p=>p?Promise.resolve([p.message,p.type]):Promise.resolve(void 0))}$setSelectedSourceControl(i){var h,D;return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",i),i!==void 0&&((h=this._sourceControls.get(i))===null||h===void 0||h.setSelectionState(!0)),this._selectedSourceControlHandle!==void 0&&((D=this._sourceControls.get(this._selectedSourceControlHandle))===null||D===void 0||D.setSelectionState(!1)),this._selectedSourceControlHandle=i,Promise.resolve(void 0)}};o._handlePool=0,o=je([qe(2,P.ILogService)],o),e.ExtHostSCM=o});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[200],Ee([0,1,7,5,131,6]),function(oe,e,b,y,A,I){"use strict";var S,C;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class E{constructor(_,d,s,f,v=b.StatusBarAlignment.Left,m,w){S.set(this,void 0),C.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new I.DisposableStore,tt(this,S,_),tt(this,C,d),this._id=E.ID_GEN++,this._statusId=s,this._statusName=f,this._alignment=v,this._priority=m,this._accessibilityInformation=w}get id(){return this._id}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){var _;return(_=this._command)===null||_===void 0?void 0:_.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(_){this._text=_,this.update()}set tooltip(_){this._tooltip=_,this.update()}set color(_){this._color=_,this.update()}set backgroundColor(_){_&&!E.ALLOWED_BACKGROUND_COLORS.has(_.id)&&(_=void 0),this._backgroundColor=_,this.update()}set command(_){var d;((d=this._command)===null||d===void 0?void 0:d.fromApi)!==_&&(this._internalCommandRegistration.clear(),typeof _=="string"?this._command={fromApi:_,internal:We(this,C).toInternal({title:"",command:_},this._internalCommandRegistration)}:_?this._command={fromApi:_,internal:We(this,C).toInternal(_,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(_){this._accessibilityInformation=_,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,We(this,S).$dispose(this.id)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{var _;this._timeoutHandle=void 0;let d=this._color;this._backgroundColor&&(d=E.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id)),We(this,S).$setEntry(this.id,this._statusId,this._statusName,this._text,this._tooltip,(_=this._command)===null||_===void 0?void 0:_.internal,d,this._backgroundColor,this._alignment===b.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=E,S=new WeakMap,C=new WeakMap,E.ID_GEN=0,E.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new b.ThemeColor("statusBarItem.errorForeground")]]);class n{constructor(_){this._messages=[],this._item=_.createStatusBarEntry("status.extensionMessage",(0,A.localize)(0,null),b.StatusBarAlignment.Left,Number.MIN_VALUE)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(_){const d={message:_};return this._messages.unshift(d),this._update(),new b.Disposable(()=>{const s=this._messages.indexOf(d);s>=0&&(this._messages.splice(s,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class P{constructor(_,d){this._proxy=_.getProxy(y.MainContext.MainThreadStatusBar),this._commands=d,this._statusMessage=new n(this)}createStatusBarEntry(_,d,s,f,v){return new E(this._proxy,this._commands,_,d,s,f,v)}setStatusBarMessage(_,d){const s=this._statusMessage.setMessage(_);let f;return typeof d=="number"?f=setTimeout(()=>s.dispose(),d):typeof d!="undefined"&&d.then(()=>s.dispose(),()=>s.dispose()),new b.Disposable(()=>{s.dispose(),clearTimeout(f)})}}e.ExtHostStatusBar=P}),define(we[75],Ee([0,1,5,3,4]),function(oe,e,b,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class I{constructor(C){this._onDidChangeStorage=new y.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=C.getProxy(b.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(C,E){this._proxy.$registerExtensionStorageKeysToSync(C,E)}getValue(C,E,n){return this._proxy.$getValue(C,E).then(P=>P||n)}setValue(C,E,n){return this._proxy.$setValue(C,E,n)}$acceptValue(C,E,n){this._onDidChangeStorage.fire({shared:C,key:E,value:n})}}e.ExtHostStorage=I,e.IExtHostStorage=(0,A.createDecorator)("IExtHostStorage")}),define(we[76],Ee([0,1,4,27,19,74,2]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,b.createDecorator)("IExtensionStoragePaths");let C=class{constructor(n,P,k){var _;this._logService=P,this._extHostFileSystem=k,this._workspace=(_=n.workspace)!==null&&_!==void 0?_:void 0,this._environment=n.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(d=>this._value=d)}async _getOrCreateWorkspaceStoragePath(){var n;if(!this._workspace)return Promise.resolve(void 0);const P=this._workspace.id,k=S.URI.joinPath(this._environment.workspaceStorageHome,P);try{return await this._extHostFileSystem.value.stat(k),this._logService.trace("[ExtHostStorage] storage dir already exists",k),k}catch(_){}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",k),await this._extHostFileSystem.value.createDirectory(k),await this._extHostFileSystem.value.writeFile(S.URI.joinPath(k,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:(n=S.URI.revive(this._workspace.configuration))===null||n===void 0?void 0:n.toString(),name:this._workspace.name},void 0,2))),k}catch(_){this._logService.error("[ExtHostStorage]",_);return}}workspaceValue(n){if(this._value)return S.URI.joinPath(this._value,n.identifier.value)}globalValue(n){return S.URI.joinPath(this._environment.globalStorageHome,n.identifier.value.toLowerCase())}};C=je([qe(0,y.IExtHostInitDataService),qe(1,A.ILogService),qe(2,I.IExtHostConsumerFileSystem)],C),e.ExtensionStoragePaths=C}),define(we[41],Ee([0,1,3,5,4,2,14,6,7,132,10,167,20,29,151]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,A.createDecorator)("IExtHostTerminalService");class f{constructor(t,r,o,l){this._proxy=t,this._id=r,this._creationOptions=o,this._name=l,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(h=>this._pidPromiseComplete=h);const i=this;this.value={get name(){return i._name||""},get processId(){return i._pidPromise},get creationOptions(){return i._creationOptions},get exitStatus(){return i._exitStatus},sendText(h,D=!0){i._checkDisposed(),i._proxy.$sendText(i._id,h,D)},show(h){i._checkDisposed(),i._proxy.$show(i._id,h)},hide(){i._checkDisposed(),i._proxy.$hide(i._id)},dispose(){i._disposed||(i._disposed=!0,i._proxy.$dispose(i._id))},get dimensions(){if(!(i._cols===void 0||i._rows===void 0))return{columns:i._cols,rows:i._rows}}}}async create(t,r,o,l,i,h,D,R,p){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:this._name,shellPath:t,shellArgs:r,cwd:o,env:l,waitOnExit:i,strictEnv:h,hideFromUser:D,isFeatureTerminal:R,isExtensionOwnedTerminal:p})}async createExtensionTerminal(){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitCode(t){this._exitStatus=Object.freeze({code:t})}setDimensions(t,r){return t===this._cols&&r===this._rows||t===0||r===0?!1:(this._cols=t,this._rows=r,!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(r=>{r!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=f;class v{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new b.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new b.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new b.Emitter,this._onProcessTitleChanged=new b.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new b.Emitter,this._onProcessShellTypeChanged=new b.Emitter,this.onProcessShellTypeChanged=this._onProcessShellTypeChanged.event}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput&&this._pty.handleInput(t)}resize(t,r){this._pty.setDimensions&&this._pty.setDimensions({columns:t,rows:r})}acknowledgeDataEvent(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(r=>this._onProcessData.fire(r)),this._pty.onDidClose&&this._pty.onDidClose((r=void 0)=>{this._onProcessExit.fire(r===void 0?void 0:r)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(r=>this._onProcessOverrideDimensions.fire(r&&{cols:r.columns,rows:r.rows})),this._pty.open(t||void 0),this._pty.setDimensions&&t&&this._pty.setDimensions(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=v;let m=1,w=class extends C.Disposable{constructor(t,r){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new b.Emitter,this._onDidOpenTerminal=new b.Emitter,this._onDidChangeActiveTerminal=new b.Emitter,this._onDidChangeTerminalDimensions=new b.Emitter,this._proxy=r.getProxy(y.MainContext.MainThreadTerminalService),this._bufferer=new s.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new b.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[o,l]of this._terminalProcesses)l.shutdown(!0)}})}get activeTerminal(){var t;return(t=this._activeTerminal)===null||t===void 0?void 0:t.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}createExtensionTerminal(t){const r=new f(this._proxy,(0,d.generateUuid)(),t,t.name),o=new v(t.pty);return r.createExtensionTerminal().then(l=>{const i=this._setupExtHostProcessListeners(l,o);this._terminalProcessDisposables[l]=i}),this._terminals.push(r),r.value}attachPtyToTerminal(t,r){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const l=new v(r),i=this._setupExtHostProcessListeners(t,l);this._terminalProcessDisposables[t]=i}async $acceptActiveTerminalChanged(t){const r=this._activeTerminal;if(t===null){this._activeTerminal=void 0,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const o=this._getTerminalById(t);o&&(this._activeTerminal=o,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,r){const o=this._getTerminalById(t);o&&this._onDidWriteTerminalData.fire({terminal:o.value,data:r})}async $acceptTerminalDimensions(t,r,o){const l=this._getTerminalById(t);l&&l.setDimensions(r,o)&&this._onDidChangeTerminalDimensions.fire({terminal:l.value,dimensions:l.value.dimensions})}async $acceptTerminalMaximumDimensions(t,r,o){var l;(l=this._terminalProcesses.get(t))===null||l===void 0||l.resize(r,o)}async $acceptTerminalTitleChange(t,r){const o=this._getTerminalById(t);o&&(o.name=r)}async $acceptTerminalClosed(t,r){const o=this._getTerminalObjectIndexById(this._terminals,t);if(o!==null){const l=this._terminals.splice(o,1)[0];l.setExitCode(r),this._onDidCloseTerminal.fire(l.value)}}$acceptTerminalOpened(t,r,o,l){if(r){const D=this._getTerminalObjectIndexById(this._terminals,r);if(D!==null){this._terminals[D]._id=t,this._onDidOpenTerminal.fire(this.terminals[D]),this._terminals[D].isOpen=!0;return}}const i={name:l.name,shellPath:l.executable,shellArgs:l.args,cwd:typeof l.cwd=="string"?l.cwd:I.URI.revive(l.cwd),env:l.env,hideFromUser:l.hideFromUser},h=new f(this._proxy,t,i,o);this._terminals.push(h),this._onDidOpenTerminal.fire(h.value),h.isOpen=!0}async $acceptTerminalProcessId(t,r){const o=this._getTerminalById(t);o&&o._setProcessId(r)}async $startExtensionTerminal(t,r){const o=this._getTerminalById(t);if(!o)return{message:(0,n.localize)(0,null,t)};o.isOpen||await new Promise(i=>{const h=this.onDidOpenTerminal(async D=>{D===o.value&&(h.dispose(),i())})});const l=this._terminalProcesses.get(t);l?l.startSendingEvents(r):this._extensionTerminalAwaitingStart[t]={initialDimensions:r}}_setupExtHostProcessListeners(t,r){const o=new C.DisposableStore;o.add(r.onProcessReady(i=>this._proxy.$sendProcessReady(t,i.pid,i.cwd))),o.add(r.onProcessTitleChanged(i=>this._proxy.$sendProcessTitle(t,i))),this._bufferer.startBuffering(t,r.onProcessData),o.add(r.onProcessExit(i=>this._onProcessExit(t,i))),r.onProcessOverrideDimensions&&o.add(r.onProcessOverrideDimensions(i=>this._proxy.$sendOverrideDimensions(t,i))),this._terminalProcesses.set(t,r);const l=this._extensionTerminalAwaitingStart[t];return l&&r instanceof v&&(r.startSendingEvents(l.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),o}$acceptProcessAckDataEvent(t,r){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.acknowledgeDataEvent(r)}$acceptProcessInput(t,r){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.input(r)}$acceptProcessResize(t,r,o){var l;try{(l=this._terminalProcesses.get(t))===null||l===void 0||l.resize(r,o)}catch(i){if(i.code!=="EPIPE"&&i.code!=="ERR_IPC_CHANNEL_CLOSED")throw i}}$acceptProcessShutdown(t,r){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.shutdown(r)}$acceptProcessRequestInitialCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getInitialCwd().then(o=>this._proxy.$sendProcessInitialCwd(t,o))}$acceptProcessRequestCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getCwd().then(o=>this._proxy.$sendProcessCwd(t,o))}$acceptProcessRequestLatency(t){return t}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new E.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}async $provideLinks(t,r){const o=this._getTerminalById(t);if(!o)return[];this._terminalLinkCache.delete(t);const l=this._terminalLinkCancellationSource.get(t);l&&l.dispose(!0);const i=new _.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,i);const h=[],D={terminal:o.value,line:r},R=[];for(const T of this._linkProviders)R.push(new Promise(async F=>{i.token.onCancellationRequested(()=>F({provider:T,links:[]}));const H=await T.provideTerminalLinks(D,i.token)||[];i.token.isCancellationRequested||F({provider:T,links:H})}));const p=await Promise.all(R);if(i.token.isCancellationRequested)return[];const g=new Map;for(const T of p)T&&T.links.length>0&&h.push(...T.links.map(F=>{const H={id:m++,startIndex:F.startIndex,length:F.length,label:F.tooltip};return g.set(H.id,{provider:T.provider,link:F}),H}));return this._terminalLinkCache.set(t,g),h}$activateLink(t,r){var o;const l=(o=this._terminalLinkCache.get(t))===null||o===void 0?void 0:o.get(r);!l||l.provider.handleTerminalLink(l.link)}_onProcessExit(t,r){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const o=this._terminalProcessDisposables[t];o&&(o.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,r)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,r){const o=this._getTerminalObjectIndexById(t,r);return o!==null?t[o]:null}_getTerminalObjectIndexById(t,r){let o=null;return t.some((l,i)=>l._id===r?(o=i,!0):!1),o}getEnvironmentVariableCollection(t){let r=this._environmentVariableCollections.get(t.identifier.value);return r||(r=new c,this._setEnvironmentVariableCollection(t.identifier.value,r)),r}_syncEnvironmentVariableCollection(t,r){const o=(0,k.serializeEnvironmentVariableCollection)(r.map);this._proxy.$setEnvironmentVariableCollection(t,r.persistent,o.length===0?void 0:o)}$initEnvironmentVariableCollections(t){t.forEach(r=>{const o=r[0],l=new c(r[1]);this._setEnvironmentVariableCollection(o,l)})}_setEnvironmentVariableCollection(t,r){this._environmentVariableCollections.set(t,r),r.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,r)})}};w=je([qe(1,S.IExtHostRpcService)],w),e.BaseExtHostTerminalService=w;class c{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new b.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,r){this._setIfDiffers(t,{value:r,type:E.EnvironmentVariableMutatorType.Replace})}append(t,r){this._setIfDiffers(t,{value:r,type:E.EnvironmentVariableMutatorType.Append})}prepend(t,r){this._setIfDiffers(t,{value:r,type:E.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,r){const o=this.map.get(t);(!o||o.value!==r.value||o.type!==r.type)&&(this.map.set(t,r),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,r){this.map.forEach((o,l)=>t.call(r,l,o,this))}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=c;let u=class extends w{constructor(t){super(!1,t)}createTerminal(t,r,o){throw new P.NotSupportedError}createTerminalFromOptions(t){throw new P.NotSupportedError}getDefaultShell(t,r){return""}getDefaultShellArgs(t,r){throw new P.NotSupportedError}$getAvailableShells(){throw new P.NotSupportedError}async $getDefaultShellAndArgs(t){throw new P.NotSupportedError}$acceptWorkspacePermissionsChanged(t){}};u=je([qe(0,S.IExtHostRpcService)],u),e.WorkerExtHostTerminalService=u}),define(we[201],Ee([0,1,3,15,5,95,9,7]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class E{constructor(P,k){this._extHostDocumentsAndEditors=k,this._onDidChangeTextEditorSelection=new b.Emitter,this._onDidChangeTextEditorOptions=new b.Emitter,this._onDidChangeTextEditorVisibleRanges=new b.Emitter,this._onDidChangeTextEditorViewColumn=new b.Emitter,this._onDidChangeActiveTextEditor=new b.Emitter,this._onDidChangeVisibleTextEditors=new b.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=P.getProxy(A.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(_=>this._onDidChangeVisibleTextEditors.fire(_)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(_=>this._onDidChangeActiveTextEditor.fire(_))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(P){const k=this._extHostDocumentsAndEditors.allEditors();return P?k:k.map(_=>_.value)}async showTextDocument(P,k,_){let d;typeof k=="number"?d={position:S.ViewColumn.from(k),preserveFocus:_}:typeof k=="object"?d={position:S.ViewColumn.from(k.viewColumn),preserveFocus:k.preserveFocus,selection:typeof k.selection=="object"?S.Range.from(k.selection):void 0,pinned:typeof k.preview=="boolean"?!k.preview:void 0}:d={preserveFocus:!1};const s=await this._proxy.$tryShowTextDocument(P.uri,d),f=s&&this._extHostDocumentsAndEditors.getEditor(s);if(f)return f.value;throw s?new Error(`Could NOT open editor for "${P.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${P.uri.toString()}".`)}createTextEditorDecorationType(P){return new I.TextEditorDecorationType(this._proxy,P).value}$acceptEditorPropertiesChanged(P,k){const _=this._extHostDocumentsAndEditors.getEditor(P);if(!_)throw new Error("unknown text editor");if(k.options&&_._acceptOptions(k.options),k.selections){const d=k.selections.selections.map(S.Selection.to);_._acceptSelections(d)}if(k.visibleRanges){const d=y.coalesce(k.visibleRanges.map(S.Range.to));_._acceptVisibleRanges(d)}if(k.options&&this._onDidChangeTextEditorOptions.fire({textEditor:_.value,options:Object.assign(Object.assign({},k.options),{lineNumbers:S.TextEditorLineNumbersStyle.to(k.options.lineNumbers)})}),k.selections){const d=C.TextEditorSelectionChangeKind.fromValue(k.selections.source),s=k.selections.selections.map(S.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:_.value,selections:s,kind:d})}if(k.visibleRanges){const d=y.coalesce(k.visibleRanges.map(S.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:_.value,visibleRanges:d})}}$acceptEditorPositionData(P){for(const k in P){const _=this._extHostDocumentsAndEditors.getEditor(k);if(!_)throw new Error("Unknown text editor");const d=S.ViewColumn.to(P[k]);_.value.viewColumn!==d&&(_._acceptViewColumn(d),this._onDidChangeTextEditorViewColumn.fire({textEditor:_.value,viewColumn:d}))}}getDiffInformation(P){return Promise.resolve(this._proxy.$getDiffInformation(P))}}e.ExtHostEditors=E});var an=this&&this.__rest||function(oe,e){var b={};for(var y in oe)Object.prototype.hasOwnProperty.call(oe,y)&&e.indexOf(y)<0&&(b[y]=oe[y]);if(oe!=null&&typeof Object.getOwnPropertySymbols=="function")for(var A=0,y=Object.getOwnPropertySymbols(oe);A<y.length;A++)e.indexOf(y[A])<0&&Object.prototype.propertyIsEnumerable.call(oe,y[A])&&(b[y[A]]=oe[y[A]]);return b};define(we[202],Ee([0,1,2,4,5,6,7]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,y.createDecorator)("IExtHostTimeline");class C{constructor(P,k){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=P.getProxy(A.MainContext.MainThreadTimeline),k.registerArgumentProcessor({processArgument:_=>{var d,s;if(_&&_.$mid===11){const f=_.uri===void 0?void 0:b.URI.revive(_.uri);return(s=(d=this._itemsBySourceAndUriMap.get(_.source))===null||d===void 0?void 0:d.get(E(f)))===null||s===void 0?void 0:s.get(_.handle)}return _}})}async $getTimeline(P,k,_,d,s){const f=this._providers.get(P);return f==null?void 0:f.provideTimeline(b.URI.revive(k),_,d,s)}registerTimelineProvider(P,k,_,d){const s=new I.DisposableStore,f=this.convertTimelineItem(k.id,d,s).bind(this);let v;k.onDidChange&&(v=k.onDidChange(w=>this._proxy.$emitTimelineChangeEvent(Object.assign(Object.assign({uri:void 0,reset:!0},w),{id:k.id})),this));const m=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore(Object.assign(Object.assign({},k),{scheme:P,onDidChange:void 0,async provideTimeline(w,c,u,a){var t;(a==null?void 0:a.resetCache)&&(s.clear(),(t=m.get(k.id))===null||t===void 0||t.clear());const r=await k.provideTimeline(w,c,u);if(r!=null){const o=f(w,a);return Object.assign(Object.assign({},r),{source:k.id,items:r.items.map(o)})}},dispose(){var w;for(const c of m.values())(w=c.get(k.id))===null||w===void 0||w.clear();v==null||v.dispose(),s.dispose()}}))}convertTimelineItem(P,k,_){return(d,s)=>{let f;if(s==null?void 0:s.cacheResults){let v=this._itemsBySourceAndUriMap.get(P);v===void 0&&(v=new Map,this._itemsBySourceAndUriMap.set(P,v));const m=E(d);f=v.get(m),f===void 0&&(f=new Map,v.set(m,f))}return v=>{var m,w;const{iconPath:c}=v,u=an(v,["iconPath"]),a=`${P}|${(m=v.id)!==null&&m!==void 0?m:v.timestamp}`;f==null||f.set(a,v);let t,r,o;return v.iconPath&&(c instanceof S.ThemeIcon?o={id:c.id}:b.URI.isUri(c)?(t=c,r=c):{light:t,dark:r}=c),Object.assign(Object.assign({},u),{id:(w=u.id)!==null&&w!==void 0?w:void 0,handle:a,source:P,command:v.command?k.toInternal(v.command,_):void 0,icon:t,iconDark:r,themeIcon:o,accessibilityInformation:v.accessibilityInformation})}}}registerTimelineProviderCore(P){if(this._providers.get(P.id))throw new Error(`Timeline Provider ${P.id} already exists.`);return this._proxy.$registerTimelineProvider({id:P.id,label:P.label,scheme:P.scheme}),this._providers.set(P.id,P),(0,I.toDisposable)(()=>{var _;for(const d of this._itemsBySourceAndUriMap.values())(_=d.get(P.id))===null||_===void 0||_.clear();this._providers.delete(P.id),this._proxy.$unregisterTimelineProvider(P.id),P.dispose()})}}e.ExtHostTimeline=C;function E(n){return n==null?void 0:n.toString()}}),define(we[203],Ee([0,1,6,16,2,5]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class S{constructor(E){this._openers=new Map,this._proxy=E.getProxy(I.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(E,n,P,k){if(this._openers.has(n))throw new Error(`Opener with id '${n}' already registered`);const _=k.schemes.find(d=>!S.supportedSchemes.has(d));if(_)throw new Error(`Scheme '${_}' is not supported. Only http and https are currently supported.`);return this._openers.set(n,P),this._proxy.$registerUriOpener(n,k.schemes,E,k.label),(0,b.toDisposable)(()=>{this._openers.delete(n),this._proxy.$unregisterUriOpener(n)})}async $canOpenUri(E,n,P){const k=this._openers.get(E);if(!k)throw new Error(`Unknown opener with id: ${E}`);const _=A.URI.revive(n);return k.canOpenExternalUri(_,P)}async $openUri(E,n,P){const k=this._openers.get(E);if(!k)throw new Error(`Unknown opener id: '${E}'`);return k.openExternalUri(A.URI.revive(n.resolvedUri),{sourceUri:A.URI.revive(n.sourceUri)},P)}}e.ExtHostUriOpeners=S,S.supportedSchemes=new Set([y.Schemas.http,y.Schemas.https])}),define(we[204],Ee([0,1,5,2,6,10,25]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class C{constructor(n){this.handles=new Set,this.handlers=new Map,this._proxy=n.getProxy(b.MainContext.MainThreadUrls)}registerUriHandler(n,P){if(this.handles.has(S.ExtensionIdentifier.toKey(n)))throw new Error(`Protocol handler already registered for extension ${n}`);const k=C.HandlePool++;return this.handles.add(S.ExtensionIdentifier.toKey(n)),this.handlers.set(k,P),this._proxy.$registerUriHandler(k,n),(0,A.toDisposable)(()=>{this.handles.delete(S.ExtensionIdentifier.toKey(n)),this.handlers.delete(k),this._proxy.$unregisterUriHandler(k)})}$handleExternalUri(n,P){const k=this.handlers.get(n);if(!k)return Promise.resolve(void 0);try{k.handleUri(y.URI.revive(P))}catch(_){(0,I.onUnexpectedError)(_)}return Promise.resolve(void 0)}async createAppUri(n){return y.URI.revive(await this._proxy.$createAppUri(n))}}e.ExtHostUrls=C,C.HandlePool=0});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[49],Ee([0,1,3,2,69,5]),function(oe,e,b,y,A,I){"use strict";var S,C,E,n,P,k,_,d,s,f,v;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.ExtHostWebview=void 0;class m{constructor(o,l,i,h,D,R,p){S.set(this,void 0),C.set(this,void 0),E.set(this,void 0),n.set(this,void 0),P.set(this,void 0),k.set(this,void 0),_.set(this,""),d.set(this,void 0),s.set(this,!1),f.set(this,!1),this._onMessageEmitter=new b.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,v.set(this,new b.Emitter),this._onDidDispose=We(this,v).event,tt(this,S,o),tt(this,C,l),tt(this,d,i),tt(this,n,h),tt(this,P,D),tt(this,k,R),tt(this,E,p)}dispose(){tt(this,s,!0),We(this,v).fire(),We(this,v).dispose(),this._onMessageEmitter.dispose()}asWebviewUri(o){return tt(this,f,!0),(0,A.asWebviewUri)(We(this,n),We(this,S),o)}get cspSource(){return We(this,n).webviewCspSource.replace("{{uuid}}",We(this,S))}get html(){return this.assertNotDisposed(),We(this,_)}set html(o){this.assertNotDisposed(),We(this,_)!==o&&(tt(this,_,o),!We(this,f)&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(o)&&(tt(this,f,!0),We(this,E).report("Webview vscode-resource: uris",We(this,k),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),We(this,C).$setHtml(We(this,S),o))}get options(){return this.assertNotDisposed(),We(this,d)}set options(o){this.assertNotDisposed(),We(this,C).$setOptions(We(this,S),u(We(this,k),We(this,P),o)),tt(this,d,o)}async postMessage(o){return We(this,s)?!1:We(this,C).$postMessage(We(this,S),o)}assertNotDisposed(){if(We(this,s))throw new Error("Webview is disposed")}}e.ExtHostWebview=m,S=new WeakMap,C=new WeakMap,E=new WeakMap,n=new WeakMap,P=new WeakMap,k=new WeakMap,_=new WeakMap,d=new WeakMap,s=new WeakMap,f=new WeakMap,v=new WeakMap;class w{constructor(o,l,i,h,D){this.initData=l,this.workspace=i,this._logService=h,this._deprecationService=D,this._webviews=new Map,this._webviewProxy=o.getProxy(I.MainContext.MainThreadWebviews)}$onMessage(o,l){const i=this.getWebview(o);i&&i._onMessageEmitter.fire(l)}$onMissingCsp(o,l){this._logService.warn(`${l} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(o,l,i){const h=new m(o,this._webviewProxy,a(l),this.initData,this.workspace,i,this._deprecationService);return this._webviews.set(o,h),h._onDidDispose(()=>{this._webviews.delete(o)}),h}deleteWebview(o){this._webviews.delete(o)}getWebview(o){return this._webviews.get(o)}}e.ExtHostWebviews=w;function c(r){return{id:r.identifier,location:r.extensionLocation}}e.toExtensionData=c;function u(r,o,l){return{enableCommandUris:l.enableCommandUris,enableScripts:l.enableScripts,portMapping:l.portMapping,localResourceRoots:l.localResourceRoots||t(r,o)}}e.serializeWebviewOptions=u;function a(r){var o;return{enableCommandUris:r.enableCommandUris,enableScripts:r.enableScripts,portMapping:r.portMapping,localResourceRoots:(o=r.localResourceRoots)===null||o===void 0?void 0:o.map(l=>y.URI.from(l))}}e.reviveOptions=a;function t(r,o){return[...((o==null?void 0:o.getWorkspaceFolders())||[]).map(l=>l.uri),r.extensionLocation]}}),define(we[205],Ee([0,1,20,55,6,16,24,2,9,49,92,5,7]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class d{constructor(t,r){this.document=t,this._storagePath=r,this._backupCounter=1,this._edits=new P.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,r){await this.getEdit(t).undo(),r||this.disposeBackup()}async redo(t,r){await this.getEdit(t).redo(),r||this.disposeBackup()}disposeEdits(t){for(const r of t)this._edits.delete(r)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=u(this.document.uri)+this._backupCounter++;return(0,S.joinPath)(this._storagePath,t)}updateBackup(t){var r;(r=this._backup)===null||r===void 0||r.delete(),this._backup=t}disposeBackup(){var t;(t=this._backup)===null||t===void 0||t.delete(),this._backup=void 0}getEdit(t){const r=this._edits.get(t,0);if(!r)throw new Error("No edit found");return r}}class s{constructor(){this._documents=new Map}get(t,r){return this._documents.get(this.key(t,r))}add(t,r,o){const l=this.key(t,r.uri);if(this._documents.has(l))throw new Error(`Document already exists for viewType:${t} resource:${r.uri}`);const i=new d(r,o);return this._documents.set(l,i),i}delete(t,r){const o=this.key(t,r.uri);this._documents.delete(o)}key(t,r){return`${t}@@@${r}`}}var f;(function(a){a[a.Text=0]="Text",a[a.Custom=1]="Custom"})(f||(f={}));class v{constructor(){this._providers=new Map}addTextProvider(t,r,o){return this.add(0,t,r,o)}addCustomProvider(t,r,o){return this.add(1,t,r,o)}get(t){return this._providers.get(t)}add(t,r,o,l){if(this._providers.has(r))throw new Error(`Provider for viewType:${r} already registered`);return this._providers.set(r,{type:t,extension:o,provider:l}),new _.Disposable(()=>this._providers.delete(r))}}class m{constructor(t,r,o,l,i){this._extHostDocuments=r,this._extensionStoragePaths=o,this._extHostWebview=l,this._extHostWebviewPanels=i,this._editorProviders=new v,this._documents=new s,this._proxy=t.getProxy(k.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,r,o,l){const i=new A.DisposableStore;return w(o)?(i.add(this._editorProviders.addTextProvider(r,t,o)),this._proxy.$registerTextEditorProvider((0,n.toExtensionData)(t),r,l.webviewOptions||{},{supportsMove:!!o.moveCustomTextEditor})):(i.add(this._editorProviders.addCustomProvider(r,t,o)),this.supportEditing(o)&&i.add(o.onDidChangeCustomDocument(h=>{const D=this.getCustomDocumentEntry(r,h.document.uri);if(c(h)){const R=D.addEdit(h);this._proxy.$onDidEdit(h.document.uri,r,R,h.label)}else this._proxy.$onContentChange(h.document.uri,r)})),this._proxy.$registerCustomEditorProvider((0,n.toExtensionData)(t),r,l.webviewOptions||{},!!l.supportsMultipleEditorsPerDocument)),_.Disposable.from(i,new _.Disposable(()=>{this._proxy.$unregisterEditorProvider(r)}))}async $createCustomDocument(t,r,o,l,i){var h;const D=this._editorProviders.get(r);if(!D)throw new Error(`No provider found for '${r}'`);if(D.type!==1)throw new Error(`Invalid provide type for '${r}'`);const R=C.URI.revive(t),p=await D.provider.openCustomDocument(R,{backupId:o,untitledDocumentData:l==null?void 0:l.buffer},i);let g;return this.supportEditing(D.provider)&&this._extensionStoragePaths&&(g=(h=this._extensionStoragePaths.workspaceValue(D.extension))!==null&&h!==void 0?h:this._extensionStoragePaths.globalValue(D.extension)),this._documents.add(r,p,g),{editable:this.supportEditing(D.provider)}}async $disposeCustomDocument(t,r){const o=this._editorProviders.get(r);if(!o)throw new Error(`No provider found for '${r}'`);if(o.type!==1)throw new Error(`Invalid provider type for '${r}'`);const l=C.URI.revive(t),{document:i}=this.getCustomDocumentEntry(r,l);this._documents.delete(r,i),i.dispose()}async $resolveWebviewEditor(t,r,o,l,i,h){const D=this._editorProviders.get(o);if(!D)throw new Error(`No provider found for '${o}'`);const R=E.ViewColumn.to(i),p=this._extHostWebview.createNewWebview(r,l.webviewOptions,D.extension),g=this._extHostWebviewPanels.createNewWebviewPanel(r,o,l.title,R,l.panelOptions,p),T=C.URI.revive(t);switch(D.type){case 1:{const{document:F}=this.getCustomDocumentEntry(o,T);return D.provider.resolveCustomEditor(F,g,h)}case 0:{const F=this._extHostDocuments.getDocument(T);return D.provider.resolveCustomTextEditor(F,g,h)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,r,o){this.getCustomDocumentEntry(r,t).disposeEdits(o)}async $onMoveCustomEditor(t,r,o){const l=this._editorProviders.get(o);if(!l)throw new Error(`No provider found for '${o}'`);if(!l.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${o}'`);const i=this._extHostWebviewPanels.getWebviewPanel(t);if(!i)throw new Error("No webview found");const h=C.URI.revive(r),D=this._extHostDocuments.getDocument(h);await l.provider.moveCustomTextEditor(D,i,b.CancellationToken.None)}async $undo(t,r,o,l){return this.getCustomDocumentEntry(r,t).undo(o,l)}async $redo(t,r,o,l){return this.getCustomDocumentEntry(r,t).redo(o,l)}async $revert(t,r,o){const l=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).revertCustomDocument(l.document,o),l.disposeBackup()}async $onSave(t,r,o){const l=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).saveCustomDocument(l.document,o),l.disposeBackup()}async $onSaveAs(t,r,o,l){const i=this.getCustomDocumentEntry(r,t);return this.getCustomEditorProvider(r).saveCustomDocumentAs(i.document,C.URI.revive(o),l)}async $backup(t,r,o){const l=this.getCustomDocumentEntry(r,t),h=await this.getCustomEditorProvider(r).backupCustomDocument(l.document,{destination:l.getNewBackupUri()},o);return l.updateBackup(h),h.id}getCustomDocumentEntry(t,r){const o=this._documents.get(t,C.URI.revive(r));if(!o)throw new Error("No custom document found");return o}getCustomEditorProvider(t){const r=this._editorProviders.get(t),o=r==null?void 0:r.provider;if(!o||!this.supportEditing(o))throw new Error("Custom document is not editable");return o}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=m;function w(a){return typeof a.resolveCustomTextEditor=="function"}function c(a){return typeof a.undo=="function"&&typeof a.redo=="function"}function u(a){const t=a.scheme===I.Schemas.file||a.scheme===I.Schemas.untitled?a.fsPath:a.toString();return(0,y.hash)(t)+""}});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[206],Ee([0,1,3,6,2,29,9,49,5,7]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";var P,k,_,d,s,f,v,m,w,c,u,a,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class r extends y.Disposable{constructor(h,D,R,p,g,T,F){super();P.set(this,void 0),k.set(this,void 0),_.set(this,void 0),d.set(this,void 0),s.set(this,void 0),f.set(this,void 0),v.set(this,void 0),m.set(this,void 0),w.set(this,!0),c.set(this,!0),u.set(this,!1),a.set(this,this._register(new b.Emitter)),this.onDidDispose=We(this,a).event,t.set(this,this._register(new b.Emitter)),this.onDidChangeViewState=We(this,t).event,tt(this,P,h),tt(this,k,D),tt(this,_,R),tt(this,s,T),tt(this,m,g),tt(this,f,p),tt(this,d,F)}dispose(){We(this,u)||(tt(this,u,!0),We(this,a).fire(),We(this,k).$disposeWebview(We(this,P)),We(this,d).dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),We(this,d)}get viewType(){return this.assertNotDisposed(),We(this,_)}get title(){return this.assertNotDisposed(),We(this,f)}set title(h){this.assertNotDisposed(),We(this,f)!==h&&(tt(this,f,h),We(this,k).$setTitle(We(this,P),h))}get iconPath(){return this.assertNotDisposed(),We(this,v)}set iconPath(h){this.assertNotDisposed(),We(this,v)!==h&&(tt(this,v,h),We(this,k).$setIconPath(We(this,P),A.URI.isUri(h)?{light:h,dark:h}:h))}get options(){return We(this,s)}get viewColumn(){if(this.assertNotDisposed(),!(typeof We(this,m)=="number"&&We(this,m)<0))return We(this,m)}get active(){return this.assertNotDisposed(),We(this,c)}get visible(){return this.assertNotDisposed(),We(this,w)}_updateViewState(h){We(this,u)||(this.active!==h.active||this.visible!==h.visible||this.viewColumn!==h.viewColumn)&&(tt(this,c,h.active),tt(this,w,h.visible),tt(this,m,h.viewColumn),We(this,t).fire({webviewPanel:this}))}reveal(h,D){this.assertNotDisposed(),We(this,k).$reveal(We(this,P),{viewColumn:h?S.ViewColumn.from(h):void 0,preserveFocus:!!D})}assertNotDisposed(){if(We(this,u))throw new Error("Webview is disposed")}}P=new WeakMap,k=new WeakMap,_=new WeakMap,d=new WeakMap,s=new WeakMap,f=new WeakMap,v=new WeakMap,m=new WeakMap,w=new WeakMap,c=new WeakMap,u=new WeakMap,a=new WeakMap,t=new WeakMap;class o{constructor(h,D,R){this.webviews=D,this.workspace=R,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=h.getProxy(E.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,I.generateUuid)()}createWebviewPanel(h,D,R,p,g={}){const T=typeof p=="object"?p.viewColumn:p,F={viewColumn:S.ViewColumn.from(T),preserveFocus:typeof p=="object"&&!!p.preserveFocus},H=o.newHandle();this._proxy.$createWebviewPanel((0,C.toExtensionData)(h),H,D,{title:R,panelOptions:l(g),webviewOptions:(0,C.serializeWebviewOptions)(h,this.workspace,g)},F);const le=this.webviews.createNewWebview(H,g,h);return this.createNewWebviewPanel(H,D,R,T,g,le)}$onDidChangeWebviewPanelViewStates(h){const D=Object.keys(h);D.sort((R,p)=>{const g=h[R],T=h[p];return g.active?1:T.active?-1:+g.visible-+T.visible});for(const R of D){const p=this.getWebviewPanel(R);if(!!p){const g=h[R];p._updateViewState({active:g.active,visible:g.visible,viewColumn:S.ViewColumn.to(g.position)})}}}async $onDidDisposeWebviewPanel(h){const D=this.getWebviewPanel(h);D==null||D.dispose(),this._webviewPanels.delete(h),this.webviews.deleteWebview(h)}registerWebviewPanelSerializer(h,D,R){if(this._serializers.has(D))throw new Error(`Serializer for '${D}' already registered`);return this._serializers.set(D,{serializer:R,extension:h}),this._proxy.$registerSerializer(D),new n.Disposable(()=>{this._serializers.delete(D),this._proxy.$unregisterSerializer(D)})}async $deserializeWebviewPanel(h,D,R,p){const g=this._serializers.get(D);if(!g)throw new Error(`No serializer found for '${D}'`);const{serializer:T,extension:F}=g,H=this.webviews.createNewWebview(h,R.webviewOptions,F),le=this.createNewWebviewPanel(h,D,R.title,p,R.panelOptions,H);await T.deserializeWebviewPanel(le,R.state)}createNewWebviewPanel(h,D,R,p,g,T){const F=new r(h,this._proxy,D,R,p,g,T);return this._webviewPanels.set(h,F),F}getWebviewPanel(h){return this._webviewPanels.get(h)}}e.ExtHostWebviewPanels=o;function l(i){return{enableFindWidget:i.enableFindWidget,retainContextWhenHidden:i.retainContextWhenHidden}}});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[207],Ee([0,1,3,6,49,5,7]),function(oe,e,b,y,A,I,S){"use strict";var C,E,n,P,k,_,d,s,f,v;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class m extends y.Disposable{constructor(u,a,t,r,o,l){super();C.set(this,void 0),E.set(this,void 0),n.set(this,void 0),P.set(this,void 0),k.set(this,!1),_.set(this,void 0),d.set(this,void 0),s.set(this,void 0),f.set(this,this._register(new b.Emitter)),this.onDidChangeVisibility=We(this,f).event,v.set(this,this._register(new b.Emitter)),this.onDidDispose=We(this,v).event,tt(this,n,t),tt(this,d,r),tt(this,C,u),tt(this,E,a),tt(this,P,o),tt(this,_,l)}dispose(){We(this,k)||(tt(this,k,!0),We(this,v).fire(),We(this,P).dispose(),super.dispose())}get title(){return this.assertNotDisposed(),We(this,d)}set title(u){this.assertNotDisposed(),We(this,d)!==u&&(tt(this,d,u),We(this,E).$setWebviewViewTitle(We(this,C),u))}get description(){return this.assertNotDisposed(),We(this,s)}set description(u){this.assertNotDisposed(),We(this,s)!==u&&(tt(this,s,u),We(this,E).$setWebviewViewDescription(We(this,C),u))}get visible(){return We(this,_)}get webview(){return We(this,P)}get viewType(){return We(this,n)}_setVisible(u){u===We(this,_)||We(this,k)||(tt(this,_,u),We(this,f).fire())}show(u){this.assertNotDisposed(),We(this,E).$show(We(this,C),!!u)}assertNotDisposed(){if(We(this,k))throw new Error("Webview is disposed")}}C=new WeakMap,E=new WeakMap,n=new WeakMap,P=new WeakMap,k=new WeakMap,_=new WeakMap,d=new WeakMap,s=new WeakMap,f=new WeakMap,v=new WeakMap;class w{constructor(u,a){this._extHostWebview=a,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=u.getProxy(I.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(u,a,t,r){if(this._viewProviders.has(a))throw new Error(`View provider for '${a}' already registered`);return this._viewProviders.set(a,{provider:t,extension:u}),this._proxy.$registerWebviewViewProvider((0,A.toExtensionData)(u),a,r),new S.Disposable(()=>{this._viewProviders.delete(a),this._proxy.$unregisterWebviewViewProvider(a)})}async $resolveWebviewView(u,a,t,r,o){const l=this._viewProviders.get(a);if(!l)throw new Error(`No view provider found for '${a}'`);const{provider:i,extension:h}=l,D=this._extHostWebview.createNewWebview(u,{},h),R=new m(u,this._proxy,a,t,D,!0);this._webviewViews.set(u,R),await i.resolveWebviewView(R,{state:r},o)}async $onDidChangeWebviewViewVisibility(u,a){this.getWebviewView(u)._setVisible(a)}async $disposeWebviewView(u){const a=this.getWebviewView(u);this._webviewViews.delete(u),a.dispose(),this._extHostWebview.deleteWebview(u)}getWebviewView(u){const a=this._webviewViews.get(u);if(!a)throw new Error("No webview found");return a}}e.ExtHostWebviewViews=w}),define(we[99],Ee([0,1,3,5,2,16,8,4,14]),function(oe,e,b,y,A,I,S,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let n=class Cn{constructor(k){this._onDidChangeWindowState=new b.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Cn.InitialState,this._proxy=k.getProxy(y.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(_=>this.$onDidChangeWindowFocus(_))}get state(){return this._state}$onDidChangeWindowFocus(k){k!==this._state.focused&&(this._state=Object.assign(Object.assign({},this._state),{focused:k}),this._onDidChangeWindowState.fire(this._state))}openUri(k,_){let d;if(typeof k=="string"){d=k;try{k=A.URI.parse(k)}catch(s){return Promise.reject(`Invalid uri - '${k}'`)}}return(0,S.isFalsyOrWhitespace)(k.scheme)?Promise.reject("Invalid scheme - cannot be empty"):k.scheme===I.Schemas.command?Promise.reject(`Invalid scheme '${k.scheme}'`):this._proxy.$openUri(k,d,_)}async asExternalUri(k,_){if((0,S.isFalsyOrWhitespace)(k.scheme))return Promise.reject("Invalid scheme - cannot be empty");if(!new Set([I.Schemas.http,I.Schemas.https]).has(k.scheme))return Promise.reject(`Invalid scheme '${k.scheme}'`);const d=await this._proxy.$asExternalUri(k,_);return A.URI.from(d)}};n.InitialState={focused:!0},n=je([qe(0,E.IExtHostRpcService)],n),e.ExtHostWindow=n,e.IExtHostWindow=(0,C.createDecorator)("IExtHostWindow")}),define(we[208],Ee([0,1,19,5,27,14]),function(oe,e,b,y,A,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let S=class extends b.AbstractLogger{constructor(E,n){super();this._proxy=E.getProxy(y.MainContext.MainThreadLog),this._logFile=n.logFile.toJSON(),this.setLevel(n.logLevel)}$setLevel(E){this.setLevel(E)}trace(E,...n){this.getLevel()<=b.LogLevel.Trace&&this._proxy.$log(this._logFile,b.LogLevel.Trace,Array.from(arguments))}debug(E,...n){this.getLevel()<=b.LogLevel.Debug&&this._proxy.$log(this._logFile,b.LogLevel.Debug,Array.from(arguments))}info(E,...n){this.getLevel()<=b.LogLevel.Info&&this._proxy.$log(this._logFile,b.LogLevel.Info,Array.from(arguments))}warn(E,...n){this.getLevel()<=b.LogLevel.Warning&&this._proxy.$log(this._logFile,b.LogLevel.Warning,Array.from(arguments))}error(E,...n){this.getLevel()<=b.LogLevel.Error&&this._proxy.$log(this._logFile,b.LogLevel.Error,Array.from(arguments))}critical(E,...n){this.getLevel()<=b.LogLevel.Critical&&this._proxy.$log(this._logFile,b.LogLevel.Critical,Array.from(arguments))}flush(){}};S=je([qe(0,I.IExtHostRpcService),qe(1,A.IExtHostInitDataService)],S),e.ExtHostLogService=S}),define(we[209],Ee([0,1,13,20,10,3,6,110,182,96,26]),function(oe,e,b,y,A,I,S,C,E,n,P){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function _(l,i){try{return JSON.stringify(l,i)}catch(h){return"null"}}function d(l,i){return JSON.stringify(l,i)}function s(l){return l?(i,h)=>h&&h.$mid===1?l.transformOutgoing(h):h:null}var f;(function(l){l[l.LocalSide=0]="LocalSide",l[l.OtherSide=1]="OtherSide"})(f=e.RequestInitiator||(e.RequestInitiator={}));var v;(function(l){l[l.Responsive=0]="Responsive",l[l.Unresponsive=1]="Unresponsive"})(v=e.ResponsiveState||(e.ResponsiveState={}));const m=()=>{},w=Symbol.for("rpcProtocol"),c=Symbol.for("rpcProxy");class u extends S.Disposable{constructor(i,h=null,D=null){super();this[k]=!0,this._onDidChangeResponsiveState=this._register(new I.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=i,this._logger=h,this._uriTransformer=D,this._uriReplacer=s(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let R=0,p=n.ProxyIdentifier.count;R<p;R++)this._locals[R]=null,this._proxies[R]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new b.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(R=>this._receiveOneMessage(R))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(i=>{this._pendingRPCReplies[i].resolveErr(A.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(i){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(i){this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(i){this._responsiveState!==i&&(this._responsiveState=i,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(i){return this._uriTransformer?(0,C.transformIncomingURIs)(i,this._uriTransformer):i}getProxy(i){const{nid:h,sid:D}=i;return this._proxies[h]||(this._proxies[h]=this._createProxy(h,D)),this._proxies[h]}_createProxy(i,h){let D={get:(R,p)=>(typeof p=="string"&&!R[p]&&p.charCodeAt(0)===36&&(R[p]=(...g)=>this._remoteCall(i,p,g)),p===c?h:R[p])};return new Proxy(Object.create(null),D)}set(i,h){return this._locals[i.nid]=h,h}assertRegistered(i){for(let h=0,D=i.length;h<D;h++){const R=i[h];if(!this._locals[R.nid])throw new Error(`Missing actor ${R.sid} (isMain: ${R.isMain})`)}}_receiveOneMessage(i){if(!this._isDisposed){const h=i.byteLength,D=a.read(i,0),R=D.readUInt8(),p=D.readUInt32();switch(R){case 1:case 2:{let{rpcId:g,method:T,args:F}=t.deserializeRequestJSONArgs(D);this._uriTransformer&&(F=(0,C.transformIncomingURIs)(F,this._uriTransformer)),this._receiveRequest(h,p,g,T,F,R===2);break}case 3:case 4:{let{rpcId:g,method:T,args:F}=t.deserializeRequestMixedArgs(D);this._uriTransformer&&(F=(0,C.transformIncomingURIs)(F,this._uriTransformer)),this._receiveRequest(h,p,g,T,F,R===4);break}case 5:{this._logger&&this._logger.logIncoming(h,p,0,"ack"),this._onDidReceiveAcknowledge(p);break}case 6:{this._receiveCancel(h,p);break}case 7:{this._receiveReply(h,p,void 0);break}case 9:{let g=t.deserializeReplyOKJSON(D);this._uriTransformer&&(g=(0,C.transformIncomingURIs)(g,this._uriTransformer)),this._receiveReply(h,p,g);break}case 8:{let g=t.deserializeReplyOKVSBuffer(D);this._receiveReply(h,p,g);break}case 10:{let g=t.deserializeReplyErrError(D);this._uriTransformer&&(g=(0,C.transformIncomingURIs)(g,this._uriTransformer)),this._receiveReplyErr(h,p,g);break}case 11:{this._receiveReplyErr(h,p,void 0);break}default:console.error("received unexpected message"),console.error(i)}}}_receiveRequest(i,h,D,R,p,g){this._logger&&this._logger.logIncoming(i,h,1,`receiveRequest ${(0,n.getStringIdentifierForProxy)(D)}.${R}(`,p);const T=String(h);let F,H;if(g){const z=new y.CancellationTokenSource;p.push(z.token),F=this._invokeHandler(D,R,p),H=()=>z.cancel()}else F=this._invokeHandler(D,R,p),H=m;this._cancelInvokedHandlers[T]=H;const le=t.serializeAcknowledged(h);this._logger&&this._logger.logOutgoing(le.byteLength,h,1,"ack"),this._protocol.send(le),F.then(z=>{delete this._cancelInvokedHandlers[T];const B=t.serializeReplyOK(h,z,this._uriReplacer);this._logger&&this._logger.logOutgoing(B.byteLength,h,1,"reply:",z),this._protocol.send(B)},z=>{delete this._cancelInvokedHandlers[T];const B=t.serializeReplyErr(h,z);this._logger&&this._logger.logOutgoing(B.byteLength,h,1,"replyErr:",z),this._protocol.send(B)})}_receiveCancel(i,h){this._logger&&this._logger.logIncoming(i,h,1,"receiveCancel");const D=String(h);this._cancelInvokedHandlers[D]&&this._cancelInvokedHandlers[D]()}_receiveReply(i,h,D){this._logger&&this._logger.logIncoming(i,h,0,"receiveReply:",D);const R=String(h);if(!!this._pendingRPCReplies.hasOwnProperty(R)){const p=this._pendingRPCReplies[R];delete this._pendingRPCReplies[R],p.resolveOk(D)}}_receiveReplyErr(i,h,D){this._logger&&this._logger.logIncoming(i,h,0,"receiveReplyErr:",D);const R=String(h);if(!!this._pendingRPCReplies.hasOwnProperty(R)){const p=this._pendingRPCReplies[R];delete this._pendingRPCReplies[R];let g;D&&(D.$isError?(g=new Error,g.name=D.name,g.message=D.message,g.stack=D.stack):g=D),p.resolveErr(g)}}_invokeHandler(i,h,D){try{return Promise.resolve(this._doInvokeHandler(i,h,D))}catch(R){return Promise.reject(R)}}_doInvokeHandler(i,h,D){const R=this._locals[i];if(!R)throw new Error("Unknown actor "+(0,n.getStringIdentifierForProxy)(i));let p=R[h];if(typeof p!="function")throw new Error("Unknown method "+h+" on actor "+(0,n.getStringIdentifierForProxy)(i));return p.apply(R,D)}_remoteCall(i,h,D){if(this._isDisposed)return Promise.reject(A.canceled());let R=null;if(D.length>0&&y.CancellationToken.isCancellationToken(D[D.length-1])&&(R=D.pop()),R&&R.isCancellationRequested)return Promise.reject(A.canceled());const p=t.serializeRequestArguments(D,this._uriReplacer),g=++this._lastMessageId,T=String(g),F=new E.LazyPromise;R&&R.onCancellationRequested(()=>{const le=t.serializeCancel(g);this._logger&&this._logger.logOutgoing(le.byteLength,g,0,"cancel"),this._protocol.send(t.serializeCancel(g))}),this._pendingRPCReplies[T]=F,this._onWillSendRequest(g);const H=t.serializeRequest(g,i,h,p,!!R);return this._logger&&this._logger.logOutgoing(H.byteLength,g,0,`request: ${(0,n.getStringIdentifierForProxy)(i)}.${h}(`,D),this._protocol.send(H),F}}e.RPCProtocol=u,k=w,u.UNRESPONSIVE_TIME=3*1e3;class a{constructor(i,h){this._buff=i,this._offset=h}static alloc(i,h,D){let R=new a(P.VSBuffer.alloc(D+1+4),0);return R.writeUInt8(i),R.writeUInt32(h),R}static read(i,h){return new a(i,h)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(i){this._buff.writeUInt8(i,this._offset),this._offset+=1}readUInt8(){const i=this._buff.readUInt8(this._offset);return this._offset+=1,i}writeUInt32(i){this._buff.writeUInt32BE(i,this._offset),this._offset+=4}readUInt32(){const i=this._buff.readUInt32BE(this._offset);return this._offset+=4,i}static sizeShortString(i){return 1+i.byteLength}writeShortString(i){this._buff.writeUInt8(i.byteLength,this._offset),this._offset+=1,this._buff.set(i,this._offset),this._offset+=i.byteLength}readShortString(){const i=this._buff.readUInt8(this._offset);this._offset+=1;const D=this._buff.slice(this._offset,this._offset+i).toString();return this._offset+=i,D}static sizeLongString(i){return 4+i.byteLength}writeLongString(i){this._buff.writeUInt32BE(i.byteLength,this._offset),this._offset+=4,this._buff.set(i,this._offset),this._offset+=i.byteLength}readLongString(){const i=this._buff.readUInt32BE(this._offset);this._offset+=4;const D=this._buff.slice(this._offset,this._offset+i).toString();return this._offset+=i,D}writeBuffer(i){this._buff.writeUInt32BE(i.byteLength,this._offset),this._offset+=4,this._buff.set(i,this._offset),this._offset+=i.byteLength}static sizeVSBuffer(i){return 4+i.byteLength}writeVSBuffer(i){this._buff.writeUInt32BE(i.byteLength,this._offset),this._offset+=4,this._buff.set(i,this._offset),this._offset+=i.byteLength}readVSBuffer(){const i=this._buff.readUInt32BE(this._offset);this._offset+=4;const h=this._buff.slice(this._offset,this._offset+i);return this._offset+=i,h}static sizeMixedArray(i,h){let D=0;D+=1;for(let R=0,p=i.length;R<p;R++){const g=i[R],T=h[R];switch(D+=1,T){case 1:D+=this.sizeLongString(g);break;case 2:D+=this.sizeVSBuffer(g);break;case 3:break}}return D}writeMixedArray(i,h){this._buff.writeUInt8(i.length,this._offset),this._offset+=1;for(let D=0,R=i.length;D<R;D++){const p=i[D];switch(h[D]){case 1:this.writeUInt8(1),this.writeLongString(p);break;case 2:this.writeUInt8(2),this.writeVSBuffer(p);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const i=this._buff.readUInt8(this._offset);this._offset+=1;let h=new Array(i);for(let D=0;D<i;D++)switch(this.readUInt8()){case 1:h[D]=this.readLongString();break;case 2:h[D]=this.readVSBuffer();break;case 3:h[D]=void 0;break}return h}}class t{static _arrayContainsBufferOrUndefined(i){for(let h=0,D=i.length;h<D;h++)if(i[h]instanceof P.VSBuffer||typeof i[h]=="undefined")return!0;return!1}static serializeRequestArguments(i,h){if(this._arrayContainsBufferOrUndefined(i)){let D=[],R=[];for(let p=0,g=i.length;p<g;p++){const T=i[p];T instanceof P.VSBuffer?(D[p]=T,R[p]=2):typeof T=="undefined"?(D[p]=P.VSBuffer.alloc(0),R[p]=3):(D[p]=P.VSBuffer.fromString(d(T,h)),R[p]=1)}return{type:"mixed",args:D,argsType:R}}return{type:"simple",args:d(i,h)}}static serializeRequest(i,h,D,R,p){return R.type==="mixed"?this._requestMixedArgs(i,h,D,R.args,R.argsType,p):this._requestJSONArgs(i,h,D,R.args,p)}static _requestJSONArgs(i,h,D,R,p){const g=P.VSBuffer.fromString(D),T=P.VSBuffer.fromString(R);let F=0;F+=a.sizeUInt8(),F+=a.sizeShortString(g),F+=a.sizeLongString(T);let H=a.alloc(p?2:1,i,F);return H.writeUInt8(h),H.writeShortString(g),H.writeLongString(T),H.buffer}static deserializeRequestJSONArgs(i){const h=i.readUInt8(),D=i.readShortString(),R=i.readLongString();return{rpcId:h,method:D,args:JSON.parse(R)}}static _requestMixedArgs(i,h,D,R,p,g){const T=P.VSBuffer.fromString(D);let F=0;F+=a.sizeUInt8(),F+=a.sizeShortString(T),F+=a.sizeMixedArray(R,p);let H=a.alloc(g?4:3,i,F);return H.writeUInt8(h),H.writeShortString(T),H.writeMixedArray(R,p),H.buffer}static deserializeRequestMixedArgs(i){const h=i.readUInt8(),D=i.readShortString(),R=i.readMixedArray(),p=new Array(R.length);for(let g=0,T=R.length;g<T;g++){const F=R[g];typeof F=="string"?p[g]=JSON.parse(F):p[g]=F}return{rpcId:h,method:D,args:p}}static serializeAcknowledged(i){return a.alloc(5,i,0).buffer}static serializeCancel(i){return a.alloc(6,i,0).buffer}static serializeReplyOK(i,h,D){return typeof h=="undefined"?this._serializeReplyOKEmpty(i):h instanceof P.VSBuffer?this._serializeReplyOKVSBuffer(i,h):this._serializeReplyOKJSON(i,_(h,D))}static _serializeReplyOKEmpty(i){return a.alloc(7,i,0).buffer}static _serializeReplyOKVSBuffer(i,h){let D=0;D+=a.sizeVSBuffer(h);let R=a.alloc(8,i,D);return R.writeVSBuffer(h),R.buffer}static deserializeReplyOKVSBuffer(i){return i.readVSBuffer()}static _serializeReplyOKJSON(i,h){const D=P.VSBuffer.fromString(h);let R=0;R+=a.sizeLongString(D);let p=a.alloc(9,i,R);return p.writeLongString(D),p.buffer}static deserializeReplyOKJSON(i){const h=i.readLongString();return JSON.parse(h)}static serializeReplyErr(i,h){return h?this._serializeReplyErrEror(i,h):this._serializeReplyErrEmpty(i)}static _serializeReplyErrEror(i,h){const D=P.VSBuffer.fromString(_(A.transformErrorForSerialization(h),null));let R=0;R+=a.sizeLongString(D);let p=a.alloc(10,i,R);return p.writeLongString(D),p.buffer}static deserializeReplyErrError(i){const h=i.readLongString();return JSON.parse(h)}static _serializeReplyErrEmpty(i){return a.alloc(11,i,0).buffer}}var r;(function(l){l[l.RequestJSONArgs=1]="RequestJSONArgs",l[l.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",l[l.RequestMixedArgs=3]="RequestMixedArgs",l[l.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",l[l.Acknowledged=5]="Acknowledged",l[l.Cancel=6]="Cancel",l[l.ReplyOKEmpty=7]="ReplyOKEmpty",l[l.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",l[l.ReplyOKJSON=9]="ReplyOKJSON",l[l.ReplyErrError=10]="ReplyErrError",l[l.ReplyErrEmpty=11]="ReplyErrEmpty"})(r||(r={}));var o;(function(l){l[l.String=1]="String",l[l.VSBuffer=2]="VSBuffer",l[l.Undefined=3]="Undefined"})(o||(o={}))}),define(we[210],Ee([0,1]),function(oe,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NestedWorker=void 0;const b=function(I){const S=C=>{self.removeEventListener("message",S);const E=C.data;Object.defineProperties(self,{postMessage:{value(n,P){E.postMessage(n,P)}},onmessage:{get(){return E.onmessage},set(n){E.onmessage=n}}}),E.addEventListener("message",n=>{self.dispatchEvent(new MessageEvent("message",{data:n.data}))}),E.start(),self.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(I)};self.addEventListener("message",S)}.toString();class y extends EventTarget{constructor(I,S,C){super();this.onmessage=null,this.onmessageerror=null,this.onerror=null;const E=`((${b})('${S}'))`,n=new Blob([E],{type:"application/javascript"}),P=URL.createObjectURL(n),k=new MessageChannel,_=P,d={type:"_newWorker",id:_,port:k.port2,url:P,options:C};I(d,[k.port2]),this.postMessage=k.port1.postMessage.bind(k.port1),this.terminate=()=>{const s={type:"_terminateWorker",id:_};k.port1.postMessage(s),URL.revokeObjectURL(P),k.port1.close(),k.port2.close()},Object.defineProperties(this,{onmessage:{get(){return k.port1.onmessage},set(s){k.port1.onmessage=s}},onmessageerror:{get(){return k.port1.onmessageerror},set(s){k.port1.onmessageerror=s}}}),k.port1.addEventListener("messageerror",s=>{const f=new MessageEvent("messageerror",{data:s.data});this.dispatchEvent(f)}),k.port1.addEventListener("message",s=>{const f=new MessageEvent("message",{data:s.data});this.dispatchEvent(f)}),k.port1.start()}}e.NestedWorker=y}),define(we[211],Ee([0,1,4]),function(oe,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,b.createDecorator)("remoteAgentService")}),define(we[212],Ee([0,1,16,11,21,2,4,211]),function(oe,e,b,y,A,I,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,S.createDecorator)("pathService");let E=class{constructor(P,k){this.localUserHome=P,this.remoteAgentService=k,this.resolveOS=(async()=>{const _=await this.remoteAgentService.getEnvironment();return(_==null?void 0:_.os)||A.OS})(),this.resolveUserHome=(async()=>{const _=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=(_==null?void 0:_.userHome)||P})()}async userHome(P){return(P==null?void 0:P.preferLocal)?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(P=>P===1?y.win32:y.posix)}async fileURI(P){let k="";if(await this.resolveOS===1&&(P=P.replace(/\\/g,"/")),P[0]==="/"&&P[1]==="/"){const d=P.indexOf("/",2);d===-1?(k=P.substring(2),P="/"):(k=P.substring(2,d),P=P.substring(d)||"/")}return I.URI.from({scheme:b.Schemas.file,authority:k,path:P,query:"",fragment:""})}};E=je([qe(1,C.IRemoteAgentService)],E),e.AbstractPathService=E}),define(we[42],Ee([0,1,15,28,23,38,8,4,11,10]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const P="\u27EA ",k=" characters skipped \u27EB",_=(P.length+k.length+5)*2;e.ISearchService=(0,C.createDecorator)("searchService");var d;(function(M){M[M.file=0]="file",M[M.text=1]="text"})(d=e.SearchProviderType||(e.SearchProviderType={}));var s;(function(M){M[M.File=1]="File",M[M.Text=2]="Text"})(s=e.QueryType||(e.QueryType={}));function f(M){return!!M.preview}e.resultIsMatch=f;function v(M){return!!M.resource}e.isFileMatch=v;function m(M){return!!M.message}e.isProgressMessage=m;var w;(function(M){M[M.Normal=0]="Normal",M[M.NewSearchStarted=1]="NewSearchStarted"})(w=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class c{constructor($){this.resource=$,this.results=[]}}e.FileMatch=c;class u{constructor($,N,K){this.ranges=N;const W=Array.isArray(N)?N:[N];if(K&&K.matchLines===1&&a(W)){$=(0,S.getNLines)($,K.matchLines);let Z="",ne=0,re=0;const Se=Math.floor(K.charsPerLine/5),Ae=[];for(const Be of W){const Re=Math.max(Be.startColumn-Se,0),xe=Be.startColumn+K.charsPerLine;if(Re>re+Se+_){const U=P+(Re-re)+k;Z+=U+$.slice(Re,xe),ne+=Re-(re+U.length)}else Z+=$.slice(re,xe);Ae.push(new r(0,Be.startColumn-ne,Be.endColumn-ne)),re=xe}this.preview={text:Z,matches:Array.isArray(this.ranges)?Ae:Ae[0]}}else{const Z=Array.isArray(N)?N[0].startLineNumber:N.startLineNumber;this.preview={text:$,matches:(0,b.mapArrayOrNot)(N,ne=>new t(ne.startLineNumber-Z,ne.startColumn,ne.endLineNumber-Z,ne.endColumn))}}}}e.TextSearchMatch=u;function a(M){const $=M[0].startLineNumber;for(const N of M)if(N.startLineNumber!==$||N.endLineNumber!==$)return!1;return!0}class t{constructor($,N,K,W){this.startLineNumber=$,this.startColumn=N,this.endLineNumber=K,this.endColumn=W}}e.SearchRange=t;class r extends t{constructor($,N,K){super($,N,$,K)}}e.OneLineRange=r;var o;(function(M){M.Default="default",M.FileNames="fileNames",M.Type="type",M.Modified="modified",M.CountDescending="countDescending",M.CountAscending="countAscending"})(o=e.SearchSortOrder||(e.SearchSortOrder={}));function l(M,$=!0){const N=M&&M.files&&M.files.exclude,K=$&&M&&M.search&&M.search.exclude;if(!(!N&&!K)){if(!N||!K)return N||K;let W=Object.create(null);return W=A.mixin(W,A.deepClone(N)),W=A.mixin(W,A.deepClone(K),!0),W}}e.getExcludes=l;function i(M,$){return M.excludePattern&&y.match(M.excludePattern,$)?!1:M.includePattern||M.usingSearchPaths?M.includePattern&&y.match(M.includePattern,$)?!0:M.usingSearchPaths?!!M.folderQueries&&M.folderQueries.some(N=>{const K=N.folder.fsPath;if(I.isEqualOrParent($,K)){const W=E.relative(K,$);return!N.includePattern||!!y.match(N.includePattern,W)}else return!1}):!1:!0}e.pathIncludedInQuery=i;var h;(function(M){M[M.unknownEncoding=1]="unknownEncoding",M[M.regexParseError=2]="regexParseError",M[M.globParseError=3]="globParseError",M[M.invalidLiteral=4]="invalidLiteral",M[M.rgProcessError=5]="rgProcessError",M[M.other=6]="other",M[M.canceled=7]="canceled"})(h=e.SearchErrorCode||(e.SearchErrorCode={}));class D extends Error{constructor($,N){super($);this.code=N}}e.SearchError=D;function R(M){const $=M.message;if((0,n.isPromiseCanceledError)(M))return new D($,h.canceled);try{const N=JSON.parse($);return new D(N.message,N.code)}catch(N){return new D($,h.other)}}e.deserializeSearchError=R;function p(M){const $={message:M.message,code:M.code};return new Error(JSON.stringify($))}e.serializeSearchError=p;function g(M){return M.type==="error"?!0:M.type==="success"}e.isSerializedSearchComplete=g;function T(M){return M.type==="success"}e.isSerializedSearchSuccess=T;function F(M){return!!M.path}e.isSerializedFileMatch=F;function H(M,$){const N=M.searchPath?M.searchPath:M.relativePath;return(0,S.fuzzyContains)(N,$)}e.isFilePatternMatch=H;class le{constructor($){this.path=$,this.results=[]}addMatch($){this.results.push($)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=le;function z(M,$){const N=Object.assign(Object.assign({},M||{}),$||{});return Object.keys(N).filter(K=>{const W=N[K];return typeof W=="boolean"&&W})}e.resolvePatternsForProvider=z;class B{constructor($,N){this._parsedIncludeExpression=null,this._excludeExpression=Object.assign(Object.assign({},$.excludePattern||{}),N.excludePattern||{}),this._parsedExcludeExpression=y.parse(this._excludeExpression);let K=$.includePattern;N.includePattern&&(K?K=Object.assign(Object.assign({},K),N.includePattern):K=N.includePattern),K&&(this._parsedIncludeExpression=y.parse(K))}includedInQuerySync($,N,K){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression($,N,K)||this._parsedIncludeExpression&&!this._parsedIncludeExpression($,N,K))}includedInQuery($,N,K){return Promise.resolve(this._parsedExcludeExpression($,N,K)).then(Z=>!!Z).then(Z=>Z?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression($,N,K)).then(ne=>!!ne):Promise.resolve(!0)).then(Z=>Z)}hasSiblingExcludeClauses(){return Q(this._excludeExpression)}}e.QueryGlobTester=B;function Q(M){for(const $ in M)if(typeof M[$]!="boolean")return!0;return!1}}),define(we[31],Ee([0,1,15,13,20,3,22,16,78,24,8,12,2,134,4,19,148,47,48,27,14,7,42,5]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w,c,u,a,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function o(T,F,H){return new n.ExtUri(le=>D(le,H)).isEqual(T,F)}function l(T,F,H){return o(T.uri,F.uri,H)?0:(0,P.compare)(T.uri.toString(),F.uri.toString())}function i(T,F,H){return T.index!==F.index?T.index<F.index?-1:1:o(T.uri,F.uri,H)?(0,P.compare)(T.name,F.name):(0,P.compare)(T.uri.toString(),F.uri.toString())}function h(T,F,H,le){const z=T.slice(0).sort((Q,M)=>H(Q,M,le)),B=F.slice(0).sort((Q,M)=>H(Q,M,le));return(0,b.delta)(z,B,(Q,M)=>H(Q,M,le))}function D(T,F){const H=F.getCapabilities(T.scheme);return!(H&&H&1024)}class R extends m.Workspace{constructor(F,H,le,z,B,Q){super(F,le.map(M=>new m.WorkspaceFolder(M)),z,Q);this._name=H,this._isUntitled=B,this._workspaceFolders=[],this._structure=S.TernarySearchTree.forUris(Q),le.forEach(M=>{this._workspaceFolders.push(M),this._structure.set(M.uri,M)})}static toExtHostWorkspace(F,H,le,z){if(!F)return{workspace:null,added:[],removed:[]};const{id:B,name:Q,folders:M,configuration:$,isUntitled:N}=F,K=[],W=H;H?M.forEach((Se,Ae)=>{const Be=_.URI.revive(Se.uri),Re=R._findFolder(le||H,Be,z);Re?(Re.name=Se.name,Re.index=Se.index,K.push(Re)):K.push({uri:Be,name:Se.name,index:Ae})}):K.push(...M.map(({uri:Se,name:Ae,index:Be})=>({uri:_.URI.revive(Se),name:Ae,index:Be}))),K.sort((Se,Ae)=>Se.index<Ae.index?-1:1);const Z=new R(B,Q,K,$?_.URI.revive($):null,!!N,Se=>D(Se,z)),{added:ne,removed:re}=h(W?W.workspaceFolders:[],Z.workspaceFolders,l,z);return{workspace:Z,added:ne,removed:re}}static _findFolder(F,H,le){for(let z=0;z<F.folders.length;z++){const B=F.workspaceFolders[z];if(o(B.uri,H,le))return B}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(F,H){return H&&this._structure.get(F)&&(F=(0,n.dirname)(F)),this._structure.findSubstr(F)}resolveWorkspaceFolder(F){return this._structure.get(F)}}let p=class{constructor(F,H,le,z){this._onDidChangeWorkspace=new I.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidChangeWorkspaceTrustState=new I.Emitter,this.onDidChangeWorkspaceTrustState=this._onDidChangeWorkspaceTrustState.event,this._activeSearchCallbacks=[],this._workspaceTrustState=a.WorkspaceTrustState.Unknown,this._logService=z,this._extHostFileSystemInfo=le,this._requestIdProvider=new E.Counter,this._barrier=new y.Barrier,this._proxy=F.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=F.getProxy(r.MainContext.MainThreadMessageService);const B=H.workspace;this._confirmedWorkspace=B?new R(B.id,B.name,[],B.configuration?_.URI.revive(B.configuration):null,!!B.isUntitled,Q=>D(Q,le)):void 0}$initializeWorkspace(F,H){this._workspaceTrustState=H,this.$acceptWorkspaceData(F),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?_.URI.from({scheme:C.Schemas.untitled,path:(0,n.basename)((0,n.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(F,H,le,...z){const B=[];if(Array.isArray(z)&&z.forEach(K=>{_.URI.isUri(K.uri)&&!B.some(W=>o(W.uri,K.uri,this._extHostFileSystemInfo))&&B.push({uri:K.uri,name:K.name||(0,n.basenameOrAuthority)(K.uri)})}),this._unconfirmedWorkspace||[H,le].some(K=>typeof K!="number"||K<0)||le===0&&B.length===0)return!1;const Q=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(H+le>Q.length)return!1;const M=Q.slice(0);M.splice(H,le,...B.map(K=>({uri:K.uri,name:K.name||(0,n.basenameOrAuthority)(K.uri),index:void 0})));for(let K=0;K<M.length;K++){const W=M[K];if(M.some((Z,ne)=>ne!==K&&o(W.uri,Z.uri,this._extHostFileSystemInfo)))return!1}M.forEach((K,W)=>K.index=W);const{added:$,removed:N}=h(Q,M,i,this._extHostFileSystemInfo);if($.length===0&&N.length===0)return!1;if(this._proxy){const K=F.displayName||F.name;this._proxy.$updateWorkspaceFolders(K,H,le,B).then(void 0,W=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(v.Severity.Error,(0,d.localize)(0,null,K,W.toString()),{extension:F},[])})}return this.trySetWorkspaceFolders(M),!0}getWorkspaceFolder(F,H){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,H)}async getWorkspaceFolder2(F,H){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(F,H)}async resolveWorkspaceFolder(F){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(F)}getPath(){if(!!this._actualWorkspace){const{folders:F}=this._actualWorkspace;if(F.length!==0)return F[0].uri.fsPath}}getRelativePath(F,H){let le,z="";if(typeof F=="string"?(le=_.URI.file(F),z=F):typeof F!="undefined"&&(le=F,z=F.fsPath),!le)return z;const B=this.getWorkspaceFolder(le,!0);if(!B)return z;typeof H=="undefined"&&this._actualWorkspace&&(H=this._actualWorkspace.folders.length>1);let Q=(0,n.relativePath)(B.uri,le);return H&&B.name&&(Q=`${B.name}/${Q}`),Q}trySetWorkspaceFolders(F){this._actualWorkspace&&(this._unconfirmedWorkspace=R.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:F,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(F){const{workspace:H,added:le,removed:z}=R.toExtHostWorkspace(F,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=H||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:le,removed:z}))}findFiles(F,H,le,z,B=A.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${z.value}, entryPoint: findFiles`);let Q;if(H===null?Q=!1:H&&(typeof H=="string"?Q=H:Q=H.pattern),B&&B.isCancellationRequested)return Promise.resolve([]);const{includePattern:M,folder:$}=g(F);return this._proxy.$startFileSearch((0,k.withUndefinedAsNull)(M),(0,k.withUndefinedAsNull)($),(0,k.withUndefinedAsNull)(Q),(0,k.withUndefinedAsNull)(le),B).then(N=>Array.isArray(N)?N.map(K=>_.URI.revive(K)):[])}async findTextInFiles(F,H,le,z,B=A.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${z.value}, entryPoint: findTextInFiles`);const Q=this._requestIdProvider.getNext(),M=typeof H.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:H.previewOptions,{includePattern:$,folder:N}=g(H.include),K=typeof H.exclude=="string"?H.exclude:H.exclude?H.exclude.pattern:void 0,W={ignoreSymlinks:typeof H.followSymlinks=="boolean"?!H.followSymlinks:void 0,disregardIgnoreFiles:typeof H.useIgnoreFiles=="boolean"?!H.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof H.useGlobalIgnoreFiles=="boolean"?!H.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof H.useDefaultExcludes=="boolean"?!H.useDefaultExcludes:!0,fileEncoding:H.encoding,maxResults:H.maxResults,previewOptions:M,afterContext:H.afterContext,beforeContext:H.beforeContext,includePattern:$,excludePattern:K},Z=!1;if(this._activeSearchCallbacks[Q]=ne=>{if(!Z){const re=_.URI.revive(ne.resource);ne.results.forEach(Se=>{(0,t.resultIsMatch)(Se)?le({uri:re,preview:{text:Se.preview.text,matches:(0,b.mapArrayOrNot)(Se.preview.matches,Ae=>new a.Range(Ae.startLineNumber,Ae.startColumn,Ae.endLineNumber,Ae.endColumn))},ranges:(0,b.mapArrayOrNot)(Se.ranges,Ae=>new a.Range(Ae.startLineNumber,Ae.startColumn,Ae.endLineNumber,Ae.endColumn))}):le({uri:re,text:Se.text,lineNumber:Se.lineNumber})})}},B.isCancellationRequested)return{};try{const ne=await this._proxy.$startTextSearch(F,(0,k.withUndefinedAsNull)(N),W,Q,B);return delete this._activeSearchCallbacks[Q],ne||{}}catch(ne){throw delete this._activeSearchCallbacks[Q],ne}}$handleTextSearchResult(F,H){this._activeSearchCallbacks[H]&&this._activeSearchCallbacks[H](F)}saveAll(F){return this._proxy.$saveAll(F)}resolveProxy(F){return this._proxy.$resolveProxy(F)}get trustState(){return this._workspaceTrustState}requireWorkspaceTrust(F){return this._proxy.$requireWorkspaceTrust(F)}$onDidChangeWorkspaceTrustState(F){this._workspaceTrustState=F.currentTrustState,this._onDidChangeWorkspaceTrustState.fire(Object.freeze(F))}};p=je([qe(0,u.IExtHostRpcService),qe(1,c.IExtHostInitDataService),qe(2,w.IExtHostFileSystemInfo),qe(3,f.ILogService)],p),e.ExtHostWorkspace=p,e.IExtHostWorkspace=(0,s.createDecorator)("IExtHostWorkspace");function g(T){let F,H;return T&&(typeof T=="string"?F=T:(F=T.pattern,H=T.baseFolder||_.URI.file(T.base))),{includePattern:F,folder:H}}}),define(we[35],Ee([0,1,23,3,31,5,7,150,66,12,13,4,14,19,2]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function f(r,o){if(o){const l=o.split(".");let i=r;for(let h=0;i&&h<l.length;h++)i=i[l[h]];return i}}function v(r){return r instanceof s.URI}function m(r){return r&&r.uri instanceof s.URI&&r.languageId&&typeof r.languageId=="string"}function w(r){return r&&!r.uri&&r.languageId&&typeof r.languageId=="string"}function c(r){return r&&r.uri instanceof s.URI&&(!r.name||typeof r.name=="string")&&(!r.index||typeof r.index=="number")}function u(r){if(v(r))return{resource:r};if(m(r))return{resource:r.uri,overrideIdentifier:r.languageId};if(w(r))return{overrideIdentifier:r.languageId};if(c(r))return{resource:r.uri};if(r===null)return{resource:null}}let a=class{constructor(o,l,i){this._proxy=o.getProxy(I.MainContext.MainThreadConfiguration),this._extHostWorkspace=l,this._logService=i,this._barrier=new P.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(o=>this._actual)}$initializeConfiguration(o){this._actual=new t(this._proxy,this._extHostWorkspace,o,this._logService),this._barrier.open()}$acceptConfigurationChanged(o,l){this.getConfigProvider().then(i=>i.$acceptConfigurationChanged(o,l))}};a=je([qe(0,_.IExtHostRpcService),qe(1,A.IExtHostWorkspace),qe(2,d.ILogService)],a),e.ExtHostConfiguration=a;class t{constructor(o,l,i,h){this._onDidChangeConfiguration=new y.Emitter,this._proxy=o,this._logService=h,this._extHostWorkspace=l,this._configuration=C.Configuration.parse(i),this._configurationScopes=this._toMap(i.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(o,l){const i={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=C.Configuration.parse(o),this._configurationScopes=this._toMap(o.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(l,i))}getConfiguration(o,l,i){const h=u(l)||{},D=this._toReadonlyValue(o?f(this._configuration.getValue(void 0,h,this._extHostWorkspace.workspace),o):this._configuration.getValue(void 0,h,this._extHostWorkspace.workspace));o&&this._validateConfigurationAccess(o,h,i==null?void 0:i.identifier);function R(g){if(g==null)return null;if(typeof g=="boolean")return g?1:4;switch(g){case S.ConfigurationTarget.Global:return 1;case S.ConfigurationTarget.Workspace:return 4;case S.ConfigurationTarget.WorkspaceFolder:return 5}}const p={has(g){return typeof f(D,g)!="undefined"},get:(g,T)=>{this._validateConfigurationAccess(o?`${o}.${g}`:g,h,i==null?void 0:i.identifier);let F=f(D,g);if(typeof F=="undefined")F=T;else{let H;const le=(z,B)=>{let Q;const M=()=>{H=H||(0,b.deepClone)(D),Q=Q||f(H,B)};return(0,n.isObject)(z)?new Proxy(z,{get:($,N)=>{if(typeof N=="string"&&N.toLowerCase()==="tojson")return M(),()=>Q;if(H)return Q=Q||f(H,B),Q[N];const K=$[N];return typeof N=="string"?le(K,`${B}.${N}`):K},set:($,N,K)=>(M(),Q&&(Q[N]=K),!0),deleteProperty:($,N)=>(M(),Q&&delete Q[N],!0),defineProperty:($,N,K)=>(M(),Q&&Object.defineProperty(Q,N,K),!0)}):z};F=le(F,g)}return F},update:(g,T,F,H)=>{g=o?`${o}.${g}`:g;const le=R(F);return T!==void 0?this._proxy.$updateConfigurationOption(le,g,T,h,H):this._proxy.$removeConfigurationOption(le,g,h,H)},inspect:g=>{var T,F,H,le,z,B,Q,M;g=o?`${o}.${g}`:g;const $=(0,b.deepClone)(this._configuration.inspect(g,h,this._extHostWorkspace.workspace));if($)return{key:g,defaultValue:(T=$.default)===null||T===void 0?void 0:T.value,globalValue:(F=$.user)===null||F===void 0?void 0:F.value,workspaceValue:(H=$.workspace)===null||H===void 0?void 0:H.value,workspaceFolderValue:(le=$.workspaceFolder)===null||le===void 0?void 0:le.value,defaultLanguageValue:(z=$.default)===null||z===void 0?void 0:z.override,globalLanguageValue:(B=$.user)===null||B===void 0?void 0:B.override,workspaceLanguageValue:(Q=$.workspace)===null||Q===void 0?void 0:Q.override,workspaceFolderLanguageValue:(M=$.workspaceFolder)===null||M===void 0?void 0:M.override,languageIds:$.overrideIdentifiers}}};return typeof D=="object"&&(0,b.mixin)(p,D,!1),Object.freeze(p)}_toReadonlyValue(o){const l=i=>(0,n.isObject)(i)?new Proxy(i,{get:(h,D)=>l(h[D]),set:(h,D,R)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(D)}' of object`)},deleteProperty:(h,D)=>{throw new Error(`TypeError: Cannot delete read only property '${String(D)}' of object`)},defineProperty:(h,D)=>{throw new Error(`TypeError: Cannot define property '${String(D)}' for a readonly object`)},setPrototypeOf:h=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):i;return l(o)}_validateConfigurationAccess(o,l,i){const h=E.OVERRIDE_PROPERTY_PATTERN.test(o)?4:this._configurationScopes.get(o),D=i?`[${i.value}] `:"";if(h===4){typeof(l==null?void 0:l.resource)=="undefined"&&this._logService.warn(`${D}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${o}', provide the URI of a resource or 'null' for any resource.`);return}if(h===3){(l==null?void 0:l.resource)&&this._logService.warn(`${D}Accessing a window scoped configuration for a resource is not expected. To associate '${o}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(o,l){const i=new C.ConfigurationChangeEvent(o,l,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(h,D)=>i.affectsConfiguration(h,u(D))})}_toMap(o){return o.reduce((l,i)=>(l.set(i[0],i[1]),l),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=(0,k.createDecorator)("IExtHostConfiguration")});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[100],Ee([0,1,2,13,3,5,7,31,40,35,20,41,14,27,4,16,21,19,72,166,10]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w,c,u){"use strict";var a;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(z){function B(M){if(M!=null)return M}z.from=B;function Q(M){if(M!=null)return M}z.to=Q})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var r;(function(z){function B(M){if(M!=null)return M}z.from=B;function Q(M){if(M!=null)return M}z.to=Q})(r=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var o;(function(z){function B(M){if(M!=null)return M}z.from=B;function Q(M){if(M!=null)return M}z.to=Q})(o=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var l;(function(z){function B($){if($){const N=$;return N&&!!N.process}else return!1}z.is=B;function Q($){if($!=null){const N={process:$.process,args:$.args};return $.options&&(N.options=o.from($.options)),N}}z.from=Q;function M($){if($!=null)return new S.ProcessExecution($.process,$.args,$.options)}z.to=M})(l=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var i;(function(z){function B(M){if(M!=null)return M}z.from=B;function Q(M){if(M!=null)return M}z.to=Q})(i=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var h;(function(z){function B($){if($){const N=$;return N&&(!!N.commandLine||!!N.command)}else return!1}z.is=B;function Q($){if($!=null){const N={};return $.commandLine!==void 0?N.commandLine=$.commandLine:(N.command=$.command,N.args=$.args),$.options&&(N.options=i.from($.options)),N}}z.from=Q;function M($){if(!($==null||$.command===void 0&&$.commandLine===void 0))return $.commandLine?new S.ShellExecution($.commandLine,$.options):new S.ShellExecution($.command,$.args?$.args:[],$.options)}z.to=M})(h=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var D;(function(z){function B($){if($){let N=$;return N&&N.customExecution==="customExecution"}else return!1}z.is=B;function Q($){return{customExecution:"customExecution"}}z.from=Q;function M($,N){return N.get($)}z.to=M})(D=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var R;(function(z){function B(Q,M){let $;return Q.scope!==void 0&&typeof Q.scope!="number"?$=Q.scope.uri:Q.scope!==void 0&&typeof Q.scope=="number"&&(Q.scope===S.TaskScope.Workspace&&M&&M.workspaceFile?$=M.workspaceFile:$=c.USER_TASKS_GROUP_KEY),{id:Q._id,workspaceFolder:$}}z.from=B})(R=e.TaskHandleDTO||(e.TaskHandleDTO={}));var p;(function(z){function B($,N){if($==null)return[];const K=[];for(let W of $){const Z=Q(W,N);Z&&K.push(Z)}return K}z.fromMany=B;function Q($,N){if($!=null){let K;$.execution instanceof S.ProcessExecution?K=l.from($.execution):$.execution instanceof S.ShellExecution?K=h.from($.execution):$.execution&&$.execution instanceof S.CustomExecution&&(K=D.from($.execution));const W=t.from($.definition);let Z;if($.scope?typeof $.scope=="number"?Z=$.scope:Z=$.scope.uri:Z=S.TaskScope.Workspace,!(!W||!Z)){const ne=$.group?$.group.id:void 0;return{_id:$._id,definition:W,name:$.name,source:{extensionId:N.identifier.value,label:$.source,scope:Z},execution:K,isBackground:$.isBackground,group:ne,presentationOptions:r.from($.presentationOptions),problemMatchers:$.problemMatchers,hasDefinedMatchers:$.hasDefinedMatchers,runOptions:$.runOptions?$.runOptions:{reevaluateOnRerun:!0},detail:$.detail}}}}z.from=Q;async function M($,N,K){if($!=null){let W;l.is($.execution)?W=l.to($.execution):h.is($.execution)?W=h.to($.execution):D.is($.execution)&&(W=D.to($._id,K));const Z=t.to($.definition);let ne;if($.source&&($.source.scope!==void 0?typeof $.source.scope=="number"?ne=$.source.scope:ne=await N.resolveWorkspaceFolder(b.URI.revive($.source.scope)):ne=S.TaskScope.Workspace),!(!Z||!ne)){const re=new S.Task(Z,ne,$.name,$.source.label,W,$.problemMatchers);return $.isBackground!==void 0&&(re.isBackground=$.isBackground),$.group!==void 0&&(re.group=S.TaskGroup.from($.group)),$.presentationOptions&&(re.presentationOptions=r.to($.presentationOptions)),$._id&&(re._id=$._id),$.detail&&(re.detail=$.detail),re}}}z.to=M})(p=e.TaskDTO||(e.TaskDTO={}));var g;(function(z){function B(M){return M}z.from=B;function Q(M){if(!!M)return Object.assign(Object.create(null),M)}z.to=Q})(g=e.TaskFilterDTO||(e.TaskFilterDTO={}));class T{constructor(B,Q,M){this._id=Q,this._task=M,a.set(this,void 0),tt(this,a,B)}get task(){return this._task}terminate(){We(this,a).terminateTask(this)}fireDidStartProcess(B){}fireDidEndProcess(B){}}a=new WeakMap;var F;(function(z){function B(Q){return{id:Q._id,task:void 0}}z.from=B})(F=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let H=class{constructor(B,Q,M,$,N,K,W,Z){this._onDidExecuteTask=new A.Emitter,this._onDidTerminateTask=new A.Emitter,this._onDidTaskProcessStarted=new A.Emitter,this._onDidTaskProcessEnded=new A.Emitter,this._proxy=B.getProxy(I.MainContext.MainThreadTask),this._workspaceProvider=M,this._editorService=$,this._configurationService=N,this._terminalService=K,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=W,this._deprecationService=Z,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(B,Q,M){if(!M)return new S.Disposable(()=>{});const $=this.nextHandle();return this._handlers.set($,{type:Q,provider:M,extension:B}),this._proxy.$registerTaskProvider($,Q),new S.Disposable(()=>{this._handlers.delete($),this._proxy.$unregisterTaskProvider($)})}registerTaskSystem(B,Q){this._proxy.$registerTaskSystem(B,Q)}fetchTasks(B){return this._proxy.$fetchTasks(g.from(B)).then(async Q=>{const M=[];for(let $ of Q){const N=await p.to($,this._workspaceProvider,this._providedCustomExecutions2);N&&M.push(N)}return M})}get taskExecutions(){const B=[];return this._taskExecutions.forEach(Q=>B.push(Q)),B}terminateTask(B){if(!(B instanceof T))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(B._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(B,Q,M){const $=this._providedCustomExecutions2.get(B.id);if($){if(this._activeCustomExecutions2.get(B.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(B.id,$),this._terminalService.attachPtyToTerminal(Q,await $.callback(M))}this._lastStartedTask=B.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(B)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(B){const Q=await this.getTaskExecution(B);this._taskExecutionPromises.delete(B.id),this._taskExecutions.delete(B.id),this.customExecutionComplete(B),this._onDidTerminateTask.fire({execution:Q})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(B){const Q=await this.getTaskExecution(B.id);this._onDidTaskProcessStarted.fire({execution:Q,processId:B.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(B){const Q=await this.getTaskExecution(B.id);this._onDidTaskProcessEnded.fire({execution:Q,exitCode:B.exitCode})}$provideTasks(B,Q){const M=this._handlers.get(B);if(!M)return Promise.reject(new Error("no handler found"));const $=[],N=(0,y.asPromise)(()=>M.provider.provideTasks(P.CancellationToken.None)).then(K=>this.provideTasksInternal(Q,$,M,K));return new Promise(K=>{N.then(W=>{Promise.all($).then(()=>{K(W)})})})}async $resolveTask(B,Q){const M=this._handlers.get(B);if(!M)return Promise.reject(new Error("no handler found"));if(Q.definition.type!==M.type)throw new Error(`Unexpected: Task of type [${Q.definition.type}] cannot be resolved by provider of type [${M.type}].`);const $=await p.to(Q,this._workspaceProvider,this._providedCustomExecutions2);if(!$)throw new Error("Unexpected: Task cannot be resolved.");const N=await M.provider.resolveTask($,P.CancellationToken.None);if(!!N){this.checkDeprecation(N,M);const K=p.from(N,M.extension);if(!K)throw new Error("Unexpected: Task cannot be resolved.");if(N.definition!==$.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return D.is(K.execution)&&await this.addCustomExecution(K,N,!0),await this.resolveTaskInternal(K)}}nextHandle(){return this._handleCounter++}async addCustomExecution(B,Q,M){const $=await this._proxy.$createTaskId(B);!M&&!this._providedCustomExecutions2.has($)&&this._notProvidedCustomExecutions.add($),this._providedCustomExecutions2.set($,Q.execution)}async getTaskExecution(B,Q){if(typeof B=="string"){const N=this._taskExecutionPromises.get(B);if(!N)throw new Error("Unexpected: The specified task is missing an execution");return N}let M=this._taskExecutionPromises.get(B.id);if(M)return M;const $=new Promise(async(N,K)=>{const W=Q||await p.to(B.task,this._workspaceProvider,this._providedCustomExecutions2);W?N(new T(this,B.id,W)):K("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(B.id,$),$.then(N=>(this._taskExecutions.set(B.id,N),N),N=>Promise.reject(N))}checkDeprecation(B,Q){B._deprecated&&this._deprecationService.report("Task.constructor",Q.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(B){this._activeCustomExecutions2.get(B.id)&&this._activeCustomExecutions2.delete(B.id),this._notProvidedCustomExecutions.has(B.id)&&this._lastStartedTask!==B.id&&(this._providedCustomExecutions2.delete(B.id),this._notProvidedCustomExecutions.delete(B.id));let M=this._notProvidedCustomExecutions.values(),$=M.next();for(;!$.done;)!this._activeCustomExecutions2.has($.value)&&this._lastStartedTask!==$.value&&(this._providedCustomExecutions2.delete($.value),this._notProvidedCustomExecutions.delete($.value)),$=M.next()}};H=je([qe(0,_.IExtHostRpcService),qe(1,d.IExtHostInitDataService),qe(2,C.IExtHostWorkspace),qe(3,E.IExtHostDocumentsAndEditors),qe(4,n.IExtHostConfiguration),qe(5,k.IExtHostTerminalService),qe(6,m.ILogService),qe(7,w.IExtHostApiDeprecationService)],H),e.ExtHostTaskBase=H;let le=class extends H{constructor(B,Q,M,$,N,K,W,Z){super(B,Q,M,$,N,K,W,Z);this.registerTaskSystem(f.Schemas.vscodeRemote,{scheme:f.Schemas.vscodeRemote,authority:"",platform:v.PlatformToString(0)})}async executeTask(B,Q){if(!Q.execution)throw new Error("Tasks to execute must include an execution");const M=p.from(Q,B);if(M===void 0)throw new Error("Task is not valid");if(D.is(M.execution))await this.addCustomExecution(M,Q,!1);else throw new u.NotSupportedError;const $=await this.getTaskExecution(await this._proxy.$getTaskExecution(M),Q);return this._proxy.$executeTask(M).catch(N=>{throw new Error(N)}),$}provideTasksInternal(B,Q,M,$){const N=[];if($)for(let K of $){this.checkDeprecation(K,M),(!K.definition||!B[K.definition.type])&&this._logService.warn(`The task [${K.source}, ${K.name}] uses an undefined task type. The task will be ignored in the future.`);const W=p.from(K,M.extension);W&&D.is(W.execution)?(N.push(W),Q.push(this.addCustomExecution(W,K,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:N,extension:M.extension}}async resolveTaskInternal(B){if(D.is(B.execution))return B;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(B,Q){return{process:void 0,variables:Object.create(null)}}$getDefaultShellAndArgs(){throw new Error("Not implemented")}async $jsonTasksSupported(){return!1}async $findExecutable(B,Q,M){}};le=je([qe(0,_.IExtHostRpcService),qe(1,d.IExtHostInitDataService),qe(2,C.IExtHostWorkspace),qe(3,E.IExtHostDocumentsAndEditors),qe(4,n.IExtHostConfiguration),qe(5,k.IExtHostTerminalService),qe(6,m.ILogService),qe(7,w.IExtHostApiDeprecationService)],le),e.WorkerExtHostTask=le,e.IExtHostTask=(0,s.createDecorator)("IExtHostTask")});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)},an=this&&this.__rest||function(oe,e){var b={};for(var y in oe)Object.prototype.hasOwnProperty.call(oe,y)&&e.indexOf(y)<0&&(b[y]=oe[y]);if(oe!=null&&typeof Object.getOwnPropertySymbols=="function")for(var A=0,y=Object.getOwnPropertySymbols(oe);A<y.length;A++)e.indexOf(y[A])<0&&Object.prototype.propertyIsEnumerable.call(oe,y[A])&&(b[y[A]]=oe[y[A]]);return b};define(we[213],Ee([0,1,15,13,20,3,51,6,23,12,2,29,5,40,14,9,7,31,178,168]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w,c){"use strict";var u,a;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestItemFilteredWrapper=e.ExtHostTesting=void 0;const t=(g,T)=>`${g}:${T.toString()}`;let r=class{constructor(T,F,H){this.documents=F,this.workspace=H,this.resultsChangedEmitter=new I.Emitter,this.providers=new Map,this.ownedTests=new w.OwnedTestCollection,this.testSubscriptions=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=T.getProxy(_.MainContext.MainThreadTesting),this.workspaceObservers=new R(this.proxy),this.textDocumentObservers=new p(this.proxy,F)}registerTestProvider(T){const F=(0,k.generateUuid)();this.providers.set(F,T),this.proxy.$registerTestProvider(F);const H=[...this.testSubscriptions.keys()];return setTimeout(()=>{var le;for(const z of H)(le=this.testSubscriptions.get(z))===null||le===void 0||le.subscribeFn(F,T)},0),new v.Disposable(()=>{this.providers.delete(F),this.proxy.$unregisterTestProvider(F)})}createTextDocumentTestObserver(T){return this.textDocumentObservers.checkout(T.uri)}createWorkspaceTestObserver(T){return this.workspaceObservers.checkout(T.uri)}async runTests(T,F=A.CancellationToken.None){const H=le=>le.map(this.getInternalTestForReference,this).filter(n.isDefined).map(z=>({providerId:z.providerId,testId:z.item.extId}));await this.proxy.$runTests({exclude:T.exclude?H(T.exclude).map(le=>le.testId):void 0,tests:H(T.tests),debug:T.debug},F)}publishExtensionProvidedResults(T,F){this.proxy.$publishExtensionProvidedResults(f.TestResults.from((0,k.generateUuid)(),T),F)}$publishTestResults(T){this.results=Object.freeze(T.map(F=>(0,E.deepFreeze)(f.TestResults.to(F))).concat(this.results).sort((F,H)=>H.completedAt-F.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $subscribeToTests(T,F){const H=P.URI.revive(F),le=t(T,H);if(!this.testSubscriptions.has(le)){const z=new A.CancellationTokenSource;let B;if(T===1){let N=this.documents.getDocument(H);if(!N){const K=new C.DisposableStore;N=await new Promise(W=>{K.add((0,y.disposableTimeout)(()=>W(void 0),5e3)),K.add(this.documents.onDidAddDocuments(Z=>{const ne=Z.find(re=>re.document.uri.toString()===H.toString());ne&&W(ne)}))}).finally(()=>K.dispose())}if(N){const K=await this.workspace.getWorkspaceFolder2(H,!1);B=W=>W.provideDocumentTestHierarchy?W.provideDocumentTestHierarchy(N.document,z.token):this.createDefaultDocumentTestHierarchy(W,N.document,K,z.token)}}else{const N=await this.workspace.getWorkspaceFolder2(H,!1);N&&(B=K=>K.provideWorkspaceTestHierarchy(N,z.token))}if(!!B){const Q=async(N,K)=>{var W;try{$.pushDiff([3,1]);const Z=await B(K);if(!Z){$.pushDiff([3,-1]);return}$.addRoot(Z.root,N),Promise.resolve(Z.discoveredInitialTests).then(()=>$.pushDiff([3,-1])),Z.onDidChangeTest(ne=>$.onItemChange(ne,N)),(W=Z.onDidInvalidateTest)===null||W===void 0||W.call(Z,ne=>{const re=$.getTestByReference(ne);re?this.proxy.$retireTest(re.item.extId):console.warn("Received a TestProvider.onDidInvalidateTest for a test that does not currently exist.")})}catch(Z){console.error(Z)}},M=new C.DisposableStore,$=M.add(this.ownedTests.createForHierarchy(N=>this.proxy.$publishDiff(T,F,N)));M.add((0,C.toDisposable)(()=>z.dispose(!0)));for(const[N,K]of this.providers)Q(N,K);$.pushDiff([4,-1]),this.testSubscriptions.set(le,{store:M,collection:$,subscribeFn:Q})}}}$unsubscribeFromTests(T,F){var H;const le=P.URI.revive(F),z=t(T,le);(H=this.testSubscriptions.get(z))===null||H===void 0||H.store.dispose(),this.testSubscriptions.delete(z)}$acceptDiff(T,F,H){T===1?this.textDocumentObservers.acceptDiff(P.URI.revive(F),H):this.workspaceObservers.acceptDiff(P.URI.revive(F),H)}async $runTestsForProvider(T,F){const H=this.providers.get(T.providerId);if(!!H){const le=T.ids.map(B=>{var Q;return(Q=this.ownedTests.getTestById(B))===null||Q===void 0?void 0:Q[1]}).filter(n.isDefined),z=T.excludeExtIds.map(B=>this.ownedTests.getTestById(B)).filter(n.isDefined).filter(([B,Q])=>le.some(M=>B.comparePositions(M,Q)===1));if(!!le.length)try{await H.runTests({setState:(B,Q)=>{for(const[M,$]of z){const N=M.comparePositions($,B.id);if(N===1||N===3)return}this.flushCollectionDiffs(),this.proxy.$updateTestStateInRun(T.runId,B.id,f.TestState.from(Q))},tests:le.map(B=>o.unwrap(B.actual)),exclude:z.map(([,B])=>o.unwrap(B.actual)),debug:T.debug},F);for(const{collection:B}of this.testSubscriptions.values())B.flushDiff();return}catch(B){throw console.error(B),B}}}$lookupTest(T){const F=this.ownedTests.getTestById(T.testId);if(!F)return Promise.resolve(void 0);const H=F[1],{actual:le,previousChildren:z,previousEquals:B}=H,Q=an(H,["actual","previousChildren","previousEquals"]);return Promise.resolve(Q)}flushCollectionDiffs(){for(const{collection:T}of this.testSubscriptions.values())T.flushDiff()}getInternalTestForReference(T){var F,H;return(H=(F=this.workspaceObservers.getMirroredTestDataByReference(T))!==null&&F!==void 0?F:(0,b.mapFind)(this.testSubscriptions.values(),le=>le.collection.getTestByReference(T)))!==null&&H!==void 0?H:this.textDocumentObservers.getMirroredTestDataByReference(T)}async createDefaultDocumentTestHierarchy(T,F,H,le){var z;if(!!H){const B=await T.provideWorkspaceTestHierarchy(H,le);if(!!B){const Q=new I.Emitter;(z=B.onDidInvalidateTest)===null||z===void 0||z.call(B,$=>{const N=o.getWrapperForTestItem($,F);N.hasNodeMatchingFilter&&Q.fire(N)});const M=new I.Emitter;return B.onDidChangeTest($=>{const N=o.getWrapperForTestItem($,F);if(N.hasNodeMatchingFilter){if(N.reset(),N.hasNodeMatchingFilter){M.fire(N);return}M.fire(N.visibleParent);return}const W=N.visibleParent;N.reset(),!!N.hasNodeMatchingFilter&&(W.reset(),M.fire(W))}),le.onCancellationRequested(()=>{o.removeFilter(F),M.dispose()}),{root:o.getWrapperForTestItem(B.root,F),discoveredInitialTests:B.discoveredInitialTests,onDidInvalidateTest:Q.event,onDidChangeTest:M.event}}}}};r=je([qe(0,s.IExtHostRpcService),qe(1,d.IExtHostDocumentsAndEditors),qe(2,m.IExtHostWorkspace)],r),e.ExtHostTesting=r;class o{constructor(T,F,H){this.actual=T,this.filterDocument=F,this.parent=H,this.getWrappedChildren()}static removeFilter(T){this.wrapperMap.delete(T)}static getWrapperForTestItem(T,F,H){let le=this.wrapperMap.get(F);if(le==null?void 0:le.has(T))return le.get(T);le||(le=new WeakMap,this.wrapperMap.set(F,le));const z=new o(T,F,H);return le.set(T,z),z}static unwrap(T){return T instanceof o?T.actual:T}get id(){return this.actual.id}get label(){return this.actual.label}get debuggable(){return this.actual.debuggable}get description(){return this.actual.description}get location(){return this.actual.location}get runnable(){return this.actual.runnable}get children(){return this.getWrappedChildren().filter(T=>T.hasNodeMatchingFilter)}get visibleParent(){return this.hasNodeMatchingFilter?this:this.parent.visibleParent}get hasNodeMatchingFilter(){var T;return this.matchesFilter===void 0&&(this.matchesFilter=!this.parent||((T=this.actual.location)===null||T===void 0?void 0:T.uri.toString())===this.filterDocument.uri.toString()||this.getWrappedChildren().some(F=>F.hasNodeMatchingFilter)),this.matchesFilter}reset(){var T;this!==this.visibleParent&&((T=this.parent)===null||T===void 0||T.reset()),this.matchesFilter=void 0}getWrappedChildren(){var T;return((T=this.actual.children)===null||T===void 0?void 0:T.map(F=>o.getWrapperForTestItem(F,this.filterDocument,this)))||[]}}e.TestItemFilteredWrapper=o,o.wrapperMap=new WeakMap;class l extends c.IncrementalChangeCollector{constructor(T,F){super();this.collection=T,this.emitter=F,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(T){this.added.add(T)}update(T){Object.assign(T.revived,f.TestItem.toPlainShallow(T.item)),this.added.has(T)||this.updated.add(T)}remove(T){if(this.added.has(T)){this.added.delete(T);return}if(this.updated.delete(T),T.parent&&this.alreadyRemoved.has(T.parent)){this.alreadyRemoved.add(T.item.extId);return}this.removed.add(T)}getChangeEvent(){const{collection:T,added:F,updated:H,removed:le}=this;return{get added(){return[...F].map(T.getPublicTestItem,T)},get updated(){return[...H].map(T.getPublicTestItem,T)},get removed(){return[...le].map(T.getPublicTestItem,T)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class i extends c.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new I.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTestItems(){return this.getAllAsTestItem([...this.roots])}getAllAsTestItem(T){let F=[];for(const H of T){const le=this.items.get(H);le&&F.push(this.getPublicTestItem(le))}return F}getMirroredTestDataById(T){return this.items.get(T)}getMirroredTestDataByReference(T){return this.items.get(T.id)}createItem(T,F){return Object.assign(Object.assign({},T),{revived:f.TestItem.toPlainShallow(T.item),depth:F?F.depth+1:0,children:new Set})}createChangeCollector(){return new l(this,this.changeEmitter)}getPublicTestItem(T){return T.wrapped||(T.wrapped=new h(T,this)),T.wrapped}}e.MirroredTestCollection=i;class h{constructor(T,F){u.set(this,void 0),a.set(this,void 0),tt(this,u,T),tt(this,a,F)}get id(){return We(this,u).revived.id}get label(){return We(this,u).revived.label}get description(){return We(this,u).revived.description}get location(){return We(this,u).revived.location}get runnable(){var T;return(T=We(this,u).revived.runnable)!==null&&T!==void 0?T:!0}get debuggable(){var T;return(T=We(this,u).revived.debuggable)!==null&&T!==void 0?T:!1}get children(){return We(this,a).getAllAsTestItem(We(this,u).children)}toJSON(){return{id:this.id,label:this.label,description:this.description,location:this.location,runnable:this.runnable,debuggable:this.debuggable,children:this.children.map(F=>F.toJSON()),providerId:We(this,u).providerId,testId:this.id}}}u=new WeakMap,a=new WeakMap;class D{constructor(){this.resources=new Map}checkout(T){var F,H;const le=T.toString(),z=(F=this.resources.get(le))!==null&&F!==void 0?F:this.createObserverData(T);return(H=z.pendingDeletion)===null||H===void 0||H.dispose(),z.observers++,{onDidChangeTest:z.tests.onDidChangeTests,onDidDiscoverInitialTests:new I.Emitter().event,get tests(){return z.tests.rootTestItems},dispose:(0,S.once)(()=>{--z.observers||(z.pendingDeletion=this.eventuallyDispose(T))})}}getMirroredTestDataByReference(T){for(const{tests:F}of this.resources.values()){const H=F.getMirroredTestDataByReference(T);if(H)return H}}eventuallyDispose(T){return(0,y.disposableTimeout)(()=>this.unlisten(T),10*1e3)}createObserverData(T){const F=new i,H=this.listen(T,z=>F.apply(z)),le={observers:0,tests:F,listener:H};return this.resources.set(T.toString(),le),le}unlisten(T){var F;const H=T.toString(),le=this.resources.get(H);le&&(le.observers=-1,(F=le.pendingDeletion)===null||F===void 0||F.dispose(),le.listener.dispose(),this.resources.delete(H))}}class R extends D{constructor(T){super();this.proxy=T,this.diffListeners=new Map}acceptDiff(T,F){var H;(H=this.diffListeners.get(T.toString()))===null||H===void 0||H(F)}listen(T,F){this.proxy.$subscribeToDiffs(0,T);const H=T.toString();return this.diffListeners.set(H,F),new v.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(0,T),this.diffListeners.delete(H)})}}class p extends D{constructor(T,F){super();this.proxy=T,this.documents=F,this.diffListeners=new Map}acceptDiff(T,F){var H;(H=this.diffListeners.get(T.toString()))===null||H===void 0||H(F)}listen(T,F){if(!this.documents.getDocument(T))return new v.Disposable(()=>{});const le=T.toString();return this.diffListeners.set(le,F),this.proxy.$subscribeToDiffs(1,T),new v.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(1,T),this.diffListeners.delete(le)})}}}),define(we[214],Ee([0,1,15,50,28,58,22,16,11,24,8,12,2,113,137,89,47,170,212,42]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let u=class{constructor(R,p,g,T){this.configurationService=R,this.workspaceContextService=p,this.editorGroupsService=g,this.pathService=T}text(R,p,g={}){R=this.getContentPattern(R,g);const T=this.configurationService.getValue(),F=p&&p.some(le=>!this.configurationService.getValue({resource:le}).search.useRipgrep),H=this.commonQuery(p==null?void 0:p.map(v.toWorkspaceFolder),g);return Object.assign(Object.assign({},H),{type:2,contentPattern:R,previewOptions:g.previewOptions,maxFileSize:g.maxFileSize,usePCRE2:T.search.usePCRE2||F||!1,beforeContext:g.beforeContext,afterContext:g.afterContext,userDisabledExcludesAndIgnoreFiles:g.disregardExcludeSettings&&g.disregardIgnoreFiles})}getContentPattern(R,p){const g=this.configurationService.getValue();R.isRegExp&&(R.pattern=R.pattern.replace(/\r?\n/g,"\\n"));const T=Object.assign(Object.assign({},R),{wordSeparators:g.editor.wordSeparators});return this.isCaseSensitive(R,p)&&(T.isCaseSensitive=!0),this.isMultiline(R)&&(T.isMultiline=!0),T}file(R,p={}){const g=this.commonQuery(R,p);return Object.assign(Object.assign({},g),{type:1,filePattern:p.filePattern?p.filePattern.trim():p.filePattern,exists:p.exists,sortByScore:p.sortByScore,cacheKey:p.cacheKey})}handleIncludeExclude(R,p){return R?(R=Array.isArray(R)?R.map(l):l(R),p?this.parseSearchPaths(R):{pattern:t(...Array.isArray(R)?R:[R])}):{}}commonQuery(R=[],p={}){const g=this.handleIncludeExclude(p.includePattern,p.expandPatterns),T=this.handleIncludeExclude(p.excludePattern,p.expandPatterns),F=R.length>1,H=(g.searchPaths&&g.searchPaths.length?g.searchPaths.map(B=>this.getFolderQueryForSearchPath(B,p,T)):R.map(B=>this.getFolderQueryForRoot(B,p,T,F))).filter(B=>!!B),le={_reason:p._reason,folderQueries:H,usingSearchPaths:!!(g.searchPaths&&g.searchPaths.length),extraFileResources:p.extraFileResources,excludePattern:T.pattern,includePattern:g.pattern,onlyOpenEditors:p.onlyOpenEditors,maxResults:p.maxResults};if(p.onlyOpenEditors){const Q=b.coalesce(b.flatten(this.editorGroupsService.groups.map($=>$.editors.map(N=>N.resource)))).filter($=>(0,c.pathIncludedInQuery)(le,$.fsPath)),M=this.commonQueryFromFileList(Q);return Object.assign(Object.assign({},le),M)}const z=p.extraFileResources&&p.extraFileResources.filter(B=>(0,c.pathIncludedInQuery)(le,B.fsPath));return le.extraFileResources=z&&z.length?z:void 0,le}commonQueryFromFileList(R){const p=[],g=new S.ResourceMap,T={};let F=!1;return R.forEach(H=>{var le,z;if(H.scheme!==C.Schemas.walkThrough)if((0,n.isAbsolutePath)(H)){const Q=(z=(le=this.workspaceContextService.getWorkspaceFolder(H))===null||le===void 0?void 0:le.uri)!==null&&z!==void 0?z:H.with({path:E.dirname(H.fsPath)});let M=g.get(Q);M||(F=!0,M={folder:Q,includePattern:{}},p.push(M),g.set(Q,M));const $=E.relative(Q.fsPath,H.fsPath);(0,k.assertIsDefined)(M.includePattern)[$.replace(/\\/g,"/")]=!0}else H.fsPath&&(F=!0,T[H.fsPath]=!0)}),{folderQueries:p,includePattern:T,usingSearchPaths:!0,excludePattern:F?void 0:{"**/*":!0}}}isCaseSensitive(R,p){if(p.isSmartCase){if(R.isRegExp){if(P.containsUppercaseCharacter(R.pattern,!0))return!0}else if(P.containsUppercaseCharacter(R.pattern))return!0}return!!R.isCaseSensitive}isMultiline(R){return R.isMultiline||R.isRegExp&&(0,d.isMultilineRegexSource)(R.pattern)||R.pattern.indexOf(`
`)>=0?!0:!!R.isMultiline}parseSearchPaths(R){const p=M=>E.isAbsolute(M)||/^\.\.?([\/\\]|$)/.test(M),T=(Array.isArray(R)?R:r(R)).map(M=>{const $=this.pathService.resolvedUserHome;return $?(0,I.untildify)(M,$.scheme===C.Schemas.file?$.fsPath:$.path):M}),F=y.groupBy(T,M=>p(M)?"searchPaths":"exprSegments"),H=(F.exprSegments||[]).map(M=>P.rtrim(M,"/")).map(M=>P.rtrim(M,"\\")).map(M=>(M[0]==="."&&(M="*"+M),o(M))),le={},z=this.expandSearchPathPatterns(F.searchPaths||[]);z&&z.length&&(le.searchPaths=z);const B=b.flatten(H),Q=t(...B);return Q&&(le.pattern=Q),le}getExcludesForFolder(R,p){return p.disregardExcludeSettings?void 0:(0,c.getExcludes)(R,!p.disregardSearchExcludeSettings)}expandSearchPathPatterns(R){if(!R||!R.length)return[];const p=b.flatten(R.map(T=>{let{pathPortion:F,globPortion:H}=a(T);H&&(H=i(H));const le=this.expandOneSearchPath(F);return b.flatten(le.map(z=>this.resolveOneSearchPathPattern(z,H)))})),g=new Map;return p.forEach(T=>{const F=T.searchPath.toString(),H=g.get(F);H?T.pattern&&(H.pattern=H.pattern||{},H.pattern[T.pattern]=!0):g.set(F,{searchPath:T.searchPath,pattern:T.pattern?t(T.pattern):void 0})}),Array.from(g.values())}expandOneSearchPath(R){if(E.isAbsolute(R)){const p=this.workspaceContextService.getWorkspace().folders;return p[0]&&p[0].uri.scheme!==C.Schemas.file?[{searchPath:p[0].uri.with({path:R})}]:[{searchPath:_.URI.file(E.normalize(R))}]}if(this.workspaceContextService.getWorkbenchState()===2){const p=this.workspaceContextService.getWorkspace().folders[0].uri;if(R=l(R),R.startsWith("../")||R===".."){const T=E.posix.resolve(p.path,R);return[{searchPath:p.with({path:T})}]}const g=i(R);return[{searchPath:p,pattern:g}]}else{if(R==="./"||R===".\\")return[];{const p=R.match(/\.[\/\\]([^\/\\]+)(?:[\/\\](.+))?/);if(p){const g=p[1],T=this.workspaceContextService.getWorkspace().folders.filter(F=>F.name===g);if(T.length)return T.map(F=>{const H=p[2];return{searchPath:F.uri,pattern:H&&i(H)}});{const F=s.localize(0,null,g);throw new Error(F)}}}}return[]}resolveOneSearchPathPattern(R,p){const g=R.pattern&&p?`${R.pattern}/${p}`:R.pattern||p,T=[{searchPath:R.searchPath,pattern:g}];return g&&!g.endsWith("**")&&T.push({searchPath:R.searchPath,pattern:g+"/**"}),T}getFolderQueryForSearchPath(R,p,g){const T=this.getFolderQueryForRoot((0,v.toWorkspaceFolder)(R.searchPath),p,g,!1);return T?Object.assign(Object.assign({},T),{includePattern:R.pattern}):null}getFolderQueryForRoot(R,p,g,T){let F;const H=_.URI.isUri(R)?R:R.uri;if(g.searchPaths){const M=g.searchPaths.filter($=>(0,n.isEqual)($.searchPath,H))[0];if(M&&!M.pattern)return null;M&&(F=M.pattern)}const le=this.configurationService.getValue({resource:H}),z=this.getExcludesForFolder(le,p),B=Object.assign(Object.assign({},z||{}),F||{}),Q=_.URI.isUri(R)?(0,n.basename)(R):R.name;return{folder:H,folderName:T?Q:void 0,excludePattern:Object.keys(B).length>0?B:void 0,fileEncoding:le.files&&le.files.encoding,disregardIgnoreFiles:typeof p.disregardIgnoreFiles=="boolean"?p.disregardIgnoreFiles:!le.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof p.disregardGlobalIgnoreFiles=="boolean"?p.disregardGlobalIgnoreFiles:!le.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof p.ignoreSymlinks=="boolean"?p.ignoreSymlinks:!le.search.followSymlinks}}};u=je([qe(0,f.IConfigurationService),qe(1,v.IWorkspaceContextService),qe(2,m.IEditorGroupsService),qe(3,w.IPathService)],u),e.QueryBuilder=u;function a(D){const R=D.match(/[\*\{\}\(\)\[\]\?]/);if(R){const p=R.index,g=D.substr(0,p).match(/[/|\\][^/\\]*$/);if(g){let T=D.substr(0,g.index);return T.match(/[/\\]/)||(T+="/"),{pathPortion:T,globPortion:D.substr((g.index||0)+1)}}}return{pathPortion:D}}function t(...D){return D.length?D.reduce((R,p)=>(R[p]=!0,R),Object.create(null)):void 0}function r(D){return A.splitGlobAware(D,",").map(R=>R.trim()).filter(R=>!!R.length)}function o(D){return[`**/${D}/**`,`**/${D}`].map(p=>p.replace(/\*\*\/\*\*/g,"**"))}function l(D){return D.replace(/\\/g,"/")}function i(D){return l(D).replace(/^\.\//,"").replace(/\/+$/g,"")}function h(D,R){D=b.distinct(D,T=>T.toString());const p=[],g=R.getWorkspace();return D&&D.forEach(T=>{let F;if(R.getWorkbenchState()===2)F=(0,n.relativePath)(g.folders[0].uri,T),F&&F!=="."&&(F="./"+F);else{const H=R.getWorkspaceFolder(T);if(H){const le=H.name;if(g.folders.filter(B=>B.name===le).length===1){const B=(0,n.relativePath)(H.uri,T);B===""?F=`./${H.name}`:F=`./${H.name}/${B}`}else F=T.fsPath}}F&&p.push(F)}),p}e.resolveResourcesForSearchIncludes=h}),define(we[215],Ee([0,1,24,2,20,10,4,214,42,47]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const P=7e3;function k(f,v){const m=v.activationEvents;if(!m)return Promise.resolve(void 0);const w=[],c=[];for(const l of m)if(/^workspaceContains:/.test(l)){const i=l.substr("workspaceContains:".length);i.indexOf("*")>=0||i.indexOf("?")>=0||f.forceUsingSearch?c.push(i):w.push(i)}if(w.length===0&&c.length===0)return Promise.resolve(void 0);let u;const a=new Promise((l,i)=>{u=l}),t=l=>u({activationEvent:l}),r=Promise.all(w.map(l=>_(f,l,t))).then(()=>{}),o=d(f,v.identifier,c,t);return Promise.all([r,o]).then(()=>{u(void 0)}),a}e.checkActivateWorkspaceContainsExtension=k;async function _(f,v,m){for(const w of f.folders)if(await f.exists(b.joinPath(y.URI.revive(w),v))){m(`workspaceContains:${v}`);return}}async function d(f,v,m,w){if(m.length===0)return Promise.resolve(void 0);const c=new A.CancellationTokenSource,u=f.checkExists(f.folders,m,c.token),a=setTimeout(async()=>{c.cancel(),w(`workspaceContainsTimeout:${m.join(",")}`)},P);let t=!1;try{t=await u}catch(r){I.isPromiseCanceledError(r)||I.onUnexpectedError(r)}c.dispose(),clearTimeout(a),t&&w(`workspaceContains:${m.join(",")}`)}function s(f,v,m,w){const c=f.get(S.IInstantiationService),u=f.get(E.ISearchService),t=c.createInstance(C.QueryBuilder).file(v.map(r=>(0,n.toWorkspaceFolder)(y.URI.revive(r))),{_reason:"checkExists",includePattern:m,exists:!0});return u.fileSearch(t,w).then(r=>!!r.limitHit,r=>I.isPromiseCanceledError(r)?!1:Promise.reject(r))}e.checkGlobFileExists=s});var tt=this&&this.__classPrivateFieldSet||function(oe,e,b){if(!e.has(oe))throw new TypeError("attempted to set private field on non-instance");return e.set(oe,b),b},We=this&&this.__classPrivateFieldGet||function(oe,e){if(!e.has(oe))throw new TypeError("attempted to get private field on non-instance");return e.get(oe)};define(we[36],Ee([0,1,129,11,77,24,13,6,22,2,19,5,35,181,75,31,34,179,10,25,16,26,157,7,90,4,27,76,14,65,67,41,3,215,71,158]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w,c,u,a,t,r,o,l,i,h,D,R,p,g,T,F,H,le){"use strict";var z,B,Q;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,l.createDecorator)("IHostUtils");let M=class kn extends C.Disposable{constructor(W,Z,ne,re,Se,Ae,Be,Re,xe,U){super();this._onDidChangeRemoteConnectionData=this._register(new T.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=Z,this._extHostContext=ne,this._initData=Be,this._extHostWorkspace=re,this._extHostConfiguration=Se,this._logService=Ae,this._extHostTunnelService=xe,this._extHostTerminalService=U,this._disposables=new C.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(k.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(k.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(k.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new S.Barrier,this._readyToStartExtensionHost=new S.Barrier,this._readyToRunExtensions=new S.Barrier,this._registry=new m.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new s.ExtHostStorage(this._extHostContext),this._secretState=new H.ExtHostSecretState(this._extHostContext),this._storagePath=Re,this._instaService=W.createChild(new R.ServiceCollection([s.IExtHostStorage,this._storage],[H.IExtHostSecretState,this._secretState]));const q=new Set;this._initData.hostExtensions.forEach(J=>q.add(c.ExtensionIdentifier.toKey(J))),this._activator=new d.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(J,ae)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(J,ae)},actualActivateExtension:async(J,ae)=>{if(q.has(c.ExtensionIdentifier.toKey(J)))return await this._mainThreadExtensionsProxy.$activateExtension(J,ae),new d.HostExtension;const ge=this._registry.getExtensionDescription(J);return this._activateExtension(ge,ae)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),A.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(W){w.onUnexpectedError(W)}}async deactivateAll(){let W=[];try{W=this._registry.getAllExtensionDescriptions().map(Se=>Se.identifier).filter(Se=>this.isActivated(Se)).map(Se=>this._deactivate(Se))}catch(Z){}await Promise.all(W)}isActivated(W){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(W):!1}_activateByEvent(W,Z){return this._activator.activateByEvent(W,Z)}_activateById(W,Z){return this._activator.activateById(W,Z)}activateByIdWithErrors(W,Z){return this._activateById(W,Z).then(()=>{const ne=this._activator.getActivatedExtension(W);if(ne.activationFailed)return Promise.reject(ne.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(W=>this._registry)}getExtensionExports(W){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(W).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const W=E.TernarySearchTree.forPaths(),Z=this._registry.getAllExtensionDescriptions().map(ne=>{if(!!this._getEntryPoint(ne))return this._hostUtils.realpath(ne.extensionLocation.fsPath).then(re=>W.set(n.URI.file(re).fsPath,ne))});this._extensionPathIndex=Promise.all(Z).then(()=>W)}return this._extensionPathIndex}_deactivate(W){let Z=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(W))return Z;const ne=this._activator.getActivatedExtension(W);if(!ne)return Z;try{typeof ne.module.deactivate=="function"&&(Z=Promise.resolve(ne.module.deactivate()).then(void 0,re=>Promise.resolve(void 0)))}catch(re){}try{(0,C.dispose)(ne.subscriptions)}catch(re){}return Z}async _activateExtension(W,Z){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(W.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(W.identifier),this._doActivateExtension(W,Z).then(ne=>{const re=ne.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(W.identifier,re.codeLoadingTime,re.activateCallTime,re.activateResolvedTime,Z),this._logExtensionActivationTimes(W,Z,"success",re),ne},ne=>{throw this._logExtensionActivationTimes(W,Z,"failure"),ne})}_logExtensionActivationTimes(W,Z,ne,re){const Se=$(W,Z);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",Object.assign(Object.assign(Object.assign({},Se),re||{}),{outcome:ne}))}_doActivateExtension(W,Z){const ne=$(W,Z);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",ne);const re=this._getEntryPoint(W);if(!re)return Promise.resolve(new d.EmptyExtension(d.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${W.identifier.value} ${JSON.stringify(Z)}`),this._logService.flush();const Se=new d.ExtensionActivationTimesBuilder(Z.startup);return Promise.all([this._loadCommonJSModule(W.identifier,(0,I.joinPath)(W.extensionLocation,re),Se),this._loadExtensionContext(W)]).then(Ae=>(A.mark(`code/extHost/willActivateExtension/${W.identifier.value}`),kn._callActivate(this._logService,W.identifier,Ae[0],Ae[1],Se))).then(Ae=>(A.mark(`code/extHost/didActivateExtension/${W.identifier.value}`),Ae))}_loadExtensionContext(W){const Z=new t.ExtensionGlobalMemento(W,this._storage),ne=new t.ExtensionMemento(W.identifier.value,!1,this._storage),re=new le.ExtensionSecrets(W,this._secretState),Se=W.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?r.ExtensionMode.Test:r.ExtensionMode.Development:r.ExtensionMode.Production,Ae=this._initData.remote.isRemote?r.ExtensionKind.Workspace:r.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${W.identifier.value}`),Promise.all([Z.whenReady,ne.whenReady,this._storagePath.whenReady]).then(()=>{const Be=this;let Re;return Object.freeze({globalState:Z,workspaceState:ne,secrets:re,subscriptions:[],get extensionUri(){return W.extensionLocation},get extensionPath(){return W.extensionLocation.fsPath},asAbsolutePath(xe){return y.join(W.extensionLocation.fsPath,xe)},get storagePath(){var xe;return(xe=Be._storagePath.workspaceValue(W))===null||xe===void 0?void 0:xe.fsPath},get globalStoragePath(){return Be._storagePath.globalValue(W).fsPath},get logPath(){return y.join(Be._initData.logsLocation.fsPath,W.identifier.value)},get logUri(){return n.URI.joinPath(Be._initData.logsLocation,W.identifier.value)},get storageUri(){return Be._storagePath.workspaceValue(W)},get globalStorageUri(){return Be._storagePath.globalValue(W)},get extensionMode(){return Se},get extension(){return(0,v.checkProposedApiEnabled)(W),Re===void 0&&(Re=new N(this,W.identifier,W,Ae)),Re},get extensionRuntime(){return(0,v.checkProposedApiEnabled)(W),Be.extensionRuntime},get environmentVariableCollection(){return Be._extHostTerminalService.getEnvironmentVariableCollection(W)}})})}static _callActivate(W,Z,ne,re,Se){return ne=ne||{activate:void 0,deactivate:void 0},this._callActivateOptional(W,Z,ne,re,Se).then(Ae=>new d.ActivatedExtension(!1,null,Se.build(),ne,Ae,re.subscriptions))}static _callActivateOptional(W,Z,ne,re,Se){if(typeof ne.activate=="function")try{Se.activateCallStart(),W.trace(`ExtensionService#_callActivateOptional ${Z.value}`);const Ae=typeof global=="object"?global:self,Be=ne.activate.apply(Ae,[re]);return Se.activateCallStop(),Se.activateResolveStart(),Promise.resolve(Be).then(Re=>(Se.activateResolveStop(),Re))}catch(Ae){return Promise.reject(Ae)}else return Promise.resolve(ne)}_activateOneStartupFinished(W,Z){this._activateById(W.identifier,{startup:!1,extensionId:W.identifier,activationEvent:Z}).then(void 0,ne=>{this._logService.error(ne)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(A.getMarks());for(const W of this._registry.getAllExtensionDescriptions())if(W.activationEvents)for(const Z of W.activationEvents)Z==="onStartupFinished"&&this._activateOneStartupFinished(W,Z)}_handleEagerExtensions(){const W=this._activateByEvent("*",!0).then(void 0,Se=>{this._logService.error(Se)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(Se=>this._handleWorkspaceContainsEagerExtensions(Se.added)));const Z=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],ne=this._handleWorkspaceContainsEagerExtensions(Z),re=Promise.all([W,ne]).then(()=>{});return Promise.race([re,(0,S.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),re}_handleWorkspaceContainsEagerExtensions(W){return W.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(Z=>this._handleWorkspaceContainsEagerExtension(W,Z))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(W,Z){if(!this.isActivated(Z.identifier)){const ne=!this._initData.remote.isRemote&&!!this._initData.remote.authority,re={folders:W.map(Ae=>Ae.uri),forceUsingSearch:ne,exists:Ae=>this._hostUtils.exists(Ae.fsPath),checkExists:(Ae,Be,Re)=>this._mainThreadWorkspaceProxy.$checkExists(Ae,Be,Re)},Se=await(0,F.checkActivateWorkspaceContainsExtension)(re,Z);if(!!Se)return this._activateById(Z.identifier,{startup:!0,extensionId:Z.identifier,activationEvent:Se.activationEvent}).then(void 0,Ae=>this._logService.error(Ae))}}$extensionTestsExecute(){return this._doHandleExtensionTests().then(void 0,W=>(console.error(W),Promise.reject(W)))}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:W,extensionTestsLocationURI:Z}=this._initData.environment;if(!W||!Z||Z.scheme!==u.Schemas.file)throw new Error(b.localize(0,null));const ne=(0,I.originalFSPath)(Z),re=await this._loadCommonJSModule(null,n.URI.file(ne),new d.ExtensionActivationTimesBuilder(!1));if(!re||typeof re.run!="function")throw new Error(b.localize(1,null,ne));return new Promise((Se,Ae)=>{const Be=(xe,U)=>{xe?Ae(xe):Se(typeof U=="number"&&U>0?1:0)},Re=re.run(ne,Be);Re&&Re.then&&Re.then(()=>{Se(0)}).catch(xe=>{Ae(xe.toString())})})}async $extensionTestsExit(W){this._logService.info(`extension host terminating: test runner requested exit with code ${W}`),this._logService.info(`exiting with code ${W}`),this._logService.flush(),this._hostUtils.exit(W)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(W,Z){return this._resolvers[W]=Z,(0,C.toDisposable)(()=>{delete this._resolvers[W]})}async $resolveAuthority(W,Z){const ne=W.indexOf("+");if(ne===-1)throw new Error("Not an authority that can be resolved!");const re=W.substr(0,ne);await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${re}`,!1);const Se=this._resolvers[re];if(!Se)return{type:"error",error:{code:o.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${re}.`,detail:void 0}};try{A.mark(`code/extHost/willResolveAuthority/${re}`);const Ae=await Se.resolve(W,{resolveAttempt:Z});A.mark(`code/extHost/didResolveAuthorityOK/${re}`),this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(Se));const Be={authority:W,host:Ae.host,port:Ae.port,connectionToken:Ae.connectionToken},Re={extensionHostEnv:Ae.extensionHostEnv};return{type:"ok",value:{authority:Be,options:Re,tunnelInformation:{environmentTunnels:Ae.environmentTunnels}}}}catch(Ae){if(A.mark(`code/extHost/didResolveAuthorityError/${re}`),Ae instanceof r.RemoteAuthorityResolverError)return{type:"error",error:{code:Ae._code,message:Ae._message,detail:Ae._detail}};throw Ae}}$startExtensionHost(W){return this._registry.keepOnly(W),this._startExtensionHost()}$activateByEvent(W,Z){return Z===1?this._activateByEvent(W,!1):this._readyToRunExtensions.wait().then(ne=>this._activateByEvent(W,!1))}async $activate(W,Z){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(W)?(await this._activateById(W,Z),!0):!1}async $deltaExtensions(W,Z){W.forEach(re=>re.extensionLocation=n.URI.revive(re.extensionLocation));const ne=await this.getExtensionPathIndex();return await Promise.all(Z.map(async re=>{const Se=this._registry.getExtensionDescription(re);if(!!Se){const Ae=await this._hostUtils.realpath(Se.extensionLocation.fsPath);ne.delete(n.URI.file(Ae).fsPath)}})),await Promise.all(W.map(async re=>{const Se=await this._hostUtils.realpath(re.extensionLocation.fsPath);ne.set(n.URI.file(Se).fsPath,re)})),this._registry.deltaExtensions(W,Z),Promise.resolve(void 0)}async $test_latency(W){return W}async $test_up(W){return W.byteLength}async $test_down(W){let Z=a.VSBuffer.alloc(W),ne=Math.random()%256;for(let re=0;re<W;re++)Z.writeUInt8(ne,re);return Z}async $updateRemoteConnectionData(W){this._remoteConnectionData=W,this._onDidChangeRemoteConnectionData.fire()}};M=je([qe(0,l.IInstantiationService),qe(1,e.IHostUtils),qe(2,D.IExtHostRpcService),qe(3,f.IExtHostWorkspace),qe(4,_.IExtHostConfiguration),qe(5,P.ILogService),qe(6,i.IExtHostInitDataService),qe(7,h.IExtensionStoragePaths),qe(8,p.IExtHostTunnelService),qe(9,g.IExtHostTerminalService)],M),e.AbstractExtHostExtensionService=M;function $(K,W){return{id:K.identifier.value,name:K.name,extensionVersion:K.version,publisherDisplayName:K.publisher,activationEvents:K.activationEvents?K.activationEvents.join(","):null,isBuiltin:K.isBuiltin,reason:W.activationEvent,reasonId:W.extensionId.value}}e.IExtHostExtensionService=(0,l.createDecorator)("IExtHostExtensionService");class N{constructor(W,Z,ne,re){z.set(this,void 0),B.set(this,void 0),Q.set(this,void 0),tt(this,z,W),tt(this,B,Z),tt(this,Q,ne.identifier),this.id=ne.identifier.value,this.extensionUri=ne.extensionLocation,this.extensionPath=y.normalize((0,I.originalFSPath)(ne.extensionLocation)),this.packageJSON=ne,this.extensionKind=re}get isActive(){return We(this,z).isActivated(We(this,Q))}get exports(){if(this.packageJSON.api!=="none")return We(this,z).getExtensionExports(We(this,Q))}activate(){return We(this,z).activateByIdWithErrors(We(this,Q),{startup:!1,extensionId:We(this,B),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=N,z=new WeakMap,B=new WeakMap,Q=new WeakMap}),define(we[101],Ee([0,1,11,2,3,13,5,7,164,31,36,40,169,35,165,14,4,12,32]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,v.createDecorator)("IExtHostDebugService");let c=class{constructor(h,D,R,p,g){this._workspaceService=D,this._extensionService=R,this._editorsService=p,this._configurationService=g,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new A.Emitter,this._onDidTerminateDebugSession=new A.Emitter,this._onDidChangeActiveDebugSession=new A.Emitter,this._onDidReceiveDebugSessionCustomEvent=new A.Emitter,this._debugServiceProxy=h.getProxy(S.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new A.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new a(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(T=>{T.onDidChange(F=>{this.registerAllDebugTypes(T)}),this.registerAllDebugTypes(T)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(h,D){const R=h;if(typeof R.sourceReference=="number"&&R.sourceReference>0){let p=`debug:${encodeURIComponent(R.path||"")}`,g="?";return D&&(p+=`${g}session=${encodeURIComponent(D.id)}`,g="&"),p+=`${g}ref=${R.sourceReference}`,y.URI.parse(p)}else{if(R.path)return y.URI.file(R.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(h){const D=[];for(const R of h.getAllExtensionDescriptions())if(R.contributes){const p=R.contributes.debuggers;if(p&&p.length>0)for(const g of p)(0,s.isDebuggerMainContribution)(g)&&D.push(g.type)}this._debugServiceProxy.$registerDebugTypes(D)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const h=[];return this._breakpoints.forEach(D=>h.push(D)),h}addBreakpoints(h){this.startBreakpoints();const D=h.filter(g=>{const T=g.id;return this._breakpoints.has(T)?!1:(this._breakpoints.set(T,g),!0)});this.fireBreakpointChanges(D,[],[]);const R=[],p=new Map;for(const g of D)if(g instanceof C.SourceBreakpoint){let T=p.get(g.location.uri.toString());T||(T={type:"sourceMulti",uri:g.location.uri,lines:[]},p.set(g.location.uri.toString(),T),R.push(T)),T.lines.push({id:g.id,enabled:g.enabled,condition:g.condition,hitCondition:g.hitCondition,logMessage:g.logMessage,line:g.location.range.start.line,character:g.location.range.start.character})}else g instanceof C.FunctionBreakpoint&&R.push({type:"function",id:g.id,enabled:g.enabled,hitCondition:g.hitCondition,logMessage:g.logMessage,condition:g.condition,functionName:g.functionName});return this._debugServiceProxy.$registerBreakpoints(R)}removeBreakpoints(h){this.startBreakpoints();const D=h.filter(T=>this._breakpoints.delete(T.id));this.fireBreakpointChanges([],D,[]);const R=D.filter(T=>T instanceof C.SourceBreakpoint).map(T=>T.id),p=D.filter(T=>T instanceof C.FunctionBreakpoint).map(T=>T.id),g=D.filter(T=>T instanceof C.DataBreakpoint).map(T=>T.id);return this._debugServiceProxy.$unregisterBreakpoints(R,p,g)}startDebugging(h,D,R){return this._debugServiceProxy.$startDebugging(h?h.uri:void 0,D,{parentSessionID:R.parentSession?R.parentSession.id:void 0,repl:R.consoleMode===C.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:R.noDebug,compact:R.compact})}stopDebugging(h){return this._debugServiceProxy.$stopDebugging(h?h.id:void 0)}registerDebugConfigurationProvider(h,D,R){if(!D)return new C.Disposable(()=>{});const p=this._configProviderHandleCounter++;return this._configProviders.push({type:h,handle:p,provider:D}),this._debugServiceProxy.$registerDebugConfigurationProvider(h,R,!!D.provideDebugConfigurations,!!D.resolveDebugConfiguration,!!D.resolveDebugConfigurationWithSubstitutedVariables,p),new C.Disposable(()=>{this._configProviders=this._configProviders.filter(g=>g.provider!==D),this._debugServiceProxy.$unregisterDebugConfigurationProvider(p)})}registerDebugAdapterDescriptorFactory(h,D,R){if(!R)return new C.Disposable(()=>{});if(!this.definesDebugType(h,D))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${D}' debugger.`);if(this.getAdapterDescriptorFactoryByType(D))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const p=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:D,handle:p,factory:R}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(D,p),new C.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(g=>g.factory!==R),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(p)})}registerDebugAdapterTrackerFactory(h,D){if(!D)return new C.Disposable(()=>{});const R=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:h,handle:R,factory:D}),new C.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(p=>p.factory!==D)})}async $runInTerminal(h,D){return Promise.resolve(void 0)}async $substituteVariables(h,D){if(!this._variableResolver){const[g,T]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(g||[],this._editorsService,T)}let R;const p=await this.getFolder(h);return p&&(R={uri:p.uri,name:p.name,index:p.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAny(R,D)}createDebugAdapter(h,D){if(h.type==="implementation")return new o(h.implementation)}createSignService(){}async $startDASession(h,D){const R=this,p=await this.getSession(D);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(p.type),p).then(g=>{if(!g)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${p.type}' (extension might have failed to activate)`);const T=this.convertToDto(g),F=this.createDebugAdapter(T,p);if(!F)throw new Error(`Couldn't create a debug adapter for type '${p.type}'.`);const H=F;return this._debugAdapters.set(h,H),this.getDebugAdapterTrackers(p).then(le=>(le&&this._debugAdaptersTrackers.set(h,le),H.onMessage(async z=>{if(z.type==="request"&&z.command==="handshake"){const B=z,Q={type:"response",seq:0,command:B.command,request_seq:B.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const M=await this._signService.sign(B.arguments.value);Q.body={signature:M},H.sendResponse(Q)}else throw new Error("no signer")}catch(M){Q.success=!1,Q.message=M.message,H.sendResponse(Q)}}else le&&le.onDidSendMessage&&le.onDidSendMessage(z),z=(0,s.convertToVSCPaths)(z,!0),R._debugServiceProxy.$acceptDAMessage(h,z)}),H.onError(z=>{le&&le.onError&&le.onError(z),this._debugServiceProxy.$acceptDAError(h,z.name,z.message,z.stack)}),H.onExit(z=>{le&&le.onExit&&le.onExit((0,m.withNullAsUndefined)(z),void 0),this._debugServiceProxy.$acceptDAExit(h,(0,m.withNullAsUndefined)(z),void 0)}),le&&le.onWillStartSession&&le.onWillStartSession(),H.startSession()))})}$sendDAMessage(h,D){D=(0,s.convertToDAPaths)(D,!1);const R=this._debugAdaptersTrackers.get(h);R&&R.onWillReceiveMessage&&R.onWillReceiveMessage(D);const p=this._debugAdapters.get(h);p&&p.sendMessage(D)}$stopDASession(h){const D=this._debugAdaptersTrackers.get(h);this._debugAdaptersTrackers.delete(h),D&&D.onWillStopSession&&D.onWillStopSession();const R=this._debugAdapters.get(h);return this._debugAdapters.delete(h),R?R.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(h){const D=[],R=[],p=[];if(h.added)for(const g of h.added){const T=g.id;if(T&&!this._breakpoints.has(T)){let F;if(g.type==="function")F=new C.FunctionBreakpoint(g.functionName,g.enabled,g.condition,g.hitCondition,g.logMessage);else if(g.type==="data")F=new C.DataBreakpoint(g.label,g.dataId,g.canPersist,g.enabled,g.hitCondition,g.condition,g.logMessage);else{const H=y.URI.revive(g.uri);F=new C.SourceBreakpoint(new C.Location(H,new C.Position(g.line,g.character)),g.enabled,g.condition,g.hitCondition,g.logMessage)}F._id=T,this._breakpoints.set(T,F),D.push(F)}}if(h.removed)for(const g of h.removed){const T=this._breakpoints.get(g);T&&(this._breakpoints.delete(g),R.push(T))}if(h.changed){for(const g of h.changed)if(g.id){const T=this._breakpoints.get(g.id);if(T){if(T instanceof C.FunctionBreakpoint&&g.type==="function"){const F=T;F.enabled=g.enabled,F.condition=g.condition,F.hitCondition=g.hitCondition,F.logMessage=g.logMessage,F.functionName=g.functionName}else if(T instanceof C.SourceBreakpoint&&g.type==="source"){const F=T;F.enabled=g.enabled,F.condition=g.condition,F.hitCondition=g.hitCondition,F.logMessage=g.logMessage,F.location=new C.Location(y.URI.revive(g.uri),new C.Position(g.line,g.character))}p.push(T)}}}this.fireBreakpointChanges(D,R,p)}$provideDebugConfigurations(h,D,R){return(0,I.asPromise)(async()=>{const p=this.getConfigProviderByHandle(h);if(!p)throw new Error("no DebugConfigurationProvider found");if(!p.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const g=await this.getFolder(D);return p.provideDebugConfigurations(g,R)}).then(p=>{if(!p)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return p})}$resolveDebugConfiguration(h,D,R,p){return(0,I.asPromise)(async()=>{const g=this.getConfigProviderByHandle(h);if(!g)throw new Error("no DebugConfigurationProvider found");if(!g.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const T=await this.getFolder(D);return g.resolveDebugConfiguration(T,R,p)})}$resolveDebugConfigurationWithSubstitutedVariables(h,D,R,p){return(0,I.asPromise)(async()=>{const g=this.getConfigProviderByHandle(h);if(!g)throw new Error("no DebugConfigurationProvider found");if(!g.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const T=await this.getFolder(D);return g.resolveDebugConfigurationWithSubstitutedVariables(T,R,p)})}async $provideDebugAdapter(h,D){const R=this.getAdapterDescriptorFactoryByHandle(h);if(!R)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const p=await this.getSession(D);return this.getAdapterDescriptor(R,p).then(g=>{if(!g)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${p.type}'`);return this.convertToDto(g)})}async $acceptDebugSessionStarted(h){const D=await this.getSession(h);this._onDidStartDebugSession.fire(D)}async $acceptDebugSessionTerminated(h){const D=await this.getSession(h);D&&(this._onDidTerminateDebugSession.fire(D),this._debugSessions.delete(D.id))}async $acceptDebugSessionActiveChanged(h){this._activeDebugSession=h?await this.getSession(h):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(h,D){const R=await this.getSession(h);R&&R._acceptNameChanged(D)}async $acceptDebugSessionCustomEvent(h,D){const p={session:await this.getSession(h),event:D.event,body:D.body};this._onDidReceiveDebugSessionCustomEvent.fire(p)}convertToDto(h){if(h instanceof C.DebugAdapterExecutable)return{type:"executable",command:h.command,args:h.args,options:h.options};if(h instanceof C.DebugAdapterServer)return{type:"server",port:h.port,host:h.host};if(h instanceof C.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:h.path};if(h instanceof C.DebugAdapterInlineImplementation)return{type:"implementation",implementation:h.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(h){const D=this._adapterFactories.filter(R=>R.type===h);if(D.length>0)return D[0].factory}getAdapterDescriptorFactoryByHandle(h){const D=this._adapterFactories.filter(R=>R.handle===h);if(D.length>0)return D[0].factory}getConfigProviderByHandle(h){const D=this._configProviders.filter(R=>R.handle===h);if(D.length>0)return D[0].provider}definesDebugType(h,D){if(h.contributes){const R=h.contributes.debuggers;if(R&&R.length>0){for(const p of R)if(p.label&&p.type&&p.type===D)return!0}}return!1}getDebugAdapterTrackers(h){const R=h.configuration.type,p=this._trackerFactories.filter(g=>g.type===R||g.type==="*").map(g=>(0,I.asPromise)(()=>g.factory.createDebugAdapterTracker(h)).then(T=>T,T=>null));return Promise.race([Promise.all(p).then(g=>{const T=g.filter(F=>!!F);if(T.length>0)return new r(T)}),new Promise((g,T)=>{const F=setTimeout(()=>{clearTimeout(F),T(new Error("timeout"))},1e3)})]).catch(g=>{})}async getAdapterDescriptor(h,D){const R=D.configuration.debugServer;if(typeof R=="number")return Promise.resolve(new C.DebugAdapterServer(R));if(h){const g=await this._extensionService.getExtensionRegistry();return(0,I.asPromise)(()=>h.createDebugAdapterDescriptor(D,this.daExecutableFromPackage(D,g))).then(T=>{if(T)return T})}const p=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(D,p))}daExecutableFromPackage(h,D){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(h,D,R){(h.length>0||D.length>0||R.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:h,removed:D,changed:R}))}async getSession(h){if(h)if(typeof h=="string"){const D=this._debugSessions.get(h);if(D)return D}else{let D=this._debugSessions.get(h.id);if(!D){const R=await this.getFolder(h.folderUri);D=new u(this._debugServiceProxy,h.id,h.type,h.name,R,h.configuration),this._debugSessions.set(D.id,D),this._debugServiceProxy.$sessionCached(D.id)}return D}throw new Error("cannot find session")}getFolder(h){if(h){const D=y.URI.revive(h);return this._workspaceService.resolveWorkspaceFolder(D)}return Promise.resolve(void 0)}};c=je([qe(0,f.IExtHostRpcService),qe(1,n.IExtHostWorkspace),qe(2,P.IExtHostExtensionService),qe(3,k.IExtHostDocumentsAndEditors),qe(4,d.IExtHostConfiguration)],c),e.ExtHostDebugServiceBase=c;class u{constructor(h,D,R,p,g,T){this._debugServiceProxy=h,this._id=D,this._type=R,this._name=p,this._workspaceFolder=g,this._configuration=T}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(h){this._name=h,this._debugServiceProxy.$setDebugSessionName(this._id,h)}_acceptNameChanged(h){this._name=h}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(h,D){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,h,D)}getDebugProtocolBreakpoint(h){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,h.id)}}e.ExtHostDebugSession=u;class a{constructor(h){this.value=Object.freeze({append(D){h.$appendDebugConsole(D)},appendLine(D){this.append(D+`
`)}})}}e.ExtHostDebugConsole=a;class t extends _.AbstractVariableResolverService{constructor(h,D,R,p){super({getFolderUri:g=>{const T=h.filter(F=>F.name===g);if(T&&T.length>0)return T[0].uri},getWorkspaceFolderCount:()=>h.length,getConfigurationValue:(g,T)=>R.getConfiguration(void 0,g).get(T),getAppRoot:()=>w.cwd(),getExecPath:()=>w.env.VSCODE_EXEC_PATH,getFilePath:()=>{if(D){const g=D.activeEditor();if(g)return b.normalize(g.document.uri.fsPath)}},getWorkspaceFolderPathForFile:()=>{if(D&&p){const g=D.activeEditor();if(g){const T=p.getWorkspaceFolder(g.document.uri);if(T)return b.normalize(T.uri.fsPath)}}},getSelectedText:()=>{if(D){const g=D.activeEditor();if(g&&!g.selection.isEmpty)return g.document.getText(g.selection)}},getLineNumber:()=>{if(D){const g=D.activeEditor();if(g)return String(g.selection.end.line+1)}}},void 0,w.env)}}e.ExtHostVariableResolverService=t;class r{constructor(h){this.trackers=h}onWillStartSession(){this.trackers.forEach(h=>h.onWillStartSession?h.onWillStartSession():void 0)}onWillReceiveMessage(h){this.trackers.forEach(D=>D.onWillReceiveMessage?D.onWillReceiveMessage(h):void 0)}onDidSendMessage(h){this.trackers.forEach(D=>D.onDidSendMessage?D.onDidSendMessage(h):void 0)}onWillStopSession(){this.trackers.forEach(h=>h.onWillStopSession?h.onWillStopSession():void 0)}onError(h){this.trackers.forEach(D=>D.onError?D.onError(h):void 0)}onExit(h,D){this.trackers.forEach(R=>R.onExit?R.onExit(h,D):void 0)}}class o extends E.AbstractDebugAdapter{constructor(h){super();this.implementation=h,h.onDidSendMessage(D=>{this.acceptMessage(D)})}startSession(){return Promise.resolve(void 0)}sendMessage(h){this.implementation.handleMessage(h)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let l=class extends c{constructor(h,D,R,p,g){super(h,D,R,p,g)}createVariableResolver(h,D,R){return new t(h,D,R)}};l=je([qe(0,f.IExtHostRpcService),qe(1,n.IExtHostWorkspace),qe(2,P.IExtHostExtensionService),qe(3,k.IExtHostDocumentsAndEditors),qe(4,d.IExtHostConfiguration)],l),e.WorkerExtHostDebugService=l}),define(we[216],Ee([0,1,77,2,5,35,34,25,14,27,4,36,32,19]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let s=class{constructor(c,u,a,t,r,o,l){this._apiFactory=c,this._extensionRegistry=u,this._instaService=a,this._extHostConfiguration=t,this._extHostExtensionService=r,this._initData=o,this._logService=l,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),b.mark("code/extHost/willWaitForConfig");const c=await this._extHostConfiguration.getConfigProvider();b.mark("code/extHost/didWaitForConfig");const u=await this._extHostExtensionService.getExtensionPathIndex();this.register(new f(this._apiFactory,u,this._extensionRegistry,c,this._logService)),this.register(this._instaService.createInstance(v)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(m,u,this._initData.environment.appUriScheme))}register(c){if(Array.isArray(c.nodeModuleName))for(let u of c.nodeModuleName)this._factories.set(u,c);else this._factories.set(c.nodeModuleName,c);typeof c.alternativeModuleName=="function"&&this._alternatives.push(u=>c.alternativeModuleName(u))}};s=je([qe(2,P.IInstantiationService),qe(3,I.IExtHostConfiguration),qe(4,k.IExtHostExtensionService),qe(5,n.IExtHostInitDataService),qe(6,d.ILogService)],s),e.RequireInterceptor=s;class f{constructor(c,u,a,t,r){this._apiFactory=c,this._extensionPaths=u,this._extensionRegistry=a,this._configProvider=t,this._logService=r,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(c,u){const a=this._extensionPaths.findSubstr(u.fsPath);if(a){let t=this._extApiImpl.get(C.ExtensionIdentifier.toKey(a.identifier));return t||(t=this._apiFactory(a,this._extensionRegistry,this._configProvider),this._extApiImpl.set(C.ExtensionIdentifier.toKey(a.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((r,o)=>t+=`	${o} -> ${r.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${u.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(S.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let v=class{constructor(c,u){this.nodeModuleName="keytar";const{environment:a}=u,t=c.getProxy(A.MainContext.MainThreadKeytar);if(a.appRoot){let r=a.appRoot.fsPath;_.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,o)=>t.$getPassword(r,o),setPassword:(r,o,l)=>t.$setPassword(r,o,l),deletePassword:(r,o)=>t.$deletePassword(r,o),findPassword:r=>t.$findPassword(r),findCredentials(r){return t.$findCredentials(r)}}}load(c,u){return this._impl}alternativeModuleName(c){const u=c.length;if(!(u<=7||!this.alternativeNames)){const a=u-7;if((c.charAt(a)==="/"||c.charAt(a)==="\\")&&c.endsWith("keytar")&&(c=c.replace(/\\/g,"/"),this.alternativeNames.has(c)))return"keytar"}}};v=je([qe(0,E.IExtHostRpcService),qe(1,n.IExtHostInitDataService)],v);let m=class{constructor(c,u,a){this._extensionPaths=c,this._appUriScheme=u,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=a.getProxy(A.MainContext.MainThreadTelemetry);const t=a.getProxy(A.MainContext.MainThreadWindow);this._impl=(r,o)=>{const l=y.URI.parse(r);return o?this.callOriginal(r,o):l.scheme==="http"||l.scheme==="https"?t.$openUri(l,r,{allowTunneling:!0}):l.scheme==="mailto"||l.scheme===this._appUriScheme?t.$openUri(l,r,{}):this.callOriginal(r,o)}}load(c,u,a){const t=this._extensionPaths.findSubstr(u.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=a(c),this._impl}callOriginal(c,u){return this.sendNoForwardTelemetry(),this._original(c,u)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};m=je([qe(2,E.IExtHostRpcService)],m)}),define(we[217],Ee([0,1,13,10,77,6,2,5,209,19,61,65,27,147,14,68,36,41]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class w{constructor(u,a,t,r){this._disposables=new I.DisposableStore,this._isTerminating=!1,this._hostUtils=t;const o=new E.RPCProtocol(u,null,r);a=w._transform(a,o);const l=new k.ServiceCollection(...(0,P.getSingletonServiceDescriptors)());l.set(_.IExtHostInitDataService,Object.assign({_serviceBrand:void 0},a)),l.set(s.IExtHostRpcService,new s.ExtHostRpcService(o)),l.set(f.IURITransformerService,new f.URITransformerService(r)),l.set(v.IHostUtils,t);const i=new d.InstantiationService(l,!0),h=i.invokeFunction(g=>g.get(m.IExtHostTerminalService));this._disposables.add(h),this._logService=i.invokeFunction(g=>g.get(n.ILogService)),A.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",a),this._extensionService=i.invokeFunction(g=>g.get(v.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const D=new WeakMap;this._extensionService.getExtensionPathIndex().then(g=>{Error.prepareStackTrace=(T,F)=>{let H="",le,z;for(const B of F)H+=`
	at ${B.toString()}`,z=B.getFileName(),!le&&z&&(le=g.findSubstr(z));return D.set(T,le),`${T.name||"Error"}: ${T.message||""}${H}`}});const R=o.getProxy(C.MainContext.MainThreadExtensionService),p=o.getProxy(C.MainContext.MainThreadErrors);y.setUnexpectedErrorHandler(g=>{const T=y.transformErrorForSerialization(g),F=D.get(g);F?R.$onExtensionRuntimeError(F.identifier,T):p.$onUnexpectedError(T)})}terminate(u){if(!this._isTerminating){this._isTerminating=!0,this._logService.info(`extension host terminating: ${u}`),this._logService.flush(),this._disposables.dispose(),y.setUnexpectedErrorHandler(t=>{});const a=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([(0,b.timeout)(4e3),a]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}}static _transform(u,a){u.extensions.forEach(r=>r.extensionLocation=S.URI.revive(a.transformIncomingURIs(r.extensionLocation))),u.environment.appRoot=S.URI.revive(a.transformIncomingURIs(u.environment.appRoot));const t=u.environment.extensionDevelopmentLocationURI;return t&&(u.environment.extensionDevelopmentLocationURI=t.map(r=>S.URI.revive(a.transformIncomingURIs(r)))),u.environment.extensionTestsLocationURI=S.URI.revive(a.transformIncomingURIs(u.environment.extensionTestsLocationURI)),u.environment.globalStorageHome=S.URI.revive(a.transformIncomingURIs(u.environment.globalStorageHome)),u.environment.workspaceStorageHome=S.URI.revive(a.transformIncomingURIs(u.environment.workspaceStorageHome)),u.logsLocation=S.URI.revive(a.transformIncomingURIs(u.logsLocation)),u.logFile=S.URI.revive(a.transformIncomingURIs(u.logFile)),u.workspace=a.transformIncomingURIs(u.workspace),u}}e.ExtensionHostMain=w}),define(we[218],Ee([0,1,11,20,60,28,24,54,42,32]),function(oe,e,b,y,A,I,S,C,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class P{constructor(d,s,f){this.config=d,this.provider=s,this.sessionToken=f,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=d.filePattern,this.includePattern=d.includePattern&&I.parse(d.includePattern),this.maxResults=d.maxResults||void 0,this.exists=d.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=d.excludePattern&&I.parse(d.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(d=>d.cancel()),this.activeCancellationTokens=new Set}search(d){const s=this.config.folderQueries||[];return new Promise((f,v)=>{const m=w=>{this.resultCount++,d(w)};if(this.isCanceled)return f({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(w=>{const c=w.toString(),u=b.basename(c);this.globalExcludePattern&&this.globalExcludePattern(c,u)||this.matchFile(m,{base:w,basename:u})}),Promise.all(s.map(w=>this.searchInFolder(w,m))).then(w=>{f({limitHit:this.isLimitHit,stats:w[0]||void 0})},w=>{v(new Error((0,A.toErrorMessage)(w)))})})}searchInFolder(d,s){const f=new y.CancellationTokenSource;return new Promise((v,m)=>{const w=this.getSearchOptionsForFolder(d),c=this.initDirectoryTree(),u=new E.QueryGlobTester(this.config,d),a=!u.hasSiblingExcludeClauses();let t;new Promise(r=>(0,n.nextTick)(r)).then(()=>(this.activeCancellationTokens.add(f),t=C.StopWatch.create(),this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},w,f.token))).then(r=>{const o=t.elapsed(),l=C.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(r&&r.forEach(i=>{const h=b.posix.relative(d.folder.path,i.path);if(a){const D=b.basename(i.path);this.matchFile(s,{base:d.folder,relativePath:h,basename:D});return}this.addDirectoryEntries(c,d.folder,h,s)}),this.activeCancellationTokens.delete(f),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(c,u,s),{providerTime:o,postProcessTime:l.elapsed()})}).then(r=>{f.dispose(),v(r)},r=>{f.dispose(),m(r)})})}getSearchOptionsForFolder(d){const s=(0,E.resolvePatternsForProvider)(this.config.includePattern,d.includePattern),f=(0,E.resolvePatternsForProvider)(this.config.excludePattern,d.excludePattern);return{folder:d.folder,excludes:f,includes:s,useIgnoreFiles:!d.disregardIgnoreFiles,useGlobalIgnoreFiles:!d.disregardGlobalIgnoreFiles,followSymlinks:!d.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const d={rootEntries:[],pathToEntries:Object.create(null)};return d.pathToEntries["."]=d.rootEntries,d}addDirectoryEntries({pathToEntries:d},s,f,v){if(f===this.filePattern){const w=b.basename(this.filePattern);this.matchFile(v,{base:s,relativePath:this.filePattern,basename:w})}function m(w){const c=b.basename(w),u=b.dirname(w);let a=d[u];a||(a=d[u]=[],m(u)),a.push({base:s,relativePath:w,basename:c})}m(f)}matchDirectoryTree({rootEntries:d,pathToEntries:s},f,v){const m=this,w=this.filePattern;function c(u){const a=I.hasSiblingFn(()=>u.map(t=>t.basename));for(let t=0,r=u.length;t<r;t++){const o=u[t],{relativePath:l,basename:i}=o;if(!!f.includedInQuerySync(l,i,w!==i?a:void 0)){const h=s[l];if(h)c(h);else{if(l===w)continue;m.matchFile(v,o)}if(m.isLimitHit)break}}}c(d)}matchFile(d,s){(!this.includePattern||s.relativePath&&this.includePattern(s.relativePath,s.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||d(s))}}class k{constructor(){this.sessions=new Map}fileSearch(d,s,f,v){const m=this.getSessionTokenSource(d.cacheKey),w=new P(d,s,m&&m.token);let c=0;const u=a=>{c+=a.length,f(a.map(t=>this.rawMatchToSearchItem(t)))};return this.doSearch(w,k.BATCH_SIZE,u,v).then(a=>({limitHit:a.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:c,detailStats:a.stats}}))}clearCache(d){const s=this.getSessionTokenSource(d);s&&s.cancel()}getSessionTokenSource(d){if(!!d)return this.sessions.has(d)||this.sessions.set(d,new y.CancellationTokenSource),this.sessions.get(d)}rawMatchToSearchItem(d){return d.relativePath?{resource:S.joinPath(d.base,d.relativePath)}:{resource:d.base}}doSearch(d,s,f,v){v.onCancellationRequested(()=>{d.cancel()});const m=c=>{c&&(w.push(c),s>0&&w.length>=s&&(f(w),w=[]))};let w=[];return d.search(m).then(c=>(w.length&&f(w),c),c=>(w.length&&f(w),Promise.reject(c)))}}e.FileSearchManager=k,k.BATCH_SIZE=512}),define(we[219],Ee([0,1,11,15,20,60,24,28,2,42,32,16]),function(oe,e,b,y,A,I,S,C,E,n,P,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class _{constructor(c,u,a){this.query=c,this.provider=u,this.fileUtils=a,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(c,u){const a=this.query.folderQueries||[],t=new A.CancellationTokenSource;return u.onCancellationRequested(()=>t.cancel()),new Promise((r,o)=>{this.collector=new s(c);let l=!1;const i=(h,D)=>{if(!l&&!this.isLimitHit){const R=this.resultSize(h);v(h)&&typeof this.query.maxResults=="number"&&this.resultCount+R>this.query.maxResults&&(this.isLimitHit=!0,l=!0,t.cancel(),h=this.trimResultToSize(h,this.query.maxResults-this.resultCount));const p=this.resultSize(h);this.resultCount+=p,(p>0||!v(h))&&this.collector.add(h,D)}};Promise.all(a.map((h,D)=>this.searchInFolder(h,R=>i(R,D),t.token))).then(h=>{t.dispose(),this.collector.flush();const D=h.some(R=>!!R&&!!R.limitHit);r({limitHit:this.isLimitHit||D,stats:{type:"textSearchProvider"}})},h=>{t.dispose();const D=(0,I.toErrorMessage)(h);o(new Error(D))})})}resultSize(c){return v(c)?Array.isArray(c.ranges)?c.ranges.length:1:0}trimResultToSize(c,u){const a=Array.isArray(c.ranges)?c.ranges:[c.ranges],t=Array.isArray(c.preview.matches)?c.preview.matches:[c.preview.matches];return{ranges:a.slice(0,u),preview:{matches:t.slice(0,u),text:c.preview.text},uri:c.uri}}searchInFolder(c,u,a){const t=new n.QueryGlobTester(this.query,c),r=[],o={report:i=>{if(!!this.validateProviderResult(i)){const h=c.folder.scheme===k.Schemas.file?C.hasSiblingPromiseFn(()=>this.fileUtils.readdir(S.dirname(i.uri))):void 0,D=S.relativePath(c.folder,i.uri);D&&r.push(t.includedInQuery(D,b.basename(D),h).then(R=>{R&&u(i)}))}}},l=this.getSearchOptionsForFolder(c);return new Promise(i=>(0,P.nextTick)(i)).then(()=>this.provider.provideTextSearchResults(d(this.query.contentPattern),l,o,a)).then(i=>Promise.all(r).then(()=>i))}validateProviderResult(c){if(v(c)){if(Array.isArray(c.ranges)){if(!Array.isArray(c.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(c.preview.matches.length!==c.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(c.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(c){const u=(0,n.resolvePatternsForProvider)(this.query.includePattern,c.includePattern),a=(0,n.resolvePatternsForProvider)(this.query.excludePattern,c.excludePattern),t={folder:E.URI.from(c.folder),excludes:a,includes:u,useIgnoreFiles:!c.disregardIgnoreFiles,useGlobalIgnoreFiles:!c.disregardGlobalIgnoreFiles,followSymlinks:!c.ignoreSymlinks,encoding:c.fileEncoding&&this.fileUtils.toCanonicalName(c.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=_;function d(w){return{isCaseSensitive:w.isCaseSensitive||!1,isRegExp:w.isRegExp||!1,isWordMatch:w.isWordMatch||!1,isMultiline:w.isMultiline||!1,pattern:w.pattern}}class s{constructor(c){this._onResult=c,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new m(512,u=>this.sendItems(u))}add(c,u){this._currentFileMatch&&(this._currentFolderIdx!==u||!S.isEqual(this._currentUri,c.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=u,this._currentFileMatch={resource:c.uri,results:[]}),this._currentFileMatch.results.push(f(c))}pushToCollector(){const c=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,c)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(c){this._onResult(c)}}e.TextSearchResultsCollector=s;function f(w){return v(w)?{preview:{matches:(0,y.mapArrayOrNot)(w.preview.matches,c=>({startLineNumber:c.start.line,startColumn:c.start.character,endLineNumber:c.end.line,endColumn:c.end.character})),text:w.preview.text},ranges:(0,y.mapArrayOrNot)(w.ranges,c=>({startLineNumber:c.start.line,startColumn:c.start.character,endLineNumber:c.end.line,endColumn:c.end.character}))}:{text:w.text,lineNumber:w.lineNumber}}function v(w){return!!w.preview}e.extensionResultIsMatch=v;class m{constructor(c,u){this.maxBatchSize=c,this.cb=u,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(c,u){!c||this.addItemToBatch(c,u)}addItems(c,u){!c||this.addItemsToBatch(c,u)}addItemToBatch(c,u){this.batch.push(c),this.batchSize+=u,this.onUpdate()}addItemsToBatch(c,u){this.batch=this.batch.concat(c),this.batchSize+=u,this.onUpdate()}onUpdate(){this.totalNumberCompleted<m.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},m.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=m,m.TIMEOUT=4e3,m.START_BATCH_AFTER_COUNT=50}),define(we[102],Ee([0,1,6,5,4,218,14,68,19,2,219]),function(oe,e,b,y,A,I,S,C,E,n,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,A.createDecorator)("IExtHostSearch");let k=class{constructor(f,v,m){this.extHostRpc=f,this._uriTransformer=v,this._logService=m,this._proxy=this.extHostRpc.getProxy(y.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new I.FileSearchManager}_transformScheme(f){return this._uriTransformer.transformOutgoingScheme(f)}registerTextSearchProvider(f,v){if(this._textSearchUsedSchemes.has(f))throw new Error(`a text search provider for the scheme '${f}' is already registered`);this._textSearchUsedSchemes.add(f);const m=this._handlePool++;return this._textSearchProvider.set(m,v),this._proxy.$registerTextSearchProvider(m,this._transformScheme(f)),(0,b.toDisposable)(()=>{this._textSearchUsedSchemes.delete(f),this._textSearchProvider.delete(m),this._proxy.$unregisterProvider(m)})}registerFileSearchProvider(f,v){if(this._fileSearchUsedSchemes.has(f))throw new Error(`a file search provider for the scheme '${f}' is already registered`);this._fileSearchUsedSchemes.add(f);const m=this._handlePool++;return this._fileSearchProvider.set(m,v),this._proxy.$registerFileSearchProvider(m,this._transformScheme(f)),(0,b.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(f),this._fileSearchProvider.delete(m),this._proxy.$unregisterProvider(m)})}$provideFileSearchResults(f,v,m,w){const c=_(m),u=this._fileSearchProvider.get(f);if(u)return this._fileSearchManager.fileSearch(c,u,a=>{this._proxy.$handleFileMatch(f,v,a.map(t=>t.resource))},w);throw new Error("unknown provider: "+f)}$clearCache(f){return this._fileSearchManager.clearCache(f),Promise.resolve(void 0)}$provideTextSearchResults(f,v,m,w){const c=this._textSearchProvider.get(f);if(!c||!c.provideTextSearchResults)throw new Error(`Unknown provider ${f}`);const u=_(m);return this.createTextSearchManager(u,c).search(t=>this._proxy.$handleTextMatch(f,v,t),w)}createTextSearchManager(f,v){return new P.TextSearchManager(f,v,{readdir:m=>Promise.resolve([]),toCanonicalName:m=>m})}};k=je([qe(0,S.IExtHostRpcService),qe(1,C.IURITransformerService),qe(2,E.ILogService)],k),e.ExtHostSearch=k;function _(s){return Object.assign(Object.assign({},s),{folderQueries:s.folderQueries&&s.folderQueries.map(d),extraFileResources:s.extraFileResources&&s.extraFileResources.map(f=>n.URI.revive(f))})}e.reviveQuery=_;function d(s){return Object.assign(Object.assign({},s),{folder:n.URI.revive(s.folder)})}}),define(we[220],Ee([0,1,126,20,10,3,56,2,120,82,114,59,64,5,186,185,73,187,35,188,189,190,172,191,40,36,192,173,194,195,196,98,176,198,199,200,75,41,201,177,9,7,204,49,99,31,34,50,161,193,91,97,100,101,102,19,68,14,27,197,160,67,72,183,202,159,76,74,207,205,206,184,48,213,203,71,156,93]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w,c,u,a,t,r,o,l,i,h,D,R,p,g,T,F,H,le,z,B,Q,M,$,N,K,W,Z,ne,re,Se,Ae,Be,Re,xe,U,q,J,ae,ge,De,Le,pe,Ce,Te,Ue,be,Ke,V,X,_e,Me,He,Oe,Xe,x,ie,ce,j,Y,se){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function fe(ve){const $e=ve.get(Le.IExtHostInitDataService),Ne=ve.get(x.IExtHostFileSystemInfo),Ve=ve.get(_e.IExtHostConsumerFileSystem),Qe=ve.get(l.IExtHostExtensionService),Ze=ve.get(ne.IExtHostWorkspace),ct=ve.get(se.IExtHostTelemetry),st=ve.get(w.IExtHostConfiguration),me=ve.get(ge.IURITransformerService),he=ve.get(De.IExtHostRpcService),ue=ve.get(z.IExtHostStorage),G=ve.get(X.IExtensionStoragePaths),Ie=ve.get(ae.ILogService),Pe=ve.get(Te.IExtHostTunnelService),et=ve.get(Ue.IExtHostApiDeprecationService),Ge=ve.get(Z.IExtHostWindow),rt=ve.get(j.IExtHostSecretState);he.set(d.ExtHostContext.ExtHostFileSystemInfo,Ne),he.set(d.ExtHostContext.ExtHostLogService,Ie),he.set(d.ExtHostContext.ExtHostWorkspace,Ze),he.set(d.ExtHostContext.ExtHostConfiguration,st),he.set(d.ExtHostContext.ExtHostExtensionService,Qe),he.set(d.ExtHostContext.ExtHostStorage,ue),he.set(d.ExtHostContext.ExtHostTunnelService,Pe),he.set(d.ExtHostContext.ExtHostWindow,Ge),he.set(d.ExtHostContext.ExtHostSecretState,rt),he.set(d.ExtHostContext.ExtHostTelemetry,ct);const lt=he.set(d.ExtHostContext.ExtHostDecorations,ve.get(xe.IExtHostDecorations)),Je=he.set(d.ExtHostContext.ExtHostDocumentsAndEditors,ve.get(o.IExtHostDocumentsAndEditors)),it=he.set(d.ExtHostContext.ExtHostCommands,ve.get(v.IExtHostCommands)),dt=he.set(d.ExtHostContext.ExtHostTerminalService,ve.get(B.IExtHostTerminalService)),at=he.set(d.ExtHostContext.ExtHostDebugService,ve.get(q.IExtHostDebugService)),Dt=he.set(d.ExtHostContext.ExtHostSearch,ve.get(J.IExtHostSearch)),gt=he.set(d.ExtHostContext.ExtHostTask,ve.get(U.IExtHostTask)),Ct=he.set(d.ExtHostContext.ExtHostOutputService,ve.get(g.IExtHostOutputService)),wt=he.set(d.ExtHostContext.ExtHostEditorTabs,new Y.ExtHostEditorTabs),Et=he.set(d.ExtHostContext.ExtHostUrls,new K.ExtHostUrls(he)),mt=he.set(d.ExtHostContext.ExtHostDocuments,new r.ExtHostDocuments(he,Je)),Rt=he.set(d.ExtHostContext.ExtHostDocumentContentProviders,new a.ExtHostDocumentContentProvider(he,Je,Ie)),Ft=he.set(d.ExtHostContext.ExtHostDocumentSaveParticipant,new t.ExtHostDocumentSaveParticipant(Ie,mt,he.getProxy(d.MainContext.MainThreadBulkEdits))),ht=he.set(d.ExtHostContext.ExtHostNotebook,new pe.ExtHostNotebookController(he,it,Je,mt,$e.environment,Ie,G)),St=he.set(d.ExtHostContext.ExtHostEditors,new Q.ExtHostEditors(he,Je)),Ut=he.set(d.ExtHostContext.ExtHostTreeViews,new M.ExtHostTreeViews(he.getProxy(d.MainContext.MainThreadTreeViews),it,Ie)),$t=he.set(d.ExtHostContext.ExtHostEditorInsets,new Ae.ExtHostEditorInsets(he.getProxy(d.MainContext.MainThreadEditorInsets),St,$e.environment)),Lt=he.set(d.ExtHostContext.ExtHostDiagnostics,new c.ExtHostDiagnostics(he,Ie)),ut=he.set(d.ExtHostContext.ExtHostLanguageFeatures,new D.ExtHostLanguageFeatures(he,me,mt,it,Lt,Ie,et)),ln=he.set(d.ExtHostContext.ExtHostFileSystem,new i.ExtHostFileSystem(he,ut)),It=he.set(d.ExtHostContext.ExtHostFileSystemEventService,new h.ExtHostFileSystemEventService(he,Ie,Je)),At=he.set(d.ExtHostContext.ExtHostQuickOpen,(0,F.createExtHostQuickOpen)(he,Ze,it)),Yt=he.set(d.ExtHostContext.ExtHostSCM,new H.ExtHostSCM(he,it,Ie)),un=he.set(d.ExtHostContext.ExtHostComments,new m.ExtHostComments(he,it,mt)),Xt=he.set(d.ExtHostContext.ExtHostProgress,new T.ExtHostProgress(he.getProxy(d.MainContext.MainThreadProgress))),cn=he.set(d.ExtHostContext.ExtHosLabelService,new Be.ExtHostLabelService(he)),Zt=he.set(d.ExtHostContext.ExtHostTheming,new Ce.ExtHostTheming(he)),Pt=he.set(d.ExtHostContext.ExtHostAuthentication,new be.ExtHostAuthentication(he)),Bt=he.set(d.ExtHostContext.ExtHostTimeline,new Ke.ExtHostTimeline(he,it)),xt=he.set(d.ExtHostContext.ExtHostWebviews,new W.ExtHostWebviews(he,$e.environment,Ze,Ie,et)),Ht=he.set(d.ExtHostContext.ExtHostWebviewPanels,new Oe.ExtHostWebviewPanels(he,xt,Ze)),dn=he.set(d.ExtHostContext.ExtHostCustomEditors,new He.ExtHostCustomEditors(he,mt,G,xt,Ht)),hn=he.set(d.ExtHostContext.ExtHostWebviewViews,new Me.ExtHostWebviewViews(he,xt)),kt=he.set(d.ExtHostContext.ExtHostTesting,new ie.ExtHostTesting(he,Je,Ze)),fn=he.set(d.ExtHostContext.ExtHostUriOpeners,new ce.ExtHostUriOpeners(he)),mn=(0,Se.values)(d.ExtHostContext);he.assertRegistered(mn);const zt=new Xe.ExtHostBulkEdits(he,Je),gn=new f.ExtHostClipboard(he),Vt=new p.ExtHostMessageService(he,Ie),Wt=new u.ExtHostDialogs(he),Mt=new le.ExtHostStatusBar(he,it.converter),jt=new R.ExtHostLanguages(he,mt);return s.ExtHostApiCommands.register(it),function(Fe,Ot,qt){const ft=function(){let ee=!Fe.isUnderDevelopment;function de(ke){ee||(Ie.info(`Extension '${Fe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),ee=!0)}return function ke(O){if(Array.isArray(O))O.forEach(ke);else if(typeof O=="string")de(O);else{const L=O;typeof L.scheme=="undefined"&&de(O),!Fe.enableProposedApi&&typeof L.exclusive=="boolean"&&(0,re.throwProposedApiError)(Fe)}return O}}(),pn={getSession(ee,de,ke){return Pt.getSession(Fe,ee,de,ke)},get onDidChangeSessions(){return Pt.onDidChangeSessions},registerAuthenticationProvider(ee,de,ke,O){return Pt.registerAuthenticationProvider(ee,de,ke,O)},get onDidChangeAuthenticationProviders(){return(0,re.checkProposedApiEnabled)(Fe),Pt.onDidChangeAuthenticationProviders},get providers(){return(0,re.checkProposedApiEnabled)(Fe),Pt.providers},logout(ee,de){return(0,re.checkProposedApiEnabled)(Fe),Pt.removeSession(ee,de)}},en={registerCommand(ee,de,ke){return it.registerCommand(!0,ee,de,ke)},registerTextEditorCommand(ee,de,ke){return it.registerCommand(!0,ee,(...O)=>{const L=St.getActiveTextEditor();if(!L){Ie.warn("Cannot execute "+ee+" because there is no active text editor.");return}return L.edit(te=>{de.apply(ke,[L,te,...O])}).then(te=>{te||Ie.warn("Edits from command "+ee+" were not applied.")},te=>{Ie.warn("An error occurred while running command "+ee,te)})})},registerDiffInformationCommand:(ee,de,ke)=>((0,re.checkProposedApiEnabled)(Fe),it.registerCommand(!0,ee,async(...O)=>{const L=Je.activeEditor(!0);if(!L){Ie.warn("Cannot execute "+ee+" because there is no active text editor.");return}const te=await St.getDiffInformation(L.id);de.apply(ke,[te,...O])})),executeCommand(ee,...de){return it.executeCommand(ee,...de)},getCommands(ee=!1){return it.getCommands(ee)}},tn={get machineId(){return $e.telemetryInfo.machineId},get sessionId(){return $e.telemetryInfo.sessionId},get language(){return $e.environment.appLanguage},get appName(){return $e.environment.appName},get appRoot(){var ee,de;return(de=(ee=$e.environment.appRoot)===null||ee===void 0?void 0:ee.fsPath)!==null&&de!==void 0?de:""},get uriScheme(){return $e.environment.appUriScheme},get clipboard(){return gn.value},get shell(){return dt.getDefaultShell(!1,qt)},get isTelemetryEnabled(){return ct.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return ct.onDidChangeTelemetryEnabled},get isNewAppInstall(){const ee=Date.now()-new Date($e.telemetryInfo.firstSessionDate).getTime();return isNaN(ee)?!1:ee<1e3*60*60*24},openExternal(ee,de){return Ge.openUri(ee,{allowTunneling:!!$e.remote.authority,allowContributedOpeners:de==null?void 0:de.allowContributedOpeners})},asExternalUri(ee){return ee.scheme===$e.environment.appUriScheme?Et.createAppUri(ee):Ge.asExternalUri(ee,{allowTunneling:!!$e.remote.authority})},get remoteName(){return(0,Re.getRemoteName)($e.remote.authority)},get uiKind(){return $e.uiKind}};$e.environment.extensionTestsLocationURI||Object.freeze(tn);const nn=$e.remote.isRemote?N.ExtensionKind.Workspace:N.ExtensionKind.UI,Kt={registerTestProvider(ee){return(0,re.checkProposedApiEnabled)(Fe),kt.registerTestProvider(ee)},createDocumentTestObserver(ee){return(0,re.checkProposedApiEnabled)(Fe),kt.createTextDocumentTestObserver(ee)},createWorkspaceTestObserver(ee){return(0,re.checkProposedApiEnabled)(Fe),kt.createWorkspaceTestObserver(ee)},runTests(ee){return(0,re.checkProposedApiEnabled)(Fe),kt.runTests(ee)},publishTestResult(ee,de=!0){return(0,re.checkProposedApiEnabled)(Fe),kt.publishExtensionProvidedResults(ee,de)},get onDidChangeTestResults(){return(0,re.checkProposedApiEnabled)(Fe),kt.onResultsChanged},get testResults(){return(0,re.checkProposedApiEnabled)(Fe),kt.results}},vn={getExtension(ee){const de=Ot.getExtensionDescription(ee);if(de)return new l.Extension(Qe,Fe.identifier,de,nn)},get all(){return Ot.getAllExtensionDescriptions().map(ee=>new l.Extension(Qe,Fe.identifier,ee,nn))},get onDidChange(){return Ot.onDidChange}},_n={createDiagnosticCollection(ee){return Lt.createDiagnosticCollection(Fe.identifier,ee)},get onDidChangeDiagnostics(){return Lt.onDidChangeDiagnostics},getDiagnostics:ee=>Lt.getDiagnostics(ee),getLanguages(){return jt.getLanguages()},setTextDocumentLanguage(ee,de){return jt.changeLanguage(ee.uri,de)},match(ee,de){return(0,k.score)($.LanguageSelector.from(ee),de.uri,de.languageId,!0)},registerCodeActionsProvider(ee,de,ke){return ut.registerCodeActionProvider(Fe,ft(ee),de,ke)},registerCodeLensProvider(ee,de){return ut.registerCodeLensProvider(Fe,ft(ee),de)},registerDefinitionProvider(ee,de){return ut.registerDefinitionProvider(Fe,ft(ee),de)},registerDeclarationProvider(ee,de){return ut.registerDeclarationProvider(Fe,ft(ee),de)},registerImplementationProvider(ee,de){return ut.registerImplementationProvider(Fe,ft(ee),de)},registerTypeDefinitionProvider(ee,de){return ut.registerTypeDefinitionProvider(Fe,ft(ee),de)},registerHoverProvider(ee,de){return ut.registerHoverProvider(Fe,ft(ee),de,Fe.identifier)},registerEvaluatableExpressionProvider(ee,de){return ut.registerEvaluatableExpressionProvider(Fe,ft(ee),de,Fe.identifier)},registerInlineValuesProvider(ee,de){return(0,re.checkProposedApiEnabled)(Fe),ut.registerInlineValuesProvider(Fe,ft(ee),de,Fe.identifier)},registerDocumentHighlightProvider(ee,de){return ut.registerDocumentHighlightProvider(Fe,ft(ee),de)},registerLinkedEditingRangeProvider(ee,de){return ut.registerLinkedEditingRangeProvider(Fe,ft(ee),de)},registerReferenceProvider(ee,de){return ut.registerReferenceProvider(Fe,ft(ee),de)},registerRenameProvider(ee,de){return ut.registerRenameProvider(Fe,ft(ee),de)},registerDocumentSymbolProvider(ee,de,ke){return ut.registerDocumentSymbolProvider(Fe,ft(ee),de,ke)},registerWorkspaceSymbolProvider(ee){return ut.registerWorkspaceSymbolProvider(Fe,ee)},registerDocumentFormattingEditProvider(ee,de){return ut.registerDocumentFormattingEditProvider(Fe,ft(ee),de)},registerDocumentRangeFormattingEditProvider(ee,de){return ut.registerDocumentRangeFormattingEditProvider(Fe,ft(ee),de)},registerOnTypeFormattingEditProvider(ee,de,ke,...O){return ut.registerOnTypeFormattingEditProvider(Fe,ft(ee),de,[ke].concat(O))},registerDocumentSemanticTokensProvider(ee,de,ke){return ut.registerDocumentSemanticTokensProvider(Fe,ft(ee),de,ke)},registerDocumentRangeSemanticTokensProvider(ee,de,ke){return ut.registerDocumentRangeSemanticTokensProvider(Fe,ft(ee),de,ke)},registerSignatureHelpProvider(ee,de,ke,...O){return typeof ke=="object"?ut.registerSignatureHelpProvider(Fe,ft(ee),de,ke):ut.registerSignatureHelpProvider(Fe,ft(ee),de,typeof ke=="undefined"?[]:[ke,...O])},registerCompletionItemProvider(ee,de,...ke){return ut.registerCompletionItemProvider(Fe,ft(ee),de,ke)},registerDocumentLinkProvider(ee,de){return ut.registerDocumentLinkProvider(Fe,ft(ee),de)},registerColorProvider(ee,de){return ut.registerColorProvider(Fe,ft(ee),de)},registerFoldingRangeProvider(ee,de){return ut.registerFoldingRangeProvider(Fe,ft(ee),de)},registerSelectionRangeProvider(ee,de){return ut.registerSelectionRangeProvider(Fe,ee,de)},registerCallHierarchyProvider(ee,de){return ut.registerCallHierarchyProvider(Fe,ee,de)},setLanguageConfiguration:(ee,de)=>ut.setLanguageConfiguration(Fe,ee,de),getTokenInformationAtPosition(ee,de){return(0,re.checkProposedApiEnabled)(Fe),jt.tokenAtPosition(ee,de)},registerInlineHintsProvider(ee,de){return(0,re.checkProposedApiEnabled)(Fe),ut.registerInlineHintsProvider(Fe,ee,de)}},bn={get activeTextEditor(){return St.getActiveTextEditor()},get visibleTextEditors(){return St.getVisibleTextEditors()},get activeTerminal(){return dt.activeTerminal},get terminals(){return dt.terminals},async showTextDocument(ee,de,ke){const O=await(C.URI.isUri(ee)?Promise.resolve(rn.openTextDocument(ee)):Promise.resolve(ee));return St.showTextDocument(O,de,ke)},createTextEditorDecorationType(ee){return St.createTextEditorDecorationType(ee)},onDidChangeActiveTextEditor(ee,de,ke){return St.onDidChangeActiveTextEditor(ee,de,ke)},onDidChangeVisibleTextEditors(ee,de,ke){return St.onDidChangeVisibleTextEditors(ee,de,ke)},onDidChangeTextEditorSelection(ee,de,ke){return St.onDidChangeTextEditorSelection(ee,de,ke)},onDidChangeTextEditorOptions(ee,de,ke){return St.onDidChangeTextEditorOptions(ee,de,ke)},onDidChangeTextEditorVisibleRanges(ee,de,ke){return St.onDidChangeTextEditorVisibleRanges(ee,de,ke)},onDidChangeTextEditorViewColumn(ee,de,ke){return St.onDidChangeTextEditorViewColumn(ee,de,ke)},onDidCloseTerminal(ee,de,ke){return dt.onDidCloseTerminal(ee,de,ke)},onDidOpenTerminal(ee,de,ke){return dt.onDidOpenTerminal(ee,de,ke)},onDidChangeActiveTerminal(ee,de,ke){return dt.onDidChangeActiveTerminal(ee,de,ke)},onDidChangeTerminalDimensions(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),dt.onDidChangeTerminalDimensions(ee,de,ke)},onDidWriteTerminalData(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),dt.onDidWriteTerminalData(ee,de,ke)},get state(){return Ge.state},onDidChangeWindowState(ee,de,ke){return Ge.onDidChangeWindowState(ee,de,ke)},showInformationMessage(ee,...de){return Vt.showMessage(Fe,S.default.Info,ee,de[0],de.slice(1))},showWarningMessage(ee,...de){return Vt.showMessage(Fe,S.default.Warning,ee,de[0],de.slice(1))},showErrorMessage(ee,...de){return Vt.showMessage(Fe,S.default.Error,ee,de[0],de.slice(1))},showQuickPick(ee,de,ke){return At.showQuickPick(ee,!!Fe.enableProposedApi,de,ke)},showWorkspaceFolderPick(ee){return At.showWorkspaceFolderPick(ee)},showInputBox(ee,de){return At.showInput(ee,de)},showOpenDialog(ee){return Wt.showOpenDialog(ee)},showSaveDialog(ee){return Wt.showSaveDialog(ee)},createStatusBarItem(ee,de){let ke,O,L,te;return ee&&typeof ee!="number"?(ke=ee.id,O=ee.name,L=ee.alignment,de=ee.priority,te=ee.accessibilityInformation):(ke=Fe.identifier.value,O=b.localize(0,null,Fe.displayName||Fe.name),L=ee),Mt.createStatusBarEntry(ke,O,L,de,te)},setStatusBarMessage(ee,de){return Mt.setStatusBarMessage(ee,de)},withScmProgress(ee){return et.report("window.withScmProgress",Fe,"Use 'withProgress' instead."),Xt.withProgress(Fe,{location:N.ProgressLocation.SourceControl},(de,ke)=>ee({report(O){}}))},withProgress(ee,de){return Xt.withProgress(Fe,ee,de)},createOutputChannel(ee){return Ct.createOutputChannel(ee)},createWebviewPanel(ee,de,ke,O){return Ht.createWebviewPanel(Fe,ee,de,ke,O)},createWebviewTextEditorInset(ee,de,ke,O){return(0,re.checkProposedApiEnabled)(Fe),$t.createWebviewEditorInset(ee,de,ke,O,Fe)},createTerminal(ee,de,ke){return typeof ee=="object"?"pty"in ee?dt.createExtensionTerminal(ee):dt.createTerminalFromOptions(ee):dt.createTerminal(ee,de,ke)},registerTerminalLinkProvider(ee){return dt.registerLinkProvider(ee)},registerTreeDataProvider(ee,de){return Ut.registerTreeDataProvider(ee,de,Fe)},createTreeView(ee,de){return Ut.createTreeView(ee,de,Fe)},registerWebviewPanelSerializer:(ee,de)=>Ht.registerWebviewPanelSerializer(Fe,ee,de),registerCustomEditorProvider:(ee,de,ke={})=>dn.registerCustomEditorProvider(Fe,ee,de,ke),registerFileDecorationProvider(ee){return lt.registerFileDecorationProvider(ee,Fe.identifier)},registerUriHandler(ee){return Et.registerUriHandler(Fe.identifier,ee)},createQuickPick(){return At.createQuickPick(Fe.identifier,!!Fe.enableProposedApi)},createInputBox(){return At.createInputBox(Fe.identifier)},get activeColorTheme(){return Zt.activeColorTheme},onDidChangeActiveColorTheme(ee,de,ke){return Zt.onDidChangeActiveColorTheme(ee,de,ke)},registerWebviewViewProvider(ee,de,ke){return hn.registerWebviewViewProvider(Fe,ee,de,ke==null?void 0:ke.webviewOptions)},get activeNotebookEditor(){return(0,re.checkProposedApiEnabled)(Fe),ht.activeNotebookEditor},onDidChangeActiveNotebookEditor(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeActiveNotebookEditor(ee,de,ke)},get visibleNotebookEditors(){return(0,re.checkProposedApiEnabled)(Fe),ht.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeNotebookEditorSelection(ee,de,ke)},onDidChangeNotebookEditorVisibleRanges(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeNotebookEditorVisibleRanges(ee,de,ke)},showNotebookDocument(ee,de){return(0,re.checkProposedApiEnabled)(Fe),ht.showNotebookDocument(ee,de)},registerExternalUriOpener(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),fn.registerExternalUriOpener(Fe.identifier,ee,de,ke)},get openEditors(){return(0,re.checkProposedApiEnabled)(Fe),wt.tabs},get onDidChangeOpenEditors(){return(0,re.checkProposedApiEnabled)(Fe),wt.onDidChangeTabs}},rn={get rootPath(){return et.report("workspace.rootPath",Fe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Ze.getPath()},set rootPath(ee){throw A.readonly()},getWorkspaceFolder(ee){return Ze.getWorkspaceFolder(ee)},get workspaceFolders(){return Ze.getWorkspaceFolders()},get name(){return Ze.name},set name(ee){throw A.readonly()},get workspaceFile(){return Ze.workspaceFile},set workspaceFile(ee){throw A.readonly()},updateWorkspaceFolders:(ee,de,...ke)=>Ze.updateWorkspaceFolders(Fe,ee,de||0,...ke),onDidChangeWorkspaceFolders:function(ee,de,ke){return Ze.onDidChangeWorkspace(ee,de,ke)},asRelativePath:(ee,de)=>Ze.getRelativePath(ee,de),findFiles:(ee,de,ke,O)=>Ze.findFiles($.GlobPattern.from(ee),$.GlobPattern.from(de),ke,Fe.identifier,O),findTextInFiles:(ee,de,ke,O)=>{let L,te;return typeof de=="object"?(L=de,te=ke):(L={},te=de,O=ke),Ze.findTextInFiles(ee,L||{},te,Fe.identifier,O)},saveAll:ee=>Ze.saveAll(ee),applyEdit(ee){return zt.applyWorkspaceEdit(ee)},createFileSystemWatcher:(ee,de,ke,O)=>It.createFileSystemWatcher($.GlobPattern.from(ee),de,ke,O),get textDocuments(){return mt.getAllDocumentData().map(ee=>ee.document)},set textDocuments(ee){throw A.readonly()},openTextDocument(ee){let de;const ke=ee;if(typeof ee=="string")de=Promise.resolve(C.URI.file(ee));else if(C.URI.isUri(ee))de=Promise.resolve(ee);else if(!ke||typeof ke=="object")de=mt.createDocumentData(ke);else throw new Error("illegal argument - uriOrFileNameOrOptions");return de.then(O=>mt.ensureDocumentData(O).then(L=>L.document))},onDidOpenTextDocument:(ee,de,ke)=>mt.onDidAddDocument(ee,de,ke),onDidCloseTextDocument:(ee,de,ke)=>mt.onDidRemoveDocument(ee,de,ke),onDidChangeTextDocument:(ee,de,ke)=>mt.onDidChangeDocument(ee,de,ke),onDidSaveTextDocument:(ee,de,ke)=>mt.onDidSaveDocument(ee,de,ke),onWillSaveTextDocument:(ee,de,ke)=>Ft.getOnWillSaveTextDocumentEvent(Fe)(ee,de,ke),onDidChangeConfiguration:(ee,de,ke)=>qt.onDidChangeConfiguration(ee,de,ke),getConfiguration(ee,de){return de=arguments.length===1?void 0:de,qt.getConfiguration(ee,de,Fe)},registerTextDocumentContentProvider(ee,de){return Rt.registerTextDocumentContentProvider(ee,de)},registerTaskProvider:(ee,de)=>(et.report("window.registerTaskProvider",Fe,"Use the corresponding function on the 'tasks' namespace instead"),gt.registerTaskProvider(Fe,ee,de)),registerFileSystemProvider(ee,de,ke){return ln.registerFileSystemProvider(Fe.identifier,ee,de,ke)},get fs(){return Ve.value},registerFileSearchProvider:(ee,de)=>((0,re.checkProposedApiEnabled)(Fe),Dt.registerFileSearchProvider(ee,de)),registerTextSearchProvider:(ee,de)=>((0,re.checkProposedApiEnabled)(Fe),Dt.registerTextSearchProvider(ee,de)),registerRemoteAuthorityResolver:(ee,de)=>((0,re.checkProposedApiEnabled)(Fe),Qe.registerRemoteAuthorityResolver(ee,de)),registerResourceLabelFormatter:ee=>((0,re.checkProposedApiEnabled)(Fe),cn.$registerResourceLabelFormatter(ee)),onDidCreateFiles:(ee,de,ke)=>It.onDidCreateFile(ee,de,ke),onDidDeleteFiles:(ee,de,ke)=>It.onDidDeleteFile(ee,de,ke),onDidRenameFiles:(ee,de,ke)=>It.onDidRenameFile(ee,de,ke),onWillCreateFiles:(ee,de,ke)=>It.getOnWillCreateFileEvent(Fe)(ee,de,ke),onWillDeleteFiles:(ee,de,ke)=>It.getOnWillDeleteFileEvent(Fe)(ee,de,ke),onWillRenameFiles:(ee,de,ke)=>It.getOnWillRenameFileEvent(Fe)(ee,de,ke),openTunnel:ee=>((0,re.checkProposedApiEnabled)(Fe),Pe.openTunnel(Fe,ee).then(de=>{if(!de)throw new Error("cannot open tunnel");return de})),get tunnels(){return(0,re.checkProposedApiEnabled)(Fe),Pe.getTunnels()},onDidChangeTunnels:(ee,de,ke)=>((0,re.checkProposedApiEnabled)(Fe),Pe.onDidChangeTunnels(ee,de,ke)),registerPortAttributesProvider:(ee,de)=>((0,re.checkProposedApiEnabled)(Fe),Pe.registerPortsAttributesProvider(ee,de)),registerTimelineProvider:(ee,de)=>((0,re.checkProposedApiEnabled)(Fe),Bt.registerTimelineProvider(ee,de,Fe.identifier,it.converter)),get trustState(){return(0,re.checkProposedApiEnabled)(Fe),(0,re.checkRequiresWorkspaceTrust)(Fe),Ze.trustState},requireWorkspaceTrust:ee=>((0,re.checkProposedApiEnabled)(Fe),(0,re.checkRequiresWorkspaceTrust)(Fe),Ze.requireWorkspaceTrust(ee)),onDidChangeWorkspaceTrustState:(ee,de,ke)=>Ze.onDidChangeWorkspaceTrustState(ee,de,ke)},wn={get inputBox(){return et.report("scm.inputBox",Fe,"Use 'SourceControl.inputBox' instead"),Yt.getLastInputBox(Fe)},createSourceControl(ee,de,ke){return Yt.createSourceControl(Fe,ee,de,ke)}},sn={createCommentController(ee,de){return un.createCommentController(Fe,ee,de)}},En={get activeDebugSession(){return at.activeDebugSession},get activeDebugConsole(){return at.activeDebugConsole},get breakpoints(){return at.breakpoints},onDidStartDebugSession(ee,de,ke){return at.onDidStartDebugSession(ee,de,ke)},onDidTerminateDebugSession(ee,de,ke){return at.onDidTerminateDebugSession(ee,de,ke)},onDidChangeActiveDebugSession(ee,de,ke){return at.onDidChangeActiveDebugSession(ee,de,ke)},onDidReceiveDebugSessionCustomEvent(ee,de,ke){return at.onDidReceiveDebugSessionCustomEvent(ee,de,ke)},onDidChangeBreakpoints(ee,de,ke){return at.onDidChangeBreakpoints(ee,de,ke)},registerDebugConfigurationProvider(ee,de,ke){return at.registerDebugConfigurationProvider(ee,de,ke||N.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(ee,de){return at.registerDebugAdapterDescriptorFactory(Fe,ee,de)},registerDebugAdapterTrackerFactory(ee,de){return at.registerDebugAdapterTrackerFactory(ee,de)},startDebugging(ee,de,ke){return!ke||typeof ke=="object"&&"configuration"in ke?at.startDebugging(ee,de,{parentSession:ke}):at.startDebugging(ee,de,ke||{})},stopDebugging(ee){return at.stopDebugging(ee)},addBreakpoints(ee){return at.addBreakpoints(ee)},removeBreakpoints(ee){return at.removeBreakpoints(ee)},asDebugSourceUri(ee,de){return at.asDebugSourceUri(ee,de)}},Sn={registerTaskProvider:(ee,de)=>gt.registerTaskProvider(Fe,ee,de),fetchTasks:ee=>gt.fetchTasks(ee),executeTask:ee=>gt.executeTask(Fe,ee),get taskExecutions(){return gt.taskExecutions},onDidStartTask:(ee,de,ke)=>gt.onDidStartTask(ee,de,ke),onDidEndTask:(ee,de,ke)=>gt.onDidEndTask(ee,de,ke),onDidStartTaskProcess:(ee,de,ke)=>gt.onDidStartTaskProcess(ee,de,ke),onDidEndTaskProcess:(ee,de,ke)=>gt.onDidEndTaskProcess(ee,de,ke)},Gt={openNotebookDocument:ee=>((0,re.checkProposedApiEnabled)(Fe),ht.openNotebookDocument(ee)),get onDidOpenNotebookDocument(){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidCloseNotebookDocument},get onDidSaveNotebookDocument(){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidSaveNotebookDocument},get notebookDocuments(){return(0,re.checkProposedApiEnabled)(Fe),ht.notebookDocuments.map(ee=>ee.notebookDocument)},get onDidChangeActiveNotebookKernel(){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeActiveNotebookKernel},registerNotebookContentProvider:(ee,de,ke)=>((0,re.checkProposedApiEnabled)(Fe),ht.registerNotebookContentProvider(Fe,ee,de,ke)),registerNotebookKernelProvider:(ee,de)=>((0,re.checkProposedApiEnabled)(Fe),ht.registerNotebookKernelProvider(Fe,ee,de)),createNotebookEditorDecorationType(ee){return(0,re.checkProposedApiEnabled)(Fe),ht.createNotebookEditorDecorationType(ee)},onDidChangeNotebookDocumentMetadata(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeNotebookDocumentMetadata(ee,de,ke)},onDidChangeNotebookCells(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeNotebookCells(ee,de,ke)},onDidChangeCellOutputs(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeCellOutputs(ee,de,ke)},onDidChangeCellMetadata(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.onDidChangeCellMetadata(ee,de,ke)},createConcatTextDocument(ee,de){return(0,re.checkProposedApiEnabled)(Fe),new V.ExtHostNotebookConcatDocument(ht,mt,ee,de)},createCellStatusBarItem(ee,de,ke){return(0,re.checkProposedApiEnabled)(Fe),ht.createNotebookCellStatusBarItemInternal(ee,de,ke)}};return{version:$e.version,authentication:pn,commands:en,comments:sn,debug:En,env:tn,extensions:vn,languages:_n,notebook:Gt,scm:wn,tasks:Sn,test:Kt,window:bn,workspace:rn,Breakpoint:N.Breakpoint,CallHierarchyIncomingCall:N.CallHierarchyIncomingCall,CallHierarchyItem:N.CallHierarchyItem,CallHierarchyOutgoingCall:N.CallHierarchyOutgoingCall,CancellationError:A.CancellationError,CancellationTokenSource:y.CancellationTokenSource,CandidatePortSource:d.CandidatePortSource,CodeAction:N.CodeAction,CodeActionKind:N.CodeActionKind,CodeActionTriggerKind:N.CodeActionTriggerKind,CodeLens:N.CodeLens,Color:N.Color,ColorInformation:N.ColorInformation,ColorPresentation:N.ColorPresentation,ColorThemeKind:N.ColorThemeKind,CommentMode:N.CommentMode,CommentThreadCollapsibleState:N.CommentThreadCollapsibleState,CompletionItem:N.CompletionItem,CompletionItemKind:N.CompletionItemKind,CompletionItemTag:N.CompletionItemTag,CompletionList:N.CompletionList,CompletionTriggerKind:N.CompletionTriggerKind,ConfigurationTarget:N.ConfigurationTarget,CustomExecution:N.CustomExecution,DebugAdapterExecutable:N.DebugAdapterExecutable,DebugAdapterInlineImplementation:N.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:N.DebugAdapterNamedPipeServer,DebugAdapterServer:N.DebugAdapterServer,DebugConfigurationProviderTriggerKind:N.DebugConfigurationProviderTriggerKind,DebugConsoleMode:N.DebugConsoleMode,DecorationRangeBehavior:N.DecorationRangeBehavior,Diagnostic:N.Diagnostic,DiagnosticRelatedInformation:N.DiagnosticRelatedInformation,DiagnosticSeverity:N.DiagnosticSeverity,DiagnosticTag:N.DiagnosticTag,Disposable:N.Disposable,DocumentHighlight:N.DocumentHighlight,DocumentHighlightKind:N.DocumentHighlightKind,DocumentLink:N.DocumentLink,DocumentSymbol:N.DocumentSymbol,EndOfLine:N.EndOfLine,EnvironmentVariableMutatorType:N.EnvironmentVariableMutatorType,EvaluatableExpression:N.EvaluatableExpression,InlineValueText:N.InlineValueText,InlineValueVariableLookup:N.InlineValueVariableLookup,InlineValueEvaluatableExpression:N.InlineValueEvaluatableExpression,EventEmitter:I.Emitter,ExtensionKind:N.ExtensionKind,ExtensionMode:N.ExtensionMode,ExternalUriOpenerPriority:N.ExternalUriOpenerPriority,FileChangeType:N.FileChangeType,FileDecoration:N.FileDecoration,FileSystemError:N.FileSystemError,FileType:_.FileType,FoldingRange:N.FoldingRange,FoldingRangeKind:N.FoldingRangeKind,FunctionBreakpoint:N.FunctionBreakpoint,Hover:N.Hover,IndentAction:P.IndentAction,Location:N.Location,MarkdownString:N.MarkdownString,OverviewRulerLane:n.OverviewRulerLane,ParameterInformation:N.ParameterInformation,PortAutoForwardAction:N.PortAutoForwardAction,Position:N.Position,ProcessExecution:N.ProcessExecution,ProgressLocation:N.ProgressLocation,QuickInputButtons:N.QuickInputButtons,Range:N.Range,RelativePattern:N.RelativePattern,Selection:N.Selection,SelectionRange:N.SelectionRange,SemanticTokens:N.SemanticTokens,SemanticTokensBuilder:N.SemanticTokensBuilder,SemanticTokensEdit:N.SemanticTokensEdit,SemanticTokensEdits:N.SemanticTokensEdits,SemanticTokensLegend:N.SemanticTokensLegend,ShellExecution:N.ShellExecution,ShellQuoting:N.ShellQuoting,SignatureHelp:N.SignatureHelp,SignatureHelpTriggerKind:N.SignatureHelpTriggerKind,SignatureInformation:N.SignatureInformation,SnippetString:N.SnippetString,SourceBreakpoint:N.SourceBreakpoint,StandardTokenType:N.StandardTokenType,StatusBarAlignment:N.StatusBarAlignment,SymbolInformation:N.SymbolInformation,SymbolKind:N.SymbolKind,SymbolTag:N.SymbolTag,Task:N.Task,TaskGroup:N.TaskGroup,TaskPanelKind:N.TaskPanelKind,TaskRevealKind:N.TaskRevealKind,TaskScope:N.TaskScope,TextDocumentSaveReason:N.TextDocumentSaveReason,TextEdit:N.TextEdit,TextEditorCursorStyle:E.TextEditorCursorStyle,TextEditorLineNumbersStyle:N.TextEditorLineNumbersStyle,TextEditorRevealType:N.TextEditorRevealType,TextEditorSelectionChangeKind:N.TextEditorSelectionChangeKind,ThemeColor:N.ThemeColor,ThemeIcon:N.ThemeIcon,TreeItem:N.TreeItem,TreeItemCollapsibleState:N.TreeItemCollapsibleState,UIKind:d.UIKind,Uri:C.URI,ViewColumn:N.ViewColumn,WorkspaceEdit:N.WorkspaceEdit,InlineHint:N.InlineHint,InlineHintKind:N.InlineHintKind,RemoteAuthorityResolverError:N.RemoteAuthorityResolverError,ResolvedAuthority:N.ResolvedAuthority,SourceControlInputBoxValidationType:N.SourceControlInputBoxValidationType,ExtensionRuntime:N.ExtensionRuntime,TimelineItem:N.TimelineItem,NotebookCellRange:N.NotebookCellRange,NotebookCellKind:N.NotebookCellKind,NotebookCellRunState:N.NotebookCellRunState,NotebookDocumentMetadata:N.NotebookDocumentMetadata,NotebookCellMetadata:N.NotebookCellMetadata,NotebookCellData:N.NotebookCellData,NotebookData:N.NotebookData,NotebookRunState:N.NotebookRunState,NotebookCellStatusBarAlignment:N.NotebookCellStatusBarAlignment,NotebookEditorRevealType:N.NotebookEditorRevealType,NotebookCellOutput:N.NotebookCellOutput,NotebookCellOutputItem:N.NotebookCellOutputItem,LinkedEditingRanges:N.LinkedEditingRanges,TestItem:N.TestItem,TestState:N.TestState,TestResult:N.TestResult,TestMessage:N.TestMessage,TestMessageSeverity:N.TestMessageSeverity,WorkspaceTrustState:N.WorkspaceTrustState}}}e.createApiFactoryAndRegisterActors=fe}),define(we[221],Ee([0,1,61,98,31,97,35,73,40,41,100,101,102,76,75,67,72,99,74,48,71,93]),function(oe,e,b,y,A,I,S,C,E,n,P,k,_,d,s,f,v,m,w,c,u,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,b.registerSingleton)(d.IExtensionStoragePaths,d.ExtensionStoragePaths),(0,b.registerSingleton)(v.IExtHostApiDeprecationService,v.ExtHostApiDeprecationService),(0,b.registerSingleton)(C.IExtHostCommands,C.ExtHostCommands),(0,b.registerSingleton)(S.IExtHostConfiguration,S.ExtHostConfiguration),(0,b.registerSingleton)(w.IExtHostConsumerFileSystem,w.ExtHostConsumerFileSystem),(0,b.registerSingleton)(k.IExtHostDebugService,k.WorkerExtHostDebugService),(0,b.registerSingleton)(I.IExtHostDecorations,I.ExtHostDecorations),(0,b.registerSingleton)(E.IExtHostDocumentsAndEditors,E.ExtHostDocumentsAndEditors),(0,b.registerSingleton)(c.IExtHostFileSystemInfo,c.ExtHostFileSystemInfo),(0,b.registerSingleton)(y.IExtHostOutputService,y.ExtHostOutputService),(0,b.registerSingleton)(_.IExtHostSearch,_.ExtHostSearch),(0,b.registerSingleton)(s.IExtHostStorage,s.ExtHostStorage),(0,b.registerSingleton)(P.IExtHostTask,P.WorkerExtHostTask),(0,b.registerSingleton)(n.IExtHostTerminalService,n.WorkerExtHostTerminalService),(0,b.registerSingleton)(f.IExtHostTunnelService,f.ExtHostTunnelService),(0,b.registerSingleton)(m.IExtHostWindow,m.ExtHostWindow),(0,b.registerSingleton)(A.IExtHostWorkspace,A.ExtHostWorkspace),(0,b.registerSingleton)(u.IExtHostSecretState,u.ExtHostSecretState),(0,b.registerSingleton)(a.IExtHostTelemetry,a.ExtHostTelemetry)}),define(we[222],Ee([0,1,220,36,216,7,13]),function(oe,e,b,y,A,I,S){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;var E;(function(_){var d;const s=(d=self.trustedTypes)===null||d===void 0?void 0:d.createPolicy("TrustedFunctionWorkaround",{createScript:(v,...m)=>{m.forEach(a=>{var t;if(!((t=self.trustedTypes)===null||t===void 0?void 0:t.isScript(a)))throw new Error("TrustedScripts only, please")});const w=m.slice(0,-1).join(","),c=m.pop().toString();return`(function anonymous(${w}) {
${c}
})`}});function f(...v){return s?self.eval(s.createScript("",...v)):new Function(...v)}_.create=f})(E||(E={}));class n extends A.RequireInterceptor{_installInterceptor(){}getModule(d,s){for(let f of this._alternatives){let v=f(d);if(v){d=v;break}}if(this._factories.has(d))return this._factories.get(d).load(d,s,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class P extends y.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=I.ExtensionRuntime.Webworker}async _beforeAlmostReadyToRunExtensions(){const d=this._instaService.invokeFunction(b.createApiFactoryAndRegisterActors);this._fakeModules=this._instaService.createInstance(n,d,this._registry),await this._fakeModules.install(),performance.mark("code/extHost/didInitAPI"),await this._waitForDebuggerAttachment()}_getEntryPoint(d){return d.browser}async _loadCommonJSModule(d,s,f){var v,m,w,c,u,a,t,r;s=s.with({path:k(s.path,".js")}),d&&performance.mark(`code/extHost/willFetchExtensionCode/${d.value}`);const o=await fetch(s.toString(!0));if(d&&performance.mark(`code/extHost/didFetchExtensionCode/${d.value}`),o.status!==200)throw new Error(o.statusText);const l=await o.text(),i=`${s.toString(!0)}#vscode-extension`,h=`${l}
//# sourceURL=${i}`;let D;try{D=E.create((m=(v=P._ttpExtensionScripts)===null||v===void 0?void 0:v.createScript("module"))!==null&&m!==void 0?m:"module",(c=(w=P._ttpExtensionScripts)===null||w===void 0?void 0:w.createScript("exports"))!==null&&c!==void 0?c:"exports",(a=(u=P._ttpExtensionScripts)===null||u===void 0?void 0:u.createScript("require"))!==null&&a!==void 0?a:"require",(r=(t=P._ttpExtensionScripts)===null||t===void 0?void 0:t.createScript(h))!==null&&r!==void 0?r:h)}catch(T){throw d?console.error(`Loading code for extension ${d.value} failed: ${T.message}`):console.error(`Loading code failed: ${T.message}`),console.error(`${s.toString(!0)}${typeof T.line=="number"?` line ${T.line}`:""}${typeof T.column=="number"?` column ${T.column}`:""}`),console.error(T),T}const R={},p={exports:R},g=T=>{const F=this._fakeModules.getModule(T,s);if(F===void 0)throw new Error(`Cannot load module '${T}'`);return F};try{return f.codeLoadingStart(),d&&performance.mark(`code/extHost/willLoadExtensionCode/${d.value}`),D(p,R,g),p.exports!==R?p.exports:R}finally{d&&performance.mark(`code/extHost/didLoadExtensionCode/${d.value}`),f.codeLoadingStop()}}async $setRemoteEnvironment(d){throw new Error("Not supported")}async _waitForDebuggerAttachment(d=5e3){if(!!this._initData.environment.isExtensionDevelopmentDebug){const s=Date.now()+d;for(;Date.now()<s&&!("__jsDebugIsReady"in globalThis);)await(0,S.timeout)(10)}}}e.ExtHostExtensionService=P,P._ttpExtensionScripts=(C=self.trustedTypes)===null||C===void 0?void 0:C.createPolicy("ExtensionScripts",{createScript:_=>_});function k(_,d){return _.endsWith(d)?_:_+d}}),define(we[223],Ee([0,1,61,19,36,222,208]),function(oe,e,b,y,A,I,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,b.registerSingleton)(A.IExtHostExtensionService,I.ExtHostExtensionService),(0,b.registerSingleton)(y.ILogService,S.ExtHostLogService)}),define(we[225],Ee([0,1,26,3,180,217,210,11,77,221,223]),function(oe,e,b,y,A,I,S,C,E){"use strict";var n;Object.defineProperty(e,"__esModule",{value:!0});const P=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const k=postMessage.bind(self);if(self.postMessage=()=>console.trace("'postMessage' has been blocked"),self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const v=(n=self.trustedTypes)===null||n===void 0?void 0:n.createPolicy("extensionHostWorker",{createScriptURL:w=>w}),m=self.Worker;Worker=function(w,c){const u=`importScripts('${w}');`;c=c||{},c.name=c.name||C.basename(w.toString());const a=new Blob([u],{type:"application/javascript"}),t=URL.createObjectURL(a);return new m(v?v.createScriptURL(t):t,c)}}else self.Worker=class extends S.NestedWorker{constructor(v,m){super(k,v,Object.assign({name:C.basename(v.toString())},m))}};const _=new class{exit(v){P()}async exists(v){return!0}async realpath(v){return v}};class d{constructor(){const m=new MessageChannel,w=new y.Emitter;let c=!1;k(m.port2,[m.port2]),m.port1.onmessage=u=>{const{data:a}=u;if(!(a instanceof ArrayBuffer)){console.warn("UNKNOWN data received",a);return}const t=b.VSBuffer.wrap(new Uint8Array(a,0,a.byteLength));if((0,A.isMessageOfType)(t,2)){c=!0,f("received terminate message from renderer");return}w.fire(t)},this.protocol={onMessage:w.event,send:u=>{if(!c){const a=u.buffer.buffer.slice(u.buffer.byteOffset,u.buffer.byteOffset+u.buffer.byteLength);m.port1.postMessage(a,[a])}}}}}function s(v){return new Promise(m=>{const w=v.onMessage(c=>{w.dispose();const u=JSON.parse(c.toString());v.send((0,A.createMessageOfType)(0)),m({protocol:v,initData:u})});v.send((0,A.createMessageOfType)(1))})}let f=v=>P();(function(){const m=new d;E.mark("code/extHost/willConnectToRenderer"),s(m.protocol).then(w=>{E.mark("code/extHost/didWaitForInitData");const c=new I.ExtensionHostMain(w.protocol,w.initData,_,null);f=u=>c.terminate(u)})})()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/892a1083cb2b9b3987ff7edc85376b5d9764433d/core/vs/workbench/services/extensions/worker/extensionHostWorker.js.map
